/*/////////////////////////////////////////////////////////////////////////////
//
//     spiral_fft_double.c
//
//     This library was generated by Spiral 6.0, developed at Carnegie Mellon
//     University, http://www.spiral.net. This code is distributed under the
//     GNU general purpose software license version 2.0.
//
//     Commercial licenses and support are available through SpiralGen, Inc.
//     fft@spiralgen.com
//
*/

#include "spiral_fft.h"
#include "spiral_private.h"

/*************************************************
 * Main dispatch  
 *************************************************/

SPIRAL_API(spiral_status_t, spiral_fft_double)(int n, int sign, const double *pSrc, double *pDst ) {
    if (sign<0) {
        switch(n) {
            case 2: return spiral_fftfwd_double_2(pSrc, pDst );
            case 4: return spiral_fftfwd_double_4(pSrc, pDst );
            case 8: return spiral_fftfwd_double_8(pSrc, pDst );
            case 16: return spiral_fftfwd_double_16(pSrc, pDst );
            case 32: return spiral_fftfwd_double_32(pSrc, pDst );
            case 64: return spiral_fftfwd_double_64(pSrc, pDst );
            case 128: return spiral_fftfwd_double_128(pSrc, pDst );
            case 256: return spiral_fftfwd_double_256(pSrc, pDst );
            case 512: return spiral_fftfwd_double_512(pSrc, pDst );
            case 1024: return spiral_fftfwd_double_1024(pSrc, pDst );
            case 2048: return spiral_fftfwd_double_2048(pSrc, pDst );
            case 4096: return spiral_fftfwd_double_4096(pSrc, pDst );
            case 8192: return spiral_fftfwd_double_8192(pSrc, pDst );
            default: return SPIRAL_SIZE_NOT_SUPPORTED;
        }
    } 
    else {
        switch(n) {
            case 2: return spiral_fftinv_double_2(pSrc, pDst );
            case 4: return spiral_fftinv_double_4(pSrc, pDst );
            case 8: return spiral_fftinv_double_8(pSrc, pDst );
            case 16: return spiral_fftinv_double_16(pSrc, pDst );
            case 32: return spiral_fftinv_double_32(pSrc, pDst );
            case 64: return spiral_fftinv_double_64(pSrc, pDst );
            case 128: return spiral_fftinv_double_128(pSrc, pDst );
            case 256: return spiral_fftinv_double_256(pSrc, pDst );
            case 512: return spiral_fftinv_double_512(pSrc, pDst );
            case 1024: return spiral_fftinv_double_1024(pSrc, pDst );
            case 2048: return spiral_fftinv_double_2048(pSrc, pDst );
            case 4096: return spiral_fftinv_double_4096(pSrc, pDst );
            case 8192: return spiral_fftinv_double_8192(pSrc, pDst );
            default: return SPIRAL_SIZE_NOT_SUPPORTED;
        }
    }
}

/*************************************************
 * Individual transform sizes  
 *************************************************/

SPIRAL_API(spiral_status_t, spiral_fftinv_double_2)(const double *pSrc, double *pDst ) {
    const double  *src = (const double *) pSrc; 
    double        *dst = (double *) pDst;
    
    
    {const double  *a, *a2, *a3;
    a = (src + 2);
    a2 = (src + 1);
    a3 = (src + 3);
    *(dst) = (*(src) + *(a));
    *((dst + 1)) = (*(a2) + *(a3));
    *((dst + 2)) = (*(src) - *(a));
    *((dst + 3)) = (*(a2) - *(a3));
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_fftinv_double_4)(const double *pSrc, double *pDst ) {
    const double  *src = (const double *) pSrc; 
    double        *dst = (double *) pDst;
    
    
    {const double  *a, *a2, *a3, *a4, *a5, *a6, *a7;
    double t, t2, t3, t4, t5, t6, t7, t8;
    a = (src + 4);
    t = (*(src) + *(a));
    a2 = (src + 1);
    a3 = (src + 5);
    t2 = (*(a2) + *(a3));
    t3 = (*(src) - *(a));
    t4 = (*(a2) - *(a3));
    a4 = (src + 2);
    a5 = (src + 6);
    t5 = (*(a4) + *(a5));
    a6 = (src + 3);
    a7 = (src + 7);
    t6 = (*(a6) + *(a7));
    t7 = (*(a4) - *(a5));
    t8 = (*(a6) - *(a7));
    *(dst) = (t + t5);
    *((dst + 1)) = (t2 + t6);
    *((dst + 4)) = (t - t5);
    *((dst + 5)) = (t2 - t6);
    *((dst + 2)) = (t3 - t8);
    *((dst + 3)) = (t4 + t7);
    *((dst + 6)) = (t3 + t8);
    *((dst + 7)) = (t4 - t7);
    }
    
    return SPIRAL_OK;
}

SPIRAL_PRIV(spiral_status_t, spiral_fftinv_double_8_unaligned)(const double *pSrc, double *pDst ) {
    const CPX  *src = (const CPX *) pSrc; 
    CPX        *dst = (CPX *) pDst;
    
    
    {CPX a, a2, s, s01, s11, s2, s3, s4, s5, s6, s7, s8, s9, t, t01, t02, t11, t12, t2, t21, t3, t31
        , t4, t41, t5, t51, t6, t61, t7, t71, t8, t81, t9, t91;
    s = LOADU_CPX(src);
    s2 = LOADU_CPX((src + 4));
    t = ADD_CPX_CPX(s, s2);
    t2 = SUB_CPX_CPX(s, s2);
    s3 = LOADU_CPX((src + 2));
    s4 = LOADU_CPX((src + 6));
    t3 = ADD_CPX_CPX(s3, s4);
    s5 = MUL_I_CPX(SUB_CPX_CPX(s3, s4));
    t4 = ADD_CPX_CPX(t, t3);
    t5 = SUB_CPX_CPX(t, t3);
    t6 = ADD_CPX_CPX(t2, s5);
    t7 = SUB_CPX_CPX(t2, s5);
    s6 = LOADU_CPX((src + 1));
    s7 = LOADU_CPX((src + 7));
    t8 = ADD_CPX_CPX(s6, s7);
    t9 = ADD_CPX_CPX(MUL_I_CPX(s6), MUL_NI_CPX(s7));
    s8 = LOADU_CPX((src + 5));
    s9 = LOADU_CPX((src + 3));
    t01 = ADD_CPX_CPX(s8, s9);
    t11 = ADD_CPX_CPX(MUL_I_CPX(s8), MUL_NI_CPX(s9));
    t21 = ADD_CPX_CPX(t8, t01);
    t31 = ADD_CPX_CPX(t9, t11);
    a = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8, t01));
    a2 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9, t11));
    s01 = ADD_CPX_CPX(a, a2);
    s11 = SUB_CPX_CPX(a2, a);
    t41 = ADD_CPX_CPX(t4, t21);
    t51 = ADD_CPX_CPX(t5, t31);
    t61 = SUB_CPX_CPX(t4, t21);
    t71 = SUB_CPX_CPX(t5, t31);
    STOREU_CPX(dst, t41);
    STOREU_CPX((dst + 2), t51);
    STOREU_CPX((dst + 4), t61);
    STOREU_CPX((dst + 6), t71);
    t81 = ADD_CPX_CPX(t6, s01);
    t91 = ADD_CPX_CPX(t7, s11);
    t02 = SUB_CPX_CPX(t6, s01);
    t12 = SUB_CPX_CPX(t7, s11);
    STOREU_CPX((dst + 1), t81);
    STOREU_CPX((dst + 3), t91);
    STOREU_CPX((dst + 5), t02);
    STOREU_CPX((dst + 7), t12);
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_fftinv_double_8)(const double *pSrc, double *pDst ) {
    if (!is_aligned(pSrc) || !is_aligned(pDst))
       	return spiral_fftinv_double_8_unaligned(pSrc, pDst );
    else {
    const CPX  *src = (const CPX *) pSrc; 
    CPX        *dst = (CPX *) pDst;
    
    
    {const CPX  *a, *a2, *a3, *a4, *a5, *a6, *a7;
    CPX a8, a9, s, s2, s3, t, t01, t11, t2, t21, t3, t31, t4, t5, t6, t7, t8, t9;
    a = (src + 4);
    t = ADD_CPX_CPX(*(src), *(a));
    t2 = SUB_CPX_CPX(*(src), *(a));
    a2 = (src + 2);
    a3 = (src + 6);
    t3 = ADD_CPX_CPX(*(a2), *(a3));
    s = MUL_I_CPX(SUB_CPX_CPX(*(a2), *(a3)));
    t4 = ADD_CPX_CPX(t, t3);
    t5 = SUB_CPX_CPX(t, t3);
    t6 = ADD_CPX_CPX(t2, s);
    t7 = SUB_CPX_CPX(t2, s);
    a4 = (src + 1);
    a5 = (src + 7);
    t8 = ADD_CPX_CPX(*(a4), *(a5));
    t9 = ADD_CPX_CPX(MUL_I_CPX(*(a4)), MUL_NI_CPX(*(a5)));
    a6 = (src + 5);
    a7 = (src + 3);
    t01 = ADD_CPX_CPX(*(a6), *(a7));
    t11 = ADD_CPX_CPX(MUL_I_CPX(*(a6)), MUL_NI_CPX(*(a7)));
    t21 = ADD_CPX_CPX(t8, t01);
    t31 = ADD_CPX_CPX(t9, t11);
    a8 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8, t01));
    a9 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9, t11));
    s2 = ADD_CPX_CPX(a8, a9);
    s3 = SUB_CPX_CPX(a9, a8);
    *(dst) = ADD_CPX_CPX(t4, t21);
    *((dst + 2)) = ADD_CPX_CPX(t5, t31);
    *((dst + 4)) = SUB_CPX_CPX(t4, t21);
    *((dst + 6)) = SUB_CPX_CPX(t5, t31);
    *((dst + 1)) = ADD_CPX_CPX(t6, s2);
    *((dst + 3)) = ADD_CPX_CPX(t7, s3);
    *((dst + 5)) = SUB_CPX_CPX(t6, s2);
    *((dst + 7)) = SUB_CPX_CPX(t7, s3);
    }
    
    return SPIRAL_OK;
    }
}

SPIRAL_PRIV(spiral_status_t, spiral_fftinv_double_16_unaligned)(const double *pSrc, double *pDst ) {
    const CPX  *src = (const CPX *) pSrc; 
    CPX        *dst = (CPX *) pDst;
    
    
    {CPX a, a2, a3, a4, s, s01, s02, s11, s12, s2, s21, s22, s3, s31, s32, s4, s41, s42, s5, s51, s52, s6
        , s61, s7, s71, s8, s81, s9, s91, t, t01, t02, t03, t04, t05, t11, t12, t13, t14, t15, t2, t21, t22, t23
        , t24, t25, t3, t31, t32, t33, t34, t35, t4, t41, t42, t43, t44, t45, t5, t51, t52, t53, t54, t55, t6, t61
        , t62, t63, t64, t65, t7, t71, t72, t73, t74, t75, t8, t81, t82, t83, t84, t85, t9, t91, t92, t93, t94, t95;
    s = LOADU_CPX(src);
    s2 = LOADU_CPX((src + 8));
    t = ADD_CPX_CPX(s, s2);
    t2 = SUB_CPX_CPX(s, s2);
    s3 = LOADU_CPX((src + 4));
    s4 = LOADU_CPX((src + 12));
    t3 = ADD_CPX_CPX(s3, s4);
    s5 = MUL_I_CPX(SUB_CPX_CPX(s3, s4));
    t4 = ADD_CPX_CPX(t, t3);
    t5 = SUB_CPX_CPX(t, t3);
    t6 = ADD_CPX_CPX(t2, s5);
    t7 = SUB_CPX_CPX(t2, s5);
    s6 = LOADU_CPX((src + 2));
    s7 = LOADU_CPX((src + 14));
    t8 = ADD_CPX_CPX(s6, s7);
    t9 = ADD_CPX_CPX(MUL_I_CPX(s6), MUL_NI_CPX(s7));
    s8 = LOADU_CPX((src + 10));
    s9 = LOADU_CPX((src + 6));
    t01 = ADD_CPX_CPX(s8, s9);
    t11 = ADD_CPX_CPX(MUL_I_CPX(s8), MUL_NI_CPX(s9));
    t21 = ADD_CPX_CPX(t8, t01);
    t31 = ADD_CPX_CPX(t9, t11);
    a = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8, t01));
    a2 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9, t11));
    s01 = ADD_CPX_CPX(a, a2);
    s11 = SUB_CPX_CPX(a2, a);
    t41 = ADD_CPX_CPX(t4, t21);
    t51 = ADD_CPX_CPX(t5, t31);
    t61 = SUB_CPX_CPX(t4, t21);
    t71 = SUB_CPX_CPX(t5, t31);
    t81 = ADD_CPX_CPX(t6, s01);
    t91 = ADD_CPX_CPX(t7, s11);
    t02 = SUB_CPX_CPX(t6, s01);
    t12 = SUB_CPX_CPX(t7, s11);
    s21 = LOADU_CPX((src + 1));
    s31 = LOADU_CPX((src + 15));
    t22 = ADD_CPX_CPX(s21, s31);
    t32 = ADD_CPX_CPX(MUL_I_CPX(s21), MUL_NI_CPX(s31));
    s41 = LOADU_CPX((src + 5));
    s51 = LOADU_CPX((src + 11));
    t42 = ADD_CPX_CPX(s41, s51);
    t52 = ADD_CPX_CPX(MUL_I_CPX(s41), MUL_NI_CPX(s51));
    s61 = LOADU_CPX((src + 9));
    s71 = LOADU_CPX((src + 7));
    t62 = ADD_CPX_CPX(s61, s71);
    t72 = ADD_CPX_CPX(MUL_I_CPX(s61), MUL_NI_CPX(s71));
    s81 = LOADU_CPX((src + 13));
    s91 = LOADU_CPX((src + 3));
    t82 = ADD_CPX_CPX(s81, s91);
    t92 = ADD_CPX_CPX(MUL_I_CPX(s81), MUL_NI_CPX(s91));
    t03 = ADD_CPX_CPX(t22, t62);
    t13 = ADD_CPX_CPX(t32, t72);
    t23 = SUB_CPX_CPX(t22, t62);
    t33 = SUB_CPX_CPX(t32, t72);
    t43 = ADD_CPX_CPX(t42, t82);
    t53 = ADD_CPX_CPX(t52, t92);
    t63 = SUB_CPX_CPX(t42, t82);
    t73 = SUB_CPX_CPX(t52, t92);
    t83 = ADD_CPX_CPX(t03, t43);
    t93 = ADD_CPX_CPX(t13, t53);
    t04 = ADD_CPX_CPX(t23, t73);
    t14 = SUB_CPX_CPX(t33, t63);
    t24 = SUB_CPX_CPX(t23, t73);
    t34 = ADD_CPX_CPX(t33, t63);
    s02 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t04), MUL_FLT_CPX(C_FLT(0.38268343236508978), t14));
    s12 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t14), MUL_FLT_CPX(C_FLT(0.38268343236508978), t04));
    a3 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t03, t43));
    a4 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t13, t53));
    s22 = ADD_CPX_CPX(a3, a4);
    s32 = SUB_CPX_CPX(a4, a3);
    s42 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t24), MUL_FLT_CPX(C_FLT(0.92387953251128674), t34));
    s52 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t34), MUL_FLT_CPX(C_FLT(0.92387953251128674), t24));
    t44 = ADD_CPX_CPX(t41, t83);
    t54 = ADD_CPX_CPX(t61, t93);
    t64 = SUB_CPX_CPX(t41, t83);
    t74 = SUB_CPX_CPX(t61, t93);
    STOREU_CPX(dst, t44);
    STOREU_CPX((dst + 4), t54);
    STOREU_CPX((dst + 8), t64);
    STOREU_CPX((dst + 12), t74);
    t84 = ADD_CPX_CPX(t81, s02);
    t94 = ADD_CPX_CPX(t02, s12);
    t05 = SUB_CPX_CPX(t81, s02);
    t15 = SUB_CPX_CPX(t02, s12);
    STOREU_CPX((dst + 1), t84);
    STOREU_CPX((dst + 5), t94);
    STOREU_CPX((dst + 9), t05);
    STOREU_CPX((dst + 13), t15);
    t25 = ADD_CPX_CPX(t51, s22);
    t35 = ADD_CPX_CPX(t71, s32);
    t45 = SUB_CPX_CPX(t51, s22);
    t55 = SUB_CPX_CPX(t71, s32);
    STOREU_CPX((dst + 2), t25);
    STOREU_CPX((dst + 6), t35);
    STOREU_CPX((dst + 10), t45);
    STOREU_CPX((dst + 14), t55);
    t65 = ADD_CPX_CPX(t91, s42);
    t75 = ADD_CPX_CPX(t12, s52);
    t85 = SUB_CPX_CPX(t91, s42);
    t95 = SUB_CPX_CPX(t12, s52);
    STOREU_CPX((dst + 3), t65);
    STOREU_CPX((dst + 7), t75);
    STOREU_CPX((dst + 11), t85);
    STOREU_CPX((dst + 15), t95);
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_fftinv_double_16)(const double *pSrc, double *pDst ) {
    if (!is_aligned(pSrc) || !is_aligned(pDst))
       	return spiral_fftinv_double_16_unaligned(pSrc, pDst );
    else {
    const CPX  *src = (const CPX *) pSrc; 
    CPX        *dst = (CPX *) pDst;
    
    
    {const CPX  *a, *a01, *a11, *a2, *a21, *a3, *a31, *a4, *a41, *a5, *a51, *a6, *a61, *a7, *a71;
    CPX a8, a81, a9, a91, s, s2, s3, s4, s5, s6, s7, s8, s9, t, t01, t02, t03, t04, t11, t12, t13, t14
        , t2, t21, t22, t23, t24, t3, t31, t32, t33, t34, t4, t41, t42, t43, t5, t51, t52, t53, t6, t61, t62, t63
        , t7, t71, t72, t73, t8, t81, t82, t83, t9, t91, t92, t93;
    a = (src + 8);
    t = ADD_CPX_CPX(*(src), *(a));
    t2 = SUB_CPX_CPX(*(src), *(a));
    a2 = (src + 4);
    a3 = (src + 12);
    t3 = ADD_CPX_CPX(*(a2), *(a3));
    s = MUL_I_CPX(SUB_CPX_CPX(*(a2), *(a3)));
    t4 = ADD_CPX_CPX(t, t3);
    t5 = SUB_CPX_CPX(t, t3);
    t6 = ADD_CPX_CPX(t2, s);
    t7 = SUB_CPX_CPX(t2, s);
    a4 = (src + 2);
    a5 = (src + 14);
    t8 = ADD_CPX_CPX(*(a4), *(a5));
    t9 = ADD_CPX_CPX(MUL_I_CPX(*(a4)), MUL_NI_CPX(*(a5)));
    a6 = (src + 10);
    a7 = (src + 6);
    t01 = ADD_CPX_CPX(*(a6), *(a7));
    t11 = ADD_CPX_CPX(MUL_I_CPX(*(a6)), MUL_NI_CPX(*(a7)));
    t21 = ADD_CPX_CPX(t8, t01);
    t31 = ADD_CPX_CPX(t9, t11);
    a8 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8, t01));
    a9 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9, t11));
    s2 = ADD_CPX_CPX(a8, a9);
    s3 = SUB_CPX_CPX(a9, a8);
    t41 = ADD_CPX_CPX(t4, t21);
    t51 = ADD_CPX_CPX(t5, t31);
    t61 = SUB_CPX_CPX(t4, t21);
    t71 = SUB_CPX_CPX(t5, t31);
    t81 = ADD_CPX_CPX(t6, s2);
    t91 = ADD_CPX_CPX(t7, s3);
    t02 = SUB_CPX_CPX(t6, s2);
    t12 = SUB_CPX_CPX(t7, s3);
    a01 = (src + 1);
    a11 = (src + 15);
    t22 = ADD_CPX_CPX(*(a01), *(a11));
    t32 = ADD_CPX_CPX(MUL_I_CPX(*(a01)), MUL_NI_CPX(*(a11)));
    a21 = (src + 5);
    a31 = (src + 11);
    t42 = ADD_CPX_CPX(*(a21), *(a31));
    t52 = ADD_CPX_CPX(MUL_I_CPX(*(a21)), MUL_NI_CPX(*(a31)));
    a41 = (src + 9);
    a51 = (src + 7);
    t62 = ADD_CPX_CPX(*(a41), *(a51));
    t72 = ADD_CPX_CPX(MUL_I_CPX(*(a41)), MUL_NI_CPX(*(a51)));
    a61 = (src + 13);
    a71 = (src + 3);
    t82 = ADD_CPX_CPX(*(a61), *(a71));
    t92 = ADD_CPX_CPX(MUL_I_CPX(*(a61)), MUL_NI_CPX(*(a71)));
    t03 = ADD_CPX_CPX(t22, t62);
    t13 = ADD_CPX_CPX(t32, t72);
    t23 = SUB_CPX_CPX(t22, t62);
    t33 = SUB_CPX_CPX(t32, t72);
    t43 = ADD_CPX_CPX(t42, t82);
    t53 = ADD_CPX_CPX(t52, t92);
    t63 = SUB_CPX_CPX(t42, t82);
    t73 = SUB_CPX_CPX(t52, t92);
    t83 = ADD_CPX_CPX(t03, t43);
    t93 = ADD_CPX_CPX(t13, t53);
    t04 = ADD_CPX_CPX(t23, t73);
    t14 = SUB_CPX_CPX(t33, t63);
    t24 = SUB_CPX_CPX(t23, t73);
    t34 = ADD_CPX_CPX(t33, t63);
    s4 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t04), MUL_FLT_CPX(C_FLT(0.38268343236508978), t14));
    s5 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t14), MUL_FLT_CPX(C_FLT(0.38268343236508978), t04));
    a81 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t03, t43));
    a91 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t13, t53));
    s6 = ADD_CPX_CPX(a81, a91);
    s7 = SUB_CPX_CPX(a91, a81);
    s8 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t24), MUL_FLT_CPX(C_FLT(0.92387953251128674), t34));
    s9 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t34), MUL_FLT_CPX(C_FLT(0.92387953251128674), t24));
    *(dst) = ADD_CPX_CPX(t41, t83);
    *((dst + 4)) = ADD_CPX_CPX(t61, t93);
    *((dst + 8)) = SUB_CPX_CPX(t41, t83);
    *((dst + 12)) = SUB_CPX_CPX(t61, t93);
    *((dst + 1)) = ADD_CPX_CPX(t81, s4);
    *((dst + 5)) = ADD_CPX_CPX(t02, s5);
    *((dst + 9)) = SUB_CPX_CPX(t81, s4);
    *((dst + 13)) = SUB_CPX_CPX(t02, s5);
    *((dst + 2)) = ADD_CPX_CPX(t51, s6);
    *((dst + 6)) = ADD_CPX_CPX(t71, s7);
    *((dst + 10)) = SUB_CPX_CPX(t51, s6);
    *((dst + 14)) = SUB_CPX_CPX(t71, s7);
    *((dst + 3)) = ADD_CPX_CPX(t91, s8);
    *((dst + 7)) = ADD_CPX_CPX(t12, s9);
    *((dst + 11)) = SUB_CPX_CPX(t91, s8);
    *((dst + 15)) = SUB_CPX_CPX(t12, s9);
    }
    
    return SPIRAL_OK;
    }
}

SPIRAL_PRIV(spiral_status_t, spiral_fftinv_double_32_unaligned)(const double *pSrc, double *pDst ) {
    const CPX  *src = (const CPX *) pSrc; 
    CPX        *dst = (CPX *) pDst;
    
    
    {CPX a, a01, a11, a2, a21, a3, a4, a5, a6, a7, a8, a9, s, s01, s02, s03, s04, s05, s06, s11, s12, s13
        , s14, s15, s16, s2, s21, s22, s23, s24, s25, s3, s31, s32, s33, s34, s35, s4, s41, s42, s43, s44, s45, s5
        , s51, s52, s53, s54, s55, s6, s61, s62, s63, s64, s65, s7, s71, s72, s73, s74, s75, s8, s81, s82, s83, s84
        , s85, s9, s91, s92, s93, s94, s95, t, t01, t02, t03, t04, t05, t06, t07, t08, t09, t0a, t0b, t0c, t0d, t0e
        , t11, t12, t13, t14, t15, t16, t17, t18, t19, t1a, t1b, t1c, t1d, t1e, t2, t21, t22, t23, t24, t25, t26, t27
        , t28, t29, t2a, t2b, t2c, t2d, t2e, t3, t31, t32, t33, t34, t35, t36, t37, t38, t39, t3a, t3b, t3c, t3d, t3e
        , t4, t41, t42, t43, t44, t45, t46, t47, t48, t49, t4a, t4b, t4c, t4d, t4e, t5, t51, t52, t53, t54, t55, t56
        , t57, t58, t59, t5a, t5b, t5c, t5d, t5e, t6, t61, t62, t63, t64, t65, t66, t67, t68, t69, t6a, t6b, t6c, t6d
        , t6e, t7, t71, t72, t73, t74, t75, t76, t77, t78, t79, t7a, t7b, t7c, t7d, t7e, t8, t81, t82, t83, t84, t85
        , t86, t87, t88, t89, t8a, t8b, t8c, t8d, t9, t91, t92, t93, t94, t95, t96, t97, t98, t99, t9a, t9b, t9c, t9d;
    s = LOADU_CPX(src);
    s2 = LOADU_CPX((src + 16));
    t = ADD_CPX_CPX(s, s2);
    t2 = SUB_CPX_CPX(s, s2);
    s3 = LOADU_CPX((src + 8));
    s4 = LOADU_CPX((src + 24));
    t3 = ADD_CPX_CPX(s3, s4);
    s5 = MUL_I_CPX(SUB_CPX_CPX(s3, s4));
    t4 = ADD_CPX_CPX(t, t3);
    t5 = SUB_CPX_CPX(t, t3);
    t6 = ADD_CPX_CPX(t2, s5);
    t7 = SUB_CPX_CPX(t2, s5);
    s6 = LOADU_CPX((src + 4));
    s7 = LOADU_CPX((src + 28));
    t8 = ADD_CPX_CPX(s6, s7);
    t9 = ADD_CPX_CPX(MUL_I_CPX(s6), MUL_NI_CPX(s7));
    s8 = LOADU_CPX((src + 20));
    s9 = LOADU_CPX((src + 12));
    t01 = ADD_CPX_CPX(s8, s9);
    t11 = ADD_CPX_CPX(MUL_I_CPX(s8), MUL_NI_CPX(s9));
    t21 = ADD_CPX_CPX(t8, t01);
    t31 = ADD_CPX_CPX(t9, t11);
    a = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8, t01));
    a2 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9, t11));
    s01 = ADD_CPX_CPX(a, a2);
    s11 = SUB_CPX_CPX(a2, a);
    t41 = ADD_CPX_CPX(t4, t21);
    t51 = ADD_CPX_CPX(t5, t31);
    t61 = SUB_CPX_CPX(t4, t21);
    t71 = SUB_CPX_CPX(t5, t31);
    t81 = ADD_CPX_CPX(t6, s01);
    t91 = ADD_CPX_CPX(t7, s11);
    t02 = SUB_CPX_CPX(t6, s01);
    t12 = SUB_CPX_CPX(t7, s11);
    s21 = LOADU_CPX((src + 1));
    s31 = LOADU_CPX((src + 31));
    t22 = ADD_CPX_CPX(s21, s31);
    t32 = ADD_CPX_CPX(MUL_I_CPX(s21), MUL_NI_CPX(s31));
    s41 = LOADU_CPX((src + 9));
    s51 = LOADU_CPX((src + 23));
    t42 = ADD_CPX_CPX(s41, s51);
    t52 = ADD_CPX_CPX(MUL_I_CPX(s41), MUL_NI_CPX(s51));
    s61 = LOADU_CPX((src + 17));
    s71 = LOADU_CPX((src + 15));
    t62 = ADD_CPX_CPX(s61, s71);
    t72 = ADD_CPX_CPX(MUL_I_CPX(s61), MUL_NI_CPX(s71));
    s81 = LOADU_CPX((src + 25));
    s91 = LOADU_CPX((src + 7));
    t82 = ADD_CPX_CPX(s81, s91);
    t92 = ADD_CPX_CPX(MUL_I_CPX(s81), MUL_NI_CPX(s91));
    t03 = ADD_CPX_CPX(t22, t62);
    t13 = ADD_CPX_CPX(t32, t72);
    t23 = SUB_CPX_CPX(t22, t62);
    t33 = SUB_CPX_CPX(t32, t72);
    t43 = ADD_CPX_CPX(t42, t82);
    t53 = ADD_CPX_CPX(t52, t92);
    t63 = SUB_CPX_CPX(t42, t82);
    t73 = SUB_CPX_CPX(t52, t92);
    t83 = ADD_CPX_CPX(t03, t43);
    t93 = ADD_CPX_CPX(t13, t53);
    t04 = SUB_CPX_CPX(t03, t43);
    t14 = SUB_CPX_CPX(t13, t53);
    t24 = ADD_CPX_CPX(t23, t73);
    t34 = SUB_CPX_CPX(t33, t63);
    t44 = SUB_CPX_CPX(t23, t73);
    t54 = ADD_CPX_CPX(t33, t63);
    s02 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t24), MUL_FLT_CPX(C_FLT(0.19509032201612828), t34));
    s12 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t34), MUL_FLT_CPX(C_FLT(0.19509032201612828), t24));
    s22 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t04), MUL_FLT_CPX(C_FLT(0.38268343236508978), t14));
    s32 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t14), MUL_FLT_CPX(C_FLT(0.38268343236508978), t04));
    s42 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t44), MUL_FLT_CPX(C_FLT(0.55557023301960218), t54));
    s52 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t54), MUL_FLT_CPX(C_FLT(0.55557023301960218), t44));
    s62 = LOADU_CPX((src + 2));
    s72 = LOADU_CPX((src + 30));
    t64 = ADD_CPX_CPX(s62, s72);
    t74 = ADD_CPX_CPX(MUL_I_CPX(s62), MUL_NI_CPX(s72));
    s82 = LOADU_CPX((src + 10));
    s92 = LOADU_CPX((src + 22));
    t84 = ADD_CPX_CPX(s82, s92);
    t94 = ADD_CPX_CPX(MUL_I_CPX(s82), MUL_NI_CPX(s92));
    s03 = LOADU_CPX((src + 18));
    s13 = LOADU_CPX((src + 14));
    t05 = ADD_CPX_CPX(s03, s13);
    t15 = ADD_CPX_CPX(MUL_I_CPX(s03), MUL_NI_CPX(s13));
    s23 = LOADU_CPX((src + 26));
    s33 = LOADU_CPX((src + 6));
    t25 = ADD_CPX_CPX(s23, s33);
    t35 = ADD_CPX_CPX(MUL_I_CPX(s23), MUL_NI_CPX(s33));
    t45 = ADD_CPX_CPX(t64, t05);
    t55 = ADD_CPX_CPX(t74, t15);
    t65 = SUB_CPX_CPX(t64, t05);
    t75 = SUB_CPX_CPX(t74, t15);
    t85 = ADD_CPX_CPX(t84, t25);
    t95 = ADD_CPX_CPX(t94, t35);
    t06 = SUB_CPX_CPX(t84, t25);
    t16 = SUB_CPX_CPX(t94, t35);
    t26 = ADD_CPX_CPX(t45, t85);
    t36 = ADD_CPX_CPX(t55, t95);
    t46 = ADD_CPX_CPX(t65, t16);
    t56 = SUB_CPX_CPX(t75, t06);
    t66 = SUB_CPX_CPX(t65, t16);
    t76 = ADD_CPX_CPX(t75, t06);
    s43 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t46), MUL_FLT_CPX(C_FLT(0.38268343236508978), t56));
    s53 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t56), MUL_FLT_CPX(C_FLT(0.38268343236508978), t46));
    a3 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t45, t85));
    a4 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t55, t95));
    s63 = ADD_CPX_CPX(a3, a4);
    s73 = SUB_CPX_CPX(a4, a3);
    s83 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t66), MUL_FLT_CPX(C_FLT(0.92387953251128674), t76));
    s93 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t76), MUL_FLT_CPX(C_FLT(0.92387953251128674), t66));
    s04 = LOADU_CPX((src + 3));
    s14 = LOADU_CPX((src + 29));
    t86 = ADD_CPX_CPX(s04, s14);
    t96 = ADD_CPX_CPX(MUL_I_CPX(s04), MUL_NI_CPX(s14));
    s24 = LOADU_CPX((src + 11));
    s34 = LOADU_CPX((src + 21));
    t07 = ADD_CPX_CPX(s24, s34);
    t17 = ADD_CPX_CPX(MUL_I_CPX(s24), MUL_NI_CPX(s34));
    s44 = LOADU_CPX((src + 19));
    s54 = LOADU_CPX((src + 13));
    t27 = ADD_CPX_CPX(s44, s54);
    t37 = ADD_CPX_CPX(MUL_I_CPX(s44), MUL_NI_CPX(s54));
    s64 = LOADU_CPX((src + 27));
    s74 = LOADU_CPX((src + 5));
    t47 = ADD_CPX_CPX(s64, s74);
    t57 = ADD_CPX_CPX(MUL_I_CPX(s64), MUL_NI_CPX(s74));
    t67 = ADD_CPX_CPX(t86, t27);
    t77 = ADD_CPX_CPX(t96, t37);
    t87 = SUB_CPX_CPX(t86, t27);
    t97 = SUB_CPX_CPX(t96, t37);
    t08 = ADD_CPX_CPX(t07, t47);
    t18 = ADD_CPX_CPX(t17, t57);
    t28 = SUB_CPX_CPX(t07, t47);
    t38 = SUB_CPX_CPX(t17, t57);
    t48 = ADD_CPX_CPX(t67, t08);
    t58 = ADD_CPX_CPX(t77, t18);
    t68 = SUB_CPX_CPX(t67, t08);
    t78 = SUB_CPX_CPX(t77, t18);
    t88 = ADD_CPX_CPX(t87, t38);
    t98 = SUB_CPX_CPX(t97, t28);
    t09 = SUB_CPX_CPX(t87, t38);
    t19 = ADD_CPX_CPX(t97, t28);
    s84 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t88), MUL_FLT_CPX(C_FLT(0.55557023301960218), t98));
    s94 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t98), MUL_FLT_CPX(C_FLT(0.55557023301960218), t88));
    s05 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t68), MUL_FLT_CPX(C_FLT(0.92387953251128674), t78));
    s15 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t78), MUL_FLT_CPX(C_FLT(0.92387953251128674), t68));
    s25 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t19), MUL_FLT_CPX(C_FLT(0.19509032201612828), t09));
    s35 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t09), MUL_FLT_CPX(C_FLT(0.19509032201612828), t19));
    t29 = ADD_CPX_CPX(t41, t26);
    t39 = ADD_CPX_CPX(t61, t36);
    t49 = SUB_CPX_CPX(t41, t26);
    t59 = SUB_CPX_CPX(t61, t36);
    t69 = ADD_CPX_CPX(t83, t48);
    t79 = SUB_CPX_CPX(t93, t58);
    a5 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t83, t48));
    a6 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t93, t58));
    s45 = ADD_CPX_CPX(a5, a6);
    s55 = SUB_CPX_CPX(a6, a5);
    t89 = ADD_CPX_CPX(t29, t69);
    t99 = ADD_CPX_CPX(t49, t79);
    t0a = SUB_CPX_CPX(t29, t69);
    t1a = SUB_CPX_CPX(t49, t79);
    STOREU_CPX(dst, t89);
    STOREU_CPX((dst + 8), t99);
    STOREU_CPX((dst + 16), t0a);
    STOREU_CPX((dst + 24), t1a);
    t2a = ADD_CPX_CPX(t39, s45);
    t3a = ADD_CPX_CPX(t59, s55);
    t4a = SUB_CPX_CPX(t39, s45);
    t5a = SUB_CPX_CPX(t59, s55);
    STOREU_CPX((dst + 4), t2a);
    STOREU_CPX((dst + 12), t3a);
    STOREU_CPX((dst + 20), t4a);
    STOREU_CPX((dst + 28), t5a);
    t6a = ADD_CPX_CPX(t81, s43);
    t7a = ADD_CPX_CPX(t02, s53);
    t8a = SUB_CPX_CPX(t81, s43);
    t9a = SUB_CPX_CPX(t02, s53);
    t0b = ADD_CPX_CPX(s02, s84);
    t1b = SUB_CPX_CPX(s12, s94);
    a7 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s02, s84));
    a8 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s12, s94));
    s65 = ADD_CPX_CPX(a7, a8);
    s75 = SUB_CPX_CPX(a8, a7);
    t2b = ADD_CPX_CPX(t6a, t0b);
    t3b = ADD_CPX_CPX(t8a, t1b);
    t4b = SUB_CPX_CPX(t6a, t0b);
    t5b = SUB_CPX_CPX(t8a, t1b);
    STOREU_CPX((dst + 1), t2b);
    STOREU_CPX((dst + 9), t3b);
    STOREU_CPX((dst + 17), t4b);
    STOREU_CPX((dst + 25), t5b);
    t6b = ADD_CPX_CPX(t7a, s65);
    t7b = ADD_CPX_CPX(t9a, s75);
    t8b = SUB_CPX_CPX(t7a, s65);
    t9b = SUB_CPX_CPX(t9a, s75);
    STOREU_CPX((dst + 5), t6b);
    STOREU_CPX((dst + 13), t7b);
    STOREU_CPX((dst + 21), t8b);
    STOREU_CPX((dst + 29), t9b);
    t0c = ADD_CPX_CPX(t51, s63);
    t1c = ADD_CPX_CPX(t71, s73);
    t2c = SUB_CPX_CPX(t51, s63);
    t3c = SUB_CPX_CPX(t71, s73);
    t4c = ADD_CPX_CPX(s22, s05);
    t5c = SUB_CPX_CPX(s32, s15);
    a9 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s22, s05));
    a01 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s32, s15));
    s85 = ADD_CPX_CPX(a9, a01);
    s95 = SUB_CPX_CPX(a01, a9);
    t6c = ADD_CPX_CPX(t0c, t4c);
    t7c = ADD_CPX_CPX(t2c, t5c);
    t8c = SUB_CPX_CPX(t0c, t4c);
    t9c = SUB_CPX_CPX(t2c, t5c);
    STOREU_CPX((dst + 2), t6c);
    STOREU_CPX((dst + 10), t7c);
    STOREU_CPX((dst + 18), t8c);
    STOREU_CPX((dst + 26), t9c);
    t0d = ADD_CPX_CPX(t1c, s85);
    t1d = ADD_CPX_CPX(t3c, s95);
    t2d = SUB_CPX_CPX(t1c, s85);
    t3d = SUB_CPX_CPX(t3c, s95);
    STOREU_CPX((dst + 6), t0d);
    STOREU_CPX((dst + 14), t1d);
    STOREU_CPX((dst + 22), t2d);
    STOREU_CPX((dst + 30), t3d);
    t4d = ADD_CPX_CPX(t91, s83);
    t5d = ADD_CPX_CPX(t12, s93);
    t6d = SUB_CPX_CPX(t91, s83);
    t7d = SUB_CPX_CPX(t12, s93);
    t8d = ADD_CPX_CPX(s42, s25);
    t9d = ADD_CPX_CPX(s52, s35);
    a11 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s42, s25));
    a21 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s52, s35));
    s06 = ADD_CPX_CPX(a11, a21);
    s16 = SUB_CPX_CPX(a21, a11);
    t0e = ADD_CPX_CPX(t4d, t8d);
    t1e = ADD_CPX_CPX(t6d, t9d);
    t2e = SUB_CPX_CPX(t4d, t8d);
    t3e = SUB_CPX_CPX(t6d, t9d);
    STOREU_CPX((dst + 3), t0e);
    STOREU_CPX((dst + 11), t1e);
    STOREU_CPX((dst + 19), t2e);
    STOREU_CPX((dst + 27), t3e);
    t4e = ADD_CPX_CPX(t5d, s06);
    t5e = ADD_CPX_CPX(t7d, s16);
    t6e = SUB_CPX_CPX(t5d, s06);
    t7e = SUB_CPX_CPX(t7d, s16);
    STOREU_CPX((dst + 7), t4e);
    STOREU_CPX((dst + 15), t5e);
    STOREU_CPX((dst + 23), t6e);
    STOREU_CPX((dst + 31), t7e);
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_fftinv_double_32)(const double *pSrc, double *pDst ) {
    if (!is_aligned(pSrc) || !is_aligned(pDst))
       	return spiral_fftinv_double_32_unaligned(pSrc, pDst );
    else {
    const CPX  *src = (const CPX *) pSrc; 
    CPX        *dst = (CPX *) pDst;
    
    
    {const CPX  *a, *a01, *a02, *a03, *a11, *a12, *a13, *a2, *a21, *a22, *a23, *a3, *a31, *a32, *a33, *a4, *a41, *a42, *a43, *a5, *a51, *a52
            , *a53, *a6, *a61, *a7, *a71, *a81, *a82, *a91, *a92;
    CPX a04, a14, a24, a34, a62, a63, a72, a73, a8, a83, a9, a93, s, s01, s02, s11, s12, s2, s21, s22, s3, s31
        , s32, s4, s41, s42, s5, s51, s52, s6, s61, s62, s7, s71, s72, s8, s81, s82, s9, s91, s92, t, t01, t02
        , t03, t04, t05, t06, t07, t08, t09, t0a, t0b, t11, t12, t13, t14, t15, t16, t17, t18, t19, t1a, t1b, t2, t21
        , t22, t23, t24, t25, t26, t27, t28, t29, t2a, t2b, t3, t31, t32, t33, t34, t35, t36, t37, t38, t39, t3a, t3b
        , t4, t41, t42, t43, t44, t45, t46, t47, t48, t49, t4a, t4b, t5, t51, t52, t53, t54, t55, t56, t57, t58, t59
        , t5a, t5b, t6, t61, t62, t63, t64, t65, t66, t67, t68, t69, t6a, t7, t71, t72, t73, t74, t75, t76, t77, t78
        , t79, t7a, t8, t81, t82, t83, t84, t85, t86, t87, t88, t89, t8a, t9, t91, t92, t93, t94, t95, t96, t97, t98
        , t99, t9a;
    a = (src + 16);
    t = ADD_CPX_CPX(*(src), *(a));
    t2 = SUB_CPX_CPX(*(src), *(a));
    a2 = (src + 8);
    a3 = (src + 24);
    t3 = ADD_CPX_CPX(*(a2), *(a3));
    s = MUL_I_CPX(SUB_CPX_CPX(*(a2), *(a3)));
    t4 = ADD_CPX_CPX(t, t3);
    t5 = SUB_CPX_CPX(t, t3);
    t6 = ADD_CPX_CPX(t2, s);
    t7 = SUB_CPX_CPX(t2, s);
    a4 = (src + 4);
    a5 = (src + 28);
    t8 = ADD_CPX_CPX(*(a4), *(a5));
    t9 = ADD_CPX_CPX(MUL_I_CPX(*(a4)), MUL_NI_CPX(*(a5)));
    a6 = (src + 20);
    a7 = (src + 12);
    t01 = ADD_CPX_CPX(*(a6), *(a7));
    t11 = ADD_CPX_CPX(MUL_I_CPX(*(a6)), MUL_NI_CPX(*(a7)));
    t21 = ADD_CPX_CPX(t8, t01);
    t31 = ADD_CPX_CPX(t9, t11);
    a8 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8, t01));
    a9 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9, t11));
    s2 = ADD_CPX_CPX(a8, a9);
    s3 = SUB_CPX_CPX(a9, a8);
    t41 = ADD_CPX_CPX(t4, t21);
    t51 = ADD_CPX_CPX(t5, t31);
    t61 = SUB_CPX_CPX(t4, t21);
    t71 = SUB_CPX_CPX(t5, t31);
    t81 = ADD_CPX_CPX(t6, s2);
    t91 = ADD_CPX_CPX(t7, s3);
    t02 = SUB_CPX_CPX(t6, s2);
    t12 = SUB_CPX_CPX(t7, s3);
    a01 = (src + 1);
    a11 = (src + 31);
    t22 = ADD_CPX_CPX(*(a01), *(a11));
    t32 = ADD_CPX_CPX(MUL_I_CPX(*(a01)), MUL_NI_CPX(*(a11)));
    a21 = (src + 9);
    a31 = (src + 23);
    t42 = ADD_CPX_CPX(*(a21), *(a31));
    t52 = ADD_CPX_CPX(MUL_I_CPX(*(a21)), MUL_NI_CPX(*(a31)));
    a41 = (src + 17);
    a51 = (src + 15);
    t62 = ADD_CPX_CPX(*(a41), *(a51));
    t72 = ADD_CPX_CPX(MUL_I_CPX(*(a41)), MUL_NI_CPX(*(a51)));
    a61 = (src + 25);
    a71 = (src + 7);
    t82 = ADD_CPX_CPX(*(a61), *(a71));
    t92 = ADD_CPX_CPX(MUL_I_CPX(*(a61)), MUL_NI_CPX(*(a71)));
    t03 = ADD_CPX_CPX(t22, t62);
    t13 = ADD_CPX_CPX(t32, t72);
    t23 = SUB_CPX_CPX(t22, t62);
    t33 = SUB_CPX_CPX(t32, t72);
    t43 = ADD_CPX_CPX(t42, t82);
    t53 = ADD_CPX_CPX(t52, t92);
    t63 = SUB_CPX_CPX(t42, t82);
    t73 = SUB_CPX_CPX(t52, t92);
    t83 = ADD_CPX_CPX(t03, t43);
    t93 = ADD_CPX_CPX(t13, t53);
    t04 = SUB_CPX_CPX(t03, t43);
    t14 = SUB_CPX_CPX(t13, t53);
    t24 = ADD_CPX_CPX(t23, t73);
    t34 = SUB_CPX_CPX(t33, t63);
    t44 = SUB_CPX_CPX(t23, t73);
    t54 = ADD_CPX_CPX(t33, t63);
    s4 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t24), MUL_FLT_CPX(C_FLT(0.19509032201612828), t34));
    s5 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t34), MUL_FLT_CPX(C_FLT(0.19509032201612828), t24));
    s6 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t04), MUL_FLT_CPX(C_FLT(0.38268343236508978), t14));
    s7 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t14), MUL_FLT_CPX(C_FLT(0.38268343236508978), t04));
    s8 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t44), MUL_FLT_CPX(C_FLT(0.55557023301960218), t54));
    s9 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t54), MUL_FLT_CPX(C_FLT(0.55557023301960218), t44));
    a81 = (src + 2);
    a91 = (src + 30);
    t64 = ADD_CPX_CPX(*(a81), *(a91));
    t74 = ADD_CPX_CPX(MUL_I_CPX(*(a81)), MUL_NI_CPX(*(a91)));
    a02 = (src + 10);
    a12 = (src + 22);
    t84 = ADD_CPX_CPX(*(a02), *(a12));
    t94 = ADD_CPX_CPX(MUL_I_CPX(*(a02)), MUL_NI_CPX(*(a12)));
    a22 = (src + 18);
    a32 = (src + 14);
    t05 = ADD_CPX_CPX(*(a22), *(a32));
    t15 = ADD_CPX_CPX(MUL_I_CPX(*(a22)), MUL_NI_CPX(*(a32)));
    a42 = (src + 26);
    a52 = (src + 6);
    t25 = ADD_CPX_CPX(*(a42), *(a52));
    t35 = ADD_CPX_CPX(MUL_I_CPX(*(a42)), MUL_NI_CPX(*(a52)));
    t45 = ADD_CPX_CPX(t64, t05);
    t55 = ADD_CPX_CPX(t74, t15);
    t65 = SUB_CPX_CPX(t64, t05);
    t75 = SUB_CPX_CPX(t74, t15);
    t85 = ADD_CPX_CPX(t84, t25);
    t95 = ADD_CPX_CPX(t94, t35);
    t06 = SUB_CPX_CPX(t84, t25);
    t16 = SUB_CPX_CPX(t94, t35);
    t26 = ADD_CPX_CPX(t45, t85);
    t36 = ADD_CPX_CPX(t55, t95);
    t46 = ADD_CPX_CPX(t65, t16);
    t56 = SUB_CPX_CPX(t75, t06);
    t66 = SUB_CPX_CPX(t65, t16);
    t76 = ADD_CPX_CPX(t75, t06);
    s01 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t46), MUL_FLT_CPX(C_FLT(0.38268343236508978), t56));
    s11 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t56), MUL_FLT_CPX(C_FLT(0.38268343236508978), t46));
    a62 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t45, t85));
    a72 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t55, t95));
    s21 = ADD_CPX_CPX(a62, a72);
    s31 = SUB_CPX_CPX(a72, a62);
    s41 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t66), MUL_FLT_CPX(C_FLT(0.92387953251128674), t76));
    s51 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t76), MUL_FLT_CPX(C_FLT(0.92387953251128674), t66));
    a82 = (src + 3);
    a92 = (src + 29);
    t86 = ADD_CPX_CPX(*(a82), *(a92));
    t96 = ADD_CPX_CPX(MUL_I_CPX(*(a82)), MUL_NI_CPX(*(a92)));
    a03 = (src + 11);
    a13 = (src + 21);
    t07 = ADD_CPX_CPX(*(a03), *(a13));
    t17 = ADD_CPX_CPX(MUL_I_CPX(*(a03)), MUL_NI_CPX(*(a13)));
    a23 = (src + 19);
    a33 = (src + 13);
    t27 = ADD_CPX_CPX(*(a23), *(a33));
    t37 = ADD_CPX_CPX(MUL_I_CPX(*(a23)), MUL_NI_CPX(*(a33)));
    a43 = (src + 27);
    a53 = (src + 5);
    t47 = ADD_CPX_CPX(*(a43), *(a53));
    t57 = ADD_CPX_CPX(MUL_I_CPX(*(a43)), MUL_NI_CPX(*(a53)));
    t67 = ADD_CPX_CPX(t86, t27);
    t77 = ADD_CPX_CPX(t96, t37);
    t87 = SUB_CPX_CPX(t86, t27);
    t97 = SUB_CPX_CPX(t96, t37);
    t08 = ADD_CPX_CPX(t07, t47);
    t18 = ADD_CPX_CPX(t17, t57);
    t28 = SUB_CPX_CPX(t07, t47);
    t38 = SUB_CPX_CPX(t17, t57);
    t48 = ADD_CPX_CPX(t67, t08);
    t58 = ADD_CPX_CPX(t77, t18);
    t68 = SUB_CPX_CPX(t67, t08);
    t78 = SUB_CPX_CPX(t77, t18);
    t88 = ADD_CPX_CPX(t87, t38);
    t98 = SUB_CPX_CPX(t97, t28);
    t09 = SUB_CPX_CPX(t87, t38);
    t19 = ADD_CPX_CPX(t97, t28);
    s61 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t88), MUL_FLT_CPX(C_FLT(0.55557023301960218), t98));
    s71 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t98), MUL_FLT_CPX(C_FLT(0.55557023301960218), t88));
    s81 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t68), MUL_FLT_CPX(C_FLT(0.92387953251128674), t78));
    s91 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t78), MUL_FLT_CPX(C_FLT(0.92387953251128674), t68));
    s02 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t19), MUL_FLT_CPX(C_FLT(0.19509032201612828), t09));
    s12 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t09), MUL_FLT_CPX(C_FLT(0.19509032201612828), t19));
    t29 = ADD_CPX_CPX(t41, t26);
    t39 = ADD_CPX_CPX(t61, t36);
    t49 = SUB_CPX_CPX(t41, t26);
    t59 = SUB_CPX_CPX(t61, t36);
    t69 = ADD_CPX_CPX(t83, t48);
    t79 = SUB_CPX_CPX(t93, t58);
    a63 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t83, t48));
    a73 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t93, t58));
    s22 = ADD_CPX_CPX(a63, a73);
    s32 = SUB_CPX_CPX(a73, a63);
    *(dst) = ADD_CPX_CPX(t29, t69);
    *((dst + 8)) = ADD_CPX_CPX(t49, t79);
    *((dst + 16)) = SUB_CPX_CPX(t29, t69);
    *((dst + 24)) = SUB_CPX_CPX(t49, t79);
    *((dst + 4)) = ADD_CPX_CPX(t39, s22);
    *((dst + 12)) = ADD_CPX_CPX(t59, s32);
    *((dst + 20)) = SUB_CPX_CPX(t39, s22);
    *((dst + 28)) = SUB_CPX_CPX(t59, s32);
    t89 = ADD_CPX_CPX(t81, s01);
    t99 = ADD_CPX_CPX(t02, s11);
    t0a = SUB_CPX_CPX(t81, s01);
    t1a = SUB_CPX_CPX(t02, s11);
    t2a = ADD_CPX_CPX(s4, s61);
    t3a = SUB_CPX_CPX(s5, s71);
    a83 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4, s61));
    a93 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5, s71));
    s42 = ADD_CPX_CPX(a83, a93);
    s52 = SUB_CPX_CPX(a93, a83);
    *((dst + 1)) = ADD_CPX_CPX(t89, t2a);
    *((dst + 9)) = ADD_CPX_CPX(t0a, t3a);
    *((dst + 17)) = SUB_CPX_CPX(t89, t2a);
    *((dst + 25)) = SUB_CPX_CPX(t0a, t3a);
    *((dst + 5)) = ADD_CPX_CPX(t99, s42);
    *((dst + 13)) = ADD_CPX_CPX(t1a, s52);
    *((dst + 21)) = SUB_CPX_CPX(t99, s42);
    *((dst + 29)) = SUB_CPX_CPX(t1a, s52);
    t4a = ADD_CPX_CPX(t51, s21);
    t5a = ADD_CPX_CPX(t71, s31);
    t6a = SUB_CPX_CPX(t51, s21);
    t7a = SUB_CPX_CPX(t71, s31);
    t8a = ADD_CPX_CPX(s6, s81);
    t9a = SUB_CPX_CPX(s7, s91);
    a04 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s6, s81));
    a14 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s7, s91));
    s62 = ADD_CPX_CPX(a04, a14);
    s72 = SUB_CPX_CPX(a14, a04);
    *((dst + 2)) = ADD_CPX_CPX(t4a, t8a);
    *((dst + 10)) = ADD_CPX_CPX(t6a, t9a);
    *((dst + 18)) = SUB_CPX_CPX(t4a, t8a);
    *((dst + 26)) = SUB_CPX_CPX(t6a, t9a);
    *((dst + 6)) = ADD_CPX_CPX(t5a, s62);
    *((dst + 14)) = ADD_CPX_CPX(t7a, s72);
    *((dst + 22)) = SUB_CPX_CPX(t5a, s62);
    *((dst + 30)) = SUB_CPX_CPX(t7a, s72);
    t0b = ADD_CPX_CPX(t91, s41);
    t1b = ADD_CPX_CPX(t12, s51);
    t2b = SUB_CPX_CPX(t91, s41);
    t3b = SUB_CPX_CPX(t12, s51);
    t4b = ADD_CPX_CPX(s8, s02);
    t5b = ADD_CPX_CPX(s9, s12);
    a24 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s8, s02));
    a34 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s9, s12));
    s82 = ADD_CPX_CPX(a24, a34);
    s92 = SUB_CPX_CPX(a34, a24);
    *((dst + 3)) = ADD_CPX_CPX(t0b, t4b);
    *((dst + 11)) = ADD_CPX_CPX(t2b, t5b);
    *((dst + 19)) = SUB_CPX_CPX(t0b, t4b);
    *((dst + 27)) = SUB_CPX_CPX(t2b, t5b);
    *((dst + 7)) = ADD_CPX_CPX(t1b, s82);
    *((dst + 15)) = ADD_CPX_CPX(t3b, s92);
    *((dst + 23)) = SUB_CPX_CPX(t1b, s82);
    *((dst + 31)) = SUB_CPX_CPX(t3b, s92);
    }
    
    return SPIRAL_OK;
    }
}

SPIRAL_PRIV(spiral_status_t, spiral_fftinv_double_64_unaligned)(const double *pSrc, double *pDst ) {
    const CPX  *src = (const CPX *) pSrc; 
    CPX        *dst = (CPX *) pDst;
    
    
    {CPX a, a01, a02, a11, a12, a2, a21, a22, a3, a31, a32, a4, a41, a42, a5, a51, a52, a6, a61, a62, a7, a71
        , a72, a8, a81, a82, a9, a91, s, s01, s02, s03, s04, s05, s06, s07, s08, s09, s0a, s0b, s0c, s0d, s0e, s11
        , s12, s13, s14, s15, s16, s17, s18, s19, s1a, s1b, s1c, s1d, s1e, s2, s21, s22, s23, s24, s25, s26, s27, s28
        , s29, s2a, s2b, s2c, s2d, s2e, s3, s31, s32, s33, s34, s35, s36, s37, s38, s39, s3a, s3b, s3c, s3d, s3e, s4
        , s41, s42, s43, s44, s45, s46, s47, s48, s49, s4a, s4b, s4c, s4d, s4e, s5, s51, s52, s53, s54, s55, s56, s57
        , s58, s59, s5a, s5b, s5c, s5d, s5e, s6, s61, s62, s63, s64, s65, s66, s67, s68, s69, s6a, s6b, s6c, s6d, s6e
        , s7, s71, s72, s73, s74, s75, s76, s77, s78, s79, s7a, s7b, s7c, s7d, s7e, s8, s81, s82, s83, s84, s85, s86
        , s87, s88, s89, s8a, s8b, s8c, s8d, s8e, s9, s91, s92, s93, s94, s95, s96, s97, s98, s99, s9a, s9b, s9c, s9d
        , s9e, t, t01, t02, t03, t04, t05, t06, t07, t08, t09, t0a, t0b, t0c, t0d, t0e, t0f, t0g, t0h, t0i, t0j, t0k
        , t0l, t0m, t0n, t0o, t0p, t0q, t0r, t0s, t0t, t0u, t0v, t0w, t0x, t0y, t0z, t11, t12, t13, t14, t15, t16, t17
        , t18, t19, t1a, t1b, t1c, t1d, t1e, t1f, t1g, t1h, t1i, t1j, t1k, t1l, t1m, t1n, t1o, t1p, t1q, t1r, t1s, t1t
        , t1u, t1v, t1w, t1x, t1y, t1z, t2, t21, t22, t23, t24, t25, t26, t27, t28, t29, t2a, t2b, t2c, t2d, t2e, t2f
        , t2g, t2h, t2i, t2j, t2k, t2l, t2m, t2n, t2o, t2p, t2q, t2r, t2s, t2t, t2u, t2v, t2w, t2x, t2y, t2z, t3, t31
        , t32, t33, t34, t35, t36, t37, t38, t39, t3a, t3b, t3c, t3d, t3e, t3f, t3g, t3h, t3i, t3j, t3k, t3l, t3m, t3n
        , t3o, t3p, t3q, t3r, t3s, t3t, t3u, t3v, t3w, t3x, t3y, t3z, t4, t41, t42, t43, t44, t45, t46, t47, t48, t49
        , t4a, t4b, t4c, t4d, t4e, t4f, t4g, t4h, t4i, t4j, t4k, t4l, t4m, t4n, t4o, t4p, t4q, t4r, t4s, t4t, t4u, t4v
        , t4w, t4x, t4y, t4z, t5, t51, t52, t53, t54, t55, t56, t57, t58, t59, t5a, t5b, t5c, t5d, t5e, t5f, t5g, t5h
        , t5i, t5j, t5k, t5l, t5m, t5n, t5o, t5p, t5q, t5r, t5s, t5t, t5u, t5v, t5w, t5x, t5y, t5z, t6, t61, t62, t63
        , t64, t65, t66, t67, t68, t69, t6a, t6b, t6c, t6d, t6e, t6f, t6g, t6h, t6i, t6j, t6k, t6l, t6m, t6n, t6o, t6p
        , t6q, t6r, t6s, t6t, t6u, t6v, t6w, t6x, t6y, t7, t71, t72, t73, t74, t75, t76, t77, t78, t79, t7a, t7b, t7c
        , t7d, t7e, t7f, t7g, t7h, t7i, t7j, t7k, t7l, t7m, t7n, t7o, t7p, t7q, t7r, t7s, t7t, t7u, t7v, t7w, t7x, t7y
        , t8, t81, t82, t83, t84, t85, t86, t87, t88, t89, t8a, t8b, t8c, t8d, t8e, t8f, t8g, t8h, t8i, t8j, t8k, t8l
        , t8m, t8n, t8o, t8p, t8q, t8r, t8s, t8t, t8u, t8v, t8w, t8x, t8y, t9, t91, t92, t93, t94, t95, t96, t97, t98
        , t99, t9a, t9b, t9c, t9d, t9e, t9f, t9g, t9h, t9i, t9j, t9k, t9l, t9m, t9n, t9o, t9p, t9q, t9r, t9s, t9t, t9u
        , t9v, t9w, t9x, t9y;
    s = LOADU_CPX(src);
    s2 = LOADU_CPX((src + 32));
    t = ADD_CPX_CPX(s, s2);
    t2 = SUB_CPX_CPX(s, s2);
    s3 = LOADU_CPX((src + 16));
    s4 = LOADU_CPX((src + 48));
    t3 = ADD_CPX_CPX(s3, s4);
    s5 = MUL_I_CPX(SUB_CPX_CPX(s3, s4));
    t4 = ADD_CPX_CPX(t, t3);
    t5 = SUB_CPX_CPX(t, t3);
    t6 = ADD_CPX_CPX(t2, s5);
    t7 = SUB_CPX_CPX(t2, s5);
    s6 = LOADU_CPX((src + 8));
    s7 = LOADU_CPX((src + 56));
    t8 = ADD_CPX_CPX(s6, s7);
    t9 = ADD_CPX_CPX(MUL_I_CPX(s6), MUL_NI_CPX(s7));
    s8 = LOADU_CPX((src + 40));
    s9 = LOADU_CPX((src + 24));
    t01 = ADD_CPX_CPX(s8, s9);
    t11 = ADD_CPX_CPX(MUL_I_CPX(s8), MUL_NI_CPX(s9));
    t21 = ADD_CPX_CPX(t8, t01);
    t31 = ADD_CPX_CPX(t9, t11);
    a = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8, t01));
    a2 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9, t11));
    s01 = ADD_CPX_CPX(a, a2);
    s11 = SUB_CPX_CPX(a2, a);
    t41 = ADD_CPX_CPX(t4, t21);
    t51 = ADD_CPX_CPX(t5, t31);
    t61 = SUB_CPX_CPX(t4, t21);
    t71 = SUB_CPX_CPX(t5, t31);
    t81 = ADD_CPX_CPX(t6, s01);
    t91 = ADD_CPX_CPX(t7, s11);
    t02 = SUB_CPX_CPX(t6, s01);
    t12 = SUB_CPX_CPX(t7, s11);
    s21 = LOADU_CPX((src + 1));
    s31 = LOADU_CPX((src + 63));
    t22 = ADD_CPX_CPX(s21, s31);
    t32 = ADD_CPX_CPX(MUL_I_CPX(s21), MUL_NI_CPX(s31));
    s41 = LOADU_CPX((src + 17));
    s51 = LOADU_CPX((src + 47));
    t42 = ADD_CPX_CPX(s41, s51);
    t52 = ADD_CPX_CPX(MUL_I_CPX(s41), MUL_NI_CPX(s51));
    s61 = LOADU_CPX((src + 33));
    s71 = LOADU_CPX((src + 31));
    t62 = ADD_CPX_CPX(s61, s71);
    t72 = ADD_CPX_CPX(MUL_I_CPX(s61), MUL_NI_CPX(s71));
    s81 = LOADU_CPX((src + 49));
    s91 = LOADU_CPX((src + 15));
    t82 = ADD_CPX_CPX(s81, s91);
    t92 = ADD_CPX_CPX(MUL_I_CPX(s81), MUL_NI_CPX(s91));
    t03 = ADD_CPX_CPX(t22, t62);
    t13 = ADD_CPX_CPX(t32, t72);
    t23 = SUB_CPX_CPX(t22, t62);
    t33 = SUB_CPX_CPX(t32, t72);
    t43 = ADD_CPX_CPX(t42, t82);
    t53 = ADD_CPX_CPX(t52, t92);
    t63 = SUB_CPX_CPX(t42, t82);
    t73 = SUB_CPX_CPX(t52, t92);
    t83 = ADD_CPX_CPX(t03, t43);
    t93 = ADD_CPX_CPX(t13, t53);
    t04 = SUB_CPX_CPX(t03, t43);
    t14 = SUB_CPX_CPX(t13, t53);
    t24 = ADD_CPX_CPX(t23, t73);
    t34 = SUB_CPX_CPX(t33, t63);
    t44 = SUB_CPX_CPX(t23, t73);
    t54 = ADD_CPX_CPX(t33, t63);
    s02 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), t24), MUL_FLT_CPX(C_FLT(0.098017140329560604), t34));
    s12 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), t34), MUL_FLT_CPX(C_FLT(0.098017140329560604), t24));
    s22 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t04), MUL_FLT_CPX(C_FLT(0.19509032201612828), t14));
    s32 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t14), MUL_FLT_CPX(C_FLT(0.19509032201612828), t04));
    s42 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), t44), MUL_FLT_CPX(C_FLT(0.29028467725446239), t54));
    s52 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), t54), MUL_FLT_CPX(C_FLT(0.29028467725446239), t44));
    s62 = LOADU_CPX((src + 2));
    s72 = LOADU_CPX((src + 62));
    t64 = ADD_CPX_CPX(s62, s72);
    t74 = ADD_CPX_CPX(MUL_I_CPX(s62), MUL_NI_CPX(s72));
    s82 = LOADU_CPX((src + 18));
    s92 = LOADU_CPX((src + 46));
    t84 = ADD_CPX_CPX(s82, s92);
    t94 = ADD_CPX_CPX(MUL_I_CPX(s82), MUL_NI_CPX(s92));
    s03 = LOADU_CPX((src + 34));
    s13 = LOADU_CPX((src + 30));
    t05 = ADD_CPX_CPX(s03, s13);
    t15 = ADD_CPX_CPX(MUL_I_CPX(s03), MUL_NI_CPX(s13));
    s23 = LOADU_CPX((src + 50));
    s33 = LOADU_CPX((src + 14));
    t25 = ADD_CPX_CPX(s23, s33);
    t35 = ADD_CPX_CPX(MUL_I_CPX(s23), MUL_NI_CPX(s33));
    t45 = ADD_CPX_CPX(t64, t05);
    t55 = ADD_CPX_CPX(t74, t15);
    t65 = SUB_CPX_CPX(t64, t05);
    t75 = SUB_CPX_CPX(t74, t15);
    t85 = ADD_CPX_CPX(t84, t25);
    t95 = ADD_CPX_CPX(t94, t35);
    t06 = SUB_CPX_CPX(t84, t25);
    t16 = SUB_CPX_CPX(t94, t35);
    t26 = ADD_CPX_CPX(t45, t85);
    t36 = ADD_CPX_CPX(t55, t95);
    t46 = SUB_CPX_CPX(t45, t85);
    t56 = SUB_CPX_CPX(t55, t95);
    t66 = ADD_CPX_CPX(t65, t16);
    t76 = SUB_CPX_CPX(t75, t06);
    t86 = SUB_CPX_CPX(t65, t16);
    t96 = ADD_CPX_CPX(t75, t06);
    s43 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t66), MUL_FLT_CPX(C_FLT(0.19509032201612828), t76));
    s53 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t76), MUL_FLT_CPX(C_FLT(0.19509032201612828), t66));
    s63 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t46), MUL_FLT_CPX(C_FLT(0.38268343236508978), t56));
    s73 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t56), MUL_FLT_CPX(C_FLT(0.38268343236508978), t46));
    s83 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t86), MUL_FLT_CPX(C_FLT(0.55557023301960218), t96));
    s93 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t96), MUL_FLT_CPX(C_FLT(0.55557023301960218), t86));
    s04 = LOADU_CPX((src + 3));
    s14 = LOADU_CPX((src + 61));
    t07 = ADD_CPX_CPX(s04, s14);
    t17 = ADD_CPX_CPX(MUL_I_CPX(s04), MUL_NI_CPX(s14));
    s24 = LOADU_CPX((src + 19));
    s34 = LOADU_CPX((src + 45));
    t27 = ADD_CPX_CPX(s24, s34);
    t37 = ADD_CPX_CPX(MUL_I_CPX(s24), MUL_NI_CPX(s34));
    s44 = LOADU_CPX((src + 35));
    s54 = LOADU_CPX((src + 29));
    t47 = ADD_CPX_CPX(s44, s54);
    t57 = ADD_CPX_CPX(MUL_I_CPX(s44), MUL_NI_CPX(s54));
    s64 = LOADU_CPX((src + 51));
    s74 = LOADU_CPX((src + 13));
    t67 = ADD_CPX_CPX(s64, s74);
    t77 = ADD_CPX_CPX(MUL_I_CPX(s64), MUL_NI_CPX(s74));
    t87 = ADD_CPX_CPX(t07, t47);
    t97 = ADD_CPX_CPX(t17, t57);
    t08 = SUB_CPX_CPX(t07, t47);
    t18 = SUB_CPX_CPX(t17, t57);
    t28 = ADD_CPX_CPX(t27, t67);
    t38 = ADD_CPX_CPX(t37, t77);
    t48 = SUB_CPX_CPX(t27, t67);
    t58 = SUB_CPX_CPX(t37, t77);
    t68 = ADD_CPX_CPX(t87, t28);
    t78 = ADD_CPX_CPX(t97, t38);
    t88 = SUB_CPX_CPX(t87, t28);
    t98 = SUB_CPX_CPX(t97, t38);
    t09 = ADD_CPX_CPX(t08, t58);
    t19 = SUB_CPX_CPX(t18, t48);
    t29 = SUB_CPX_CPX(t08, t58);
    t39 = ADD_CPX_CPX(t18, t48);
    s84 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), t09), MUL_FLT_CPX(C_FLT(0.29028467725446239), t19));
    s94 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), t19), MUL_FLT_CPX(C_FLT(0.29028467725446239), t09));
    s05 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t88), MUL_FLT_CPX(C_FLT(0.55557023301960218), t98));
    s15 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t98), MUL_FLT_CPX(C_FLT(0.55557023301960218), t88));
    s25 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), t29), MUL_FLT_CPX(C_FLT(0.77301045336273699), t39));
    s35 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), t39), MUL_FLT_CPX(C_FLT(0.77301045336273699), t29));
    s45 = LOADU_CPX((src + 4));
    s55 = LOADU_CPX((src + 60));
    t49 = ADD_CPX_CPX(s45, s55);
    t59 = ADD_CPX_CPX(MUL_I_CPX(s45), MUL_NI_CPX(s55));
    s65 = LOADU_CPX((src + 20));
    s75 = LOADU_CPX((src + 44));
    t69 = ADD_CPX_CPX(s65, s75);
    t79 = ADD_CPX_CPX(MUL_I_CPX(s65), MUL_NI_CPX(s75));
    s85 = LOADU_CPX((src + 36));
    s95 = LOADU_CPX((src + 28));
    t89 = ADD_CPX_CPX(s85, s95);
    t99 = ADD_CPX_CPX(MUL_I_CPX(s85), MUL_NI_CPX(s95));
    s06 = LOADU_CPX((src + 52));
    s16 = LOADU_CPX((src + 12));
    t0a = ADD_CPX_CPX(s06, s16);
    t1a = ADD_CPX_CPX(MUL_I_CPX(s06), MUL_NI_CPX(s16));
    t2a = ADD_CPX_CPX(t49, t89);
    t3a = ADD_CPX_CPX(t59, t99);
    t4a = SUB_CPX_CPX(t49, t89);
    t5a = SUB_CPX_CPX(t59, t99);
    t6a = ADD_CPX_CPX(t69, t0a);
    t7a = ADD_CPX_CPX(t79, t1a);
    t8a = SUB_CPX_CPX(t69, t0a);
    t9a = SUB_CPX_CPX(t79, t1a);
    t0b = ADD_CPX_CPX(t2a, t6a);
    t1b = ADD_CPX_CPX(t3a, t7a);
    t2b = ADD_CPX_CPX(t4a, t9a);
    t3b = SUB_CPX_CPX(t5a, t8a);
    t4b = SUB_CPX_CPX(t4a, t9a);
    t5b = ADD_CPX_CPX(t5a, t8a);
    s26 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t2b), MUL_FLT_CPX(C_FLT(0.38268343236508978), t3b));
    s36 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t3b), MUL_FLT_CPX(C_FLT(0.38268343236508978), t2b));
    a3 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2a, t6a));
    a4 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3a, t7a));
    s46 = ADD_CPX_CPX(a3, a4);
    s56 = SUB_CPX_CPX(a4, a3);
    s66 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t4b), MUL_FLT_CPX(C_FLT(0.92387953251128674), t5b));
    s76 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t5b), MUL_FLT_CPX(C_FLT(0.92387953251128674), t4b));
    s86 = LOADU_CPX((src + 5));
    s96 = LOADU_CPX((src + 59));
    t6b = ADD_CPX_CPX(s86, s96);
    t7b = ADD_CPX_CPX(MUL_I_CPX(s86), MUL_NI_CPX(s96));
    s07 = LOADU_CPX((src + 21));
    s17 = LOADU_CPX((src + 43));
    t8b = ADD_CPX_CPX(s07, s17);
    t9b = ADD_CPX_CPX(MUL_I_CPX(s07), MUL_NI_CPX(s17));
    s27 = LOADU_CPX((src + 37));
    s37 = LOADU_CPX((src + 27));
    t0c = ADD_CPX_CPX(s27, s37);
    t1c = ADD_CPX_CPX(MUL_I_CPX(s27), MUL_NI_CPX(s37));
    s47 = LOADU_CPX((src + 53));
    s57 = LOADU_CPX((src + 11));
    t2c = ADD_CPX_CPX(s47, s57);
    t3c = ADD_CPX_CPX(MUL_I_CPX(s47), MUL_NI_CPX(s57));
    t4c = ADD_CPX_CPX(t6b, t0c);
    t5c = ADD_CPX_CPX(t7b, t1c);
    t6c = SUB_CPX_CPX(t6b, t0c);
    t7c = SUB_CPX_CPX(t7b, t1c);
    t8c = ADD_CPX_CPX(t8b, t2c);
    t9c = ADD_CPX_CPX(t9b, t3c);
    t0d = SUB_CPX_CPX(t8b, t2c);
    t1d = SUB_CPX_CPX(t9b, t3c);
    t2d = ADD_CPX_CPX(t4c, t8c);
    t3d = ADD_CPX_CPX(t5c, t9c);
    t4d = SUB_CPX_CPX(t4c, t8c);
    t5d = SUB_CPX_CPX(t5c, t9c);
    t6d = ADD_CPX_CPX(t6c, t1d);
    t7d = SUB_CPX_CPX(t7c, t0d);
    t8d = SUB_CPX_CPX(t6c, t1d);
    t9d = ADD_CPX_CPX(t7c, t0d);
    s67 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), t6d), MUL_FLT_CPX(C_FLT(0.47139673682599764), t7d));
    s77 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), t7d), MUL_FLT_CPX(C_FLT(0.47139673682599764), t6d));
    s87 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), t4d), MUL_FLT_CPX(C_FLT(0.83146961230254524), t5d));
    s97 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), t5d), MUL_FLT_CPX(C_FLT(0.83146961230254524), t4d));
    s08 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), t8d), MUL_FLT_CPX(C_FLT(0.99518472667219693), t9d));
    s18 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), t9d), MUL_FLT_CPX(C_FLT(0.99518472667219693), t8d));
    s28 = LOADU_CPX((src + 6));
    s38 = LOADU_CPX((src + 58));
    t0e = ADD_CPX_CPX(s28, s38);
    t1e = ADD_CPX_CPX(MUL_I_CPX(s28), MUL_NI_CPX(s38));
    s48 = LOADU_CPX((src + 22));
    s58 = LOADU_CPX((src + 42));
    t2e = ADD_CPX_CPX(s48, s58);
    t3e = ADD_CPX_CPX(MUL_I_CPX(s48), MUL_NI_CPX(s58));
    s68 = LOADU_CPX((src + 38));
    s78 = LOADU_CPX((src + 26));
    t4e = ADD_CPX_CPX(s68, s78);
    t5e = ADD_CPX_CPX(MUL_I_CPX(s68), MUL_NI_CPX(s78));
    s88 = LOADU_CPX((src + 54));
    s98 = LOADU_CPX((src + 10));
    t6e = ADD_CPX_CPX(s88, s98);
    t7e = ADD_CPX_CPX(MUL_I_CPX(s88), MUL_NI_CPX(s98));
    t8e = ADD_CPX_CPX(t0e, t4e);
    t9e = ADD_CPX_CPX(t1e, t5e);
    t0f = SUB_CPX_CPX(t0e, t4e);
    t1f = SUB_CPX_CPX(t1e, t5e);
    t2f = ADD_CPX_CPX(t2e, t6e);
    t3f = ADD_CPX_CPX(t3e, t7e);
    t4f = SUB_CPX_CPX(t2e, t6e);
    t5f = SUB_CPX_CPX(t3e, t7e);
    t6f = ADD_CPX_CPX(t8e, t2f);
    t7f = ADD_CPX_CPX(t9e, t3f);
    t8f = SUB_CPX_CPX(t8e, t2f);
    t9f = SUB_CPX_CPX(t9e, t3f);
    t0g = ADD_CPX_CPX(t0f, t5f);
    t1g = SUB_CPX_CPX(t1f, t4f);
    t2g = SUB_CPX_CPX(t0f, t5f);
    t3g = ADD_CPX_CPX(t1f, t4f);
    s09 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t0g), MUL_FLT_CPX(C_FLT(0.55557023301960218), t1g));
    s19 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t1g), MUL_FLT_CPX(C_FLT(0.55557023301960218), t0g));
    s29 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t8f), MUL_FLT_CPX(C_FLT(0.92387953251128674), t9f));
    s39 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t9f), MUL_FLT_CPX(C_FLT(0.92387953251128674), t8f));
    s49 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t3g), MUL_FLT_CPX(C_FLT(0.19509032201612828), t2g));
    s59 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t2g), MUL_FLT_CPX(C_FLT(0.19509032201612828), t3g));
    s69 = LOADU_CPX((src + 7));
    s79 = LOADU_CPX((src + 57));
    t4g = ADD_CPX_CPX(s69, s79);
    t5g = ADD_CPX_CPX(MUL_I_CPX(s69), MUL_NI_CPX(s79));
    s89 = LOADU_CPX((src + 23));
    s99 = LOADU_CPX((src + 41));
    t6g = ADD_CPX_CPX(s89, s99);
    t7g = ADD_CPX_CPX(MUL_I_CPX(s89), MUL_NI_CPX(s99));
    s0a = LOADU_CPX((src + 39));
    s1a = LOADU_CPX((src + 25));
    t8g = ADD_CPX_CPX(s0a, s1a);
    t9g = ADD_CPX_CPX(MUL_I_CPX(s0a), MUL_NI_CPX(s1a));
    s2a = LOADU_CPX((src + 55));
    s3a = LOADU_CPX((src + 9));
    t0h = ADD_CPX_CPX(s2a, s3a);
    t1h = ADD_CPX_CPX(MUL_I_CPX(s2a), MUL_NI_CPX(s3a));
    t2h = ADD_CPX_CPX(t4g, t8g);
    t3h = ADD_CPX_CPX(t5g, t9g);
    t4h = SUB_CPX_CPX(t4g, t8g);
    t5h = SUB_CPX_CPX(t5g, t9g);
    t6h = ADD_CPX_CPX(t6g, t0h);
    t7h = ADD_CPX_CPX(t7g, t1h);
    t8h = SUB_CPX_CPX(t6g, t0h);
    t9h = SUB_CPX_CPX(t7g, t1h);
    t0i = ADD_CPX_CPX(t2h, t6h);
    t1i = ADD_CPX_CPX(t3h, t7h);
    t2i = SUB_CPX_CPX(t2h, t6h);
    t3i = SUB_CPX_CPX(t3h, t7h);
    t4i = ADD_CPX_CPX(t4h, t9h);
    t5i = SUB_CPX_CPX(t5h, t8h);
    t6i = SUB_CPX_CPX(t4h, t9h);
    t7i = ADD_CPX_CPX(t5h, t8h);
    s4a = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), t4i), MUL_FLT_CPX(C_FLT(0.63439328416364549), t5i));
    s5a = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), t5i), MUL_FLT_CPX(C_FLT(0.63439328416364549), t4i));
    s6a = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), t2i), MUL_FLT_CPX(C_FLT(0.98078528040323043), t3i));
    s7a = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), t3i), MUL_FLT_CPX(C_FLT(0.98078528040323043), t2i));
    s8a = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), t7i), MUL_FLT_CPX(C_FLT(0.47139673682599764), t6i));
    s9a = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), t6i), MUL_FLT_CPX(C_FLT(0.47139673682599764), t7i));
    t8i = ADD_CPX_CPX(t41, t0b);
    t9i = ADD_CPX_CPX(t61, t1b);
    t0j = SUB_CPX_CPX(t41, t0b);
    t1j = SUB_CPX_CPX(t61, t1b);
    t2j = ADD_CPX_CPX(t83, t0i);
    t3j = SUB_CPX_CPX(t93, t1i);
    t4j = SUB_CPX_CPX(t83, t0i);
    t5j = ADD_CPX_CPX(t93, t1i);
    s0b = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t4j), MUL_FLT_CPX(C_FLT(0.38268343236508978), t5j));
    s1b = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t5j), MUL_FLT_CPX(C_FLT(0.38268343236508978), t4j));
    t6j = ADD_CPX_CPX(t26, t6f);
    t7j = SUB_CPX_CPX(t36, t7f);
    a5 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t26, t6f));
    a6 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t36, t7f));
    s2b = ADD_CPX_CPX(a5, a6);
    s3b = SUB_CPX_CPX(a6, a5);
    t8j = ADD_CPX_CPX(t68, t2d);
    t9j = SUB_CPX_CPX(t78, t3d);
    t0k = SUB_CPX_CPX(t68, t2d);
    t1k = ADD_CPX_CPX(t78, t3d);
    s4b = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t0k), MUL_FLT_CPX(C_FLT(0.92387953251128674), t1k));
    s5b = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t1k), MUL_FLT_CPX(C_FLT(0.92387953251128674), t0k));
    t2k = ADD_CPX_CPX(t8i, t6j);
    t3k = ADD_CPX_CPX(t0j, t7j);
    t4k = SUB_CPX_CPX(t8i, t6j);
    t5k = SUB_CPX_CPX(t0j, t7j);
    t6k = ADD_CPX_CPX(t2j, t8j);
    t7k = SUB_CPX_CPX(t3j, t9j);
    a7 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2j, t8j));
    a8 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t3j, t9j));
    s6b = ADD_CPX_CPX(a7, a8);
    s7b = SUB_CPX_CPX(a8, a7);
    t8k = ADD_CPX_CPX(t2k, t6k);
    t9k = ADD_CPX_CPX(t4k, t7k);
    t0l = SUB_CPX_CPX(t2k, t6k);
    t1l = SUB_CPX_CPX(t4k, t7k);
    STOREU_CPX(dst, t8k);
    STOREU_CPX((dst + 16), t9k);
    STOREU_CPX((dst + 32), t0l);
    STOREU_CPX((dst + 48), t1l);
    t2l = ADD_CPX_CPX(t3k, s6b);
    t3l = ADD_CPX_CPX(t5k, s7b);
    t4l = SUB_CPX_CPX(t3k, s6b);
    t5l = SUB_CPX_CPX(t5k, s7b);
    STOREU_CPX((dst + 8), t2l);
    STOREU_CPX((dst + 24), t3l);
    STOREU_CPX((dst + 40), t4l);
    STOREU_CPX((dst + 56), t5l);
    t6l = ADD_CPX_CPX(t9i, s2b);
    t7l = ADD_CPX_CPX(t1j, s3b);
    t8l = SUB_CPX_CPX(t9i, s2b);
    t9l = SUB_CPX_CPX(t1j, s3b);
    t0m = ADD_CPX_CPX(s0b, s4b);
    t1m = SUB_CPX_CPX(s1b, s5b);
    a9 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s0b, s4b));
    a01 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s1b, s5b));
    s8b = ADD_CPX_CPX(a9, a01);
    s9b = SUB_CPX_CPX(a01, a9);
    t2m = ADD_CPX_CPX(t6l, t0m);
    t3m = ADD_CPX_CPX(t8l, t1m);
    t4m = SUB_CPX_CPX(t6l, t0m);
    t5m = SUB_CPX_CPX(t8l, t1m);
    STOREU_CPX((dst + 4), t2m);
    STOREU_CPX((dst + 20), t3m);
    STOREU_CPX((dst + 36), t4m);
    STOREU_CPX((dst + 52), t5m);
    t6m = ADD_CPX_CPX(t7l, s8b);
    t7m = ADD_CPX_CPX(t9l, s9b);
    t8m = SUB_CPX_CPX(t7l, s8b);
    t9m = SUB_CPX_CPX(t9l, s9b);
    STOREU_CPX((dst + 12), t6m);
    STOREU_CPX((dst + 28), t7m);
    STOREU_CPX((dst + 44), t8m);
    STOREU_CPX((dst + 60), t9m);
    t0n = ADD_CPX_CPX(t81, s26);
    t1n = ADD_CPX_CPX(t02, s36);
    t2n = SUB_CPX_CPX(t81, s26);
    t3n = SUB_CPX_CPX(t02, s36);
    t4n = ADD_CPX_CPX(s02, s4a);
    t5n = SUB_CPX_CPX(s12, s5a);
    t6n = SUB_CPX_CPX(s02, s4a);
    t7n = ADD_CPX_CPX(s12, s5a);
    s0c = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t6n), MUL_FLT_CPX(C_FLT(0.38268343236508978), t7n));
    s1c = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t7n), MUL_FLT_CPX(C_FLT(0.38268343236508978), t6n));
    t8n = ADD_CPX_CPX(s43, s09);
    t9n = SUB_CPX_CPX(s53, s19);
    a11 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s43, s09));
    a21 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s53, s19));
    s2c = ADD_CPX_CPX(a11, a21);
    s3c = SUB_CPX_CPX(a21, a11);
    t0o = ADD_CPX_CPX(s84, s67);
    t1o = SUB_CPX_CPX(s94, s77);
    t2o = SUB_CPX_CPX(s84, s67);
    t3o = ADD_CPX_CPX(s94, s77);
    s4c = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t2o), MUL_FLT_CPX(C_FLT(0.92387953251128674), t3o));
    s5c = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t3o), MUL_FLT_CPX(C_FLT(0.92387953251128674), t2o));
    t4o = ADD_CPX_CPX(t0n, t8n);
    t5o = ADD_CPX_CPX(t2n, t9n);
    t6o = SUB_CPX_CPX(t0n, t8n);
    t7o = SUB_CPX_CPX(t2n, t9n);
    t8o = ADD_CPX_CPX(t4n, t0o);
    t9o = SUB_CPX_CPX(t5n, t1o);
    a31 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t4n, t0o));
    a41 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t5n, t1o));
    s6c = ADD_CPX_CPX(a31, a41);
    s7c = SUB_CPX_CPX(a41, a31);
    t0p = ADD_CPX_CPX(t4o, t8o);
    t1p = ADD_CPX_CPX(t6o, t9o);
    t2p = SUB_CPX_CPX(t4o, t8o);
    t3p = SUB_CPX_CPX(t6o, t9o);
    STOREU_CPX((dst + 1), t0p);
    STOREU_CPX((dst + 17), t1p);
    STOREU_CPX((dst + 33), t2p);
    STOREU_CPX((dst + 49), t3p);
    t4p = ADD_CPX_CPX(t5o, s6c);
    t5p = ADD_CPX_CPX(t7o, s7c);
    t6p = SUB_CPX_CPX(t5o, s6c);
    t7p = SUB_CPX_CPX(t7o, s7c);
    STOREU_CPX((dst + 9), t4p);
    STOREU_CPX((dst + 25), t5p);
    STOREU_CPX((dst + 41), t6p);
    STOREU_CPX((dst + 57), t7p);
    t8p = ADD_CPX_CPX(t1n, s2c);
    t9p = ADD_CPX_CPX(t3n, s3c);
    t0q = SUB_CPX_CPX(t1n, s2c);
    t1q = SUB_CPX_CPX(t3n, s3c);
    t2q = ADD_CPX_CPX(s0c, s4c);
    t3q = SUB_CPX_CPX(s1c, s5c);
    a51 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s0c, s4c));
    a61 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s1c, s5c));
    s8c = ADD_CPX_CPX(a51, a61);
    s9c = SUB_CPX_CPX(a61, a51);
    t4q = ADD_CPX_CPX(t8p, t2q);
    t5q = ADD_CPX_CPX(t0q, t3q);
    t6q = SUB_CPX_CPX(t8p, t2q);
    t7q = SUB_CPX_CPX(t0q, t3q);
    STOREU_CPX((dst + 5), t4q);
    STOREU_CPX((dst + 21), t5q);
    STOREU_CPX((dst + 37), t6q);
    STOREU_CPX((dst + 53), t7q);
    t8q = ADD_CPX_CPX(t9p, s8c);
    t9q = ADD_CPX_CPX(t1q, s9c);
    t0r = SUB_CPX_CPX(t9p, s8c);
    t1r = SUB_CPX_CPX(t1q, s9c);
    STOREU_CPX((dst + 13), t8q);
    STOREU_CPX((dst + 29), t9q);
    STOREU_CPX((dst + 45), t0r);
    STOREU_CPX((dst + 61), t1r);
    t2r = ADD_CPX_CPX(t51, s46);
    t3r = ADD_CPX_CPX(t71, s56);
    t4r = SUB_CPX_CPX(t51, s46);
    t5r = SUB_CPX_CPX(t71, s56);
    t6r = ADD_CPX_CPX(s22, s6a);
    t7r = SUB_CPX_CPX(s32, s7a);
    t8r = SUB_CPX_CPX(s22, s6a);
    t9r = ADD_CPX_CPX(s32, s7a);
    s0d = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t8r), MUL_FLT_CPX(C_FLT(0.38268343236508978), t9r));
    s1d = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t9r), MUL_FLT_CPX(C_FLT(0.38268343236508978), t8r));
    t0s = ADD_CPX_CPX(s63, s29);
    t1s = SUB_CPX_CPX(s73, s39);
    a71 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s63, s29));
    a81 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s73, s39));
    s2d = ADD_CPX_CPX(a71, a81);
    s3d = SUB_CPX_CPX(a81, a71);
    t2s = ADD_CPX_CPX(s05, s87);
    t3s = SUB_CPX_CPX(s15, s97);
    t4s = SUB_CPX_CPX(s05, s87);
    t5s = ADD_CPX_CPX(s15, s97);
    s4d = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t4s), MUL_FLT_CPX(C_FLT(0.92387953251128674), t5s));
    s5d = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t5s), MUL_FLT_CPX(C_FLT(0.92387953251128674), t4s));
    t6s = ADD_CPX_CPX(t2r, t0s);
    t7s = ADD_CPX_CPX(t4r, t1s);
    t8s = SUB_CPX_CPX(t2r, t0s);
    t9s = SUB_CPX_CPX(t4r, t1s);
    t0t = ADD_CPX_CPX(t6r, t2s);
    t1t = SUB_CPX_CPX(t7r, t3s);
    a91 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t6r, t2s));
    a02 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t7r, t3s));
    s6d = ADD_CPX_CPX(a91, a02);
    s7d = SUB_CPX_CPX(a02, a91);
    t2t = ADD_CPX_CPX(t6s, t0t);
    t3t = ADD_CPX_CPX(t8s, t1t);
    t4t = SUB_CPX_CPX(t6s, t0t);
    t5t = SUB_CPX_CPX(t8s, t1t);
    STOREU_CPX((dst + 2), t2t);
    STOREU_CPX((dst + 18), t3t);
    STOREU_CPX((dst + 34), t4t);
    STOREU_CPX((dst + 50), t5t);
    t6t = ADD_CPX_CPX(t7s, s6d);
    t7t = ADD_CPX_CPX(t9s, s7d);
    t8t = SUB_CPX_CPX(t7s, s6d);
    t9t = SUB_CPX_CPX(t9s, s7d);
    STOREU_CPX((dst + 10), t6t);
    STOREU_CPX((dst + 26), t7t);
    STOREU_CPX((dst + 42), t8t);
    STOREU_CPX((dst + 58), t9t);
    t0u = ADD_CPX_CPX(t3r, s2d);
    t1u = ADD_CPX_CPX(t5r, s3d);
    t2u = SUB_CPX_CPX(t3r, s2d);
    t3u = SUB_CPX_CPX(t5r, s3d);
    t4u = ADD_CPX_CPX(s0d, s4d);
    t5u = SUB_CPX_CPX(s1d, s5d);
    a12 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s0d, s4d));
    a22 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s1d, s5d));
    s8d = ADD_CPX_CPX(a12, a22);
    s9d = SUB_CPX_CPX(a22, a12);
    t6u = ADD_CPX_CPX(t0u, t4u);
    t7u = ADD_CPX_CPX(t2u, t5u);
    t8u = SUB_CPX_CPX(t0u, t4u);
    t9u = SUB_CPX_CPX(t2u, t5u);
    STOREU_CPX((dst + 6), t6u);
    STOREU_CPX((dst + 22), t7u);
    STOREU_CPX((dst + 38), t8u);
    STOREU_CPX((dst + 54), t9u);
    t0v = ADD_CPX_CPX(t1u, s8d);
    t1v = ADD_CPX_CPX(t3u, s9d);
    t2v = SUB_CPX_CPX(t1u, s8d);
    t3v = SUB_CPX_CPX(t3u, s9d);
    STOREU_CPX((dst + 14), t0v);
    STOREU_CPX((dst + 30), t1v);
    STOREU_CPX((dst + 46), t2v);
    STOREU_CPX((dst + 62), t3v);
    t4v = ADD_CPX_CPX(t91, s66);
    t5v = ADD_CPX_CPX(t12, s76);
    t6v = SUB_CPX_CPX(t91, s66);
    t7v = SUB_CPX_CPX(t12, s76);
    t8v = ADD_CPX_CPX(s42, s8a);
    t9v = ADD_CPX_CPX(s52, s9a);
    t0w = SUB_CPX_CPX(s42, s8a);
    t1w = SUB_CPX_CPX(s52, s9a);
    s0e = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t0w), MUL_FLT_CPX(C_FLT(0.38268343236508978), t1w));
    s1e = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t1w), MUL_FLT_CPX(C_FLT(0.38268343236508978), t0w));
    t2w = ADD_CPX_CPX(s83, s49);
    t3w = ADD_CPX_CPX(s93, s59);
    a32 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s83, s49));
    a42 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s93, s59));
    s2e = ADD_CPX_CPX(a32, a42);
    s3e = SUB_CPX_CPX(a42, a32);
    t4w = ADD_CPX_CPX(s25, s08);
    t5w = SUB_CPX_CPX(s35, s18);
    t6w = SUB_CPX_CPX(s25, s08);
    t7w = ADD_CPX_CPX(s35, s18);
    s4e = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t6w), MUL_FLT_CPX(C_FLT(0.92387953251128674), t7w));
    s5e = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t7w), MUL_FLT_CPX(C_FLT(0.92387953251128674), t6w));
    t8w = ADD_CPX_CPX(t4v, t2w);
    t9w = ADD_CPX_CPX(t6v, t3w);
    t0x = SUB_CPX_CPX(t4v, t2w);
    t1x = SUB_CPX_CPX(t6v, t3w);
    t2x = ADD_CPX_CPX(t8v, t4w);
    t3x = SUB_CPX_CPX(t9v, t5w);
    a52 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8v, t4w));
    a62 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t9v, t5w));
    s6e = ADD_CPX_CPX(a52, a62);
    s7e = SUB_CPX_CPX(a62, a52);
    t4x = ADD_CPX_CPX(t8w, t2x);
    t5x = ADD_CPX_CPX(t0x, t3x);
    t6x = SUB_CPX_CPX(t8w, t2x);
    t7x = SUB_CPX_CPX(t0x, t3x);
    STOREU_CPX((dst + 3), t4x);
    STOREU_CPX((dst + 19), t5x);
    STOREU_CPX((dst + 35), t6x);
    STOREU_CPX((dst + 51), t7x);
    t8x = ADD_CPX_CPX(t9w, s6e);
    t9x = ADD_CPX_CPX(t1x, s7e);
    t0y = SUB_CPX_CPX(t9w, s6e);
    t1y = SUB_CPX_CPX(t1x, s7e);
    STOREU_CPX((dst + 11), t8x);
    STOREU_CPX((dst + 27), t9x);
    STOREU_CPX((dst + 43), t0y);
    STOREU_CPX((dst + 59), t1y);
    t2y = ADD_CPX_CPX(t5v, s2e);
    t3y = ADD_CPX_CPX(t7v, s3e);
    t4y = SUB_CPX_CPX(t5v, s2e);
    t5y = SUB_CPX_CPX(t7v, s3e);
    t6y = ADD_CPX_CPX(s0e, s4e);
    t7y = SUB_CPX_CPX(s1e, s5e);
    a72 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s0e, s4e));
    a82 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s1e, s5e));
    s8e = ADD_CPX_CPX(a72, a82);
    s9e = SUB_CPX_CPX(a82, a72);
    t8y = ADD_CPX_CPX(t2y, t6y);
    t9y = ADD_CPX_CPX(t4y, t7y);
    t0z = SUB_CPX_CPX(t2y, t6y);
    t1z = SUB_CPX_CPX(t4y, t7y);
    STOREU_CPX((dst + 7), t8y);
    STOREU_CPX((dst + 23), t9y);
    STOREU_CPX((dst + 39), t0z);
    STOREU_CPX((dst + 55), t1z);
    t2z = ADD_CPX_CPX(t3y, s8e);
    t3z = ADD_CPX_CPX(t5y, s9e);
    t4z = SUB_CPX_CPX(t3y, s8e);
    t5z = SUB_CPX_CPX(t5y, s9e);
    STOREU_CPX((dst + 15), t2z);
    STOREU_CPX((dst + 31), t3z);
    STOREU_CPX((dst + 47), t4z);
    STOREU_CPX((dst + 63), t5z);
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_fftinv_double_64)(const double *pSrc, double *pDst ) {
    if (!is_aligned(pSrc) || !is_aligned(pDst))
       	return spiral_fftinv_double_64_unaligned(pSrc, pDst );
    else {
    const CPX  *src = (const CPX *) pSrc; 
    CPX        *dst = (CPX *) pDst;
    
    
    {const CPX  *a, *a01, *a02, *a03, *a04, *a05, *a06, *a11, *a12, *a13, *a14, *a15, *a16, *a2, *a21, *a22, *a23, *a25, *a26, *a3, *a31, *a32
            , *a33, *a35, *a36, *a4, *a41, *a42, *a43, *a44, *a45, *a46, *a5, *a51, *a52, *a53, *a54, *a55, *a56, *a6, *a61, *a62, *a63, *a64
            , *a65, *a66, *a7, *a71, *a72, *a73, *a74, *a75, *a76, *a81, *a82, *a83, *a84, *a85, *a91, *a92, *a93, *a94, *a95;
    CPX a07, a08, a09, a17, a18, a19, a24, a27, a28, a34, a37, a38, a47, a48, a57, a58, a67, a68, a77, a78, a8, a86
        , a87, a88, a9, a96, a97, a98, s, s01, s02, s03, s04, s05, s06, s07, s08, s11, s12, s13, s14, s15, s16, s17
        , s18, s2, s21, s22, s23, s24, s25, s26, s27, s28, s3, s31, s32, s33, s34, s35, s36, s37, s38, s4, s41, s42
        , s43, s44, s45, s46, s47, s48, s5, s51, s52, s53, s54, s55, s56, s57, s58, s6, s61, s62, s63, s64, s65, s66
        , s67, s7, s71, s72, s73, s74, s75, s76, s77, s8, s81, s82, s83, s84, s85, s86, s87, s9, s91, s92, s93, s94
        , s95, s96, s97, t, t01, t02, t03, t04, t05, t06, t07, t08, t09, t0a, t0b, t0c, t0d, t0e, t0f, t0g, t0h, t0i
        , t0j, t0k, t0l, t0m, t0n, t0o, t0p, t0q, t0r, t0s, t0t, t11, t12, t13, t14, t15, t16, t17, t18, t19, t1a, t1b
        , t1c, t1d, t1e, t1f, t1g, t1h, t1i, t1j, t1k, t1l, t1m, t1n, t1o, t1p, t1q, t1r, t1s, t1t, t2, t21, t22, t23
        , t24, t25, t26, t27, t28, t29, t2a, t2b, t2c, t2d, t2e, t2f, t2g, t2h, t2i, t2j, t2k, t2l, t2m, t2n, t2o, t2p
        , t2q, t2r, t2s, t3, t31, t32, t33, t34, t35, t36, t37, t38, t39, t3a, t3b, t3c, t3d, t3e, t3f, t3g, t3h, t3i
        , t3j, t3k, t3l, t3m, t3n, t3o, t3p, t3q, t3r, t3s, t4, t41, t42, t43, t44, t45, t46, t47, t48, t49, t4a, t4b
        , t4c, t4d, t4e, t4f, t4g, t4h, t4i, t4j, t4k, t4l, t4m, t4n, t4o, t4p, t4q, t4r, t4s, t5, t51, t52, t53, t54
        , t55, t56, t57, t58, t59, t5a, t5b, t5c, t5d, t5e, t5f, t5g, t5h, t5i, t5j, t5k, t5l, t5m, t5n, t5o, t5p, t5q
        , t5r, t5s, t6, t61, t62, t63, t64, t65, t66, t67, t68, t69, t6a, t6b, t6c, t6d, t6e, t6f, t6g, t6h, t6i, t6j
        , t6k, t6l, t6m, t6n, t6o, t6p, t6q, t6r, t6s, t7, t71, t72, t73, t74, t75, t76, t77, t78, t79, t7a, t7b, t7c
        , t7d, t7e, t7f, t7g, t7h, t7i, t7j, t7k, t7l, t7m, t7n, t7o, t7p, t7q, t7r, t7s, t8, t81, t82, t83, t84, t85
        , t86, t87, t88, t89, t8a, t8b, t8c, t8d, t8e, t8f, t8g, t8h, t8i, t8j, t8k, t8l, t8m, t8n, t8o, t8p, t8q, t8r
        , t8s, t9, t91, t92, t93, t94, t95, t96, t97, t98, t99, t9a, t9b, t9c, t9d, t9e, t9f, t9g, t9h, t9i, t9j, t9k
        , t9l, t9m, t9n, t9o, t9p, t9q, t9r, t9s;
    a = (src + 32);
    t = ADD_CPX_CPX(*(src), *(a));
    t2 = SUB_CPX_CPX(*(src), *(a));
    a2 = (src + 16);
    a3 = (src + 48);
    t3 = ADD_CPX_CPX(*(a2), *(a3));
    s = MUL_I_CPX(SUB_CPX_CPX(*(a2), *(a3)));
    t4 = ADD_CPX_CPX(t, t3);
    t5 = SUB_CPX_CPX(t, t3);
    t6 = ADD_CPX_CPX(t2, s);
    t7 = SUB_CPX_CPX(t2, s);
    a4 = (src + 8);
    a5 = (src + 56);
    t8 = ADD_CPX_CPX(*(a4), *(a5));
    t9 = ADD_CPX_CPX(MUL_I_CPX(*(a4)), MUL_NI_CPX(*(a5)));
    a6 = (src + 40);
    a7 = (src + 24);
    t01 = ADD_CPX_CPX(*(a6), *(a7));
    t11 = ADD_CPX_CPX(MUL_I_CPX(*(a6)), MUL_NI_CPX(*(a7)));
    t21 = ADD_CPX_CPX(t8, t01);
    t31 = ADD_CPX_CPX(t9, t11);
    a8 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8, t01));
    a9 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9, t11));
    s2 = ADD_CPX_CPX(a8, a9);
    s3 = SUB_CPX_CPX(a9, a8);
    t41 = ADD_CPX_CPX(t4, t21);
    t51 = ADD_CPX_CPX(t5, t31);
    t61 = SUB_CPX_CPX(t4, t21);
    t71 = SUB_CPX_CPX(t5, t31);
    t81 = ADD_CPX_CPX(t6, s2);
    t91 = ADD_CPX_CPX(t7, s3);
    t02 = SUB_CPX_CPX(t6, s2);
    t12 = SUB_CPX_CPX(t7, s3);
    a01 = (src + 1);
    a11 = (src + 63);
    t22 = ADD_CPX_CPX(*(a01), *(a11));
    t32 = ADD_CPX_CPX(MUL_I_CPX(*(a01)), MUL_NI_CPX(*(a11)));
    a21 = (src + 17);
    a31 = (src + 47);
    t42 = ADD_CPX_CPX(*(a21), *(a31));
    t52 = ADD_CPX_CPX(MUL_I_CPX(*(a21)), MUL_NI_CPX(*(a31)));
    a41 = (src + 33);
    a51 = (src + 31);
    t62 = ADD_CPX_CPX(*(a41), *(a51));
    t72 = ADD_CPX_CPX(MUL_I_CPX(*(a41)), MUL_NI_CPX(*(a51)));
    a61 = (src + 49);
    a71 = (src + 15);
    t82 = ADD_CPX_CPX(*(a61), *(a71));
    t92 = ADD_CPX_CPX(MUL_I_CPX(*(a61)), MUL_NI_CPX(*(a71)));
    t03 = ADD_CPX_CPX(t22, t62);
    t13 = ADD_CPX_CPX(t32, t72);
    t23 = SUB_CPX_CPX(t22, t62);
    t33 = SUB_CPX_CPX(t32, t72);
    t43 = ADD_CPX_CPX(t42, t82);
    t53 = ADD_CPX_CPX(t52, t92);
    t63 = SUB_CPX_CPX(t42, t82);
    t73 = SUB_CPX_CPX(t52, t92);
    t83 = ADD_CPX_CPX(t03, t43);
    t93 = ADD_CPX_CPX(t13, t53);
    t04 = SUB_CPX_CPX(t03, t43);
    t14 = SUB_CPX_CPX(t13, t53);
    t24 = ADD_CPX_CPX(t23, t73);
    t34 = SUB_CPX_CPX(t33, t63);
    t44 = SUB_CPX_CPX(t23, t73);
    t54 = ADD_CPX_CPX(t33, t63);
    s4 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), t24), MUL_FLT_CPX(C_FLT(0.098017140329560604), t34));
    s5 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), t34), MUL_FLT_CPX(C_FLT(0.098017140329560604), t24));
    s6 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t04), MUL_FLT_CPX(C_FLT(0.19509032201612828), t14));
    s7 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t14), MUL_FLT_CPX(C_FLT(0.19509032201612828), t04));
    s8 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), t44), MUL_FLT_CPX(C_FLT(0.29028467725446239), t54));
    s9 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), t54), MUL_FLT_CPX(C_FLT(0.29028467725446239), t44));
    a81 = (src + 2);
    a91 = (src + 62);
    t64 = ADD_CPX_CPX(*(a81), *(a91));
    t74 = ADD_CPX_CPX(MUL_I_CPX(*(a81)), MUL_NI_CPX(*(a91)));
    a02 = (src + 18);
    a12 = (src + 46);
    t84 = ADD_CPX_CPX(*(a02), *(a12));
    t94 = ADD_CPX_CPX(MUL_I_CPX(*(a02)), MUL_NI_CPX(*(a12)));
    a22 = (src + 34);
    a32 = (src + 30);
    t05 = ADD_CPX_CPX(*(a22), *(a32));
    t15 = ADD_CPX_CPX(MUL_I_CPX(*(a22)), MUL_NI_CPX(*(a32)));
    a42 = (src + 50);
    a52 = (src + 14);
    t25 = ADD_CPX_CPX(*(a42), *(a52));
    t35 = ADD_CPX_CPX(MUL_I_CPX(*(a42)), MUL_NI_CPX(*(a52)));
    t45 = ADD_CPX_CPX(t64, t05);
    t55 = ADD_CPX_CPX(t74, t15);
    t65 = SUB_CPX_CPX(t64, t05);
    t75 = SUB_CPX_CPX(t74, t15);
    t85 = ADD_CPX_CPX(t84, t25);
    t95 = ADD_CPX_CPX(t94, t35);
    t06 = SUB_CPX_CPX(t84, t25);
    t16 = SUB_CPX_CPX(t94, t35);
    t26 = ADD_CPX_CPX(t45, t85);
    t36 = ADD_CPX_CPX(t55, t95);
    t46 = SUB_CPX_CPX(t45, t85);
    t56 = SUB_CPX_CPX(t55, t95);
    t66 = ADD_CPX_CPX(t65, t16);
    t76 = SUB_CPX_CPX(t75, t06);
    t86 = SUB_CPX_CPX(t65, t16);
    t96 = ADD_CPX_CPX(t75, t06);
    s01 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t66), MUL_FLT_CPX(C_FLT(0.19509032201612828), t76));
    s11 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t76), MUL_FLT_CPX(C_FLT(0.19509032201612828), t66));
    s21 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t46), MUL_FLT_CPX(C_FLT(0.38268343236508978), t56));
    s31 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t56), MUL_FLT_CPX(C_FLT(0.38268343236508978), t46));
    s41 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t86), MUL_FLT_CPX(C_FLT(0.55557023301960218), t96));
    s51 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t96), MUL_FLT_CPX(C_FLT(0.55557023301960218), t86));
    a62 = (src + 3);
    a72 = (src + 61);
    t07 = ADD_CPX_CPX(*(a62), *(a72));
    t17 = ADD_CPX_CPX(MUL_I_CPX(*(a62)), MUL_NI_CPX(*(a72)));
    a82 = (src + 19);
    a92 = (src + 45);
    t27 = ADD_CPX_CPX(*(a82), *(a92));
    t37 = ADD_CPX_CPX(MUL_I_CPX(*(a82)), MUL_NI_CPX(*(a92)));
    a03 = (src + 35);
    a13 = (src + 29);
    t47 = ADD_CPX_CPX(*(a03), *(a13));
    t57 = ADD_CPX_CPX(MUL_I_CPX(*(a03)), MUL_NI_CPX(*(a13)));
    a23 = (src + 51);
    a33 = (src + 13);
    t67 = ADD_CPX_CPX(*(a23), *(a33));
    t77 = ADD_CPX_CPX(MUL_I_CPX(*(a23)), MUL_NI_CPX(*(a33)));
    t87 = ADD_CPX_CPX(t07, t47);
    t97 = ADD_CPX_CPX(t17, t57);
    t08 = SUB_CPX_CPX(t07, t47);
    t18 = SUB_CPX_CPX(t17, t57);
    t28 = ADD_CPX_CPX(t27, t67);
    t38 = ADD_CPX_CPX(t37, t77);
    t48 = SUB_CPX_CPX(t27, t67);
    t58 = SUB_CPX_CPX(t37, t77);
    t68 = ADD_CPX_CPX(t87, t28);
    t78 = ADD_CPX_CPX(t97, t38);
    t88 = SUB_CPX_CPX(t87, t28);
    t98 = SUB_CPX_CPX(t97, t38);
    t09 = ADD_CPX_CPX(t08, t58);
    t19 = SUB_CPX_CPX(t18, t48);
    t29 = SUB_CPX_CPX(t08, t58);
    t39 = ADD_CPX_CPX(t18, t48);
    s61 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), t09), MUL_FLT_CPX(C_FLT(0.29028467725446239), t19));
    s71 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), t19), MUL_FLT_CPX(C_FLT(0.29028467725446239), t09));
    s81 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t88), MUL_FLT_CPX(C_FLT(0.55557023301960218), t98));
    s91 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t98), MUL_FLT_CPX(C_FLT(0.55557023301960218), t88));
    s02 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), t29), MUL_FLT_CPX(C_FLT(0.77301045336273699), t39));
    s12 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), t39), MUL_FLT_CPX(C_FLT(0.77301045336273699), t29));
    a43 = (src + 4);
    a53 = (src + 60);
    t49 = ADD_CPX_CPX(*(a43), *(a53));
    t59 = ADD_CPX_CPX(MUL_I_CPX(*(a43)), MUL_NI_CPX(*(a53)));
    a63 = (src + 20);
    a73 = (src + 44);
    t69 = ADD_CPX_CPX(*(a63), *(a73));
    t79 = ADD_CPX_CPX(MUL_I_CPX(*(a63)), MUL_NI_CPX(*(a73)));
    a83 = (src + 36);
    a93 = (src + 28);
    t89 = ADD_CPX_CPX(*(a83), *(a93));
    t99 = ADD_CPX_CPX(MUL_I_CPX(*(a83)), MUL_NI_CPX(*(a93)));
    a04 = (src + 52);
    a14 = (src + 12);
    t0a = ADD_CPX_CPX(*(a04), *(a14));
    t1a = ADD_CPX_CPX(MUL_I_CPX(*(a04)), MUL_NI_CPX(*(a14)));
    t2a = ADD_CPX_CPX(t49, t89);
    t3a = ADD_CPX_CPX(t59, t99);
    t4a = SUB_CPX_CPX(t49, t89);
    t5a = SUB_CPX_CPX(t59, t99);
    t6a = ADD_CPX_CPX(t69, t0a);
    t7a = ADD_CPX_CPX(t79, t1a);
    t8a = SUB_CPX_CPX(t69, t0a);
    t9a = SUB_CPX_CPX(t79, t1a);
    t0b = ADD_CPX_CPX(t2a, t6a);
    t1b = ADD_CPX_CPX(t3a, t7a);
    t2b = ADD_CPX_CPX(t4a, t9a);
    t3b = SUB_CPX_CPX(t5a, t8a);
    t4b = SUB_CPX_CPX(t4a, t9a);
    t5b = ADD_CPX_CPX(t5a, t8a);
    s22 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t2b), MUL_FLT_CPX(C_FLT(0.38268343236508978), t3b));
    s32 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t3b), MUL_FLT_CPX(C_FLT(0.38268343236508978), t2b));
    a24 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2a, t6a));
    a34 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3a, t7a));
    s42 = ADD_CPX_CPX(a24, a34);
    s52 = SUB_CPX_CPX(a34, a24);
    s62 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t4b), MUL_FLT_CPX(C_FLT(0.92387953251128674), t5b));
    s72 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t5b), MUL_FLT_CPX(C_FLT(0.92387953251128674), t4b));
    a44 = (src + 5);
    a54 = (src + 59);
    t6b = ADD_CPX_CPX(*(a44), *(a54));
    t7b = ADD_CPX_CPX(MUL_I_CPX(*(a44)), MUL_NI_CPX(*(a54)));
    a64 = (src + 21);
    a74 = (src + 43);
    t8b = ADD_CPX_CPX(*(a64), *(a74));
    t9b = ADD_CPX_CPX(MUL_I_CPX(*(a64)), MUL_NI_CPX(*(a74)));
    a84 = (src + 37);
    a94 = (src + 27);
    t0c = ADD_CPX_CPX(*(a84), *(a94));
    t1c = ADD_CPX_CPX(MUL_I_CPX(*(a84)), MUL_NI_CPX(*(a94)));
    a05 = (src + 53);
    a15 = (src + 11);
    t2c = ADD_CPX_CPX(*(a05), *(a15));
    t3c = ADD_CPX_CPX(MUL_I_CPX(*(a05)), MUL_NI_CPX(*(a15)));
    t4c = ADD_CPX_CPX(t6b, t0c);
    t5c = ADD_CPX_CPX(t7b, t1c);
    t6c = SUB_CPX_CPX(t6b, t0c);
    t7c = SUB_CPX_CPX(t7b, t1c);
    t8c = ADD_CPX_CPX(t8b, t2c);
    t9c = ADD_CPX_CPX(t9b, t3c);
    t0d = SUB_CPX_CPX(t8b, t2c);
    t1d = SUB_CPX_CPX(t9b, t3c);
    t2d = ADD_CPX_CPX(t4c, t8c);
    t3d = ADD_CPX_CPX(t5c, t9c);
    t4d = SUB_CPX_CPX(t4c, t8c);
    t5d = SUB_CPX_CPX(t5c, t9c);
    t6d = ADD_CPX_CPX(t6c, t1d);
    t7d = SUB_CPX_CPX(t7c, t0d);
    t8d = SUB_CPX_CPX(t6c, t1d);
    t9d = ADD_CPX_CPX(t7c, t0d);
    s82 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), t6d), MUL_FLT_CPX(C_FLT(0.47139673682599764), t7d));
    s92 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), t7d), MUL_FLT_CPX(C_FLT(0.47139673682599764), t6d));
    s03 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), t4d), MUL_FLT_CPX(C_FLT(0.83146961230254524), t5d));
    s13 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), t5d), MUL_FLT_CPX(C_FLT(0.83146961230254524), t4d));
    s23 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), t8d), MUL_FLT_CPX(C_FLT(0.99518472667219693), t9d));
    s33 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), t9d), MUL_FLT_CPX(C_FLT(0.99518472667219693), t8d));
    a25 = (src + 6);
    a35 = (src + 58);
    t0e = ADD_CPX_CPX(*(a25), *(a35));
    t1e = ADD_CPX_CPX(MUL_I_CPX(*(a25)), MUL_NI_CPX(*(a35)));
    a45 = (src + 22);
    a55 = (src + 42);
    t2e = ADD_CPX_CPX(*(a45), *(a55));
    t3e = ADD_CPX_CPX(MUL_I_CPX(*(a45)), MUL_NI_CPX(*(a55)));
    a65 = (src + 38);
    a75 = (src + 26);
    t4e = ADD_CPX_CPX(*(a65), *(a75));
    t5e = ADD_CPX_CPX(MUL_I_CPX(*(a65)), MUL_NI_CPX(*(a75)));
    a85 = (src + 54);
    a95 = (src + 10);
    t6e = ADD_CPX_CPX(*(a85), *(a95));
    t7e = ADD_CPX_CPX(MUL_I_CPX(*(a85)), MUL_NI_CPX(*(a95)));
    t8e = ADD_CPX_CPX(t0e, t4e);
    t9e = ADD_CPX_CPX(t1e, t5e);
    t0f = SUB_CPX_CPX(t0e, t4e);
    t1f = SUB_CPX_CPX(t1e, t5e);
    t2f = ADD_CPX_CPX(t2e, t6e);
    t3f = ADD_CPX_CPX(t3e, t7e);
    t4f = SUB_CPX_CPX(t2e, t6e);
    t5f = SUB_CPX_CPX(t3e, t7e);
    t6f = ADD_CPX_CPX(t8e, t2f);
    t7f = ADD_CPX_CPX(t9e, t3f);
    t8f = SUB_CPX_CPX(t8e, t2f);
    t9f = SUB_CPX_CPX(t9e, t3f);
    t0g = ADD_CPX_CPX(t0f, t5f);
    t1g = SUB_CPX_CPX(t1f, t4f);
    t2g = SUB_CPX_CPX(t0f, t5f);
    t3g = ADD_CPX_CPX(t1f, t4f);
    s43 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t0g), MUL_FLT_CPX(C_FLT(0.55557023301960218), t1g));
    s53 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t1g), MUL_FLT_CPX(C_FLT(0.55557023301960218), t0g));
    s63 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t8f), MUL_FLT_CPX(C_FLT(0.92387953251128674), t9f));
    s73 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t9f), MUL_FLT_CPX(C_FLT(0.92387953251128674), t8f));
    s83 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t3g), MUL_FLT_CPX(C_FLT(0.19509032201612828), t2g));
    s93 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t2g), MUL_FLT_CPX(C_FLT(0.19509032201612828), t3g));
    a06 = (src + 7);
    a16 = (src + 57);
    t4g = ADD_CPX_CPX(*(a06), *(a16));
    t5g = ADD_CPX_CPX(MUL_I_CPX(*(a06)), MUL_NI_CPX(*(a16)));
    a26 = (src + 23);
    a36 = (src + 41);
    t6g = ADD_CPX_CPX(*(a26), *(a36));
    t7g = ADD_CPX_CPX(MUL_I_CPX(*(a26)), MUL_NI_CPX(*(a36)));
    a46 = (src + 39);
    a56 = (src + 25);
    t8g = ADD_CPX_CPX(*(a46), *(a56));
    t9g = ADD_CPX_CPX(MUL_I_CPX(*(a46)), MUL_NI_CPX(*(a56)));
    a66 = (src + 55);
    a76 = (src + 9);
    t0h = ADD_CPX_CPX(*(a66), *(a76));
    t1h = ADD_CPX_CPX(MUL_I_CPX(*(a66)), MUL_NI_CPX(*(a76)));
    t2h = ADD_CPX_CPX(t4g, t8g);
    t3h = ADD_CPX_CPX(t5g, t9g);
    t4h = SUB_CPX_CPX(t4g, t8g);
    t5h = SUB_CPX_CPX(t5g, t9g);
    t6h = ADD_CPX_CPX(t6g, t0h);
    t7h = ADD_CPX_CPX(t7g, t1h);
    t8h = SUB_CPX_CPX(t6g, t0h);
    t9h = SUB_CPX_CPX(t7g, t1h);
    t0i = ADD_CPX_CPX(t2h, t6h);
    t1i = ADD_CPX_CPX(t3h, t7h);
    t2i = SUB_CPX_CPX(t2h, t6h);
    t3i = SUB_CPX_CPX(t3h, t7h);
    t4i = ADD_CPX_CPX(t4h, t9h);
    t5i = SUB_CPX_CPX(t5h, t8h);
    t6i = SUB_CPX_CPX(t4h, t9h);
    t7i = ADD_CPX_CPX(t5h, t8h);
    s04 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), t4i), MUL_FLT_CPX(C_FLT(0.63439328416364549), t5i));
    s14 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), t5i), MUL_FLT_CPX(C_FLT(0.63439328416364549), t4i));
    s24 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), t2i), MUL_FLT_CPX(C_FLT(0.98078528040323043), t3i));
    s34 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), t3i), MUL_FLT_CPX(C_FLT(0.98078528040323043), t2i));
    s44 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), t7i), MUL_FLT_CPX(C_FLT(0.47139673682599764), t6i));
    s54 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), t6i), MUL_FLT_CPX(C_FLT(0.47139673682599764), t7i));
    t8i = ADD_CPX_CPX(t41, t0b);
    t9i = ADD_CPX_CPX(t61, t1b);
    t0j = SUB_CPX_CPX(t41, t0b);
    t1j = SUB_CPX_CPX(t61, t1b);
    t2j = ADD_CPX_CPX(t83, t0i);
    t3j = SUB_CPX_CPX(t93, t1i);
    t4j = SUB_CPX_CPX(t83, t0i);
    t5j = ADD_CPX_CPX(t93, t1i);
    s64 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t4j), MUL_FLT_CPX(C_FLT(0.38268343236508978), t5j));
    s74 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t5j), MUL_FLT_CPX(C_FLT(0.38268343236508978), t4j));
    t6j = ADD_CPX_CPX(t26, t6f);
    t7j = SUB_CPX_CPX(t36, t7f);
    a86 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t26, t6f));
    a96 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t36, t7f));
    s84 = ADD_CPX_CPX(a86, a96);
    s94 = SUB_CPX_CPX(a96, a86);
    t8j = ADD_CPX_CPX(t68, t2d);
    t9j = SUB_CPX_CPX(t78, t3d);
    t0k = SUB_CPX_CPX(t68, t2d);
    t1k = ADD_CPX_CPX(t78, t3d);
    s05 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t0k), MUL_FLT_CPX(C_FLT(0.92387953251128674), t1k));
    s15 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t1k), MUL_FLT_CPX(C_FLT(0.92387953251128674), t0k));
    t2k = ADD_CPX_CPX(t8i, t6j);
    t3k = ADD_CPX_CPX(t0j, t7j);
    t4k = SUB_CPX_CPX(t8i, t6j);
    t5k = SUB_CPX_CPX(t0j, t7j);
    t6k = ADD_CPX_CPX(t2j, t8j);
    t7k = SUB_CPX_CPX(t3j, t9j);
    a07 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2j, t8j));
    a17 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t3j, t9j));
    s25 = ADD_CPX_CPX(a07, a17);
    s35 = SUB_CPX_CPX(a17, a07);
    *(dst) = ADD_CPX_CPX(t2k, t6k);
    *((dst + 16)) = ADD_CPX_CPX(t4k, t7k);
    *((dst + 32)) = SUB_CPX_CPX(t2k, t6k);
    *((dst + 48)) = SUB_CPX_CPX(t4k, t7k);
    *((dst + 8)) = ADD_CPX_CPX(t3k, s25);
    *((dst + 24)) = ADD_CPX_CPX(t5k, s35);
    *((dst + 40)) = SUB_CPX_CPX(t3k, s25);
    *((dst + 56)) = SUB_CPX_CPX(t5k, s35);
    t8k = ADD_CPX_CPX(t9i, s84);
    t9k = ADD_CPX_CPX(t1j, s94);
    t0l = SUB_CPX_CPX(t9i, s84);
    t1l = SUB_CPX_CPX(t1j, s94);
    t2l = ADD_CPX_CPX(s64, s05);
    t3l = SUB_CPX_CPX(s74, s15);
    a27 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s64, s05));
    a37 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s74, s15));
    s45 = ADD_CPX_CPX(a27, a37);
    s55 = SUB_CPX_CPX(a37, a27);
    *((dst + 4)) = ADD_CPX_CPX(t8k, t2l);
    *((dst + 20)) = ADD_CPX_CPX(t0l, t3l);
    *((dst + 36)) = SUB_CPX_CPX(t8k, t2l);
    *((dst + 52)) = SUB_CPX_CPX(t0l, t3l);
    *((dst + 12)) = ADD_CPX_CPX(t9k, s45);
    *((dst + 28)) = ADD_CPX_CPX(t1l, s55);
    *((dst + 44)) = SUB_CPX_CPX(t9k, s45);
    *((dst + 60)) = SUB_CPX_CPX(t1l, s55);
    t4l = ADD_CPX_CPX(t81, s22);
    t5l = ADD_CPX_CPX(t02, s32);
    t6l = SUB_CPX_CPX(t81, s22);
    t7l = SUB_CPX_CPX(t02, s32);
    t8l = ADD_CPX_CPX(s4, s04);
    t9l = SUB_CPX_CPX(s5, s14);
    t0m = SUB_CPX_CPX(s4, s04);
    t1m = ADD_CPX_CPX(s5, s14);
    s65 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t0m), MUL_FLT_CPX(C_FLT(0.38268343236508978), t1m));
    s75 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t1m), MUL_FLT_CPX(C_FLT(0.38268343236508978), t0m));
    t2m = ADD_CPX_CPX(s01, s43);
    t3m = SUB_CPX_CPX(s11, s53);
    a47 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s01, s43));
    a57 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s11, s53));
    s85 = ADD_CPX_CPX(a47, a57);
    s95 = SUB_CPX_CPX(a57, a47);
    t4m = ADD_CPX_CPX(s61, s82);
    t5m = SUB_CPX_CPX(s71, s92);
    t6m = SUB_CPX_CPX(s61, s82);
    t7m = ADD_CPX_CPX(s71, s92);
    s06 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t6m), MUL_FLT_CPX(C_FLT(0.92387953251128674), t7m));
    s16 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t7m), MUL_FLT_CPX(C_FLT(0.92387953251128674), t6m));
    t8m = ADD_CPX_CPX(t4l, t2m);
    t9m = ADD_CPX_CPX(t6l, t3m);
    t0n = SUB_CPX_CPX(t4l, t2m);
    t1n = SUB_CPX_CPX(t6l, t3m);
    t2n = ADD_CPX_CPX(t8l, t4m);
    t3n = SUB_CPX_CPX(t9l, t5m);
    a67 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8l, t4m));
    a77 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t9l, t5m));
    s26 = ADD_CPX_CPX(a67, a77);
    s36 = SUB_CPX_CPX(a77, a67);
    *((dst + 1)) = ADD_CPX_CPX(t8m, t2n);
    *((dst + 17)) = ADD_CPX_CPX(t0n, t3n);
    *((dst + 33)) = SUB_CPX_CPX(t8m, t2n);
    *((dst + 49)) = SUB_CPX_CPX(t0n, t3n);
    *((dst + 9)) = ADD_CPX_CPX(t9m, s26);
    *((dst + 25)) = ADD_CPX_CPX(t1n, s36);
    *((dst + 41)) = SUB_CPX_CPX(t9m, s26);
    *((dst + 57)) = SUB_CPX_CPX(t1n, s36);
    t4n = ADD_CPX_CPX(t5l, s85);
    t5n = ADD_CPX_CPX(t7l, s95);
    t6n = SUB_CPX_CPX(t5l, s85);
    t7n = SUB_CPX_CPX(t7l, s95);
    t8n = ADD_CPX_CPX(s65, s06);
    t9n = SUB_CPX_CPX(s75, s16);
    a87 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s65, s06));
    a97 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s75, s16));
    s46 = ADD_CPX_CPX(a87, a97);
    s56 = SUB_CPX_CPX(a97, a87);
    *((dst + 5)) = ADD_CPX_CPX(t4n, t8n);
    *((dst + 21)) = ADD_CPX_CPX(t6n, t9n);
    *((dst + 37)) = SUB_CPX_CPX(t4n, t8n);
    *((dst + 53)) = SUB_CPX_CPX(t6n, t9n);
    *((dst + 13)) = ADD_CPX_CPX(t5n, s46);
    *((dst + 29)) = ADD_CPX_CPX(t7n, s56);
    *((dst + 45)) = SUB_CPX_CPX(t5n, s46);
    *((dst + 61)) = SUB_CPX_CPX(t7n, s56);
    t0o = ADD_CPX_CPX(t51, s42);
    t1o = ADD_CPX_CPX(t71, s52);
    t2o = SUB_CPX_CPX(t51, s42);
    t3o = SUB_CPX_CPX(t71, s52);
    t4o = ADD_CPX_CPX(s6, s24);
    t5o = SUB_CPX_CPX(s7, s34);
    t6o = SUB_CPX_CPX(s6, s24);
    t7o = ADD_CPX_CPX(s7, s34);
    s66 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t6o), MUL_FLT_CPX(C_FLT(0.38268343236508978), t7o));
    s76 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t7o), MUL_FLT_CPX(C_FLT(0.38268343236508978), t6o));
    t8o = ADD_CPX_CPX(s21, s63);
    t9o = SUB_CPX_CPX(s31, s73);
    a08 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s21, s63));
    a18 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s31, s73));
    s86 = ADD_CPX_CPX(a08, a18);
    s96 = SUB_CPX_CPX(a18, a08);
    t0p = ADD_CPX_CPX(s81, s03);
    t1p = SUB_CPX_CPX(s91, s13);
    t2p = SUB_CPX_CPX(s81, s03);
    t3p = ADD_CPX_CPX(s91, s13);
    s07 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t2p), MUL_FLT_CPX(C_FLT(0.92387953251128674), t3p));
    s17 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t3p), MUL_FLT_CPX(C_FLT(0.92387953251128674), t2p));
    t4p = ADD_CPX_CPX(t0o, t8o);
    t5p = ADD_CPX_CPX(t2o, t9o);
    t6p = SUB_CPX_CPX(t0o, t8o);
    t7p = SUB_CPX_CPX(t2o, t9o);
    t8p = ADD_CPX_CPX(t4o, t0p);
    t9p = SUB_CPX_CPX(t5o, t1p);
    a28 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t4o, t0p));
    a38 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t5o, t1p));
    s27 = ADD_CPX_CPX(a28, a38);
    s37 = SUB_CPX_CPX(a38, a28);
    *((dst + 2)) = ADD_CPX_CPX(t4p, t8p);
    *((dst + 18)) = ADD_CPX_CPX(t6p, t9p);
    *((dst + 34)) = SUB_CPX_CPX(t4p, t8p);
    *((dst + 50)) = SUB_CPX_CPX(t6p, t9p);
    *((dst + 10)) = ADD_CPX_CPX(t5p, s27);
    *((dst + 26)) = ADD_CPX_CPX(t7p, s37);
    *((dst + 42)) = SUB_CPX_CPX(t5p, s27);
    *((dst + 58)) = SUB_CPX_CPX(t7p, s37);
    t0q = ADD_CPX_CPX(t1o, s86);
    t1q = ADD_CPX_CPX(t3o, s96);
    t2q = SUB_CPX_CPX(t1o, s86);
    t3q = SUB_CPX_CPX(t3o, s96);
    t4q = ADD_CPX_CPX(s66, s07);
    t5q = SUB_CPX_CPX(s76, s17);
    a48 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s66, s07));
    a58 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s76, s17));
    s47 = ADD_CPX_CPX(a48, a58);
    s57 = SUB_CPX_CPX(a58, a48);
    *((dst + 6)) = ADD_CPX_CPX(t0q, t4q);
    *((dst + 22)) = ADD_CPX_CPX(t2q, t5q);
    *((dst + 38)) = SUB_CPX_CPX(t0q, t4q);
    *((dst + 54)) = SUB_CPX_CPX(t2q, t5q);
    *((dst + 14)) = ADD_CPX_CPX(t1q, s47);
    *((dst + 30)) = ADD_CPX_CPX(t3q, s57);
    *((dst + 46)) = SUB_CPX_CPX(t1q, s47);
    *((dst + 62)) = SUB_CPX_CPX(t3q, s57);
    t6q = ADD_CPX_CPX(t91, s62);
    t7q = ADD_CPX_CPX(t12, s72);
    t8q = SUB_CPX_CPX(t91, s62);
    t9q = SUB_CPX_CPX(t12, s72);
    t0r = ADD_CPX_CPX(s8, s44);
    t1r = ADD_CPX_CPX(s9, s54);
    t2r = SUB_CPX_CPX(s8, s44);
    t3r = SUB_CPX_CPX(s9, s54);
    s67 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t2r), MUL_FLT_CPX(C_FLT(0.38268343236508978), t3r));
    s77 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t3r), MUL_FLT_CPX(C_FLT(0.38268343236508978), t2r));
    t4r = ADD_CPX_CPX(s41, s83);
    t5r = ADD_CPX_CPX(s51, s93);
    a68 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s41, s83));
    a78 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s51, s93));
    s87 = ADD_CPX_CPX(a68, a78);
    s97 = SUB_CPX_CPX(a78, a68);
    t6r = ADD_CPX_CPX(s02, s23);
    t7r = SUB_CPX_CPX(s12, s33);
    t8r = SUB_CPX_CPX(s02, s23);
    t9r = ADD_CPX_CPX(s12, s33);
    s08 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t8r), MUL_FLT_CPX(C_FLT(0.92387953251128674), t9r));
    s18 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t9r), MUL_FLT_CPX(C_FLT(0.92387953251128674), t8r));
    t0s = ADD_CPX_CPX(t6q, t4r);
    t1s = ADD_CPX_CPX(t8q, t5r);
    t2s = SUB_CPX_CPX(t6q, t4r);
    t3s = SUB_CPX_CPX(t8q, t5r);
    t4s = ADD_CPX_CPX(t0r, t6r);
    t5s = SUB_CPX_CPX(t1r, t7r);
    a88 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0r, t6r));
    a98 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t1r, t7r));
    s28 = ADD_CPX_CPX(a88, a98);
    s38 = SUB_CPX_CPX(a98, a88);
    *((dst + 3)) = ADD_CPX_CPX(t0s, t4s);
    *((dst + 19)) = ADD_CPX_CPX(t2s, t5s);
    *((dst + 35)) = SUB_CPX_CPX(t0s, t4s);
    *((dst + 51)) = SUB_CPX_CPX(t2s, t5s);
    *((dst + 11)) = ADD_CPX_CPX(t1s, s28);
    *((dst + 27)) = ADD_CPX_CPX(t3s, s38);
    *((dst + 43)) = SUB_CPX_CPX(t1s, s28);
    *((dst + 59)) = SUB_CPX_CPX(t3s, s38);
    t6s = ADD_CPX_CPX(t7q, s87);
    t7s = ADD_CPX_CPX(t9q, s97);
    t8s = SUB_CPX_CPX(t7q, s87);
    t9s = SUB_CPX_CPX(t9q, s97);
    t0t = ADD_CPX_CPX(s67, s08);
    t1t = SUB_CPX_CPX(s77, s18);
    a09 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s67, s08));
    a19 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s77, s18));
    s48 = ADD_CPX_CPX(a09, a19);
    s58 = SUB_CPX_CPX(a19, a09);
    *((dst + 7)) = ADD_CPX_CPX(t6s, t0t);
    *((dst + 23)) = ADD_CPX_CPX(t8s, t1t);
    *((dst + 39)) = SUB_CPX_CPX(t6s, t0t);
    *((dst + 55)) = SUB_CPX_CPX(t8s, t1t);
    *((dst + 15)) = ADD_CPX_CPX(t7s, s48);
    *((dst + 31)) = ADD_CPX_CPX(t9s, s58);
    *((dst + 47)) = SUB_CPX_CPX(t7s, s48);
    *((dst + 63)) = SUB_CPX_CPX(t9s, s58);
    }
    
    return SPIRAL_OK;
    }
}

SPIRAL_PRIV(spiral_status_t, spiral_fftinv_double_128_unaligned)(const double *pSrc, double *pDst ) {
    const CPX  *src = (const CPX *) pSrc; 
    CPX        *dst = (CPX *) pDst;
    
    
    {CPX a, a01, a02, a03, a04, a05, a11, a12, a13, a14, a15, a2, a21, a22, a23, a24, a25, a3, a31, a32, a33, a34
        , a4, a41, a42, a43, a44, a5, a51, a52, a53, a54, a6, a61, a62, a63, a64, a7, a71, a72, a73, a74, a8, a81
        , a82, a83, a84, a9, a91, a92, a93, a94, s, s01, s02, s03, s04, s05, s06, s07, s08, s09, s0a, s0b, s0c, s0d
        , s0e, s0f, s0g, s0h, s0i, s0j, s0k, s0l, s0m, s0n, s0o, s0p, s0q, s0r, s0s, s0t, s0u, s0v, s0w, s0x, s11, s12
        , s13, s14, s15, s16, s17, s18, s19, s1a, s1b, s1c, s1d, s1e, s1f, s1g, s1h, s1i, s1j, s1k, s1l, s1m, s1n, s1o
        , s1p, s1q, s1r, s1s, s1t, s1u, s1v, s1w, s1x, s2, s21, s22, s23, s24, s25, s26, s27, s28, s29, s2a, s2b, s2c
        , s2d, s2e, s2f, s2g, s2h, s2i, s2j, s2k, s2l, s2m, s2n, s2o, s2p, s2q, s2r, s2s, s2t, s2u, s2v, s2w, s2x, s3
        , s31, s32, s33, s34, s35, s36, s37, s38, s39, s3a, s3b, s3c, s3d, s3e, s3f, s3g, s3h, s3i, s3j, s3k, s3l, s3m
        , s3n, s3o, s3p, s3q, s3r, s3s, s3t, s3u, s3v, s3w, s3x, s4, s41, s42, s43, s44, s45, s46, s47, s48, s49, s4a
        , s4b, s4c, s4d, s4e, s4f, s4g, s4h, s4i, s4j, s4k, s4l, s4m, s4n, s4o, s4p, s4q, s4r, s4s, s4t, s4u, s4v, s4w
        , s5, s51, s52, s53, s54, s55, s56, s57, s58, s59, s5a, s5b, s5c, s5d, s5e, s5f, s5g, s5h, s5i, s5j, s5k, s5l
        , s5m, s5n, s5o, s5p, s5q, s5r, s5s, s5t, s5u, s5v, s5w, s6, s61, s62, s63, s64, s65, s66, s67, s68, s69, s6a
        , s6b, s6c, s6d, s6e, s6f, s6g, s6h, s6i, s6j, s6k, s6l, s6m, s6n, s6o, s6p, s6q, s6r, s6s, s6t, s6u, s6v, s6w
        , s7, s71, s72, s73, s74, s75, s76, s77, s78, s79, s7a, s7b, s7c, s7d, s7e, s7f, s7g, s7h, s7i, s7j, s7k, s7l
        , s7m, s7n, s7o, s7p, s7q, s7r, s7s, s7t, s7u, s7v, s7w, s8, s81, s82, s83, s84, s85, s86, s87, s88, s89, s8a
        , s8b, s8c, s8d, s8e, s8f, s8g, s8h, s8i, s8j, s8k, s8l, s8m, s8n, s8o, s8p, s8q, s8r, s8s, s8t, s8u, s8v, s8w
        , s9, s91, s92, s93, s94, s95, s96, s97, s98, s99, s9a, s9b, s9c, s9d, s9e, s9f, s9g, s9h, s9i, s9j, s9k, s9l
        , s9m, s9n, s9o, s9p, s9q, s9r, s9s, s9t, s9u, s9v, s9w, t, t01, t010, t011, t012, t013, t014, t015, t016, t017, t018
        , t019, t01a, t01b, t01c, t01d, t01e, t01f, t01g, t01h, t01i, t01j, t01k, t01l, t01m, t02, t03, t04, t05, t06, t07, t08, t09
        , t0A, t0B, t0C, t0D, t0E, t0F, t0G, t0H, t0I, t0J, t0K, t0L, t0M, t0N, t0O, t0P, t0Q, t0R, t0S, t0T, t0U, t0V
        , t0W, t0X, t0Y, t0Z, t0a, t0b, t0c, t0d, t0e, t0f, t0g, t0h, t0i, t0j, t0k, t0l, t0m, t0n, t0o, t0p, t0q, t0r
        , t0s, t0t, t0u, t0v, t0w, t0x, t0y, t0z, t11, t110, t111, t112, t113, t114, t115, t116, t117, t118, t119, t11a, t11b, t11c
        , t11d, t11e, t11f, t11g, t11h, t11i, t11j, t11k, t11l, t11m, t12, t13, t14, t15, t16, t17, t18, t19, t1A, t1B, t1C, t1D
        , t1E, t1F, t1G, t1H, t1I, t1J, t1K, t1L, t1M, t1N, t1O, t1P, t1Q, t1R, t1S, t1T, t1U, t1V, t1W, t1X, t1Y, t1Z
        , t1a, t1b, t1c, t1d, t1e, t1f, t1g, t1h, t1i, t1j, t1k, t1l, t1m, t1n, t1o, t1p, t1q, t1r, t1s, t1t, t1u, t1v
        , t1w, t1x, t1y, t1z, t2, t21, t210, t211, t212, t213, t214, t215, t216, t217, t218, t219, t21a, t21b, t21c, t21d, t21e, t21f
        , t21g, t21h, t21i, t21j, t21k, t21l, t21m, t22, t23, t24, t25, t26, t27, t28, t29, t2A, t2B, t2C, t2D, t2E, t2F, t2G
        , t2H, t2I, t2J, t2K, t2L, t2M, t2N, t2O, t2P, t2Q, t2R, t2S, t2T, t2U, t2V, t2W, t2X, t2Y, t2Z, t2a, t2b, t2c
        , t2d, t2e, t2f, t2g, t2h, t2i, t2j, t2k, t2l, t2m, t2n, t2o, t2p, t2q, t2r, t2s, t2t, t2u, t2v, t2w, t2x, t2y
        , t2z, t3, t31, t310, t311, t312, t313, t314, t315, t316, t317, t318, t319, t31a, t31b, t31c, t31d, t31e, t31f, t31g, t31h, t31i
        , t31j, t31k, t31l, t31m, t32, t33, t34, t35, t36, t37, t38, t39, t3A, t3B, t3C, t3D, t3E, t3F, t3G, t3H, t3I, t3J
        , t3K, t3L, t3M, t3N, t3O, t3P, t3Q, t3R, t3S, t3T, t3U, t3V, t3W, t3X, t3Y, t3Z, t3a, t3b, t3c, t3d, t3e, t3f
        , t3g, t3h, t3i, t3j, t3k, t3l, t3m, t3n, t3o, t3p, t3q, t3r, t3s, t3t, t3u, t3v, t3w, t3x, t3y, t3z, t4, t41
        , t410, t411, t412, t413, t414, t415, t416, t417, t418, t419, t41a, t41b, t41c, t41d, t41e, t41f, t41g, t41h, t41i, t41j, t41k, t41l
        , t42, t43, t44, t45, t46, t47, t48, t49, t4A, t4B, t4C, t4D, t4E, t4F, t4G, t4H, t4I, t4J, t4K, t4L, t4M, t4N
        , t4O, t4P, t4Q, t4R, t4S, t4T, t4U, t4V, t4W, t4X, t4Y, t4Z, t4a, t4b, t4c, t4d, t4e, t4f, t4g, t4h, t4i, t4j
        , t4k, t4l, t4m, t4n, t4o, t4p, t4q, t4r, t4s, t4t, t4u, t4v, t4w, t4x, t4y, t4z, t5, t51, t510, t511, t512, t513
        , t514, t515, t516, t517, t518, t519, t51a, t51b, t51c, t51d, t51e, t51f, t51g, t51h, t51i, t51j, t51k, t51l, t52, t53, t54, t55
        , t56, t57, t58, t59, t5A, t5B, t5C, t5D, t5E, t5F, t5G, t5H, t5I, t5J, t5K, t5L, t5M, t5N, t5O, t5P, t5Q, t5R
        , t5S, t5T, t5U, t5V, t5W, t5X, t5Y, t5Z, t5a, t5b, t5c, t5d, t5e, t5f, t5g, t5h, t5i, t5j, t5k, t5l, t5m, t5n
        , t5o, t5p, t5q, t5r, t5s, t5t, t5u, t5v, t5w, t5x, t5y, t5z, t6, t61, t610, t611, t612, t613, t614, t615, t616, t617
        , t618, t619, t61a, t61b, t61c, t61d, t61e, t61f, t61g, t61h, t61i, t61j, t61k, t61l, t62, t63, t64, t65, t66, t67, t68, t69
        , t6A, t6B, t6C, t6D, t6E, t6F, t6G, t6H, t6I, t6J, t6K, t6L, t6M, t6N, t6O, t6P, t6Q, t6R, t6S, t6T, t6U, t6V
        , t6W, t6X, t6Y, t6Z, t6a, t6b, t6c, t6d, t6e, t6f, t6g, t6h, t6i, t6j, t6k, t6l, t6m, t6n, t6o, t6p, t6q, t6r
        , t6s, t6t, t6u, t6v, t6w, t6x, t6y, t6z, t7, t71, t710, t711, t712, t713, t714, t715, t716, t717, t718, t719, t71a, t71b
        , t71c, t71d, t71e, t71f, t71g, t71h, t71i, t71j, t71k, t71l, t72, t73, t74, t75, t76, t77, t78, t79, t7A, t7B, t7C, t7D
        , t7E, t7F, t7G, t7H, t7I, t7J, t7K, t7L, t7M, t7N, t7O, t7P, t7Q, t7R, t7S, t7T, t7U, t7V, t7W, t7X, t7Y, t7Z
        , t7a, t7b, t7c, t7d, t7e, t7f, t7g, t7h, t7i, t7j, t7k, t7l, t7m, t7n, t7o, t7p, t7q, t7r, t7s, t7t, t7u, t7v
        , t7w, t7x, t7y, t7z, t8, t81, t810, t811, t812, t813, t814, t815, t816, t817, t818, t819, t81a, t81b, t81c, t81d, t81e, t81f
        , t81g, t81h, t81i, t81j, t81k, t81l, t82, t83, t84, t85, t86, t87, t88, t89, t8A, t8B, t8C, t8D, t8E, t8F, t8G, t8H
        , t8I, t8J, t8K, t8L, t8M, t8N, t8O, t8P, t8Q, t8R, t8S, t8T, t8U, t8V, t8W, t8X, t8Y, t8Z, t8a, t8b, t8c, t8d
        , t8e, t8f, t8g, t8h, t8i, t8j, t8k, t8l, t8m, t8n, t8o, t8p, t8q, t8r, t8s, t8t, t8u, t8v, t8w, t8x, t8y, t8z
        , t9, t91, t910, t911, t912, t913, t914, t915, t916, t917, t918, t919, t91a, t91b, t91c, t91d, t91e, t91f, t91g, t91h, t91i, t91j
        , t91k, t91l, t92, t93, t94, t95, t96, t97, t98, t99, t9A, t9B, t9C, t9D, t9E, t9F, t9G, t9H, t9I, t9J, t9K, t9L
        , t9M, t9N, t9O, t9P, t9Q, t9R, t9S, t9T, t9U, t9V, t9W, t9X, t9Y, t9Z, t9a, t9b, t9c, t9d, t9e, t9f, t9g, t9h
        , t9i, t9j, t9k, t9l, t9m, t9n, t9o, t9p, t9q, t9r, t9s, t9t, t9u, t9v, t9w, t9x, t9y, t9z;
    s = LOADU_CPX(src);
    s2 = LOADU_CPX((src + 64));
    t = ADD_CPX_CPX(s, s2);
    t2 = SUB_CPX_CPX(s, s2);
    s3 = LOADU_CPX((src + 32));
    s4 = LOADU_CPX((src + 96));
    t3 = ADD_CPX_CPX(s3, s4);
    s5 = MUL_I_CPX(SUB_CPX_CPX(s3, s4));
    t4 = ADD_CPX_CPX(t, t3);
    t5 = SUB_CPX_CPX(t, t3);
    t6 = ADD_CPX_CPX(t2, s5);
    t7 = SUB_CPX_CPX(t2, s5);
    s6 = LOADU_CPX((src + 16));
    s7 = LOADU_CPX((src + 112));
    t8 = ADD_CPX_CPX(s6, s7);
    t9 = ADD_CPX_CPX(MUL_I_CPX(s6), MUL_NI_CPX(s7));
    s8 = LOADU_CPX((src + 80));
    s9 = LOADU_CPX((src + 48));
    t01 = ADD_CPX_CPX(s8, s9);
    t11 = ADD_CPX_CPX(MUL_I_CPX(s8), MUL_NI_CPX(s9));
    t21 = ADD_CPX_CPX(t8, t01);
    t31 = ADD_CPX_CPX(t9, t11);
    a = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8, t01));
    a2 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9, t11));
    s01 = ADD_CPX_CPX(a, a2);
    s11 = SUB_CPX_CPX(a2, a);
    t41 = ADD_CPX_CPX(t4, t21);
    t51 = ADD_CPX_CPX(t5, t31);
    t61 = SUB_CPX_CPX(t4, t21);
    t71 = SUB_CPX_CPX(t5, t31);
    t81 = ADD_CPX_CPX(t6, s01);
    t91 = ADD_CPX_CPX(t7, s11);
    t02 = SUB_CPX_CPX(t6, s01);
    t12 = SUB_CPX_CPX(t7, s11);
    s21 = LOADU_CPX((src + 1));
    s31 = LOADU_CPX((src + 127));
    t22 = ADD_CPX_CPX(s21, s31);
    t32 = ADD_CPX_CPX(MUL_I_CPX(s21), MUL_NI_CPX(s31));
    s41 = LOADU_CPX((src + 33));
    s51 = LOADU_CPX((src + 95));
    t42 = ADD_CPX_CPX(s41, s51);
    t52 = ADD_CPX_CPX(MUL_I_CPX(s41), MUL_NI_CPX(s51));
    s61 = LOADU_CPX((src + 65));
    s71 = LOADU_CPX((src + 63));
    t62 = ADD_CPX_CPX(s61, s71);
    t72 = ADD_CPX_CPX(MUL_I_CPX(s61), MUL_NI_CPX(s71));
    s81 = LOADU_CPX((src + 97));
    s91 = LOADU_CPX((src + 31));
    t82 = ADD_CPX_CPX(s81, s91);
    t92 = ADD_CPX_CPX(MUL_I_CPX(s81), MUL_NI_CPX(s91));
    t03 = ADD_CPX_CPX(t22, t62);
    t13 = ADD_CPX_CPX(t32, t72);
    t23 = SUB_CPX_CPX(t22, t62);
    t33 = SUB_CPX_CPX(t32, t72);
    t43 = ADD_CPX_CPX(t42, t82);
    t53 = ADD_CPX_CPX(t52, t92);
    t63 = SUB_CPX_CPX(t42, t82);
    t73 = SUB_CPX_CPX(t52, t92);
    t83 = ADD_CPX_CPX(t03, t43);
    t93 = ADD_CPX_CPX(t13, t53);
    t04 = SUB_CPX_CPX(t03, t43);
    t14 = SUB_CPX_CPX(t13, t53);
    t24 = ADD_CPX_CPX(t23, t73);
    t34 = SUB_CPX_CPX(t33, t63);
    t44 = SUB_CPX_CPX(t23, t73);
    t54 = ADD_CPX_CPX(t33, t63);
    s02 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99879545620517241), t24), MUL_FLT_CPX(C_FLT(0.049067674327418015), t34));
    s12 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99879545620517241), t34), MUL_FLT_CPX(C_FLT(0.049067674327418015), t24));
    s22 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), t04), MUL_FLT_CPX(C_FLT(0.098017140329560604), t14));
    s32 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), t14), MUL_FLT_CPX(C_FLT(0.098017140329560604), t04));
    s42 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), t44), MUL_FLT_CPX(C_FLT(0.14673047445536175), t54));
    s52 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), t54), MUL_FLT_CPX(C_FLT(0.14673047445536175), t44));
    s62 = LOADU_CPX((src + 2));
    s72 = LOADU_CPX((src + 126));
    t64 = ADD_CPX_CPX(s62, s72);
    t74 = ADD_CPX_CPX(MUL_I_CPX(s62), MUL_NI_CPX(s72));
    s82 = LOADU_CPX((src + 34));
    s92 = LOADU_CPX((src + 94));
    t84 = ADD_CPX_CPX(s82, s92);
    t94 = ADD_CPX_CPX(MUL_I_CPX(s82), MUL_NI_CPX(s92));
    s03 = LOADU_CPX((src + 66));
    s13 = LOADU_CPX((src + 62));
    t05 = ADD_CPX_CPX(s03, s13);
    t15 = ADD_CPX_CPX(MUL_I_CPX(s03), MUL_NI_CPX(s13));
    s23 = LOADU_CPX((src + 98));
    s33 = LOADU_CPX((src + 30));
    t25 = ADD_CPX_CPX(s23, s33);
    t35 = ADD_CPX_CPX(MUL_I_CPX(s23), MUL_NI_CPX(s33));
    t45 = ADD_CPX_CPX(t64, t05);
    t55 = ADD_CPX_CPX(t74, t15);
    t65 = SUB_CPX_CPX(t64, t05);
    t75 = SUB_CPX_CPX(t74, t15);
    t85 = ADD_CPX_CPX(t84, t25);
    t95 = ADD_CPX_CPX(t94, t35);
    t06 = SUB_CPX_CPX(t84, t25);
    t16 = SUB_CPX_CPX(t94, t35);
    t26 = ADD_CPX_CPX(t45, t85);
    t36 = ADD_CPX_CPX(t55, t95);
    t46 = SUB_CPX_CPX(t45, t85);
    t56 = SUB_CPX_CPX(t55, t95);
    t66 = ADD_CPX_CPX(t65, t16);
    t76 = SUB_CPX_CPX(t75, t06);
    t86 = SUB_CPX_CPX(t65, t16);
    t96 = ADD_CPX_CPX(t75, t06);
    s43 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), t66), MUL_FLT_CPX(C_FLT(0.098017140329560604), t76));
    s53 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), t76), MUL_FLT_CPX(C_FLT(0.098017140329560604), t66));
    s63 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t46), MUL_FLT_CPX(C_FLT(0.19509032201612828), t56));
    s73 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t56), MUL_FLT_CPX(C_FLT(0.19509032201612828), t46));
    s83 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), t86), MUL_FLT_CPX(C_FLT(0.29028467725446239), t96));
    s93 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), t96), MUL_FLT_CPX(C_FLT(0.29028467725446239), t86));
    s04 = LOADU_CPX((src + 3));
    s14 = LOADU_CPX((src + 125));
    t07 = ADD_CPX_CPX(s04, s14);
    t17 = ADD_CPX_CPX(MUL_I_CPX(s04), MUL_NI_CPX(s14));
    s24 = LOADU_CPX((src + 35));
    s34 = LOADU_CPX((src + 93));
    t27 = ADD_CPX_CPX(s24, s34);
    t37 = ADD_CPX_CPX(MUL_I_CPX(s24), MUL_NI_CPX(s34));
    s44 = LOADU_CPX((src + 67));
    s54 = LOADU_CPX((src + 61));
    t47 = ADD_CPX_CPX(s44, s54);
    t57 = ADD_CPX_CPX(MUL_I_CPX(s44), MUL_NI_CPX(s54));
    s64 = LOADU_CPX((src + 99));
    s74 = LOADU_CPX((src + 29));
    t67 = ADD_CPX_CPX(s64, s74);
    t77 = ADD_CPX_CPX(MUL_I_CPX(s64), MUL_NI_CPX(s74));
    t87 = ADD_CPX_CPX(t07, t47);
    t97 = ADD_CPX_CPX(t17, t57);
    t08 = SUB_CPX_CPX(t07, t47);
    t18 = SUB_CPX_CPX(t17, t57);
    t28 = ADD_CPX_CPX(t27, t67);
    t38 = ADD_CPX_CPX(t37, t77);
    t48 = SUB_CPX_CPX(t27, t67);
    t58 = SUB_CPX_CPX(t37, t77);
    t68 = ADD_CPX_CPX(t87, t28);
    t78 = ADD_CPX_CPX(t97, t38);
    t88 = SUB_CPX_CPX(t87, t28);
    t98 = SUB_CPX_CPX(t97, t38);
    t09 = ADD_CPX_CPX(t08, t58);
    t19 = SUB_CPX_CPX(t18, t48);
    t29 = SUB_CPX_CPX(t08, t58);
    t39 = ADD_CPX_CPX(t18, t48);
    s84 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), t09), MUL_FLT_CPX(C_FLT(0.14673047445536175), t19));
    s94 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), t19), MUL_FLT_CPX(C_FLT(0.14673047445536175), t09));
    s05 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), t88), MUL_FLT_CPX(C_FLT(0.29028467725446239), t98));
    s15 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), t98), MUL_FLT_CPX(C_FLT(0.29028467725446239), t88));
    s25 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.90398929312344334), t29), MUL_FLT_CPX(C_FLT(0.42755509343028208), t39));
    s35 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.90398929312344334), t39), MUL_FLT_CPX(C_FLT(0.42755509343028208), t29));
    s45 = LOADU_CPX((src + 4));
    s55 = LOADU_CPX((src + 124));
    t49 = ADD_CPX_CPX(s45, s55);
    t59 = ADD_CPX_CPX(MUL_I_CPX(s45), MUL_NI_CPX(s55));
    s65 = LOADU_CPX((src + 36));
    s75 = LOADU_CPX((src + 92));
    t69 = ADD_CPX_CPX(s65, s75);
    t79 = ADD_CPX_CPX(MUL_I_CPX(s65), MUL_NI_CPX(s75));
    s85 = LOADU_CPX((src + 68));
    s95 = LOADU_CPX((src + 60));
    t89 = ADD_CPX_CPX(s85, s95);
    t99 = ADD_CPX_CPX(MUL_I_CPX(s85), MUL_NI_CPX(s95));
    s06 = LOADU_CPX((src + 100));
    s16 = LOADU_CPX((src + 28));
    t0a = ADD_CPX_CPX(s06, s16);
    t1a = ADD_CPX_CPX(MUL_I_CPX(s06), MUL_NI_CPX(s16));
    t2a = ADD_CPX_CPX(t49, t89);
    t3a = ADD_CPX_CPX(t59, t99);
    t4a = SUB_CPX_CPX(t49, t89);
    t5a = SUB_CPX_CPX(t59, t99);
    t6a = ADD_CPX_CPX(t69, t0a);
    t7a = ADD_CPX_CPX(t79, t1a);
    t8a = SUB_CPX_CPX(t69, t0a);
    t9a = SUB_CPX_CPX(t79, t1a);
    t0b = ADD_CPX_CPX(t2a, t6a);
    t1b = ADD_CPX_CPX(t3a, t7a);
    t2b = SUB_CPX_CPX(t2a, t6a);
    t3b = SUB_CPX_CPX(t3a, t7a);
    t4b = ADD_CPX_CPX(t4a, t9a);
    t5b = SUB_CPX_CPX(t5a, t8a);
    t6b = SUB_CPX_CPX(t4a, t9a);
    t7b = ADD_CPX_CPX(t5a, t8a);
    s26 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t4b), MUL_FLT_CPX(C_FLT(0.19509032201612828), t5b));
    s36 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t5b), MUL_FLT_CPX(C_FLT(0.19509032201612828), t4b));
    s46 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t2b), MUL_FLT_CPX(C_FLT(0.38268343236508978), t3b));
    s56 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t3b), MUL_FLT_CPX(C_FLT(0.38268343236508978), t2b));
    s66 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t6b), MUL_FLT_CPX(C_FLT(0.55557023301960218), t7b));
    s76 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t7b), MUL_FLT_CPX(C_FLT(0.55557023301960218), t6b));
    s86 = LOADU_CPX((src + 5));
    s96 = LOADU_CPX((src + 123));
    t8b = ADD_CPX_CPX(s86, s96);
    t9b = ADD_CPX_CPX(MUL_I_CPX(s86), MUL_NI_CPX(s96));
    s07 = LOADU_CPX((src + 37));
    s17 = LOADU_CPX((src + 91));
    t0c = ADD_CPX_CPX(s07, s17);
    t1c = ADD_CPX_CPX(MUL_I_CPX(s07), MUL_NI_CPX(s17));
    s27 = LOADU_CPX((src + 69));
    s37 = LOADU_CPX((src + 59));
    t2c = ADD_CPX_CPX(s27, s37);
    t3c = ADD_CPX_CPX(MUL_I_CPX(s27), MUL_NI_CPX(s37));
    s47 = LOADU_CPX((src + 101));
    s57 = LOADU_CPX((src + 27));
    t4c = ADD_CPX_CPX(s47, s57);
    t5c = ADD_CPX_CPX(MUL_I_CPX(s47), MUL_NI_CPX(s57));
    t6c = ADD_CPX_CPX(t8b, t2c);
    t7c = ADD_CPX_CPX(t9b, t3c);
    t8c = SUB_CPX_CPX(t8b, t2c);
    t9c = SUB_CPX_CPX(t9b, t3c);
    t0d = ADD_CPX_CPX(t0c, t4c);
    t1d = ADD_CPX_CPX(t1c, t5c);
    t2d = SUB_CPX_CPX(t0c, t4c);
    t3d = SUB_CPX_CPX(t1c, t5c);
    t4d = ADD_CPX_CPX(t6c, t0d);
    t5d = ADD_CPX_CPX(t7c, t1d);
    t6d = SUB_CPX_CPX(t6c, t0d);
    t7d = SUB_CPX_CPX(t7c, t1d);
    t8d = ADD_CPX_CPX(t8c, t3d);
    t9d = SUB_CPX_CPX(t9c, t2d);
    t0e = SUB_CPX_CPX(t8c, t3d);
    t1e = ADD_CPX_CPX(t9c, t2d);
    s67 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.97003125319454397), t8d), MUL_FLT_CPX(C_FLT(0.2429801799032639), t9d));
    s77 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.97003125319454397), t9d), MUL_FLT_CPX(C_FLT(0.2429801799032639), t8d));
    s87 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), t6d), MUL_FLT_CPX(C_FLT(0.47139673682599764), t7d));
    s97 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), t7d), MUL_FLT_CPX(C_FLT(0.47139673682599764), t6d));
    s08 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), t0e), MUL_FLT_CPX(C_FLT(0.67155895484701844), t1e));
    s18 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), t1e), MUL_FLT_CPX(C_FLT(0.67155895484701844), t0e));
    s28 = LOADU_CPX((src + 6));
    s38 = LOADU_CPX((src + 122));
    t2e = ADD_CPX_CPX(s28, s38);
    t3e = ADD_CPX_CPX(MUL_I_CPX(s28), MUL_NI_CPX(s38));
    s48 = LOADU_CPX((src + 38));
    s58 = LOADU_CPX((src + 90));
    t4e = ADD_CPX_CPX(s48, s58);
    t5e = ADD_CPX_CPX(MUL_I_CPX(s48), MUL_NI_CPX(s58));
    s68 = LOADU_CPX((src + 70));
    s78 = LOADU_CPX((src + 58));
    t6e = ADD_CPX_CPX(s68, s78);
    t7e = ADD_CPX_CPX(MUL_I_CPX(s68), MUL_NI_CPX(s78));
    s88 = LOADU_CPX((src + 102));
    s98 = LOADU_CPX((src + 26));
    t8e = ADD_CPX_CPX(s88, s98);
    t9e = ADD_CPX_CPX(MUL_I_CPX(s88), MUL_NI_CPX(s98));
    t0f = ADD_CPX_CPX(t2e, t6e);
    t1f = ADD_CPX_CPX(t3e, t7e);
    t2f = SUB_CPX_CPX(t2e, t6e);
    t3f = SUB_CPX_CPX(t3e, t7e);
    t4f = ADD_CPX_CPX(t4e, t8e);
    t5f = ADD_CPX_CPX(t5e, t9e);
    t6f = SUB_CPX_CPX(t4e, t8e);
    t7f = SUB_CPX_CPX(t5e, t9e);
    t8f = ADD_CPX_CPX(t0f, t4f);
    t9f = ADD_CPX_CPX(t1f, t5f);
    t0g = SUB_CPX_CPX(t0f, t4f);
    t1g = SUB_CPX_CPX(t1f, t5f);
    t2g = ADD_CPX_CPX(t2f, t7f);
    t3g = SUB_CPX_CPX(t3f, t6f);
    t4g = SUB_CPX_CPX(t2f, t7f);
    t5g = ADD_CPX_CPX(t3f, t6f);
    s09 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), t2g), MUL_FLT_CPX(C_FLT(0.29028467725446239), t3g));
    s19 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), t3g), MUL_FLT_CPX(C_FLT(0.29028467725446239), t2g));
    s29 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t0g), MUL_FLT_CPX(C_FLT(0.55557023301960218), t1g));
    s39 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t1g), MUL_FLT_CPX(C_FLT(0.55557023301960218), t0g));
    s49 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), t4g), MUL_FLT_CPX(C_FLT(0.77301045336273699), t5g));
    s59 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), t5g), MUL_FLT_CPX(C_FLT(0.77301045336273699), t4g));
    s69 = LOADU_CPX((src + 7));
    s79 = LOADU_CPX((src + 121));
    t6g = ADD_CPX_CPX(s69, s79);
    t7g = ADD_CPX_CPX(MUL_I_CPX(s69), MUL_NI_CPX(s79));
    s89 = LOADU_CPX((src + 39));
    s99 = LOADU_CPX((src + 89));
    t8g = ADD_CPX_CPX(s89, s99);
    t9g = ADD_CPX_CPX(MUL_I_CPX(s89), MUL_NI_CPX(s99));
    s0a = LOADU_CPX((src + 71));
    s1a = LOADU_CPX((src + 57));
    t0h = ADD_CPX_CPX(s0a, s1a);
    t1h = ADD_CPX_CPX(MUL_I_CPX(s0a), MUL_NI_CPX(s1a));
    s2a = LOADU_CPX((src + 103));
    s3a = LOADU_CPX((src + 25));
    t2h = ADD_CPX_CPX(s2a, s3a);
    t3h = ADD_CPX_CPX(MUL_I_CPX(s2a), MUL_NI_CPX(s3a));
    t4h = ADD_CPX_CPX(t6g, t0h);
    t5h = ADD_CPX_CPX(t7g, t1h);
    t6h = SUB_CPX_CPX(t6g, t0h);
    t7h = SUB_CPX_CPX(t7g, t1h);
    t8h = ADD_CPX_CPX(t8g, t2h);
    t9h = ADD_CPX_CPX(t9g, t3h);
    t0i = SUB_CPX_CPX(t8g, t2h);
    t1i = SUB_CPX_CPX(t9g, t3h);
    t2i = ADD_CPX_CPX(t4h, t8h);
    t3i = ADD_CPX_CPX(t5h, t9h);
    t4i = SUB_CPX_CPX(t4h, t8h);
    t5i = SUB_CPX_CPX(t5h, t9h);
    t6i = ADD_CPX_CPX(t6h, t1i);
    t7i = SUB_CPX_CPX(t7h, t0i);
    t8i = SUB_CPX_CPX(t6h, t1i);
    t9i = ADD_CPX_CPX(t7h, t0i);
    s4a = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), t6i), MUL_FLT_CPX(C_FLT(0.33688985339222005), t7i));
    s5a = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), t7i), MUL_FLT_CPX(C_FLT(0.33688985339222005), t6i));
    s6a = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), t4i), MUL_FLT_CPX(C_FLT(0.63439328416364549), t5i));
    s7a = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), t5i), MUL_FLT_CPX(C_FLT(0.63439328416364549), t4i));
    s8a = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.51410274419322177), t8i), MUL_FLT_CPX(C_FLT(0.85772861000027212), t9i));
    s9a = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.51410274419322177), t9i), MUL_FLT_CPX(C_FLT(0.85772861000027212), t8i));
    s0b = LOADU_CPX((src + 8));
    s1b = LOADU_CPX((src + 120));
    t0j = ADD_CPX_CPX(s0b, s1b);
    t1j = ADD_CPX_CPX(MUL_I_CPX(s0b), MUL_NI_CPX(s1b));
    s2b = LOADU_CPX((src + 40));
    s3b = LOADU_CPX((src + 88));
    t2j = ADD_CPX_CPX(s2b, s3b);
    t3j = ADD_CPX_CPX(MUL_I_CPX(s2b), MUL_NI_CPX(s3b));
    s4b = LOADU_CPX((src + 72));
    s5b = LOADU_CPX((src + 56));
    t4j = ADD_CPX_CPX(s4b, s5b);
    t5j = ADD_CPX_CPX(MUL_I_CPX(s4b), MUL_NI_CPX(s5b));
    s6b = LOADU_CPX((src + 104));
    s7b = LOADU_CPX((src + 24));
    t6j = ADD_CPX_CPX(s6b, s7b);
    t7j = ADD_CPX_CPX(MUL_I_CPX(s6b), MUL_NI_CPX(s7b));
    t8j = ADD_CPX_CPX(t0j, t4j);
    t9j = ADD_CPX_CPX(t1j, t5j);
    t0k = SUB_CPX_CPX(t0j, t4j);
    t1k = SUB_CPX_CPX(t1j, t5j);
    t2k = ADD_CPX_CPX(t2j, t6j);
    t3k = ADD_CPX_CPX(t3j, t7j);
    t4k = SUB_CPX_CPX(t2j, t6j);
    t5k = SUB_CPX_CPX(t3j, t7j);
    t6k = ADD_CPX_CPX(t8j, t2k);
    t7k = ADD_CPX_CPX(t9j, t3k);
    t8k = ADD_CPX_CPX(t0k, t5k);
    t9k = SUB_CPX_CPX(t1k, t4k);
    t0l = SUB_CPX_CPX(t0k, t5k);
    t1l = ADD_CPX_CPX(t1k, t4k);
    s8b = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t8k), MUL_FLT_CPX(C_FLT(0.38268343236508978), t9k));
    s9b = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t9k), MUL_FLT_CPX(C_FLT(0.38268343236508978), t8k));
    a3 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8j, t2k));
    a4 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9j, t3k));
    s0c = ADD_CPX_CPX(a3, a4);
    s1c = SUB_CPX_CPX(a4, a3);
    s2c = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t0l), MUL_FLT_CPX(C_FLT(0.92387953251128674), t1l));
    s3c = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t1l), MUL_FLT_CPX(C_FLT(0.92387953251128674), t0l));
    s4c = LOADU_CPX((src + 9));
    s5c = LOADU_CPX((src + 119));
    t2l = ADD_CPX_CPX(s4c, s5c);
    t3l = ADD_CPX_CPX(MUL_I_CPX(s4c), MUL_NI_CPX(s5c));
    s6c = LOADU_CPX((src + 41));
    s7c = LOADU_CPX((src + 87));
    t4l = ADD_CPX_CPX(s6c, s7c);
    t5l = ADD_CPX_CPX(MUL_I_CPX(s6c), MUL_NI_CPX(s7c));
    s8c = LOADU_CPX((src + 73));
    s9c = LOADU_CPX((src + 55));
    t6l = ADD_CPX_CPX(s8c, s9c);
    t7l = ADD_CPX_CPX(MUL_I_CPX(s8c), MUL_NI_CPX(s9c));
    s0d = LOADU_CPX((src + 105));
    s1d = LOADU_CPX((src + 23));
    t8l = ADD_CPX_CPX(s0d, s1d);
    t9l = ADD_CPX_CPX(MUL_I_CPX(s0d), MUL_NI_CPX(s1d));
    t0m = ADD_CPX_CPX(t2l, t6l);
    t1m = ADD_CPX_CPX(t3l, t7l);
    t2m = SUB_CPX_CPX(t2l, t6l);
    t3m = SUB_CPX_CPX(t3l, t7l);
    t4m = ADD_CPX_CPX(t4l, t8l);
    t5m = ADD_CPX_CPX(t5l, t9l);
    t6m = SUB_CPX_CPX(t4l, t8l);
    t7m = SUB_CPX_CPX(t5l, t9l);
    t8m = ADD_CPX_CPX(t0m, t4m);
    t9m = ADD_CPX_CPX(t1m, t5m);
    t0n = SUB_CPX_CPX(t0m, t4m);
    t1n = SUB_CPX_CPX(t1m, t5m);
    t2n = ADD_CPX_CPX(t2m, t7m);
    t3n = SUB_CPX_CPX(t3m, t6m);
    t4n = SUB_CPX_CPX(t2m, t7m);
    t5n = ADD_CPX_CPX(t3m, t6m);
    s2d = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.90398929312344334), t2n), MUL_FLT_CPX(C_FLT(0.42755509343028208), t3n));
    s3d = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.90398929312344334), t3n), MUL_FLT_CPX(C_FLT(0.42755509343028208), t2n));
    s4d = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), t0n), MUL_FLT_CPX(C_FLT(0.77301045336273699), t1n));
    s5d = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), t1n), MUL_FLT_CPX(C_FLT(0.77301045336273699), t0n));
    s6d = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.2429801799032639), t4n), MUL_FLT_CPX(C_FLT(0.97003125319454397), t5n));
    s7d = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.2429801799032639), t5n), MUL_FLT_CPX(C_FLT(0.97003125319454397), t4n));
    s8d = LOADU_CPX((src + 10));
    s9d = LOADU_CPX((src + 118));
    t6n = ADD_CPX_CPX(s8d, s9d);
    t7n = ADD_CPX_CPX(MUL_I_CPX(s8d), MUL_NI_CPX(s9d));
    s0e = LOADU_CPX((src + 42));
    s1e = LOADU_CPX((src + 86));
    t8n = ADD_CPX_CPX(s0e, s1e);
    t9n = ADD_CPX_CPX(MUL_I_CPX(s0e), MUL_NI_CPX(s1e));
    s2e = LOADU_CPX((src + 74));
    s3e = LOADU_CPX((src + 54));
    t0o = ADD_CPX_CPX(s2e, s3e);
    t1o = ADD_CPX_CPX(MUL_I_CPX(s2e), MUL_NI_CPX(s3e));
    s4e = LOADU_CPX((src + 106));
    s5e = LOADU_CPX((src + 22));
    t2o = ADD_CPX_CPX(s4e, s5e);
    t3o = ADD_CPX_CPX(MUL_I_CPX(s4e), MUL_NI_CPX(s5e));
    t4o = ADD_CPX_CPX(t6n, t0o);
    t5o = ADD_CPX_CPX(t7n, t1o);
    t6o = SUB_CPX_CPX(t6n, t0o);
    t7o = SUB_CPX_CPX(t7n, t1o);
    t8o = ADD_CPX_CPX(t8n, t2o);
    t9o = ADD_CPX_CPX(t9n, t3o);
    t0p = SUB_CPX_CPX(t8n, t2o);
    t1p = SUB_CPX_CPX(t9n, t3o);
    t2p = ADD_CPX_CPX(t4o, t8o);
    t3p = ADD_CPX_CPX(t5o, t9o);
    t4p = SUB_CPX_CPX(t4o, t8o);
    t5p = SUB_CPX_CPX(t5o, t9o);
    t6p = ADD_CPX_CPX(t6o, t1p);
    t7p = SUB_CPX_CPX(t7o, t0p);
    t8p = SUB_CPX_CPX(t6o, t1p);
    t9p = ADD_CPX_CPX(t7o, t0p);
    s6e = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), t6p), MUL_FLT_CPX(C_FLT(0.47139673682599764), t7p));
    s7e = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), t7p), MUL_FLT_CPX(C_FLT(0.47139673682599764), t6p));
    s8e = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), t4p), MUL_FLT_CPX(C_FLT(0.83146961230254524), t5p));
    s9e = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), t5p), MUL_FLT_CPX(C_FLT(0.83146961230254524), t4p));
    s0f = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), t8p), MUL_FLT_CPX(C_FLT(0.99518472667219693), t9p));
    s1f = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), t9p), MUL_FLT_CPX(C_FLT(0.99518472667219693), t8p));
    s2f = LOADU_CPX((src + 11));
    s3f = LOADU_CPX((src + 117));
    t0q = ADD_CPX_CPX(s2f, s3f);
    t1q = ADD_CPX_CPX(MUL_I_CPX(s2f), MUL_NI_CPX(s3f));
    s4f = LOADU_CPX((src + 43));
    s5f = LOADU_CPX((src + 85));
    t2q = ADD_CPX_CPX(s4f, s5f);
    t3q = ADD_CPX_CPX(MUL_I_CPX(s4f), MUL_NI_CPX(s5f));
    s6f = LOADU_CPX((src + 75));
    s7f = LOADU_CPX((src + 53));
    t4q = ADD_CPX_CPX(s6f, s7f);
    t5q = ADD_CPX_CPX(MUL_I_CPX(s6f), MUL_NI_CPX(s7f));
    s8f = LOADU_CPX((src + 107));
    s9f = LOADU_CPX((src + 21));
    t6q = ADD_CPX_CPX(s8f, s9f);
    t7q = ADD_CPX_CPX(MUL_I_CPX(s8f), MUL_NI_CPX(s9f));
    t8q = ADD_CPX_CPX(t0q, t4q);
    t9q = ADD_CPX_CPX(t1q, t5q);
    t0r = SUB_CPX_CPX(t0q, t4q);
    t1r = SUB_CPX_CPX(t1q, t5q);
    t2r = ADD_CPX_CPX(t2q, t6q);
    t3r = ADD_CPX_CPX(t3q, t7q);
    t4r = SUB_CPX_CPX(t2q, t6q);
    t5r = SUB_CPX_CPX(t3q, t7q);
    t6r = ADD_CPX_CPX(t8q, t2r);
    t7r = ADD_CPX_CPX(t9q, t3r);
    t8r = SUB_CPX_CPX(t8q, t2r);
    t9r = SUB_CPX_CPX(t9q, t3r);
    t0s = ADD_CPX_CPX(t0r, t5r);
    t1s = SUB_CPX_CPX(t1r, t4r);
    t2s = SUB_CPX_CPX(t0r, t5r);
    t3s = ADD_CPX_CPX(t1r, t4r);
    s0g = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.85772861000027212), t0s), MUL_FLT_CPX(C_FLT(0.51410274419322177), t1s));
    s1g = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.85772861000027212), t1s), MUL_FLT_CPX(C_FLT(0.51410274419322177), t0s));
    s2g = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.47139673682599764), t8r), MUL_FLT_CPX(C_FLT(0.88192126434835505), t9r));
    s3g = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.47139673682599764), t9r), MUL_FLT_CPX(C_FLT(0.88192126434835505), t8r));
    s4g = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99879545620517241), t3s), MUL_FLT_CPX(C_FLT(0.049067674327418015), t2s));
    s5g = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99879545620517241), t2s), MUL_FLT_CPX(C_FLT(0.049067674327418015), t3s));
    s6g = LOADU_CPX((src + 12));
    s7g = LOADU_CPX((src + 116));
    t4s = ADD_CPX_CPX(s6g, s7g);
    t5s = ADD_CPX_CPX(MUL_I_CPX(s6g), MUL_NI_CPX(s7g));
    s8g = LOADU_CPX((src + 44));
    s9g = LOADU_CPX((src + 84));
    t6s = ADD_CPX_CPX(s8g, s9g);
    t7s = ADD_CPX_CPX(MUL_I_CPX(s8g), MUL_NI_CPX(s9g));
    s0h = LOADU_CPX((src + 76));
    s1h = LOADU_CPX((src + 52));
    t8s = ADD_CPX_CPX(s0h, s1h);
    t9s = ADD_CPX_CPX(MUL_I_CPX(s0h), MUL_NI_CPX(s1h));
    s2h = LOADU_CPX((src + 108));
    s3h = LOADU_CPX((src + 20));
    t0t = ADD_CPX_CPX(s2h, s3h);
    t1t = ADD_CPX_CPX(MUL_I_CPX(s2h), MUL_NI_CPX(s3h));
    t2t = ADD_CPX_CPX(t4s, t8s);
    t3t = ADD_CPX_CPX(t5s, t9s);
    t4t = SUB_CPX_CPX(t4s, t8s);
    t5t = SUB_CPX_CPX(t5s, t9s);
    t6t = ADD_CPX_CPX(t6s, t0t);
    t7t = ADD_CPX_CPX(t7s, t1t);
    t8t = SUB_CPX_CPX(t6s, t0t);
    t9t = SUB_CPX_CPX(t7s, t1t);
    t0u = ADD_CPX_CPX(t2t, t6t);
    t1u = ADD_CPX_CPX(t3t, t7t);
    t2u = SUB_CPX_CPX(t2t, t6t);
    t3u = SUB_CPX_CPX(t3t, t7t);
    t4u = ADD_CPX_CPX(t4t, t9t);
    t5u = SUB_CPX_CPX(t5t, t8t);
    t6u = SUB_CPX_CPX(t4t, t9t);
    t7u = ADD_CPX_CPX(t5t, t8t);
    s4h = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t4u), MUL_FLT_CPX(C_FLT(0.55557023301960218), t5u));
    s5h = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t5u), MUL_FLT_CPX(C_FLT(0.55557023301960218), t4u));
    s6h = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t2u), MUL_FLT_CPX(C_FLT(0.92387953251128674), t3u));
    s7h = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t3u), MUL_FLT_CPX(C_FLT(0.92387953251128674), t2u));
    s8h = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t7u), MUL_FLT_CPX(C_FLT(0.19509032201612828), t6u));
    s9h = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t6u), MUL_FLT_CPX(C_FLT(0.19509032201612828), t7u));
    s0i = LOADU_CPX((src + 13));
    s1i = LOADU_CPX((src + 115));
    t8u = ADD_CPX_CPX(s0i, s1i);
    t9u = ADD_CPX_CPX(MUL_I_CPX(s0i), MUL_NI_CPX(s1i));
    s2i = LOADU_CPX((src + 45));
    s3i = LOADU_CPX((src + 83));
    t0v = ADD_CPX_CPX(s2i, s3i);
    t1v = ADD_CPX_CPX(MUL_I_CPX(s2i), MUL_NI_CPX(s3i));
    s4i = LOADU_CPX((src + 77));
    s5i = LOADU_CPX((src + 51));
    t2v = ADD_CPX_CPX(s4i, s5i);
    t3v = ADD_CPX_CPX(MUL_I_CPX(s4i), MUL_NI_CPX(s5i));
    s6i = LOADU_CPX((src + 109));
    s7i = LOADU_CPX((src + 19));
    t4v = ADD_CPX_CPX(s6i, s7i);
    t5v = ADD_CPX_CPX(MUL_I_CPX(s6i), MUL_NI_CPX(s7i));
    t6v = ADD_CPX_CPX(t8u, t2v);
    t7v = ADD_CPX_CPX(t9u, t3v);
    t8v = SUB_CPX_CPX(t8u, t2v);
    t9v = SUB_CPX_CPX(t9u, t3v);
    t0w = ADD_CPX_CPX(t0v, t4v);
    t1w = ADD_CPX_CPX(t1v, t5v);
    t2w = SUB_CPX_CPX(t0v, t4v);
    t3w = SUB_CPX_CPX(t1v, t5v);
    t4w = ADD_CPX_CPX(t6v, t0w);
    t5w = ADD_CPX_CPX(t7v, t1w);
    t6w = SUB_CPX_CPX(t6v, t0w);
    t7w = SUB_CPX_CPX(t7v, t1w);
    t8w = ADD_CPX_CPX(t8v, t3w);
    t9w = SUB_CPX_CPX(t9v, t2w);
    t0x = SUB_CPX_CPX(t8v, t3w);
    t1x = ADD_CPX_CPX(t9v, t2w);
    s8i = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.80320753148064494), t8w), MUL_FLT_CPX(C_FLT(0.59569930449243336), t9w));
    s9i = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.80320753148064494), t9w), MUL_FLT_CPX(C_FLT(0.59569930449243336), t8w));
    s0j = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.29028467725446239), t6w), MUL_FLT_CPX(C_FLT(0.95694033573220882), t7w));
    s1j = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.29028467725446239), t7w), MUL_FLT_CPX(C_FLT(0.95694033573220882), t6w));
    s2j = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), t1x), MUL_FLT_CPX(C_FLT(0.33688985339222005), t0x));
    s3j = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), t0x), MUL_FLT_CPX(C_FLT(0.33688985339222005), t1x));
    s4j = LOADU_CPX((src + 14));
    s5j = LOADU_CPX((src + 114));
    t2x = ADD_CPX_CPX(s4j, s5j);
    t3x = ADD_CPX_CPX(MUL_I_CPX(s4j), MUL_NI_CPX(s5j));
    s6j = LOADU_CPX((src + 46));
    s7j = LOADU_CPX((src + 82));
    t4x = ADD_CPX_CPX(s6j, s7j);
    t5x = ADD_CPX_CPX(MUL_I_CPX(s6j), MUL_NI_CPX(s7j));
    s8j = LOADU_CPX((src + 78));
    s9j = LOADU_CPX((src + 50));
    t6x = ADD_CPX_CPX(s8j, s9j);
    t7x = ADD_CPX_CPX(MUL_I_CPX(s8j), MUL_NI_CPX(s9j));
    s0k = LOADU_CPX((src + 110));
    s1k = LOADU_CPX((src + 18));
    t8x = ADD_CPX_CPX(s0k, s1k);
    t9x = ADD_CPX_CPX(MUL_I_CPX(s0k), MUL_NI_CPX(s1k));
    t0y = ADD_CPX_CPX(t2x, t6x);
    t1y = ADD_CPX_CPX(t3x, t7x);
    t2y = SUB_CPX_CPX(t2x, t6x);
    t3y = SUB_CPX_CPX(t3x, t7x);
    t4y = ADD_CPX_CPX(t4x, t8x);
    t5y = ADD_CPX_CPX(t5x, t9x);
    t6y = SUB_CPX_CPX(t4x, t8x);
    t7y = SUB_CPX_CPX(t5x, t9x);
    t8y = ADD_CPX_CPX(t0y, t4y);
    t9y = ADD_CPX_CPX(t1y, t5y);
    t0z = SUB_CPX_CPX(t0y, t4y);
    t1z = SUB_CPX_CPX(t1y, t5y);
    t2z = ADD_CPX_CPX(t2y, t7y);
    t3z = SUB_CPX_CPX(t3y, t6y);
    t4z = SUB_CPX_CPX(t2y, t7y);
    t5z = ADD_CPX_CPX(t3y, t6y);
    s2k = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), t2z), MUL_FLT_CPX(C_FLT(0.63439328416364549), t3z));
    s3k = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), t3z), MUL_FLT_CPX(C_FLT(0.63439328416364549), t2z));
    s4k = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), t0z), MUL_FLT_CPX(C_FLT(0.98078528040323043), t1z));
    s5k = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), t1z), MUL_FLT_CPX(C_FLT(0.98078528040323043), t0z));
    s6k = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), t5z), MUL_FLT_CPX(C_FLT(0.47139673682599764), t4z));
    s7k = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), t4z), MUL_FLT_CPX(C_FLT(0.47139673682599764), t5z));
    s8k = LOADU_CPX((src + 15));
    s9k = LOADU_CPX((src + 113));
    t6z = ADD_CPX_CPX(s8k, s9k);
    t7z = ADD_CPX_CPX(MUL_I_CPX(s8k), MUL_NI_CPX(s9k));
    s0l = LOADU_CPX((src + 47));
    s1l = LOADU_CPX((src + 81));
    t8z = ADD_CPX_CPX(s0l, s1l);
    t9z = ADD_CPX_CPX(MUL_I_CPX(s0l), MUL_NI_CPX(s1l));
    s2l = LOADU_CPX((src + 79));
    s3l = LOADU_CPX((src + 49));
    t0A = ADD_CPX_CPX(s2l, s3l);
    t1A = ADD_CPX_CPX(MUL_I_CPX(s2l), MUL_NI_CPX(s3l));
    s4l = LOADU_CPX((src + 111));
    s5l = LOADU_CPX((src + 17));
    t2A = ADD_CPX_CPX(s4l, s5l);
    t3A = ADD_CPX_CPX(MUL_I_CPX(s4l), MUL_NI_CPX(s5l));
    t4A = ADD_CPX_CPX(t6z, t0A);
    t5A = ADD_CPX_CPX(t7z, t1A);
    t6A = SUB_CPX_CPX(t6z, t0A);
    t7A = SUB_CPX_CPX(t7z, t1A);
    t8A = ADD_CPX_CPX(t8z, t2A);
    t9A = ADD_CPX_CPX(t9z, t3A);
    t0B = SUB_CPX_CPX(t8z, t2A);
    t1B = SUB_CPX_CPX(t9z, t3A);
    t2B = ADD_CPX_CPX(t4A, t8A);
    t3B = ADD_CPX_CPX(t5A, t9A);
    t4B = SUB_CPX_CPX(t4A, t8A);
    t5B = SUB_CPX_CPX(t5A, t9A);
    t6B = ADD_CPX_CPX(t6A, t1B);
    t7B = SUB_CPX_CPX(t7A, t0B);
    t8B = SUB_CPX_CPX(t6A, t1B);
    t9B = ADD_CPX_CPX(t7A, t0B);
    s6l = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), t6B), MUL_FLT_CPX(C_FLT(0.67155895484701844), t7B));
    s7l = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), t7B), MUL_FLT_CPX(C_FLT(0.67155895484701844), t6B));
    s8l = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), t4B), MUL_FLT_CPX(C_FLT(0.99518472667219693), t5B));
    s9l = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), t5B), MUL_FLT_CPX(C_FLT(0.99518472667219693), t4B));
    s0m = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.80320753148064494), t9B), MUL_FLT_CPX(C_FLT(0.59569930449243336), t8B));
    s1m = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.80320753148064494), t8B), MUL_FLT_CPX(C_FLT(0.59569930449243336), t9B));
    t0C = ADD_CPX_CPX(t41, t6k);
    t1C = ADD_CPX_CPX(t61, t7k);
    t2C = SUB_CPX_CPX(t41, t6k);
    t3C = SUB_CPX_CPX(t61, t7k);
    t4C = ADD_CPX_CPX(t0b, t0u);
    t5C = SUB_CPX_CPX(t1b, t1u);
    a5 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0b, t0u));
    a6 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t1b, t1u));
    s2m = ADD_CPX_CPX(a5, a6);
    s3m = SUB_CPX_CPX(a6, a5);
    t6C = ADD_CPX_CPX(t0C, t4C);
    t7C = ADD_CPX_CPX(t2C, t5C);
    t8C = SUB_CPX_CPX(t0C, t4C);
    t9C = SUB_CPX_CPX(t2C, t5C);
    t0D = ADD_CPX_CPX(t1C, s2m);
    t1D = ADD_CPX_CPX(t3C, s3m);
    t2D = SUB_CPX_CPX(t1C, s2m);
    t3D = SUB_CPX_CPX(t3C, s3m);
    t4D = ADD_CPX_CPX(t83, t2B);
    t5D = SUB_CPX_CPX(t93, t3B);
    t6D = SUB_CPX_CPX(t83, t2B);
    t7D = ADD_CPX_CPX(t93, t3B);
    t8D = ADD_CPX_CPX(t8m, t2i);
    t9D = SUB_CPX_CPX(t9m, t3i);
    t0E = SUB_CPX_CPX(t8m, t2i);
    t1E = ADD_CPX_CPX(t9m, t3i);
    t2E = ADD_CPX_CPX(t4D, t8D);
    t3E = ADD_CPX_CPX(t5D, t9D);
    t4E = SUB_CPX_CPX(t4D, t8D);
    t5E = SUB_CPX_CPX(t5D, t9D);
    t6E = ADD_CPX_CPX(t6D, t1E);
    t7E = SUB_CPX_CPX(t7D, t0E);
    t8E = SUB_CPX_CPX(t6D, t1E);
    t9E = ADD_CPX_CPX(t7D, t0E);
    s4m = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t6E), MUL_FLT_CPX(C_FLT(0.19509032201612828), t7E));
    s5m = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t7E), MUL_FLT_CPX(C_FLT(0.19509032201612828), t6E));
    s6m = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t4E), MUL_FLT_CPX(C_FLT(0.38268343236508978), t5E));
    s7m = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t5E), MUL_FLT_CPX(C_FLT(0.38268343236508978), t4E));
    s8m = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t8E), MUL_FLT_CPX(C_FLT(0.55557023301960218), t9E));
    s9m = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t9E), MUL_FLT_CPX(C_FLT(0.55557023301960218), t8E));
    t0F = ADD_CPX_CPX(t26, t8y);
    t1F = SUB_CPX_CPX(t36, t9y);
    t2F = SUB_CPX_CPX(t26, t8y);
    t3F = ADD_CPX_CPX(t36, t9y);
    t4F = ADD_CPX_CPX(t2p, t8f);
    t5F = SUB_CPX_CPX(t3p, t9f);
    t6F = SUB_CPX_CPX(t2p, t8f);
    t7F = ADD_CPX_CPX(t3p, t9f);
    t8F = ADD_CPX_CPX(t0F, t4F);
    t9F = ADD_CPX_CPX(t1F, t5F);
    t0G = ADD_CPX_CPX(t2F, t7F);
    t1G = SUB_CPX_CPX(t3F, t6F);
    t2G = SUB_CPX_CPX(t2F, t7F);
    t3G = ADD_CPX_CPX(t3F, t6F);
    s0n = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t0G), MUL_FLT_CPX(C_FLT(0.38268343236508978), t1G));
    s1n = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t1G), MUL_FLT_CPX(C_FLT(0.38268343236508978), t0G));
    a7 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0F, t4F));
    a8 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t1F, t5F));
    s2n = ADD_CPX_CPX(a7, a8);
    s3n = SUB_CPX_CPX(a8, a7);
    s4n = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t2G), MUL_FLT_CPX(C_FLT(0.92387953251128674), t3G));
    s5n = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t3G), MUL_FLT_CPX(C_FLT(0.92387953251128674), t2G));
    t4G = ADD_CPX_CPX(t68, t4w);
    t5G = SUB_CPX_CPX(t78, t5w);
    t6G = SUB_CPX_CPX(t68, t4w);
    t7G = ADD_CPX_CPX(t78, t5w);
    t8G = ADD_CPX_CPX(t6r, t4d);
    t9G = SUB_CPX_CPX(t7r, t5d);
    t0H = SUB_CPX_CPX(t6r, t4d);
    t1H = ADD_CPX_CPX(t7r, t5d);
    t2H = ADD_CPX_CPX(t4G, t8G);
    t3H = ADD_CPX_CPX(t5G, t9G);
    t4H = SUB_CPX_CPX(t4G, t8G);
    t5H = SUB_CPX_CPX(t5G, t9G);
    t6H = ADD_CPX_CPX(t6G, t1H);
    t7H = SUB_CPX_CPX(t7G, t0H);
    t8H = SUB_CPX_CPX(t6G, t1H);
    t9H = ADD_CPX_CPX(t7G, t0H);
    s6n = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t6H), MUL_FLT_CPX(C_FLT(0.55557023301960218), t7H));
    s7n = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t7H), MUL_FLT_CPX(C_FLT(0.55557023301960218), t6H));
    s8n = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t4H), MUL_FLT_CPX(C_FLT(0.92387953251128674), t5H));
    s9n = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t5H), MUL_FLT_CPX(C_FLT(0.92387953251128674), t4H));
    s0o = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t9H), MUL_FLT_CPX(C_FLT(0.19509032201612828), t8H));
    s1o = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t8H), MUL_FLT_CPX(C_FLT(0.19509032201612828), t9H));
    t0I = ADD_CPX_CPX(t6C, t8F);
    t1I = ADD_CPX_CPX(t8C, t9F);
    t2I = SUB_CPX_CPX(t6C, t8F);
    t3I = SUB_CPX_CPX(t8C, t9F);
    t4I = ADD_CPX_CPX(t2E, t2H);
    t5I = SUB_CPX_CPX(t3E, t3H);
    a9 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2E, t2H));
    a01 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t3E, t3H));
    s2o = ADD_CPX_CPX(a9, a01);
    s3o = SUB_CPX_CPX(a01, a9);
    t6I = ADD_CPX_CPX(t0I, t4I);
    t7I = ADD_CPX_CPX(t2I, t5I);
    t8I = SUB_CPX_CPX(t0I, t4I);
    t9I = SUB_CPX_CPX(t2I, t5I);
    STOREU_CPX(dst, t6I);
    STOREU_CPX((dst + 32), t7I);
    STOREU_CPX((dst + 64), t8I);
    STOREU_CPX((dst + 96), t9I);
    t0J = ADD_CPX_CPX(t1I, s2o);
    t1J = ADD_CPX_CPX(t3I, s3o);
    t2J = SUB_CPX_CPX(t1I, s2o);
    t3J = SUB_CPX_CPX(t3I, s3o);
    STOREU_CPX((dst + 16), t0J);
    STOREU_CPX((dst + 48), t1J);
    STOREU_CPX((dst + 80), t2J);
    STOREU_CPX((dst + 112), t3J);
    t4J = ADD_CPX_CPX(t0D, s0n);
    t5J = ADD_CPX_CPX(t2D, s1n);
    t6J = SUB_CPX_CPX(t0D, s0n);
    t7J = SUB_CPX_CPX(t2D, s1n);
    t8J = ADD_CPX_CPX(s4m, s6n);
    t9J = SUB_CPX_CPX(s5m, s7n);
    a11 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4m, s6n));
    a21 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5m, s7n));
    s4o = ADD_CPX_CPX(a11, a21);
    s5o = SUB_CPX_CPX(a21, a11);
    t0K = ADD_CPX_CPX(t4J, t8J);
    t1K = ADD_CPX_CPX(t6J, t9J);
    t2K = SUB_CPX_CPX(t4J, t8J);
    t3K = SUB_CPX_CPX(t6J, t9J);
    STOREU_CPX((dst + 4), t0K);
    STOREU_CPX((dst + 36), t1K);
    STOREU_CPX((dst + 68), t2K);
    STOREU_CPX((dst + 100), t3K);
    t4K = ADD_CPX_CPX(t5J, s4o);
    t5K = ADD_CPX_CPX(t7J, s5o);
    t6K = SUB_CPX_CPX(t5J, s4o);
    t7K = SUB_CPX_CPX(t7J, s5o);
    STOREU_CPX((dst + 20), t4K);
    STOREU_CPX((dst + 52), t5K);
    STOREU_CPX((dst + 84), t6K);
    STOREU_CPX((dst + 116), t7K);
    t8K = ADD_CPX_CPX(t7C, s2n);
    t9K = ADD_CPX_CPX(t9C, s3n);
    t0L = SUB_CPX_CPX(t7C, s2n);
    t1L = SUB_CPX_CPX(t9C, s3n);
    t2L = ADD_CPX_CPX(s6m, s8n);
    t3L = SUB_CPX_CPX(s7m, s9n);
    a31 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s6m, s8n));
    a41 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s7m, s9n));
    s6o = ADD_CPX_CPX(a31, a41);
    s7o = SUB_CPX_CPX(a41, a31);
    t4L = ADD_CPX_CPX(t8K, t2L);
    t5L = ADD_CPX_CPX(t0L, t3L);
    t6L = SUB_CPX_CPX(t8K, t2L);
    t7L = SUB_CPX_CPX(t0L, t3L);
    STOREU_CPX((dst + 8), t4L);
    STOREU_CPX((dst + 40), t5L);
    STOREU_CPX((dst + 72), t6L);
    STOREU_CPX((dst + 104), t7L);
    t8L = ADD_CPX_CPX(t9K, s6o);
    t9L = ADD_CPX_CPX(t1L, s7o);
    t0M = SUB_CPX_CPX(t9K, s6o);
    t1M = SUB_CPX_CPX(t1L, s7o);
    STOREU_CPX((dst + 24), t8L);
    STOREU_CPX((dst + 56), t9L);
    STOREU_CPX((dst + 88), t0M);
    STOREU_CPX((dst + 120), t1M);
    t2M = ADD_CPX_CPX(t1D, s4n);
    t3M = ADD_CPX_CPX(t3D, s5n);
    t4M = SUB_CPX_CPX(t1D, s4n);
    t5M = SUB_CPX_CPX(t3D, s5n);
    t6M = ADD_CPX_CPX(s8m, s0o);
    t7M = ADD_CPX_CPX(s9m, s1o);
    a51 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s8m, s0o));
    a61 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s9m, s1o));
    s8o = ADD_CPX_CPX(a51, a61);
    s9o = SUB_CPX_CPX(a61, a51);
    t8M = ADD_CPX_CPX(t2M, t6M);
    t9M = ADD_CPX_CPX(t4M, t7M);
    t0N = SUB_CPX_CPX(t2M, t6M);
    t1N = SUB_CPX_CPX(t4M, t7M);
    STOREU_CPX((dst + 12), t8M);
    STOREU_CPX((dst + 44), t9M);
    STOREU_CPX((dst + 76), t0N);
    STOREU_CPX((dst + 108), t1N);
    t2N = ADD_CPX_CPX(t3M, s8o);
    t3N = ADD_CPX_CPX(t5M, s9o);
    t4N = SUB_CPX_CPX(t3M, s8o);
    t5N = SUB_CPX_CPX(t5M, s9o);
    STOREU_CPX((dst + 28), t2N);
    STOREU_CPX((dst + 60), t3N);
    STOREU_CPX((dst + 92), t4N);
    STOREU_CPX((dst + 124), t5N);
    t6N = ADD_CPX_CPX(t81, s8b);
    t7N = ADD_CPX_CPX(t02, s9b);
    t8N = SUB_CPX_CPX(t81, s8b);
    t9N = SUB_CPX_CPX(t02, s9b);
    t0O = ADD_CPX_CPX(s26, s4h);
    t1O = SUB_CPX_CPX(s36, s5h);
    a71 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s26, s4h));
    a81 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s36, s5h));
    s0p = ADD_CPX_CPX(a71, a81);
    s1p = SUB_CPX_CPX(a81, a71);
    t2O = ADD_CPX_CPX(t6N, t0O);
    t3O = ADD_CPX_CPX(t8N, t1O);
    t4O = SUB_CPX_CPX(t6N, t0O);
    t5O = SUB_CPX_CPX(t8N, t1O);
    t6O = ADD_CPX_CPX(t7N, s0p);
    t7O = ADD_CPX_CPX(t9N, s1p);
    t8O = SUB_CPX_CPX(t7N, s0p);
    t9O = SUB_CPX_CPX(t9N, s1p);
    t0P = ADD_CPX_CPX(s02, s6l);
    t1P = SUB_CPX_CPX(s12, s7l);
    t2P = SUB_CPX_CPX(s02, s6l);
    t3P = ADD_CPX_CPX(s12, s7l);
    t4P = ADD_CPX_CPX(s2d, s4a);
    t5P = SUB_CPX_CPX(s3d, s5a);
    t6P = SUB_CPX_CPX(s2d, s4a);
    t7P = ADD_CPX_CPX(s3d, s5a);
    t8P = ADD_CPX_CPX(t0P, t4P);
    t9P = ADD_CPX_CPX(t1P, t5P);
    t0Q = SUB_CPX_CPX(t0P, t4P);
    t1Q = SUB_CPX_CPX(t1P, t5P);
    t2Q = ADD_CPX_CPX(t2P, t7P);
    t3Q = SUB_CPX_CPX(t3P, t6P);
    t4Q = SUB_CPX_CPX(t2P, t7P);
    t5Q = ADD_CPX_CPX(t3P, t6P);
    s2p = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t2Q), MUL_FLT_CPX(C_FLT(0.19509032201612828), t3Q));
    s3p = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t3Q), MUL_FLT_CPX(C_FLT(0.19509032201612828), t2Q));
    s4p = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t0Q), MUL_FLT_CPX(C_FLT(0.38268343236508978), t1Q));
    s5p = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t1Q), MUL_FLT_CPX(C_FLT(0.38268343236508978), t0Q));
    s6p = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t4Q), MUL_FLT_CPX(C_FLT(0.55557023301960218), t5Q));
    s7p = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t5Q), MUL_FLT_CPX(C_FLT(0.55557023301960218), t4Q));
    t6Q = ADD_CPX_CPX(s43, s2k);
    t7Q = SUB_CPX_CPX(s53, s3k);
    t8Q = SUB_CPX_CPX(s43, s2k);
    t9Q = ADD_CPX_CPX(s53, s3k);
    t0R = ADD_CPX_CPX(s6e, s09);
    t1R = SUB_CPX_CPX(s7e, s19);
    t2R = SUB_CPX_CPX(s6e, s09);
    t3R = ADD_CPX_CPX(s7e, s19);
    t4R = ADD_CPX_CPX(t6Q, t0R);
    t5R = ADD_CPX_CPX(t7Q, t1R);
    t6R = ADD_CPX_CPX(t8Q, t3R);
    t7R = SUB_CPX_CPX(t9Q, t2R);
    t8R = SUB_CPX_CPX(t8Q, t3R);
    t9R = ADD_CPX_CPX(t9Q, t2R);
    s8p = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t6R), MUL_FLT_CPX(C_FLT(0.38268343236508978), t7R));
    s9p = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t7R), MUL_FLT_CPX(C_FLT(0.38268343236508978), t6R));
    a91 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t6Q, t0R));
    a02 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t7Q, t1R));
    s0q = ADD_CPX_CPX(a91, a02);
    s1q = SUB_CPX_CPX(a02, a91);
    s2q = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t8R), MUL_FLT_CPX(C_FLT(0.92387953251128674), t9R));
    s3q = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t9R), MUL_FLT_CPX(C_FLT(0.92387953251128674), t8R));
    t0S = ADD_CPX_CPX(s84, s8i);
    t1S = SUB_CPX_CPX(s94, s9i);
    t2S = SUB_CPX_CPX(s84, s8i);
    t3S = ADD_CPX_CPX(s94, s9i);
    t4S = ADD_CPX_CPX(s0g, s67);
    t5S = SUB_CPX_CPX(s1g, s77);
    t6S = SUB_CPX_CPX(s0g, s67);
    t7S = ADD_CPX_CPX(s1g, s77);
    t8S = ADD_CPX_CPX(t0S, t4S);
    t9S = ADD_CPX_CPX(t1S, t5S);
    t0T = SUB_CPX_CPX(t0S, t4S);
    t1T = SUB_CPX_CPX(t1S, t5S);
    t2T = ADD_CPX_CPX(t2S, t7S);
    t3T = SUB_CPX_CPX(t3S, t6S);
    t4T = SUB_CPX_CPX(t2S, t7S);
    t5T = ADD_CPX_CPX(t3S, t6S);
    s4q = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t2T), MUL_FLT_CPX(C_FLT(0.55557023301960218), t3T));
    s5q = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t3T), MUL_FLT_CPX(C_FLT(0.55557023301960218), t2T));
    s6q = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t0T), MUL_FLT_CPX(C_FLT(0.92387953251128674), t1T));
    s7q = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t1T), MUL_FLT_CPX(C_FLT(0.92387953251128674), t0T));
    s8q = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t5T), MUL_FLT_CPX(C_FLT(0.19509032201612828), t4T));
    s9q = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t4T), MUL_FLT_CPX(C_FLT(0.19509032201612828), t5T));
    t6T = ADD_CPX_CPX(t2O, t4R);
    t7T = ADD_CPX_CPX(t4O, t5R);
    t8T = SUB_CPX_CPX(t2O, t4R);
    t9T = SUB_CPX_CPX(t4O, t5R);
    t0U = ADD_CPX_CPX(t8P, t8S);
    t1U = SUB_CPX_CPX(t9P, t9S);
    a12 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8P, t8S));
    a22 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t9P, t9S));
    s0r = ADD_CPX_CPX(a12, a22);
    s1r = SUB_CPX_CPX(a22, a12);
    t2U = ADD_CPX_CPX(t6T, t0U);
    t3U = ADD_CPX_CPX(t8T, t1U);
    t4U = SUB_CPX_CPX(t6T, t0U);
    t5U = SUB_CPX_CPX(t8T, t1U);
    STOREU_CPX((dst + 1), t2U);
    STOREU_CPX((dst + 33), t3U);
    STOREU_CPX((dst + 65), t4U);
    STOREU_CPX((dst + 97), t5U);
    t6U = ADD_CPX_CPX(t7T, s0r);
    t7U = ADD_CPX_CPX(t9T, s1r);
    t8U = SUB_CPX_CPX(t7T, s0r);
    t9U = SUB_CPX_CPX(t9T, s1r);
    STOREU_CPX((dst + 17), t6U);
    STOREU_CPX((dst + 49), t7U);
    STOREU_CPX((dst + 81), t8U);
    STOREU_CPX((dst + 113), t9U);
    t0V = ADD_CPX_CPX(t6O, s8p);
    t1V = ADD_CPX_CPX(t8O, s9p);
    t2V = SUB_CPX_CPX(t6O, s8p);
    t3V = SUB_CPX_CPX(t8O, s9p);
    t4V = ADD_CPX_CPX(s2p, s4q);
    t5V = SUB_CPX_CPX(s3p, s5q);
    a32 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s2p, s4q));
    a42 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s3p, s5q));
    s2r = ADD_CPX_CPX(a32, a42);
    s3r = SUB_CPX_CPX(a42, a32);
    t6V = ADD_CPX_CPX(t0V, t4V);
    t7V = ADD_CPX_CPX(t2V, t5V);
    t8V = SUB_CPX_CPX(t0V, t4V);
    t9V = SUB_CPX_CPX(t2V, t5V);
    STOREU_CPX((dst + 5), t6V);
    STOREU_CPX((dst + 37), t7V);
    STOREU_CPX((dst + 69), t8V);
    STOREU_CPX((dst + 101), t9V);
    t0W = ADD_CPX_CPX(t1V, s2r);
    t1W = ADD_CPX_CPX(t3V, s3r);
    t2W = SUB_CPX_CPX(t1V, s2r);
    t3W = SUB_CPX_CPX(t3V, s3r);
    STOREU_CPX((dst + 21), t0W);
    STOREU_CPX((dst + 53), t1W);
    STOREU_CPX((dst + 85), t2W);
    STOREU_CPX((dst + 117), t3W);
    t4W = ADD_CPX_CPX(t3O, s0q);
    t5W = ADD_CPX_CPX(t5O, s1q);
    t6W = SUB_CPX_CPX(t3O, s0q);
    t7W = SUB_CPX_CPX(t5O, s1q);
    t8W = ADD_CPX_CPX(s4p, s6q);
    t9W = SUB_CPX_CPX(s5p, s7q);
    a52 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4p, s6q));
    a62 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5p, s7q));
    s4r = ADD_CPX_CPX(a52, a62);
    s5r = SUB_CPX_CPX(a62, a52);
    t0X = ADD_CPX_CPX(t4W, t8W);
    t1X = ADD_CPX_CPX(t6W, t9W);
    t2X = SUB_CPX_CPX(t4W, t8W);
    t3X = SUB_CPX_CPX(t6W, t9W);
    STOREU_CPX((dst + 9), t0X);
    STOREU_CPX((dst + 41), t1X);
    STOREU_CPX((dst + 73), t2X);
    STOREU_CPX((dst + 105), t3X);
    t4X = ADD_CPX_CPX(t5W, s4r);
    t5X = ADD_CPX_CPX(t7W, s5r);
    t6X = SUB_CPX_CPX(t5W, s4r);
    t7X = SUB_CPX_CPX(t7W, s5r);
    STOREU_CPX((dst + 25), t4X);
    STOREU_CPX((dst + 57), t5X);
    STOREU_CPX((dst + 89), t6X);
    STOREU_CPX((dst + 121), t7X);
    t8X = ADD_CPX_CPX(t7O, s2q);
    t9X = ADD_CPX_CPX(t9O, s3q);
    t0Y = SUB_CPX_CPX(t7O, s2q);
    t1Y = SUB_CPX_CPX(t9O, s3q);
    t2Y = ADD_CPX_CPX(s6p, s8q);
    t3Y = ADD_CPX_CPX(s7p, s9q);
    a72 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s6p, s8q));
    a82 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s7p, s9q));
    s6r = ADD_CPX_CPX(a72, a82);
    s7r = SUB_CPX_CPX(a82, a72);
    t4Y = ADD_CPX_CPX(t8X, t2Y);
    t5Y = ADD_CPX_CPX(t0Y, t3Y);
    t6Y = SUB_CPX_CPX(t8X, t2Y);
    t7Y = SUB_CPX_CPX(t0Y, t3Y);
    STOREU_CPX((dst + 13), t4Y);
    STOREU_CPX((dst + 45), t5Y);
    STOREU_CPX((dst + 77), t6Y);
    STOREU_CPX((dst + 109), t7Y);
    t8Y = ADD_CPX_CPX(t9X, s6r);
    t9Y = ADD_CPX_CPX(t1Y, s7r);
    t0Z = SUB_CPX_CPX(t9X, s6r);
    t1Z = SUB_CPX_CPX(t1Y, s7r);
    STOREU_CPX((dst + 29), t8Y);
    STOREU_CPX((dst + 61), t9Y);
    STOREU_CPX((dst + 93), t0Z);
    STOREU_CPX((dst + 125), t1Z);
    t2Z = ADD_CPX_CPX(t51, s0c);
    t3Z = ADD_CPX_CPX(t71, s1c);
    t4Z = SUB_CPX_CPX(t51, s0c);
    t5Z = SUB_CPX_CPX(t71, s1c);
    t6Z = ADD_CPX_CPX(s46, s6h);
    t7Z = SUB_CPX_CPX(s56, s7h);
    a92 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s46, s6h));
    a03 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s56, s7h));
    s8r = ADD_CPX_CPX(a92, a03);
    s9r = SUB_CPX_CPX(a03, a92);
    t8Z = ADD_CPX_CPX(t2Z, t6Z);
    t9Z = ADD_CPX_CPX(t4Z, t7Z);
    t010 = SUB_CPX_CPX(t2Z, t6Z);
    t110 = SUB_CPX_CPX(t4Z, t7Z);
    t210 = ADD_CPX_CPX(t3Z, s8r);
    t310 = ADD_CPX_CPX(t5Z, s9r);
    t410 = SUB_CPX_CPX(t3Z, s8r);
    t510 = SUB_CPX_CPX(t5Z, s9r);
    t610 = ADD_CPX_CPX(s22, s8l);
    t710 = SUB_CPX_CPX(s32, s9l);
    t810 = SUB_CPX_CPX(s22, s8l);
    t910 = ADD_CPX_CPX(s32, s9l);
    t011 = ADD_CPX_CPX(s4d, s6a);
    t111 = SUB_CPX_CPX(s5d, s7a);
    t211 = SUB_CPX_CPX(s4d, s6a);
    t311 = ADD_CPX_CPX(s5d, s7a);
    t411 = ADD_CPX_CPX(t610, t011);
    t511 = ADD_CPX_CPX(t710, t111);
    t611 = SUB_CPX_CPX(t610, t011);
    t711 = SUB_CPX_CPX(t710, t111);
    t811 = ADD_CPX_CPX(t810, t311);
    t911 = SUB_CPX_CPX(t910, t211);
    t012 = SUB_CPX_CPX(t810, t311);
    t112 = ADD_CPX_CPX(t910, t211);
    s0s = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t811), MUL_FLT_CPX(C_FLT(0.19509032201612828), t911));
    s1s = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t911), MUL_FLT_CPX(C_FLT(0.19509032201612828), t811));
    s2s = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t611), MUL_FLT_CPX(C_FLT(0.38268343236508978), t711));
    s3s = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t711), MUL_FLT_CPX(C_FLT(0.38268343236508978), t611));
    s4s = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t012), MUL_FLT_CPX(C_FLT(0.55557023301960218), t112));
    s5s = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t112), MUL_FLT_CPX(C_FLT(0.55557023301960218), t012));
    t212 = ADD_CPX_CPX(s63, s4k);
    t312 = SUB_CPX_CPX(s73, s5k);
    t412 = SUB_CPX_CPX(s63, s4k);
    t512 = ADD_CPX_CPX(s73, s5k);
    t612 = ADD_CPX_CPX(s8e, s29);
    t712 = SUB_CPX_CPX(s9e, s39);
    t812 = SUB_CPX_CPX(s8e, s29);
    t912 = ADD_CPX_CPX(s9e, s39);
    t013 = ADD_CPX_CPX(t212, t612);
    t113 = ADD_CPX_CPX(t312, t712);
    t213 = ADD_CPX_CPX(t412, t912);
    t313 = SUB_CPX_CPX(t512, t812);
    t413 = SUB_CPX_CPX(t412, t912);
    t513 = ADD_CPX_CPX(t512, t812);
    s6s = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t213), MUL_FLT_CPX(C_FLT(0.38268343236508978), t313));
    s7s = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t313), MUL_FLT_CPX(C_FLT(0.38268343236508978), t213));
    a13 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t212, t612));
    a23 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t312, t712));
    s8s = ADD_CPX_CPX(a13, a23);
    s9s = SUB_CPX_CPX(a23, a13);
    s0t = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t413), MUL_FLT_CPX(C_FLT(0.92387953251128674), t513));
    s1t = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t513), MUL_FLT_CPX(C_FLT(0.92387953251128674), t413));
    t613 = ADD_CPX_CPX(s05, s0j);
    t713 = SUB_CPX_CPX(s15, s1j);
    t813 = SUB_CPX_CPX(s05, s0j);
    t913 = ADD_CPX_CPX(s15, s1j);
    t014 = ADD_CPX_CPX(s2g, s87);
    t114 = SUB_CPX_CPX(s3g, s97);
    t214 = SUB_CPX_CPX(s2g, s87);
    t314 = ADD_CPX_CPX(s3g, s97);
    t414 = ADD_CPX_CPX(t613, t014);
    t514 = ADD_CPX_CPX(t713, t114);
    t614 = SUB_CPX_CPX(t613, t014);
    t714 = SUB_CPX_CPX(t713, t114);
    t814 = ADD_CPX_CPX(t813, t314);
    t914 = SUB_CPX_CPX(t913, t214);
    t015 = SUB_CPX_CPX(t813, t314);
    t115 = ADD_CPX_CPX(t913, t214);
    s2t = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t814), MUL_FLT_CPX(C_FLT(0.55557023301960218), t914));
    s3t = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t914), MUL_FLT_CPX(C_FLT(0.55557023301960218), t814));
    s4t = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t614), MUL_FLT_CPX(C_FLT(0.92387953251128674), t714));
    s5t = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t714), MUL_FLT_CPX(C_FLT(0.92387953251128674), t614));
    s6t = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t115), MUL_FLT_CPX(C_FLT(0.19509032201612828), t015));
    s7t = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t015), MUL_FLT_CPX(C_FLT(0.19509032201612828), t115));
    t215 = ADD_CPX_CPX(t8Z, t013);
    t315 = ADD_CPX_CPX(t010, t113);
    t415 = SUB_CPX_CPX(t8Z, t013);
    t515 = SUB_CPX_CPX(t010, t113);
    t615 = ADD_CPX_CPX(t411, t414);
    t715 = SUB_CPX_CPX(t511, t514);
    a33 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t411, t414));
    a43 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t511, t514));
    s8t = ADD_CPX_CPX(a33, a43);
    s9t = SUB_CPX_CPX(a43, a33);
    t815 = ADD_CPX_CPX(t215, t615);
    t915 = ADD_CPX_CPX(t415, t715);
    t016 = SUB_CPX_CPX(t215, t615);
    t116 = SUB_CPX_CPX(t415, t715);
    STOREU_CPX((dst + 2), t815);
    STOREU_CPX((dst + 34), t915);
    STOREU_CPX((dst + 66), t016);
    STOREU_CPX((dst + 98), t116);
    t216 = ADD_CPX_CPX(t315, s8t);
    t316 = ADD_CPX_CPX(t515, s9t);
    t416 = SUB_CPX_CPX(t315, s8t);
    t516 = SUB_CPX_CPX(t515, s9t);
    STOREU_CPX((dst + 18), t216);
    STOREU_CPX((dst + 50), t316);
    STOREU_CPX((dst + 82), t416);
    STOREU_CPX((dst + 114), t516);
    t616 = ADD_CPX_CPX(t210, s6s);
    t716 = ADD_CPX_CPX(t410, s7s);
    t816 = SUB_CPX_CPX(t210, s6s);
    t916 = SUB_CPX_CPX(t410, s7s);
    t017 = ADD_CPX_CPX(s0s, s2t);
    t117 = SUB_CPX_CPX(s1s, s3t);
    a53 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s0s, s2t));
    a63 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s1s, s3t));
    s0u = ADD_CPX_CPX(a53, a63);
    s1u = SUB_CPX_CPX(a63, a53);
    t217 = ADD_CPX_CPX(t616, t017);
    t317 = ADD_CPX_CPX(t816, t117);
    t417 = SUB_CPX_CPX(t616, t017);
    t517 = SUB_CPX_CPX(t816, t117);
    STOREU_CPX((dst + 6), t217);
    STOREU_CPX((dst + 38), t317);
    STOREU_CPX((dst + 70), t417);
    STOREU_CPX((dst + 102), t517);
    t617 = ADD_CPX_CPX(t716, s0u);
    t717 = ADD_CPX_CPX(t916, s1u);
    t817 = SUB_CPX_CPX(t716, s0u);
    t917 = SUB_CPX_CPX(t916, s1u);
    STOREU_CPX((dst + 22), t617);
    STOREU_CPX((dst + 54), t717);
    STOREU_CPX((dst + 86), t817);
    STOREU_CPX((dst + 118), t917);
    t018 = ADD_CPX_CPX(t9Z, s8s);
    t118 = ADD_CPX_CPX(t110, s9s);
    t218 = SUB_CPX_CPX(t9Z, s8s);
    t318 = SUB_CPX_CPX(t110, s9s);
    t418 = ADD_CPX_CPX(s2s, s4t);
    t518 = SUB_CPX_CPX(s3s, s5t);
    a73 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s2s, s4t));
    a83 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s3s, s5t));
    s2u = ADD_CPX_CPX(a73, a83);
    s3u = SUB_CPX_CPX(a83, a73);
    t618 = ADD_CPX_CPX(t018, t418);
    t718 = ADD_CPX_CPX(t218, t518);
    t818 = SUB_CPX_CPX(t018, t418);
    t918 = SUB_CPX_CPX(t218, t518);
    STOREU_CPX((dst + 10), t618);
    STOREU_CPX((dst + 42), t718);
    STOREU_CPX((dst + 74), t818);
    STOREU_CPX((dst + 106), t918);
    t019 = ADD_CPX_CPX(t118, s2u);
    t119 = ADD_CPX_CPX(t318, s3u);
    t219 = SUB_CPX_CPX(t118, s2u);
    t319 = SUB_CPX_CPX(t318, s3u);
    STOREU_CPX((dst + 26), t019);
    STOREU_CPX((dst + 58), t119);
    STOREU_CPX((dst + 90), t219);
    STOREU_CPX((dst + 122), t319);
    t419 = ADD_CPX_CPX(t310, s0t);
    t519 = ADD_CPX_CPX(t510, s1t);
    t619 = SUB_CPX_CPX(t310, s0t);
    t719 = SUB_CPX_CPX(t510, s1t);
    t819 = ADD_CPX_CPX(s4s, s6t);
    t919 = ADD_CPX_CPX(s5s, s7t);
    a93 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4s, s6t));
    a04 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s5s, s7t));
    s4u = ADD_CPX_CPX(a93, a04);
    s5u = SUB_CPX_CPX(a04, a93);
    t01a = ADD_CPX_CPX(t419, t819);
    t11a = ADD_CPX_CPX(t619, t919);
    t21a = SUB_CPX_CPX(t419, t819);
    t31a = SUB_CPX_CPX(t619, t919);
    STOREU_CPX((dst + 14), t01a);
    STOREU_CPX((dst + 46), t11a);
    STOREU_CPX((dst + 78), t21a);
    STOREU_CPX((dst + 110), t31a);
    t41a = ADD_CPX_CPX(t519, s4u);
    t51a = ADD_CPX_CPX(t719, s5u);
    t61a = SUB_CPX_CPX(t519, s4u);
    t71a = SUB_CPX_CPX(t719, s5u);
    STOREU_CPX((dst + 30), t41a);
    STOREU_CPX((dst + 62), t51a);
    STOREU_CPX((dst + 94), t61a);
    STOREU_CPX((dst + 126), t71a);
    t81a = ADD_CPX_CPX(t91, s2c);
    t91a = ADD_CPX_CPX(t12, s3c);
    t01b = SUB_CPX_CPX(t91, s2c);
    t11b = SUB_CPX_CPX(t12, s3c);
    t21b = ADD_CPX_CPX(s66, s8h);
    t31b = ADD_CPX_CPX(s76, s9h);
    a14 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s66, s8h));
    a24 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s76, s9h));
    s6u = ADD_CPX_CPX(a14, a24);
    s7u = SUB_CPX_CPX(a24, a14);
    t41b = ADD_CPX_CPX(t81a, t21b);
    t51b = ADD_CPX_CPX(t01b, t31b);
    t61b = SUB_CPX_CPX(t81a, t21b);
    t71b = SUB_CPX_CPX(t01b, t31b);
    t81b = ADD_CPX_CPX(t91a, s6u);
    t91b = ADD_CPX_CPX(t11b, s7u);
    t01c = SUB_CPX_CPX(t91a, s6u);
    t11c = SUB_CPX_CPX(t11b, s7u);
    t21c = ADD_CPX_CPX(s42, s0m);
    t31c = ADD_CPX_CPX(s52, s1m);
    t41c = SUB_CPX_CPX(s42, s0m);
    t51c = SUB_CPX_CPX(s52, s1m);
    t61c = ADD_CPX_CPX(s6d, s8a);
    t71c = SUB_CPX_CPX(s7d, s9a);
    t81c = SUB_CPX_CPX(s6d, s8a);
    t91c = ADD_CPX_CPX(s7d, s9a);
    t01d = ADD_CPX_CPX(t21c, t61c);
    t11d = ADD_CPX_CPX(t31c, t71c);
    t21d = SUB_CPX_CPX(t21c, t61c);
    t31d = SUB_CPX_CPX(t31c, t71c);
    t41d = ADD_CPX_CPX(t41c, t91c);
    t51d = SUB_CPX_CPX(t51c, t81c);
    t61d = SUB_CPX_CPX(t41c, t91c);
    t71d = ADD_CPX_CPX(t51c, t81c);
    s8u = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t41d), MUL_FLT_CPX(C_FLT(0.19509032201612828), t51d));
    s9u = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t51d), MUL_FLT_CPX(C_FLT(0.19509032201612828), t41d));
    s0v = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t21d), MUL_FLT_CPX(C_FLT(0.38268343236508978), t31d));
    s1v = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t31d), MUL_FLT_CPX(C_FLT(0.38268343236508978), t21d));
    s2v = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t61d), MUL_FLT_CPX(C_FLT(0.55557023301960218), t71d));
    s3v = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t71d), MUL_FLT_CPX(C_FLT(0.55557023301960218), t61d));
    t81d = ADD_CPX_CPX(s83, s6k);
    t91d = ADD_CPX_CPX(s93, s7k);
    t01e = SUB_CPX_CPX(s83, s6k);
    t11e = SUB_CPX_CPX(s93, s7k);
    t21e = ADD_CPX_CPX(s0f, s49);
    t31e = SUB_CPX_CPX(s1f, s59);
    t41e = SUB_CPX_CPX(s0f, s49);
    t51e = ADD_CPX_CPX(s1f, s59);
    t61e = ADD_CPX_CPX(t81d, t21e);
    t71e = ADD_CPX_CPX(t91d, t31e);
    t81e = ADD_CPX_CPX(t01e, t51e);
    t91e = SUB_CPX_CPX(t11e, t41e);
    t01f = SUB_CPX_CPX(t01e, t51e);
    t11f = ADD_CPX_CPX(t11e, t41e);
    s4v = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t81e), MUL_FLT_CPX(C_FLT(0.38268343236508978), t91e));
    s5v = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t91e), MUL_FLT_CPX(C_FLT(0.38268343236508978), t81e));
    a34 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t81d, t21e));
    a44 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t91d, t31e));
    s6v = ADD_CPX_CPX(a34, a44);
    s7v = SUB_CPX_CPX(a44, a34);
    s8v = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t01f), MUL_FLT_CPX(C_FLT(0.92387953251128674), t11f));
    s9v = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t11f), MUL_FLT_CPX(C_FLT(0.92387953251128674), t01f));
    t21f = ADD_CPX_CPX(s25, s2j);
    t31f = ADD_CPX_CPX(s35, s3j);
    t41f = SUB_CPX_CPX(s25, s2j);
    t51f = SUB_CPX_CPX(s35, s3j);
    t61f = ADD_CPX_CPX(s4g, s08);
    t71f = ADD_CPX_CPX(s5g, s18);
    t81f = SUB_CPX_CPX(s4g, s08);
    t91f = SUB_CPX_CPX(s18, s5g);
    t01g = ADD_CPX_CPX(t21f, t61f);
    t11g = SUB_CPX_CPX(t31f, t71f);
    t21g = SUB_CPX_CPX(t21f, t61f);
    t31g = ADD_CPX_CPX(t31f, t71f);
    t41g = ADD_CPX_CPX(t41f, t91f);
    t51g = SUB_CPX_CPX(t51f, t81f);
    t61g = SUB_CPX_CPX(t41f, t91f);
    t71g = ADD_CPX_CPX(t51f, t81f);
    s0w = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t41g), MUL_FLT_CPX(C_FLT(0.55557023301960218), t51g));
    s1w = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t51g), MUL_FLT_CPX(C_FLT(0.55557023301960218), t41g));
    s2w = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t21g), MUL_FLT_CPX(C_FLT(0.92387953251128674), t31g));
    s3w = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t31g), MUL_FLT_CPX(C_FLT(0.92387953251128674), t21g));
    s4w = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t71g), MUL_FLT_CPX(C_FLT(0.19509032201612828), t61g));
    s5w = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t61g), MUL_FLT_CPX(C_FLT(0.19509032201612828), t71g));
    t81g = ADD_CPX_CPX(t41b, t61e);
    t91g = ADD_CPX_CPX(t61b, t71e);
    t01h = SUB_CPX_CPX(t41b, t61e);
    t11h = SUB_CPX_CPX(t61b, t71e);
    t21h = ADD_CPX_CPX(t01d, t01g);
    t31h = SUB_CPX_CPX(t11d, t11g);
    a54 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t01d, t01g));
    a64 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t11d, t11g));
    s6w = ADD_CPX_CPX(a54, a64);
    s7w = SUB_CPX_CPX(a64, a54);
    t41h = ADD_CPX_CPX(t81g, t21h);
    t51h = ADD_CPX_CPX(t01h, t31h);
    t61h = SUB_CPX_CPX(t81g, t21h);
    t71h = SUB_CPX_CPX(t01h, t31h);
    STOREU_CPX((dst + 3), t41h);
    STOREU_CPX((dst + 35), t51h);
    STOREU_CPX((dst + 67), t61h);
    STOREU_CPX((dst + 99), t71h);
    t81h = ADD_CPX_CPX(t91g, s6w);
    t91h = ADD_CPX_CPX(t11h, s7w);
    t01i = SUB_CPX_CPX(t91g, s6w);
    t11i = SUB_CPX_CPX(t11h, s7w);
    STOREU_CPX((dst + 19), t81h);
    STOREU_CPX((dst + 51), t91h);
    STOREU_CPX((dst + 83), t01i);
    STOREU_CPX((dst + 115), t11i);
    t21i = ADD_CPX_CPX(t81b, s4v);
    t31i = ADD_CPX_CPX(t01c, s5v);
    t41i = SUB_CPX_CPX(t81b, s4v);
    t51i = SUB_CPX_CPX(t01c, s5v);
    t61i = ADD_CPX_CPX(s8u, s0w);
    t71i = SUB_CPX_CPX(s9u, s1w);
    a74 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s8u, s0w));
    a84 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s9u, s1w));
    s8w = ADD_CPX_CPX(a74, a84);
    s9w = SUB_CPX_CPX(a84, a74);
    t81i = ADD_CPX_CPX(t21i, t61i);
    t91i = ADD_CPX_CPX(t41i, t71i);
    t01j = SUB_CPX_CPX(t21i, t61i);
    t11j = SUB_CPX_CPX(t41i, t71i);
    STOREU_CPX((dst + 7), t81i);
    STOREU_CPX((dst + 39), t91i);
    STOREU_CPX((dst + 71), t01j);
    STOREU_CPX((dst + 103), t11j);
    t21j = ADD_CPX_CPX(t31i, s8w);
    t31j = ADD_CPX_CPX(t51i, s9w);
    t41j = SUB_CPX_CPX(t31i, s8w);
    t51j = SUB_CPX_CPX(t51i, s9w);
    STOREU_CPX((dst + 23), t21j);
    STOREU_CPX((dst + 55), t31j);
    STOREU_CPX((dst + 87), t41j);
    STOREU_CPX((dst + 119), t51j);
    t61j = ADD_CPX_CPX(t51b, s6v);
    t71j = ADD_CPX_CPX(t71b, s7v);
    t81j = SUB_CPX_CPX(t51b, s6v);
    t91j = SUB_CPX_CPX(t71b, s7v);
    t01k = ADD_CPX_CPX(s0v, s2w);
    t11k = SUB_CPX_CPX(s1v, s3w);
    a94 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s0v, s2w));
    a05 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s1v, s3w));
    s0x = ADD_CPX_CPX(a94, a05);
    s1x = SUB_CPX_CPX(a05, a94);
    t21k = ADD_CPX_CPX(t61j, t01k);
    t31k = ADD_CPX_CPX(t81j, t11k);
    t41k = SUB_CPX_CPX(t61j, t01k);
    t51k = SUB_CPX_CPX(t81j, t11k);
    STOREU_CPX((dst + 11), t21k);
    STOREU_CPX((dst + 43), t31k);
    STOREU_CPX((dst + 75), t41k);
    STOREU_CPX((dst + 107), t51k);
    t61k = ADD_CPX_CPX(t71j, s0x);
    t71k = ADD_CPX_CPX(t91j, s1x);
    t81k = SUB_CPX_CPX(t71j, s0x);
    t91k = SUB_CPX_CPX(t91j, s1x);
    STOREU_CPX((dst + 27), t61k);
    STOREU_CPX((dst + 59), t71k);
    STOREU_CPX((dst + 91), t81k);
    STOREU_CPX((dst + 123), t91k);
    t01l = ADD_CPX_CPX(t91b, s8v);
    t11l = ADD_CPX_CPX(t11c, s9v);
    t21l = SUB_CPX_CPX(t91b, s8v);
    t31l = SUB_CPX_CPX(t11c, s9v);
    t41l = ADD_CPX_CPX(s2v, s4w);
    t51l = ADD_CPX_CPX(s3v, s5w);
    a15 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s2v, s4w));
    a25 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s3v, s5w));
    s2x = ADD_CPX_CPX(a15, a25);
    s3x = SUB_CPX_CPX(a25, a15);
    t61l = ADD_CPX_CPX(t01l, t41l);
    t71l = ADD_CPX_CPX(t21l, t51l);
    t81l = SUB_CPX_CPX(t01l, t41l);
    t91l = SUB_CPX_CPX(t21l, t51l);
    STOREU_CPX((dst + 15), t61l);
    STOREU_CPX((dst + 47), t71l);
    STOREU_CPX((dst + 79), t81l);
    STOREU_CPX((dst + 111), t91l);
    t01m = ADD_CPX_CPX(t11l, s2x);
    t11m = ADD_CPX_CPX(t31l, s3x);
    t21m = SUB_CPX_CPX(t11l, s2x);
    t31m = SUB_CPX_CPX(t31l, s3x);
    STOREU_CPX((dst + 31), t01m);
    STOREU_CPX((dst + 63), t11m);
    STOREU_CPX((dst + 95), t21m);
    STOREU_CPX((dst + 127), t31m);
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_fftinv_double_128)(const double *pSrc, double *pDst ) {
    if (!is_aligned(pSrc) || !is_aligned(pDst))
       	return spiral_fftinv_double_128_unaligned(pSrc, pDst );
    else {
    const CPX  *src = (const CPX *) pSrc; 
    CPX        *dst = (CPX *) pDst;
    
    
    {const CPX  *a, *a01, *a02, *a03, *a04, *a05, *a06, *a07, *a08, *a09, *a0a, *a0b, *a0c, *a0d, *a11, *a12, *a13, *a14, *a15, *a16, *a17, *a18
            , *a19, *a1a, *a1b, *a1c, *a1d, *a2, *a21, *a22, *a23, *a24, *a25, *a26, *a27, *a28, *a29, *a2a, *a2b, *a2c, *a3, *a31, *a32, *a33
            , *a34, *a35, *a36, *a37, *a38, *a39, *a3a, *a3b, *a3c, *a4, *a41, *a42, *a43, *a44, *a45, *a46, *a48, *a49, *a4a, *a4b, *a4c, *a5
            , *a51, *a52, *a53, *a54, *a55, *a56, *a58, *a59, *a5a, *a5b, *a5c, *a6, *a61, *a62, *a63, *a64, *a65, *a66, *a67, *a68, *a69, *a6a
            , *a6b, *a6c, *a7, *a71, *a72, *a73, *a74, *a75, *a76, *a77, *a78, *a79, *a7a, *a7b, *a7c, *a81, *a82, *a83, *a84, *a85, *a86, *a87
            , *a88, *a89, *a8a, *a8b, *a8c, *a91, *a92, *a93, *a94, *a95, *a96, *a97, *a98, *a99, *a9a, *a9b, *a9c;
    CPX a0e, a0f, a0g, a0h, a1e, a1f, a1g, a1h, a2d, a2e, a2f, a2g, a2h, a3d, a3e, a3f, a3g, a3h, a47, a4d, a4e, a4f
        , a4g, a4h, a57, a5d, a5e, a5f, a5g, a5h, a6d, a6e, a6f, a6g, a6h, a7d, a7e, a7f, a7g, a7h, a8, a8d, a8e, a8f
        , a8g, a8h, a9, a9d, a9e, a9f, a9g, a9h, s, s01, s02, s03, s04, s05, s06, s07, s08, s09, s0a, s0b, s0c, s0d
        , s0e, s0f, s0g, s0h, s0i, s0j, s0k, s11, s12, s13, s14, s15, s16, s17, s18, s19, s1a, s1b, s1c, s1d, s1e, s1f
        , s1g, s1h, s1i, s1j, s1k, s2, s21, s22, s23, s24, s25, s26, s27, s28, s29, s2a, s2b, s2c, s2d, s2e, s2f, s2g
        , s2h, s2i, s2j, s2k, s3, s31, s32, s33, s34, s35, s36, s37, s38, s39, s3a, s3b, s3c, s3d, s3e, s3f, s3g, s3h
        , s3i, s3j, s3k, s4, s41, s42, s43, s44, s45, s46, s47, s48, s49, s4a, s4b, s4c, s4d, s4e, s4f, s4g, s4h, s4i
        , s4j, s4k, s5, s51, s52, s53, s54, s55, s56, s57, s58, s59, s5a, s5b, s5c, s5d, s5e, s5f, s5g, s5h, s5i, s5j
        , s5k, s6, s61, s62, s63, s64, s65, s66, s67, s68, s69, s6a, s6b, s6c, s6d, s6e, s6f, s6g, s6h, s6i, s6j, s7
        , s71, s72, s73, s74, s75, s76, s77, s78, s79, s7a, s7b, s7c, s7d, s7e, s7f, s7g, s7h, s7i, s7j, s8, s81, s82
        , s83, s84, s85, s86, s87, s88, s89, s8a, s8b, s8c, s8d, s8e, s8f, s8g, s8h, s8i, s8j, s9, s91, s92, s93, s94
        , s95, s96, s97, s98, s99, s9a, s9b, s9c, s9d, s9e, s9f, s9g, s9h, s9i, s9j, t, t01, t010, t011, t012, t013, t014
        , t015, t016, t017, t018, t019, t02, t03, t04, t05, t06, t07, t08, t09, t0A, t0B, t0C, t0D, t0E, t0F, t0G, t0H, t0I
        , t0J, t0K, t0L, t0M, t0N, t0O, t0P, t0Q, t0R, t0S, t0T, t0U, t0V, t0W, t0X, t0Y, t0Z, t0a, t0b, t0c, t0d, t0e
        , t0f, t0g, t0h, t0i, t0j, t0k, t0l, t0m, t0n, t0o, t0p, t0q, t0r, t0s, t0t, t0u, t0v, t0w, t0x, t0y, t0z, t11
        , t110, t111, t112, t113, t114, t115, t116, t117, t118, t119, t12, t13, t14, t15, t16, t17, t18, t19, t1A, t1B, t1C, t1D
        , t1E, t1F, t1G, t1H, t1I, t1J, t1K, t1L, t1M, t1N, t1O, t1P, t1Q, t1R, t1S, t1T, t1U, t1V, t1W, t1X, t1Y, t1Z
        , t1a, t1b, t1c, t1d, t1e, t1f, t1g, t1h, t1i, t1j, t1k, t1l, t1m, t1n, t1o, t1p, t1q, t1r, t1s, t1t, t1u, t1v
        , t1w, t1x, t1y, t1z, t2, t21, t210, t211, t212, t213, t214, t215, t216, t217, t218, t219, t22, t23, t24, t25, t26, t27
        , t28, t29, t2A, t2B, t2C, t2D, t2E, t2F, t2G, t2H, t2I, t2J, t2K, t2L, t2M, t2N, t2O, t2P, t2Q, t2R, t2S, t2T
        , t2U, t2V, t2W, t2X, t2Y, t2Z, t2a, t2b, t2c, t2d, t2e, t2f, t2g, t2h, t2i, t2j, t2k, t2l, t2m, t2n, t2o, t2p
        , t2q, t2r, t2s, t2t, t2u, t2v, t2w, t2x, t2y, t2z, t3, t31, t310, t311, t312, t313, t314, t315, t316, t317, t318, t319
        , t32, t33, t34, t35, t36, t37, t38, t39, t3A, t3B, t3C, t3D, t3E, t3F, t3G, t3H, t3I, t3J, t3K, t3L, t3M, t3N
        , t3O, t3P, t3Q, t3R, t3S, t3T, t3U, t3V, t3W, t3X, t3Y, t3Z, t3a, t3b, t3c, t3d, t3e, t3f, t3g, t3h, t3i, t3j
        , t3k, t3l, t3m, t3n, t3o, t3p, t3q, t3r, t3s, t3t, t3u, t3v, t3w, t3x, t3y, t3z, t4, t41, t410, t411, t412, t413
        , t414, t415, t416, t417, t418, t419, t42, t43, t44, t45, t46, t47, t48, t49, t4A, t4B, t4C, t4D, t4E, t4F, t4G, t4H
        , t4I, t4J, t4K, t4L, t4M, t4N, t4O, t4P, t4Q, t4R, t4S, t4T, t4U, t4V, t4W, t4X, t4Y, t4Z, t4a, t4b, t4c, t4d
        , t4e, t4f, t4g, t4h, t4i, t4j, t4k, t4l, t4m, t4n, t4o, t4p, t4q, t4r, t4s, t4t, t4u, t4v, t4w, t4x, t4y, t4z
        , t5, t51, t510, t511, t512, t513, t514, t515, t516, t517, t518, t519, t52, t53, t54, t55, t56, t57, t58, t59, t5A, t5B
        , t5C, t5D, t5E, t5F, t5G, t5H, t5I, t5J, t5K, t5L, t5M, t5N, t5O, t5P, t5Q, t5R, t5S, t5T, t5U, t5V, t5W, t5X
        , t5Y, t5Z, t5a, t5b, t5c, t5d, t5e, t5f, t5g, t5h, t5i, t5j, t5k, t5l, t5m, t5n, t5o, t5p, t5q, t5r, t5s, t5t
        , t5u, t5v, t5w, t5x, t5y, t5z, t6, t61, t610, t611, t612, t613, t614, t615, t616, t617, t618, t62, t63, t64, t65, t66
        , t67, t68, t69, t6A, t6B, t6C, t6D, t6E, t6F, t6G, t6H, t6I, t6J, t6K, t6L, t6M, t6N, t6O, t6P, t6Q, t6R, t6S
        , t6T, t6U, t6V, t6W, t6X, t6Y, t6Z, t6a, t6b, t6c, t6d, t6e, t6f, t6g, t6h, t6i, t6j, t6k, t6l, t6m, t6n, t6o
        , t6p, t6q, t6r, t6s, t6t, t6u, t6v, t6w, t6x, t6y, t6z, t7, t71, t710, t711, t712, t713, t714, t715, t716, t717, t718
        , t72, t73, t74, t75, t76, t77, t78, t79, t7A, t7B, t7C, t7D, t7E, t7F, t7G, t7H, t7I, t7J, t7K, t7L, t7M, t7N
        , t7O, t7P, t7Q, t7R, t7S, t7T, t7U, t7V, t7W, t7X, t7Y, t7Z, t7a, t7b, t7c, t7d, t7e, t7f, t7g, t7h, t7i, t7j
        , t7k, t7l, t7m, t7n, t7o, t7p, t7q, t7r, t7s, t7t, t7u, t7v, t7w, t7x, t7y, t7z, t8, t81, t810, t811, t812, t813
        , t814, t815, t816, t817, t818, t82, t83, t84, t85, t86, t87, t88, t89, t8A, t8B, t8C, t8D, t8E, t8F, t8G, t8H, t8I
        , t8J, t8K, t8L, t8M, t8N, t8O, t8P, t8Q, t8R, t8S, t8T, t8U, t8V, t8W, t8X, t8Y, t8Z, t8a, t8b, t8c, t8d, t8e
        , t8f, t8g, t8h, t8i, t8j, t8k, t8l, t8m, t8n, t8o, t8p, t8q, t8r, t8s, t8t, t8u, t8v, t8w, t8x, t8y, t8z, t9
        , t91, t910, t911, t912, t913, t914, t915, t916, t917, t918, t92, t93, t94, t95, t96, t97, t98, t99, t9A, t9B, t9C, t9D
        , t9E, t9F, t9G, t9H, t9I, t9J, t9K, t9L, t9M, t9N, t9O, t9P, t9Q, t9R, t9S, t9T, t9U, t9V, t9W, t9X, t9Y, t9Z
        , t9a, t9b, t9c, t9d, t9e, t9f, t9g, t9h, t9i, t9j, t9k, t9l, t9m, t9n, t9o, t9p, t9q, t9r, t9s, t9t, t9u, t9v
        , t9w, t9x, t9y, t9z;
    a = (src + 64);
    t = ADD_CPX_CPX(*(src), *(a));
    t2 = SUB_CPX_CPX(*(src), *(a));
    a2 = (src + 32);
    a3 = (src + 96);
    t3 = ADD_CPX_CPX(*(a2), *(a3));
    s = MUL_I_CPX(SUB_CPX_CPX(*(a2), *(a3)));
    t4 = ADD_CPX_CPX(t, t3);
    t5 = SUB_CPX_CPX(t, t3);
    t6 = ADD_CPX_CPX(t2, s);
    t7 = SUB_CPX_CPX(t2, s);
    a4 = (src + 16);
    a5 = (src + 112);
    t8 = ADD_CPX_CPX(*(a4), *(a5));
    t9 = ADD_CPX_CPX(MUL_I_CPX(*(a4)), MUL_NI_CPX(*(a5)));
    a6 = (src + 80);
    a7 = (src + 48);
    t01 = ADD_CPX_CPX(*(a6), *(a7));
    t11 = ADD_CPX_CPX(MUL_I_CPX(*(a6)), MUL_NI_CPX(*(a7)));
    t21 = ADD_CPX_CPX(t8, t01);
    t31 = ADD_CPX_CPX(t9, t11);
    a8 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8, t01));
    a9 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9, t11));
    s2 = ADD_CPX_CPX(a8, a9);
    s3 = SUB_CPX_CPX(a9, a8);
    t41 = ADD_CPX_CPX(t4, t21);
    t51 = ADD_CPX_CPX(t5, t31);
    t61 = SUB_CPX_CPX(t4, t21);
    t71 = SUB_CPX_CPX(t5, t31);
    t81 = ADD_CPX_CPX(t6, s2);
    t91 = ADD_CPX_CPX(t7, s3);
    t02 = SUB_CPX_CPX(t6, s2);
    t12 = SUB_CPX_CPX(t7, s3);
    a01 = (src + 1);
    a11 = (src + 127);
    t22 = ADD_CPX_CPX(*(a01), *(a11));
    t32 = ADD_CPX_CPX(MUL_I_CPX(*(a01)), MUL_NI_CPX(*(a11)));
    a21 = (src + 33);
    a31 = (src + 95);
    t42 = ADD_CPX_CPX(*(a21), *(a31));
    t52 = ADD_CPX_CPX(MUL_I_CPX(*(a21)), MUL_NI_CPX(*(a31)));
    a41 = (src + 65);
    a51 = (src + 63);
    t62 = ADD_CPX_CPX(*(a41), *(a51));
    t72 = ADD_CPX_CPX(MUL_I_CPX(*(a41)), MUL_NI_CPX(*(a51)));
    a61 = (src + 97);
    a71 = (src + 31);
    t82 = ADD_CPX_CPX(*(a61), *(a71));
    t92 = ADD_CPX_CPX(MUL_I_CPX(*(a61)), MUL_NI_CPX(*(a71)));
    t03 = ADD_CPX_CPX(t22, t62);
    t13 = ADD_CPX_CPX(t32, t72);
    t23 = SUB_CPX_CPX(t22, t62);
    t33 = SUB_CPX_CPX(t32, t72);
    t43 = ADD_CPX_CPX(t42, t82);
    t53 = ADD_CPX_CPX(t52, t92);
    t63 = SUB_CPX_CPX(t42, t82);
    t73 = SUB_CPX_CPX(t52, t92);
    t83 = ADD_CPX_CPX(t03, t43);
    t93 = ADD_CPX_CPX(t13, t53);
    t04 = SUB_CPX_CPX(t03, t43);
    t14 = SUB_CPX_CPX(t13, t53);
    t24 = ADD_CPX_CPX(t23, t73);
    t34 = SUB_CPX_CPX(t33, t63);
    t44 = SUB_CPX_CPX(t23, t73);
    t54 = ADD_CPX_CPX(t33, t63);
    s4 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99879545620517241), t24), MUL_FLT_CPX(C_FLT(0.049067674327418015), t34));
    s5 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99879545620517241), t34), MUL_FLT_CPX(C_FLT(0.049067674327418015), t24));
    s6 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), t04), MUL_FLT_CPX(C_FLT(0.098017140329560604), t14));
    s7 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), t14), MUL_FLT_CPX(C_FLT(0.098017140329560604), t04));
    s8 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), t44), MUL_FLT_CPX(C_FLT(0.14673047445536175), t54));
    s9 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), t54), MUL_FLT_CPX(C_FLT(0.14673047445536175), t44));
    a81 = (src + 2);
    a91 = (src + 126);
    t64 = ADD_CPX_CPX(*(a81), *(a91));
    t74 = ADD_CPX_CPX(MUL_I_CPX(*(a81)), MUL_NI_CPX(*(a91)));
    a02 = (src + 34);
    a12 = (src + 94);
    t84 = ADD_CPX_CPX(*(a02), *(a12));
    t94 = ADD_CPX_CPX(MUL_I_CPX(*(a02)), MUL_NI_CPX(*(a12)));
    a22 = (src + 66);
    a32 = (src + 62);
    t05 = ADD_CPX_CPX(*(a22), *(a32));
    t15 = ADD_CPX_CPX(MUL_I_CPX(*(a22)), MUL_NI_CPX(*(a32)));
    a42 = (src + 98);
    a52 = (src + 30);
    t25 = ADD_CPX_CPX(*(a42), *(a52));
    t35 = ADD_CPX_CPX(MUL_I_CPX(*(a42)), MUL_NI_CPX(*(a52)));
    t45 = ADD_CPX_CPX(t64, t05);
    t55 = ADD_CPX_CPX(t74, t15);
    t65 = SUB_CPX_CPX(t64, t05);
    t75 = SUB_CPX_CPX(t74, t15);
    t85 = ADD_CPX_CPX(t84, t25);
    t95 = ADD_CPX_CPX(t94, t35);
    t06 = SUB_CPX_CPX(t84, t25);
    t16 = SUB_CPX_CPX(t94, t35);
    t26 = ADD_CPX_CPX(t45, t85);
    t36 = ADD_CPX_CPX(t55, t95);
    t46 = SUB_CPX_CPX(t45, t85);
    t56 = SUB_CPX_CPX(t55, t95);
    t66 = ADD_CPX_CPX(t65, t16);
    t76 = SUB_CPX_CPX(t75, t06);
    t86 = SUB_CPX_CPX(t65, t16);
    t96 = ADD_CPX_CPX(t75, t06);
    s01 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), t66), MUL_FLT_CPX(C_FLT(0.098017140329560604), t76));
    s11 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), t76), MUL_FLT_CPX(C_FLT(0.098017140329560604), t66));
    s21 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t46), MUL_FLT_CPX(C_FLT(0.19509032201612828), t56));
    s31 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t56), MUL_FLT_CPX(C_FLT(0.19509032201612828), t46));
    s41 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), t86), MUL_FLT_CPX(C_FLT(0.29028467725446239), t96));
    s51 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), t96), MUL_FLT_CPX(C_FLT(0.29028467725446239), t86));
    a62 = (src + 3);
    a72 = (src + 125);
    t07 = ADD_CPX_CPX(*(a62), *(a72));
    t17 = ADD_CPX_CPX(MUL_I_CPX(*(a62)), MUL_NI_CPX(*(a72)));
    a82 = (src + 35);
    a92 = (src + 93);
    t27 = ADD_CPX_CPX(*(a82), *(a92));
    t37 = ADD_CPX_CPX(MUL_I_CPX(*(a82)), MUL_NI_CPX(*(a92)));
    a03 = (src + 67);
    a13 = (src + 61);
    t47 = ADD_CPX_CPX(*(a03), *(a13));
    t57 = ADD_CPX_CPX(MUL_I_CPX(*(a03)), MUL_NI_CPX(*(a13)));
    a23 = (src + 99);
    a33 = (src + 29);
    t67 = ADD_CPX_CPX(*(a23), *(a33));
    t77 = ADD_CPX_CPX(MUL_I_CPX(*(a23)), MUL_NI_CPX(*(a33)));
    t87 = ADD_CPX_CPX(t07, t47);
    t97 = ADD_CPX_CPX(t17, t57);
    t08 = SUB_CPX_CPX(t07, t47);
    t18 = SUB_CPX_CPX(t17, t57);
    t28 = ADD_CPX_CPX(t27, t67);
    t38 = ADD_CPX_CPX(t37, t77);
    t48 = SUB_CPX_CPX(t27, t67);
    t58 = SUB_CPX_CPX(t37, t77);
    t68 = ADD_CPX_CPX(t87, t28);
    t78 = ADD_CPX_CPX(t97, t38);
    t88 = SUB_CPX_CPX(t87, t28);
    t98 = SUB_CPX_CPX(t97, t38);
    t09 = ADD_CPX_CPX(t08, t58);
    t19 = SUB_CPX_CPX(t18, t48);
    t29 = SUB_CPX_CPX(t08, t58);
    t39 = ADD_CPX_CPX(t18, t48);
    s61 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), t09), MUL_FLT_CPX(C_FLT(0.14673047445536175), t19));
    s71 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), t19), MUL_FLT_CPX(C_FLT(0.14673047445536175), t09));
    s81 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), t88), MUL_FLT_CPX(C_FLT(0.29028467725446239), t98));
    s91 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), t98), MUL_FLT_CPX(C_FLT(0.29028467725446239), t88));
    s02 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.90398929312344334), t29), MUL_FLT_CPX(C_FLT(0.42755509343028208), t39));
    s12 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.90398929312344334), t39), MUL_FLT_CPX(C_FLT(0.42755509343028208), t29));
    a43 = (src + 4);
    a53 = (src + 124);
    t49 = ADD_CPX_CPX(*(a43), *(a53));
    t59 = ADD_CPX_CPX(MUL_I_CPX(*(a43)), MUL_NI_CPX(*(a53)));
    a63 = (src + 36);
    a73 = (src + 92);
    t69 = ADD_CPX_CPX(*(a63), *(a73));
    t79 = ADD_CPX_CPX(MUL_I_CPX(*(a63)), MUL_NI_CPX(*(a73)));
    a83 = (src + 68);
    a93 = (src + 60);
    t89 = ADD_CPX_CPX(*(a83), *(a93));
    t99 = ADD_CPX_CPX(MUL_I_CPX(*(a83)), MUL_NI_CPX(*(a93)));
    a04 = (src + 100);
    a14 = (src + 28);
    t0a = ADD_CPX_CPX(*(a04), *(a14));
    t1a = ADD_CPX_CPX(MUL_I_CPX(*(a04)), MUL_NI_CPX(*(a14)));
    t2a = ADD_CPX_CPX(t49, t89);
    t3a = ADD_CPX_CPX(t59, t99);
    t4a = SUB_CPX_CPX(t49, t89);
    t5a = SUB_CPX_CPX(t59, t99);
    t6a = ADD_CPX_CPX(t69, t0a);
    t7a = ADD_CPX_CPX(t79, t1a);
    t8a = SUB_CPX_CPX(t69, t0a);
    t9a = SUB_CPX_CPX(t79, t1a);
    t0b = ADD_CPX_CPX(t2a, t6a);
    t1b = ADD_CPX_CPX(t3a, t7a);
    t2b = SUB_CPX_CPX(t2a, t6a);
    t3b = SUB_CPX_CPX(t3a, t7a);
    t4b = ADD_CPX_CPX(t4a, t9a);
    t5b = SUB_CPX_CPX(t5a, t8a);
    t6b = SUB_CPX_CPX(t4a, t9a);
    t7b = ADD_CPX_CPX(t5a, t8a);
    s22 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t4b), MUL_FLT_CPX(C_FLT(0.19509032201612828), t5b));
    s32 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t5b), MUL_FLT_CPX(C_FLT(0.19509032201612828), t4b));
    s42 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t2b), MUL_FLT_CPX(C_FLT(0.38268343236508978), t3b));
    s52 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t3b), MUL_FLT_CPX(C_FLT(0.38268343236508978), t2b));
    s62 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t6b), MUL_FLT_CPX(C_FLT(0.55557023301960218), t7b));
    s72 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t7b), MUL_FLT_CPX(C_FLT(0.55557023301960218), t6b));
    a24 = (src + 5);
    a34 = (src + 123);
    t8b = ADD_CPX_CPX(*(a24), *(a34));
    t9b = ADD_CPX_CPX(MUL_I_CPX(*(a24)), MUL_NI_CPX(*(a34)));
    a44 = (src + 37);
    a54 = (src + 91);
    t0c = ADD_CPX_CPX(*(a44), *(a54));
    t1c = ADD_CPX_CPX(MUL_I_CPX(*(a44)), MUL_NI_CPX(*(a54)));
    a64 = (src + 69);
    a74 = (src + 59);
    t2c = ADD_CPX_CPX(*(a64), *(a74));
    t3c = ADD_CPX_CPX(MUL_I_CPX(*(a64)), MUL_NI_CPX(*(a74)));
    a84 = (src + 101);
    a94 = (src + 27);
    t4c = ADD_CPX_CPX(*(a84), *(a94));
    t5c = ADD_CPX_CPX(MUL_I_CPX(*(a84)), MUL_NI_CPX(*(a94)));
    t6c = ADD_CPX_CPX(t8b, t2c);
    t7c = ADD_CPX_CPX(t9b, t3c);
    t8c = SUB_CPX_CPX(t8b, t2c);
    t9c = SUB_CPX_CPX(t9b, t3c);
    t0d = ADD_CPX_CPX(t0c, t4c);
    t1d = ADD_CPX_CPX(t1c, t5c);
    t2d = SUB_CPX_CPX(t0c, t4c);
    t3d = SUB_CPX_CPX(t1c, t5c);
    t4d = ADD_CPX_CPX(t6c, t0d);
    t5d = ADD_CPX_CPX(t7c, t1d);
    t6d = SUB_CPX_CPX(t6c, t0d);
    t7d = SUB_CPX_CPX(t7c, t1d);
    t8d = ADD_CPX_CPX(t8c, t3d);
    t9d = SUB_CPX_CPX(t9c, t2d);
    t0e = SUB_CPX_CPX(t8c, t3d);
    t1e = ADD_CPX_CPX(t9c, t2d);
    s82 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.97003125319454397), t8d), MUL_FLT_CPX(C_FLT(0.2429801799032639), t9d));
    s92 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.97003125319454397), t9d), MUL_FLT_CPX(C_FLT(0.2429801799032639), t8d));
    s03 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), t6d), MUL_FLT_CPX(C_FLT(0.47139673682599764), t7d));
    s13 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), t7d), MUL_FLT_CPX(C_FLT(0.47139673682599764), t6d));
    s23 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), t0e), MUL_FLT_CPX(C_FLT(0.67155895484701844), t1e));
    s33 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), t1e), MUL_FLT_CPX(C_FLT(0.67155895484701844), t0e));
    a05 = (src + 6);
    a15 = (src + 122);
    t2e = ADD_CPX_CPX(*(a05), *(a15));
    t3e = ADD_CPX_CPX(MUL_I_CPX(*(a05)), MUL_NI_CPX(*(a15)));
    a25 = (src + 38);
    a35 = (src + 90);
    t4e = ADD_CPX_CPX(*(a25), *(a35));
    t5e = ADD_CPX_CPX(MUL_I_CPX(*(a25)), MUL_NI_CPX(*(a35)));
    a45 = (src + 70);
    a55 = (src + 58);
    t6e = ADD_CPX_CPX(*(a45), *(a55));
    t7e = ADD_CPX_CPX(MUL_I_CPX(*(a45)), MUL_NI_CPX(*(a55)));
    a65 = (src + 102);
    a75 = (src + 26);
    t8e = ADD_CPX_CPX(*(a65), *(a75));
    t9e = ADD_CPX_CPX(MUL_I_CPX(*(a65)), MUL_NI_CPX(*(a75)));
    t0f = ADD_CPX_CPX(t2e, t6e);
    t1f = ADD_CPX_CPX(t3e, t7e);
    t2f = SUB_CPX_CPX(t2e, t6e);
    t3f = SUB_CPX_CPX(t3e, t7e);
    t4f = ADD_CPX_CPX(t4e, t8e);
    t5f = ADD_CPX_CPX(t5e, t9e);
    t6f = SUB_CPX_CPX(t4e, t8e);
    t7f = SUB_CPX_CPX(t5e, t9e);
    t8f = ADD_CPX_CPX(t0f, t4f);
    t9f = ADD_CPX_CPX(t1f, t5f);
    t0g = SUB_CPX_CPX(t0f, t4f);
    t1g = SUB_CPX_CPX(t1f, t5f);
    t2g = ADD_CPX_CPX(t2f, t7f);
    t3g = SUB_CPX_CPX(t3f, t6f);
    t4g = SUB_CPX_CPX(t2f, t7f);
    t5g = ADD_CPX_CPX(t3f, t6f);
    s43 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), t2g), MUL_FLT_CPX(C_FLT(0.29028467725446239), t3g));
    s53 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), t3g), MUL_FLT_CPX(C_FLT(0.29028467725446239), t2g));
    s63 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t0g), MUL_FLT_CPX(C_FLT(0.55557023301960218), t1g));
    s73 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t1g), MUL_FLT_CPX(C_FLT(0.55557023301960218), t0g));
    s83 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), t4g), MUL_FLT_CPX(C_FLT(0.77301045336273699), t5g));
    s93 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), t5g), MUL_FLT_CPX(C_FLT(0.77301045336273699), t4g));
    a85 = (src + 7);
    a95 = (src + 121);
    t6g = ADD_CPX_CPX(*(a85), *(a95));
    t7g = ADD_CPX_CPX(MUL_I_CPX(*(a85)), MUL_NI_CPX(*(a95)));
    a06 = (src + 39);
    a16 = (src + 89);
    t8g = ADD_CPX_CPX(*(a06), *(a16));
    t9g = ADD_CPX_CPX(MUL_I_CPX(*(a06)), MUL_NI_CPX(*(a16)));
    a26 = (src + 71);
    a36 = (src + 57);
    t0h = ADD_CPX_CPX(*(a26), *(a36));
    t1h = ADD_CPX_CPX(MUL_I_CPX(*(a26)), MUL_NI_CPX(*(a36)));
    a46 = (src + 103);
    a56 = (src + 25);
    t2h = ADD_CPX_CPX(*(a46), *(a56));
    t3h = ADD_CPX_CPX(MUL_I_CPX(*(a46)), MUL_NI_CPX(*(a56)));
    t4h = ADD_CPX_CPX(t6g, t0h);
    t5h = ADD_CPX_CPX(t7g, t1h);
    t6h = SUB_CPX_CPX(t6g, t0h);
    t7h = SUB_CPX_CPX(t7g, t1h);
    t8h = ADD_CPX_CPX(t8g, t2h);
    t9h = ADD_CPX_CPX(t9g, t3h);
    t0i = SUB_CPX_CPX(t8g, t2h);
    t1i = SUB_CPX_CPX(t9g, t3h);
    t2i = ADD_CPX_CPX(t4h, t8h);
    t3i = ADD_CPX_CPX(t5h, t9h);
    t4i = SUB_CPX_CPX(t4h, t8h);
    t5i = SUB_CPX_CPX(t5h, t9h);
    t6i = ADD_CPX_CPX(t6h, t1i);
    t7i = SUB_CPX_CPX(t7h, t0i);
    t8i = SUB_CPX_CPX(t6h, t1i);
    t9i = ADD_CPX_CPX(t7h, t0i);
    s04 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), t6i), MUL_FLT_CPX(C_FLT(0.33688985339222005), t7i));
    s14 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), t7i), MUL_FLT_CPX(C_FLT(0.33688985339222005), t6i));
    s24 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), t4i), MUL_FLT_CPX(C_FLT(0.63439328416364549), t5i));
    s34 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), t5i), MUL_FLT_CPX(C_FLT(0.63439328416364549), t4i));
    s44 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.51410274419322177), t8i), MUL_FLT_CPX(C_FLT(0.85772861000027212), t9i));
    s54 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.51410274419322177), t9i), MUL_FLT_CPX(C_FLT(0.85772861000027212), t8i));
    a66 = (src + 8);
    a76 = (src + 120);
    t0j = ADD_CPX_CPX(*(a66), *(a76));
    t1j = ADD_CPX_CPX(MUL_I_CPX(*(a66)), MUL_NI_CPX(*(a76)));
    a86 = (src + 40);
    a96 = (src + 88);
    t2j = ADD_CPX_CPX(*(a86), *(a96));
    t3j = ADD_CPX_CPX(MUL_I_CPX(*(a86)), MUL_NI_CPX(*(a96)));
    a07 = (src + 72);
    a17 = (src + 56);
    t4j = ADD_CPX_CPX(*(a07), *(a17));
    t5j = ADD_CPX_CPX(MUL_I_CPX(*(a07)), MUL_NI_CPX(*(a17)));
    a27 = (src + 104);
    a37 = (src + 24);
    t6j = ADD_CPX_CPX(*(a27), *(a37));
    t7j = ADD_CPX_CPX(MUL_I_CPX(*(a27)), MUL_NI_CPX(*(a37)));
    t8j = ADD_CPX_CPX(t0j, t4j);
    t9j = ADD_CPX_CPX(t1j, t5j);
    t0k = SUB_CPX_CPX(t0j, t4j);
    t1k = SUB_CPX_CPX(t1j, t5j);
    t2k = ADD_CPX_CPX(t2j, t6j);
    t3k = ADD_CPX_CPX(t3j, t7j);
    t4k = SUB_CPX_CPX(t2j, t6j);
    t5k = SUB_CPX_CPX(t3j, t7j);
    t6k = ADD_CPX_CPX(t8j, t2k);
    t7k = ADD_CPX_CPX(t9j, t3k);
    t8k = ADD_CPX_CPX(t0k, t5k);
    t9k = SUB_CPX_CPX(t1k, t4k);
    t0l = SUB_CPX_CPX(t0k, t5k);
    t1l = ADD_CPX_CPX(t1k, t4k);
    s64 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t8k), MUL_FLT_CPX(C_FLT(0.38268343236508978), t9k));
    s74 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t9k), MUL_FLT_CPX(C_FLT(0.38268343236508978), t8k));
    a47 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8j, t2k));
    a57 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9j, t3k));
    s84 = ADD_CPX_CPX(a47, a57);
    s94 = SUB_CPX_CPX(a57, a47);
    s05 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t0l), MUL_FLT_CPX(C_FLT(0.92387953251128674), t1l));
    s15 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t1l), MUL_FLT_CPX(C_FLT(0.92387953251128674), t0l));
    a67 = (src + 9);
    a77 = (src + 119);
    t2l = ADD_CPX_CPX(*(a67), *(a77));
    t3l = ADD_CPX_CPX(MUL_I_CPX(*(a67)), MUL_NI_CPX(*(a77)));
    a87 = (src + 41);
    a97 = (src + 87);
    t4l = ADD_CPX_CPX(*(a87), *(a97));
    t5l = ADD_CPX_CPX(MUL_I_CPX(*(a87)), MUL_NI_CPX(*(a97)));
    a08 = (src + 73);
    a18 = (src + 55);
    t6l = ADD_CPX_CPX(*(a08), *(a18));
    t7l = ADD_CPX_CPX(MUL_I_CPX(*(a08)), MUL_NI_CPX(*(a18)));
    a28 = (src + 105);
    a38 = (src + 23);
    t8l = ADD_CPX_CPX(*(a28), *(a38));
    t9l = ADD_CPX_CPX(MUL_I_CPX(*(a28)), MUL_NI_CPX(*(a38)));
    t0m = ADD_CPX_CPX(t2l, t6l);
    t1m = ADD_CPX_CPX(t3l, t7l);
    t2m = SUB_CPX_CPX(t2l, t6l);
    t3m = SUB_CPX_CPX(t3l, t7l);
    t4m = ADD_CPX_CPX(t4l, t8l);
    t5m = ADD_CPX_CPX(t5l, t9l);
    t6m = SUB_CPX_CPX(t4l, t8l);
    t7m = SUB_CPX_CPX(t5l, t9l);
    t8m = ADD_CPX_CPX(t0m, t4m);
    t9m = ADD_CPX_CPX(t1m, t5m);
    t0n = SUB_CPX_CPX(t0m, t4m);
    t1n = SUB_CPX_CPX(t1m, t5m);
    t2n = ADD_CPX_CPX(t2m, t7m);
    t3n = SUB_CPX_CPX(t3m, t6m);
    t4n = SUB_CPX_CPX(t2m, t7m);
    t5n = ADD_CPX_CPX(t3m, t6m);
    s25 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.90398929312344334), t2n), MUL_FLT_CPX(C_FLT(0.42755509343028208), t3n));
    s35 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.90398929312344334), t3n), MUL_FLT_CPX(C_FLT(0.42755509343028208), t2n));
    s45 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), t0n), MUL_FLT_CPX(C_FLT(0.77301045336273699), t1n));
    s55 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), t1n), MUL_FLT_CPX(C_FLT(0.77301045336273699), t0n));
    s65 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.2429801799032639), t4n), MUL_FLT_CPX(C_FLT(0.97003125319454397), t5n));
    s75 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.2429801799032639), t5n), MUL_FLT_CPX(C_FLT(0.97003125319454397), t4n));
    a48 = (src + 10);
    a58 = (src + 118);
    t6n = ADD_CPX_CPX(*(a48), *(a58));
    t7n = ADD_CPX_CPX(MUL_I_CPX(*(a48)), MUL_NI_CPX(*(a58)));
    a68 = (src + 42);
    a78 = (src + 86);
    t8n = ADD_CPX_CPX(*(a68), *(a78));
    t9n = ADD_CPX_CPX(MUL_I_CPX(*(a68)), MUL_NI_CPX(*(a78)));
    a88 = (src + 74);
    a98 = (src + 54);
    t0o = ADD_CPX_CPX(*(a88), *(a98));
    t1o = ADD_CPX_CPX(MUL_I_CPX(*(a88)), MUL_NI_CPX(*(a98)));
    a09 = (src + 106);
    a19 = (src + 22);
    t2o = ADD_CPX_CPX(*(a09), *(a19));
    t3o = ADD_CPX_CPX(MUL_I_CPX(*(a09)), MUL_NI_CPX(*(a19)));
    t4o = ADD_CPX_CPX(t6n, t0o);
    t5o = ADD_CPX_CPX(t7n, t1o);
    t6o = SUB_CPX_CPX(t6n, t0o);
    t7o = SUB_CPX_CPX(t7n, t1o);
    t8o = ADD_CPX_CPX(t8n, t2o);
    t9o = ADD_CPX_CPX(t9n, t3o);
    t0p = SUB_CPX_CPX(t8n, t2o);
    t1p = SUB_CPX_CPX(t9n, t3o);
    t2p = ADD_CPX_CPX(t4o, t8o);
    t3p = ADD_CPX_CPX(t5o, t9o);
    t4p = SUB_CPX_CPX(t4o, t8o);
    t5p = SUB_CPX_CPX(t5o, t9o);
    t6p = ADD_CPX_CPX(t6o, t1p);
    t7p = SUB_CPX_CPX(t7o, t0p);
    t8p = SUB_CPX_CPX(t6o, t1p);
    t9p = ADD_CPX_CPX(t7o, t0p);
    s85 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), t6p), MUL_FLT_CPX(C_FLT(0.47139673682599764), t7p));
    s95 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), t7p), MUL_FLT_CPX(C_FLT(0.47139673682599764), t6p));
    s06 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), t4p), MUL_FLT_CPX(C_FLT(0.83146961230254524), t5p));
    s16 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), t5p), MUL_FLT_CPX(C_FLT(0.83146961230254524), t4p));
    s26 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), t8p), MUL_FLT_CPX(C_FLT(0.99518472667219693), t9p));
    s36 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), t9p), MUL_FLT_CPX(C_FLT(0.99518472667219693), t8p));
    a29 = (src + 11);
    a39 = (src + 117);
    t0q = ADD_CPX_CPX(*(a29), *(a39));
    t1q = ADD_CPX_CPX(MUL_I_CPX(*(a29)), MUL_NI_CPX(*(a39)));
    a49 = (src + 43);
    a59 = (src + 85);
    t2q = ADD_CPX_CPX(*(a49), *(a59));
    t3q = ADD_CPX_CPX(MUL_I_CPX(*(a49)), MUL_NI_CPX(*(a59)));
    a69 = (src + 75);
    a79 = (src + 53);
    t4q = ADD_CPX_CPX(*(a69), *(a79));
    t5q = ADD_CPX_CPX(MUL_I_CPX(*(a69)), MUL_NI_CPX(*(a79)));
    a89 = (src + 107);
    a99 = (src + 21);
    t6q = ADD_CPX_CPX(*(a89), *(a99));
    t7q = ADD_CPX_CPX(MUL_I_CPX(*(a89)), MUL_NI_CPX(*(a99)));
    t8q = ADD_CPX_CPX(t0q, t4q);
    t9q = ADD_CPX_CPX(t1q, t5q);
    t0r = SUB_CPX_CPX(t0q, t4q);
    t1r = SUB_CPX_CPX(t1q, t5q);
    t2r = ADD_CPX_CPX(t2q, t6q);
    t3r = ADD_CPX_CPX(t3q, t7q);
    t4r = SUB_CPX_CPX(t2q, t6q);
    t5r = SUB_CPX_CPX(t3q, t7q);
    t6r = ADD_CPX_CPX(t8q, t2r);
    t7r = ADD_CPX_CPX(t9q, t3r);
    t8r = SUB_CPX_CPX(t8q, t2r);
    t9r = SUB_CPX_CPX(t9q, t3r);
    t0s = ADD_CPX_CPX(t0r, t5r);
    t1s = SUB_CPX_CPX(t1r, t4r);
    t2s = SUB_CPX_CPX(t0r, t5r);
    t3s = ADD_CPX_CPX(t1r, t4r);
    s46 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.85772861000027212), t0s), MUL_FLT_CPX(C_FLT(0.51410274419322177), t1s));
    s56 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.85772861000027212), t1s), MUL_FLT_CPX(C_FLT(0.51410274419322177), t0s));
    s66 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.47139673682599764), t8r), MUL_FLT_CPX(C_FLT(0.88192126434835505), t9r));
    s76 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.47139673682599764), t9r), MUL_FLT_CPX(C_FLT(0.88192126434835505), t8r));
    s86 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99879545620517241), t3s), MUL_FLT_CPX(C_FLT(0.049067674327418015), t2s));
    s96 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99879545620517241), t2s), MUL_FLT_CPX(C_FLT(0.049067674327418015), t3s));
    a0a = (src + 12);
    a1a = (src + 116);
    t4s = ADD_CPX_CPX(*(a0a), *(a1a));
    t5s = ADD_CPX_CPX(MUL_I_CPX(*(a0a)), MUL_NI_CPX(*(a1a)));
    a2a = (src + 44);
    a3a = (src + 84);
    t6s = ADD_CPX_CPX(*(a2a), *(a3a));
    t7s = ADD_CPX_CPX(MUL_I_CPX(*(a2a)), MUL_NI_CPX(*(a3a)));
    a4a = (src + 76);
    a5a = (src + 52);
    t8s = ADD_CPX_CPX(*(a4a), *(a5a));
    t9s = ADD_CPX_CPX(MUL_I_CPX(*(a4a)), MUL_NI_CPX(*(a5a)));
    a6a = (src + 108);
    a7a = (src + 20);
    t0t = ADD_CPX_CPX(*(a6a), *(a7a));
    t1t = ADD_CPX_CPX(MUL_I_CPX(*(a6a)), MUL_NI_CPX(*(a7a)));
    t2t = ADD_CPX_CPX(t4s, t8s);
    t3t = ADD_CPX_CPX(t5s, t9s);
    t4t = SUB_CPX_CPX(t4s, t8s);
    t5t = SUB_CPX_CPX(t5s, t9s);
    t6t = ADD_CPX_CPX(t6s, t0t);
    t7t = ADD_CPX_CPX(t7s, t1t);
    t8t = SUB_CPX_CPX(t6s, t0t);
    t9t = SUB_CPX_CPX(t7s, t1t);
    t0u = ADD_CPX_CPX(t2t, t6t);
    t1u = ADD_CPX_CPX(t3t, t7t);
    t2u = SUB_CPX_CPX(t2t, t6t);
    t3u = SUB_CPX_CPX(t3t, t7t);
    t4u = ADD_CPX_CPX(t4t, t9t);
    t5u = SUB_CPX_CPX(t5t, t8t);
    t6u = SUB_CPX_CPX(t4t, t9t);
    t7u = ADD_CPX_CPX(t5t, t8t);
    s07 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t4u), MUL_FLT_CPX(C_FLT(0.55557023301960218), t5u));
    s17 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t5u), MUL_FLT_CPX(C_FLT(0.55557023301960218), t4u));
    s27 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t2u), MUL_FLT_CPX(C_FLT(0.92387953251128674), t3u));
    s37 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t3u), MUL_FLT_CPX(C_FLT(0.92387953251128674), t2u));
    s47 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t7u), MUL_FLT_CPX(C_FLT(0.19509032201612828), t6u));
    s57 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t6u), MUL_FLT_CPX(C_FLT(0.19509032201612828), t7u));
    a8a = (src + 13);
    a9a = (src + 115);
    t8u = ADD_CPX_CPX(*(a8a), *(a9a));
    t9u = ADD_CPX_CPX(MUL_I_CPX(*(a8a)), MUL_NI_CPX(*(a9a)));
    a0b = (src + 45);
    a1b = (src + 83);
    t0v = ADD_CPX_CPX(*(a0b), *(a1b));
    t1v = ADD_CPX_CPX(MUL_I_CPX(*(a0b)), MUL_NI_CPX(*(a1b)));
    a2b = (src + 77);
    a3b = (src + 51);
    t2v = ADD_CPX_CPX(*(a2b), *(a3b));
    t3v = ADD_CPX_CPX(MUL_I_CPX(*(a2b)), MUL_NI_CPX(*(a3b)));
    a4b = (src + 109);
    a5b = (src + 19);
    t4v = ADD_CPX_CPX(*(a4b), *(a5b));
    t5v = ADD_CPX_CPX(MUL_I_CPX(*(a4b)), MUL_NI_CPX(*(a5b)));
    t6v = ADD_CPX_CPX(t8u, t2v);
    t7v = ADD_CPX_CPX(t9u, t3v);
    t8v = SUB_CPX_CPX(t8u, t2v);
    t9v = SUB_CPX_CPX(t9u, t3v);
    t0w = ADD_CPX_CPX(t0v, t4v);
    t1w = ADD_CPX_CPX(t1v, t5v);
    t2w = SUB_CPX_CPX(t0v, t4v);
    t3w = SUB_CPX_CPX(t1v, t5v);
    t4w = ADD_CPX_CPX(t6v, t0w);
    t5w = ADD_CPX_CPX(t7v, t1w);
    t6w = SUB_CPX_CPX(t6v, t0w);
    t7w = SUB_CPX_CPX(t7v, t1w);
    t8w = ADD_CPX_CPX(t8v, t3w);
    t9w = SUB_CPX_CPX(t9v, t2w);
    t0x = SUB_CPX_CPX(t8v, t3w);
    t1x = ADD_CPX_CPX(t9v, t2w);
    s67 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.80320753148064494), t8w), MUL_FLT_CPX(C_FLT(0.59569930449243336), t9w));
    s77 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.80320753148064494), t9w), MUL_FLT_CPX(C_FLT(0.59569930449243336), t8w));
    s87 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.29028467725446239), t6w), MUL_FLT_CPX(C_FLT(0.95694033573220882), t7w));
    s97 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.29028467725446239), t7w), MUL_FLT_CPX(C_FLT(0.95694033573220882), t6w));
    s08 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), t1x), MUL_FLT_CPX(C_FLT(0.33688985339222005), t0x));
    s18 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), t0x), MUL_FLT_CPX(C_FLT(0.33688985339222005), t1x));
    a6b = (src + 14);
    a7b = (src + 114);
    t2x = ADD_CPX_CPX(*(a6b), *(a7b));
    t3x = ADD_CPX_CPX(MUL_I_CPX(*(a6b)), MUL_NI_CPX(*(a7b)));
    a8b = (src + 46);
    a9b = (src + 82);
    t4x = ADD_CPX_CPX(*(a8b), *(a9b));
    t5x = ADD_CPX_CPX(MUL_I_CPX(*(a8b)), MUL_NI_CPX(*(a9b)));
    a0c = (src + 78);
    a1c = (src + 50);
    t6x = ADD_CPX_CPX(*(a0c), *(a1c));
    t7x = ADD_CPX_CPX(MUL_I_CPX(*(a0c)), MUL_NI_CPX(*(a1c)));
    a2c = (src + 110);
    a3c = (src + 18);
    t8x = ADD_CPX_CPX(*(a2c), *(a3c));
    t9x = ADD_CPX_CPX(MUL_I_CPX(*(a2c)), MUL_NI_CPX(*(a3c)));
    t0y = ADD_CPX_CPX(t2x, t6x);
    t1y = ADD_CPX_CPX(t3x, t7x);
    t2y = SUB_CPX_CPX(t2x, t6x);
    t3y = SUB_CPX_CPX(t3x, t7x);
    t4y = ADD_CPX_CPX(t4x, t8x);
    t5y = ADD_CPX_CPX(t5x, t9x);
    t6y = SUB_CPX_CPX(t4x, t8x);
    t7y = SUB_CPX_CPX(t5x, t9x);
    t8y = ADD_CPX_CPX(t0y, t4y);
    t9y = ADD_CPX_CPX(t1y, t5y);
    t0z = SUB_CPX_CPX(t0y, t4y);
    t1z = SUB_CPX_CPX(t1y, t5y);
    t2z = ADD_CPX_CPX(t2y, t7y);
    t3z = SUB_CPX_CPX(t3y, t6y);
    t4z = SUB_CPX_CPX(t2y, t7y);
    t5z = ADD_CPX_CPX(t3y, t6y);
    s28 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), t2z), MUL_FLT_CPX(C_FLT(0.63439328416364549), t3z));
    s38 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), t3z), MUL_FLT_CPX(C_FLT(0.63439328416364549), t2z));
    s48 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), t0z), MUL_FLT_CPX(C_FLT(0.98078528040323043), t1z));
    s58 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), t1z), MUL_FLT_CPX(C_FLT(0.98078528040323043), t0z));
    s68 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), t5z), MUL_FLT_CPX(C_FLT(0.47139673682599764), t4z));
    s78 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), t4z), MUL_FLT_CPX(C_FLT(0.47139673682599764), t5z));
    a4c = (src + 15);
    a5c = (src + 113);
    t6z = ADD_CPX_CPX(*(a4c), *(a5c));
    t7z = ADD_CPX_CPX(MUL_I_CPX(*(a4c)), MUL_NI_CPX(*(a5c)));
    a6c = (src + 47);
    a7c = (src + 81);
    t8z = ADD_CPX_CPX(*(a6c), *(a7c));
    t9z = ADD_CPX_CPX(MUL_I_CPX(*(a6c)), MUL_NI_CPX(*(a7c)));
    a8c = (src + 79);
    a9c = (src + 49);
    t0A = ADD_CPX_CPX(*(a8c), *(a9c));
    t1A = ADD_CPX_CPX(MUL_I_CPX(*(a8c)), MUL_NI_CPX(*(a9c)));
    a0d = (src + 111);
    a1d = (src + 17);
    t2A = ADD_CPX_CPX(*(a0d), *(a1d));
    t3A = ADD_CPX_CPX(MUL_I_CPX(*(a0d)), MUL_NI_CPX(*(a1d)));
    t4A = ADD_CPX_CPX(t6z, t0A);
    t5A = ADD_CPX_CPX(t7z, t1A);
    t6A = SUB_CPX_CPX(t6z, t0A);
    t7A = SUB_CPX_CPX(t7z, t1A);
    t8A = ADD_CPX_CPX(t8z, t2A);
    t9A = ADD_CPX_CPX(t9z, t3A);
    t0B = SUB_CPX_CPX(t8z, t2A);
    t1B = SUB_CPX_CPX(t9z, t3A);
    t2B = ADD_CPX_CPX(t4A, t8A);
    t3B = ADD_CPX_CPX(t5A, t9A);
    t4B = SUB_CPX_CPX(t4A, t8A);
    t5B = SUB_CPX_CPX(t5A, t9A);
    t6B = ADD_CPX_CPX(t6A, t1B);
    t7B = SUB_CPX_CPX(t7A, t0B);
    t8B = SUB_CPX_CPX(t6A, t1B);
    t9B = ADD_CPX_CPX(t7A, t0B);
    s88 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), t6B), MUL_FLT_CPX(C_FLT(0.67155895484701844), t7B));
    s98 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), t7B), MUL_FLT_CPX(C_FLT(0.67155895484701844), t6B));
    s09 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), t4B), MUL_FLT_CPX(C_FLT(0.99518472667219693), t5B));
    s19 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), t5B), MUL_FLT_CPX(C_FLT(0.99518472667219693), t4B));
    s29 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.80320753148064494), t9B), MUL_FLT_CPX(C_FLT(0.59569930449243336), t8B));
    s39 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.80320753148064494), t8B), MUL_FLT_CPX(C_FLT(0.59569930449243336), t9B));
    t0C = ADD_CPX_CPX(t41, t6k);
    t1C = ADD_CPX_CPX(t61, t7k);
    t2C = SUB_CPX_CPX(t41, t6k);
    t3C = SUB_CPX_CPX(t61, t7k);
    t4C = ADD_CPX_CPX(t0b, t0u);
    t5C = SUB_CPX_CPX(t1b, t1u);
    a2d = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0b, t0u));
    a3d = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t1b, t1u));
    s49 = ADD_CPX_CPX(a2d, a3d);
    s59 = SUB_CPX_CPX(a3d, a2d);
    t6C = ADD_CPX_CPX(t0C, t4C);
    t7C = ADD_CPX_CPX(t2C, t5C);
    t8C = SUB_CPX_CPX(t0C, t4C);
    t9C = SUB_CPX_CPX(t2C, t5C);
    t0D = ADD_CPX_CPX(t1C, s49);
    t1D = ADD_CPX_CPX(t3C, s59);
    t2D = SUB_CPX_CPX(t1C, s49);
    t3D = SUB_CPX_CPX(t3C, s59);
    t4D = ADD_CPX_CPX(t83, t2B);
    t5D = SUB_CPX_CPX(t93, t3B);
    t6D = SUB_CPX_CPX(t83, t2B);
    t7D = ADD_CPX_CPX(t93, t3B);
    t8D = ADD_CPX_CPX(t8m, t2i);
    t9D = SUB_CPX_CPX(t9m, t3i);
    t0E = SUB_CPX_CPX(t8m, t2i);
    t1E = ADD_CPX_CPX(t9m, t3i);
    t2E = ADD_CPX_CPX(t4D, t8D);
    t3E = ADD_CPX_CPX(t5D, t9D);
    t4E = SUB_CPX_CPX(t4D, t8D);
    t5E = SUB_CPX_CPX(t5D, t9D);
    t6E = ADD_CPX_CPX(t6D, t1E);
    t7E = SUB_CPX_CPX(t7D, t0E);
    t8E = SUB_CPX_CPX(t6D, t1E);
    t9E = ADD_CPX_CPX(t7D, t0E);
    s69 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t6E), MUL_FLT_CPX(C_FLT(0.19509032201612828), t7E));
    s79 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t7E), MUL_FLT_CPX(C_FLT(0.19509032201612828), t6E));
    s89 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t4E), MUL_FLT_CPX(C_FLT(0.38268343236508978), t5E));
    s99 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t5E), MUL_FLT_CPX(C_FLT(0.38268343236508978), t4E));
    s0a = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t8E), MUL_FLT_CPX(C_FLT(0.55557023301960218), t9E));
    s1a = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t9E), MUL_FLT_CPX(C_FLT(0.55557023301960218), t8E));
    t0F = ADD_CPX_CPX(t26, t8y);
    t1F = SUB_CPX_CPX(t36, t9y);
    t2F = SUB_CPX_CPX(t26, t8y);
    t3F = ADD_CPX_CPX(t36, t9y);
    t4F = ADD_CPX_CPX(t2p, t8f);
    t5F = SUB_CPX_CPX(t3p, t9f);
    t6F = SUB_CPX_CPX(t2p, t8f);
    t7F = ADD_CPX_CPX(t3p, t9f);
    t8F = ADD_CPX_CPX(t0F, t4F);
    t9F = ADD_CPX_CPX(t1F, t5F);
    t0G = ADD_CPX_CPX(t2F, t7F);
    t1G = SUB_CPX_CPX(t3F, t6F);
    t2G = SUB_CPX_CPX(t2F, t7F);
    t3G = ADD_CPX_CPX(t3F, t6F);
    s2a = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t0G), MUL_FLT_CPX(C_FLT(0.38268343236508978), t1G));
    s3a = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t1G), MUL_FLT_CPX(C_FLT(0.38268343236508978), t0G));
    a4d = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0F, t4F));
    a5d = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t1F, t5F));
    s4a = ADD_CPX_CPX(a4d, a5d);
    s5a = SUB_CPX_CPX(a5d, a4d);
    s6a = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t2G), MUL_FLT_CPX(C_FLT(0.92387953251128674), t3G));
    s7a = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t3G), MUL_FLT_CPX(C_FLT(0.92387953251128674), t2G));
    t4G = ADD_CPX_CPX(t68, t4w);
    t5G = SUB_CPX_CPX(t78, t5w);
    t6G = SUB_CPX_CPX(t68, t4w);
    t7G = ADD_CPX_CPX(t78, t5w);
    t8G = ADD_CPX_CPX(t6r, t4d);
    t9G = SUB_CPX_CPX(t7r, t5d);
    t0H = SUB_CPX_CPX(t6r, t4d);
    t1H = ADD_CPX_CPX(t7r, t5d);
    t2H = ADD_CPX_CPX(t4G, t8G);
    t3H = ADD_CPX_CPX(t5G, t9G);
    t4H = SUB_CPX_CPX(t4G, t8G);
    t5H = SUB_CPX_CPX(t5G, t9G);
    t6H = ADD_CPX_CPX(t6G, t1H);
    t7H = SUB_CPX_CPX(t7G, t0H);
    t8H = SUB_CPX_CPX(t6G, t1H);
    t9H = ADD_CPX_CPX(t7G, t0H);
    s8a = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t6H), MUL_FLT_CPX(C_FLT(0.55557023301960218), t7H));
    s9a = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t7H), MUL_FLT_CPX(C_FLT(0.55557023301960218), t6H));
    s0b = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t4H), MUL_FLT_CPX(C_FLT(0.92387953251128674), t5H));
    s1b = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t5H), MUL_FLT_CPX(C_FLT(0.92387953251128674), t4H));
    s2b = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t9H), MUL_FLT_CPX(C_FLT(0.19509032201612828), t8H));
    s3b = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t8H), MUL_FLT_CPX(C_FLT(0.19509032201612828), t9H));
    t0I = ADD_CPX_CPX(t6C, t8F);
    t1I = ADD_CPX_CPX(t8C, t9F);
    t2I = SUB_CPX_CPX(t6C, t8F);
    t3I = SUB_CPX_CPX(t8C, t9F);
    t4I = ADD_CPX_CPX(t2E, t2H);
    t5I = SUB_CPX_CPX(t3E, t3H);
    a6d = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2E, t2H));
    a7d = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t3E, t3H));
    s4b = ADD_CPX_CPX(a6d, a7d);
    s5b = SUB_CPX_CPX(a7d, a6d);
    *(dst) = ADD_CPX_CPX(t0I, t4I);
    *((dst + 32)) = ADD_CPX_CPX(t2I, t5I);
    *((dst + 64)) = SUB_CPX_CPX(t0I, t4I);
    *((dst + 96)) = SUB_CPX_CPX(t2I, t5I);
    *((dst + 16)) = ADD_CPX_CPX(t1I, s4b);
    *((dst + 48)) = ADD_CPX_CPX(t3I, s5b);
    *((dst + 80)) = SUB_CPX_CPX(t1I, s4b);
    *((dst + 112)) = SUB_CPX_CPX(t3I, s5b);
    t6I = ADD_CPX_CPX(t0D, s2a);
    t7I = ADD_CPX_CPX(t2D, s3a);
    t8I = SUB_CPX_CPX(t0D, s2a);
    t9I = SUB_CPX_CPX(t2D, s3a);
    t0J = ADD_CPX_CPX(s69, s8a);
    t1J = SUB_CPX_CPX(s79, s9a);
    a8d = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s69, s8a));
    a9d = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s79, s9a));
    s6b = ADD_CPX_CPX(a8d, a9d);
    s7b = SUB_CPX_CPX(a9d, a8d);
    *((dst + 4)) = ADD_CPX_CPX(t6I, t0J);
    *((dst + 36)) = ADD_CPX_CPX(t8I, t1J);
    *((dst + 68)) = SUB_CPX_CPX(t6I, t0J);
    *((dst + 100)) = SUB_CPX_CPX(t8I, t1J);
    *((dst + 20)) = ADD_CPX_CPX(t7I, s6b);
    *((dst + 52)) = ADD_CPX_CPX(t9I, s7b);
    *((dst + 84)) = SUB_CPX_CPX(t7I, s6b);
    *((dst + 116)) = SUB_CPX_CPX(t9I, s7b);
    t2J = ADD_CPX_CPX(t7C, s4a);
    t3J = ADD_CPX_CPX(t9C, s5a);
    t4J = SUB_CPX_CPX(t7C, s4a);
    t5J = SUB_CPX_CPX(t9C, s5a);
    t6J = ADD_CPX_CPX(s89, s0b);
    t7J = SUB_CPX_CPX(s99, s1b);
    a0e = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s89, s0b));
    a1e = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s99, s1b));
    s8b = ADD_CPX_CPX(a0e, a1e);
    s9b = SUB_CPX_CPX(a1e, a0e);
    *((dst + 8)) = ADD_CPX_CPX(t2J, t6J);
    *((dst + 40)) = ADD_CPX_CPX(t4J, t7J);
    *((dst + 72)) = SUB_CPX_CPX(t2J, t6J);
    *((dst + 104)) = SUB_CPX_CPX(t4J, t7J);
    *((dst + 24)) = ADD_CPX_CPX(t3J, s8b);
    *((dst + 56)) = ADD_CPX_CPX(t5J, s9b);
    *((dst + 88)) = SUB_CPX_CPX(t3J, s8b);
    *((dst + 120)) = SUB_CPX_CPX(t5J, s9b);
    t8J = ADD_CPX_CPX(t1D, s6a);
    t9J = ADD_CPX_CPX(t3D, s7a);
    t0K = SUB_CPX_CPX(t1D, s6a);
    t1K = SUB_CPX_CPX(t3D, s7a);
    t2K = ADD_CPX_CPX(s0a, s2b);
    t3K = ADD_CPX_CPX(s1a, s3b);
    a2e = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s0a, s2b));
    a3e = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s1a, s3b));
    s0c = ADD_CPX_CPX(a2e, a3e);
    s1c = SUB_CPX_CPX(a3e, a2e);
    *((dst + 12)) = ADD_CPX_CPX(t8J, t2K);
    *((dst + 44)) = ADD_CPX_CPX(t0K, t3K);
    *((dst + 76)) = SUB_CPX_CPX(t8J, t2K);
    *((dst + 108)) = SUB_CPX_CPX(t0K, t3K);
    *((dst + 28)) = ADD_CPX_CPX(t9J, s0c);
    *((dst + 60)) = ADD_CPX_CPX(t1K, s1c);
    *((dst + 92)) = SUB_CPX_CPX(t9J, s0c);
    *((dst + 124)) = SUB_CPX_CPX(t1K, s1c);
    t4K = ADD_CPX_CPX(t81, s64);
    t5K = ADD_CPX_CPX(t02, s74);
    t6K = SUB_CPX_CPX(t81, s64);
    t7K = SUB_CPX_CPX(t02, s74);
    t8K = ADD_CPX_CPX(s22, s07);
    t9K = SUB_CPX_CPX(s32, s17);
    a4e = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s22, s07));
    a5e = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s32, s17));
    s2c = ADD_CPX_CPX(a4e, a5e);
    s3c = SUB_CPX_CPX(a5e, a4e);
    t0L = ADD_CPX_CPX(t4K, t8K);
    t1L = ADD_CPX_CPX(t6K, t9K);
    t2L = SUB_CPX_CPX(t4K, t8K);
    t3L = SUB_CPX_CPX(t6K, t9K);
    t4L = ADD_CPX_CPX(t5K, s2c);
    t5L = ADD_CPX_CPX(t7K, s3c);
    t6L = SUB_CPX_CPX(t5K, s2c);
    t7L = SUB_CPX_CPX(t7K, s3c);
    t8L = ADD_CPX_CPX(s4, s88);
    t9L = SUB_CPX_CPX(s5, s98);
    t0M = SUB_CPX_CPX(s4, s88);
    t1M = ADD_CPX_CPX(s5, s98);
    t2M = ADD_CPX_CPX(s25, s04);
    t3M = SUB_CPX_CPX(s35, s14);
    t4M = SUB_CPX_CPX(s25, s04);
    t5M = ADD_CPX_CPX(s35, s14);
    t6M = ADD_CPX_CPX(t8L, t2M);
    t7M = ADD_CPX_CPX(t9L, t3M);
    t8M = SUB_CPX_CPX(t8L, t2M);
    t9M = SUB_CPX_CPX(t9L, t3M);
    t0N = ADD_CPX_CPX(t0M, t5M);
    t1N = SUB_CPX_CPX(t1M, t4M);
    t2N = SUB_CPX_CPX(t0M, t5M);
    t3N = ADD_CPX_CPX(t1M, t4M);
    s4c = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t0N), MUL_FLT_CPX(C_FLT(0.19509032201612828), t1N));
    s5c = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t1N), MUL_FLT_CPX(C_FLT(0.19509032201612828), t0N));
    s6c = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t8M), MUL_FLT_CPX(C_FLT(0.38268343236508978), t9M));
    s7c = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t9M), MUL_FLT_CPX(C_FLT(0.38268343236508978), t8M));
    s8c = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t2N), MUL_FLT_CPX(C_FLT(0.55557023301960218), t3N));
    s9c = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t3N), MUL_FLT_CPX(C_FLT(0.55557023301960218), t2N));
    t4N = ADD_CPX_CPX(s01, s28);
    t5N = SUB_CPX_CPX(s11, s38);
    t6N = SUB_CPX_CPX(s01, s28);
    t7N = ADD_CPX_CPX(s11, s38);
    t8N = ADD_CPX_CPX(s85, s43);
    t9N = SUB_CPX_CPX(s95, s53);
    t0O = SUB_CPX_CPX(s85, s43);
    t1O = ADD_CPX_CPX(s95, s53);
    t2O = ADD_CPX_CPX(t4N, t8N);
    t3O = ADD_CPX_CPX(t5N, t9N);
    t4O = ADD_CPX_CPX(t6N, t1O);
    t5O = SUB_CPX_CPX(t7N, t0O);
    t6O = SUB_CPX_CPX(t6N, t1O);
    t7O = ADD_CPX_CPX(t7N, t0O);
    s0d = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t4O), MUL_FLT_CPX(C_FLT(0.38268343236508978), t5O));
    s1d = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t5O), MUL_FLT_CPX(C_FLT(0.38268343236508978), t4O));
    a6e = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t4N, t8N));
    a7e = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t5N, t9N));
    s2d = ADD_CPX_CPX(a6e, a7e);
    s3d = SUB_CPX_CPX(a7e, a6e);
    s4d = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t6O), MUL_FLT_CPX(C_FLT(0.92387953251128674), t7O));
    s5d = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t7O), MUL_FLT_CPX(C_FLT(0.92387953251128674), t6O));
    t8O = ADD_CPX_CPX(s61, s67);
    t9O = SUB_CPX_CPX(s71, s77);
    t0P = SUB_CPX_CPX(s61, s67);
    t1P = ADD_CPX_CPX(s71, s77);
    t2P = ADD_CPX_CPX(s46, s82);
    t3P = SUB_CPX_CPX(s56, s92);
    t4P = SUB_CPX_CPX(s46, s82);
    t5P = ADD_CPX_CPX(s56, s92);
    t6P = ADD_CPX_CPX(t8O, t2P);
    t7P = ADD_CPX_CPX(t9O, t3P);
    t8P = SUB_CPX_CPX(t8O, t2P);
    t9P = SUB_CPX_CPX(t9O, t3P);
    t0Q = ADD_CPX_CPX(t0P, t5P);
    t1Q = SUB_CPX_CPX(t1P, t4P);
    t2Q = SUB_CPX_CPX(t0P, t5P);
    t3Q = ADD_CPX_CPX(t1P, t4P);
    s6d = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t0Q), MUL_FLT_CPX(C_FLT(0.55557023301960218), t1Q));
    s7d = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t1Q), MUL_FLT_CPX(C_FLT(0.55557023301960218), t0Q));
    s8d = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t8P), MUL_FLT_CPX(C_FLT(0.92387953251128674), t9P));
    s9d = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t9P), MUL_FLT_CPX(C_FLT(0.92387953251128674), t8P));
    s0e = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t3Q), MUL_FLT_CPX(C_FLT(0.19509032201612828), t2Q));
    s1e = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t2Q), MUL_FLT_CPX(C_FLT(0.19509032201612828), t3Q));
    t4Q = ADD_CPX_CPX(t0L, t2O);
    t5Q = ADD_CPX_CPX(t2L, t3O);
    t6Q = SUB_CPX_CPX(t0L, t2O);
    t7Q = SUB_CPX_CPX(t2L, t3O);
    t8Q = ADD_CPX_CPX(t6M, t6P);
    t9Q = SUB_CPX_CPX(t7M, t7P);
    a8e = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t6M, t6P));
    a9e = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t7M, t7P));
    s2e = ADD_CPX_CPX(a8e, a9e);
    s3e = SUB_CPX_CPX(a9e, a8e);
    *((dst + 1)) = ADD_CPX_CPX(t4Q, t8Q);
    *((dst + 33)) = ADD_CPX_CPX(t6Q, t9Q);
    *((dst + 65)) = SUB_CPX_CPX(t4Q, t8Q);
    *((dst + 97)) = SUB_CPX_CPX(t6Q, t9Q);
    *((dst + 17)) = ADD_CPX_CPX(t5Q, s2e);
    *((dst + 49)) = ADD_CPX_CPX(t7Q, s3e);
    *((dst + 81)) = SUB_CPX_CPX(t5Q, s2e);
    *((dst + 113)) = SUB_CPX_CPX(t7Q, s3e);
    t0R = ADD_CPX_CPX(t4L, s0d);
    t1R = ADD_CPX_CPX(t6L, s1d);
    t2R = SUB_CPX_CPX(t4L, s0d);
    t3R = SUB_CPX_CPX(t6L, s1d);
    t4R = ADD_CPX_CPX(s4c, s6d);
    t5R = SUB_CPX_CPX(s5c, s7d);
    a0f = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4c, s6d));
    a1f = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5c, s7d));
    s4e = ADD_CPX_CPX(a0f, a1f);
    s5e = SUB_CPX_CPX(a1f, a0f);
    *((dst + 5)) = ADD_CPX_CPX(t0R, t4R);
    *((dst + 37)) = ADD_CPX_CPX(t2R, t5R);
    *((dst + 69)) = SUB_CPX_CPX(t0R, t4R);
    *((dst + 101)) = SUB_CPX_CPX(t2R, t5R);
    *((dst + 21)) = ADD_CPX_CPX(t1R, s4e);
    *((dst + 53)) = ADD_CPX_CPX(t3R, s5e);
    *((dst + 85)) = SUB_CPX_CPX(t1R, s4e);
    *((dst + 117)) = SUB_CPX_CPX(t3R, s5e);
    t6R = ADD_CPX_CPX(t1L, s2d);
    t7R = ADD_CPX_CPX(t3L, s3d);
    t8R = SUB_CPX_CPX(t1L, s2d);
    t9R = SUB_CPX_CPX(t3L, s3d);
    t0S = ADD_CPX_CPX(s6c, s8d);
    t1S = SUB_CPX_CPX(s7c, s9d);
    a2f = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s6c, s8d));
    a3f = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s7c, s9d));
    s6e = ADD_CPX_CPX(a2f, a3f);
    s7e = SUB_CPX_CPX(a3f, a2f);
    *((dst + 9)) = ADD_CPX_CPX(t6R, t0S);
    *((dst + 41)) = ADD_CPX_CPX(t8R, t1S);
    *((dst + 73)) = SUB_CPX_CPX(t6R, t0S);
    *((dst + 105)) = SUB_CPX_CPX(t8R, t1S);
    *((dst + 25)) = ADD_CPX_CPX(t7R, s6e);
    *((dst + 57)) = ADD_CPX_CPX(t9R, s7e);
    *((dst + 89)) = SUB_CPX_CPX(t7R, s6e);
    *((dst + 121)) = SUB_CPX_CPX(t9R, s7e);
    t2S = ADD_CPX_CPX(t5L, s4d);
    t3S = ADD_CPX_CPX(t7L, s5d);
    t4S = SUB_CPX_CPX(t5L, s4d);
    t5S = SUB_CPX_CPX(t7L, s5d);
    t6S = ADD_CPX_CPX(s8c, s0e);
    t7S = ADD_CPX_CPX(s9c, s1e);
    a4f = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s8c, s0e));
    a5f = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s9c, s1e));
    s8e = ADD_CPX_CPX(a4f, a5f);
    s9e = SUB_CPX_CPX(a5f, a4f);
    *((dst + 13)) = ADD_CPX_CPX(t2S, t6S);
    *((dst + 45)) = ADD_CPX_CPX(t4S, t7S);
    *((dst + 77)) = SUB_CPX_CPX(t2S, t6S);
    *((dst + 109)) = SUB_CPX_CPX(t4S, t7S);
    *((dst + 29)) = ADD_CPX_CPX(t3S, s8e);
    *((dst + 61)) = ADD_CPX_CPX(t5S, s9e);
    *((dst + 93)) = SUB_CPX_CPX(t3S, s8e);
    *((dst + 125)) = SUB_CPX_CPX(t5S, s9e);
    t8S = ADD_CPX_CPX(t51, s84);
    t9S = ADD_CPX_CPX(t71, s94);
    t0T = SUB_CPX_CPX(t51, s84);
    t1T = SUB_CPX_CPX(t71, s94);
    t2T = ADD_CPX_CPX(s42, s27);
    t3T = SUB_CPX_CPX(s52, s37);
    a6f = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s42, s27));
    a7f = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s52, s37));
    s0f = ADD_CPX_CPX(a6f, a7f);
    s1f = SUB_CPX_CPX(a7f, a6f);
    t4T = ADD_CPX_CPX(t8S, t2T);
    t5T = ADD_CPX_CPX(t0T, t3T);
    t6T = SUB_CPX_CPX(t8S, t2T);
    t7T = SUB_CPX_CPX(t0T, t3T);
    t8T = ADD_CPX_CPX(t9S, s0f);
    t9T = ADD_CPX_CPX(t1T, s1f);
    t0U = SUB_CPX_CPX(t9S, s0f);
    t1U = SUB_CPX_CPX(t1T, s1f);
    t2U = ADD_CPX_CPX(s6, s09);
    t3U = SUB_CPX_CPX(s7, s19);
    t4U = SUB_CPX_CPX(s6, s09);
    t5U = ADD_CPX_CPX(s7, s19);
    t6U = ADD_CPX_CPX(s45, s24);
    t7U = SUB_CPX_CPX(s55, s34);
    t8U = SUB_CPX_CPX(s45, s24);
    t9U = ADD_CPX_CPX(s55, s34);
    t0V = ADD_CPX_CPX(t2U, t6U);
    t1V = ADD_CPX_CPX(t3U, t7U);
    t2V = SUB_CPX_CPX(t2U, t6U);
    t3V = SUB_CPX_CPX(t3U, t7U);
    t4V = ADD_CPX_CPX(t4U, t9U);
    t5V = SUB_CPX_CPX(t5U, t8U);
    t6V = SUB_CPX_CPX(t4U, t9U);
    t7V = ADD_CPX_CPX(t5U, t8U);
    s2f = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t4V), MUL_FLT_CPX(C_FLT(0.19509032201612828), t5V));
    s3f = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t5V), MUL_FLT_CPX(C_FLT(0.19509032201612828), t4V));
    s4f = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t2V), MUL_FLT_CPX(C_FLT(0.38268343236508978), t3V));
    s5f = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t3V), MUL_FLT_CPX(C_FLT(0.38268343236508978), t2V));
    s6f = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t6V), MUL_FLT_CPX(C_FLT(0.55557023301960218), t7V));
    s7f = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t7V), MUL_FLT_CPX(C_FLT(0.55557023301960218), t6V));
    t8V = ADD_CPX_CPX(s21, s48);
    t9V = SUB_CPX_CPX(s31, s58);
    t0W = SUB_CPX_CPX(s21, s48);
    t1W = ADD_CPX_CPX(s31, s58);
    t2W = ADD_CPX_CPX(s06, s63);
    t3W = SUB_CPX_CPX(s16, s73);
    t4W = SUB_CPX_CPX(s06, s63);
    t5W = ADD_CPX_CPX(s16, s73);
    t6W = ADD_CPX_CPX(t8V, t2W);
    t7W = ADD_CPX_CPX(t9V, t3W);
    t8W = ADD_CPX_CPX(t0W, t5W);
    t9W = SUB_CPX_CPX(t1W, t4W);
    t0X = SUB_CPX_CPX(t0W, t5W);
    t1X = ADD_CPX_CPX(t1W, t4W);
    s8f = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t8W), MUL_FLT_CPX(C_FLT(0.38268343236508978), t9W));
    s9f = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t9W), MUL_FLT_CPX(C_FLT(0.38268343236508978), t8W));
    a8f = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8V, t2W));
    a9f = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9V, t3W));
    s0g = ADD_CPX_CPX(a8f, a9f);
    s1g = SUB_CPX_CPX(a9f, a8f);
    s2g = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t0X), MUL_FLT_CPX(C_FLT(0.92387953251128674), t1X));
    s3g = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t1X), MUL_FLT_CPX(C_FLT(0.92387953251128674), t0X));
    t2X = ADD_CPX_CPX(s81, s87);
    t3X = SUB_CPX_CPX(s91, s97);
    t4X = SUB_CPX_CPX(s81, s87);
    t5X = ADD_CPX_CPX(s91, s97);
    t6X = ADD_CPX_CPX(s66, s03);
    t7X = SUB_CPX_CPX(s76, s13);
    t8X = SUB_CPX_CPX(s66, s03);
    t9X = ADD_CPX_CPX(s76, s13);
    t0Y = ADD_CPX_CPX(t2X, t6X);
    t1Y = ADD_CPX_CPX(t3X, t7X);
    t2Y = SUB_CPX_CPX(t2X, t6X);
    t3Y = SUB_CPX_CPX(t3X, t7X);
    t4Y = ADD_CPX_CPX(t4X, t9X);
    t5Y = SUB_CPX_CPX(t5X, t8X);
    t6Y = SUB_CPX_CPX(t4X, t9X);
    t7Y = ADD_CPX_CPX(t5X, t8X);
    s4g = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t4Y), MUL_FLT_CPX(C_FLT(0.55557023301960218), t5Y));
    s5g = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t5Y), MUL_FLT_CPX(C_FLT(0.55557023301960218), t4Y));
    s6g = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t2Y), MUL_FLT_CPX(C_FLT(0.92387953251128674), t3Y));
    s7g = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t3Y), MUL_FLT_CPX(C_FLT(0.92387953251128674), t2Y));
    s8g = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t7Y), MUL_FLT_CPX(C_FLT(0.19509032201612828), t6Y));
    s9g = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t6Y), MUL_FLT_CPX(C_FLT(0.19509032201612828), t7Y));
    t8Y = ADD_CPX_CPX(t4T, t6W);
    t9Y = ADD_CPX_CPX(t6T, t7W);
    t0Z = SUB_CPX_CPX(t4T, t6W);
    t1Z = SUB_CPX_CPX(t6T, t7W);
    t2Z = ADD_CPX_CPX(t0V, t0Y);
    t3Z = SUB_CPX_CPX(t1V, t1Y);
    a0g = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0V, t0Y));
    a1g = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t1V, t1Y));
    s0h = ADD_CPX_CPX(a0g, a1g);
    s1h = SUB_CPX_CPX(a1g, a0g);
    *((dst + 2)) = ADD_CPX_CPX(t8Y, t2Z);
    *((dst + 34)) = ADD_CPX_CPX(t0Z, t3Z);
    *((dst + 66)) = SUB_CPX_CPX(t8Y, t2Z);
    *((dst + 98)) = SUB_CPX_CPX(t0Z, t3Z);
    *((dst + 18)) = ADD_CPX_CPX(t9Y, s0h);
    *((dst + 50)) = ADD_CPX_CPX(t1Z, s1h);
    *((dst + 82)) = SUB_CPX_CPX(t9Y, s0h);
    *((dst + 114)) = SUB_CPX_CPX(t1Z, s1h);
    t4Z = ADD_CPX_CPX(t8T, s8f);
    t5Z = ADD_CPX_CPX(t0U, s9f);
    t6Z = SUB_CPX_CPX(t8T, s8f);
    t7Z = SUB_CPX_CPX(t0U, s9f);
    t8Z = ADD_CPX_CPX(s2f, s4g);
    t9Z = SUB_CPX_CPX(s3f, s5g);
    a2g = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s2f, s4g));
    a3g = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s3f, s5g));
    s2h = ADD_CPX_CPX(a2g, a3g);
    s3h = SUB_CPX_CPX(a3g, a2g);
    *((dst + 6)) = ADD_CPX_CPX(t4Z, t8Z);
    *((dst + 38)) = ADD_CPX_CPX(t6Z, t9Z);
    *((dst + 70)) = SUB_CPX_CPX(t4Z, t8Z);
    *((dst + 102)) = SUB_CPX_CPX(t6Z, t9Z);
    *((dst + 22)) = ADD_CPX_CPX(t5Z, s2h);
    *((dst + 54)) = ADD_CPX_CPX(t7Z, s3h);
    *((dst + 86)) = SUB_CPX_CPX(t5Z, s2h);
    *((dst + 118)) = SUB_CPX_CPX(t7Z, s3h);
    t010 = ADD_CPX_CPX(t5T, s0g);
    t110 = ADD_CPX_CPX(t7T, s1g);
    t210 = SUB_CPX_CPX(t5T, s0g);
    t310 = SUB_CPX_CPX(t7T, s1g);
    t410 = ADD_CPX_CPX(s4f, s6g);
    t510 = SUB_CPX_CPX(s5f, s7g);
    a4g = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4f, s6g));
    a5g = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5f, s7g));
    s4h = ADD_CPX_CPX(a4g, a5g);
    s5h = SUB_CPX_CPX(a5g, a4g);
    *((dst + 10)) = ADD_CPX_CPX(t010, t410);
    *((dst + 42)) = ADD_CPX_CPX(t210, t510);
    *((dst + 74)) = SUB_CPX_CPX(t010, t410);
    *((dst + 106)) = SUB_CPX_CPX(t210, t510);
    *((dst + 26)) = ADD_CPX_CPX(t110, s4h);
    *((dst + 58)) = ADD_CPX_CPX(t310, s5h);
    *((dst + 90)) = SUB_CPX_CPX(t110, s4h);
    *((dst + 122)) = SUB_CPX_CPX(t310, s5h);
    t610 = ADD_CPX_CPX(t9T, s2g);
    t710 = ADD_CPX_CPX(t1U, s3g);
    t810 = SUB_CPX_CPX(t9T, s2g);
    t910 = SUB_CPX_CPX(t1U, s3g);
    t011 = ADD_CPX_CPX(s6f, s8g);
    t111 = ADD_CPX_CPX(s7f, s9g);
    a6g = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s6f, s8g));
    a7g = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s7f, s9g));
    s6h = ADD_CPX_CPX(a6g, a7g);
    s7h = SUB_CPX_CPX(a7g, a6g);
    *((dst + 14)) = ADD_CPX_CPX(t610, t011);
    *((dst + 46)) = ADD_CPX_CPX(t810, t111);
    *((dst + 78)) = SUB_CPX_CPX(t610, t011);
    *((dst + 110)) = SUB_CPX_CPX(t810, t111);
    *((dst + 30)) = ADD_CPX_CPX(t710, s6h);
    *((dst + 62)) = ADD_CPX_CPX(t910, s7h);
    *((dst + 94)) = SUB_CPX_CPX(t710, s6h);
    *((dst + 126)) = SUB_CPX_CPX(t910, s7h);
    t211 = ADD_CPX_CPX(t91, s05);
    t311 = ADD_CPX_CPX(t12, s15);
    t411 = SUB_CPX_CPX(t91, s05);
    t511 = SUB_CPX_CPX(t12, s15);
    t611 = ADD_CPX_CPX(s62, s47);
    t711 = ADD_CPX_CPX(s72, s57);
    a8g = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s62, s47));
    a9g = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s72, s57));
    s8h = ADD_CPX_CPX(a8g, a9g);
    s9h = SUB_CPX_CPX(a9g, a8g);
    t811 = ADD_CPX_CPX(t211, t611);
    t911 = ADD_CPX_CPX(t411, t711);
    t012 = SUB_CPX_CPX(t211, t611);
    t112 = SUB_CPX_CPX(t411, t711);
    t212 = ADD_CPX_CPX(t311, s8h);
    t312 = ADD_CPX_CPX(t511, s9h);
    t412 = SUB_CPX_CPX(t311, s8h);
    t512 = SUB_CPX_CPX(t511, s9h);
    t612 = ADD_CPX_CPX(s8, s29);
    t712 = ADD_CPX_CPX(s9, s39);
    t812 = SUB_CPX_CPX(s8, s29);
    t912 = SUB_CPX_CPX(s9, s39);
    t013 = ADD_CPX_CPX(s65, s44);
    t113 = SUB_CPX_CPX(s75, s54);
    t213 = SUB_CPX_CPX(s65, s44);
    t313 = ADD_CPX_CPX(s75, s54);
    t413 = ADD_CPX_CPX(t612, t013);
    t513 = ADD_CPX_CPX(t712, t113);
    t613 = SUB_CPX_CPX(t612, t013);
    t713 = SUB_CPX_CPX(t712, t113);
    t813 = ADD_CPX_CPX(t812, t313);
    t913 = SUB_CPX_CPX(t912, t213);
    t014 = SUB_CPX_CPX(t812, t313);
    t114 = ADD_CPX_CPX(t912, t213);
    s0i = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t813), MUL_FLT_CPX(C_FLT(0.19509032201612828), t913));
    s1i = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t913), MUL_FLT_CPX(C_FLT(0.19509032201612828), t813));
    s2i = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t613), MUL_FLT_CPX(C_FLT(0.38268343236508978), t713));
    s3i = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t713), MUL_FLT_CPX(C_FLT(0.38268343236508978), t613));
    s4i = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t014), MUL_FLT_CPX(C_FLT(0.55557023301960218), t114));
    s5i = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t114), MUL_FLT_CPX(C_FLT(0.55557023301960218), t014));
    t214 = ADD_CPX_CPX(s41, s68);
    t314 = ADD_CPX_CPX(s51, s78);
    t414 = SUB_CPX_CPX(s41, s68);
    t514 = SUB_CPX_CPX(s51, s78);
    t614 = ADD_CPX_CPX(s26, s83);
    t714 = SUB_CPX_CPX(s36, s93);
    t814 = SUB_CPX_CPX(s26, s83);
    t914 = ADD_CPX_CPX(s36, s93);
    t015 = ADD_CPX_CPX(t214, t614);
    t115 = ADD_CPX_CPX(t314, t714);
    t215 = ADD_CPX_CPX(t414, t914);
    t315 = SUB_CPX_CPX(t514, t814);
    t415 = SUB_CPX_CPX(t414, t914);
    t515 = ADD_CPX_CPX(t514, t814);
    s6i = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t215), MUL_FLT_CPX(C_FLT(0.38268343236508978), t315));
    s7i = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t315), MUL_FLT_CPX(C_FLT(0.38268343236508978), t215));
    a0h = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t214, t614));
    a1h = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t314, t714));
    s8i = ADD_CPX_CPX(a0h, a1h);
    s9i = SUB_CPX_CPX(a1h, a0h);
    s0j = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t415), MUL_FLT_CPX(C_FLT(0.92387953251128674), t515));
    s1j = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t515), MUL_FLT_CPX(C_FLT(0.92387953251128674), t415));
    t615 = ADD_CPX_CPX(s02, s08);
    t715 = ADD_CPX_CPX(s12, s18);
    t815 = SUB_CPX_CPX(s02, s08);
    t915 = SUB_CPX_CPX(s12, s18);
    t016 = ADD_CPX_CPX(s86, s23);
    t116 = ADD_CPX_CPX(s96, s33);
    t216 = SUB_CPX_CPX(s86, s23);
    t316 = SUB_CPX_CPX(s33, s96);
    t416 = ADD_CPX_CPX(t615, t016);
    t516 = SUB_CPX_CPX(t715, t116);
    t616 = SUB_CPX_CPX(t615, t016);
    t716 = ADD_CPX_CPX(t715, t116);
    t816 = ADD_CPX_CPX(t815, t316);
    t916 = SUB_CPX_CPX(t915, t216);
    t017 = SUB_CPX_CPX(t815, t316);
    t117 = ADD_CPX_CPX(t915, t216);
    s2j = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t816), MUL_FLT_CPX(C_FLT(0.55557023301960218), t916));
    s3j = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t916), MUL_FLT_CPX(C_FLT(0.55557023301960218), t816));
    s4j = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t616), MUL_FLT_CPX(C_FLT(0.92387953251128674), t716));
    s5j = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t716), MUL_FLT_CPX(C_FLT(0.92387953251128674), t616));
    s6j = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t117), MUL_FLT_CPX(C_FLT(0.19509032201612828), t017));
    s7j = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t017), MUL_FLT_CPX(C_FLT(0.19509032201612828), t117));
    t217 = ADD_CPX_CPX(t811, t015);
    t317 = ADD_CPX_CPX(t012, t115);
    t417 = SUB_CPX_CPX(t811, t015);
    t517 = SUB_CPX_CPX(t012, t115);
    t617 = ADD_CPX_CPX(t413, t416);
    t717 = SUB_CPX_CPX(t513, t516);
    a2h = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t413, t416));
    a3h = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t513, t516));
    s8j = ADD_CPX_CPX(a2h, a3h);
    s9j = SUB_CPX_CPX(a3h, a2h);
    *((dst + 3)) = ADD_CPX_CPX(t217, t617);
    *((dst + 35)) = ADD_CPX_CPX(t417, t717);
    *((dst + 67)) = SUB_CPX_CPX(t217, t617);
    *((dst + 99)) = SUB_CPX_CPX(t417, t717);
    *((dst + 19)) = ADD_CPX_CPX(t317, s8j);
    *((dst + 51)) = ADD_CPX_CPX(t517, s9j);
    *((dst + 83)) = SUB_CPX_CPX(t317, s8j);
    *((dst + 115)) = SUB_CPX_CPX(t517, s9j);
    t817 = ADD_CPX_CPX(t212, s6i);
    t917 = ADD_CPX_CPX(t412, s7i);
    t018 = SUB_CPX_CPX(t212, s6i);
    t118 = SUB_CPX_CPX(t412, s7i);
    t218 = ADD_CPX_CPX(s0i, s2j);
    t318 = SUB_CPX_CPX(s1i, s3j);
    a4h = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s0i, s2j));
    a5h = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s1i, s3j));
    s0k = ADD_CPX_CPX(a4h, a5h);
    s1k = SUB_CPX_CPX(a5h, a4h);
    *((dst + 7)) = ADD_CPX_CPX(t817, t218);
    *((dst + 39)) = ADD_CPX_CPX(t018, t318);
    *((dst + 71)) = SUB_CPX_CPX(t817, t218);
    *((dst + 103)) = SUB_CPX_CPX(t018, t318);
    *((dst + 23)) = ADD_CPX_CPX(t917, s0k);
    *((dst + 55)) = ADD_CPX_CPX(t118, s1k);
    *((dst + 87)) = SUB_CPX_CPX(t917, s0k);
    *((dst + 119)) = SUB_CPX_CPX(t118, s1k);
    t418 = ADD_CPX_CPX(t911, s8i);
    t518 = ADD_CPX_CPX(t112, s9i);
    t618 = SUB_CPX_CPX(t911, s8i);
    t718 = SUB_CPX_CPX(t112, s9i);
    t818 = ADD_CPX_CPX(s2i, s4j);
    t918 = SUB_CPX_CPX(s3i, s5j);
    a6h = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s2i, s4j));
    a7h = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s3i, s5j));
    s2k = ADD_CPX_CPX(a6h, a7h);
    s3k = SUB_CPX_CPX(a7h, a6h);
    *((dst + 11)) = ADD_CPX_CPX(t418, t818);
    *((dst + 43)) = ADD_CPX_CPX(t618, t918);
    *((dst + 75)) = SUB_CPX_CPX(t418, t818);
    *((dst + 107)) = SUB_CPX_CPX(t618, t918);
    *((dst + 27)) = ADD_CPX_CPX(t518, s2k);
    *((dst + 59)) = ADD_CPX_CPX(t718, s3k);
    *((dst + 91)) = SUB_CPX_CPX(t518, s2k);
    *((dst + 123)) = SUB_CPX_CPX(t718, s3k);
    t019 = ADD_CPX_CPX(t312, s0j);
    t119 = ADD_CPX_CPX(t512, s1j);
    t219 = SUB_CPX_CPX(t312, s0j);
    t319 = SUB_CPX_CPX(t512, s1j);
    t419 = ADD_CPX_CPX(s4i, s6j);
    t519 = ADD_CPX_CPX(s5i, s7j);
    a8h = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4i, s6j));
    a9h = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s5i, s7j));
    s4k = ADD_CPX_CPX(a8h, a9h);
    s5k = SUB_CPX_CPX(a9h, a8h);
    *((dst + 15)) = ADD_CPX_CPX(t019, t419);
    *((dst + 47)) = ADD_CPX_CPX(t219, t519);
    *((dst + 79)) = SUB_CPX_CPX(t019, t419);
    *((dst + 111)) = SUB_CPX_CPX(t219, t519);
    *((dst + 31)) = ADD_CPX_CPX(t119, s4k);
    *((dst + 63)) = ADD_CPX_CPX(t319, s5k);
    *((dst + 95)) = SUB_CPX_CPX(t119, s4k);
    *((dst + 127)) = SUB_CPX_CPX(t319, s5k);
    }
    
    return SPIRAL_OK;
    }
}

SPIRAL_PRIV(spiral_status_t, spiral_fftinv_double_256_unaligned)(const double *pSrc, double *pDst ) {
    const CPX  *src = (const CPX *) pSrc; 
    CPX        *dst = (CPX *) pDst;
    
    
    { SPIRAL_ALIGNED(CPX T[256]);
    CPX  *a03, *a04, *a13, *a14, *a24, *a25, *a34, *a35, *a42, *a43, *a44, *a45, *a52, *a53, *a54, *a55, *a62, *a63, *a64, *a65, *a72, *a73
            , *a74, *a75, *a82, *a83, *a84, *a85, *a92, *a93, *a94, *a95, *b2;
    const CPX  *b;
    FLT  *a01, *a02, *a11, *a12, *a21, *a22, *a31, *a32, *a41, *a51, *a61, *a71, *a81, *a91;
    int a5;
    CPX a, a05, a06, a15, a16, a2, a23, a26, a3, a33, a36, a4, a46, a56, a6, a66, a7, a76, a8, a9, s, s01
        , s02, s03, s04, s05, s06, s07, s08, s11, s12, s13, s14, s15, s16, s17, s18, s2, s21, s22, s23, s24, s25, s26
        , s27, s28, s3, s31, s32, s33, s34, s35, s36, s37, s38, s4, s41, s42, s43, s44, s45, s46, s47, s48, s5, s51
        , s52, s53, s54, s55, s56, s57, s58, s6, s61, s62, s63, s64, s65, s66, s67, s68, s7, s71, s72, s73, s74, s75
        , s76, s77, s78, s8, s81, s82, s83, s84, s85, s86, s87, s9, s91, s92, s93, s94, s95, s96, s97, t, t01, t02
        , t03, t04, t05, t06, t07, t08, t09, t0a, t0b, t0c, t0d, t0e, t0f, t0g, t0h, t0i, t0j, t0k, t11, t12, t13, t14
        , t15, t16, t17, t18, t19, t1a, t1b, t1c, t1d, t1e, t1f, t1g, t1h, t1i, t1j, t1k, t2, t21, t22, t23, t24, t25
        , t26, t27, t28, t29, t2a, t2b, t2c, t2d, t2e, t2f, t2g, t2h, t2i, t2j, t2k, t3, t31, t32, t33, t34, t35, t36
        , t37, t38, t39, t3a, t3b, t3c, t3d, t3e, t3f, t3g, t3h, t3i, t3j, t3k, t4, t41, t42, t43, t44, t45, t46, t47
        , t48, t49, t4a, t4b, t4c, t4d, t4e, t4f, t4g, t4h, t4i, t4j, t5, t51, t52, t53, t54, t55, t56, t57, t58, t59
        , t5a, t5b, t5c, t5d, t5e, t5f, t5g, t5h, t5i, t5j, t6, t61, t62, t63, t64, t65, t66, t67, t68, t69, t6a, t6b
        , t6c, t6d, t6e, t6f, t6g, t6h, t6i, t6j, t7, t71, t72, t73, t74, t75, t76, t77, t78, t79, t7a, t7b, t7c, t7d
        , t7e, t7f, t7g, t7h, t7i, t7j, t8, t81, t82, t83, t84, t85, t86, t87, t88, t89, t8a, t8b, t8c, t8d, t8e, t8f
        , t8g, t8h, t8i, t8j, t9, t91, t92, t93, t94, t95, t96, t97, t98, t99, t9a, t9b, t9c, t9d, t9e, t9f, t9g, t9h
        , t9i, t9j;
    s = LOADU_CPX(src);
    s2 = LOADU_CPX((src + 128));
    t = ADD_CPX_CPX(s, s2);
    t2 = SUB_CPX_CPX(s, s2);
    s3 = LOADU_CPX((src + 64));
    s4 = LOADU_CPX((src + 192));
    t3 = ADD_CPX_CPX(s3, s4);
    s5 = MUL_I_CPX(SUB_CPX_CPX(s3, s4));
    t4 = ADD_CPX_CPX(t, t3);
    t5 = SUB_CPX_CPX(t, t3);
    t6 = ADD_CPX_CPX(t2, s5);
    t7 = SUB_CPX_CPX(t2, s5);
    s6 = LOADU_CPX((src + 32));
    s7 = LOADU_CPX((src + 224));
    t8 = ADD_CPX_CPX(s6, s7);
    t9 = ADD_CPX_CPX(MUL_I_CPX(s6), MUL_NI_CPX(s7));
    s8 = LOADU_CPX((src + 160));
    s9 = LOADU_CPX((src + 96));
    t01 = ADD_CPX_CPX(s8, s9);
    t11 = ADD_CPX_CPX(MUL_I_CPX(s8), MUL_NI_CPX(s9));
    t21 = ADD_CPX_CPX(t8, t01);
    t31 = ADD_CPX_CPX(t9, t11);
    a = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8, t01));
    a2 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9, t11));
    s01 = ADD_CPX_CPX(a, a2);
    s11 = SUB_CPX_CPX(a2, a);
    t41 = ADD_CPX_CPX(t4, t21);
    t51 = ADD_CPX_CPX(t5, t31);
    t61 = SUB_CPX_CPX(t4, t21);
    t71 = SUB_CPX_CPX(t5, t31);
    t81 = ADD_CPX_CPX(t6, s01);
    t91 = ADD_CPX_CPX(t7, s11);
    t02 = SUB_CPX_CPX(t6, s01);
    t12 = SUB_CPX_CPX(t7, s11);
    s21 = LOADU_CPX((src + 16));
    s31 = LOADU_CPX((src + 240));
    t22 = ADD_CPX_CPX(s21, s31);
    t32 = ADD_CPX_CPX(MUL_I_CPX(s21), MUL_NI_CPX(s31));
    s41 = LOADU_CPX((src + 80));
    s51 = LOADU_CPX((src + 176));
    t42 = ADD_CPX_CPX(s41, s51);
    t52 = ADD_CPX_CPX(MUL_I_CPX(s41), MUL_NI_CPX(s51));
    s61 = LOADU_CPX((src + 144));
    s71 = LOADU_CPX((src + 112));
    t62 = ADD_CPX_CPX(s61, s71);
    t72 = ADD_CPX_CPX(MUL_I_CPX(s61), MUL_NI_CPX(s71));
    s81 = LOADU_CPX((src + 208));
    s91 = LOADU_CPX((src + 48));
    t82 = ADD_CPX_CPX(s81, s91);
    t92 = ADD_CPX_CPX(MUL_I_CPX(s81), MUL_NI_CPX(s91));
    t03 = ADD_CPX_CPX(t22, t62);
    t13 = ADD_CPX_CPX(t32, t72);
    t23 = SUB_CPX_CPX(t22, t62);
    t33 = SUB_CPX_CPX(t32, t72);
    t43 = ADD_CPX_CPX(t42, t82);
    t53 = ADD_CPX_CPX(t52, t92);
    t63 = SUB_CPX_CPX(t42, t82);
    t73 = SUB_CPX_CPX(t52, t92);
    t83 = ADD_CPX_CPX(t03, t43);
    t93 = ADD_CPX_CPX(t13, t53);
    t04 = ADD_CPX_CPX(t23, t73);
    t14 = SUB_CPX_CPX(t33, t63);
    t24 = SUB_CPX_CPX(t23, t73);
    t34 = ADD_CPX_CPX(t33, t63);
    s02 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t04), MUL_FLT_CPX(C_FLT(0.38268343236508978), t14));
    s12 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t14), MUL_FLT_CPX(C_FLT(0.38268343236508978), t04));
    a3 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t03, t43));
    a4 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t13, t53));
    s22 = ADD_CPX_CPX(a3, a4);
    s32 = SUB_CPX_CPX(a4, a3);
    s42 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t24), MUL_FLT_CPX(C_FLT(0.92387953251128674), t34));
    s52 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t34), MUL_FLT_CPX(C_FLT(0.92387953251128674), t24));
    *(T) = ADD_CPX_CPX(t41, t83);
    *((T + 4)) = ADD_CPX_CPX(t61, t93);
    *((T + 8)) = SUB_CPX_CPX(t41, t83);
    *((T + 12)) = SUB_CPX_CPX(t61, t93);
    *((T + 1)) = ADD_CPX_CPX(t81, s02);
    *((T + 5)) = ADD_CPX_CPX(t02, s12);
    *((T + 9)) = SUB_CPX_CPX(t81, s02);
    *((T + 13)) = SUB_CPX_CPX(t02, s12);
    *((T + 2)) = ADD_CPX_CPX(t51, s22);
    *((T + 6)) = ADD_CPX_CPX(t71, s32);
    *((T + 10)) = SUB_CPX_CPX(t51, s22);
    *((T + 14)) = SUB_CPX_CPX(t71, s32);
    *((T + 3)) = ADD_CPX_CPX(t91, s42);
    *((T + 7)) = ADD_CPX_CPX(t12, s52);
    *((T + 11)) = SUB_CPX_CPX(t91, s42);
    *((T + 15)) = SUB_CPX_CPX(t12, s52);
    {long i; for(i = 0; i <= 14; i++) {
        b = (src + i);
        s62 = LOADU_CPX((b + 1));
        a5 = (1 + i);
        s72 = LOADU_CPX((src + (256 - a5)));
        t44 = ADD_CPX_CPX(s62, s72);
        t54 = ADD_CPX_CPX(MUL_I_CPX(s62), MUL_NI_CPX(s72));
        s82 = LOADU_CPX((b + 33));
        s92 = LOADU_CPX((src + (224 - a5)));
        t64 = ADD_CPX_CPX(s82, s92);
        t74 = ADD_CPX_CPX(MUL_I_CPX(s82), MUL_NI_CPX(s92));
        s03 = LOADU_CPX((b + 65));
        s13 = LOADU_CPX((src + (192 - a5)));
        t84 = ADD_CPX_CPX(s03, s13);
        t94 = ADD_CPX_CPX(MUL_I_CPX(s03), MUL_NI_CPX(s13));
        s23 = LOADU_CPX((b + 97));
        s33 = LOADU_CPX((src + (160 - a5)));
        t05 = ADD_CPX_CPX(s23, s33);
        t15 = ADD_CPX_CPX(MUL_I_CPX(s23), MUL_NI_CPX(s33));
        s43 = LOADU_CPX((b + 129));
        s53 = LOADU_CPX((src + (128 - a5)));
        t25 = ADD_CPX_CPX(s43, s53);
        t35 = ADD_CPX_CPX(MUL_I_CPX(s43), MUL_NI_CPX(s53));
        s63 = LOADU_CPX((b + 161));
        s73 = LOADU_CPX((src + (96 - a5)));
        t45 = ADD_CPX_CPX(s63, s73);
        t55 = ADD_CPX_CPX(MUL_I_CPX(s63), MUL_NI_CPX(s73));
        s83 = LOADU_CPX((b + 193));
        s93 = LOADU_CPX((src + (64 - a5)));
        t65 = ADD_CPX_CPX(s83, s93);
        t75 = ADD_CPX_CPX(MUL_I_CPX(s83), MUL_NI_CPX(s93));
        s04 = LOADU_CPX((b + 225));
        s14 = LOADU_CPX((src + (32 - a5)));
        t85 = ADD_CPX_CPX(s04, s14);
        t95 = ADD_CPX_CPX(MUL_I_CPX(s04), MUL_NI_CPX(s14));
        t06 = ADD_CPX_CPX(t44, t25);
        t16 = ADD_CPX_CPX(t54, t35);
        t26 = SUB_CPX_CPX(t44, t25);
        t36 = SUB_CPX_CPX(t54, t35);
        t46 = ADD_CPX_CPX(t84, t65);
        t56 = ADD_CPX_CPX(t94, t75);
        t66 = SUB_CPX_CPX(t84, t65);
        t76 = SUB_CPX_CPX(t94, t75);
        t86 = ADD_CPX_CPX(t06, t46);
        t96 = ADD_CPX_CPX(t16, t56);
        t07 = SUB_CPX_CPX(t06, t46);
        t17 = SUB_CPX_CPX(t16, t56);
        t27 = ADD_CPX_CPX(t26, t76);
        t37 = SUB_CPX_CPX(t36, t66);
        t47 = SUB_CPX_CPX(t26, t76);
        t57 = ADD_CPX_CPX(t36, t66);
        t67 = ADD_CPX_CPX(t64, t85);
        t77 = ADD_CPX_CPX(t74, t95);
        t87 = SUB_CPX_CPX(t74, t95);
        t97 = SUB_CPX_CPX(t85, t64);
        t08 = ADD_CPX_CPX(t45, t05);
        t18 = ADD_CPX_CPX(t55, t15);
        t28 = SUB_CPX_CPX(t55, t15);
        t38 = SUB_CPX_CPX(t05, t45);
        s24 = ADD_CPX_CPX(t67, t08);
        s34 = ADD_CPX_CPX(t77, t18);
        s44 = ADD_CPX_CPX(t87, t28);
        s54 = ADD_CPX_CPX(t97, t38);
        a6 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t67, t08));
        a7 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t87, t28));
        t48 = ADD_CPX_CPX(a6, a7);
        a8 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t77, t18));
        a9 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t97, t38));
        t58 = ADD_CPX_CPX(a8, a9);
        t68 = SUB_CPX_CPX(a7, a6);
        t78 = SUB_CPX_CPX(a9, a8);
        s64 = ADD_CPX_CPX(t07, s44);
        s74 = ADD_CPX_CPX(t17, s54);
        s84 = SUB_CPX_CPX(t86, s24);
        s94 = SUB_CPX_CPX(t96, s34);
        s05 = SUB_CPX_CPX(t07, s44);
        s15 = SUB_CPX_CPX(t17, s54);
        s25 = ADD_CPX_CPX(t27, t48);
        s35 = ADD_CPX_CPX(t37, t58);
        s45 = ADD_CPX_CPX(t47, t68);
        s55 = ADD_CPX_CPX(t57, t78);
        s65 = SUB_CPX_CPX(t27, t48);
        s75 = SUB_CPX_CPX(t37, t58);
        s85 = SUB_CPX_CPX(t47, t68);
        s95 = SUB_CPX_CPX(t57, t78);
        b2 = (T + (16*i));
        *((b2 + 16)) = ADD_CPX_CPX(t86, s24);
        *((b2 + 24)) = ADD_CPX_CPX(t96, s34);
        a01 = (D989 + (14*i));
        a11 = (a01 + 1);
        a21 = (a01 + 2);
        a31 = (a01 + 3);
        a41 = (a01 + 4);
        a51 = (a01 + 5);
        a61 = (a01 + 6);
        a71 = (a01 + 7);
        a81 = (a01 + 8);
        a91 = (a01 + 9);
        a02 = (a01 + 10);
        a12 = (a01 + 11);
        a22 = (a01 + 12);
        a32 = (a01 + 13);
        *((b2 + 17)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a01), s25), MUL_FLT_CPX(*(a11), s35));
        *((b2 + 25)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a01), s35), MUL_FLT_CPX(*(a11), s25));
        *((b2 + 18)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a21), s64), MUL_FLT_CPX(*(a31), s74));
        *((b2 + 26)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a21), s74), MUL_FLT_CPX(*(a31), s64));
        *((b2 + 19)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a41), s45), MUL_FLT_CPX(*(a51), s55));
        *((b2 + 27)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a41), s55), MUL_FLT_CPX(*(a51), s45));
        *((b2 + 20)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a61), s84), MUL_FLT_CPX(*(a71), s94));
        *((b2 + 28)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a61), s94), MUL_FLT_CPX(*(a71), s84));
        *((b2 + 21)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a81), s65), MUL_FLT_CPX(*(a91), s75));
        *((b2 + 29)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a81), s75), MUL_FLT_CPX(*(a91), s65));
        *((b2 + 22)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a02), s05), MUL_FLT_CPX(*(a12), s15));
        *((b2 + 30)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a02), s15), MUL_FLT_CPX(*(a12), s05));
        *((b2 + 23)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a22), s85), MUL_FLT_CPX(*(a32), s95));
        *((b2 + 31)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a22), s95), MUL_FLT_CPX(*(a32), s85));
    }}
    {long i2; for(i2 = 0; i2 <= 7; i2++) {
        a42 = (T + i2);
        a52 = (a42 + 8);
        a62 = (a42 + 128);
        a72 = (a42 + 136);
        t88 = ADD_CPX_CPX(*(a42), *(a62));
        t98 = ADD_CPX_CPX(*(a52), *(a72));
        t09 = SUB_CPX_CPX(*(a42), *(a62));
        t19 = SUB_CPX_CPX(*(a52), *(a72));
        a82 = (a42 + 64);
        a92 = (a42 + 72);
        a03 = (a42 + 192);
        a13 = (a42 + 200);
        t29 = ADD_CPX_CPX(*(a82), *(a03));
        t39 = SUB_CPX_CPX(*(a92), *(a13));
        a23 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a82), *(a03)));
        a33 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(*(a92), *(a13)));
        s06 = ADD_CPX_CPX(a23, a33);
        s16 = SUB_CPX_CPX(a33, a23);
        t49 = ADD_CPX_CPX(t88, t29);
        t59 = ADD_CPX_CPX(t09, t39);
        t69 = SUB_CPX_CPX(t88, t29);
        t79 = SUB_CPX_CPX(t09, t39);
        t89 = ADD_CPX_CPX(t98, s06);
        t99 = ADD_CPX_CPX(t19, s16);
        t0a = SUB_CPX_CPX(t98, s06);
        t1a = SUB_CPX_CPX(t19, s16);
        a43 = (a42 + 16);
        a53 = (a42 + 24);
        a63 = (a42 + 240);
        a73 = (a42 + 248);
        t2a = ADD_CPX_CPX(*(a43), *(a63));
        t3a = SUB_CPX_CPX(*(a53), *(a73));
        t4a = SUB_CPX_CPX(*(a43), *(a63));
        t5a = ADD_CPX_CPX(*(a53), *(a73));
        a83 = (a42 + 144);
        a93 = (a42 + 152);
        a04 = (a42 + 112);
        a14 = (a42 + 120);
        t6a = ADD_CPX_CPX(*(a83), *(a04));
        t7a = SUB_CPX_CPX(*(a93), *(a14));
        t8a = SUB_CPX_CPX(*(a83), *(a04));
        t9a = ADD_CPX_CPX(*(a93), *(a14));
        t0b = ADD_CPX_CPX(t2a, t6a);
        t1b = ADD_CPX_CPX(t3a, t7a);
        t2b = SUB_CPX_CPX(t2a, t6a);
        t3b = SUB_CPX_CPX(t3a, t7a);
        t4b = ADD_CPX_CPX(t4a, t9a);
        t5b = SUB_CPX_CPX(t5a, t8a);
        t6b = SUB_CPX_CPX(t4a, t9a);
        t7b = ADD_CPX_CPX(t5a, t8a);
        s26 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t4b), MUL_FLT_CPX(C_FLT(0.19509032201612828), t5b));
        s36 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t5b), MUL_FLT_CPX(C_FLT(0.19509032201612828), t4b));
        s46 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t2b), MUL_FLT_CPX(C_FLT(0.38268343236508978), t3b));
        s56 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t3b), MUL_FLT_CPX(C_FLT(0.38268343236508978), t2b));
        s66 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t6b), MUL_FLT_CPX(C_FLT(0.55557023301960218), t7b));
        s76 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t7b), MUL_FLT_CPX(C_FLT(0.55557023301960218), t6b));
        a24 = (a42 + 32);
        a34 = (a42 + 40);
        a44 = (a42 + 224);
        a54 = (a42 + 232);
        t8b = ADD_CPX_CPX(*(a24), *(a44));
        t9b = SUB_CPX_CPX(*(a34), *(a54));
        t0c = SUB_CPX_CPX(*(a24), *(a44));
        t1c = ADD_CPX_CPX(*(a34), *(a54));
        a64 = (a42 + 160);
        a74 = (a42 + 168);
        a84 = (a42 + 96);
        a94 = (a42 + 104);
        t2c = ADD_CPX_CPX(*(a64), *(a84));
        t3c = SUB_CPX_CPX(*(a74), *(a94));
        t4c = SUB_CPX_CPX(*(a64), *(a84));
        t5c = ADD_CPX_CPX(*(a74), *(a94));
        t6c = ADD_CPX_CPX(t8b, t2c);
        t7c = ADD_CPX_CPX(t9b, t3c);
        t8c = ADD_CPX_CPX(t0c, t5c);
        t9c = SUB_CPX_CPX(t1c, t4c);
        t0d = SUB_CPX_CPX(t0c, t5c);
        t1d = ADD_CPX_CPX(t1c, t4c);
        s86 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t8c), MUL_FLT_CPX(C_FLT(0.38268343236508978), t9c));
        s96 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t9c), MUL_FLT_CPX(C_FLT(0.38268343236508978), t8c));
        a05 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8b, t2c));
        a15 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9b, t3c));
        s07 = ADD_CPX_CPX(a05, a15);
        s17 = SUB_CPX_CPX(a15, a05);
        s27 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t0d), MUL_FLT_CPX(C_FLT(0.92387953251128674), t1d));
        s37 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t1d), MUL_FLT_CPX(C_FLT(0.92387953251128674), t0d));
        a25 = (a42 + 48);
        a35 = (a42 + 56);
        a45 = (a42 + 208);
        a55 = (a42 + 216);
        t2d = ADD_CPX_CPX(*(a25), *(a45));
        t3d = SUB_CPX_CPX(*(a35), *(a55));
        t4d = SUB_CPX_CPX(*(a25), *(a45));
        t5d = ADD_CPX_CPX(*(a35), *(a55));
        a65 = (a42 + 176);
        a75 = (a42 + 184);
        a85 = (a42 + 80);
        a95 = (a42 + 88);
        t6d = ADD_CPX_CPX(*(a65), *(a85));
        t7d = SUB_CPX_CPX(*(a75), *(a95));
        t8d = SUB_CPX_CPX(*(a65), *(a85));
        t9d = ADD_CPX_CPX(*(a75), *(a95));
        t0e = ADD_CPX_CPX(t2d, t6d);
        t1e = ADD_CPX_CPX(t3d, t7d);
        t2e = SUB_CPX_CPX(t2d, t6d);
        t3e = SUB_CPX_CPX(t3d, t7d);
        t4e = ADD_CPX_CPX(t4d, t9d);
        t5e = SUB_CPX_CPX(t5d, t8d);
        t6e = SUB_CPX_CPX(t4d, t9d);
        t7e = ADD_CPX_CPX(t5d, t8d);
        s47 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t4e), MUL_FLT_CPX(C_FLT(0.55557023301960218), t5e));
        s57 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t5e), MUL_FLT_CPX(C_FLT(0.55557023301960218), t4e));
        s67 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t2e), MUL_FLT_CPX(C_FLT(0.92387953251128674), t3e));
        s77 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t3e), MUL_FLT_CPX(C_FLT(0.92387953251128674), t2e));
        s87 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t7e), MUL_FLT_CPX(C_FLT(0.19509032201612828), t6e));
        s97 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t6e), MUL_FLT_CPX(C_FLT(0.19509032201612828), t7e));
        t8e = ADD_CPX_CPX(t49, t6c);
        t9e = ADD_CPX_CPX(t69, t7c);
        t0f = SUB_CPX_CPX(t49, t6c);
        t1f = SUB_CPX_CPX(t69, t7c);
        t2f = ADD_CPX_CPX(t0b, t0e);
        t3f = SUB_CPX_CPX(t1b, t1e);
        a06 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0b, t0e));
        a16 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t1b, t1e));
        s08 = ADD_CPX_CPX(a06, a16);
        s18 = SUB_CPX_CPX(a16, a06);
        t4f = ADD_CPX_CPX(t8e, t2f);
        t5f = ADD_CPX_CPX(t0f, t3f);
        t6f = SUB_CPX_CPX(t8e, t2f);
        t7f = SUB_CPX_CPX(t0f, t3f);
        STOREU_CPX((dst + i2), t4f);
        STOREU_CPX((64 + dst + i2), t5f);
        STOREU_CPX((128 + dst + i2), t6f);
        STOREU_CPX((192 + dst + i2), t7f);
        t8f = ADD_CPX_CPX(t9e, s08);
        t9f = ADD_CPX_CPX(t1f, s18);
        t0g = SUB_CPX_CPX(t9e, s08);
        t1g = SUB_CPX_CPX(t1f, s18);
        STOREU_CPX((32 + dst + i2), t8f);
        STOREU_CPX((96 + dst + i2), t9f);
        STOREU_CPX((160 + dst + i2), t0g);
        STOREU_CPX((224 + dst + i2), t1g);
        t2g = ADD_CPX_CPX(t89, s86);
        t3g = ADD_CPX_CPX(t0a, s96);
        t4g = SUB_CPX_CPX(t89, s86);
        t5g = SUB_CPX_CPX(t0a, s96);
        t6g = ADD_CPX_CPX(s26, s47);
        t7g = SUB_CPX_CPX(s36, s57);
        a26 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s26, s47));
        a36 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s36, s57));
        s28 = ADD_CPX_CPX(a26, a36);
        s38 = SUB_CPX_CPX(a36, a26);
        t8g = ADD_CPX_CPX(t2g, t6g);
        t9g = ADD_CPX_CPX(t4g, t7g);
        t0h = SUB_CPX_CPX(t2g, t6g);
        t1h = SUB_CPX_CPX(t4g, t7g);
        STOREU_CPX((8 + dst + i2), t8g);
        STOREU_CPX((72 + dst + i2), t9g);
        STOREU_CPX((136 + dst + i2), t0h);
        STOREU_CPX((200 + dst + i2), t1h);
        t2h = ADD_CPX_CPX(t3g, s28);
        t3h = ADD_CPX_CPX(t5g, s38);
        t4h = SUB_CPX_CPX(t3g, s28);
        t5h = SUB_CPX_CPX(t5g, s38);
        STOREU_CPX((40 + dst + i2), t2h);
        STOREU_CPX((104 + dst + i2), t3h);
        STOREU_CPX((168 + dst + i2), t4h);
        STOREU_CPX((232 + dst + i2), t5h);
        t6h = ADD_CPX_CPX(t59, s07);
        t7h = ADD_CPX_CPX(t79, s17);
        t8h = SUB_CPX_CPX(t59, s07);
        t9h = SUB_CPX_CPX(t79, s17);
        t0i = ADD_CPX_CPX(s46, s67);
        t1i = SUB_CPX_CPX(s56, s77);
        a46 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s46, s67));
        a56 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s56, s77));
        s48 = ADD_CPX_CPX(a46, a56);
        s58 = SUB_CPX_CPX(a56, a46);
        t2i = ADD_CPX_CPX(t6h, t0i);
        t3i = ADD_CPX_CPX(t8h, t1i);
        t4i = SUB_CPX_CPX(t6h, t0i);
        t5i = SUB_CPX_CPX(t8h, t1i);
        STOREU_CPX((16 + dst + i2), t2i);
        STOREU_CPX((80 + dst + i2), t3i);
        STOREU_CPX((144 + dst + i2), t4i);
        STOREU_CPX((208 + dst + i2), t5i);
        t6i = ADD_CPX_CPX(t7h, s48);
        t7i = ADD_CPX_CPX(t9h, s58);
        t8i = SUB_CPX_CPX(t7h, s48);
        t9i = SUB_CPX_CPX(t9h, s58);
        STOREU_CPX((48 + dst + i2), t6i);
        STOREU_CPX((112 + dst + i2), t7i);
        STOREU_CPX((176 + dst + i2), t8i);
        STOREU_CPX((240 + dst + i2), t9i);
        t0j = ADD_CPX_CPX(t99, s27);
        t1j = ADD_CPX_CPX(t1a, s37);
        t2j = SUB_CPX_CPX(t99, s27);
        t3j = SUB_CPX_CPX(t1a, s37);
        t4j = ADD_CPX_CPX(s66, s87);
        t5j = ADD_CPX_CPX(s76, s97);
        a66 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s66, s87));
        a76 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s76, s97));
        s68 = ADD_CPX_CPX(a66, a76);
        s78 = SUB_CPX_CPX(a76, a66);
        t6j = ADD_CPX_CPX(t0j, t4j);
        t7j = ADD_CPX_CPX(t2j, t5j);
        t8j = SUB_CPX_CPX(t0j, t4j);
        t9j = SUB_CPX_CPX(t2j, t5j);
        STOREU_CPX((24 + dst + i2), t6j);
        STOREU_CPX((88 + dst + i2), t7j);
        STOREU_CPX((152 + dst + i2), t8j);
        STOREU_CPX((216 + dst + i2), t9j);
        t0k = ADD_CPX_CPX(t1j, s68);
        t1k = ADD_CPX_CPX(t3j, s78);
        t2k = SUB_CPX_CPX(t1j, s68);
        t3k = SUB_CPX_CPX(t3j, s78);
        STOREU_CPX((56 + dst + i2), t0k);
        STOREU_CPX((120 + dst + i2), t1k);
        STOREU_CPX((184 + dst + i2), t2k);
        STOREU_CPX((248 + dst + i2), t3k);
    }}
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_fftinv_double_256)(const double *pSrc, double *pDst ) {
    if (!is_aligned(pSrc) || !is_aligned(pDst))
       	return spiral_fftinv_double_256_unaligned(pSrc, pDst );
    else {
    const CPX  *src = (const CPX *) pSrc; 
    CPX        *dst = (CPX *) pDst;
    
    
    { SPIRAL_ALIGNED(CPX T[256]);
    CPX  *a06, *a07, *a16, *a17, *a27, *a28, *a29, *a37, *a38, *a45, *a46, *a47, *a48, *a55, *a56, *a57, *a58, *a65, *a66, *a67, *a68, *a75
            , *a76, *a77, *a78, *a85, *a86, *a87, *a88, *a95, *a96, *a97, *a98, *b2;
    const CPX  *a, *a01, *a02, *a03, *a11, *a12, *a13, *a2, *a21, *a22, *a23, *a3, *a31, *a32, *a33, *a4, *a41, *a42, *a43, *a5, *a51, *a52
            , *a53, *a6, *a61, *a62, *a7, *a71, *a72, *a82, *a92, *b;
    FLT  *a04, *a05, *a14, *a15, *a24, *a25, *a34, *a35, *a44, *a54, *a64, *a74, *a84, *a94;
    CPX a08, a09, a18, a19, a26, a36, a39, a49, a59, a63, a69, a73, a79, a8, a81, a83, a89, a9, a91, a93, s, s01
        , s02, s03, s04, s05, s11, s12, s13, s14, s15, s2, s21, s22, s23, s24, s25, s3, s31, s32, s33, s34, s35, s4
        , s41, s42, s43, s44, s45, s5, s51, s52, s53, s54, s55, s6, s61, s62, s63, s64, s7, s71, s72, s73, s74, s8
        , s81, s82, s83, s84, s9, s91, s92, s93, s94, t, t01, t02, t03, t04, t05, t06, t07, t08, t09, t0a, t0b, t0c
        , t0d, t0e, t0f, t0g, t0h, t11, t12, t13, t14, t15, t16, t17, t18, t19, t1a, t1b, t1c, t1d, t1e, t1f, t1g, t1h
        , t2, t21, t22, t23, t24, t25, t26, t27, t28, t29, t2a, t2b, t2c, t2d, t2e, t2f, t2g, t3, t31, t32, t33, t34
        , t35, t36, t37, t38, t39, t3a, t3b, t3c, t3d, t3e, t3f, t3g, t4, t41, t42, t43, t44, t45, t46, t47, t48, t49
        , t4a, t4b, t4c, t4d, t4e, t4f, t4g, t5, t51, t52, t53, t54, t55, t56, t57, t58, t59, t5a, t5b, t5c, t5d, t5e
        , t5f, t5g, t6, t61, t62, t63, t64, t65, t66, t67, t68, t69, t6a, t6b, t6c, t6d, t6e, t6f, t6g, t7, t71, t72
        , t73, t74, t75, t76, t77, t78, t79, t7a, t7b, t7c, t7d, t7e, t7f, t7g, t8, t81, t82, t83, t84, t85, t86, t87
        , t88, t89, t8a, t8b, t8c, t8d, t8e, t8f, t8g, t9, t91, t92, t93, t94, t95, t96, t97, t98, t99, t9a, t9b, t9c
        , t9d, t9e, t9f, t9g;
    a = (src + 128);
    t = ADD_CPX_CPX(*(src), *(a));
    t2 = SUB_CPX_CPX(*(src), *(a));
    a2 = (src + 64);
    a3 = (src + 192);
    t3 = ADD_CPX_CPX(*(a2), *(a3));
    s = MUL_I_CPX(SUB_CPX_CPX(*(a2), *(a3)));
    t4 = ADD_CPX_CPX(t, t3);
    t5 = SUB_CPX_CPX(t, t3);
    t6 = ADD_CPX_CPX(t2, s);
    t7 = SUB_CPX_CPX(t2, s);
    a4 = (src + 32);
    a5 = (src + 224);
    t8 = ADD_CPX_CPX(*(a4), *(a5));
    t9 = ADD_CPX_CPX(MUL_I_CPX(*(a4)), MUL_NI_CPX(*(a5)));
    a6 = (src + 160);
    a7 = (src + 96);
    t01 = ADD_CPX_CPX(*(a6), *(a7));
    t11 = ADD_CPX_CPX(MUL_I_CPX(*(a6)), MUL_NI_CPX(*(a7)));
    t21 = ADD_CPX_CPX(t8, t01);
    t31 = ADD_CPX_CPX(t9, t11);
    a8 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8, t01));
    a9 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9, t11));
    s2 = ADD_CPX_CPX(a8, a9);
    s3 = SUB_CPX_CPX(a9, a8);
    t41 = ADD_CPX_CPX(t4, t21);
    t51 = ADD_CPX_CPX(t5, t31);
    t61 = SUB_CPX_CPX(t4, t21);
    t71 = SUB_CPX_CPX(t5, t31);
    t81 = ADD_CPX_CPX(t6, s2);
    t91 = ADD_CPX_CPX(t7, s3);
    t02 = SUB_CPX_CPX(t6, s2);
    t12 = SUB_CPX_CPX(t7, s3);
    a01 = (src + 16);
    a11 = (src + 240);
    t22 = ADD_CPX_CPX(*(a01), *(a11));
    t32 = ADD_CPX_CPX(MUL_I_CPX(*(a01)), MUL_NI_CPX(*(a11)));
    a21 = (src + 80);
    a31 = (src + 176);
    t42 = ADD_CPX_CPX(*(a21), *(a31));
    t52 = ADD_CPX_CPX(MUL_I_CPX(*(a21)), MUL_NI_CPX(*(a31)));
    a41 = (src + 144);
    a51 = (src + 112);
    t62 = ADD_CPX_CPX(*(a41), *(a51));
    t72 = ADD_CPX_CPX(MUL_I_CPX(*(a41)), MUL_NI_CPX(*(a51)));
    a61 = (src + 208);
    a71 = (src + 48);
    t82 = ADD_CPX_CPX(*(a61), *(a71));
    t92 = ADD_CPX_CPX(MUL_I_CPX(*(a61)), MUL_NI_CPX(*(a71)));
    t03 = ADD_CPX_CPX(t22, t62);
    t13 = ADD_CPX_CPX(t32, t72);
    t23 = SUB_CPX_CPX(t22, t62);
    t33 = SUB_CPX_CPX(t32, t72);
    t43 = ADD_CPX_CPX(t42, t82);
    t53 = ADD_CPX_CPX(t52, t92);
    t63 = SUB_CPX_CPX(t42, t82);
    t73 = SUB_CPX_CPX(t52, t92);
    t83 = ADD_CPX_CPX(t03, t43);
    t93 = ADD_CPX_CPX(t13, t53);
    t04 = ADD_CPX_CPX(t23, t73);
    t14 = SUB_CPX_CPX(t33, t63);
    t24 = SUB_CPX_CPX(t23, t73);
    t34 = ADD_CPX_CPX(t33, t63);
    s4 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t04), MUL_FLT_CPX(C_FLT(0.38268343236508978), t14));
    s5 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t14), MUL_FLT_CPX(C_FLT(0.38268343236508978), t04));
    a81 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t03, t43));
    a91 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t13, t53));
    s6 = ADD_CPX_CPX(a81, a91);
    s7 = SUB_CPX_CPX(a91, a81);
    s8 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t24), MUL_FLT_CPX(C_FLT(0.92387953251128674), t34));
    s9 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t34), MUL_FLT_CPX(C_FLT(0.92387953251128674), t24));
    *(T) = ADD_CPX_CPX(t41, t83);
    *((T + 4)) = ADD_CPX_CPX(t61, t93);
    *((T + 8)) = SUB_CPX_CPX(t41, t83);
    *((T + 12)) = SUB_CPX_CPX(t61, t93);
    *((T + 1)) = ADD_CPX_CPX(t81, s4);
    *((T + 5)) = ADD_CPX_CPX(t02, s5);
    *((T + 9)) = SUB_CPX_CPX(t81, s4);
    *((T + 13)) = SUB_CPX_CPX(t02, s5);
    *((T + 2)) = ADD_CPX_CPX(t51, s6);
    *((T + 6)) = ADD_CPX_CPX(t71, s7);
    *((T + 10)) = SUB_CPX_CPX(t51, s6);
    *((T + 14)) = SUB_CPX_CPX(t71, s7);
    *((T + 3)) = ADD_CPX_CPX(t91, s8);
    *((T + 7)) = ADD_CPX_CPX(t12, s9);
    *((T + 11)) = SUB_CPX_CPX(t91, s8);
    *((T + 15)) = SUB_CPX_CPX(t12, s9);
    {long i; for(i = 0; i <= 14; i++) {
        b = (src + i);
        a02 = (b + 1);
        a12 = (src + (255 - i));
        t44 = ADD_CPX_CPX(*(a02), *(a12));
        t54 = ADD_CPX_CPX(MUL_I_CPX(*(a02)), MUL_NI_CPX(*(a12)));
        a22 = (b + 33);
        a32 = (src + (223 - i));
        t64 = ADD_CPX_CPX(*(a22), *(a32));
        t74 = ADD_CPX_CPX(MUL_I_CPX(*(a22)), MUL_NI_CPX(*(a32)));
        a42 = (b + 65);
        a52 = (src + (191 - i));
        t84 = ADD_CPX_CPX(*(a42), *(a52));
        t94 = ADD_CPX_CPX(MUL_I_CPX(*(a42)), MUL_NI_CPX(*(a52)));
        a62 = (b + 97);
        a72 = (src + (159 - i));
        t05 = ADD_CPX_CPX(*(a62), *(a72));
        t15 = ADD_CPX_CPX(MUL_I_CPX(*(a62)), MUL_NI_CPX(*(a72)));
        a82 = (b + 129);
        a92 = (src + (127 - i));
        t25 = ADD_CPX_CPX(*(a82), *(a92));
        t35 = ADD_CPX_CPX(MUL_I_CPX(*(a82)), MUL_NI_CPX(*(a92)));
        a03 = (b + 161);
        a13 = (src + (95 - i));
        t45 = ADD_CPX_CPX(*(a03), *(a13));
        t55 = ADD_CPX_CPX(MUL_I_CPX(*(a03)), MUL_NI_CPX(*(a13)));
        a23 = (b + 193);
        a33 = (src + (63 - i));
        t65 = ADD_CPX_CPX(*(a23), *(a33));
        t75 = ADD_CPX_CPX(MUL_I_CPX(*(a23)), MUL_NI_CPX(*(a33)));
        a43 = (b + 225);
        a53 = (src + (31 - i));
        t85 = ADD_CPX_CPX(*(a43), *(a53));
        t95 = ADD_CPX_CPX(MUL_I_CPX(*(a43)), MUL_NI_CPX(*(a53)));
        t06 = ADD_CPX_CPX(t44, t25);
        t16 = ADD_CPX_CPX(t54, t35);
        t26 = SUB_CPX_CPX(t44, t25);
        t36 = SUB_CPX_CPX(t54, t35);
        t46 = ADD_CPX_CPX(t84, t65);
        t56 = ADD_CPX_CPX(t94, t75);
        t66 = SUB_CPX_CPX(t84, t65);
        t76 = SUB_CPX_CPX(t94, t75);
        t86 = ADD_CPX_CPX(t06, t46);
        t96 = ADD_CPX_CPX(t16, t56);
        t07 = SUB_CPX_CPX(t06, t46);
        t17 = SUB_CPX_CPX(t16, t56);
        t27 = ADD_CPX_CPX(t26, t76);
        t37 = SUB_CPX_CPX(t36, t66);
        t47 = SUB_CPX_CPX(t26, t76);
        t57 = ADD_CPX_CPX(t36, t66);
        t67 = ADD_CPX_CPX(t64, t85);
        t77 = ADD_CPX_CPX(t74, t95);
        t87 = SUB_CPX_CPX(t74, t95);
        t97 = SUB_CPX_CPX(t85, t64);
        t08 = ADD_CPX_CPX(t45, t05);
        t18 = ADD_CPX_CPX(t55, t15);
        t28 = SUB_CPX_CPX(t55, t15);
        t38 = SUB_CPX_CPX(t05, t45);
        s01 = ADD_CPX_CPX(t67, t08);
        s11 = ADD_CPX_CPX(t77, t18);
        s21 = ADD_CPX_CPX(t87, t28);
        s31 = ADD_CPX_CPX(t97, t38);
        a63 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t67, t08));
        a73 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t87, t28));
        t48 = ADD_CPX_CPX(a63, a73);
        a83 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t77, t18));
        a93 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t97, t38));
        t58 = ADD_CPX_CPX(a83, a93);
        t68 = SUB_CPX_CPX(a73, a63);
        t78 = SUB_CPX_CPX(a93, a83);
        s41 = ADD_CPX_CPX(t07, s21);
        s51 = ADD_CPX_CPX(t17, s31);
        s61 = SUB_CPX_CPX(t86, s01);
        s71 = SUB_CPX_CPX(t96, s11);
        s81 = SUB_CPX_CPX(t07, s21);
        s91 = SUB_CPX_CPX(t17, s31);
        s02 = ADD_CPX_CPX(t27, t48);
        s12 = ADD_CPX_CPX(t37, t58);
        s22 = ADD_CPX_CPX(t47, t68);
        s32 = ADD_CPX_CPX(t57, t78);
        s42 = SUB_CPX_CPX(t27, t48);
        s52 = SUB_CPX_CPX(t37, t58);
        s62 = SUB_CPX_CPX(t47, t68);
        s72 = SUB_CPX_CPX(t57, t78);
        b2 = (T + (16*i));
        *((b2 + 16)) = ADD_CPX_CPX(t86, s01);
        *((b2 + 24)) = ADD_CPX_CPX(t96, s11);
        a04 = (D989 + (14*i));
        a14 = (a04 + 1);
        a24 = (a04 + 2);
        a34 = (a04 + 3);
        a44 = (a04 + 4);
        a54 = (a04 + 5);
        a64 = (a04 + 6);
        a74 = (a04 + 7);
        a84 = (a04 + 8);
        a94 = (a04 + 9);
        a05 = (a04 + 10);
        a15 = (a04 + 11);
        a25 = (a04 + 12);
        a35 = (a04 + 13);
        *((b2 + 17)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a04), s02), MUL_FLT_CPX(*(a14), s12));
        *((b2 + 25)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a04), s12), MUL_FLT_CPX(*(a14), s02));
        *((b2 + 18)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a24), s41), MUL_FLT_CPX(*(a34), s51));
        *((b2 + 26)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a24), s51), MUL_FLT_CPX(*(a34), s41));
        *((b2 + 19)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a44), s22), MUL_FLT_CPX(*(a54), s32));
        *((b2 + 27)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a44), s32), MUL_FLT_CPX(*(a54), s22));
        *((b2 + 20)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a64), s61), MUL_FLT_CPX(*(a74), s71));
        *((b2 + 28)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a64), s71), MUL_FLT_CPX(*(a74), s61));
        *((b2 + 21)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a84), s42), MUL_FLT_CPX(*(a94), s52));
        *((b2 + 29)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a84), s52), MUL_FLT_CPX(*(a94), s42));
        *((b2 + 22)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a05), s81), MUL_FLT_CPX(*(a15), s91));
        *((b2 + 30)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a05), s91), MUL_FLT_CPX(*(a15), s81));
        *((b2 + 23)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a25), s62), MUL_FLT_CPX(*(a35), s72));
        *((b2 + 31)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a25), s72), MUL_FLT_CPX(*(a35), s62));
    }}
    {long i2; for(i2 = 0; i2 <= 7; i2++) {
        a45 = (T + i2);
        a55 = (a45 + 8);
        a65 = (a45 + 128);
        a75 = (a45 + 136);
        t88 = ADD_CPX_CPX(*(a45), *(a65));
        t98 = ADD_CPX_CPX(*(a55), *(a75));
        t09 = SUB_CPX_CPX(*(a45), *(a65));
        t19 = SUB_CPX_CPX(*(a55), *(a75));
        a85 = (a45 + 64);
        a95 = (a45 + 72);
        a06 = (a45 + 192);
        a16 = (a45 + 200);
        t29 = ADD_CPX_CPX(*(a85), *(a06));
        t39 = SUB_CPX_CPX(*(a95), *(a16));
        a26 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a85), *(a06)));
        a36 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(*(a95), *(a16)));
        s82 = ADD_CPX_CPX(a26, a36);
        s92 = SUB_CPX_CPX(a36, a26);
        t49 = ADD_CPX_CPX(t88, t29);
        t59 = ADD_CPX_CPX(t09, t39);
        t69 = SUB_CPX_CPX(t88, t29);
        t79 = SUB_CPX_CPX(t09, t39);
        t89 = ADD_CPX_CPX(t98, s82);
        t99 = ADD_CPX_CPX(t19, s92);
        t0a = SUB_CPX_CPX(t98, s82);
        t1a = SUB_CPX_CPX(t19, s92);
        a46 = (a45 + 16);
        a56 = (a45 + 24);
        a66 = (a45 + 240);
        a76 = (a45 + 248);
        t2a = ADD_CPX_CPX(*(a46), *(a66));
        t3a = SUB_CPX_CPX(*(a56), *(a76));
        t4a = SUB_CPX_CPX(*(a46), *(a66));
        t5a = ADD_CPX_CPX(*(a56), *(a76));
        a86 = (a45 + 144);
        a96 = (a45 + 152);
        a07 = (a45 + 112);
        a17 = (a45 + 120);
        t6a = ADD_CPX_CPX(*(a86), *(a07));
        t7a = SUB_CPX_CPX(*(a96), *(a17));
        t8a = SUB_CPX_CPX(*(a86), *(a07));
        t9a = ADD_CPX_CPX(*(a96), *(a17));
        t0b = ADD_CPX_CPX(t2a, t6a);
        t1b = ADD_CPX_CPX(t3a, t7a);
        t2b = SUB_CPX_CPX(t2a, t6a);
        t3b = SUB_CPX_CPX(t3a, t7a);
        t4b = ADD_CPX_CPX(t4a, t9a);
        t5b = SUB_CPX_CPX(t5a, t8a);
        t6b = SUB_CPX_CPX(t4a, t9a);
        t7b = ADD_CPX_CPX(t5a, t8a);
        s03 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t4b), MUL_FLT_CPX(C_FLT(0.19509032201612828), t5b));
        s13 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t5b), MUL_FLT_CPX(C_FLT(0.19509032201612828), t4b));
        s23 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t2b), MUL_FLT_CPX(C_FLT(0.38268343236508978), t3b));
        s33 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t3b), MUL_FLT_CPX(C_FLT(0.38268343236508978), t2b));
        s43 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t6b), MUL_FLT_CPX(C_FLT(0.55557023301960218), t7b));
        s53 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t7b), MUL_FLT_CPX(C_FLT(0.55557023301960218), t6b));
        a27 = (a45 + 32);
        a37 = (a45 + 40);
        a47 = (a45 + 224);
        a57 = (a45 + 232);
        t8b = ADD_CPX_CPX(*(a27), *(a47));
        t9b = SUB_CPX_CPX(*(a37), *(a57));
        t0c = SUB_CPX_CPX(*(a27), *(a47));
        t1c = ADD_CPX_CPX(*(a37), *(a57));
        a67 = (a45 + 160);
        a77 = (a45 + 168);
        a87 = (a45 + 96);
        a97 = (a45 + 104);
        t2c = ADD_CPX_CPX(*(a67), *(a87));
        t3c = SUB_CPX_CPX(*(a77), *(a97));
        t4c = SUB_CPX_CPX(*(a67), *(a87));
        t5c = ADD_CPX_CPX(*(a77), *(a97));
        t6c = ADD_CPX_CPX(t8b, t2c);
        t7c = ADD_CPX_CPX(t9b, t3c);
        t8c = ADD_CPX_CPX(t0c, t5c);
        t9c = SUB_CPX_CPX(t1c, t4c);
        t0d = SUB_CPX_CPX(t0c, t5c);
        t1d = ADD_CPX_CPX(t1c, t4c);
        s63 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t8c), MUL_FLT_CPX(C_FLT(0.38268343236508978), t9c));
        s73 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t9c), MUL_FLT_CPX(C_FLT(0.38268343236508978), t8c));
        a08 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8b, t2c));
        a18 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9b, t3c));
        s83 = ADD_CPX_CPX(a08, a18);
        s93 = SUB_CPX_CPX(a18, a08);
        s04 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t0d), MUL_FLT_CPX(C_FLT(0.92387953251128674), t1d));
        s14 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t1d), MUL_FLT_CPX(C_FLT(0.92387953251128674), t0d));
        a28 = (a45 + 48);
        a38 = (a45 + 56);
        a48 = (a45 + 208);
        a58 = (a45 + 216);
        t2d = ADD_CPX_CPX(*(a28), *(a48));
        t3d = SUB_CPX_CPX(*(a38), *(a58));
        t4d = SUB_CPX_CPX(*(a28), *(a48));
        t5d = ADD_CPX_CPX(*(a38), *(a58));
        a68 = (a45 + 176);
        a78 = (a45 + 184);
        a88 = (a45 + 80);
        a98 = (a45 + 88);
        t6d = ADD_CPX_CPX(*(a68), *(a88));
        t7d = SUB_CPX_CPX(*(a78), *(a98));
        t8d = SUB_CPX_CPX(*(a68), *(a88));
        t9d = ADD_CPX_CPX(*(a78), *(a98));
        t0e = ADD_CPX_CPX(t2d, t6d);
        t1e = ADD_CPX_CPX(t3d, t7d);
        t2e = SUB_CPX_CPX(t2d, t6d);
        t3e = SUB_CPX_CPX(t3d, t7d);
        t4e = ADD_CPX_CPX(t4d, t9d);
        t5e = SUB_CPX_CPX(t5d, t8d);
        t6e = SUB_CPX_CPX(t4d, t9d);
        t7e = ADD_CPX_CPX(t5d, t8d);
        s24 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t4e), MUL_FLT_CPX(C_FLT(0.55557023301960218), t5e));
        s34 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t5e), MUL_FLT_CPX(C_FLT(0.55557023301960218), t4e));
        s44 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t2e), MUL_FLT_CPX(C_FLT(0.92387953251128674), t3e));
        s54 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t3e), MUL_FLT_CPX(C_FLT(0.92387953251128674), t2e));
        s64 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t7e), MUL_FLT_CPX(C_FLT(0.19509032201612828), t6e));
        s74 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t6e), MUL_FLT_CPX(C_FLT(0.19509032201612828), t7e));
        t8e = ADD_CPX_CPX(t49, t6c);
        t9e = ADD_CPX_CPX(t69, t7c);
        t0f = SUB_CPX_CPX(t49, t6c);
        t1f = SUB_CPX_CPX(t69, t7c);
        t2f = ADD_CPX_CPX(t0b, t0e);
        t3f = SUB_CPX_CPX(t1b, t1e);
        a09 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0b, t0e));
        a19 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t1b, t1e));
        s84 = ADD_CPX_CPX(a09, a19);
        s94 = SUB_CPX_CPX(a19, a09);
        a29 = (dst + i2);
        *(a29) = ADD_CPX_CPX(t8e, t2f);
        *((a29 + 64)) = ADD_CPX_CPX(t0f, t3f);
        *((a29 + 128)) = SUB_CPX_CPX(t8e, t2f);
        *((a29 + 192)) = SUB_CPX_CPX(t0f, t3f);
        *((a29 + 32)) = ADD_CPX_CPX(t9e, s84);
        *((a29 + 96)) = ADD_CPX_CPX(t1f, s94);
        *((a29 + 160)) = SUB_CPX_CPX(t9e, s84);
        *((a29 + 224)) = SUB_CPX_CPX(t1f, s94);
        t4f = ADD_CPX_CPX(t89, s63);
        t5f = ADD_CPX_CPX(t0a, s73);
        t6f = SUB_CPX_CPX(t89, s63);
        t7f = SUB_CPX_CPX(t0a, s73);
        t8f = ADD_CPX_CPX(s03, s24);
        t9f = SUB_CPX_CPX(s13, s34);
        a39 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s03, s24));
        a49 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s13, s34));
        s05 = ADD_CPX_CPX(a39, a49);
        s15 = SUB_CPX_CPX(a49, a39);
        *((a29 + 8)) = ADD_CPX_CPX(t4f, t8f);
        *((a29 + 72)) = ADD_CPX_CPX(t6f, t9f);
        *((a29 + 136)) = SUB_CPX_CPX(t4f, t8f);
        *((a29 + 200)) = SUB_CPX_CPX(t6f, t9f);
        *((a29 + 40)) = ADD_CPX_CPX(t5f, s05);
        *((a29 + 104)) = ADD_CPX_CPX(t7f, s15);
        *((a29 + 168)) = SUB_CPX_CPX(t5f, s05);
        *((a29 + 232)) = SUB_CPX_CPX(t7f, s15);
        t0g = ADD_CPX_CPX(t59, s83);
        t1g = ADD_CPX_CPX(t79, s93);
        t2g = SUB_CPX_CPX(t59, s83);
        t3g = SUB_CPX_CPX(t79, s93);
        t4g = ADD_CPX_CPX(s23, s44);
        t5g = SUB_CPX_CPX(s33, s54);
        a59 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s23, s44));
        a69 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s33, s54));
        s25 = ADD_CPX_CPX(a59, a69);
        s35 = SUB_CPX_CPX(a69, a59);
        *((a29 + 16)) = ADD_CPX_CPX(t0g, t4g);
        *((a29 + 80)) = ADD_CPX_CPX(t2g, t5g);
        *((a29 + 144)) = SUB_CPX_CPX(t0g, t4g);
        *((a29 + 208)) = SUB_CPX_CPX(t2g, t5g);
        *((a29 + 48)) = ADD_CPX_CPX(t1g, s25);
        *((a29 + 112)) = ADD_CPX_CPX(t3g, s35);
        *((a29 + 176)) = SUB_CPX_CPX(t1g, s25);
        *((a29 + 240)) = SUB_CPX_CPX(t3g, s35);
        t6g = ADD_CPX_CPX(t99, s04);
        t7g = ADD_CPX_CPX(t1a, s14);
        t8g = SUB_CPX_CPX(t99, s04);
        t9g = SUB_CPX_CPX(t1a, s14);
        t0h = ADD_CPX_CPX(s43, s64);
        t1h = ADD_CPX_CPX(s53, s74);
        a79 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s43, s64));
        a89 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s53, s74));
        s45 = ADD_CPX_CPX(a79, a89);
        s55 = SUB_CPX_CPX(a89, a79);
        *((a29 + 24)) = ADD_CPX_CPX(t6g, t0h);
        *((a29 + 88)) = ADD_CPX_CPX(t8g, t1h);
        *((a29 + 152)) = SUB_CPX_CPX(t6g, t0h);
        *((a29 + 216)) = SUB_CPX_CPX(t8g, t1h);
        *((a29 + 56)) = ADD_CPX_CPX(t7g, s45);
        *((a29 + 120)) = ADD_CPX_CPX(t9g, s55);
        *((a29 + 184)) = SUB_CPX_CPX(t7g, s45);
        *((a29 + 248)) = SUB_CPX_CPX(t9g, s55);
    }}
    }
    
    return SPIRAL_OK;
    }
}

SPIRAL_PRIV(spiral_status_t, spiral_fftinv_double_512_unaligned)(const double *pSrc, double *pDst ) {
    const CPX  *src = (const CPX *) pSrc; 
    CPX        *dst = (CPX *) pDst;
    
    
    { SPIRAL_ALIGNED(CPX T[512]);
    CPX  *a01, *a02, *a04, *a06, *a08, *a0a, *a0c, *a0e, *a0g, *a11, *a12, *a14, *a16, *a18, *a1a, *a1c, *a1e, *a1g, *a21, *a23, *a24, *a25
            , *a26, *a27, *a28, *a29, *a2a, *a2c, *a2e, *a2g, *a31, *a33, *a34, *a35, *a36, *a37, *a38, *a39, *a3a, *a3c, *a3e, *a3g, *a41, *a42
            , *a43, *a44, *a45, *a46, *a47, *a48, *a49, *a4a, *a4b, *a4c, *a4d, *a4e, *a4f, *a4g, *a51, *a52, *a53, *a54, *a55, *a56, *a57, *a58
            , *a59, *a5a, *a5b, *a5c, *a5d, *a5e, *a5f, *a5g, *a61, *a62, *a63, *a64, *a65, *a66, *a67, *a68, *a69, *a6a, *a6b, *a6c, *a6d, *a6e
            , *a6f, *a6g, *a71, *a72, *a73, *a74, *a75, *a76, *a77, *a78, *a79, *a7a, *a7b, *a7c, *a7d, *a7e, *a7f, *a7g, *a81, *a83, *a85, *a87
            , *a89, *a8b, *a8c, *a8d, *a8e, *a8f, *a8g, *a91, *a93, *a95, *a97, *a99, *a9b, *a9c, *a9d, *a9e, *a9f, *a9g, *b2;
    const CPX  *b;
    FLT  *a4, *a5, *a6, *a7, *a8, *a9;
    int a3;
    CPX a, a03, a05, a07, a09, a0b, a0d, a0f, a0h, a0i, a0j, a0k, a0l, a0m, a13, a15, a17, a19, a1b, a1d, a1f, a1h
        , a1i, a1j, a1k, a1l, a1m, a2, a22, a2b, a2d, a2f, a2h, a2i, a2j, a2k, a2l, a32, a3b, a3d, a3f, a3h, a3i, a3j
        , a3k, a3l, a4h, a4i, a4j, a4k, a4l, a5h, a5i, a5j, a5k, a5l, a6h, a6i, a6j, a6k, a6l, a7h, a7i, a7j, a7k, a7l
        , a82, a84, a86, a88, a8a, a8h, a8i, a8j, a8k, a8l, a92, a94, a96, a98, a9a, a9h, a9i, a9j, a9k, a9l, s, s01
        , s02, s03, s04, s05, s06, s07, s08, s09, s0a, s0b, s0c, s0d, s0e, s0f, s0g, s0h, s0i, s0j, s0k, s0l, s0m, s0n
        , s0o, s0p, s0q, s0r, s0s, s0t, s0u, s0v, s0w, s0x, s0y, s11, s12, s13, s14, s15, s16, s17, s18, s19, s1a, s1b
        , s1c, s1d, s1e, s1f, s1g, s1h, s1i, s1j, s1k, s1l, s1m, s1n, s1o, s1p, s1q, s1r, s1s, s1t, s1u, s1v, s1w, s1x
        , s1y, s2, s21, s22, s23, s24, s25, s26, s27, s28, s29, s2a, s2b, s2c, s2d, s2e, s2f, s2g, s2h, s2i, s2j, s2k
        , s2l, s2m, s2n, s2o, s2p, s2q, s2r, s2s, s2t, s2u, s2v, s2w, s2x, s2y, s3, s31, s32, s33, s34, s35, s36, s37
        , s38, s39, s3a, s3b, s3c, s3d, s3e, s3f, s3g, s3h, s3i, s3j, s3k, s3l, s3m, s3n, s3o, s3p, s3q, s3r, s3s, s3t
        , s3u, s3v, s3w, s3x, s3y, s4, s41, s42, s43, s44, s45, s46, s47, s48, s49, s4a, s4b, s4c, s4d, s4e, s4f, s4g
        , s4h, s4i, s4j, s4k, s4l, s4m, s4n, s4o, s4p, s4q, s4r, s4s, s4t, s4u, s4v, s4w, s4x, s4y, s5, s51, s52, s53
        , s54, s55, s56, s57, s58, s59, s5a, s5b, s5c, s5d, s5e, s5f, s5g, s5h, s5i, s5j, s5k, s5l, s5m, s5n, s5o, s5p
        , s5q, s5r, s5s, s5t, s5u, s5v, s5w, s5x, s5y, s6, s61, s62, s63, s64, s65, s66, s67, s68, s69, s6a, s6b, s6c
        , s6d, s6e, s6f, s6g, s6h, s6i, s6j, s6k, s6l, s6m, s6n, s6o, s6p, s6q, s6r, s6s, s6t, s6u, s6v, s6w, s6x, s7
        , s71, s72, s73, s74, s75, s76, s77, s78, s79, s7a, s7b, s7c, s7d, s7e, s7f, s7g, s7h, s7i, s7j, s7k, s7l, s7m
        , s7n, s7o, s7p, s7q, s7r, s7s, s7t, s7u, s7v, s7w, s7x, s8, s81, s82, s83, s84, s85, s86, s87, s88, s89, s8a
        , s8b, s8c, s8d, s8e, s8f, s8g, s8h, s8i, s8j, s8k, s8l, s8m, s8n, s8o, s8p, s8q, s8r, s8s, s8t, s8u, s8v, s8w
        , s8x, s9, s91, s92, s93, s94, s95, s96, s97, s98, s99, s9a, s9b, s9c, s9d, s9e, s9f, s9g, s9h, s9i, s9j, s9k
        , s9l, s9m, s9n, s9o, s9p, s9q, s9r, s9s, s9t, s9u, s9v, s9w, s9x, t, t01, t02, t03, t04, t05, t06, t07, t08
        , t09, t0A, t0B, t0C, t0D, t0E, t0F, t0G, t0H, t0I, t0J, t0K, t0L, t0M, t0N, t0O, t0P, t0Q, t0R, t0S, t0T, t0U
        , t0V, t0W, t0X, t0Y, t0a, t0b, t0c, t0d, t0e, t0f, t0g, t0h, t0i, t0j, t0k, t0l, t0m, t0n, t0o, t0p, t0q, t0r
        , t0s, t0t, t0u, t0v, t0w, t0x, t0y, t0z, t11, t12, t13, t14, t15, t16, t17, t18, t19, t1A, t1B, t1C, t1D, t1E
        , t1F, t1G, t1H, t1I, t1J, t1K, t1L, t1M, t1N, t1O, t1P, t1Q, t1R, t1S, t1T, t1U, t1V, t1W, t1X, t1Y, t1a, t1b
        , t1c, t1d, t1e, t1f, t1g, t1h, t1i, t1j, t1k, t1l, t1m, t1n, t1o, t1p, t1q, t1r, t1s, t1t, t1u, t1v, t1w, t1x
        , t1y, t1z, t2, t21, t22, t23, t24, t25, t26, t27, t28, t29, t2A, t2B, t2C, t2D, t2E, t2F, t2G, t2H, t2I, t2J
        , t2K, t2L, t2M, t2N, t2O, t2P, t2Q, t2R, t2S, t2T, t2U, t2V, t2W, t2X, t2Y, t2a, t2b, t2c, t2d, t2e, t2f, t2g
        , t2h, t2i, t2j, t2k, t2l, t2m, t2n, t2o, t2p, t2q, t2r, t2s, t2t, t2u, t2v, t2w, t2x, t2y, t2z, t3, t31, t32
        , t33, t34, t35, t36, t37, t38, t39, t3A, t3B, t3C, t3D, t3E, t3F, t3G, t3H, t3I, t3J, t3K, t3L, t3M, t3N, t3O
        , t3P, t3Q, t3R, t3S, t3T, t3U, t3V, t3W, t3X, t3Y, t3a, t3b, t3c, t3d, t3e, t3f, t3g, t3h, t3i, t3j, t3k, t3l
        , t3m, t3n, t3o, t3p, t3q, t3r, t3s, t3t, t3u, t3v, t3w, t3x, t3y, t3z, t4, t41, t42, t43, t44, t45, t46, t47
        , t48, t49, t4A, t4B, t4C, t4D, t4E, t4F, t4G, t4H, t4I, t4J, t4K, t4L, t4M, t4N, t4O, t4P, t4Q, t4R, t4S, t4T
        , t4U, t4V, t4W, t4X, t4Y, t4a, t4b, t4c, t4d, t4e, t4f, t4g, t4h, t4i, t4j, t4k, t4l, t4m, t4n, t4o, t4p, t4q
        , t4r, t4s, t4t, t4u, t4v, t4w, t4x, t4y, t4z, t5, t51, t52, t53, t54, t55, t56, t57, t58, t59, t5A, t5B, t5C
        , t5D, t5E, t5F, t5G, t5H, t5I, t5J, t5K, t5L, t5M, t5N, t5O, t5P, t5Q, t5R, t5S, t5T, t5U, t5V, t5W, t5X, t5Y
        , t5a, t5b, t5c, t5d, t5e, t5f, t5g, t5h, t5i, t5j, t5k, t5l, t5m, t5n, t5o, t5p, t5q, t5r, t5s, t5t, t5u, t5v
        , t5w, t5x, t5y, t5z, t6, t61, t62, t63, t64, t65, t66, t67, t68, t69, t6A, t6B, t6C, t6D, t6E, t6F, t6G, t6H
        , t6I, t6J, t6K, t6L, t6M, t6N, t6O, t6P, t6Q, t6R, t6S, t6T, t6U, t6V, t6W, t6X, t6Y, t6a, t6b, t6c, t6d, t6e
        , t6f, t6g, t6h, t6i, t6j, t6k, t6l, t6m, t6n, t6o, t6p, t6q, t6r, t6s, t6t, t6u, t6v, t6w, t6x, t6y, t6z, t7
        , t71, t72, t73, t74, t75, t76, t77, t78, t79, t7A, t7B, t7C, t7D, t7E, t7F, t7G, t7H, t7I, t7J, t7K, t7L, t7M
        , t7N, t7O, t7P, t7Q, t7R, t7S, t7T, t7U, t7V, t7W, t7X, t7Y, t7a, t7b, t7c, t7d, t7e, t7f, t7g, t7h, t7i, t7j
        , t7k, t7l, t7m, t7n, t7o, t7p, t7q, t7r, t7s, t7t, t7u, t7v, t7w, t7x, t7y, t7z, t8, t81, t82, t83, t84, t85
        , t86, t87, t88, t89, t8A, t8B, t8C, t8D, t8E, t8F, t8G, t8H, t8I, t8J, t8K, t8L, t8M, t8N, t8O, t8P, t8Q, t8R
        , t8S, t8T, t8U, t8V, t8W, t8X, t8Y, t8a, t8b, t8c, t8d, t8e, t8f, t8g, t8h, t8i, t8j, t8k, t8l, t8m, t8n, t8o
        , t8p, t8q, t8r, t8s, t8t, t8u, t8v, t8w, t8x, t8y, t8z, t9, t91, t92, t93, t94, t95, t96, t97, t98, t99, t9A
        , t9B, t9C, t9D, t9E, t9F, t9G, t9H, t9I, t9J, t9K, t9L, t9M, t9N, t9O, t9P, t9Q, t9R, t9S, t9T, t9U, t9V, t9W
        , t9X, t9Y, t9a, t9b, t9c, t9d, t9e, t9f, t9g, t9h, t9i, t9j, t9k, t9l, t9m, t9n, t9o, t9p, t9q, t9r, t9s, t9t
        , t9u, t9v, t9w, t9x, t9y, t9z;
    s = LOADU_CPX(src);
    s2 = LOADU_CPX((src + 256));
    t = ADD_CPX_CPX(s, s2);
    t2 = SUB_CPX_CPX(s, s2);
    s3 = LOADU_CPX((src + 128));
    s4 = LOADU_CPX((src + 384));
    t3 = ADD_CPX_CPX(s3, s4);
    s5 = MUL_I_CPX(SUB_CPX_CPX(s3, s4));
    t4 = ADD_CPX_CPX(t, t3);
    t5 = SUB_CPX_CPX(t, t3);
    t6 = ADD_CPX_CPX(t2, s5);
    t7 = SUB_CPX_CPX(t2, s5);
    s6 = LOADU_CPX((src + 64));
    s7 = LOADU_CPX((src + 448));
    t8 = ADD_CPX_CPX(s6, s7);
    t9 = ADD_CPX_CPX(MUL_I_CPX(s6), MUL_NI_CPX(s7));
    s8 = LOADU_CPX((src + 320));
    s9 = LOADU_CPX((src + 192));
    t01 = ADD_CPX_CPX(s8, s9);
    t11 = ADD_CPX_CPX(MUL_I_CPX(s8), MUL_NI_CPX(s9));
    t21 = ADD_CPX_CPX(t8, t01);
    t31 = ADD_CPX_CPX(t9, t11);
    a = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8, t01));
    a2 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9, t11));
    s01 = ADD_CPX_CPX(a, a2);
    s11 = SUB_CPX_CPX(a2, a);
    *(T) = ADD_CPX_CPX(t4, t21);
    *((T + 2)) = ADD_CPX_CPX(t5, t31);
    *((T + 4)) = SUB_CPX_CPX(t4, t21);
    *((T + 6)) = SUB_CPX_CPX(t5, t31);
    *((T + 1)) = ADD_CPX_CPX(t6, s01);
    *((T + 3)) = ADD_CPX_CPX(t7, s11);
    *((T + 5)) = SUB_CPX_CPX(t6, s01);
    *((T + 7)) = SUB_CPX_CPX(t7, s11);
    {long i; for(i = 0; i <= 62; i++) {
        b = (src + i);
        s21 = LOADU_CPX((b + 1));
        a3 = (1 + i);
        s31 = LOADU_CPX((src + (512 - a3)));
        t41 = ADD_CPX_CPX(s21, s31);
        t51 = ADD_CPX_CPX(MUL_I_CPX(s21), MUL_NI_CPX(s31));
        s41 = LOADU_CPX((b + 129));
        s51 = LOADU_CPX((src + (384 - a3)));
        t61 = ADD_CPX_CPX(s41, s51);
        t71 = ADD_CPX_CPX(MUL_I_CPX(s41), MUL_NI_CPX(s51));
        s61 = LOADU_CPX((b + 257));
        s71 = LOADU_CPX((src + (256 - a3)));
        t81 = ADD_CPX_CPX(s61, s71);
        t91 = ADD_CPX_CPX(MUL_I_CPX(s61), MUL_NI_CPX(s71));
        s81 = LOADU_CPX((b + 385));
        s91 = LOADU_CPX((src + (128 - a3)));
        t02 = ADD_CPX_CPX(s81, s91);
        t12 = ADD_CPX_CPX(MUL_I_CPX(s81), MUL_NI_CPX(s91));
        t22 = ADD_CPX_CPX(t41, t81);
        t32 = ADD_CPX_CPX(t51, t91);
        t42 = SUB_CPX_CPX(t41, t81);
        t52 = SUB_CPX_CPX(t51, t91);
        t62 = ADD_CPX_CPX(t61, t02);
        t72 = ADD_CPX_CPX(t71, t12);
        t82 = SUB_CPX_CPX(t61, t02);
        t92 = SUB_CPX_CPX(t71, t12);
        t03 = SUB_CPX_CPX(t22, t62);
        t13 = SUB_CPX_CPX(t32, t72);
        t23 = ADD_CPX_CPX(t42, t92);
        t33 = SUB_CPX_CPX(t52, t82);
        t43 = SUB_CPX_CPX(t42, t92);
        t53 = ADD_CPX_CPX(t52, t82);
        b2 = (T + (8*i));
        *((b2 + 8)) = ADD_CPX_CPX(t22, t62);
        *((b2 + 12)) = ADD_CPX_CPX(t32, t72);
        a4 = (D992 + (6*i));
        a5 = (a4 + 1);
        a6 = (a4 + 2);
        a7 = (a4 + 3);
        a8 = (a4 + 4);
        a9 = (a4 + 5);
        *((b2 + 9)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a4), t23), MUL_FLT_CPX(*(a5), t33));
        *((b2 + 13)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a4), t33), MUL_FLT_CPX(*(a5), t23));
        *((b2 + 10)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a6), t03), MUL_FLT_CPX(*(a7), t13));
        *((b2 + 14)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a6), t13), MUL_FLT_CPX(*(a7), t03));
        *((b2 + 11)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a8), t43), MUL_FLT_CPX(*(a9), t53));
        *((b2 + 15)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a8), t53), MUL_FLT_CPX(*(a9), t43));
    }}
    {long i2; for(i2 = 0; i2 <= 3; i2++) {
        a01 = (T + i2);
        a11 = (a01 + 4);
        a21 = (a01 + 256);
        a31 = (a01 + 260);
        t63 = ADD_CPX_CPX(*(a01), *(a21));
        t73 = ADD_CPX_CPX(*(a11), *(a31));
        t83 = SUB_CPX_CPX(*(a01), *(a21));
        t93 = SUB_CPX_CPX(*(a11), *(a31));
        a41 = (a01 + 64);
        a51 = (a01 + 68);
        a61 = (a01 + 448);
        a71 = (a01 + 452);
        t04 = ADD_CPX_CPX(*(a41), *(a61));
        t14 = SUB_CPX_CPX(*(a51), *(a71));
        t24 = SUB_CPX_CPX(*(a41), *(a61));
        t34 = ADD_CPX_CPX(*(a51), *(a71));
        s02 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t24), MUL_FLT_CPX(C_FLT(0.38268343236508978), t34));
        s12 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t34), MUL_FLT_CPX(C_FLT(0.38268343236508978), t24));
        a81 = (a01 + 128);
        a91 = (a01 + 132);
        a02 = (a01 + 384);
        a12 = (a01 + 388);
        t44 = ADD_CPX_CPX(*(a81), *(a02));
        t54 = SUB_CPX_CPX(*(a91), *(a12));
        a22 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a81), *(a02)));
        a32 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(*(a91), *(a12)));
        s22 = ADD_CPX_CPX(a22, a32);
        s32 = SUB_CPX_CPX(a32, a22);
        a42 = (a01 + 192);
        a52 = (a01 + 196);
        a62 = (a01 + 320);
        a72 = (a01 + 324);
        t64 = ADD_CPX_CPX(*(a42), *(a62));
        t74 = SUB_CPX_CPX(*(a52), *(a72));
        t84 = SUB_CPX_CPX(*(a42), *(a62));
        t94 = ADD_CPX_CPX(*(a52), *(a72));
        s42 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t84), MUL_FLT_CPX(C_FLT(0.92387953251128674), t94));
        s52 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t94), MUL_FLT_CPX(C_FLT(0.92387953251128674), t84));
        t05 = ADD_CPX_CPX(t63, t44);
        t15 = ADD_CPX_CPX(t83, t54);
        t25 = SUB_CPX_CPX(t63, t44);
        t35 = SUB_CPX_CPX(t83, t54);
        t45 = ADD_CPX_CPX(t04, t64);
        t55 = SUB_CPX_CPX(t14, t74);
        a82 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t04, t64));
        a92 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t14, t74));
        s62 = ADD_CPX_CPX(a82, a92);
        s72 = SUB_CPX_CPX(a92, a82);
        t65 = ADD_CPX_CPX(t05, t45);
        t75 = ADD_CPX_CPX(t25, t55);
        t85 = SUB_CPX_CPX(t05, t45);
        t95 = SUB_CPX_CPX(t25, t55);
        t06 = ADD_CPX_CPX(t15, s62);
        t16 = ADD_CPX_CPX(t35, s72);
        t26 = SUB_CPX_CPX(t15, s62);
        t36 = SUB_CPX_CPX(t35, s72);
        t46 = ADD_CPX_CPX(t73, s22);
        t56 = ADD_CPX_CPX(t93, s32);
        t66 = SUB_CPX_CPX(t73, s22);
        t76 = SUB_CPX_CPX(t93, s32);
        t86 = ADD_CPX_CPX(s02, s42);
        t96 = SUB_CPX_CPX(s12, s52);
        a03 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s02, s42));
        a13 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s12, s52));
        s82 = ADD_CPX_CPX(a03, a13);
        s92 = SUB_CPX_CPX(a13, a03);
        t07 = ADD_CPX_CPX(t46, t86);
        t17 = ADD_CPX_CPX(t66, t96);
        t27 = SUB_CPX_CPX(t46, t86);
        t37 = SUB_CPX_CPX(t66, t96);
        t47 = ADD_CPX_CPX(t56, s82);
        t57 = ADD_CPX_CPX(t76, s92);
        t67 = SUB_CPX_CPX(t56, s82);
        t77 = SUB_CPX_CPX(t76, s92);
        a23 = (a01 + 8);
        a33 = (a01 + 12);
        a43 = (a01 + 504);
        a53 = (a01 + 508);
        t87 = ADD_CPX_CPX(*(a23), *(a43));
        t97 = SUB_CPX_CPX(*(a33), *(a53));
        t08 = SUB_CPX_CPX(*(a23), *(a43));
        t18 = ADD_CPX_CPX(*(a33), *(a53));
        a63 = (a01 + 264);
        a73 = (a01 + 268);
        a83 = (a01 + 248);
        a93 = (a01 + 252);
        t28 = ADD_CPX_CPX(*(a63), *(a83));
        t38 = SUB_CPX_CPX(*(a73), *(a93));
        t48 = SUB_CPX_CPX(*(a63), *(a83));
        t58 = ADD_CPX_CPX(*(a73), *(a93));
        t68 = ADD_CPX_CPX(t87, t28);
        t78 = ADD_CPX_CPX(t97, t38);
        t88 = SUB_CPX_CPX(t87, t28);
        t98 = SUB_CPX_CPX(t97, t38);
        t09 = ADD_CPX_CPX(t08, t58);
        t19 = SUB_CPX_CPX(t18, t48);
        t29 = SUB_CPX_CPX(t08, t58);
        t39 = ADD_CPX_CPX(t18, t48);
        a04 = (a01 + 136);
        a14 = (a01 + 140);
        a24 = (a01 + 120);
        a34 = (a01 + 124);
        t49 = ADD_CPX_CPX(*(a04), *(a24));
        t59 = SUB_CPX_CPX(*(a14), *(a34));
        t69 = ADD_CPX_CPX(*(a14), *(a34));
        t79 = SUB_CPX_CPX(*(a24), *(a04));
        a44 = (a01 + 376);
        a54 = (a01 + 380);
        a64 = (a01 + 392);
        a74 = (a01 + 396);
        t89 = ADD_CPX_CPX(*(a44), *(a64));
        t99 = SUB_CPX_CPX(*(a74), *(a54));
        t0a = ADD_CPX_CPX(*(a54), *(a74));
        t1a = SUB_CPX_CPX(*(a64), *(a44));
        s03 = ADD_CPX_CPX(t49, t89);
        s13 = ADD_CPX_CPX(t59, t99);
        s23 = SUB_CPX_CPX(t69, t0a);
        s33 = ADD_CPX_CPX(t79, t1a);
        a84 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t49, t89));
        a94 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t69, t0a));
        t2a = ADD_CPX_CPX(a84, a94);
        a05 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t59, t99));
        a15 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t79, t1a));
        t3a = ADD_CPX_CPX(a05, a15);
        t4a = SUB_CPX_CPX(a94, a84);
        t5a = SUB_CPX_CPX(a15, a05);
        s43 = ADD_CPX_CPX(t68, s03);
        s53 = ADD_CPX_CPX(t78, s13);
        s63 = ADD_CPX_CPX(t88, s23);
        s73 = ADD_CPX_CPX(t98, s33);
        s83 = SUB_CPX_CPX(t68, s03);
        s93 = SUB_CPX_CPX(t78, s13);
        s04 = SUB_CPX_CPX(t88, s23);
        s14 = SUB_CPX_CPX(t98, s33);
        s24 = ADD_CPX_CPX(t09, t2a);
        s34 = ADD_CPX_CPX(t19, t3a);
        s44 = ADD_CPX_CPX(t29, t4a);
        s54 = ADD_CPX_CPX(t39, t5a);
        s64 = SUB_CPX_CPX(t09, t2a);
        s74 = SUB_CPX_CPX(t19, t3a);
        s84 = SUB_CPX_CPX(t29, t4a);
        s94 = SUB_CPX_CPX(t39, t5a);
        s05 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99879545620517241), s24), MUL_FLT_CPX(C_FLT(0.049067674327418015), s34));
        s15 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99879545620517241), s34), MUL_FLT_CPX(C_FLT(0.049067674327418015), s24));
        s25 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), s63), MUL_FLT_CPX(C_FLT(0.098017140329560604), s73));
        s35 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), s73), MUL_FLT_CPX(C_FLT(0.098017140329560604), s63));
        s45 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s44), MUL_FLT_CPX(C_FLT(0.14673047445536175), s54));
        s55 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s54), MUL_FLT_CPX(C_FLT(0.14673047445536175), s44));
        s65 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s83), MUL_FLT_CPX(C_FLT(0.19509032201612828), s93));
        s75 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s93), MUL_FLT_CPX(C_FLT(0.19509032201612828), s83));
        s85 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.97003125319454397), s64), MUL_FLT_CPX(C_FLT(0.2429801799032639), s74));
        s95 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.97003125319454397), s74), MUL_FLT_CPX(C_FLT(0.2429801799032639), s64));
        s06 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s04), MUL_FLT_CPX(C_FLT(0.29028467725446239), s14));
        s16 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s14), MUL_FLT_CPX(C_FLT(0.29028467725446239), s04));
        s26 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), s84), MUL_FLT_CPX(C_FLT(0.33688985339222005), s94));
        s36 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), s94), MUL_FLT_CPX(C_FLT(0.33688985339222005), s84));
        a25 = (a01 + 16);
        a35 = (a01 + 20);
        a45 = (a01 + 496);
        a55 = (a01 + 500);
        t6a = ADD_CPX_CPX(*(a25), *(a45));
        t7a = SUB_CPX_CPX(*(a35), *(a55));
        t8a = SUB_CPX_CPX(*(a25), *(a45));
        t9a = ADD_CPX_CPX(*(a35), *(a55));
        a65 = (a01 + 272);
        a75 = (a01 + 276);
        a85 = (a01 + 240);
        a95 = (a01 + 244);
        t0b = ADD_CPX_CPX(*(a65), *(a85));
        t1b = SUB_CPX_CPX(*(a75), *(a95));
        t2b = SUB_CPX_CPX(*(a65), *(a85));
        t3b = ADD_CPX_CPX(*(a75), *(a95));
        t4b = ADD_CPX_CPX(t6a, t0b);
        t5b = ADD_CPX_CPX(t7a, t1b);
        t6b = SUB_CPX_CPX(t6a, t0b);
        t7b = SUB_CPX_CPX(t7a, t1b);
        t8b = ADD_CPX_CPX(t8a, t3b);
        t9b = SUB_CPX_CPX(t9a, t2b);
        t0c = SUB_CPX_CPX(t8a, t3b);
        t1c = ADD_CPX_CPX(t9a, t2b);
        a06 = (a01 + 144);
        a16 = (a01 + 148);
        a26 = (a01 + 112);
        a36 = (a01 + 116);
        t2c = ADD_CPX_CPX(*(a06), *(a26));
        t3c = SUB_CPX_CPX(*(a16), *(a36));
        t4c = ADD_CPX_CPX(*(a16), *(a36));
        t5c = SUB_CPX_CPX(*(a26), *(a06));
        a46 = (a01 + 368);
        a56 = (a01 + 372);
        a66 = (a01 + 400);
        a76 = (a01 + 404);
        t6c = ADD_CPX_CPX(*(a46), *(a66));
        t7c = SUB_CPX_CPX(*(a76), *(a56));
        t8c = ADD_CPX_CPX(*(a56), *(a76));
        t9c = SUB_CPX_CPX(*(a66), *(a46));
        s46 = ADD_CPX_CPX(t2c, t6c);
        s56 = ADD_CPX_CPX(t3c, t7c);
        s66 = SUB_CPX_CPX(t4c, t8c);
        s76 = ADD_CPX_CPX(t5c, t9c);
        a86 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2c, t6c));
        a96 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t4c, t8c));
        t0d = ADD_CPX_CPX(a86, a96);
        a07 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3c, t7c));
        a17 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t5c, t9c));
        t1d = ADD_CPX_CPX(a07, a17);
        t2d = SUB_CPX_CPX(a96, a86);
        t3d = SUB_CPX_CPX(a17, a07);
        s86 = ADD_CPX_CPX(t4b, s46);
        s96 = ADD_CPX_CPX(t5b, s56);
        s07 = ADD_CPX_CPX(t6b, s66);
        s17 = ADD_CPX_CPX(t7b, s76);
        s27 = SUB_CPX_CPX(t4b, s46);
        s37 = SUB_CPX_CPX(t5b, s56);
        s47 = SUB_CPX_CPX(t6b, s66);
        s57 = SUB_CPX_CPX(t7b, s76);
        s67 = ADD_CPX_CPX(t8b, t0d);
        s77 = ADD_CPX_CPX(t9b, t1d);
        s87 = ADD_CPX_CPX(t0c, t2d);
        s97 = ADD_CPX_CPX(t1c, t3d);
        s08 = SUB_CPX_CPX(t8b, t0d);
        s18 = SUB_CPX_CPX(t9b, t1d);
        s28 = SUB_CPX_CPX(t0c, t2d);
        s38 = SUB_CPX_CPX(t1c, t3d);
        s48 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), s67), MUL_FLT_CPX(C_FLT(0.098017140329560604), s77));
        s58 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), s77), MUL_FLT_CPX(C_FLT(0.098017140329560604), s67));
        s68 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s07), MUL_FLT_CPX(C_FLT(0.19509032201612828), s17));
        s78 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s17), MUL_FLT_CPX(C_FLT(0.19509032201612828), s07));
        s88 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s87), MUL_FLT_CPX(C_FLT(0.29028467725446239), s97));
        s98 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s97), MUL_FLT_CPX(C_FLT(0.29028467725446239), s87));
        s09 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s27), MUL_FLT_CPX(C_FLT(0.38268343236508978), s37));
        s19 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s37), MUL_FLT_CPX(C_FLT(0.38268343236508978), s27));
        s29 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s08), MUL_FLT_CPX(C_FLT(0.47139673682599764), s18));
        s39 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s18), MUL_FLT_CPX(C_FLT(0.47139673682599764), s08));
        s49 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s47), MUL_FLT_CPX(C_FLT(0.55557023301960218), s57));
        s59 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s57), MUL_FLT_CPX(C_FLT(0.55557023301960218), s47));
        s69 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), s28), MUL_FLT_CPX(C_FLT(0.63439328416364549), s38));
        s79 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), s38), MUL_FLT_CPX(C_FLT(0.63439328416364549), s28));
        a27 = (a01 + 24);
        a37 = (a01 + 28);
        a47 = (a01 + 488);
        a57 = (a01 + 492);
        t4d = ADD_CPX_CPX(*(a27), *(a47));
        t5d = SUB_CPX_CPX(*(a37), *(a57));
        t6d = SUB_CPX_CPX(*(a27), *(a47));
        t7d = ADD_CPX_CPX(*(a37), *(a57));
        a67 = (a01 + 280);
        a77 = (a01 + 284);
        a87 = (a01 + 232);
        a97 = (a01 + 236);
        t8d = ADD_CPX_CPX(*(a67), *(a87));
        t9d = SUB_CPX_CPX(*(a77), *(a97));
        t0e = SUB_CPX_CPX(*(a67), *(a87));
        t1e = ADD_CPX_CPX(*(a77), *(a97));
        t2e = ADD_CPX_CPX(t4d, t8d);
        t3e = ADD_CPX_CPX(t5d, t9d);
        t4e = SUB_CPX_CPX(t4d, t8d);
        t5e = SUB_CPX_CPX(t5d, t9d);
        t6e = ADD_CPX_CPX(t6d, t1e);
        t7e = SUB_CPX_CPX(t7d, t0e);
        t8e = SUB_CPX_CPX(t6d, t1e);
        t9e = ADD_CPX_CPX(t7d, t0e);
        a08 = (a01 + 152);
        a18 = (a01 + 156);
        a28 = (a01 + 104);
        a38 = (a01 + 108);
        t0f = ADD_CPX_CPX(*(a08), *(a28));
        t1f = SUB_CPX_CPX(*(a18), *(a38));
        t2f = ADD_CPX_CPX(*(a18), *(a38));
        t3f = SUB_CPX_CPX(*(a28), *(a08));
        a48 = (a01 + 360);
        a58 = (a01 + 364);
        a68 = (a01 + 408);
        a78 = (a01 + 412);
        t4f = ADD_CPX_CPX(*(a48), *(a68));
        t5f = SUB_CPX_CPX(*(a78), *(a58));
        t6f = ADD_CPX_CPX(*(a58), *(a78));
        t7f = SUB_CPX_CPX(*(a68), *(a48));
        s89 = ADD_CPX_CPX(t0f, t4f);
        s99 = ADD_CPX_CPX(t1f, t5f);
        s0a = SUB_CPX_CPX(t2f, t6f);
        s1a = ADD_CPX_CPX(t3f, t7f);
        a88 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0f, t4f));
        a98 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t2f, t6f));
        t8f = ADD_CPX_CPX(a88, a98);
        a09 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t1f, t5f));
        a19 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3f, t7f));
        t9f = ADD_CPX_CPX(a09, a19);
        t0g = SUB_CPX_CPX(a98, a88);
        t1g = SUB_CPX_CPX(a19, a09);
        s2a = ADD_CPX_CPX(t2e, s89);
        s3a = ADD_CPX_CPX(t3e, s99);
        s4a = ADD_CPX_CPX(t4e, s0a);
        s5a = ADD_CPX_CPX(t5e, s1a);
        s6a = SUB_CPX_CPX(t2e, s89);
        s7a = SUB_CPX_CPX(t3e, s99);
        s8a = SUB_CPX_CPX(t4e, s0a);
        s9a = SUB_CPX_CPX(t5e, s1a);
        s0b = ADD_CPX_CPX(t6e, t8f);
        s1b = ADD_CPX_CPX(t7e, t9f);
        s2b = ADD_CPX_CPX(t8e, t0g);
        s3b = ADD_CPX_CPX(t9e, t1g);
        s4b = SUB_CPX_CPX(t6e, t8f);
        s5b = SUB_CPX_CPX(t7e, t9f);
        s6b = SUB_CPX_CPX(t8e, t0g);
        s7b = SUB_CPX_CPX(t9e, t1g);
        s8b = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s0b), MUL_FLT_CPX(C_FLT(0.14673047445536175), s1b));
        s9b = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s1b), MUL_FLT_CPX(C_FLT(0.14673047445536175), s0b));
        s0c = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s4a), MUL_FLT_CPX(C_FLT(0.29028467725446239), s5a));
        s1c = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s5a), MUL_FLT_CPX(C_FLT(0.29028467725446239), s4a));
        s2c = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.90398929312344334), s2b), MUL_FLT_CPX(C_FLT(0.42755509343028208), s3b));
        s3c = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.90398929312344334), s3b), MUL_FLT_CPX(C_FLT(0.42755509343028208), s2b));
        s4c = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s6a), MUL_FLT_CPX(C_FLT(0.55557023301960218), s7a));
        s5c = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s7a), MUL_FLT_CPX(C_FLT(0.55557023301960218), s6a));
        s6c = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), s4b), MUL_FLT_CPX(C_FLT(0.67155895484701844), s5b));
        s7c = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), s5b), MUL_FLT_CPX(C_FLT(0.67155895484701844), s4b));
        s8c = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), s8a), MUL_FLT_CPX(C_FLT(0.77301045336273699), s9a));
        s9c = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), s9a), MUL_FLT_CPX(C_FLT(0.77301045336273699), s8a));
        s0d = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.51410274419322177), s6b), MUL_FLT_CPX(C_FLT(0.85772861000027212), s7b));
        s1d = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.51410274419322177), s7b), MUL_FLT_CPX(C_FLT(0.85772861000027212), s6b));
        a29 = (a01 + 32);
        a39 = (a01 + 36);
        a49 = (a01 + 480);
        a59 = (a01 + 484);
        t2g = ADD_CPX_CPX(*(a29), *(a49));
        t3g = SUB_CPX_CPX(*(a39), *(a59));
        t4g = SUB_CPX_CPX(*(a29), *(a49));
        t5g = ADD_CPX_CPX(*(a39), *(a59));
        a69 = (a01 + 288);
        a79 = (a01 + 292);
        a89 = (a01 + 224);
        a99 = (a01 + 228);
        t6g = ADD_CPX_CPX(*(a69), *(a89));
        t7g = SUB_CPX_CPX(*(a79), *(a99));
        t8g = SUB_CPX_CPX(*(a69), *(a89));
        t9g = ADD_CPX_CPX(*(a79), *(a99));
        t0h = ADD_CPX_CPX(t2g, t6g);
        t1h = ADD_CPX_CPX(t3g, t7g);
        t2h = SUB_CPX_CPX(t2g, t6g);
        t3h = SUB_CPX_CPX(t3g, t7g);
        t4h = ADD_CPX_CPX(t4g, t9g);
        t5h = SUB_CPX_CPX(t5g, t8g);
        t6h = SUB_CPX_CPX(t4g, t9g);
        t7h = ADD_CPX_CPX(t5g, t8g);
        a0a = (a01 + 160);
        a1a = (a01 + 164);
        a2a = (a01 + 96);
        a3a = (a01 + 100);
        t8h = ADD_CPX_CPX(*(a0a), *(a2a));
        t9h = SUB_CPX_CPX(*(a1a), *(a3a));
        t0i = ADD_CPX_CPX(*(a1a), *(a3a));
        t1i = SUB_CPX_CPX(*(a2a), *(a0a));
        a4a = (a01 + 352);
        a5a = (a01 + 356);
        a6a = (a01 + 416);
        a7a = (a01 + 420);
        t2i = ADD_CPX_CPX(*(a4a), *(a6a));
        t3i = SUB_CPX_CPX(*(a7a), *(a5a));
        t4i = ADD_CPX_CPX(*(a5a), *(a7a));
        t5i = SUB_CPX_CPX(*(a6a), *(a4a));
        s2d = ADD_CPX_CPX(t8h, t2i);
        s3d = ADD_CPX_CPX(t9h, t3i);
        s4d = SUB_CPX_CPX(t0i, t4i);
        s5d = ADD_CPX_CPX(t1i, t5i);
        a8a = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8h, t2i));
        a9a = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t0i, t4i));
        t6i = ADD_CPX_CPX(a8a, a9a);
        a0b = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9h, t3i));
        a1b = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t1i, t5i));
        t7i = ADD_CPX_CPX(a0b, a1b);
        t8i = SUB_CPX_CPX(a9a, a8a);
        t9i = SUB_CPX_CPX(a1b, a0b);
        s6d = ADD_CPX_CPX(t0h, s2d);
        s7d = ADD_CPX_CPX(t1h, s3d);
        s8d = ADD_CPX_CPX(t2h, s4d);
        s9d = ADD_CPX_CPX(t3h, s5d);
        s0e = SUB_CPX_CPX(t2h, s4d);
        s1e = SUB_CPX_CPX(t3h, s5d);
        s2e = ADD_CPX_CPX(t4h, t6i);
        s3e = ADD_CPX_CPX(t5h, t7i);
        s4e = ADD_CPX_CPX(t6h, t8i);
        s5e = ADD_CPX_CPX(t7h, t9i);
        s6e = SUB_CPX_CPX(t4h, t6i);
        s7e = SUB_CPX_CPX(t5h, t7i);
        s8e = SUB_CPX_CPX(t6h, t8i);
        s9e = SUB_CPX_CPX(t7h, t9i);
        s0f = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s2e), MUL_FLT_CPX(C_FLT(0.19509032201612828), s3e));
        s1f = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s3e), MUL_FLT_CPX(C_FLT(0.19509032201612828), s2e));
        s2f = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s8d), MUL_FLT_CPX(C_FLT(0.38268343236508978), s9d));
        s3f = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s9d), MUL_FLT_CPX(C_FLT(0.38268343236508978), s8d));
        s4f = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s4e), MUL_FLT_CPX(C_FLT(0.55557023301960218), s5e));
        s5f = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s5e), MUL_FLT_CPX(C_FLT(0.55557023301960218), s4e));
        a2b = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0h, s2d));
        a3b = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t1h, s3d));
        s6f = ADD_CPX_CPX(a2b, a3b);
        s7f = SUB_CPX_CPX(a3b, a2b);
        s8f = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s6e), MUL_FLT_CPX(C_FLT(0.83146961230254524), s7e));
        s9f = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s7e), MUL_FLT_CPX(C_FLT(0.83146961230254524), s6e));
        s0g = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s0e), MUL_FLT_CPX(C_FLT(0.92387953251128674), s1e));
        s1g = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s1e), MUL_FLT_CPX(C_FLT(0.92387953251128674), s0e));
        s2g = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s8e), MUL_FLT_CPX(C_FLT(0.98078528040323043), s9e));
        s3g = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s9e), MUL_FLT_CPX(C_FLT(0.98078528040323043), s8e));
        a4b = (a01 + 40);
        a5b = (a01 + 44);
        a6b = (a01 + 472);
        a7b = (a01 + 476);
        t0j = ADD_CPX_CPX(*(a4b), *(a6b));
        t1j = SUB_CPX_CPX(*(a5b), *(a7b));
        t2j = SUB_CPX_CPX(*(a4b), *(a6b));
        t3j = ADD_CPX_CPX(*(a5b), *(a7b));
        a8b = (a01 + 296);
        a9b = (a01 + 300);
        a0c = (a01 + 216);
        a1c = (a01 + 220);
        t4j = ADD_CPX_CPX(*(a8b), *(a0c));
        t5j = SUB_CPX_CPX(*(a9b), *(a1c));
        t6j = SUB_CPX_CPX(*(a8b), *(a0c));
        t7j = ADD_CPX_CPX(*(a9b), *(a1c));
        t8j = ADD_CPX_CPX(t0j, t4j);
        t9j = ADD_CPX_CPX(t1j, t5j);
        t0k = SUB_CPX_CPX(t0j, t4j);
        t1k = SUB_CPX_CPX(t1j, t5j);
        t2k = ADD_CPX_CPX(t2j, t7j);
        t3k = SUB_CPX_CPX(t3j, t6j);
        t4k = SUB_CPX_CPX(t2j, t7j);
        t5k = ADD_CPX_CPX(t3j, t6j);
        a2c = (a01 + 168);
        a3c = (a01 + 172);
        a4c = (a01 + 88);
        a5c = (a01 + 92);
        t6k = ADD_CPX_CPX(*(a2c), *(a4c));
        t7k = SUB_CPX_CPX(*(a3c), *(a5c));
        t8k = ADD_CPX_CPX(*(a3c), *(a5c));
        t9k = SUB_CPX_CPX(*(a4c), *(a2c));
        a6c = (a01 + 344);
        a7c = (a01 + 348);
        a8c = (a01 + 424);
        a9c = (a01 + 428);
        t0l = ADD_CPX_CPX(*(a6c), *(a8c));
        t1l = SUB_CPX_CPX(*(a9c), *(a7c));
        t2l = ADD_CPX_CPX(*(a7c), *(a9c));
        t3l = SUB_CPX_CPX(*(a8c), *(a6c));
        s4g = ADD_CPX_CPX(t6k, t0l);
        s5g = ADD_CPX_CPX(t7k, t1l);
        s6g = SUB_CPX_CPX(t8k, t2l);
        s7g = ADD_CPX_CPX(t9k, t3l);
        a0d = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t6k, t0l));
        a1d = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t8k, t2l));
        t4l = ADD_CPX_CPX(a0d, a1d);
        a2d = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t7k, t1l));
        a3d = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9k, t3l));
        t5l = ADD_CPX_CPX(a2d, a3d);
        t6l = SUB_CPX_CPX(a1d, a0d);
        t7l = SUB_CPX_CPX(a3d, a2d);
        s8g = ADD_CPX_CPX(t8j, s4g);
        s9g = ADD_CPX_CPX(t9j, s5g);
        s0h = ADD_CPX_CPX(t0k, s6g);
        s1h = ADD_CPX_CPX(t1k, s7g);
        s2h = SUB_CPX_CPX(t8j, s4g);
        s3h = SUB_CPX_CPX(t9j, s5g);
        s4h = SUB_CPX_CPX(t0k, s6g);
        s5h = SUB_CPX_CPX(t1k, s7g);
        s6h = ADD_CPX_CPX(t2k, t4l);
        s7h = ADD_CPX_CPX(t3k, t5l);
        s8h = ADD_CPX_CPX(t4k, t6l);
        s9h = ADD_CPX_CPX(t5k, t7l);
        s0i = SUB_CPX_CPX(t2k, t4l);
        s1i = SUB_CPX_CPX(t3k, t5l);
        s2i = SUB_CPX_CPX(t4k, t6l);
        s3i = SUB_CPX_CPX(t5k, t7l);
        s4i = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.97003125319454397), s6h), MUL_FLT_CPX(C_FLT(0.2429801799032639), s7h));
        s5i = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.97003125319454397), s7h), MUL_FLT_CPX(C_FLT(0.2429801799032639), s6h));
        s6i = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s0h), MUL_FLT_CPX(C_FLT(0.47139673682599764), s1h));
        s7i = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s1h), MUL_FLT_CPX(C_FLT(0.47139673682599764), s0h));
        s8i = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), s8h), MUL_FLT_CPX(C_FLT(0.67155895484701844), s9h));
        s9i = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), s9h), MUL_FLT_CPX(C_FLT(0.67155895484701844), s8h));
        s0j = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s2h), MUL_FLT_CPX(C_FLT(0.83146961230254524), s3h));
        s1j = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s3h), MUL_FLT_CPX(C_FLT(0.83146961230254524), s2h));
        s2j = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.33688985339222005), s0i), MUL_FLT_CPX(C_FLT(0.94154406518302081), s1i));
        s3j = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.33688985339222005), s1i), MUL_FLT_CPX(C_FLT(0.94154406518302081), s0i));
        s4j = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), s4h), MUL_FLT_CPX(C_FLT(0.99518472667219693), s5h));
        s5j = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), s5h), MUL_FLT_CPX(C_FLT(0.99518472667219693), s4h));
        s6j = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s3i), MUL_FLT_CPX(C_FLT(0.14673047445536175), s2i));
        s7j = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s2i), MUL_FLT_CPX(C_FLT(0.14673047445536175), s3i));
        a4d = (a01 + 48);
        a5d = (a01 + 52);
        a6d = (a01 + 464);
        a7d = (a01 + 468);
        t8l = ADD_CPX_CPX(*(a4d), *(a6d));
        t9l = SUB_CPX_CPX(*(a5d), *(a7d));
        t0m = SUB_CPX_CPX(*(a4d), *(a6d));
        t1m = ADD_CPX_CPX(*(a5d), *(a7d));
        a8d = (a01 + 304);
        a9d = (a01 + 308);
        a0e = (a01 + 208);
        a1e = (a01 + 212);
        t2m = ADD_CPX_CPX(*(a8d), *(a0e));
        t3m = SUB_CPX_CPX(*(a9d), *(a1e));
        t4m = SUB_CPX_CPX(*(a8d), *(a0e));
        t5m = ADD_CPX_CPX(*(a9d), *(a1e));
        t6m = ADD_CPX_CPX(t8l, t2m);
        t7m = ADD_CPX_CPX(t9l, t3m);
        t8m = SUB_CPX_CPX(t8l, t2m);
        t9m = SUB_CPX_CPX(t9l, t3m);
        t0n = ADD_CPX_CPX(t0m, t5m);
        t1n = SUB_CPX_CPX(t1m, t4m);
        t2n = SUB_CPX_CPX(t0m, t5m);
        t3n = ADD_CPX_CPX(t1m, t4m);
        a2e = (a01 + 176);
        a3e = (a01 + 180);
        a4e = (a01 + 80);
        a5e = (a01 + 84);
        t4n = ADD_CPX_CPX(*(a2e), *(a4e));
        t5n = SUB_CPX_CPX(*(a3e), *(a5e));
        t6n = ADD_CPX_CPX(*(a3e), *(a5e));
        t7n = SUB_CPX_CPX(*(a4e), *(a2e));
        a6e = (a01 + 336);
        a7e = (a01 + 340);
        a8e = (a01 + 432);
        a9e = (a01 + 436);
        t8n = ADD_CPX_CPX(*(a6e), *(a8e));
        t9n = SUB_CPX_CPX(*(a9e), *(a7e));
        t0o = ADD_CPX_CPX(*(a7e), *(a9e));
        t1o = SUB_CPX_CPX(*(a8e), *(a6e));
        s8j = ADD_CPX_CPX(t4n, t8n);
        s9j = ADD_CPX_CPX(t5n, t9n);
        s0k = SUB_CPX_CPX(t6n, t0o);
        s1k = ADD_CPX_CPX(t7n, t1o);
        a0f = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t4n, t8n));
        a1f = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t6n, t0o));
        t2o = ADD_CPX_CPX(a0f, a1f);
        a2f = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t5n, t9n));
        a3f = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t7n, t1o));
        t3o = ADD_CPX_CPX(a2f, a3f);
        t4o = SUB_CPX_CPX(a1f, a0f);
        t5o = SUB_CPX_CPX(a3f, a2f);
        s2k = ADD_CPX_CPX(t6m, s8j);
        s3k = ADD_CPX_CPX(t7m, s9j);
        s4k = ADD_CPX_CPX(t8m, s0k);
        s5k = ADD_CPX_CPX(t9m, s1k);
        s6k = SUB_CPX_CPX(t6m, s8j);
        s7k = SUB_CPX_CPX(t7m, s9j);
        s8k = SUB_CPX_CPX(t8m, s0k);
        s9k = SUB_CPX_CPX(t9m, s1k);
        s0l = ADD_CPX_CPX(t0n, t2o);
        s1l = ADD_CPX_CPX(t1n, t3o);
        s2l = ADD_CPX_CPX(t2n, t4o);
        s3l = ADD_CPX_CPX(t3n, t5o);
        s4l = SUB_CPX_CPX(t0n, t2o);
        s5l = SUB_CPX_CPX(t1n, t3o);
        s6l = SUB_CPX_CPX(t2n, t4o);
        s7l = SUB_CPX_CPX(t3n, t5o);
        s8l = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s0l), MUL_FLT_CPX(C_FLT(0.29028467725446239), s1l));
        s9l = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s1l), MUL_FLT_CPX(C_FLT(0.29028467725446239), s0l));
        s0m = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s4k), MUL_FLT_CPX(C_FLT(0.55557023301960218), s5k));
        s1m = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s5k), MUL_FLT_CPX(C_FLT(0.55557023301960218), s4k));
        s2m = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), s2l), MUL_FLT_CPX(C_FLT(0.77301045336273699), s3l));
        s3m = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), s3l), MUL_FLT_CPX(C_FLT(0.77301045336273699), s2l));
        s4m = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s6k), MUL_FLT_CPX(C_FLT(0.92387953251128674), s7k));
        s5m = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s7k), MUL_FLT_CPX(C_FLT(0.92387953251128674), s6k));
        s6m = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), s4l), MUL_FLT_CPX(C_FLT(0.99518472667219693), s5l));
        s7m = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), s5l), MUL_FLT_CPX(C_FLT(0.99518472667219693), s4l));
        s8m = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s9k), MUL_FLT_CPX(C_FLT(0.19509032201612828), s8k));
        s9m = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s8k), MUL_FLT_CPX(C_FLT(0.19509032201612828), s9k));
        s0n = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s7l), MUL_FLT_CPX(C_FLT(0.47139673682599764), s6l));
        s1n = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s6l), MUL_FLT_CPX(C_FLT(0.47139673682599764), s7l));
        a4f = (a01 + 56);
        a5f = (a01 + 60);
        a6f = (a01 + 456);
        a7f = (a01 + 460);
        t6o = ADD_CPX_CPX(*(a4f), *(a6f));
        t7o = SUB_CPX_CPX(*(a5f), *(a7f));
        t8o = SUB_CPX_CPX(*(a4f), *(a6f));
        t9o = ADD_CPX_CPX(*(a5f), *(a7f));
        a8f = (a01 + 312);
        a9f = (a01 + 316);
        a0g = (a01 + 200);
        a1g = (a01 + 204);
        t0p = ADD_CPX_CPX(*(a8f), *(a0g));
        t1p = SUB_CPX_CPX(*(a9f), *(a1g));
        t2p = SUB_CPX_CPX(*(a8f), *(a0g));
        t3p = ADD_CPX_CPX(*(a9f), *(a1g));
        t4p = ADD_CPX_CPX(t6o, t0p);
        t5p = ADD_CPX_CPX(t7o, t1p);
        t6p = SUB_CPX_CPX(t6o, t0p);
        t7p = SUB_CPX_CPX(t7o, t1p);
        t8p = ADD_CPX_CPX(t8o, t3p);
        t9p = SUB_CPX_CPX(t9o, t2p);
        t0q = SUB_CPX_CPX(t8o, t3p);
        t1q = ADD_CPX_CPX(t9o, t2p);
        a2g = (a01 + 184);
        a3g = (a01 + 188);
        a4g = (a01 + 72);
        a5g = (a01 + 76);
        t2q = ADD_CPX_CPX(*(a2g), *(a4g));
        t3q = SUB_CPX_CPX(*(a3g), *(a5g));
        t4q = ADD_CPX_CPX(*(a3g), *(a5g));
        t5q = SUB_CPX_CPX(*(a4g), *(a2g));
        a6g = (a01 + 328);
        a7g = (a01 + 332);
        a8g = (a01 + 440);
        a9g = (a01 + 444);
        t6q = ADD_CPX_CPX(*(a6g), *(a8g));
        t7q = SUB_CPX_CPX(*(a9g), *(a7g));
        t8q = ADD_CPX_CPX(*(a7g), *(a9g));
        t9q = SUB_CPX_CPX(*(a8g), *(a6g));
        s2n = ADD_CPX_CPX(t2q, t6q);
        s3n = ADD_CPX_CPX(t3q, t7q);
        s4n = SUB_CPX_CPX(t4q, t8q);
        s5n = ADD_CPX_CPX(t5q, t9q);
        a0h = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2q, t6q));
        a1h = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t4q, t8q));
        t0r = ADD_CPX_CPX(a0h, a1h);
        a2h = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3q, t7q));
        a3h = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t5q, t9q));
        t1r = ADD_CPX_CPX(a2h, a3h);
        t2r = SUB_CPX_CPX(a1h, a0h);
        t3r = SUB_CPX_CPX(a3h, a2h);
        s6n = ADD_CPX_CPX(t4p, s2n);
        s7n = ADD_CPX_CPX(t5p, s3n);
        s8n = ADD_CPX_CPX(t6p, s4n);
        s9n = ADD_CPX_CPX(t7p, s5n);
        s0o = SUB_CPX_CPX(t4p, s2n);
        s1o = SUB_CPX_CPX(t5p, s3n);
        s2o = SUB_CPX_CPX(t6p, s4n);
        s3o = SUB_CPX_CPX(t7p, s5n);
        s4o = ADD_CPX_CPX(t8p, t0r);
        s5o = ADD_CPX_CPX(t9p, t1r);
        s6o = ADD_CPX_CPX(t0q, t2r);
        s7o = ADD_CPX_CPX(t1q, t3r);
        s8o = SUB_CPX_CPX(t8p, t0r);
        s9o = SUB_CPX_CPX(t9p, t1r);
        s0p = SUB_CPX_CPX(t0q, t2r);
        s1p = SUB_CPX_CPX(t1q, t3r);
        s2p = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), s4o), MUL_FLT_CPX(C_FLT(0.33688985339222005), s5o));
        s3p = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), s5o), MUL_FLT_CPX(C_FLT(0.33688985339222005), s4o));
        s4p = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), s8n), MUL_FLT_CPX(C_FLT(0.63439328416364549), s9n));
        s5p = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), s9n), MUL_FLT_CPX(C_FLT(0.63439328416364549), s8n));
        s6p = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.51410274419322177), s6o), MUL_FLT_CPX(C_FLT(0.85772861000027212), s7o));
        s7p = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.51410274419322177), s7o), MUL_FLT_CPX(C_FLT(0.85772861000027212), s6o));
        s8p = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s0o), MUL_FLT_CPX(C_FLT(0.98078528040323043), s1o));
        s9p = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s1o), MUL_FLT_CPX(C_FLT(0.98078528040323043), s0o));
        s0q = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s9o), MUL_FLT_CPX(C_FLT(0.14673047445536175), s8o));
        s1q = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s8o), MUL_FLT_CPX(C_FLT(0.14673047445536175), s9o));
        s2q = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s3o), MUL_FLT_CPX(C_FLT(0.47139673682599764), s2o));
        s3q = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s2o), MUL_FLT_CPX(C_FLT(0.47139673682599764), s3o));
        s4q = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.67155895484701844), s1p), MUL_FLT_CPX(C_FLT(0.74095112535495911), s0p));
        s5q = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.67155895484701844), s0p), MUL_FLT_CPX(C_FLT(0.74095112535495911), s1p));
        t4r = ADD_CPX_CPX(t65, s6d);
        t5r = ADD_CPX_CPX(t85, s7d);
        t6r = SUB_CPX_CPX(t65, s6d);
        t7r = SUB_CPX_CPX(t85, s7d);
        t8r = ADD_CPX_CPX(s43, s6n);
        t9r = SUB_CPX_CPX(s53, s7n);
        t0s = SUB_CPX_CPX(s43, s6n);
        t1s = ADD_CPX_CPX(s53, s7n);
        s6q = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t0s), MUL_FLT_CPX(C_FLT(0.38268343236508978), t1s));
        s7q = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t1s), MUL_FLT_CPX(C_FLT(0.38268343236508978), t0s));
        t2s = ADD_CPX_CPX(s86, s2k);
        t3s = SUB_CPX_CPX(s96, s3k);
        a4h = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s86, s2k));
        a5h = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s96, s3k));
        s8q = ADD_CPX_CPX(a4h, a5h);
        s9q = SUB_CPX_CPX(a5h, a4h);
        t4s = ADD_CPX_CPX(s2a, s8g);
        t5s = SUB_CPX_CPX(s3a, s9g);
        t6s = SUB_CPX_CPX(s2a, s8g);
        t7s = ADD_CPX_CPX(s3a, s9g);
        s0r = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t6s), MUL_FLT_CPX(C_FLT(0.92387953251128674), t7s));
        s1r = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t7s), MUL_FLT_CPX(C_FLT(0.92387953251128674), t6s));
        t8s = ADD_CPX_CPX(t4r, t2s);
        t9s = ADD_CPX_CPX(t6r, t3s);
        t0t = SUB_CPX_CPX(t4r, t2s);
        t1t = SUB_CPX_CPX(t6r, t3s);
        t2t = ADD_CPX_CPX(t8r, t4s);
        t3t = SUB_CPX_CPX(t9r, t5s);
        a6h = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8r, t4s));
        a7h = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t9r, t5s));
        s2r = ADD_CPX_CPX(a6h, a7h);
        s3r = SUB_CPX_CPX(a7h, a6h);
        t4t = ADD_CPX_CPX(t8s, t2t);
        t5t = ADD_CPX_CPX(t0t, t3t);
        t6t = SUB_CPX_CPX(t8s, t2t);
        t7t = SUB_CPX_CPX(t0t, t3t);
        STOREU_CPX((dst + i2), t4t);
        STOREU_CPX((128 + dst + i2), t5t);
        STOREU_CPX((256 + dst + i2), t6t);
        STOREU_CPX((384 + dst + i2), t7t);
        t8t = ADD_CPX_CPX(t9s, s2r);
        t9t = ADD_CPX_CPX(t1t, s3r);
        t0u = SUB_CPX_CPX(t9s, s2r);
        t1u = SUB_CPX_CPX(t1t, s3r);
        STOREU_CPX((64 + dst + i2), t8t);
        STOREU_CPX((192 + dst + i2), t9t);
        STOREU_CPX((320 + dst + i2), t0u);
        STOREU_CPX((448 + dst + i2), t1u);
        t2u = ADD_CPX_CPX(t5r, s8q);
        t3u = ADD_CPX_CPX(t7r, s9q);
        t4u = SUB_CPX_CPX(t5r, s8q);
        t5u = SUB_CPX_CPX(t7r, s9q);
        t6u = ADD_CPX_CPX(s6q, s0r);
        t7u = SUB_CPX_CPX(s7q, s1r);
        a8h = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s6q, s0r));
        a9h = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s7q, s1r));
        s4r = ADD_CPX_CPX(a8h, a9h);
        s5r = SUB_CPX_CPX(a9h, a8h);
        t8u = ADD_CPX_CPX(t2u, t6u);
        t9u = ADD_CPX_CPX(t4u, t7u);
        t0v = SUB_CPX_CPX(t2u, t6u);
        t1v = SUB_CPX_CPX(t4u, t7u);
        STOREU_CPX((32 + dst + i2), t8u);
        STOREU_CPX((160 + dst + i2), t9u);
        STOREU_CPX((288 + dst + i2), t0v);
        STOREU_CPX((416 + dst + i2), t1v);
        t2v = ADD_CPX_CPX(t3u, s4r);
        t3v = ADD_CPX_CPX(t5u, s5r);
        t4v = SUB_CPX_CPX(t3u, s4r);
        t5v = SUB_CPX_CPX(t5u, s5r);
        STOREU_CPX((96 + dst + i2), t2v);
        STOREU_CPX((224 + dst + i2), t3v);
        STOREU_CPX((352 + dst + i2), t4v);
        STOREU_CPX((480 + dst + i2), t5v);
        t6v = ADD_CPX_CPX(t07, s0f);
        t7v = ADD_CPX_CPX(t27, s1f);
        t8v = SUB_CPX_CPX(t07, s0f);
        t9v = SUB_CPX_CPX(t27, s1f);
        t0w = ADD_CPX_CPX(s05, s2p);
        t1w = SUB_CPX_CPX(s15, s3p);
        t2w = SUB_CPX_CPX(s05, s2p);
        t3w = ADD_CPX_CPX(s15, s3p);
        s6r = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t2w), MUL_FLT_CPX(C_FLT(0.38268343236508978), t3w));
        s7r = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t3w), MUL_FLT_CPX(C_FLT(0.38268343236508978), t2w));
        t4w = ADD_CPX_CPX(s48, s8l);
        t5w = SUB_CPX_CPX(s58, s9l);
        a0i = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s48, s8l));
        a1i = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s58, s9l));
        s8r = ADD_CPX_CPX(a0i, a1i);
        s9r = SUB_CPX_CPX(a1i, a0i);
        t6w = ADD_CPX_CPX(s8b, s4i);
        t7w = SUB_CPX_CPX(s9b, s5i);
        t8w = SUB_CPX_CPX(s8b, s4i);
        t9w = ADD_CPX_CPX(s9b, s5i);
        s0s = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t8w), MUL_FLT_CPX(C_FLT(0.92387953251128674), t9w));
        s1s = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t9w), MUL_FLT_CPX(C_FLT(0.92387953251128674), t8w));
        t0x = ADD_CPX_CPX(t6v, t4w);
        t1x = ADD_CPX_CPX(t8v, t5w);
        t2x = SUB_CPX_CPX(t6v, t4w);
        t3x = SUB_CPX_CPX(t8v, t5w);
        t4x = ADD_CPX_CPX(t0w, t6w);
        t5x = SUB_CPX_CPX(t1w, t7w);
        a2i = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0w, t6w));
        a3i = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t1w, t7w));
        s2s = ADD_CPX_CPX(a2i, a3i);
        s3s = SUB_CPX_CPX(a3i, a2i);
        t6x = ADD_CPX_CPX(t0x, t4x);
        t7x = ADD_CPX_CPX(t2x, t5x);
        t8x = SUB_CPX_CPX(t0x, t4x);
        t9x = SUB_CPX_CPX(t2x, t5x);
        STOREU_CPX((4 + dst + i2), t6x);
        STOREU_CPX((132 + dst + i2), t7x);
        STOREU_CPX((260 + dst + i2), t8x);
        STOREU_CPX((388 + dst + i2), t9x);
        t0y = ADD_CPX_CPX(t1x, s2s);
        t1y = ADD_CPX_CPX(t3x, s3s);
        t2y = SUB_CPX_CPX(t1x, s2s);
        t3y = SUB_CPX_CPX(t3x, s3s);
        STOREU_CPX((68 + dst + i2), t0y);
        STOREU_CPX((196 + dst + i2), t1y);
        STOREU_CPX((324 + dst + i2), t2y);
        STOREU_CPX((452 + dst + i2), t3y);
        t4y = ADD_CPX_CPX(t7v, s8r);
        t5y = ADD_CPX_CPX(t9v, s9r);
        t6y = SUB_CPX_CPX(t7v, s8r);
        t7y = SUB_CPX_CPX(t9v, s9r);
        t8y = ADD_CPX_CPX(s6r, s0s);
        t9y = SUB_CPX_CPX(s7r, s1s);
        a4i = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s6r, s0s));
        a5i = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s7r, s1s));
        s4s = ADD_CPX_CPX(a4i, a5i);
        s5s = SUB_CPX_CPX(a5i, a4i);
        t0z = ADD_CPX_CPX(t4y, t8y);
        t1z = ADD_CPX_CPX(t6y, t9y);
        t2z = SUB_CPX_CPX(t4y, t8y);
        t3z = SUB_CPX_CPX(t6y, t9y);
        STOREU_CPX((36 + dst + i2), t0z);
        STOREU_CPX((164 + dst + i2), t1z);
        STOREU_CPX((292 + dst + i2), t2z);
        STOREU_CPX((420 + dst + i2), t3z);
        t4z = ADD_CPX_CPX(t5y, s4s);
        t5z = ADD_CPX_CPX(t7y, s5s);
        t6z = SUB_CPX_CPX(t5y, s4s);
        t7z = SUB_CPX_CPX(t7y, s5s);
        STOREU_CPX((100 + dst + i2), t4z);
        STOREU_CPX((228 + dst + i2), t5z);
        STOREU_CPX((356 + dst + i2), t6z);
        STOREU_CPX((484 + dst + i2), t7z);
        t8z = ADD_CPX_CPX(t06, s2f);
        t9z = ADD_CPX_CPX(t26, s3f);
        t0A = SUB_CPX_CPX(t06, s2f);
        t1A = SUB_CPX_CPX(t26, s3f);
        t2A = ADD_CPX_CPX(s25, s4p);
        t3A = SUB_CPX_CPX(s35, s5p);
        t4A = SUB_CPX_CPX(s25, s4p);
        t5A = ADD_CPX_CPX(s35, s5p);
        s6s = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t4A), MUL_FLT_CPX(C_FLT(0.38268343236508978), t5A));
        s7s = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t5A), MUL_FLT_CPX(C_FLT(0.38268343236508978), t4A));
        t6A = ADD_CPX_CPX(s68, s0m);
        t7A = SUB_CPX_CPX(s78, s1m);
        a6i = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s68, s0m));
        a7i = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s78, s1m));
        s8s = ADD_CPX_CPX(a6i, a7i);
        s9s = SUB_CPX_CPX(a7i, a6i);
        t8A = ADD_CPX_CPX(s0c, s6i);
        t9A = SUB_CPX_CPX(s1c, s7i);
        t0B = SUB_CPX_CPX(s0c, s6i);
        t1B = ADD_CPX_CPX(s1c, s7i);
        s0t = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t0B), MUL_FLT_CPX(C_FLT(0.92387953251128674), t1B));
        s1t = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t1B), MUL_FLT_CPX(C_FLT(0.92387953251128674), t0B));
        t2B = ADD_CPX_CPX(t8z, t6A);
        t3B = ADD_CPX_CPX(t0A, t7A);
        t4B = SUB_CPX_CPX(t8z, t6A);
        t5B = SUB_CPX_CPX(t0A, t7A);
        t6B = ADD_CPX_CPX(t2A, t8A);
        t7B = SUB_CPX_CPX(t3A, t9A);
        a8i = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2A, t8A));
        a9i = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t3A, t9A));
        s2t = ADD_CPX_CPX(a8i, a9i);
        s3t = SUB_CPX_CPX(a9i, a8i);
        t8B = ADD_CPX_CPX(t2B, t6B);
        t9B = ADD_CPX_CPX(t4B, t7B);
        t0C = SUB_CPX_CPX(t2B, t6B);
        t1C = SUB_CPX_CPX(t4B, t7B);
        STOREU_CPX((8 + dst + i2), t8B);
        STOREU_CPX((136 + dst + i2), t9B);
        STOREU_CPX((264 + dst + i2), t0C);
        STOREU_CPX((392 + dst + i2), t1C);
        t2C = ADD_CPX_CPX(t3B, s2t);
        t3C = ADD_CPX_CPX(t5B, s3t);
        t4C = SUB_CPX_CPX(t3B, s2t);
        t5C = SUB_CPX_CPX(t5B, s3t);
        STOREU_CPX((72 + dst + i2), t2C);
        STOREU_CPX((200 + dst + i2), t3C);
        STOREU_CPX((328 + dst + i2), t4C);
        STOREU_CPX((456 + dst + i2), t5C);
        t6C = ADD_CPX_CPX(t9z, s8s);
        t7C = ADD_CPX_CPX(t1A, s9s);
        t8C = SUB_CPX_CPX(t9z, s8s);
        t9C = SUB_CPX_CPX(t1A, s9s);
        t0D = ADD_CPX_CPX(s6s, s0t);
        t1D = SUB_CPX_CPX(s7s, s1t);
        a0j = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s6s, s0t));
        a1j = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s7s, s1t));
        s4t = ADD_CPX_CPX(a0j, a1j);
        s5t = SUB_CPX_CPX(a1j, a0j);
        t2D = ADD_CPX_CPX(t6C, t0D);
        t3D = ADD_CPX_CPX(t8C, t1D);
        t4D = SUB_CPX_CPX(t6C, t0D);
        t5D = SUB_CPX_CPX(t8C, t1D);
        STOREU_CPX((40 + dst + i2), t2D);
        STOREU_CPX((168 + dst + i2), t3D);
        STOREU_CPX((296 + dst + i2), t4D);
        STOREU_CPX((424 + dst + i2), t5D);
        t6D = ADD_CPX_CPX(t7C, s4t);
        t7D = ADD_CPX_CPX(t9C, s5t);
        t8D = SUB_CPX_CPX(t7C, s4t);
        t9D = SUB_CPX_CPX(t9C, s5t);
        STOREU_CPX((104 + dst + i2), t6D);
        STOREU_CPX((232 + dst + i2), t7D);
        STOREU_CPX((360 + dst + i2), t8D);
        STOREU_CPX((488 + dst + i2), t9D);
        t0E = ADD_CPX_CPX(t47, s4f);
        t1E = ADD_CPX_CPX(t67, s5f);
        t2E = SUB_CPX_CPX(t47, s4f);
        t3E = SUB_CPX_CPX(t67, s5f);
        t4E = ADD_CPX_CPX(s45, s6p);
        t5E = SUB_CPX_CPX(s55, s7p);
        t6E = SUB_CPX_CPX(s45, s6p);
        t7E = ADD_CPX_CPX(s55, s7p);
        s6t = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t6E), MUL_FLT_CPX(C_FLT(0.38268343236508978), t7E));
        s7t = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t7E), MUL_FLT_CPX(C_FLT(0.38268343236508978), t6E));
        t8E = ADD_CPX_CPX(s88, s2m);
        t9E = SUB_CPX_CPX(s98, s3m);
        a2j = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s88, s2m));
        a3j = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s98, s3m));
        s8t = ADD_CPX_CPX(a2j, a3j);
        s9t = SUB_CPX_CPX(a3j, a2j);
        t0F = ADD_CPX_CPX(s2c, s8i);
        t1F = SUB_CPX_CPX(s3c, s9i);
        t2F = SUB_CPX_CPX(s2c, s8i);
        t3F = ADD_CPX_CPX(s3c, s9i);
        s0u = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t2F), MUL_FLT_CPX(C_FLT(0.92387953251128674), t3F));
        s1u = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t3F), MUL_FLT_CPX(C_FLT(0.92387953251128674), t2F));
        t4F = ADD_CPX_CPX(t0E, t8E);
        t5F = ADD_CPX_CPX(t2E, t9E);
        t6F = SUB_CPX_CPX(t0E, t8E);
        t7F = SUB_CPX_CPX(t2E, t9E);
        t8F = ADD_CPX_CPX(t4E, t0F);
        t9F = SUB_CPX_CPX(t5E, t1F);
        a4j = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t4E, t0F));
        a5j = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t5E, t1F));
        s2u = ADD_CPX_CPX(a4j, a5j);
        s3u = SUB_CPX_CPX(a5j, a4j);
        t0G = ADD_CPX_CPX(t4F, t8F);
        t1G = ADD_CPX_CPX(t6F, t9F);
        t2G = SUB_CPX_CPX(t4F, t8F);
        t3G = SUB_CPX_CPX(t6F, t9F);
        STOREU_CPX((12 + dst + i2), t0G);
        STOREU_CPX((140 + dst + i2), t1G);
        STOREU_CPX((268 + dst + i2), t2G);
        STOREU_CPX((396 + dst + i2), t3G);
        t4G = ADD_CPX_CPX(t5F, s2u);
        t5G = ADD_CPX_CPX(t7F, s3u);
        t6G = SUB_CPX_CPX(t5F, s2u);
        t7G = SUB_CPX_CPX(t7F, s3u);
        STOREU_CPX((76 + dst + i2), t4G);
        STOREU_CPX((204 + dst + i2), t5G);
        STOREU_CPX((332 + dst + i2), t6G);
        STOREU_CPX((460 + dst + i2), t7G);
        t8G = ADD_CPX_CPX(t1E, s8t);
        t9G = ADD_CPX_CPX(t3E, s9t);
        t0H = SUB_CPX_CPX(t1E, s8t);
        t1H = SUB_CPX_CPX(t3E, s9t);
        t2H = ADD_CPX_CPX(s6t, s0u);
        t3H = SUB_CPX_CPX(s7t, s1u);
        a6j = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s6t, s0u));
        a7j = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s7t, s1u));
        s4u = ADD_CPX_CPX(a6j, a7j);
        s5u = SUB_CPX_CPX(a7j, a6j);
        t4H = ADD_CPX_CPX(t8G, t2H);
        t5H = ADD_CPX_CPX(t0H, t3H);
        t6H = SUB_CPX_CPX(t8G, t2H);
        t7H = SUB_CPX_CPX(t0H, t3H);
        STOREU_CPX((44 + dst + i2), t4H);
        STOREU_CPX((172 + dst + i2), t5H);
        STOREU_CPX((300 + dst + i2), t6H);
        STOREU_CPX((428 + dst + i2), t7H);
        t8H = ADD_CPX_CPX(t9G, s4u);
        t9H = ADD_CPX_CPX(t1H, s5u);
        t0I = SUB_CPX_CPX(t9G, s4u);
        t1I = SUB_CPX_CPX(t1H, s5u);
        STOREU_CPX((108 + dst + i2), t8H);
        STOREU_CPX((236 + dst + i2), t9H);
        STOREU_CPX((364 + dst + i2), t0I);
        STOREU_CPX((492 + dst + i2), t1I);
        t2I = ADD_CPX_CPX(t75, s6f);
        t3I = ADD_CPX_CPX(t95, s7f);
        t4I = SUB_CPX_CPX(t75, s6f);
        t5I = SUB_CPX_CPX(t95, s7f);
        t6I = ADD_CPX_CPX(s65, s8p);
        t7I = SUB_CPX_CPX(s75, s9p);
        t8I = SUB_CPX_CPX(s65, s8p);
        t9I = ADD_CPX_CPX(s75, s9p);
        s6u = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t8I), MUL_FLT_CPX(C_FLT(0.38268343236508978), t9I));
        s7u = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t9I), MUL_FLT_CPX(C_FLT(0.38268343236508978), t8I));
        t0J = ADD_CPX_CPX(s09, s4m);
        t1J = SUB_CPX_CPX(s19, s5m);
        a8j = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s09, s4m));
        a9j = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s19, s5m));
        s8u = ADD_CPX_CPX(a8j, a9j);
        s9u = SUB_CPX_CPX(a9j, a8j);
        t2J = ADD_CPX_CPX(s4c, s0j);
        t3J = SUB_CPX_CPX(s5c, s1j);
        t4J = SUB_CPX_CPX(s4c, s0j);
        t5J = ADD_CPX_CPX(s5c, s1j);
        s0v = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t4J), MUL_FLT_CPX(C_FLT(0.92387953251128674), t5J));
        s1v = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t5J), MUL_FLT_CPX(C_FLT(0.92387953251128674), t4J));
        t6J = ADD_CPX_CPX(t2I, t0J);
        t7J = ADD_CPX_CPX(t4I, t1J);
        t8J = SUB_CPX_CPX(t2I, t0J);
        t9J = SUB_CPX_CPX(t4I, t1J);
        t0K = ADD_CPX_CPX(t6I, t2J);
        t1K = SUB_CPX_CPX(t7I, t3J);
        a0k = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t6I, t2J));
        a1k = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t7I, t3J));
        s2v = ADD_CPX_CPX(a0k, a1k);
        s3v = SUB_CPX_CPX(a1k, a0k);
        t2K = ADD_CPX_CPX(t6J, t0K);
        t3K = ADD_CPX_CPX(t8J, t1K);
        t4K = SUB_CPX_CPX(t6J, t0K);
        t5K = SUB_CPX_CPX(t8J, t1K);
        STOREU_CPX((16 + dst + i2), t2K);
        STOREU_CPX((144 + dst + i2), t3K);
        STOREU_CPX((272 + dst + i2), t4K);
        STOREU_CPX((400 + dst + i2), t5K);
        t6K = ADD_CPX_CPX(t7J, s2v);
        t7K = ADD_CPX_CPX(t9J, s3v);
        t8K = SUB_CPX_CPX(t7J, s2v);
        t9K = SUB_CPX_CPX(t9J, s3v);
        STOREU_CPX((80 + dst + i2), t6K);
        STOREU_CPX((208 + dst + i2), t7K);
        STOREU_CPX((336 + dst + i2), t8K);
        STOREU_CPX((464 + dst + i2), t9K);
        t0L = ADD_CPX_CPX(t3I, s8u);
        t1L = ADD_CPX_CPX(t5I, s9u);
        t2L = SUB_CPX_CPX(t3I, s8u);
        t3L = SUB_CPX_CPX(t5I, s9u);
        t4L = ADD_CPX_CPX(s6u, s0v);
        t5L = SUB_CPX_CPX(s7u, s1v);
        a2k = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s6u, s0v));
        a3k = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s7u, s1v));
        s4v = ADD_CPX_CPX(a2k, a3k);
        s5v = SUB_CPX_CPX(a3k, a2k);
        t6L = ADD_CPX_CPX(t0L, t4L);
        t7L = ADD_CPX_CPX(t2L, t5L);
        t8L = SUB_CPX_CPX(t0L, t4L);
        t9L = SUB_CPX_CPX(t2L, t5L);
        STOREU_CPX((48 + dst + i2), t6L);
        STOREU_CPX((176 + dst + i2), t7L);
        STOREU_CPX((304 + dst + i2), t8L);
        STOREU_CPX((432 + dst + i2), t9L);
        t0M = ADD_CPX_CPX(t1L, s4v);
        t1M = ADD_CPX_CPX(t3L, s5v);
        t2M = SUB_CPX_CPX(t1L, s4v);
        t3M = SUB_CPX_CPX(t3L, s5v);
        STOREU_CPX((112 + dst + i2), t0M);
        STOREU_CPX((240 + dst + i2), t1M);
        STOREU_CPX((368 + dst + i2), t2M);
        STOREU_CPX((496 + dst + i2), t3M);
        t4M = ADD_CPX_CPX(t17, s8f);
        t5M = ADD_CPX_CPX(t37, s9f);
        t6M = SUB_CPX_CPX(t17, s8f);
        t7M = SUB_CPX_CPX(t37, s9f);
        t8M = ADD_CPX_CPX(s85, s0q);
        t9M = ADD_CPX_CPX(s95, s1q);
        t0N = SUB_CPX_CPX(s85, s0q);
        t1N = SUB_CPX_CPX(s95, s1q);
        s6v = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t0N), MUL_FLT_CPX(C_FLT(0.38268343236508978), t1N));
        s7v = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t1N), MUL_FLT_CPX(C_FLT(0.38268343236508978), t0N));
        t2N = ADD_CPX_CPX(s29, s6m);
        t3N = SUB_CPX_CPX(s39, s7m);
        a4k = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s29, s6m));
        a5k = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s39, s7m));
        s8v = ADD_CPX_CPX(a4k, a5k);
        s9v = SUB_CPX_CPX(a5k, a4k);
        t4N = ADD_CPX_CPX(s6c, s2j);
        t5N = SUB_CPX_CPX(s7c, s3j);
        t6N = SUB_CPX_CPX(s6c, s2j);
        t7N = ADD_CPX_CPX(s7c, s3j);
        s0w = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t6N), MUL_FLT_CPX(C_FLT(0.92387953251128674), t7N));
        s1w = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t7N), MUL_FLT_CPX(C_FLT(0.92387953251128674), t6N));
        t8N = ADD_CPX_CPX(t4M, t2N);
        t9N = ADD_CPX_CPX(t6M, t3N);
        t0O = SUB_CPX_CPX(t4M, t2N);
        t1O = SUB_CPX_CPX(t6M, t3N);
        t2O = ADD_CPX_CPX(t8M, t4N);
        t3O = SUB_CPX_CPX(t9M, t5N);
        a6k = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8M, t4N));
        a7k = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t9M, t5N));
        s2w = ADD_CPX_CPX(a6k, a7k);
        s3w = SUB_CPX_CPX(a7k, a6k);
        t4O = ADD_CPX_CPX(t8N, t2O);
        t5O = ADD_CPX_CPX(t0O, t3O);
        t6O = SUB_CPX_CPX(t8N, t2O);
        t7O = SUB_CPX_CPX(t0O, t3O);
        STOREU_CPX((20 + dst + i2), t4O);
        STOREU_CPX((148 + dst + i2), t5O);
        STOREU_CPX((276 + dst + i2), t6O);
        STOREU_CPX((404 + dst + i2), t7O);
        t8O = ADD_CPX_CPX(t9N, s2w);
        t9O = ADD_CPX_CPX(t1O, s3w);
        t0P = SUB_CPX_CPX(t9N, s2w);
        t1P = SUB_CPX_CPX(t1O, s3w);
        STOREU_CPX((84 + dst + i2), t8O);
        STOREU_CPX((212 + dst + i2), t9O);
        STOREU_CPX((340 + dst + i2), t0P);
        STOREU_CPX((468 + dst + i2), t1P);
        t2P = ADD_CPX_CPX(t5M, s8v);
        t3P = ADD_CPX_CPX(t7M, s9v);
        t4P = SUB_CPX_CPX(t5M, s8v);
        t5P = SUB_CPX_CPX(t7M, s9v);
        t6P = ADD_CPX_CPX(s6v, s0w);
        t7P = SUB_CPX_CPX(s7v, s1w);
        a8k = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s6v, s0w));
        a9k = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s7v, s1w));
        s4w = ADD_CPX_CPX(a8k, a9k);
        s5w = SUB_CPX_CPX(a9k, a8k);
        t8P = ADD_CPX_CPX(t2P, t6P);
        t9P = ADD_CPX_CPX(t4P, t7P);
        t0Q = SUB_CPX_CPX(t2P, t6P);
        t1Q = SUB_CPX_CPX(t4P, t7P);
        STOREU_CPX((52 + dst + i2), t8P);
        STOREU_CPX((180 + dst + i2), t9P);
        STOREU_CPX((308 + dst + i2), t0Q);
        STOREU_CPX((436 + dst + i2), t1Q);
        t2Q = ADD_CPX_CPX(t3P, s4w);
        t3Q = ADD_CPX_CPX(t5P, s5w);
        t4Q = SUB_CPX_CPX(t3P, s4w);
        t5Q = SUB_CPX_CPX(t5P, s5w);
        STOREU_CPX((116 + dst + i2), t2Q);
        STOREU_CPX((244 + dst + i2), t3Q);
        STOREU_CPX((372 + dst + i2), t4Q);
        STOREU_CPX((500 + dst + i2), t5Q);
        t6Q = ADD_CPX_CPX(t16, s0g);
        t7Q = ADD_CPX_CPX(t36, s1g);
        t8Q = SUB_CPX_CPX(t16, s0g);
        t9Q = SUB_CPX_CPX(t36, s1g);
        t0R = ADD_CPX_CPX(s06, s2q);
        t1R = ADD_CPX_CPX(s16, s3q);
        t2R = SUB_CPX_CPX(s06, s2q);
        t3R = SUB_CPX_CPX(s16, s3q);
        s6w = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t2R), MUL_FLT_CPX(C_FLT(0.38268343236508978), t3R));
        s7w = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t3R), MUL_FLT_CPX(C_FLT(0.38268343236508978), t2R));
        t4R = ADD_CPX_CPX(s49, s8m);
        t5R = ADD_CPX_CPX(s59, s9m);
        a0l = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s49, s8m));
        a1l = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s59, s9m));
        s8w = ADD_CPX_CPX(a0l, a1l);
        s9w = SUB_CPX_CPX(a1l, a0l);
        t6R = ADD_CPX_CPX(s8c, s4j);
        t7R = SUB_CPX_CPX(s9c, s5j);
        t8R = SUB_CPX_CPX(s8c, s4j);
        t9R = ADD_CPX_CPX(s9c, s5j);
        s0x = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t8R), MUL_FLT_CPX(C_FLT(0.92387953251128674), t9R));
        s1x = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t9R), MUL_FLT_CPX(C_FLT(0.92387953251128674), t8R));
        t0S = ADD_CPX_CPX(t6Q, t4R);
        t1S = ADD_CPX_CPX(t8Q, t5R);
        t2S = SUB_CPX_CPX(t6Q, t4R);
        t3S = SUB_CPX_CPX(t8Q, t5R);
        t4S = ADD_CPX_CPX(t0R, t6R);
        t5S = SUB_CPX_CPX(t1R, t7R);
        a2l = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0R, t6R));
        a3l = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t1R, t7R));
        s2x = ADD_CPX_CPX(a2l, a3l);
        s3x = SUB_CPX_CPX(a3l, a2l);
        t6S = ADD_CPX_CPX(t0S, t4S);
        t7S = ADD_CPX_CPX(t2S, t5S);
        t8S = SUB_CPX_CPX(t0S, t4S);
        t9S = SUB_CPX_CPX(t2S, t5S);
        STOREU_CPX((24 + dst + i2), t6S);
        STOREU_CPX((152 + dst + i2), t7S);
        STOREU_CPX((280 + dst + i2), t8S);
        STOREU_CPX((408 + dst + i2), t9S);
        t0T = ADD_CPX_CPX(t1S, s2x);
        t1T = ADD_CPX_CPX(t3S, s3x);
        t2T = SUB_CPX_CPX(t1S, s2x);
        t3T = SUB_CPX_CPX(t3S, s3x);
        STOREU_CPX((88 + dst + i2), t0T);
        STOREU_CPX((216 + dst + i2), t1T);
        STOREU_CPX((344 + dst + i2), t2T);
        STOREU_CPX((472 + dst + i2), t3T);
        t4T = ADD_CPX_CPX(t7Q, s8w);
        t5T = ADD_CPX_CPX(t9Q, s9w);
        t6T = SUB_CPX_CPX(t7Q, s8w);
        t7T = SUB_CPX_CPX(t9Q, s9w);
        t8T = ADD_CPX_CPX(s6w, s0x);
        t9T = SUB_CPX_CPX(s7w, s1x);
        a4l = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s6w, s0x));
        a5l = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s7w, s1x));
        s4x = ADD_CPX_CPX(a4l, a5l);
        s5x = SUB_CPX_CPX(a5l, a4l);
        t0U = ADD_CPX_CPX(t4T, t8T);
        t1U = ADD_CPX_CPX(t6T, t9T);
        t2U = SUB_CPX_CPX(t4T, t8T);
        t3U = SUB_CPX_CPX(t6T, t9T);
        STOREU_CPX((56 + dst + i2), t0U);
        STOREU_CPX((184 + dst + i2), t1U);
        STOREU_CPX((312 + dst + i2), t2U);
        STOREU_CPX((440 + dst + i2), t3U);
        t4U = ADD_CPX_CPX(t5T, s4x);
        t5U = ADD_CPX_CPX(t7T, s5x);
        t6U = SUB_CPX_CPX(t5T, s4x);
        t7U = SUB_CPX_CPX(t7T, s5x);
        STOREU_CPX((120 + dst + i2), t4U);
        STOREU_CPX((248 + dst + i2), t5U);
        STOREU_CPX((376 + dst + i2), t6U);
        STOREU_CPX((504 + dst + i2), t7U);
        t8U = ADD_CPX_CPX(t57, s2g);
        t9U = ADD_CPX_CPX(t77, s3g);
        t0V = SUB_CPX_CPX(t57, s2g);
        t1V = SUB_CPX_CPX(t77, s3g);
        t2V = ADD_CPX_CPX(s26, s4q);
        t3V = ADD_CPX_CPX(s36, s5q);
        t4V = SUB_CPX_CPX(s26, s4q);
        t5V = SUB_CPX_CPX(s36, s5q);
        s6x = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t4V), MUL_FLT_CPX(C_FLT(0.38268343236508978), t5V));
        s7x = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t5V), MUL_FLT_CPX(C_FLT(0.38268343236508978), t4V));
        t6V = ADD_CPX_CPX(s69, s0n);
        t7V = ADD_CPX_CPX(s79, s1n);
        a6l = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s69, s0n));
        a7l = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s79, s1n));
        s8x = ADD_CPX_CPX(a6l, a7l);
        s9x = SUB_CPX_CPX(a7l, a6l);
        t8V = ADD_CPX_CPX(s0d, s6j);
        t9V = ADD_CPX_CPX(s1d, s7j);
        t0W = SUB_CPX_CPX(s0d, s6j);
        t1W = SUB_CPX_CPX(s1d, s7j);
        s0y = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t0W), MUL_FLT_CPX(C_FLT(0.92387953251128674), t1W));
        s1y = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t1W), MUL_FLT_CPX(C_FLT(0.92387953251128674), t0W));
        t2W = ADD_CPX_CPX(t8U, t6V);
        t3W = ADD_CPX_CPX(t0V, t7V);
        t4W = SUB_CPX_CPX(t8U, t6V);
        t5W = SUB_CPX_CPX(t0V, t7V);
        t6W = ADD_CPX_CPX(t2V, t8V);
        t7W = SUB_CPX_CPX(t3V, t9V);
        a8l = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2V, t8V));
        a9l = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t3V, t9V));
        s2y = ADD_CPX_CPX(a8l, a9l);
        s3y = SUB_CPX_CPX(a9l, a8l);
        t8W = ADD_CPX_CPX(t2W, t6W);
        t9W = ADD_CPX_CPX(t4W, t7W);
        t0X = SUB_CPX_CPX(t2W, t6W);
        t1X = SUB_CPX_CPX(t4W, t7W);
        STOREU_CPX((28 + dst + i2), t8W);
        STOREU_CPX((156 + dst + i2), t9W);
        STOREU_CPX((284 + dst + i2), t0X);
        STOREU_CPX((412 + dst + i2), t1X);
        t2X = ADD_CPX_CPX(t3W, s2y);
        t3X = ADD_CPX_CPX(t5W, s3y);
        t4X = SUB_CPX_CPX(t3W, s2y);
        t5X = SUB_CPX_CPX(t5W, s3y);
        STOREU_CPX((92 + dst + i2), t2X);
        STOREU_CPX((220 + dst + i2), t3X);
        STOREU_CPX((348 + dst + i2), t4X);
        STOREU_CPX((476 + dst + i2), t5X);
        t6X = ADD_CPX_CPX(t9U, s8x);
        t7X = ADD_CPX_CPX(t1V, s9x);
        t8X = SUB_CPX_CPX(t9U, s8x);
        t9X = SUB_CPX_CPX(t1V, s9x);
        t0Y = ADD_CPX_CPX(s6x, s0y);
        t1Y = SUB_CPX_CPX(s7x, s1y);
        a0m = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s6x, s0y));
        a1m = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s7x, s1y));
        s4y = ADD_CPX_CPX(a0m, a1m);
        s5y = SUB_CPX_CPX(a1m, a0m);
        t2Y = ADD_CPX_CPX(t6X, t0Y);
        t3Y = ADD_CPX_CPX(t8X, t1Y);
        t4Y = SUB_CPX_CPX(t6X, t0Y);
        t5Y = SUB_CPX_CPX(t8X, t1Y);
        STOREU_CPX((60 + dst + i2), t2Y);
        STOREU_CPX((188 + dst + i2), t3Y);
        STOREU_CPX((316 + dst + i2), t4Y);
        STOREU_CPX((444 + dst + i2), t5Y);
        t6Y = ADD_CPX_CPX(t7X, s4y);
        t7Y = ADD_CPX_CPX(t9X, s5y);
        t8Y = SUB_CPX_CPX(t7X, s4y);
        t9Y = SUB_CPX_CPX(t9X, s5y);
        STOREU_CPX((124 + dst + i2), t6Y);
        STOREU_CPX((252 + dst + i2), t7Y);
        STOREU_CPX((380 + dst + i2), t8Y);
        STOREU_CPX((508 + dst + i2), t9Y);
    }}
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_fftinv_double_512)(const double *pSrc, double *pDst ) {
    if (!is_aligned(pSrc) || !is_aligned(pDst))
       	return spiral_fftinv_double_512_unaligned(pSrc, pDst );
    else {
    const CPX  *src = (const CPX *) pSrc; 
    CPX        *dst = (CPX *) pDst;
    
    
    { SPIRAL_ALIGNED(CPX T[512]);
    CPX  *a03, *a04, *a05, *a06, *a07, *a08, *a09, *a0a, *a0b, *a0c, *a0d, *a0e, *a0f, *a0g, *a0h, *a0i, *a13, *a14, *a15, *a16, *a17, *a18
            , *a19, *a1a, *a1b, *a1c, *a1d, *a1e, *a1f, *a1g, *a1h, *a1i, *a23, *a25, *a27, *a29, *a2b, *a2d, *a2e, *a2f, *a2g, *a2h, *a2i, *a2j
            , *a33, *a35, *a37, *a39, *a3b, *a3d, *a3e, *a3f, *a3g, *a3h, *a3i, *a42, *a43, *a45, *a47, *a49, *a4b, *a4d, *a4f, *a4h, *a52, *a53
            , *a55, *a57, *a59, *a5b, *a5d, *a5f, *a5h, *a62, *a64, *a65, *a66, *a67, *a68, *a69, *a6a, *a6b, *a6d, *a6f, *a6h, *a72, *a74, *a75
            , *a76, *a77, *a78, *a79, *a7a, *a7b, *a7d, *a7f, *a7h, *a82, *a83, *a84, *a85, *a86, *a87, *a88, *a89, *a8a, *a8b, *a8c, *a8d, *a8e
            , *a8f, *a8g, *a8h, *a92, *a93, *a94, *a95, *a96, *a97, *a98, *a99, *a9a, *a9b, *a9c, *a9d, *a9e, *a9f, *a9g, *a9h, *b2;
    const CPX  *a, *a01, *a11, *a2, *a21, *a3, *a31, *a4, *a41, *a5, *a51, *a6, *a61, *a7, *a71, *b;
    FLT  *a02, *a12, *a22, *a32, *a81, *a91;
    CPX a0j, a0k, a0l, a0m, a0n, a1j, a1k, a1l, a1m, a1n, a24, a26, a28, a2a, a2c, a2k, a2l, a2m, a2n, a34, a36, a38
        , a3a, a3c, a3j, a3k, a3l, a3m, a3n, a44, a46, a48, a4a, a4c, a4e, a4g, a4i, a4j, a4k, a4l, a4m, a4n, a54, a56
        , a58, a5a, a5c, a5e, a5g, a5i, a5j, a5k, a5l, a5m, a5n, a63, a6c, a6e, a6g, a6i, a6j, a6k, a6l, a6m, a6n, a73
        , a7c, a7e, a7g, a7i, a7j, a7k, a7l, a7m, a8, a8i, a8j, a8k, a8l, a8m, a9, a9i, a9j, a9k, a9l, a9m, s, s01
        , s02, s03, s04, s05, s06, s07, s08, s09, s0a, s0b, s0c, s0d, s0e, s0f, s0g, s0h, s0i, s0j, s0k, s0l, s0m, s0n
        , s0o, s0p, s0q, s0r, s0s, s0t, s0u, s0v, s0w, s11, s12, s13, s14, s15, s16, s17, s18, s19, s1a, s1b, s1c, s1d
        , s1e, s1f, s1g, s1h, s1i, s1j, s1k, s1l, s1m, s1n, s1o, s1p, s1q, s1r, s1s, s1t, s1u, s1v, s1w, s2, s21, s22
        , s23, s24, s25, s26, s27, s28, s29, s2a, s2b, s2c, s2d, s2e, s2f, s2g, s2h, s2i, s2j, s2k, s2l, s2m, s2n, s2o
        , s2p, s2q, s2r, s2s, s2t, s2u, s2v, s2w, s3, s31, s32, s33, s34, s35, s36, s37, s38, s39, s3a, s3b, s3c, s3d
        , s3e, s3f, s3g, s3h, s3i, s3j, s3k, s3l, s3m, s3n, s3o, s3p, s3q, s3r, s3s, s3t, s3u, s3v, s3w, s4, s41, s42
        , s43, s44, s45, s46, s47, s48, s49, s4a, s4b, s4c, s4d, s4e, s4f, s4g, s4h, s4i, s4j, s4k, s4l, s4m, s4n, s4o
        , s4p, s4q, s4r, s4s, s4t, s4u, s4v, s4w, s5, s51, s52, s53, s54, s55, s56, s57, s58, s59, s5a, s5b, s5c, s5d
        , s5e, s5f, s5g, s5h, s5i, s5j, s5k, s5l, s5m, s5n, s5o, s5p, s5q, s5r, s5s, s5t, s5u, s5v, s5w, s6, s61, s62
        , s63, s64, s65, s66, s67, s68, s69, s6a, s6b, s6c, s6d, s6e, s6f, s6g, s6h, s6i, s6j, s6k, s6l, s6m, s6n, s6o
        , s6p, s6q, s6r, s6s, s6t, s6u, s6v, s6w, s7, s71, s72, s73, s74, s75, s76, s77, s78, s79, s7a, s7b, s7c, s7d
        , s7e, s7f, s7g, s7h, s7i, s7j, s7k, s7l, s7m, s7n, s7o, s7p, s7q, s7r, s7s, s7t, s7u, s7v, s7w, s8, s81, s82
        , s83, s84, s85, s86, s87, s88, s89, s8a, s8b, s8c, s8d, s8e, s8f, s8g, s8h, s8i, s8j, s8k, s8l, s8m, s8n, s8o
        , s8p, s8q, s8r, s8s, s8t, s8u, s8v, s8w, s9, s91, s92, s93, s94, s95, s96, s97, s98, s99, s9a, s9b, s9c, s9d
        , s9e, s9f, s9g, s9h, s9i, s9j, s9k, s9l, s9m, s9n, s9o, s9p, s9q, s9r, s9s, s9t, s9u, s9v, s9w, t, t01, t02
        , t03, t04, t05, t06, t07, t08, t09, t0A, t0B, t0C, t0D, t0E, t0F, t0G, t0H, t0I, t0J, t0K, t0L, t0M, t0a, t0b
        , t0c, t0d, t0e, t0f, t0g, t0h, t0i, t0j, t0k, t0l, t0m, t0n, t0o, t0p, t0q, t0r, t0s, t0t, t0u, t0v, t0w, t0x
        , t0y, t0z, t11, t12, t13, t14, t15, t16, t17, t18, t19, t1A, t1B, t1C, t1D, t1E, t1F, t1G, t1H, t1I, t1J, t1K
        , t1L, t1M, t1a, t1b, t1c, t1d, t1e, t1f, t1g, t1h, t1i, t1j, t1k, t1l, t1m, t1n, t1o, t1p, t1q, t1r, t1s, t1t
        , t1u, t1v, t1w, t1x, t1y, t1z, t2, t21, t22, t23, t24, t25, t26, t27, t28, t29, t2A, t2B, t2C, t2D, t2E, t2F
        , t2G, t2H, t2I, t2J, t2K, t2L, t2a, t2b, t2c, t2d, t2e, t2f, t2g, t2h, t2i, t2j, t2k, t2l, t2m, t2n, t2o, t2p
        , t2q, t2r, t2s, t2t, t2u, t2v, t2w, t2x, t2y, t2z, t3, t31, t32, t33, t34, t35, t36, t37, t38, t39, t3A, t3B
        , t3C, t3D, t3E, t3F, t3G, t3H, t3I, t3J, t3K, t3L, t3a, t3b, t3c, t3d, t3e, t3f, t3g, t3h, t3i, t3j, t3k, t3l
        , t3m, t3n, t3o, t3p, t3q, t3r, t3s, t3t, t3u, t3v, t3w, t3x, t3y, t3z, t4, t41, t42, t43, t44, t45, t46, t47
        , t48, t49, t4A, t4B, t4C, t4D, t4E, t4F, t4G, t4H, t4I, t4J, t4K, t4L, t4a, t4b, t4c, t4d, t4e, t4f, t4g, t4h
        , t4i, t4j, t4k, t4l, t4m, t4n, t4o, t4p, t4q, t4r, t4s, t4t, t4u, t4v, t4w, t4x, t4y, t4z, t5, t51, t52, t53
        , t54, t55, t56, t57, t58, t59, t5A, t5B, t5C, t5D, t5E, t5F, t5G, t5H, t5I, t5J, t5K, t5L, t5a, t5b, t5c, t5d
        , t5e, t5f, t5g, t5h, t5i, t5j, t5k, t5l, t5m, t5n, t5o, t5p, t5q, t5r, t5s, t5t, t5u, t5v, t5w, t5x, t5y, t5z
        , t6, t61, t62, t63, t64, t65, t66, t67, t68, t69, t6A, t6B, t6C, t6D, t6E, t6F, t6G, t6H, t6I, t6J, t6K, t6L
        , t6a, t6b, t6c, t6d, t6e, t6f, t6g, t6h, t6i, t6j, t6k, t6l, t6m, t6n, t6o, t6p, t6q, t6r, t6s, t6t, t6u, t6v
        , t6w, t6x, t6y, t6z, t7, t71, t72, t73, t74, t75, t76, t77, t78, t79, t7A, t7B, t7C, t7D, t7E, t7F, t7G, t7H
        , t7I, t7J, t7K, t7L, t7a, t7b, t7c, t7d, t7e, t7f, t7g, t7h, t7i, t7j, t7k, t7l, t7m, t7n, t7o, t7p, t7q, t7r
        , t7s, t7t, t7u, t7v, t7w, t7x, t7y, t7z, t8, t81, t82, t83, t84, t85, t86, t87, t88, t89, t8A, t8B, t8C, t8D
        , t8E, t8F, t8G, t8H, t8I, t8J, t8K, t8L, t8a, t8b, t8c, t8d, t8e, t8f, t8g, t8h, t8i, t8j, t8k, t8l, t8m, t8n
        , t8o, t8p, t8q, t8r, t8s, t8t, t8u, t8v, t8w, t8x, t8y, t8z, t9, t91, t92, t93, t94, t95, t96, t97, t98, t99
        , t9A, t9B, t9C, t9D, t9E, t9F, t9G, t9H, t9I, t9J, t9K, t9L, t9a, t9b, t9c, t9d, t9e, t9f, t9g, t9h, t9i, t9j
        , t9k, t9l, t9m, t9n, t9o, t9p, t9q, t9r, t9s, t9t, t9u, t9v, t9w, t9x, t9y, t9z;
    a = (src + 256);
    t = ADD_CPX_CPX(*(src), *(a));
    t2 = SUB_CPX_CPX(*(src), *(a));
    a2 = (src + 128);
    a3 = (src + 384);
    t3 = ADD_CPX_CPX(*(a2), *(a3));
    s = MUL_I_CPX(SUB_CPX_CPX(*(a2), *(a3)));
    t4 = ADD_CPX_CPX(t, t3);
    t5 = SUB_CPX_CPX(t, t3);
    t6 = ADD_CPX_CPX(t2, s);
    t7 = SUB_CPX_CPX(t2, s);
    a4 = (src + 64);
    a5 = (src + 448);
    t8 = ADD_CPX_CPX(*(a4), *(a5));
    t9 = ADD_CPX_CPX(MUL_I_CPX(*(a4)), MUL_NI_CPX(*(a5)));
    a6 = (src + 320);
    a7 = (src + 192);
    t01 = ADD_CPX_CPX(*(a6), *(a7));
    t11 = ADD_CPX_CPX(MUL_I_CPX(*(a6)), MUL_NI_CPX(*(a7)));
    t21 = ADD_CPX_CPX(t8, t01);
    t31 = ADD_CPX_CPX(t9, t11);
    a8 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8, t01));
    a9 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9, t11));
    s2 = ADD_CPX_CPX(a8, a9);
    s3 = SUB_CPX_CPX(a9, a8);
    *(T) = ADD_CPX_CPX(t4, t21);
    *((T + 2)) = ADD_CPX_CPX(t5, t31);
    *((T + 4)) = SUB_CPX_CPX(t4, t21);
    *((T + 6)) = SUB_CPX_CPX(t5, t31);
    *((T + 1)) = ADD_CPX_CPX(t6, s2);
    *((T + 3)) = ADD_CPX_CPX(t7, s3);
    *((T + 5)) = SUB_CPX_CPX(t6, s2);
    *((T + 7)) = SUB_CPX_CPX(t7, s3);
    {long i; for(i = 0; i <= 62; i++) {
        b = (src + i);
        a01 = (b + 1);
        a11 = (src + (511 - i));
        t41 = ADD_CPX_CPX(*(a01), *(a11));
        t51 = ADD_CPX_CPX(MUL_I_CPX(*(a01)), MUL_NI_CPX(*(a11)));
        a21 = (b + 129);
        a31 = (src + (383 - i));
        t61 = ADD_CPX_CPX(*(a21), *(a31));
        t71 = ADD_CPX_CPX(MUL_I_CPX(*(a21)), MUL_NI_CPX(*(a31)));
        a41 = (b + 257);
        a51 = (src + (255 - i));
        t81 = ADD_CPX_CPX(*(a41), *(a51));
        t91 = ADD_CPX_CPX(MUL_I_CPX(*(a41)), MUL_NI_CPX(*(a51)));
        a61 = (b + 385);
        a71 = (src + (127 - i));
        t02 = ADD_CPX_CPX(*(a61), *(a71));
        t12 = ADD_CPX_CPX(MUL_I_CPX(*(a61)), MUL_NI_CPX(*(a71)));
        t22 = ADD_CPX_CPX(t41, t81);
        t32 = ADD_CPX_CPX(t51, t91);
        t42 = SUB_CPX_CPX(t41, t81);
        t52 = SUB_CPX_CPX(t51, t91);
        t62 = ADD_CPX_CPX(t61, t02);
        t72 = ADD_CPX_CPX(t71, t12);
        t82 = SUB_CPX_CPX(t61, t02);
        t92 = SUB_CPX_CPX(t71, t12);
        t03 = SUB_CPX_CPX(t22, t62);
        t13 = SUB_CPX_CPX(t32, t72);
        t23 = ADD_CPX_CPX(t42, t92);
        t33 = SUB_CPX_CPX(t52, t82);
        t43 = SUB_CPX_CPX(t42, t92);
        t53 = ADD_CPX_CPX(t52, t82);
        b2 = (T + (8*i));
        *((b2 + 8)) = ADD_CPX_CPX(t22, t62);
        *((b2 + 12)) = ADD_CPX_CPX(t32, t72);
        a81 = (D992 + (6*i));
        a91 = (a81 + 1);
        a02 = (a81 + 2);
        a12 = (a81 + 3);
        a22 = (a81 + 4);
        a32 = (a81 + 5);
        *((b2 + 9)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a81), t23), MUL_FLT_CPX(*(a91), t33));
        *((b2 + 13)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a81), t33), MUL_FLT_CPX(*(a91), t23));
        *((b2 + 10)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a02), t03), MUL_FLT_CPX(*(a12), t13));
        *((b2 + 14)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a02), t13), MUL_FLT_CPX(*(a12), t03));
        *((b2 + 11)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a22), t43), MUL_FLT_CPX(*(a32), t53));
        *((b2 + 15)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a22), t53), MUL_FLT_CPX(*(a32), t43));
    }}
    {long i2; for(i2 = 0; i2 <= 3; i2++) {
        a42 = (T + i2);
        a52 = (a42 + 4);
        a62 = (a42 + 256);
        a72 = (a42 + 260);
        t63 = ADD_CPX_CPX(*(a42), *(a62));
        t73 = ADD_CPX_CPX(*(a52), *(a72));
        t83 = SUB_CPX_CPX(*(a42), *(a62));
        t93 = SUB_CPX_CPX(*(a52), *(a72));
        a82 = (a42 + 64);
        a92 = (a42 + 68);
        a03 = (a42 + 448);
        a13 = (a42 + 452);
        t04 = ADD_CPX_CPX(*(a82), *(a03));
        t14 = SUB_CPX_CPX(*(a92), *(a13));
        t24 = SUB_CPX_CPX(*(a82), *(a03));
        t34 = ADD_CPX_CPX(*(a92), *(a13));
        s4 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t24), MUL_FLT_CPX(C_FLT(0.38268343236508978), t34));
        s5 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t34), MUL_FLT_CPX(C_FLT(0.38268343236508978), t24));
        a23 = (a42 + 128);
        a33 = (a42 + 132);
        a43 = (a42 + 384);
        a53 = (a42 + 388);
        t44 = ADD_CPX_CPX(*(a23), *(a43));
        t54 = SUB_CPX_CPX(*(a33), *(a53));
        a63 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a23), *(a43)));
        a73 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(*(a33), *(a53)));
        s6 = ADD_CPX_CPX(a63, a73);
        s7 = SUB_CPX_CPX(a73, a63);
        a83 = (a42 + 192);
        a93 = (a42 + 196);
        a04 = (a42 + 320);
        a14 = (a42 + 324);
        t64 = ADD_CPX_CPX(*(a83), *(a04));
        t74 = SUB_CPX_CPX(*(a93), *(a14));
        t84 = SUB_CPX_CPX(*(a83), *(a04));
        t94 = ADD_CPX_CPX(*(a93), *(a14));
        s8 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t84), MUL_FLT_CPX(C_FLT(0.92387953251128674), t94));
        s9 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t94), MUL_FLT_CPX(C_FLT(0.92387953251128674), t84));
        t05 = ADD_CPX_CPX(t63, t44);
        t15 = ADD_CPX_CPX(t83, t54);
        t25 = SUB_CPX_CPX(t63, t44);
        t35 = SUB_CPX_CPX(t83, t54);
        t45 = ADD_CPX_CPX(t04, t64);
        t55 = SUB_CPX_CPX(t14, t74);
        a24 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t04, t64));
        a34 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t14, t74));
        s01 = ADD_CPX_CPX(a24, a34);
        s11 = SUB_CPX_CPX(a34, a24);
        t65 = ADD_CPX_CPX(t05, t45);
        t75 = ADD_CPX_CPX(t25, t55);
        t85 = SUB_CPX_CPX(t05, t45);
        t95 = SUB_CPX_CPX(t25, t55);
        t06 = ADD_CPX_CPX(t15, s01);
        t16 = ADD_CPX_CPX(t35, s11);
        t26 = SUB_CPX_CPX(t15, s01);
        t36 = SUB_CPX_CPX(t35, s11);
        t46 = ADD_CPX_CPX(t73, s6);
        t56 = ADD_CPX_CPX(t93, s7);
        t66 = SUB_CPX_CPX(t73, s6);
        t76 = SUB_CPX_CPX(t93, s7);
        t86 = ADD_CPX_CPX(s4, s8);
        t96 = SUB_CPX_CPX(s5, s9);
        a44 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4, s8));
        a54 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5, s9));
        s21 = ADD_CPX_CPX(a44, a54);
        s31 = SUB_CPX_CPX(a54, a44);
        t07 = ADD_CPX_CPX(t46, t86);
        t17 = ADD_CPX_CPX(t66, t96);
        t27 = SUB_CPX_CPX(t46, t86);
        t37 = SUB_CPX_CPX(t66, t96);
        t47 = ADD_CPX_CPX(t56, s21);
        t57 = ADD_CPX_CPX(t76, s31);
        t67 = SUB_CPX_CPX(t56, s21);
        t77 = SUB_CPX_CPX(t76, s31);
        a64 = (a42 + 8);
        a74 = (a42 + 12);
        a84 = (a42 + 504);
        a94 = (a42 + 508);
        t87 = ADD_CPX_CPX(*(a64), *(a84));
        t97 = SUB_CPX_CPX(*(a74), *(a94));
        t08 = SUB_CPX_CPX(*(a64), *(a84));
        t18 = ADD_CPX_CPX(*(a74), *(a94));
        a05 = (a42 + 264);
        a15 = (a42 + 268);
        a25 = (a42 + 248);
        a35 = (a42 + 252);
        t28 = ADD_CPX_CPX(*(a05), *(a25));
        t38 = SUB_CPX_CPX(*(a15), *(a35));
        t48 = SUB_CPX_CPX(*(a05), *(a25));
        t58 = ADD_CPX_CPX(*(a15), *(a35));
        t68 = ADD_CPX_CPX(t87, t28);
        t78 = ADD_CPX_CPX(t97, t38);
        t88 = SUB_CPX_CPX(t87, t28);
        t98 = SUB_CPX_CPX(t97, t38);
        t09 = ADD_CPX_CPX(t08, t58);
        t19 = SUB_CPX_CPX(t18, t48);
        t29 = SUB_CPX_CPX(t08, t58);
        t39 = ADD_CPX_CPX(t18, t48);
        a45 = (a42 + 136);
        a55 = (a42 + 140);
        a65 = (a42 + 120);
        a75 = (a42 + 124);
        t49 = ADD_CPX_CPX(*(a45), *(a65));
        t59 = SUB_CPX_CPX(*(a55), *(a75));
        t69 = ADD_CPX_CPX(*(a55), *(a75));
        t79 = SUB_CPX_CPX(*(a65), *(a45));
        a85 = (a42 + 376);
        a95 = (a42 + 380);
        a06 = (a42 + 392);
        a16 = (a42 + 396);
        t89 = ADD_CPX_CPX(*(a85), *(a06));
        t99 = SUB_CPX_CPX(*(a16), *(a95));
        t0a = ADD_CPX_CPX(*(a95), *(a16));
        t1a = SUB_CPX_CPX(*(a06), *(a85));
        s41 = ADD_CPX_CPX(t49, t89);
        s51 = ADD_CPX_CPX(t59, t99);
        s61 = SUB_CPX_CPX(t69, t0a);
        s71 = ADD_CPX_CPX(t79, t1a);
        a26 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t49, t89));
        a36 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t69, t0a));
        t2a = ADD_CPX_CPX(a26, a36);
        a46 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t59, t99));
        a56 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t79, t1a));
        t3a = ADD_CPX_CPX(a46, a56);
        t4a = SUB_CPX_CPX(a36, a26);
        t5a = SUB_CPX_CPX(a56, a46);
        s81 = ADD_CPX_CPX(t68, s41);
        s91 = ADD_CPX_CPX(t78, s51);
        s02 = ADD_CPX_CPX(t88, s61);
        s12 = ADD_CPX_CPX(t98, s71);
        s22 = SUB_CPX_CPX(t68, s41);
        s32 = SUB_CPX_CPX(t78, s51);
        s42 = SUB_CPX_CPX(t88, s61);
        s52 = SUB_CPX_CPX(t98, s71);
        s62 = ADD_CPX_CPX(t09, t2a);
        s72 = ADD_CPX_CPX(t19, t3a);
        s82 = ADD_CPX_CPX(t29, t4a);
        s92 = ADD_CPX_CPX(t39, t5a);
        s03 = SUB_CPX_CPX(t09, t2a);
        s13 = SUB_CPX_CPX(t19, t3a);
        s23 = SUB_CPX_CPX(t29, t4a);
        s33 = SUB_CPX_CPX(t39, t5a);
        s43 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99879545620517241), s62), MUL_FLT_CPX(C_FLT(0.049067674327418015), s72));
        s53 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99879545620517241), s72), MUL_FLT_CPX(C_FLT(0.049067674327418015), s62));
        s63 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), s02), MUL_FLT_CPX(C_FLT(0.098017140329560604), s12));
        s73 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), s12), MUL_FLT_CPX(C_FLT(0.098017140329560604), s02));
        s83 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s82), MUL_FLT_CPX(C_FLT(0.14673047445536175), s92));
        s93 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s92), MUL_FLT_CPX(C_FLT(0.14673047445536175), s82));
        s04 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s22), MUL_FLT_CPX(C_FLT(0.19509032201612828), s32));
        s14 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s32), MUL_FLT_CPX(C_FLT(0.19509032201612828), s22));
        s24 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.97003125319454397), s03), MUL_FLT_CPX(C_FLT(0.2429801799032639), s13));
        s34 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.97003125319454397), s13), MUL_FLT_CPX(C_FLT(0.2429801799032639), s03));
        s44 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s42), MUL_FLT_CPX(C_FLT(0.29028467725446239), s52));
        s54 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s52), MUL_FLT_CPX(C_FLT(0.29028467725446239), s42));
        s64 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), s23), MUL_FLT_CPX(C_FLT(0.33688985339222005), s33));
        s74 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), s33), MUL_FLT_CPX(C_FLT(0.33688985339222005), s23));
        a66 = (a42 + 16);
        a76 = (a42 + 20);
        a86 = (a42 + 496);
        a96 = (a42 + 500);
        t6a = ADD_CPX_CPX(*(a66), *(a86));
        t7a = SUB_CPX_CPX(*(a76), *(a96));
        t8a = SUB_CPX_CPX(*(a66), *(a86));
        t9a = ADD_CPX_CPX(*(a76), *(a96));
        a07 = (a42 + 272);
        a17 = (a42 + 276);
        a27 = (a42 + 240);
        a37 = (a42 + 244);
        t0b = ADD_CPX_CPX(*(a07), *(a27));
        t1b = SUB_CPX_CPX(*(a17), *(a37));
        t2b = SUB_CPX_CPX(*(a07), *(a27));
        t3b = ADD_CPX_CPX(*(a17), *(a37));
        t4b = ADD_CPX_CPX(t6a, t0b);
        t5b = ADD_CPX_CPX(t7a, t1b);
        t6b = SUB_CPX_CPX(t6a, t0b);
        t7b = SUB_CPX_CPX(t7a, t1b);
        t8b = ADD_CPX_CPX(t8a, t3b);
        t9b = SUB_CPX_CPX(t9a, t2b);
        t0c = SUB_CPX_CPX(t8a, t3b);
        t1c = ADD_CPX_CPX(t9a, t2b);
        a47 = (a42 + 144);
        a57 = (a42 + 148);
        a67 = (a42 + 112);
        a77 = (a42 + 116);
        t2c = ADD_CPX_CPX(*(a47), *(a67));
        t3c = SUB_CPX_CPX(*(a57), *(a77));
        t4c = ADD_CPX_CPX(*(a57), *(a77));
        t5c = SUB_CPX_CPX(*(a67), *(a47));
        a87 = (a42 + 368);
        a97 = (a42 + 372);
        a08 = (a42 + 400);
        a18 = (a42 + 404);
        t6c = ADD_CPX_CPX(*(a87), *(a08));
        t7c = SUB_CPX_CPX(*(a18), *(a97));
        t8c = ADD_CPX_CPX(*(a97), *(a18));
        t9c = SUB_CPX_CPX(*(a08), *(a87));
        s84 = ADD_CPX_CPX(t2c, t6c);
        s94 = ADD_CPX_CPX(t3c, t7c);
        s05 = SUB_CPX_CPX(t4c, t8c);
        s15 = ADD_CPX_CPX(t5c, t9c);
        a28 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2c, t6c));
        a38 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t4c, t8c));
        t0d = ADD_CPX_CPX(a28, a38);
        a48 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3c, t7c));
        a58 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t5c, t9c));
        t1d = ADD_CPX_CPX(a48, a58);
        t2d = SUB_CPX_CPX(a38, a28);
        t3d = SUB_CPX_CPX(a58, a48);
        s25 = ADD_CPX_CPX(t4b, s84);
        s35 = ADD_CPX_CPX(t5b, s94);
        s45 = ADD_CPX_CPX(t6b, s05);
        s55 = ADD_CPX_CPX(t7b, s15);
        s65 = SUB_CPX_CPX(t4b, s84);
        s75 = SUB_CPX_CPX(t5b, s94);
        s85 = SUB_CPX_CPX(t6b, s05);
        s95 = SUB_CPX_CPX(t7b, s15);
        s06 = ADD_CPX_CPX(t8b, t0d);
        s16 = ADD_CPX_CPX(t9b, t1d);
        s26 = ADD_CPX_CPX(t0c, t2d);
        s36 = ADD_CPX_CPX(t1c, t3d);
        s46 = SUB_CPX_CPX(t8b, t0d);
        s56 = SUB_CPX_CPX(t9b, t1d);
        s66 = SUB_CPX_CPX(t0c, t2d);
        s76 = SUB_CPX_CPX(t1c, t3d);
        s86 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), s06), MUL_FLT_CPX(C_FLT(0.098017140329560604), s16));
        s96 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), s16), MUL_FLT_CPX(C_FLT(0.098017140329560604), s06));
        s07 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s45), MUL_FLT_CPX(C_FLT(0.19509032201612828), s55));
        s17 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s55), MUL_FLT_CPX(C_FLT(0.19509032201612828), s45));
        s27 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s26), MUL_FLT_CPX(C_FLT(0.29028467725446239), s36));
        s37 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s36), MUL_FLT_CPX(C_FLT(0.29028467725446239), s26));
        s47 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s65), MUL_FLT_CPX(C_FLT(0.38268343236508978), s75));
        s57 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s75), MUL_FLT_CPX(C_FLT(0.38268343236508978), s65));
        s67 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s46), MUL_FLT_CPX(C_FLT(0.47139673682599764), s56));
        s77 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s56), MUL_FLT_CPX(C_FLT(0.47139673682599764), s46));
        s87 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s85), MUL_FLT_CPX(C_FLT(0.55557023301960218), s95));
        s97 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s95), MUL_FLT_CPX(C_FLT(0.55557023301960218), s85));
        s08 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), s66), MUL_FLT_CPX(C_FLT(0.63439328416364549), s76));
        s18 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), s76), MUL_FLT_CPX(C_FLT(0.63439328416364549), s66));
        a68 = (a42 + 24);
        a78 = (a42 + 28);
        a88 = (a42 + 488);
        a98 = (a42 + 492);
        t4d = ADD_CPX_CPX(*(a68), *(a88));
        t5d = SUB_CPX_CPX(*(a78), *(a98));
        t6d = SUB_CPX_CPX(*(a68), *(a88));
        t7d = ADD_CPX_CPX(*(a78), *(a98));
        a09 = (a42 + 280);
        a19 = (a42 + 284);
        a29 = (a42 + 232);
        a39 = (a42 + 236);
        t8d = ADD_CPX_CPX(*(a09), *(a29));
        t9d = SUB_CPX_CPX(*(a19), *(a39));
        t0e = SUB_CPX_CPX(*(a09), *(a29));
        t1e = ADD_CPX_CPX(*(a19), *(a39));
        t2e = ADD_CPX_CPX(t4d, t8d);
        t3e = ADD_CPX_CPX(t5d, t9d);
        t4e = SUB_CPX_CPX(t4d, t8d);
        t5e = SUB_CPX_CPX(t5d, t9d);
        t6e = ADD_CPX_CPX(t6d, t1e);
        t7e = SUB_CPX_CPX(t7d, t0e);
        t8e = SUB_CPX_CPX(t6d, t1e);
        t9e = ADD_CPX_CPX(t7d, t0e);
        a49 = (a42 + 152);
        a59 = (a42 + 156);
        a69 = (a42 + 104);
        a79 = (a42 + 108);
        t0f = ADD_CPX_CPX(*(a49), *(a69));
        t1f = SUB_CPX_CPX(*(a59), *(a79));
        t2f = ADD_CPX_CPX(*(a59), *(a79));
        t3f = SUB_CPX_CPX(*(a69), *(a49));
        a89 = (a42 + 360);
        a99 = (a42 + 364);
        a0a = (a42 + 408);
        a1a = (a42 + 412);
        t4f = ADD_CPX_CPX(*(a89), *(a0a));
        t5f = SUB_CPX_CPX(*(a1a), *(a99));
        t6f = ADD_CPX_CPX(*(a99), *(a1a));
        t7f = SUB_CPX_CPX(*(a0a), *(a89));
        s28 = ADD_CPX_CPX(t0f, t4f);
        s38 = ADD_CPX_CPX(t1f, t5f);
        s48 = SUB_CPX_CPX(t2f, t6f);
        s58 = ADD_CPX_CPX(t3f, t7f);
        a2a = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0f, t4f));
        a3a = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t2f, t6f));
        t8f = ADD_CPX_CPX(a2a, a3a);
        a4a = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t1f, t5f));
        a5a = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3f, t7f));
        t9f = ADD_CPX_CPX(a4a, a5a);
        t0g = SUB_CPX_CPX(a3a, a2a);
        t1g = SUB_CPX_CPX(a5a, a4a);
        s68 = ADD_CPX_CPX(t2e, s28);
        s78 = ADD_CPX_CPX(t3e, s38);
        s88 = ADD_CPX_CPX(t4e, s48);
        s98 = ADD_CPX_CPX(t5e, s58);
        s09 = SUB_CPX_CPX(t2e, s28);
        s19 = SUB_CPX_CPX(t3e, s38);
        s29 = SUB_CPX_CPX(t4e, s48);
        s39 = SUB_CPX_CPX(t5e, s58);
        s49 = ADD_CPX_CPX(t6e, t8f);
        s59 = ADD_CPX_CPX(t7e, t9f);
        s69 = ADD_CPX_CPX(t8e, t0g);
        s79 = ADD_CPX_CPX(t9e, t1g);
        s89 = SUB_CPX_CPX(t6e, t8f);
        s99 = SUB_CPX_CPX(t7e, t9f);
        s0a = SUB_CPX_CPX(t8e, t0g);
        s1a = SUB_CPX_CPX(t9e, t1g);
        s2a = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s49), MUL_FLT_CPX(C_FLT(0.14673047445536175), s59));
        s3a = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s59), MUL_FLT_CPX(C_FLT(0.14673047445536175), s49));
        s4a = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s88), MUL_FLT_CPX(C_FLT(0.29028467725446239), s98));
        s5a = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s98), MUL_FLT_CPX(C_FLT(0.29028467725446239), s88));
        s6a = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.90398929312344334), s69), MUL_FLT_CPX(C_FLT(0.42755509343028208), s79));
        s7a = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.90398929312344334), s79), MUL_FLT_CPX(C_FLT(0.42755509343028208), s69));
        s8a = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s09), MUL_FLT_CPX(C_FLT(0.55557023301960218), s19));
        s9a = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s19), MUL_FLT_CPX(C_FLT(0.55557023301960218), s09));
        s0b = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), s89), MUL_FLT_CPX(C_FLT(0.67155895484701844), s99));
        s1b = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), s99), MUL_FLT_CPX(C_FLT(0.67155895484701844), s89));
        s2b = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), s29), MUL_FLT_CPX(C_FLT(0.77301045336273699), s39));
        s3b = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), s39), MUL_FLT_CPX(C_FLT(0.77301045336273699), s29));
        s4b = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.51410274419322177), s0a), MUL_FLT_CPX(C_FLT(0.85772861000027212), s1a));
        s5b = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.51410274419322177), s1a), MUL_FLT_CPX(C_FLT(0.85772861000027212), s0a));
        a6a = (a42 + 32);
        a7a = (a42 + 36);
        a8a = (a42 + 480);
        a9a = (a42 + 484);
        t2g = ADD_CPX_CPX(*(a6a), *(a8a));
        t3g = SUB_CPX_CPX(*(a7a), *(a9a));
        t4g = SUB_CPX_CPX(*(a6a), *(a8a));
        t5g = ADD_CPX_CPX(*(a7a), *(a9a));
        a0b = (a42 + 288);
        a1b = (a42 + 292);
        a2b = (a42 + 224);
        a3b = (a42 + 228);
        t6g = ADD_CPX_CPX(*(a0b), *(a2b));
        t7g = SUB_CPX_CPX(*(a1b), *(a3b));
        t8g = SUB_CPX_CPX(*(a0b), *(a2b));
        t9g = ADD_CPX_CPX(*(a1b), *(a3b));
        t0h = ADD_CPX_CPX(t2g, t6g);
        t1h = ADD_CPX_CPX(t3g, t7g);
        t2h = SUB_CPX_CPX(t2g, t6g);
        t3h = SUB_CPX_CPX(t3g, t7g);
        t4h = ADD_CPX_CPX(t4g, t9g);
        t5h = SUB_CPX_CPX(t5g, t8g);
        t6h = SUB_CPX_CPX(t4g, t9g);
        t7h = ADD_CPX_CPX(t5g, t8g);
        a4b = (a42 + 160);
        a5b = (a42 + 164);
        a6b = (a42 + 96);
        a7b = (a42 + 100);
        t8h = ADD_CPX_CPX(*(a4b), *(a6b));
        t9h = SUB_CPX_CPX(*(a5b), *(a7b));
        t0i = ADD_CPX_CPX(*(a5b), *(a7b));
        t1i = SUB_CPX_CPX(*(a6b), *(a4b));
        a8b = (a42 + 352);
        a9b = (a42 + 356);
        a0c = (a42 + 416);
        a1c = (a42 + 420);
        t2i = ADD_CPX_CPX(*(a8b), *(a0c));
        t3i = SUB_CPX_CPX(*(a1c), *(a9b));
        t4i = ADD_CPX_CPX(*(a9b), *(a1c));
        t5i = SUB_CPX_CPX(*(a0c), *(a8b));
        s6b = ADD_CPX_CPX(t8h, t2i);
        s7b = ADD_CPX_CPX(t9h, t3i);
        s8b = SUB_CPX_CPX(t0i, t4i);
        s9b = ADD_CPX_CPX(t1i, t5i);
        a2c = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8h, t2i));
        a3c = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t0i, t4i));
        t6i = ADD_CPX_CPX(a2c, a3c);
        a4c = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9h, t3i));
        a5c = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t1i, t5i));
        t7i = ADD_CPX_CPX(a4c, a5c);
        t8i = SUB_CPX_CPX(a3c, a2c);
        t9i = SUB_CPX_CPX(a5c, a4c);
        s0c = ADD_CPX_CPX(t0h, s6b);
        s1c = ADD_CPX_CPX(t1h, s7b);
        s2c = ADD_CPX_CPX(t2h, s8b);
        s3c = ADD_CPX_CPX(t3h, s9b);
        s4c = SUB_CPX_CPX(t2h, s8b);
        s5c = SUB_CPX_CPX(t3h, s9b);
        s6c = ADD_CPX_CPX(t4h, t6i);
        s7c = ADD_CPX_CPX(t5h, t7i);
        s8c = ADD_CPX_CPX(t6h, t8i);
        s9c = ADD_CPX_CPX(t7h, t9i);
        s0d = SUB_CPX_CPX(t4h, t6i);
        s1d = SUB_CPX_CPX(t5h, t7i);
        s2d = SUB_CPX_CPX(t6h, t8i);
        s3d = SUB_CPX_CPX(t7h, t9i);
        s4d = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s6c), MUL_FLT_CPX(C_FLT(0.19509032201612828), s7c));
        s5d = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s7c), MUL_FLT_CPX(C_FLT(0.19509032201612828), s6c));
        s6d = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s2c), MUL_FLT_CPX(C_FLT(0.38268343236508978), s3c));
        s7d = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s3c), MUL_FLT_CPX(C_FLT(0.38268343236508978), s2c));
        s8d = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s8c), MUL_FLT_CPX(C_FLT(0.55557023301960218), s9c));
        s9d = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s9c), MUL_FLT_CPX(C_FLT(0.55557023301960218), s8c));
        a6c = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0h, s6b));
        a7c = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t1h, s7b));
        s0e = ADD_CPX_CPX(a6c, a7c);
        s1e = SUB_CPX_CPX(a7c, a6c);
        s2e = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s0d), MUL_FLT_CPX(C_FLT(0.83146961230254524), s1d));
        s3e = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s1d), MUL_FLT_CPX(C_FLT(0.83146961230254524), s0d));
        s4e = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s4c), MUL_FLT_CPX(C_FLT(0.92387953251128674), s5c));
        s5e = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s5c), MUL_FLT_CPX(C_FLT(0.92387953251128674), s4c));
        s6e = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s2d), MUL_FLT_CPX(C_FLT(0.98078528040323043), s3d));
        s7e = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s3d), MUL_FLT_CPX(C_FLT(0.98078528040323043), s2d));
        a8c = (a42 + 40);
        a9c = (a42 + 44);
        a0d = (a42 + 472);
        a1d = (a42 + 476);
        t0j = ADD_CPX_CPX(*(a8c), *(a0d));
        t1j = SUB_CPX_CPX(*(a9c), *(a1d));
        t2j = SUB_CPX_CPX(*(a8c), *(a0d));
        t3j = ADD_CPX_CPX(*(a9c), *(a1d));
        a2d = (a42 + 296);
        a3d = (a42 + 300);
        a4d = (a42 + 216);
        a5d = (a42 + 220);
        t4j = ADD_CPX_CPX(*(a2d), *(a4d));
        t5j = SUB_CPX_CPX(*(a3d), *(a5d));
        t6j = SUB_CPX_CPX(*(a2d), *(a4d));
        t7j = ADD_CPX_CPX(*(a3d), *(a5d));
        t8j = ADD_CPX_CPX(t0j, t4j);
        t9j = ADD_CPX_CPX(t1j, t5j);
        t0k = SUB_CPX_CPX(t0j, t4j);
        t1k = SUB_CPX_CPX(t1j, t5j);
        t2k = ADD_CPX_CPX(t2j, t7j);
        t3k = SUB_CPX_CPX(t3j, t6j);
        t4k = SUB_CPX_CPX(t2j, t7j);
        t5k = ADD_CPX_CPX(t3j, t6j);
        a6d = (a42 + 168);
        a7d = (a42 + 172);
        a8d = (a42 + 88);
        a9d = (a42 + 92);
        t6k = ADD_CPX_CPX(*(a6d), *(a8d));
        t7k = SUB_CPX_CPX(*(a7d), *(a9d));
        t8k = ADD_CPX_CPX(*(a7d), *(a9d));
        t9k = SUB_CPX_CPX(*(a8d), *(a6d));
        a0e = (a42 + 344);
        a1e = (a42 + 348);
        a2e = (a42 + 424);
        a3e = (a42 + 428);
        t0l = ADD_CPX_CPX(*(a0e), *(a2e));
        t1l = SUB_CPX_CPX(*(a3e), *(a1e));
        t2l = ADD_CPX_CPX(*(a1e), *(a3e));
        t3l = SUB_CPX_CPX(*(a2e), *(a0e));
        s8e = ADD_CPX_CPX(t6k, t0l);
        s9e = ADD_CPX_CPX(t7k, t1l);
        s0f = SUB_CPX_CPX(t8k, t2l);
        s1f = ADD_CPX_CPX(t9k, t3l);
        a4e = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t6k, t0l));
        a5e = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t8k, t2l));
        t4l = ADD_CPX_CPX(a4e, a5e);
        a6e = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t7k, t1l));
        a7e = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9k, t3l));
        t5l = ADD_CPX_CPX(a6e, a7e);
        t6l = SUB_CPX_CPX(a5e, a4e);
        t7l = SUB_CPX_CPX(a7e, a6e);
        s2f = ADD_CPX_CPX(t8j, s8e);
        s3f = ADD_CPX_CPX(t9j, s9e);
        s4f = ADD_CPX_CPX(t0k, s0f);
        s5f = ADD_CPX_CPX(t1k, s1f);
        s6f = SUB_CPX_CPX(t8j, s8e);
        s7f = SUB_CPX_CPX(t9j, s9e);
        s8f = SUB_CPX_CPX(t0k, s0f);
        s9f = SUB_CPX_CPX(t1k, s1f);
        s0g = ADD_CPX_CPX(t2k, t4l);
        s1g = ADD_CPX_CPX(t3k, t5l);
        s2g = ADD_CPX_CPX(t4k, t6l);
        s3g = ADD_CPX_CPX(t5k, t7l);
        s4g = SUB_CPX_CPX(t2k, t4l);
        s5g = SUB_CPX_CPX(t3k, t5l);
        s6g = SUB_CPX_CPX(t4k, t6l);
        s7g = SUB_CPX_CPX(t5k, t7l);
        s8g = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.97003125319454397), s0g), MUL_FLT_CPX(C_FLT(0.2429801799032639), s1g));
        s9g = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.97003125319454397), s1g), MUL_FLT_CPX(C_FLT(0.2429801799032639), s0g));
        s0h = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s4f), MUL_FLT_CPX(C_FLT(0.47139673682599764), s5f));
        s1h = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s5f), MUL_FLT_CPX(C_FLT(0.47139673682599764), s4f));
        s2h = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), s2g), MUL_FLT_CPX(C_FLT(0.67155895484701844), s3g));
        s3h = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), s3g), MUL_FLT_CPX(C_FLT(0.67155895484701844), s2g));
        s4h = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s6f), MUL_FLT_CPX(C_FLT(0.83146961230254524), s7f));
        s5h = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s7f), MUL_FLT_CPX(C_FLT(0.83146961230254524), s6f));
        s6h = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.33688985339222005), s4g), MUL_FLT_CPX(C_FLT(0.94154406518302081), s5g));
        s7h = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.33688985339222005), s5g), MUL_FLT_CPX(C_FLT(0.94154406518302081), s4g));
        s8h = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), s8f), MUL_FLT_CPX(C_FLT(0.99518472667219693), s9f));
        s9h = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), s9f), MUL_FLT_CPX(C_FLT(0.99518472667219693), s8f));
        s0i = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s7g), MUL_FLT_CPX(C_FLT(0.14673047445536175), s6g));
        s1i = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s6g), MUL_FLT_CPX(C_FLT(0.14673047445536175), s7g));
        a8e = (a42 + 48);
        a9e = (a42 + 52);
        a0f = (a42 + 464);
        a1f = (a42 + 468);
        t8l = ADD_CPX_CPX(*(a8e), *(a0f));
        t9l = SUB_CPX_CPX(*(a9e), *(a1f));
        t0m = SUB_CPX_CPX(*(a8e), *(a0f));
        t1m = ADD_CPX_CPX(*(a9e), *(a1f));
        a2f = (a42 + 304);
        a3f = (a42 + 308);
        a4f = (a42 + 208);
        a5f = (a42 + 212);
        t2m = ADD_CPX_CPX(*(a2f), *(a4f));
        t3m = SUB_CPX_CPX(*(a3f), *(a5f));
        t4m = SUB_CPX_CPX(*(a2f), *(a4f));
        t5m = ADD_CPX_CPX(*(a3f), *(a5f));
        t6m = ADD_CPX_CPX(t8l, t2m);
        t7m = ADD_CPX_CPX(t9l, t3m);
        t8m = SUB_CPX_CPX(t8l, t2m);
        t9m = SUB_CPX_CPX(t9l, t3m);
        t0n = ADD_CPX_CPX(t0m, t5m);
        t1n = SUB_CPX_CPX(t1m, t4m);
        t2n = SUB_CPX_CPX(t0m, t5m);
        t3n = ADD_CPX_CPX(t1m, t4m);
        a6f = (a42 + 176);
        a7f = (a42 + 180);
        a8f = (a42 + 80);
        a9f = (a42 + 84);
        t4n = ADD_CPX_CPX(*(a6f), *(a8f));
        t5n = SUB_CPX_CPX(*(a7f), *(a9f));
        t6n = ADD_CPX_CPX(*(a7f), *(a9f));
        t7n = SUB_CPX_CPX(*(a8f), *(a6f));
        a0g = (a42 + 336);
        a1g = (a42 + 340);
        a2g = (a42 + 432);
        a3g = (a42 + 436);
        t8n = ADD_CPX_CPX(*(a0g), *(a2g));
        t9n = SUB_CPX_CPX(*(a3g), *(a1g));
        t0o = ADD_CPX_CPX(*(a1g), *(a3g));
        t1o = SUB_CPX_CPX(*(a2g), *(a0g));
        s2i = ADD_CPX_CPX(t4n, t8n);
        s3i = ADD_CPX_CPX(t5n, t9n);
        s4i = SUB_CPX_CPX(t6n, t0o);
        s5i = ADD_CPX_CPX(t7n, t1o);
        a4g = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t4n, t8n));
        a5g = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t6n, t0o));
        t2o = ADD_CPX_CPX(a4g, a5g);
        a6g = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t5n, t9n));
        a7g = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t7n, t1o));
        t3o = ADD_CPX_CPX(a6g, a7g);
        t4o = SUB_CPX_CPX(a5g, a4g);
        t5o = SUB_CPX_CPX(a7g, a6g);
        s6i = ADD_CPX_CPX(t6m, s2i);
        s7i = ADD_CPX_CPX(t7m, s3i);
        s8i = ADD_CPX_CPX(t8m, s4i);
        s9i = ADD_CPX_CPX(t9m, s5i);
        s0j = SUB_CPX_CPX(t6m, s2i);
        s1j = SUB_CPX_CPX(t7m, s3i);
        s2j = SUB_CPX_CPX(t8m, s4i);
        s3j = SUB_CPX_CPX(t9m, s5i);
        s4j = ADD_CPX_CPX(t0n, t2o);
        s5j = ADD_CPX_CPX(t1n, t3o);
        s6j = ADD_CPX_CPX(t2n, t4o);
        s7j = ADD_CPX_CPX(t3n, t5o);
        s8j = SUB_CPX_CPX(t0n, t2o);
        s9j = SUB_CPX_CPX(t1n, t3o);
        s0k = SUB_CPX_CPX(t2n, t4o);
        s1k = SUB_CPX_CPX(t3n, t5o);
        s2k = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s4j), MUL_FLT_CPX(C_FLT(0.29028467725446239), s5j));
        s3k = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s5j), MUL_FLT_CPX(C_FLT(0.29028467725446239), s4j));
        s4k = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s8i), MUL_FLT_CPX(C_FLT(0.55557023301960218), s9i));
        s5k = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s9i), MUL_FLT_CPX(C_FLT(0.55557023301960218), s8i));
        s6k = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), s6j), MUL_FLT_CPX(C_FLT(0.77301045336273699), s7j));
        s7k = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), s7j), MUL_FLT_CPX(C_FLT(0.77301045336273699), s6j));
        s8k = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s0j), MUL_FLT_CPX(C_FLT(0.92387953251128674), s1j));
        s9k = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s1j), MUL_FLT_CPX(C_FLT(0.92387953251128674), s0j));
        s0l = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), s8j), MUL_FLT_CPX(C_FLT(0.99518472667219693), s9j));
        s1l = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), s9j), MUL_FLT_CPX(C_FLT(0.99518472667219693), s8j));
        s2l = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s3j), MUL_FLT_CPX(C_FLT(0.19509032201612828), s2j));
        s3l = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s2j), MUL_FLT_CPX(C_FLT(0.19509032201612828), s3j));
        s4l = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s1k), MUL_FLT_CPX(C_FLT(0.47139673682599764), s0k));
        s5l = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s0k), MUL_FLT_CPX(C_FLT(0.47139673682599764), s1k));
        a8g = (a42 + 56);
        a9g = (a42 + 60);
        a0h = (a42 + 456);
        a1h = (a42 + 460);
        t6o = ADD_CPX_CPX(*(a8g), *(a0h));
        t7o = SUB_CPX_CPX(*(a9g), *(a1h));
        t8o = SUB_CPX_CPX(*(a8g), *(a0h));
        t9o = ADD_CPX_CPX(*(a9g), *(a1h));
        a2h = (a42 + 312);
        a3h = (a42 + 316);
        a4h = (a42 + 200);
        a5h = (a42 + 204);
        t0p = ADD_CPX_CPX(*(a2h), *(a4h));
        t1p = SUB_CPX_CPX(*(a3h), *(a5h));
        t2p = SUB_CPX_CPX(*(a2h), *(a4h));
        t3p = ADD_CPX_CPX(*(a3h), *(a5h));
        t4p = ADD_CPX_CPX(t6o, t0p);
        t5p = ADD_CPX_CPX(t7o, t1p);
        t6p = SUB_CPX_CPX(t6o, t0p);
        t7p = SUB_CPX_CPX(t7o, t1p);
        t8p = ADD_CPX_CPX(t8o, t3p);
        t9p = SUB_CPX_CPX(t9o, t2p);
        t0q = SUB_CPX_CPX(t8o, t3p);
        t1q = ADD_CPX_CPX(t9o, t2p);
        a6h = (a42 + 184);
        a7h = (a42 + 188);
        a8h = (a42 + 72);
        a9h = (a42 + 76);
        t2q = ADD_CPX_CPX(*(a6h), *(a8h));
        t3q = SUB_CPX_CPX(*(a7h), *(a9h));
        t4q = ADD_CPX_CPX(*(a7h), *(a9h));
        t5q = SUB_CPX_CPX(*(a8h), *(a6h));
        a0i = (a42 + 328);
        a1i = (a42 + 332);
        a2i = (a42 + 440);
        a3i = (a42 + 444);
        t6q = ADD_CPX_CPX(*(a0i), *(a2i));
        t7q = SUB_CPX_CPX(*(a3i), *(a1i));
        t8q = ADD_CPX_CPX(*(a1i), *(a3i));
        t9q = SUB_CPX_CPX(*(a2i), *(a0i));
        s6l = ADD_CPX_CPX(t2q, t6q);
        s7l = ADD_CPX_CPX(t3q, t7q);
        s8l = SUB_CPX_CPX(t4q, t8q);
        s9l = ADD_CPX_CPX(t5q, t9q);
        a4i = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2q, t6q));
        a5i = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t4q, t8q));
        t0r = ADD_CPX_CPX(a4i, a5i);
        a6i = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3q, t7q));
        a7i = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t5q, t9q));
        t1r = ADD_CPX_CPX(a6i, a7i);
        t2r = SUB_CPX_CPX(a5i, a4i);
        t3r = SUB_CPX_CPX(a7i, a6i);
        s0m = ADD_CPX_CPX(t4p, s6l);
        s1m = ADD_CPX_CPX(t5p, s7l);
        s2m = ADD_CPX_CPX(t6p, s8l);
        s3m = ADD_CPX_CPX(t7p, s9l);
        s4m = SUB_CPX_CPX(t4p, s6l);
        s5m = SUB_CPX_CPX(t5p, s7l);
        s6m = SUB_CPX_CPX(t6p, s8l);
        s7m = SUB_CPX_CPX(t7p, s9l);
        s8m = ADD_CPX_CPX(t8p, t0r);
        s9m = ADD_CPX_CPX(t9p, t1r);
        s0n = ADD_CPX_CPX(t0q, t2r);
        s1n = ADD_CPX_CPX(t1q, t3r);
        s2n = SUB_CPX_CPX(t8p, t0r);
        s3n = SUB_CPX_CPX(t9p, t1r);
        s4n = SUB_CPX_CPX(t0q, t2r);
        s5n = SUB_CPX_CPX(t1q, t3r);
        s6n = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), s8m), MUL_FLT_CPX(C_FLT(0.33688985339222005), s9m));
        s7n = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), s9m), MUL_FLT_CPX(C_FLT(0.33688985339222005), s8m));
        s8n = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), s2m), MUL_FLT_CPX(C_FLT(0.63439328416364549), s3m));
        s9n = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), s3m), MUL_FLT_CPX(C_FLT(0.63439328416364549), s2m));
        s0o = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.51410274419322177), s0n), MUL_FLT_CPX(C_FLT(0.85772861000027212), s1n));
        s1o = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.51410274419322177), s1n), MUL_FLT_CPX(C_FLT(0.85772861000027212), s0n));
        s2o = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s4m), MUL_FLT_CPX(C_FLT(0.98078528040323043), s5m));
        s3o = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s5m), MUL_FLT_CPX(C_FLT(0.98078528040323043), s4m));
        s4o = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s3n), MUL_FLT_CPX(C_FLT(0.14673047445536175), s2n));
        s5o = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s2n), MUL_FLT_CPX(C_FLT(0.14673047445536175), s3n));
        s6o = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s7m), MUL_FLT_CPX(C_FLT(0.47139673682599764), s6m));
        s7o = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s6m), MUL_FLT_CPX(C_FLT(0.47139673682599764), s7m));
        s8o = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.67155895484701844), s5n), MUL_FLT_CPX(C_FLT(0.74095112535495911), s4n));
        s9o = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.67155895484701844), s4n), MUL_FLT_CPX(C_FLT(0.74095112535495911), s5n));
        t4r = ADD_CPX_CPX(t65, s0c);
        t5r = ADD_CPX_CPX(t85, s1c);
        t6r = SUB_CPX_CPX(t65, s0c);
        t7r = SUB_CPX_CPX(t85, s1c);
        t8r = ADD_CPX_CPX(s81, s0m);
        t9r = SUB_CPX_CPX(s91, s1m);
        t0s = SUB_CPX_CPX(s81, s0m);
        t1s = ADD_CPX_CPX(s91, s1m);
        s0p = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t0s), MUL_FLT_CPX(C_FLT(0.38268343236508978), t1s));
        s1p = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t1s), MUL_FLT_CPX(C_FLT(0.38268343236508978), t0s));
        t2s = ADD_CPX_CPX(s25, s6i);
        t3s = SUB_CPX_CPX(s35, s7i);
        a8i = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s25, s6i));
        a9i = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s35, s7i));
        s2p = ADD_CPX_CPX(a8i, a9i);
        s3p = SUB_CPX_CPX(a9i, a8i);
        t4s = ADD_CPX_CPX(s68, s2f);
        t5s = SUB_CPX_CPX(s78, s3f);
        t6s = SUB_CPX_CPX(s68, s2f);
        t7s = ADD_CPX_CPX(s78, s3f);
        s4p = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t6s), MUL_FLT_CPX(C_FLT(0.92387953251128674), t7s));
        s5p = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t7s), MUL_FLT_CPX(C_FLT(0.92387953251128674), t6s));
        t8s = ADD_CPX_CPX(t4r, t2s);
        t9s = ADD_CPX_CPX(t6r, t3s);
        t0t = SUB_CPX_CPX(t4r, t2s);
        t1t = SUB_CPX_CPX(t6r, t3s);
        t2t = ADD_CPX_CPX(t8r, t4s);
        t3t = SUB_CPX_CPX(t9r, t5s);
        a0j = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8r, t4s));
        a1j = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t9r, t5s));
        s6p = ADD_CPX_CPX(a0j, a1j);
        s7p = SUB_CPX_CPX(a1j, a0j);
        a2j = (dst + i2);
        *(a2j) = ADD_CPX_CPX(t8s, t2t);
        *((a2j + 128)) = ADD_CPX_CPX(t0t, t3t);
        *((a2j + 256)) = SUB_CPX_CPX(t8s, t2t);
        *((a2j + 384)) = SUB_CPX_CPX(t0t, t3t);
        *((a2j + 64)) = ADD_CPX_CPX(t9s, s6p);
        *((a2j + 192)) = ADD_CPX_CPX(t1t, s7p);
        *((a2j + 320)) = SUB_CPX_CPX(t9s, s6p);
        *((a2j + 448)) = SUB_CPX_CPX(t1t, s7p);
        t4t = ADD_CPX_CPX(t5r, s2p);
        t5t = ADD_CPX_CPX(t7r, s3p);
        t6t = SUB_CPX_CPX(t5r, s2p);
        t7t = SUB_CPX_CPX(t7r, s3p);
        t8t = ADD_CPX_CPX(s0p, s4p);
        t9t = SUB_CPX_CPX(s1p, s5p);
        a3j = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s0p, s4p));
        a4j = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s1p, s5p));
        s8p = ADD_CPX_CPX(a3j, a4j);
        s9p = SUB_CPX_CPX(a4j, a3j);
        *((a2j + 32)) = ADD_CPX_CPX(t4t, t8t);
        *((a2j + 160)) = ADD_CPX_CPX(t6t, t9t);
        *((a2j + 288)) = SUB_CPX_CPX(t4t, t8t);
        *((a2j + 416)) = SUB_CPX_CPX(t6t, t9t);
        *((a2j + 96)) = ADD_CPX_CPX(t5t, s8p);
        *((a2j + 224)) = ADD_CPX_CPX(t7t, s9p);
        *((a2j + 352)) = SUB_CPX_CPX(t5t, s8p);
        *((a2j + 480)) = SUB_CPX_CPX(t7t, s9p);
        t0u = ADD_CPX_CPX(t07, s4d);
        t1u = ADD_CPX_CPX(t27, s5d);
        t2u = SUB_CPX_CPX(t07, s4d);
        t3u = SUB_CPX_CPX(t27, s5d);
        t4u = ADD_CPX_CPX(s43, s6n);
        t5u = SUB_CPX_CPX(s53, s7n);
        t6u = SUB_CPX_CPX(s43, s6n);
        t7u = ADD_CPX_CPX(s53, s7n);
        s0q = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t6u), MUL_FLT_CPX(C_FLT(0.38268343236508978), t7u));
        s1q = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t7u), MUL_FLT_CPX(C_FLT(0.38268343236508978), t6u));
        t8u = ADD_CPX_CPX(s86, s2k);
        t9u = SUB_CPX_CPX(s96, s3k);
        a5j = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s86, s2k));
        a6j = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s96, s3k));
        s2q = ADD_CPX_CPX(a5j, a6j);
        s3q = SUB_CPX_CPX(a6j, a5j);
        t0v = ADD_CPX_CPX(s2a, s8g);
        t1v = SUB_CPX_CPX(s3a, s9g);
        t2v = SUB_CPX_CPX(s2a, s8g);
        t3v = ADD_CPX_CPX(s3a, s9g);
        s4q = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t2v), MUL_FLT_CPX(C_FLT(0.92387953251128674), t3v));
        s5q = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t3v), MUL_FLT_CPX(C_FLT(0.92387953251128674), t2v));
        t4v = ADD_CPX_CPX(t0u, t8u);
        t5v = ADD_CPX_CPX(t2u, t9u);
        t6v = SUB_CPX_CPX(t0u, t8u);
        t7v = SUB_CPX_CPX(t2u, t9u);
        t8v = ADD_CPX_CPX(t4u, t0v);
        t9v = SUB_CPX_CPX(t5u, t1v);
        a7j = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t4u, t0v));
        a8j = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t5u, t1v));
        s6q = ADD_CPX_CPX(a7j, a8j);
        s7q = SUB_CPX_CPX(a8j, a7j);
        *((a2j + 4)) = ADD_CPX_CPX(t4v, t8v);
        *((a2j + 132)) = ADD_CPX_CPX(t6v, t9v);
        *((a2j + 260)) = SUB_CPX_CPX(t4v, t8v);
        *((a2j + 388)) = SUB_CPX_CPX(t6v, t9v);
        *((a2j + 68)) = ADD_CPX_CPX(t5v, s6q);
        *((a2j + 196)) = ADD_CPX_CPX(t7v, s7q);
        *((a2j + 324)) = SUB_CPX_CPX(t5v, s6q);
        *((a2j + 452)) = SUB_CPX_CPX(t7v, s7q);
        t0w = ADD_CPX_CPX(t1u, s2q);
        t1w = ADD_CPX_CPX(t3u, s3q);
        t2w = SUB_CPX_CPX(t1u, s2q);
        t3w = SUB_CPX_CPX(t3u, s3q);
        t4w = ADD_CPX_CPX(s0q, s4q);
        t5w = SUB_CPX_CPX(s1q, s5q);
        a9j = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s0q, s4q));
        a0k = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s1q, s5q));
        s8q = ADD_CPX_CPX(a9j, a0k);
        s9q = SUB_CPX_CPX(a0k, a9j);
        *((a2j + 36)) = ADD_CPX_CPX(t0w, t4w);
        *((a2j + 164)) = ADD_CPX_CPX(t2w, t5w);
        *((a2j + 292)) = SUB_CPX_CPX(t0w, t4w);
        *((a2j + 420)) = SUB_CPX_CPX(t2w, t5w);
        *((a2j + 100)) = ADD_CPX_CPX(t1w, s8q);
        *((a2j + 228)) = ADD_CPX_CPX(t3w, s9q);
        *((a2j + 356)) = SUB_CPX_CPX(t1w, s8q);
        *((a2j + 484)) = SUB_CPX_CPX(t3w, s9q);
        t6w = ADD_CPX_CPX(t06, s6d);
        t7w = ADD_CPX_CPX(t26, s7d);
        t8w = SUB_CPX_CPX(t06, s6d);
        t9w = SUB_CPX_CPX(t26, s7d);
        t0x = ADD_CPX_CPX(s63, s8n);
        t1x = SUB_CPX_CPX(s73, s9n);
        t2x = SUB_CPX_CPX(s63, s8n);
        t3x = ADD_CPX_CPX(s73, s9n);
        s0r = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t2x), MUL_FLT_CPX(C_FLT(0.38268343236508978), t3x));
        s1r = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t3x), MUL_FLT_CPX(C_FLT(0.38268343236508978), t2x));
        t4x = ADD_CPX_CPX(s07, s4k);
        t5x = SUB_CPX_CPX(s17, s5k);
        a1k = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s07, s4k));
        a2k = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s17, s5k));
        s2r = ADD_CPX_CPX(a1k, a2k);
        s3r = SUB_CPX_CPX(a2k, a1k);
        t6x = ADD_CPX_CPX(s4a, s0h);
        t7x = SUB_CPX_CPX(s5a, s1h);
        t8x = SUB_CPX_CPX(s4a, s0h);
        t9x = ADD_CPX_CPX(s5a, s1h);
        s4r = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t8x), MUL_FLT_CPX(C_FLT(0.92387953251128674), t9x));
        s5r = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t9x), MUL_FLT_CPX(C_FLT(0.92387953251128674), t8x));
        t0y = ADD_CPX_CPX(t6w, t4x);
        t1y = ADD_CPX_CPX(t8w, t5x);
        t2y = SUB_CPX_CPX(t6w, t4x);
        t3y = SUB_CPX_CPX(t8w, t5x);
        t4y = ADD_CPX_CPX(t0x, t6x);
        t5y = SUB_CPX_CPX(t1x, t7x);
        a3k = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0x, t6x));
        a4k = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t1x, t7x));
        s6r = ADD_CPX_CPX(a3k, a4k);
        s7r = SUB_CPX_CPX(a4k, a3k);
        *((a2j + 8)) = ADD_CPX_CPX(t0y, t4y);
        *((a2j + 136)) = ADD_CPX_CPX(t2y, t5y);
        *((a2j + 264)) = SUB_CPX_CPX(t0y, t4y);
        *((a2j + 392)) = SUB_CPX_CPX(t2y, t5y);
        *((a2j + 72)) = ADD_CPX_CPX(t1y, s6r);
        *((a2j + 200)) = ADD_CPX_CPX(t3y, s7r);
        *((a2j + 328)) = SUB_CPX_CPX(t1y, s6r);
        *((a2j + 456)) = SUB_CPX_CPX(t3y, s7r);
        t6y = ADD_CPX_CPX(t7w, s2r);
        t7y = ADD_CPX_CPX(t9w, s3r);
        t8y = SUB_CPX_CPX(t7w, s2r);
        t9y = SUB_CPX_CPX(t9w, s3r);
        t0z = ADD_CPX_CPX(s0r, s4r);
        t1z = SUB_CPX_CPX(s1r, s5r);
        a5k = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s0r, s4r));
        a6k = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s1r, s5r));
        s8r = ADD_CPX_CPX(a5k, a6k);
        s9r = SUB_CPX_CPX(a6k, a5k);
        *((a2j + 40)) = ADD_CPX_CPX(t6y, t0z);
        *((a2j + 168)) = ADD_CPX_CPX(t8y, t1z);
        *((a2j + 296)) = SUB_CPX_CPX(t6y, t0z);
        *((a2j + 424)) = SUB_CPX_CPX(t8y, t1z);
        *((a2j + 104)) = ADD_CPX_CPX(t7y, s8r);
        *((a2j + 232)) = ADD_CPX_CPX(t9y, s9r);
        *((a2j + 360)) = SUB_CPX_CPX(t7y, s8r);
        *((a2j + 488)) = SUB_CPX_CPX(t9y, s9r);
        t2z = ADD_CPX_CPX(t47, s8d);
        t3z = ADD_CPX_CPX(t67, s9d);
        t4z = SUB_CPX_CPX(t47, s8d);
        t5z = SUB_CPX_CPX(t67, s9d);
        t6z = ADD_CPX_CPX(s83, s0o);
        t7z = SUB_CPX_CPX(s93, s1o);
        t8z = SUB_CPX_CPX(s83, s0o);
        t9z = ADD_CPX_CPX(s93, s1o);
        s0s = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t8z), MUL_FLT_CPX(C_FLT(0.38268343236508978), t9z));
        s1s = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t9z), MUL_FLT_CPX(C_FLT(0.38268343236508978), t8z));
        t0A = ADD_CPX_CPX(s27, s6k);
        t1A = SUB_CPX_CPX(s37, s7k);
        a7k = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s27, s6k));
        a8k = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s37, s7k));
        s2s = ADD_CPX_CPX(a7k, a8k);
        s3s = SUB_CPX_CPX(a8k, a7k);
        t2A = ADD_CPX_CPX(s6a, s2h);
        t3A = SUB_CPX_CPX(s7a, s3h);
        t4A = SUB_CPX_CPX(s6a, s2h);
        t5A = ADD_CPX_CPX(s7a, s3h);
        s4s = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t4A), MUL_FLT_CPX(C_FLT(0.92387953251128674), t5A));
        s5s = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t5A), MUL_FLT_CPX(C_FLT(0.92387953251128674), t4A));
        t6A = ADD_CPX_CPX(t2z, t0A);
        t7A = ADD_CPX_CPX(t4z, t1A);
        t8A = SUB_CPX_CPX(t2z, t0A);
        t9A = SUB_CPX_CPX(t4z, t1A);
        t0B = ADD_CPX_CPX(t6z, t2A);
        t1B = SUB_CPX_CPX(t7z, t3A);
        a9k = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t6z, t2A));
        a0l = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t7z, t3A));
        s6s = ADD_CPX_CPX(a9k, a0l);
        s7s = SUB_CPX_CPX(a0l, a9k);
        *((a2j + 12)) = ADD_CPX_CPX(t6A, t0B);
        *((a2j + 140)) = ADD_CPX_CPX(t8A, t1B);
        *((a2j + 268)) = SUB_CPX_CPX(t6A, t0B);
        *((a2j + 396)) = SUB_CPX_CPX(t8A, t1B);
        *((a2j + 76)) = ADD_CPX_CPX(t7A, s6s);
        *((a2j + 204)) = ADD_CPX_CPX(t9A, s7s);
        *((a2j + 332)) = SUB_CPX_CPX(t7A, s6s);
        *((a2j + 460)) = SUB_CPX_CPX(t9A, s7s);
        t2B = ADD_CPX_CPX(t3z, s2s);
        t3B = ADD_CPX_CPX(t5z, s3s);
        t4B = SUB_CPX_CPX(t3z, s2s);
        t5B = SUB_CPX_CPX(t5z, s3s);
        t6B = ADD_CPX_CPX(s0s, s4s);
        t7B = SUB_CPX_CPX(s1s, s5s);
        a1l = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s0s, s4s));
        a2l = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s1s, s5s));
        s8s = ADD_CPX_CPX(a1l, a2l);
        s9s = SUB_CPX_CPX(a2l, a1l);
        *((a2j + 44)) = ADD_CPX_CPX(t2B, t6B);
        *((a2j + 172)) = ADD_CPX_CPX(t4B, t7B);
        *((a2j + 300)) = SUB_CPX_CPX(t2B, t6B);
        *((a2j + 428)) = SUB_CPX_CPX(t4B, t7B);
        *((a2j + 108)) = ADD_CPX_CPX(t3B, s8s);
        *((a2j + 236)) = ADD_CPX_CPX(t5B, s9s);
        *((a2j + 364)) = SUB_CPX_CPX(t3B, s8s);
        *((a2j + 492)) = SUB_CPX_CPX(t5B, s9s);
        t8B = ADD_CPX_CPX(t75, s0e);
        t9B = ADD_CPX_CPX(t95, s1e);
        t0C = SUB_CPX_CPX(t75, s0e);
        t1C = SUB_CPX_CPX(t95, s1e);
        t2C = ADD_CPX_CPX(s04, s2o);
        t3C = SUB_CPX_CPX(s14, s3o);
        t4C = SUB_CPX_CPX(s04, s2o);
        t5C = ADD_CPX_CPX(s14, s3o);
        s0t = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t4C), MUL_FLT_CPX(C_FLT(0.38268343236508978), t5C));
        s1t = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t5C), MUL_FLT_CPX(C_FLT(0.38268343236508978), t4C));
        t6C = ADD_CPX_CPX(s47, s8k);
        t7C = SUB_CPX_CPX(s57, s9k);
        a3l = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s47, s8k));
        a4l = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s57, s9k));
        s2t = ADD_CPX_CPX(a3l, a4l);
        s3t = SUB_CPX_CPX(a4l, a3l);
        t8C = ADD_CPX_CPX(s8a, s4h);
        t9C = SUB_CPX_CPX(s9a, s5h);
        t0D = SUB_CPX_CPX(s8a, s4h);
        t1D = ADD_CPX_CPX(s9a, s5h);
        s4t = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t0D), MUL_FLT_CPX(C_FLT(0.92387953251128674), t1D));
        s5t = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t1D), MUL_FLT_CPX(C_FLT(0.92387953251128674), t0D));
        t2D = ADD_CPX_CPX(t8B, t6C);
        t3D = ADD_CPX_CPX(t0C, t7C);
        t4D = SUB_CPX_CPX(t8B, t6C);
        t5D = SUB_CPX_CPX(t0C, t7C);
        t6D = ADD_CPX_CPX(t2C, t8C);
        t7D = SUB_CPX_CPX(t3C, t9C);
        a5l = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2C, t8C));
        a6l = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t3C, t9C));
        s6t = ADD_CPX_CPX(a5l, a6l);
        s7t = SUB_CPX_CPX(a6l, a5l);
        *((a2j + 16)) = ADD_CPX_CPX(t2D, t6D);
        *((a2j + 144)) = ADD_CPX_CPX(t4D, t7D);
        *((a2j + 272)) = SUB_CPX_CPX(t2D, t6D);
        *((a2j + 400)) = SUB_CPX_CPX(t4D, t7D);
        *((a2j + 80)) = ADD_CPX_CPX(t3D, s6t);
        *((a2j + 208)) = ADD_CPX_CPX(t5D, s7t);
        *((a2j + 336)) = SUB_CPX_CPX(t3D, s6t);
        *((a2j + 464)) = SUB_CPX_CPX(t5D, s7t);
        t8D = ADD_CPX_CPX(t9B, s2t);
        t9D = ADD_CPX_CPX(t1C, s3t);
        t0E = SUB_CPX_CPX(t9B, s2t);
        t1E = SUB_CPX_CPX(t1C, s3t);
        t2E = ADD_CPX_CPX(s0t, s4t);
        t3E = SUB_CPX_CPX(s1t, s5t);
        a7l = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s0t, s4t));
        a8l = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s1t, s5t));
        s8t = ADD_CPX_CPX(a7l, a8l);
        s9t = SUB_CPX_CPX(a8l, a7l);
        *((a2j + 48)) = ADD_CPX_CPX(t8D, t2E);
        *((a2j + 176)) = ADD_CPX_CPX(t0E, t3E);
        *((a2j + 304)) = SUB_CPX_CPX(t8D, t2E);
        *((a2j + 432)) = SUB_CPX_CPX(t0E, t3E);
        *((a2j + 112)) = ADD_CPX_CPX(t9D, s8t);
        *((a2j + 240)) = ADD_CPX_CPX(t1E, s9t);
        *((a2j + 368)) = SUB_CPX_CPX(t9D, s8t);
        *((a2j + 496)) = SUB_CPX_CPX(t1E, s9t);
        t4E = ADD_CPX_CPX(t17, s2e);
        t5E = ADD_CPX_CPX(t37, s3e);
        t6E = SUB_CPX_CPX(t17, s2e);
        t7E = SUB_CPX_CPX(t37, s3e);
        t8E = ADD_CPX_CPX(s24, s4o);
        t9E = ADD_CPX_CPX(s34, s5o);
        t0F = SUB_CPX_CPX(s24, s4o);
        t1F = SUB_CPX_CPX(s34, s5o);
        s0u = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t0F), MUL_FLT_CPX(C_FLT(0.38268343236508978), t1F));
        s1u = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t1F), MUL_FLT_CPX(C_FLT(0.38268343236508978), t0F));
        t2F = ADD_CPX_CPX(s67, s0l);
        t3F = SUB_CPX_CPX(s77, s1l);
        a9l = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s67, s0l));
        a0m = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s77, s1l));
        s2u = ADD_CPX_CPX(a9l, a0m);
        s3u = SUB_CPX_CPX(a0m, a9l);
        t4F = ADD_CPX_CPX(s0b, s6h);
        t5F = SUB_CPX_CPX(s1b, s7h);
        t6F = SUB_CPX_CPX(s0b, s6h);
        t7F = ADD_CPX_CPX(s1b, s7h);
        s4u = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t6F), MUL_FLT_CPX(C_FLT(0.92387953251128674), t7F));
        s5u = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t7F), MUL_FLT_CPX(C_FLT(0.92387953251128674), t6F));
        t8F = ADD_CPX_CPX(t4E, t2F);
        t9F = ADD_CPX_CPX(t6E, t3F);
        t0G = SUB_CPX_CPX(t4E, t2F);
        t1G = SUB_CPX_CPX(t6E, t3F);
        t2G = ADD_CPX_CPX(t8E, t4F);
        t3G = SUB_CPX_CPX(t9E, t5F);
        a1m = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8E, t4F));
        a2m = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t9E, t5F));
        s6u = ADD_CPX_CPX(a1m, a2m);
        s7u = SUB_CPX_CPX(a2m, a1m);
        *((a2j + 20)) = ADD_CPX_CPX(t8F, t2G);
        *((a2j + 148)) = ADD_CPX_CPX(t0G, t3G);
        *((a2j + 276)) = SUB_CPX_CPX(t8F, t2G);
        *((a2j + 404)) = SUB_CPX_CPX(t0G, t3G);
        *((a2j + 84)) = ADD_CPX_CPX(t9F, s6u);
        *((a2j + 212)) = ADD_CPX_CPX(t1G, s7u);
        *((a2j + 340)) = SUB_CPX_CPX(t9F, s6u);
        *((a2j + 468)) = SUB_CPX_CPX(t1G, s7u);
        t4G = ADD_CPX_CPX(t5E, s2u);
        t5G = ADD_CPX_CPX(t7E, s3u);
        t6G = SUB_CPX_CPX(t5E, s2u);
        t7G = SUB_CPX_CPX(t7E, s3u);
        t8G = ADD_CPX_CPX(s0u, s4u);
        t9G = SUB_CPX_CPX(s1u, s5u);
        a3m = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s0u, s4u));
        a4m = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s1u, s5u));
        s8u = ADD_CPX_CPX(a3m, a4m);
        s9u = SUB_CPX_CPX(a4m, a3m);
        *((a2j + 52)) = ADD_CPX_CPX(t4G, t8G);
        *((a2j + 180)) = ADD_CPX_CPX(t6G, t9G);
        *((a2j + 308)) = SUB_CPX_CPX(t4G, t8G);
        *((a2j + 436)) = SUB_CPX_CPX(t6G, t9G);
        *((a2j + 116)) = ADD_CPX_CPX(t5G, s8u);
        *((a2j + 244)) = ADD_CPX_CPX(t7G, s9u);
        *((a2j + 372)) = SUB_CPX_CPX(t5G, s8u);
        *((a2j + 500)) = SUB_CPX_CPX(t7G, s9u);
        t0H = ADD_CPX_CPX(t16, s4e);
        t1H = ADD_CPX_CPX(t36, s5e);
        t2H = SUB_CPX_CPX(t16, s4e);
        t3H = SUB_CPX_CPX(t36, s5e);
        t4H = ADD_CPX_CPX(s44, s6o);
        t5H = ADD_CPX_CPX(s54, s7o);
        t6H = SUB_CPX_CPX(s44, s6o);
        t7H = SUB_CPX_CPX(s54, s7o);
        s0v = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t6H), MUL_FLT_CPX(C_FLT(0.38268343236508978), t7H));
        s1v = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t7H), MUL_FLT_CPX(C_FLT(0.38268343236508978), t6H));
        t8H = ADD_CPX_CPX(s87, s2l);
        t9H = ADD_CPX_CPX(s97, s3l);
        a5m = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s87, s2l));
        a6m = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s97, s3l));
        s2v = ADD_CPX_CPX(a5m, a6m);
        s3v = SUB_CPX_CPX(a6m, a5m);
        t0I = ADD_CPX_CPX(s2b, s8h);
        t1I = SUB_CPX_CPX(s3b, s9h);
        t2I = SUB_CPX_CPX(s2b, s8h);
        t3I = ADD_CPX_CPX(s3b, s9h);
        s4v = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t2I), MUL_FLT_CPX(C_FLT(0.92387953251128674), t3I));
        s5v = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t3I), MUL_FLT_CPX(C_FLT(0.92387953251128674), t2I));
        t4I = ADD_CPX_CPX(t0H, t8H);
        t5I = ADD_CPX_CPX(t2H, t9H);
        t6I = SUB_CPX_CPX(t0H, t8H);
        t7I = SUB_CPX_CPX(t2H, t9H);
        t8I = ADD_CPX_CPX(t4H, t0I);
        t9I = SUB_CPX_CPX(t5H, t1I);
        a7m = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t4H, t0I));
        a8m = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t5H, t1I));
        s6v = ADD_CPX_CPX(a7m, a8m);
        s7v = SUB_CPX_CPX(a8m, a7m);
        *((a2j + 24)) = ADD_CPX_CPX(t4I, t8I);
        *((a2j + 152)) = ADD_CPX_CPX(t6I, t9I);
        *((a2j + 280)) = SUB_CPX_CPX(t4I, t8I);
        *((a2j + 408)) = SUB_CPX_CPX(t6I, t9I);
        *((a2j + 88)) = ADD_CPX_CPX(t5I, s6v);
        *((a2j + 216)) = ADD_CPX_CPX(t7I, s7v);
        *((a2j + 344)) = SUB_CPX_CPX(t5I, s6v);
        *((a2j + 472)) = SUB_CPX_CPX(t7I, s7v);
        t0J = ADD_CPX_CPX(t1H, s2v);
        t1J = ADD_CPX_CPX(t3H, s3v);
        t2J = SUB_CPX_CPX(t1H, s2v);
        t3J = SUB_CPX_CPX(t3H, s3v);
        t4J = ADD_CPX_CPX(s0v, s4v);
        t5J = SUB_CPX_CPX(s1v, s5v);
        a9m = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s0v, s4v));
        a0n = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s1v, s5v));
        s8v = ADD_CPX_CPX(a9m, a0n);
        s9v = SUB_CPX_CPX(a0n, a9m);
        *((a2j + 56)) = ADD_CPX_CPX(t0J, t4J);
        *((a2j + 184)) = ADD_CPX_CPX(t2J, t5J);
        *((a2j + 312)) = SUB_CPX_CPX(t0J, t4J);
        *((a2j + 440)) = SUB_CPX_CPX(t2J, t5J);
        *((a2j + 120)) = ADD_CPX_CPX(t1J, s8v);
        *((a2j + 248)) = ADD_CPX_CPX(t3J, s9v);
        *((a2j + 376)) = SUB_CPX_CPX(t1J, s8v);
        *((a2j + 504)) = SUB_CPX_CPX(t3J, s9v);
        t6J = ADD_CPX_CPX(t57, s6e);
        t7J = ADD_CPX_CPX(t77, s7e);
        t8J = SUB_CPX_CPX(t57, s6e);
        t9J = SUB_CPX_CPX(t77, s7e);
        t0K = ADD_CPX_CPX(s64, s8o);
        t1K = ADD_CPX_CPX(s74, s9o);
        t2K = SUB_CPX_CPX(s64, s8o);
        t3K = SUB_CPX_CPX(s74, s9o);
        s0w = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t2K), MUL_FLT_CPX(C_FLT(0.38268343236508978), t3K));
        s1w = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t3K), MUL_FLT_CPX(C_FLT(0.38268343236508978), t2K));
        t4K = ADD_CPX_CPX(s08, s4l);
        t5K = ADD_CPX_CPX(s18, s5l);
        a1n = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s08, s4l));
        a2n = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s18, s5l));
        s2w = ADD_CPX_CPX(a1n, a2n);
        s3w = SUB_CPX_CPX(a2n, a1n);
        t6K = ADD_CPX_CPX(s4b, s0i);
        t7K = ADD_CPX_CPX(s5b, s1i);
        t8K = SUB_CPX_CPX(s4b, s0i);
        t9K = SUB_CPX_CPX(s5b, s1i);
        s4w = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t8K), MUL_FLT_CPX(C_FLT(0.92387953251128674), t9K));
        s5w = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t9K), MUL_FLT_CPX(C_FLT(0.92387953251128674), t8K));
        t0L = ADD_CPX_CPX(t6J, t4K);
        t1L = ADD_CPX_CPX(t8J, t5K);
        t2L = SUB_CPX_CPX(t6J, t4K);
        t3L = SUB_CPX_CPX(t8J, t5K);
        t4L = ADD_CPX_CPX(t0K, t6K);
        t5L = SUB_CPX_CPX(t1K, t7K);
        a3n = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0K, t6K));
        a4n = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t1K, t7K));
        s6w = ADD_CPX_CPX(a3n, a4n);
        s7w = SUB_CPX_CPX(a4n, a3n);
        *((a2j + 28)) = ADD_CPX_CPX(t0L, t4L);
        *((a2j + 156)) = ADD_CPX_CPX(t2L, t5L);
        *((a2j + 284)) = SUB_CPX_CPX(t0L, t4L);
        *((a2j + 412)) = SUB_CPX_CPX(t2L, t5L);
        *((a2j + 92)) = ADD_CPX_CPX(t1L, s6w);
        *((a2j + 220)) = ADD_CPX_CPX(t3L, s7w);
        *((a2j + 348)) = SUB_CPX_CPX(t1L, s6w);
        *((a2j + 476)) = SUB_CPX_CPX(t3L, s7w);
        t6L = ADD_CPX_CPX(t7J, s2w);
        t7L = ADD_CPX_CPX(t9J, s3w);
        t8L = SUB_CPX_CPX(t7J, s2w);
        t9L = SUB_CPX_CPX(t9J, s3w);
        t0M = ADD_CPX_CPX(s0w, s4w);
        t1M = SUB_CPX_CPX(s1w, s5w);
        a5n = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s0w, s4w));
        a6n = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s1w, s5w));
        s8w = ADD_CPX_CPX(a5n, a6n);
        s9w = SUB_CPX_CPX(a6n, a5n);
        *((a2j + 60)) = ADD_CPX_CPX(t6L, t0M);
        *((a2j + 188)) = ADD_CPX_CPX(t8L, t1M);
        *((a2j + 316)) = SUB_CPX_CPX(t6L, t0M);
        *((a2j + 444)) = SUB_CPX_CPX(t8L, t1M);
        *((a2j + 124)) = ADD_CPX_CPX(t7L, s8w);
        *((a2j + 252)) = ADD_CPX_CPX(t9L, s9w);
        *((a2j + 380)) = SUB_CPX_CPX(t7L, s8w);
        *((a2j + 508)) = SUB_CPX_CPX(t9L, s9w);
    }}
    }
    
    return SPIRAL_OK;
    }
}

SPIRAL_PRIV(spiral_status_t, spiral_fftinv_double_1024_unaligned)(const double *pSrc, double *pDst ) {
    const CPX  *src = (const CPX *) pSrc; 
    CPX        *dst = (CPX *) pDst;
    
    
    { SPIRAL_ALIGNED(CPX T[1024]);
    CPX  *a03, *a04, *a05, *a06, *a07, *a08, *a09, *a0a, *a0b, *a0c, *a0d, *a0e, *a0f, *a0g, *a0h, *a0i, *a13, *a14, *a15, *a16, *a17, *a18
            , *a19, *a1a, *a1b, *a1c, *a1d, *a1e, *a1f, *a1g, *a1h, *a1i, *a23, *a25, *a27, *a29, *a2b, *a2d, *a2e, *a2f, *a2g, *a2h, *a2i, *a33
            , *a35, *a37, *a39, *a3b, *a3d, *a3e, *a3f, *a3g, *a3h, *a3i, *a42, *a43, *a45, *a47, *a49, *a4b, *a4d, *a4f, *a4h, *a52, *a53, *a55
            , *a57, *a59, *a5b, *a5d, *a5f, *a5h, *a62, *a64, *a65, *a66, *a67, *a68, *a69, *a6a, *a6b, *a6d, *a6f, *a6h, *a72, *a74, *a75, *a76
            , *a77, *a78, *a79, *a7a, *a7b, *a7d, *a7f, *a7h, *a82, *a83, *a84, *a85, *a86, *a87, *a88, *a89, *a8a, *a8b, *a8c, *a8d, *a8e, *a8f
            , *a8g, *a8h, *a92, *a93, *a94, *a95, *a96, *a97, *a98, *a99, *a9a, *a9b, *a9c, *a9d, *a9e, *a9f, *a9g, *a9h, *b2;
    const CPX  *b;
    FLT  *a01, *a02, *a11, *a12, *a21, *a22, *a31, *a32, *a41, *a51, *a61, *a71, *a81, *a91;
    int a5;
    CPX a, a0j, a0k, a0l, a0m, a0n, a1j, a1k, a1l, a1m, a1n, a2, a24, a26, a28, a2a, a2c, a2j, a2k, a2l, a2m, a2n
        , a3, a34, a36, a38, a3a, a3c, a3j, a3k, a3l, a3m, a3n, a4, a44, a46, a48, a4a, a4c, a4e, a4g, a4i, a4j, a4k
        , a4l, a4m, a4n, a54, a56, a58, a5a, a5c, a5e, a5g, a5i, a5j, a5k, a5l, a5m, a5n, a6, a63, a6c, a6e, a6g, a6i
        , a6j, a6k, a6l, a6m, a7, a73, a7c, a7e, a7g, a7i, a7j, a7k, a7l, a7m, a8, a8i, a8j, a8k, a8l, a8m, a9, a9i
        , a9j, a9k, a9l, a9m, s, s01, s02, s03, s04, s05, s06, s07, s08, s09, s0A, s0B, s0C, s0a, s0b, s0c, s0d, s0e
        , s0f, s0g, s0h, s0i, s0j, s0k, s0l, s0m, s0n, s0o, s0p, s0q, s0r, s0s, s0t, s0u, s0v, s0w, s0x, s0y, s0z, s11
        , s12, s13, s14, s15, s16, s17, s18, s19, s1A, s1B, s1C, s1a, s1b, s1c, s1d, s1e, s1f, s1g, s1h, s1i, s1j, s1k
        , s1l, s1m, s1n, s1o, s1p, s1q, s1r, s1s, s1t, s1u, s1v, s1w, s1x, s1y, s1z, s2, s21, s22, s23, s24, s25, s26
        , s27, s28, s29, s2A, s2B, s2C, s2a, s2b, s2c, s2d, s2e, s2f, s2g, s2h, s2i, s2j, s2k, s2l, s2m, s2n, s2o, s2p
        , s2q, s2r, s2s, s2t, s2u, s2v, s2w, s2x, s2y, s2z, s3, s31, s32, s33, s34, s35, s36, s37, s38, s39, s3A, s3B
        , s3C, s3a, s3b, s3c, s3d, s3e, s3f, s3g, s3h, s3i, s3j, s3k, s3l, s3m, s3n, s3o, s3p, s3q, s3r, s3s, s3t, s3u
        , s3v, s3w, s3x, s3y, s3z, s4, s41, s42, s43, s44, s45, s46, s47, s48, s49, s4A, s4B, s4C, s4a, s4b, s4c, s4d
        , s4e, s4f, s4g, s4h, s4i, s4j, s4k, s4l, s4m, s4n, s4o, s4p, s4q, s4r, s4s, s4t, s4u, s4v, s4w, s4x, s4y, s4z
        , s5, s51, s52, s53, s54, s55, s56, s57, s58, s59, s5A, s5B, s5C, s5a, s5b, s5c, s5d, s5e, s5f, s5g, s5h, s5i
        , s5j, s5k, s5l, s5m, s5n, s5o, s5p, s5q, s5r, s5s, s5t, s5u, s5v, s5w, s5x, s5y, s5z, s6, s61, s62, s63, s64
        , s65, s66, s67, s68, s69, s6A, s6B, s6a, s6b, s6c, s6d, s6e, s6f, s6g, s6h, s6i, s6j, s6k, s6l, s6m, s6n, s6o
        , s6p, s6q, s6r, s6s, s6t, s6u, s6v, s6w, s6x, s6y, s6z, s7, s71, s72, s73, s74, s75, s76, s77, s78, s79, s7A
        , s7B, s7a, s7b, s7c, s7d, s7e, s7f, s7g, s7h, s7i, s7j, s7k, s7l, s7m, s7n, s7o, s7p, s7q, s7r, s7s, s7t, s7u
        , s7v, s7w, s7x, s7y, s7z, s8, s81, s82, s83, s84, s85, s86, s87, s88, s89, s8A, s8B, s8a, s8b, s8c, s8d, s8e
        , s8f, s8g, s8h, s8i, s8j, s8k, s8l, s8m, s8n, s8o, s8p, s8q, s8r, s8s, s8t, s8u, s8v, s8w, s8x, s8y, s8z, s9
        , s91, s92, s93, s94, s95, s96, s97, s98, s99, s9A, s9B, s9a, s9b, s9c, s9d, s9e, s9f, s9g, s9h, s9i, s9j, s9k
        , s9l, s9m, s9n, s9o, s9p, s9q, s9r, s9s, s9t, s9u, s9v, s9w, s9x, s9y, s9z, t, t01, t010, t011, t012, t013, t014
        , t02, t03, t04, t05, t06, t07, t08, t09, t0A, t0B, t0C, t0D, t0E, t0F, t0G, t0H, t0I, t0J, t0K, t0L, t0M, t0N
        , t0O, t0P, t0Q, t0R, t0S, t0T, t0U, t0V, t0W, t0X, t0Y, t0Z, t0a, t0b, t0c, t0d, t0e, t0f, t0g, t0h, t0i, t0j
        , t0k, t0l, t0m, t0n, t0o, t0p, t0q, t0r, t0s, t0t, t0u, t0v, t0w, t0x, t0y, t0z, t11, t110, t111, t112, t113, t114
        , t12, t13, t14, t15, t16, t17, t18, t19, t1A, t1B, t1C, t1D, t1E, t1F, t1G, t1H, t1I, t1J, t1K, t1L, t1M, t1N
        , t1O, t1P, t1Q, t1R, t1S, t1T, t1U, t1V, t1W, t1X, t1Y, t1Z, t1a, t1b, t1c, t1d, t1e, t1f, t1g, t1h, t1i, t1j
        , t1k, t1l, t1m, t1n, t1o, t1p, t1q, t1r, t1s, t1t, t1u, t1v, t1w, t1x, t1y, t1z, t2, t21, t210, t211, t212, t213
        , t22, t23, t24, t25, t26, t27, t28, t29, t2A, t2B, t2C, t2D, t2E, t2F, t2G, t2H, t2I, t2J, t2K, t2L, t2M, t2N
        , t2O, t2P, t2Q, t2R, t2S, t2T, t2U, t2V, t2W, t2X, t2Y, t2Z, t2a, t2b, t2c, t2d, t2e, t2f, t2g, t2h, t2i, t2j
        , t2k, t2l, t2m, t2n, t2o, t2p, t2q, t2r, t2s, t2t, t2u, t2v, t2w, t2x, t2y, t2z, t3, t31, t310, t311, t312, t313
        , t32, t33, t34, t35, t36, t37, t38, t39, t3A, t3B, t3C, t3D, t3E, t3F, t3G, t3H, t3I, t3J, t3K, t3L, t3M, t3N
        , t3O, t3P, t3Q, t3R, t3S, t3T, t3U, t3V, t3W, t3X, t3Y, t3Z, t3a, t3b, t3c, t3d, t3e, t3f, t3g, t3h, t3i, t3j
        , t3k, t3l, t3m, t3n, t3o, t3p, t3q, t3r, t3s, t3t, t3u, t3v, t3w, t3x, t3y, t3z, t4, t41, t410, t411, t412, t413
        , t42, t43, t44, t45, t46, t47, t48, t49, t4A, t4B, t4C, t4D, t4E, t4F, t4G, t4H, t4I, t4J, t4K, t4L, t4M, t4N
        , t4O, t4P, t4Q, t4R, t4S, t4T, t4U, t4V, t4W, t4X, t4Y, t4Z, t4a, t4b, t4c, t4d, t4e, t4f, t4g, t4h, t4i, t4j
        , t4k, t4l, t4m, t4n, t4o, t4p, t4q, t4r, t4s, t4t, t4u, t4v, t4w, t4x, t4y, t4z, t5, t51, t510, t511, t512, t513
        , t52, t53, t54, t55, t56, t57, t58, t59, t5A, t5B, t5C, t5D, t5E, t5F, t5G, t5H, t5I, t5J, t5K, t5L, t5M, t5N
        , t5O, t5P, t5Q, t5R, t5S, t5T, t5U, t5V, t5W, t5X, t5Y, t5Z, t5a, t5b, t5c, t5d, t5e, t5f, t5g, t5h, t5i, t5j
        , t5k, t5l, t5m, t5n, t5o, t5p, t5q, t5r, t5s, t5t, t5u, t5v, t5w, t5x, t5y, t5z, t6, t61, t610, t611, t612, t613
        , t62, t63, t64, t65, t66, t67, t68, t69, t6A, t6B, t6C, t6D, t6E, t6F, t6G, t6H, t6I, t6J, t6K, t6L, t6M, t6N
        , t6O, t6P, t6Q, t6R, t6S, t6T, t6U, t6V, t6W, t6X, t6Y, t6Z, t6a, t6b, t6c, t6d, t6e, t6f, t6g, t6h, t6i, t6j
        , t6k, t6l, t6m, t6n, t6o, t6p, t6q, t6r, t6s, t6t, t6u, t6v, t6w, t6x, t6y, t6z, t7, t71, t710, t711, t712, t713
        , t72, t73, t74, t75, t76, t77, t78, t79, t7A, t7B, t7C, t7D, t7E, t7F, t7G, t7H, t7I, t7J, t7K, t7L, t7M, t7N
        , t7O, t7P, t7Q, t7R, t7S, t7T, t7U, t7V, t7W, t7X, t7Y, t7Z, t7a, t7b, t7c, t7d, t7e, t7f, t7g, t7h, t7i, t7j
        , t7k, t7l, t7m, t7n, t7o, t7p, t7q, t7r, t7s, t7t, t7u, t7v, t7w, t7x, t7y, t7z, t8, t81, t810, t811, t812, t813
        , t82, t83, t84, t85, t86, t87, t88, t89, t8A, t8B, t8C, t8D, t8E, t8F, t8G, t8H, t8I, t8J, t8K, t8L, t8M, t8N
        , t8O, t8P, t8Q, t8R, t8S, t8T, t8U, t8V, t8W, t8X, t8Y, t8Z, t8a, t8b, t8c, t8d, t8e, t8f, t8g, t8h, t8i, t8j
        , t8k, t8l, t8m, t8n, t8o, t8p, t8q, t8r, t8s, t8t, t8u, t8v, t8w, t8x, t8y, t8z, t9, t91, t910, t911, t912, t913
        , t92, t93, t94, t95, t96, t97, t98, t99, t9A, t9B, t9C, t9D, t9E, t9F, t9G, t9H, t9I, t9J, t9K, t9L, t9M, t9N
        , t9O, t9P, t9Q, t9R, t9S, t9T, t9U, t9V, t9W, t9X, t9Y, t9Z, t9a, t9b, t9c, t9d, t9e, t9f, t9g, t9h, t9i, t9j
        , t9k, t9l, t9m, t9n, t9o, t9p, t9q, t9r, t9s, t9t, t9u, t9v, t9w, t9x, t9y, t9z;
    s = LOADU_CPX(src);
    s2 = LOADU_CPX((src + 512));
    t = ADD_CPX_CPX(s, s2);
    t2 = SUB_CPX_CPX(s, s2);
    s3 = LOADU_CPX((src + 256));
    s4 = LOADU_CPX((src + 768));
    t3 = ADD_CPX_CPX(s3, s4);
    s5 = MUL_I_CPX(SUB_CPX_CPX(s3, s4));
    t4 = ADD_CPX_CPX(t, t3);
    t5 = SUB_CPX_CPX(t, t3);
    t6 = ADD_CPX_CPX(t2, s5);
    t7 = SUB_CPX_CPX(t2, s5);
    s6 = LOADU_CPX((src + 128));
    s7 = LOADU_CPX((src + 896));
    t8 = ADD_CPX_CPX(s6, s7);
    t9 = ADD_CPX_CPX(MUL_I_CPX(s6), MUL_NI_CPX(s7));
    s8 = LOADU_CPX((src + 640));
    s9 = LOADU_CPX((src + 384));
    t01 = ADD_CPX_CPX(s8, s9);
    t11 = ADD_CPX_CPX(MUL_I_CPX(s8), MUL_NI_CPX(s9));
    t21 = ADD_CPX_CPX(t8, t01);
    t31 = ADD_CPX_CPX(t9, t11);
    a = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8, t01));
    a2 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9, t11));
    s01 = ADD_CPX_CPX(a, a2);
    s11 = SUB_CPX_CPX(a2, a);
    t41 = ADD_CPX_CPX(t4, t21);
    t51 = ADD_CPX_CPX(t5, t31);
    t61 = SUB_CPX_CPX(t4, t21);
    t71 = SUB_CPX_CPX(t5, t31);
    t81 = ADD_CPX_CPX(t6, s01);
    t91 = ADD_CPX_CPX(t7, s11);
    t02 = SUB_CPX_CPX(t6, s01);
    t12 = SUB_CPX_CPX(t7, s11);
    s21 = LOADU_CPX((src + 64));
    s31 = LOADU_CPX((src + 960));
    t22 = ADD_CPX_CPX(s21, s31);
    t32 = ADD_CPX_CPX(MUL_I_CPX(s21), MUL_NI_CPX(s31));
    s41 = LOADU_CPX((src + 320));
    s51 = LOADU_CPX((src + 704));
    t42 = ADD_CPX_CPX(s41, s51);
    t52 = ADD_CPX_CPX(MUL_I_CPX(s41), MUL_NI_CPX(s51));
    s61 = LOADU_CPX((src + 576));
    s71 = LOADU_CPX((src + 448));
    t62 = ADD_CPX_CPX(s61, s71);
    t72 = ADD_CPX_CPX(MUL_I_CPX(s61), MUL_NI_CPX(s71));
    s81 = LOADU_CPX((src + 832));
    s91 = LOADU_CPX((src + 192));
    t82 = ADD_CPX_CPX(s81, s91);
    t92 = ADD_CPX_CPX(MUL_I_CPX(s81), MUL_NI_CPX(s91));
    t03 = ADD_CPX_CPX(t22, t62);
    t13 = ADD_CPX_CPX(t32, t72);
    t23 = SUB_CPX_CPX(t22, t62);
    t33 = SUB_CPX_CPX(t32, t72);
    t43 = ADD_CPX_CPX(t42, t82);
    t53 = ADD_CPX_CPX(t52, t92);
    t63 = SUB_CPX_CPX(t42, t82);
    t73 = SUB_CPX_CPX(t52, t92);
    t83 = ADD_CPX_CPX(t03, t43);
    t93 = ADD_CPX_CPX(t13, t53);
    t04 = ADD_CPX_CPX(t23, t73);
    t14 = SUB_CPX_CPX(t33, t63);
    t24 = SUB_CPX_CPX(t23, t73);
    t34 = ADD_CPX_CPX(t33, t63);
    s02 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t04), MUL_FLT_CPX(C_FLT(0.38268343236508978), t14));
    s12 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t14), MUL_FLT_CPX(C_FLT(0.38268343236508978), t04));
    a3 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t03, t43));
    a4 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t13, t53));
    s22 = ADD_CPX_CPX(a3, a4);
    s32 = SUB_CPX_CPX(a4, a3);
    s42 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t24), MUL_FLT_CPX(C_FLT(0.92387953251128674), t34));
    s52 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t34), MUL_FLT_CPX(C_FLT(0.92387953251128674), t24));
    *(T) = ADD_CPX_CPX(t41, t83);
    *((T + 4)) = ADD_CPX_CPX(t61, t93);
    *((T + 8)) = SUB_CPX_CPX(t41, t83);
    *((T + 12)) = SUB_CPX_CPX(t61, t93);
    *((T + 1)) = ADD_CPX_CPX(t81, s02);
    *((T + 5)) = ADD_CPX_CPX(t02, s12);
    *((T + 9)) = SUB_CPX_CPX(t81, s02);
    *((T + 13)) = SUB_CPX_CPX(t02, s12);
    *((T + 2)) = ADD_CPX_CPX(t51, s22);
    *((T + 6)) = ADD_CPX_CPX(t71, s32);
    *((T + 10)) = SUB_CPX_CPX(t51, s22);
    *((T + 14)) = SUB_CPX_CPX(t71, s32);
    *((T + 3)) = ADD_CPX_CPX(t91, s42);
    *((T + 7)) = ADD_CPX_CPX(t12, s52);
    *((T + 11)) = SUB_CPX_CPX(t91, s42);
    *((T + 15)) = SUB_CPX_CPX(t12, s52);
    {long i; for(i = 0; i <= 62; i++) {
        b = (src + i);
        s62 = LOADU_CPX((b + 1));
        a5 = (1 + i);
        s72 = LOADU_CPX((src + (1024 - a5)));
        t44 = ADD_CPX_CPX(s62, s72);
        t54 = ADD_CPX_CPX(MUL_I_CPX(s62), MUL_NI_CPX(s72));
        s82 = LOADU_CPX((b + 129));
        s92 = LOADU_CPX((src + (896 - a5)));
        t64 = ADD_CPX_CPX(s82, s92);
        t74 = ADD_CPX_CPX(MUL_I_CPX(s82), MUL_NI_CPX(s92));
        s03 = LOADU_CPX((b + 257));
        s13 = LOADU_CPX((src + (768 - a5)));
        t84 = ADD_CPX_CPX(s03, s13);
        t94 = ADD_CPX_CPX(MUL_I_CPX(s03), MUL_NI_CPX(s13));
        s23 = LOADU_CPX((b + 385));
        s33 = LOADU_CPX((src + (640 - a5)));
        t05 = ADD_CPX_CPX(s23, s33);
        t15 = ADD_CPX_CPX(MUL_I_CPX(s23), MUL_NI_CPX(s33));
        s43 = LOADU_CPX((b + 513));
        s53 = LOADU_CPX((src + (512 - a5)));
        t25 = ADD_CPX_CPX(s43, s53);
        t35 = ADD_CPX_CPX(MUL_I_CPX(s43), MUL_NI_CPX(s53));
        s63 = LOADU_CPX((b + 641));
        s73 = LOADU_CPX((src + (384 - a5)));
        t45 = ADD_CPX_CPX(s63, s73);
        t55 = ADD_CPX_CPX(MUL_I_CPX(s63), MUL_NI_CPX(s73));
        s83 = LOADU_CPX((b + 769));
        s93 = LOADU_CPX((src + (256 - a5)));
        t65 = ADD_CPX_CPX(s83, s93);
        t75 = ADD_CPX_CPX(MUL_I_CPX(s83), MUL_NI_CPX(s93));
        s04 = LOADU_CPX((b + 897));
        s14 = LOADU_CPX((src + (128 - a5)));
        t85 = ADD_CPX_CPX(s04, s14);
        t95 = ADD_CPX_CPX(MUL_I_CPX(s04), MUL_NI_CPX(s14));
        t06 = ADD_CPX_CPX(t44, t25);
        t16 = ADD_CPX_CPX(t54, t35);
        t26 = SUB_CPX_CPX(t44, t25);
        t36 = SUB_CPX_CPX(t54, t35);
        t46 = ADD_CPX_CPX(t84, t65);
        t56 = ADD_CPX_CPX(t94, t75);
        t66 = SUB_CPX_CPX(t84, t65);
        t76 = SUB_CPX_CPX(t94, t75);
        t86 = ADD_CPX_CPX(t06, t46);
        t96 = ADD_CPX_CPX(t16, t56);
        t07 = SUB_CPX_CPX(t06, t46);
        t17 = SUB_CPX_CPX(t16, t56);
        t27 = ADD_CPX_CPX(t26, t76);
        t37 = SUB_CPX_CPX(t36, t66);
        t47 = SUB_CPX_CPX(t26, t76);
        t57 = ADD_CPX_CPX(t36, t66);
        t67 = ADD_CPX_CPX(t64, t85);
        t77 = ADD_CPX_CPX(t74, t95);
        t87 = SUB_CPX_CPX(t74, t95);
        t97 = SUB_CPX_CPX(t85, t64);
        t08 = ADD_CPX_CPX(t45, t05);
        t18 = ADD_CPX_CPX(t55, t15);
        t28 = SUB_CPX_CPX(t55, t15);
        t38 = SUB_CPX_CPX(t05, t45);
        s24 = ADD_CPX_CPX(t67, t08);
        s34 = ADD_CPX_CPX(t77, t18);
        s44 = ADD_CPX_CPX(t87, t28);
        s54 = ADD_CPX_CPX(t97, t38);
        a6 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t67, t08));
        a7 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t87, t28));
        t48 = ADD_CPX_CPX(a6, a7);
        a8 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t77, t18));
        a9 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t97, t38));
        t58 = ADD_CPX_CPX(a8, a9);
        t68 = SUB_CPX_CPX(a7, a6);
        t78 = SUB_CPX_CPX(a9, a8);
        s64 = ADD_CPX_CPX(t07, s44);
        s74 = ADD_CPX_CPX(t17, s54);
        s84 = SUB_CPX_CPX(t86, s24);
        s94 = SUB_CPX_CPX(t96, s34);
        s05 = SUB_CPX_CPX(t07, s44);
        s15 = SUB_CPX_CPX(t17, s54);
        s25 = ADD_CPX_CPX(t27, t48);
        s35 = ADD_CPX_CPX(t37, t58);
        s45 = ADD_CPX_CPX(t47, t68);
        s55 = ADD_CPX_CPX(t57, t78);
        s65 = SUB_CPX_CPX(t27, t48);
        s75 = SUB_CPX_CPX(t37, t58);
        s85 = SUB_CPX_CPX(t47, t68);
        s95 = SUB_CPX_CPX(t57, t78);
        b2 = (T + (16*i));
        *((b2 + 16)) = ADD_CPX_CPX(t86, s24);
        *((b2 + 24)) = ADD_CPX_CPX(t96, s34);
        a01 = (D996 + (14*i));
        a11 = (a01 + 1);
        a21 = (a01 + 2);
        a31 = (a01 + 3);
        a41 = (a01 + 4);
        a51 = (a01 + 5);
        a61 = (a01 + 6);
        a71 = (a01 + 7);
        a81 = (a01 + 8);
        a91 = (a01 + 9);
        a02 = (a01 + 10);
        a12 = (a01 + 11);
        a22 = (a01 + 12);
        a32 = (a01 + 13);
        *((b2 + 17)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a01), s25), MUL_FLT_CPX(*(a11), s35));
        *((b2 + 25)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a01), s35), MUL_FLT_CPX(*(a11), s25));
        *((b2 + 18)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a21), s64), MUL_FLT_CPX(*(a31), s74));
        *((b2 + 26)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a21), s74), MUL_FLT_CPX(*(a31), s64));
        *((b2 + 19)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a41), s45), MUL_FLT_CPX(*(a51), s55));
        *((b2 + 27)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a41), s55), MUL_FLT_CPX(*(a51), s45));
        *((b2 + 20)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a61), s84), MUL_FLT_CPX(*(a71), s94));
        *((b2 + 28)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a61), s94), MUL_FLT_CPX(*(a71), s84));
        *((b2 + 21)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a81), s65), MUL_FLT_CPX(*(a91), s75));
        *((b2 + 29)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a81), s75), MUL_FLT_CPX(*(a91), s65));
        *((b2 + 22)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a02), s05), MUL_FLT_CPX(*(a12), s15));
        *((b2 + 30)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a02), s15), MUL_FLT_CPX(*(a12), s05));
        *((b2 + 23)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a22), s85), MUL_FLT_CPX(*(a32), s95));
        *((b2 + 31)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a22), s95), MUL_FLT_CPX(*(a32), s85));
    }}
    {long i2; for(i2 = 0; i2 <= 7; i2++) {
        a42 = (T + i2);
        a52 = (a42 + 8);
        a62 = (a42 + 512);
        a72 = (a42 + 520);
        t88 = ADD_CPX_CPX(*(a42), *(a62));
        t98 = ADD_CPX_CPX(*(a52), *(a72));
        t09 = SUB_CPX_CPX(*(a42), *(a62));
        t19 = SUB_CPX_CPX(*(a52), *(a72));
        a82 = (a42 + 128);
        a92 = (a42 + 136);
        a03 = (a42 + 896);
        a13 = (a42 + 904);
        t29 = ADD_CPX_CPX(*(a82), *(a03));
        t39 = SUB_CPX_CPX(*(a92), *(a13));
        t49 = SUB_CPX_CPX(*(a82), *(a03));
        t59 = ADD_CPX_CPX(*(a92), *(a13));
        s06 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t49), MUL_FLT_CPX(C_FLT(0.38268343236508978), t59));
        s16 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t59), MUL_FLT_CPX(C_FLT(0.38268343236508978), t49));
        a23 = (a42 + 256);
        a33 = (a42 + 264);
        a43 = (a42 + 768);
        a53 = (a42 + 776);
        t69 = ADD_CPX_CPX(*(a23), *(a43));
        t79 = SUB_CPX_CPX(*(a33), *(a53));
        a63 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a23), *(a43)));
        a73 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(*(a33), *(a53)));
        s26 = ADD_CPX_CPX(a63, a73);
        s36 = SUB_CPX_CPX(a73, a63);
        a83 = (a42 + 384);
        a93 = (a42 + 392);
        a04 = (a42 + 640);
        a14 = (a42 + 648);
        t89 = ADD_CPX_CPX(*(a83), *(a04));
        t99 = SUB_CPX_CPX(*(a93), *(a14));
        t0a = SUB_CPX_CPX(*(a83), *(a04));
        t1a = ADD_CPX_CPX(*(a93), *(a14));
        s46 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t0a), MUL_FLT_CPX(C_FLT(0.92387953251128674), t1a));
        s56 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t1a), MUL_FLT_CPX(C_FLT(0.92387953251128674), t0a));
        t2a = ADD_CPX_CPX(t88, t69);
        t3a = ADD_CPX_CPX(t09, t79);
        t4a = SUB_CPX_CPX(t88, t69);
        t5a = SUB_CPX_CPX(t09, t79);
        t6a = ADD_CPX_CPX(t29, t89);
        t7a = SUB_CPX_CPX(t39, t99);
        a24 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t29, t89));
        a34 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t39, t99));
        s66 = ADD_CPX_CPX(a24, a34);
        s76 = SUB_CPX_CPX(a34, a24);
        t8a = ADD_CPX_CPX(t2a, t6a);
        t9a = ADD_CPX_CPX(t4a, t7a);
        t0b = SUB_CPX_CPX(t2a, t6a);
        t1b = SUB_CPX_CPX(t4a, t7a);
        t2b = ADD_CPX_CPX(t3a, s66);
        t3b = ADD_CPX_CPX(t5a, s76);
        t4b = SUB_CPX_CPX(t3a, s66);
        t5b = SUB_CPX_CPX(t5a, s76);
        t6b = ADD_CPX_CPX(t98, s26);
        t7b = ADD_CPX_CPX(t19, s36);
        t8b = SUB_CPX_CPX(t98, s26);
        t9b = SUB_CPX_CPX(t19, s36);
        t0c = ADD_CPX_CPX(s06, s46);
        t1c = SUB_CPX_CPX(s16, s56);
        a44 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s06, s46));
        a54 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s16, s56));
        s86 = ADD_CPX_CPX(a44, a54);
        s96 = SUB_CPX_CPX(a54, a44);
        t2c = ADD_CPX_CPX(t6b, t0c);
        t3c = ADD_CPX_CPX(t8b, t1c);
        t4c = SUB_CPX_CPX(t6b, t0c);
        t5c = SUB_CPX_CPX(t8b, t1c);
        t6c = ADD_CPX_CPX(t7b, s86);
        t7c = ADD_CPX_CPX(t9b, s96);
        t8c = SUB_CPX_CPX(t7b, s86);
        t9c = SUB_CPX_CPX(t9b, s96);
        a64 = (a42 + 16);
        a74 = (a42 + 24);
        a84 = (a42 + 1008);
        a94 = (a42 + 1016);
        t0d = ADD_CPX_CPX(*(a64), *(a84));
        t1d = SUB_CPX_CPX(*(a74), *(a94));
        t2d = SUB_CPX_CPX(*(a64), *(a84));
        t3d = ADD_CPX_CPX(*(a74), *(a94));
        a05 = (a42 + 528);
        a15 = (a42 + 536);
        a25 = (a42 + 496);
        a35 = (a42 + 504);
        t4d = ADD_CPX_CPX(*(a05), *(a25));
        t5d = SUB_CPX_CPX(*(a15), *(a35));
        t6d = SUB_CPX_CPX(*(a05), *(a25));
        t7d = ADD_CPX_CPX(*(a15), *(a35));
        t8d = ADD_CPX_CPX(t0d, t4d);
        t9d = ADD_CPX_CPX(t1d, t5d);
        t0e = SUB_CPX_CPX(t0d, t4d);
        t1e = SUB_CPX_CPX(t1d, t5d);
        t2e = ADD_CPX_CPX(t2d, t7d);
        t3e = SUB_CPX_CPX(t3d, t6d);
        t4e = SUB_CPX_CPX(t2d, t7d);
        t5e = ADD_CPX_CPX(t3d, t6d);
        a45 = (a42 + 272);
        a55 = (a42 + 280);
        a65 = (a42 + 240);
        a75 = (a42 + 248);
        t6e = ADD_CPX_CPX(*(a45), *(a65));
        t7e = SUB_CPX_CPX(*(a55), *(a75));
        t8e = ADD_CPX_CPX(*(a55), *(a75));
        t9e = SUB_CPX_CPX(*(a65), *(a45));
        a85 = (a42 + 752);
        a95 = (a42 + 760);
        a06 = (a42 + 784);
        a16 = (a42 + 792);
        t0f = ADD_CPX_CPX(*(a85), *(a06));
        t1f = SUB_CPX_CPX(*(a16), *(a95));
        t2f = ADD_CPX_CPX(*(a95), *(a16));
        t3f = SUB_CPX_CPX(*(a06), *(a85));
        s07 = ADD_CPX_CPX(t6e, t0f);
        s17 = ADD_CPX_CPX(t7e, t1f);
        s27 = SUB_CPX_CPX(t8e, t2f);
        s37 = ADD_CPX_CPX(t9e, t3f);
        a26 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t6e, t0f));
        a36 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t8e, t2f));
        t4f = ADD_CPX_CPX(a26, a36);
        a46 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t7e, t1f));
        a56 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9e, t3f));
        t5f = ADD_CPX_CPX(a46, a56);
        t6f = SUB_CPX_CPX(a36, a26);
        t7f = SUB_CPX_CPX(a56, a46);
        s47 = ADD_CPX_CPX(t8d, s07);
        s57 = ADD_CPX_CPX(t9d, s17);
        s67 = ADD_CPX_CPX(t0e, s27);
        s77 = ADD_CPX_CPX(t1e, s37);
        s87 = SUB_CPX_CPX(t8d, s07);
        s97 = SUB_CPX_CPX(t9d, s17);
        s08 = SUB_CPX_CPX(t0e, s27);
        s18 = SUB_CPX_CPX(t1e, s37);
        s28 = ADD_CPX_CPX(t2e, t4f);
        s38 = ADD_CPX_CPX(t3e, t5f);
        s48 = ADD_CPX_CPX(t4e, t6f);
        s58 = ADD_CPX_CPX(t5e, t7f);
        s68 = SUB_CPX_CPX(t2e, t4f);
        s78 = SUB_CPX_CPX(t3e, t5f);
        s88 = SUB_CPX_CPX(t4e, t6f);
        s98 = SUB_CPX_CPX(t5e, t7f);
        s09 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99879545620517241), s28), MUL_FLT_CPX(C_FLT(0.049067674327418015), s38));
        s19 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99879545620517241), s38), MUL_FLT_CPX(C_FLT(0.049067674327418015), s28));
        s29 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), s67), MUL_FLT_CPX(C_FLT(0.098017140329560604), s77));
        s39 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), s77), MUL_FLT_CPX(C_FLT(0.098017140329560604), s67));
        s49 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s48), MUL_FLT_CPX(C_FLT(0.14673047445536175), s58));
        s59 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s58), MUL_FLT_CPX(C_FLT(0.14673047445536175), s48));
        s69 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s87), MUL_FLT_CPX(C_FLT(0.19509032201612828), s97));
        s79 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s97), MUL_FLT_CPX(C_FLT(0.19509032201612828), s87));
        s89 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.97003125319454397), s68), MUL_FLT_CPX(C_FLT(0.2429801799032639), s78));
        s99 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.97003125319454397), s78), MUL_FLT_CPX(C_FLT(0.2429801799032639), s68));
        s0a = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s08), MUL_FLT_CPX(C_FLT(0.29028467725446239), s18));
        s1a = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s18), MUL_FLT_CPX(C_FLT(0.29028467725446239), s08));
        s2a = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), s88), MUL_FLT_CPX(C_FLT(0.33688985339222005), s98));
        s3a = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), s98), MUL_FLT_CPX(C_FLT(0.33688985339222005), s88));
        a66 = (a42 + 32);
        a76 = (a42 + 40);
        a86 = (a42 + 992);
        a96 = (a42 + 1000);
        t8f = ADD_CPX_CPX(*(a66), *(a86));
        t9f = SUB_CPX_CPX(*(a76), *(a96));
        t0g = SUB_CPX_CPX(*(a66), *(a86));
        t1g = ADD_CPX_CPX(*(a76), *(a96));
        a07 = (a42 + 544);
        a17 = (a42 + 552);
        a27 = (a42 + 480);
        a37 = (a42 + 488);
        t2g = ADD_CPX_CPX(*(a07), *(a27));
        t3g = SUB_CPX_CPX(*(a17), *(a37));
        t4g = SUB_CPX_CPX(*(a07), *(a27));
        t5g = ADD_CPX_CPX(*(a17), *(a37));
        t6g = ADD_CPX_CPX(t8f, t2g);
        t7g = ADD_CPX_CPX(t9f, t3g);
        t8g = SUB_CPX_CPX(t8f, t2g);
        t9g = SUB_CPX_CPX(t9f, t3g);
        t0h = ADD_CPX_CPX(t0g, t5g);
        t1h = SUB_CPX_CPX(t1g, t4g);
        t2h = SUB_CPX_CPX(t0g, t5g);
        t3h = ADD_CPX_CPX(t1g, t4g);
        a47 = (a42 + 288);
        a57 = (a42 + 296);
        a67 = (a42 + 224);
        a77 = (a42 + 232);
        t4h = ADD_CPX_CPX(*(a47), *(a67));
        t5h = SUB_CPX_CPX(*(a57), *(a77));
        t6h = ADD_CPX_CPX(*(a57), *(a77));
        t7h = SUB_CPX_CPX(*(a67), *(a47));
        a87 = (a42 + 736);
        a97 = (a42 + 744);
        a08 = (a42 + 800);
        a18 = (a42 + 808);
        t8h = ADD_CPX_CPX(*(a87), *(a08));
        t9h = SUB_CPX_CPX(*(a18), *(a97));
        t0i = ADD_CPX_CPX(*(a97), *(a18));
        t1i = SUB_CPX_CPX(*(a08), *(a87));
        s4a = ADD_CPX_CPX(t4h, t8h);
        s5a = ADD_CPX_CPX(t5h, t9h);
        s6a = SUB_CPX_CPX(t6h, t0i);
        s7a = ADD_CPX_CPX(t7h, t1i);
        a28 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t4h, t8h));
        a38 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t6h, t0i));
        t2i = ADD_CPX_CPX(a28, a38);
        a48 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t5h, t9h));
        a58 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t7h, t1i));
        t3i = ADD_CPX_CPX(a48, a58);
        t4i = SUB_CPX_CPX(a38, a28);
        t5i = SUB_CPX_CPX(a58, a48);
        s8a = ADD_CPX_CPX(t6g, s4a);
        s9a = ADD_CPX_CPX(t7g, s5a);
        s0b = ADD_CPX_CPX(t8g, s6a);
        s1b = ADD_CPX_CPX(t9g, s7a);
        s2b = SUB_CPX_CPX(t6g, s4a);
        s3b = SUB_CPX_CPX(t7g, s5a);
        s4b = SUB_CPX_CPX(t8g, s6a);
        s5b = SUB_CPX_CPX(t9g, s7a);
        s6b = ADD_CPX_CPX(t0h, t2i);
        s7b = ADD_CPX_CPX(t1h, t3i);
        s8b = ADD_CPX_CPX(t2h, t4i);
        s9b = ADD_CPX_CPX(t3h, t5i);
        s0c = SUB_CPX_CPX(t0h, t2i);
        s1c = SUB_CPX_CPX(t1h, t3i);
        s2c = SUB_CPX_CPX(t2h, t4i);
        s3c = SUB_CPX_CPX(t3h, t5i);
        s4c = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), s6b), MUL_FLT_CPX(C_FLT(0.098017140329560604), s7b));
        s5c = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), s7b), MUL_FLT_CPX(C_FLT(0.098017140329560604), s6b));
        s6c = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s0b), MUL_FLT_CPX(C_FLT(0.19509032201612828), s1b));
        s7c = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s1b), MUL_FLT_CPX(C_FLT(0.19509032201612828), s0b));
        s8c = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s8b), MUL_FLT_CPX(C_FLT(0.29028467725446239), s9b));
        s9c = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s9b), MUL_FLT_CPX(C_FLT(0.29028467725446239), s8b));
        s0d = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s2b), MUL_FLT_CPX(C_FLT(0.38268343236508978), s3b));
        s1d = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s3b), MUL_FLT_CPX(C_FLT(0.38268343236508978), s2b));
        s2d = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s0c), MUL_FLT_CPX(C_FLT(0.47139673682599764), s1c));
        s3d = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s1c), MUL_FLT_CPX(C_FLT(0.47139673682599764), s0c));
        s4d = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s4b), MUL_FLT_CPX(C_FLT(0.55557023301960218), s5b));
        s5d = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s5b), MUL_FLT_CPX(C_FLT(0.55557023301960218), s4b));
        s6d = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), s2c), MUL_FLT_CPX(C_FLT(0.63439328416364549), s3c));
        s7d = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), s3c), MUL_FLT_CPX(C_FLT(0.63439328416364549), s2c));
        a68 = (a42 + 48);
        a78 = (a42 + 56);
        a88 = (a42 + 976);
        a98 = (a42 + 984);
        t6i = ADD_CPX_CPX(*(a68), *(a88));
        t7i = SUB_CPX_CPX(*(a78), *(a98));
        t8i = SUB_CPX_CPX(*(a68), *(a88));
        t9i = ADD_CPX_CPX(*(a78), *(a98));
        a09 = (a42 + 560);
        a19 = (a42 + 568);
        a29 = (a42 + 464);
        a39 = (a42 + 472);
        t0j = ADD_CPX_CPX(*(a09), *(a29));
        t1j = SUB_CPX_CPX(*(a19), *(a39));
        t2j = SUB_CPX_CPX(*(a09), *(a29));
        t3j = ADD_CPX_CPX(*(a19), *(a39));
        t4j = ADD_CPX_CPX(t6i, t0j);
        t5j = ADD_CPX_CPX(t7i, t1j);
        t6j = SUB_CPX_CPX(t6i, t0j);
        t7j = SUB_CPX_CPX(t7i, t1j);
        t8j = ADD_CPX_CPX(t8i, t3j);
        t9j = SUB_CPX_CPX(t9i, t2j);
        t0k = SUB_CPX_CPX(t8i, t3j);
        t1k = ADD_CPX_CPX(t9i, t2j);
        a49 = (a42 + 304);
        a59 = (a42 + 312);
        a69 = (a42 + 208);
        a79 = (a42 + 216);
        t2k = ADD_CPX_CPX(*(a49), *(a69));
        t3k = SUB_CPX_CPX(*(a59), *(a79));
        t4k = ADD_CPX_CPX(*(a59), *(a79));
        t5k = SUB_CPX_CPX(*(a69), *(a49));
        a89 = (a42 + 720);
        a99 = (a42 + 728);
        a0a = (a42 + 816);
        a1a = (a42 + 824);
        t6k = ADD_CPX_CPX(*(a89), *(a0a));
        t7k = SUB_CPX_CPX(*(a1a), *(a99));
        t8k = ADD_CPX_CPX(*(a99), *(a1a));
        t9k = SUB_CPX_CPX(*(a0a), *(a89));
        s8d = ADD_CPX_CPX(t2k, t6k);
        s9d = ADD_CPX_CPX(t3k, t7k);
        s0e = SUB_CPX_CPX(t4k, t8k);
        s1e = ADD_CPX_CPX(t5k, t9k);
        a2a = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2k, t6k));
        a3a = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t4k, t8k));
        t0l = ADD_CPX_CPX(a2a, a3a);
        a4a = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3k, t7k));
        a5a = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t5k, t9k));
        t1l = ADD_CPX_CPX(a4a, a5a);
        t2l = SUB_CPX_CPX(a3a, a2a);
        t3l = SUB_CPX_CPX(a5a, a4a);
        s2e = ADD_CPX_CPX(t4j, s8d);
        s3e = ADD_CPX_CPX(t5j, s9d);
        s4e = ADD_CPX_CPX(t6j, s0e);
        s5e = ADD_CPX_CPX(t7j, s1e);
        s6e = SUB_CPX_CPX(t4j, s8d);
        s7e = SUB_CPX_CPX(t5j, s9d);
        s8e = SUB_CPX_CPX(t6j, s0e);
        s9e = SUB_CPX_CPX(t7j, s1e);
        s0f = ADD_CPX_CPX(t8j, t0l);
        s1f = ADD_CPX_CPX(t9j, t1l);
        s2f = ADD_CPX_CPX(t0k, t2l);
        s3f = ADD_CPX_CPX(t1k, t3l);
        s4f = SUB_CPX_CPX(t8j, t0l);
        s5f = SUB_CPX_CPX(t9j, t1l);
        s6f = SUB_CPX_CPX(t0k, t2l);
        s7f = SUB_CPX_CPX(t1k, t3l);
        s8f = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s0f), MUL_FLT_CPX(C_FLT(0.14673047445536175), s1f));
        s9f = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s1f), MUL_FLT_CPX(C_FLT(0.14673047445536175), s0f));
        s0g = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s4e), MUL_FLT_CPX(C_FLT(0.29028467725446239), s5e));
        s1g = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s5e), MUL_FLT_CPX(C_FLT(0.29028467725446239), s4e));
        s2g = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.90398929312344334), s2f), MUL_FLT_CPX(C_FLT(0.42755509343028208), s3f));
        s3g = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.90398929312344334), s3f), MUL_FLT_CPX(C_FLT(0.42755509343028208), s2f));
        s4g = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s6e), MUL_FLT_CPX(C_FLT(0.55557023301960218), s7e));
        s5g = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s7e), MUL_FLT_CPX(C_FLT(0.55557023301960218), s6e));
        s6g = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), s4f), MUL_FLT_CPX(C_FLT(0.67155895484701844), s5f));
        s7g = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), s5f), MUL_FLT_CPX(C_FLT(0.67155895484701844), s4f));
        s8g = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), s8e), MUL_FLT_CPX(C_FLT(0.77301045336273699), s9e));
        s9g = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), s9e), MUL_FLT_CPX(C_FLT(0.77301045336273699), s8e));
        s0h = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.51410274419322177), s6f), MUL_FLT_CPX(C_FLT(0.85772861000027212), s7f));
        s1h = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.51410274419322177), s7f), MUL_FLT_CPX(C_FLT(0.85772861000027212), s6f));
        a6a = (a42 + 64);
        a7a = (a42 + 72);
        a8a = (a42 + 960);
        a9a = (a42 + 968);
        t4l = ADD_CPX_CPX(*(a6a), *(a8a));
        t5l = SUB_CPX_CPX(*(a7a), *(a9a));
        t6l = SUB_CPX_CPX(*(a6a), *(a8a));
        t7l = ADD_CPX_CPX(*(a7a), *(a9a));
        a0b = (a42 + 576);
        a1b = (a42 + 584);
        a2b = (a42 + 448);
        a3b = (a42 + 456);
        t8l = ADD_CPX_CPX(*(a0b), *(a2b));
        t9l = SUB_CPX_CPX(*(a1b), *(a3b));
        t0m = SUB_CPX_CPX(*(a0b), *(a2b));
        t1m = ADD_CPX_CPX(*(a1b), *(a3b));
        t2m = ADD_CPX_CPX(t4l, t8l);
        t3m = ADD_CPX_CPX(t5l, t9l);
        t4m = SUB_CPX_CPX(t4l, t8l);
        t5m = SUB_CPX_CPX(t5l, t9l);
        t6m = ADD_CPX_CPX(t6l, t1m);
        t7m = SUB_CPX_CPX(t7l, t0m);
        t8m = SUB_CPX_CPX(t6l, t1m);
        t9m = ADD_CPX_CPX(t7l, t0m);
        a4b = (a42 + 320);
        a5b = (a42 + 328);
        a6b = (a42 + 192);
        a7b = (a42 + 200);
        t0n = ADD_CPX_CPX(*(a4b), *(a6b));
        t1n = SUB_CPX_CPX(*(a5b), *(a7b));
        t2n = ADD_CPX_CPX(*(a5b), *(a7b));
        t3n = SUB_CPX_CPX(*(a6b), *(a4b));
        a8b = (a42 + 704);
        a9b = (a42 + 712);
        a0c = (a42 + 832);
        a1c = (a42 + 840);
        t4n = ADD_CPX_CPX(*(a8b), *(a0c));
        t5n = SUB_CPX_CPX(*(a1c), *(a9b));
        t6n = ADD_CPX_CPX(*(a9b), *(a1c));
        t7n = SUB_CPX_CPX(*(a0c), *(a8b));
        s2h = ADD_CPX_CPX(t0n, t4n);
        s3h = ADD_CPX_CPX(t1n, t5n);
        s4h = SUB_CPX_CPX(t2n, t6n);
        s5h = ADD_CPX_CPX(t3n, t7n);
        a2c = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0n, t4n));
        a3c = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t2n, t6n));
        t8n = ADD_CPX_CPX(a2c, a3c);
        a4c = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t1n, t5n));
        a5c = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3n, t7n));
        t9n = ADD_CPX_CPX(a4c, a5c);
        t0o = SUB_CPX_CPX(a3c, a2c);
        t1o = SUB_CPX_CPX(a5c, a4c);
        s6h = ADD_CPX_CPX(t2m, s2h);
        s7h = ADD_CPX_CPX(t3m, s3h);
        s8h = ADD_CPX_CPX(t4m, s4h);
        s9h = ADD_CPX_CPX(t5m, s5h);
        s0i = SUB_CPX_CPX(t4m, s4h);
        s1i = SUB_CPX_CPX(t5m, s5h);
        s2i = ADD_CPX_CPX(t6m, t8n);
        s3i = ADD_CPX_CPX(t7m, t9n);
        s4i = ADD_CPX_CPX(t8m, t0o);
        s5i = ADD_CPX_CPX(t9m, t1o);
        s6i = SUB_CPX_CPX(t6m, t8n);
        s7i = SUB_CPX_CPX(t7m, t9n);
        s8i = SUB_CPX_CPX(t8m, t0o);
        s9i = SUB_CPX_CPX(t9m, t1o);
        s0j = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s2i), MUL_FLT_CPX(C_FLT(0.19509032201612828), s3i));
        s1j = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s3i), MUL_FLT_CPX(C_FLT(0.19509032201612828), s2i));
        s2j = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s8h), MUL_FLT_CPX(C_FLT(0.38268343236508978), s9h));
        s3j = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s9h), MUL_FLT_CPX(C_FLT(0.38268343236508978), s8h));
        s4j = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s4i), MUL_FLT_CPX(C_FLT(0.55557023301960218), s5i));
        s5j = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s5i), MUL_FLT_CPX(C_FLT(0.55557023301960218), s4i));
        a6c = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2m, s2h));
        a7c = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3m, s3h));
        s6j = ADD_CPX_CPX(a6c, a7c);
        s7j = SUB_CPX_CPX(a7c, a6c);
        s8j = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s6i), MUL_FLT_CPX(C_FLT(0.83146961230254524), s7i));
        s9j = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s7i), MUL_FLT_CPX(C_FLT(0.83146961230254524), s6i));
        s0k = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s0i), MUL_FLT_CPX(C_FLT(0.92387953251128674), s1i));
        s1k = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s1i), MUL_FLT_CPX(C_FLT(0.92387953251128674), s0i));
        s2k = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s8i), MUL_FLT_CPX(C_FLT(0.98078528040323043), s9i));
        s3k = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s9i), MUL_FLT_CPX(C_FLT(0.98078528040323043), s8i));
        a8c = (a42 + 80);
        a9c = (a42 + 88);
        a0d = (a42 + 944);
        a1d = (a42 + 952);
        t2o = ADD_CPX_CPX(*(a8c), *(a0d));
        t3o = SUB_CPX_CPX(*(a9c), *(a1d));
        t4o = SUB_CPX_CPX(*(a8c), *(a0d));
        t5o = ADD_CPX_CPX(*(a9c), *(a1d));
        a2d = (a42 + 592);
        a3d = (a42 + 600);
        a4d = (a42 + 432);
        a5d = (a42 + 440);
        t6o = ADD_CPX_CPX(*(a2d), *(a4d));
        t7o = SUB_CPX_CPX(*(a3d), *(a5d));
        t8o = SUB_CPX_CPX(*(a2d), *(a4d));
        t9o = ADD_CPX_CPX(*(a3d), *(a5d));
        t0p = ADD_CPX_CPX(t2o, t6o);
        t1p = ADD_CPX_CPX(t3o, t7o);
        t2p = SUB_CPX_CPX(t2o, t6o);
        t3p = SUB_CPX_CPX(t3o, t7o);
        t4p = ADD_CPX_CPX(t4o, t9o);
        t5p = SUB_CPX_CPX(t5o, t8o);
        t6p = SUB_CPX_CPX(t4o, t9o);
        t7p = ADD_CPX_CPX(t5o, t8o);
        a6d = (a42 + 336);
        a7d = (a42 + 344);
        a8d = (a42 + 176);
        a9d = (a42 + 184);
        t8p = ADD_CPX_CPX(*(a6d), *(a8d));
        t9p = SUB_CPX_CPX(*(a7d), *(a9d));
        t0q = ADD_CPX_CPX(*(a7d), *(a9d));
        t1q = SUB_CPX_CPX(*(a8d), *(a6d));
        a0e = (a42 + 688);
        a1e = (a42 + 696);
        a2e = (a42 + 848);
        a3e = (a42 + 856);
        t2q = ADD_CPX_CPX(*(a0e), *(a2e));
        t3q = SUB_CPX_CPX(*(a3e), *(a1e));
        t4q = ADD_CPX_CPX(*(a1e), *(a3e));
        t5q = SUB_CPX_CPX(*(a2e), *(a0e));
        s4k = ADD_CPX_CPX(t8p, t2q);
        s5k = ADD_CPX_CPX(t9p, t3q);
        s6k = SUB_CPX_CPX(t0q, t4q);
        s7k = ADD_CPX_CPX(t1q, t5q);
        a4e = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8p, t2q));
        a5e = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t0q, t4q));
        t6q = ADD_CPX_CPX(a4e, a5e);
        a6e = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9p, t3q));
        a7e = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t1q, t5q));
        t7q = ADD_CPX_CPX(a6e, a7e);
        t8q = SUB_CPX_CPX(a5e, a4e);
        t9q = SUB_CPX_CPX(a7e, a6e);
        s8k = ADD_CPX_CPX(t0p, s4k);
        s9k = ADD_CPX_CPX(t1p, s5k);
        s0l = ADD_CPX_CPX(t2p, s6k);
        s1l = ADD_CPX_CPX(t3p, s7k);
        s2l = SUB_CPX_CPX(t0p, s4k);
        s3l = SUB_CPX_CPX(t1p, s5k);
        s4l = SUB_CPX_CPX(t2p, s6k);
        s5l = SUB_CPX_CPX(t3p, s7k);
        s6l = ADD_CPX_CPX(t4p, t6q);
        s7l = ADD_CPX_CPX(t5p, t7q);
        s8l = ADD_CPX_CPX(t6p, t8q);
        s9l = ADD_CPX_CPX(t7p, t9q);
        s0m = SUB_CPX_CPX(t4p, t6q);
        s1m = SUB_CPX_CPX(t5p, t7q);
        s2m = SUB_CPX_CPX(t6p, t8q);
        s3m = SUB_CPX_CPX(t7p, t9q);
        s4m = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.97003125319454397), s6l), MUL_FLT_CPX(C_FLT(0.2429801799032639), s7l));
        s5m = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.97003125319454397), s7l), MUL_FLT_CPX(C_FLT(0.2429801799032639), s6l));
        s6m = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s0l), MUL_FLT_CPX(C_FLT(0.47139673682599764), s1l));
        s7m = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s1l), MUL_FLT_CPX(C_FLT(0.47139673682599764), s0l));
        s8m = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), s8l), MUL_FLT_CPX(C_FLT(0.67155895484701844), s9l));
        s9m = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), s9l), MUL_FLT_CPX(C_FLT(0.67155895484701844), s8l));
        s0n = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s2l), MUL_FLT_CPX(C_FLT(0.83146961230254524), s3l));
        s1n = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s3l), MUL_FLT_CPX(C_FLT(0.83146961230254524), s2l));
        s2n = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.33688985339222005), s0m), MUL_FLT_CPX(C_FLT(0.94154406518302081), s1m));
        s3n = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.33688985339222005), s1m), MUL_FLT_CPX(C_FLT(0.94154406518302081), s0m));
        s4n = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), s4l), MUL_FLT_CPX(C_FLT(0.99518472667219693), s5l));
        s5n = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), s5l), MUL_FLT_CPX(C_FLT(0.99518472667219693), s4l));
        s6n = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s3m), MUL_FLT_CPX(C_FLT(0.14673047445536175), s2m));
        s7n = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s2m), MUL_FLT_CPX(C_FLT(0.14673047445536175), s3m));
        a8e = (a42 + 96);
        a9e = (a42 + 104);
        a0f = (a42 + 928);
        a1f = (a42 + 936);
        t0r = ADD_CPX_CPX(*(a8e), *(a0f));
        t1r = SUB_CPX_CPX(*(a9e), *(a1f));
        t2r = SUB_CPX_CPX(*(a8e), *(a0f));
        t3r = ADD_CPX_CPX(*(a9e), *(a1f));
        a2f = (a42 + 608);
        a3f = (a42 + 616);
        a4f = (a42 + 416);
        a5f = (a42 + 424);
        t4r = ADD_CPX_CPX(*(a2f), *(a4f));
        t5r = SUB_CPX_CPX(*(a3f), *(a5f));
        t6r = SUB_CPX_CPX(*(a2f), *(a4f));
        t7r = ADD_CPX_CPX(*(a3f), *(a5f));
        t8r = ADD_CPX_CPX(t0r, t4r);
        t9r = ADD_CPX_CPX(t1r, t5r);
        t0s = SUB_CPX_CPX(t0r, t4r);
        t1s = SUB_CPX_CPX(t1r, t5r);
        t2s = ADD_CPX_CPX(t2r, t7r);
        t3s = SUB_CPX_CPX(t3r, t6r);
        t4s = SUB_CPX_CPX(t2r, t7r);
        t5s = ADD_CPX_CPX(t3r, t6r);
        a6f = (a42 + 352);
        a7f = (a42 + 360);
        a8f = (a42 + 160);
        a9f = (a42 + 168);
        t6s = ADD_CPX_CPX(*(a6f), *(a8f));
        t7s = SUB_CPX_CPX(*(a7f), *(a9f));
        t8s = ADD_CPX_CPX(*(a7f), *(a9f));
        t9s = SUB_CPX_CPX(*(a8f), *(a6f));
        a0g = (a42 + 672);
        a1g = (a42 + 680);
        a2g = (a42 + 864);
        a3g = (a42 + 872);
        t0t = ADD_CPX_CPX(*(a0g), *(a2g));
        t1t = SUB_CPX_CPX(*(a3g), *(a1g));
        t2t = ADD_CPX_CPX(*(a1g), *(a3g));
        t3t = SUB_CPX_CPX(*(a2g), *(a0g));
        s8n = ADD_CPX_CPX(t6s, t0t);
        s9n = ADD_CPX_CPX(t7s, t1t);
        s0o = SUB_CPX_CPX(t8s, t2t);
        s1o = ADD_CPX_CPX(t9s, t3t);
        a4g = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t6s, t0t));
        a5g = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t8s, t2t));
        t4t = ADD_CPX_CPX(a4g, a5g);
        a6g = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t7s, t1t));
        a7g = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9s, t3t));
        t5t = ADD_CPX_CPX(a6g, a7g);
        t6t = SUB_CPX_CPX(a5g, a4g);
        t7t = SUB_CPX_CPX(a7g, a6g);
        s2o = ADD_CPX_CPX(t8r, s8n);
        s3o = ADD_CPX_CPX(t9r, s9n);
        s4o = ADD_CPX_CPX(t0s, s0o);
        s5o = ADD_CPX_CPX(t1s, s1o);
        s6o = SUB_CPX_CPX(t8r, s8n);
        s7o = SUB_CPX_CPX(t9r, s9n);
        s8o = SUB_CPX_CPX(t0s, s0o);
        s9o = SUB_CPX_CPX(t1s, s1o);
        s0p = ADD_CPX_CPX(t2s, t4t);
        s1p = ADD_CPX_CPX(t3s, t5t);
        s2p = ADD_CPX_CPX(t4s, t6t);
        s3p = ADD_CPX_CPX(t5s, t7t);
        s4p = SUB_CPX_CPX(t2s, t4t);
        s5p = SUB_CPX_CPX(t3s, t5t);
        s6p = SUB_CPX_CPX(t4s, t6t);
        s7p = SUB_CPX_CPX(t5s, t7t);
        s8p = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s0p), MUL_FLT_CPX(C_FLT(0.29028467725446239), s1p));
        s9p = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s1p), MUL_FLT_CPX(C_FLT(0.29028467725446239), s0p));
        s0q = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s4o), MUL_FLT_CPX(C_FLT(0.55557023301960218), s5o));
        s1q = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s5o), MUL_FLT_CPX(C_FLT(0.55557023301960218), s4o));
        s2q = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), s2p), MUL_FLT_CPX(C_FLT(0.77301045336273699), s3p));
        s3q = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), s3p), MUL_FLT_CPX(C_FLT(0.77301045336273699), s2p));
        s4q = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s6o), MUL_FLT_CPX(C_FLT(0.92387953251128674), s7o));
        s5q = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s7o), MUL_FLT_CPX(C_FLT(0.92387953251128674), s6o));
        s6q = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), s4p), MUL_FLT_CPX(C_FLT(0.99518472667219693), s5p));
        s7q = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), s5p), MUL_FLT_CPX(C_FLT(0.99518472667219693), s4p));
        s8q = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s9o), MUL_FLT_CPX(C_FLT(0.19509032201612828), s8o));
        s9q = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s8o), MUL_FLT_CPX(C_FLT(0.19509032201612828), s9o));
        s0r = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s7p), MUL_FLT_CPX(C_FLT(0.47139673682599764), s6p));
        s1r = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s6p), MUL_FLT_CPX(C_FLT(0.47139673682599764), s7p));
        a8g = (a42 + 112);
        a9g = (a42 + 120);
        a0h = (a42 + 912);
        a1h = (a42 + 920);
        t8t = ADD_CPX_CPX(*(a8g), *(a0h));
        t9t = SUB_CPX_CPX(*(a9g), *(a1h));
        t0u = SUB_CPX_CPX(*(a8g), *(a0h));
        t1u = ADD_CPX_CPX(*(a9g), *(a1h));
        a2h = (a42 + 624);
        a3h = (a42 + 632);
        a4h = (a42 + 400);
        a5h = (a42 + 408);
        t2u = ADD_CPX_CPX(*(a2h), *(a4h));
        t3u = SUB_CPX_CPX(*(a3h), *(a5h));
        t4u = SUB_CPX_CPX(*(a2h), *(a4h));
        t5u = ADD_CPX_CPX(*(a3h), *(a5h));
        t6u = ADD_CPX_CPX(t8t, t2u);
        t7u = ADD_CPX_CPX(t9t, t3u);
        t8u = SUB_CPX_CPX(t8t, t2u);
        t9u = SUB_CPX_CPX(t9t, t3u);
        t0v = ADD_CPX_CPX(t0u, t5u);
        t1v = SUB_CPX_CPX(t1u, t4u);
        t2v = SUB_CPX_CPX(t0u, t5u);
        t3v = ADD_CPX_CPX(t1u, t4u);
        a6h = (a42 + 368);
        a7h = (a42 + 376);
        a8h = (a42 + 144);
        a9h = (a42 + 152);
        t4v = ADD_CPX_CPX(*(a6h), *(a8h));
        t5v = SUB_CPX_CPX(*(a7h), *(a9h));
        t6v = ADD_CPX_CPX(*(a7h), *(a9h));
        t7v = SUB_CPX_CPX(*(a8h), *(a6h));
        a0i = (a42 + 656);
        a1i = (a42 + 664);
        a2i = (a42 + 880);
        a3i = (a42 + 888);
        t8v = ADD_CPX_CPX(*(a0i), *(a2i));
        t9v = SUB_CPX_CPX(*(a3i), *(a1i));
        t0w = ADD_CPX_CPX(*(a1i), *(a3i));
        t1w = SUB_CPX_CPX(*(a2i), *(a0i));
        s2r = ADD_CPX_CPX(t4v, t8v);
        s3r = ADD_CPX_CPX(t5v, t9v);
        s4r = SUB_CPX_CPX(t6v, t0w);
        s5r = ADD_CPX_CPX(t7v, t1w);
        a4i = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t4v, t8v));
        a5i = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t6v, t0w));
        t2w = ADD_CPX_CPX(a4i, a5i);
        a6i = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t5v, t9v));
        a7i = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t7v, t1w));
        t3w = ADD_CPX_CPX(a6i, a7i);
        t4w = SUB_CPX_CPX(a5i, a4i);
        t5w = SUB_CPX_CPX(a7i, a6i);
        s6r = ADD_CPX_CPX(t6u, s2r);
        s7r = ADD_CPX_CPX(t7u, s3r);
        s8r = ADD_CPX_CPX(t8u, s4r);
        s9r = ADD_CPX_CPX(t9u, s5r);
        s0s = SUB_CPX_CPX(t6u, s2r);
        s1s = SUB_CPX_CPX(t7u, s3r);
        s2s = SUB_CPX_CPX(t8u, s4r);
        s3s = SUB_CPX_CPX(t9u, s5r);
        s4s = ADD_CPX_CPX(t0v, t2w);
        s5s = ADD_CPX_CPX(t1v, t3w);
        s6s = ADD_CPX_CPX(t2v, t4w);
        s7s = ADD_CPX_CPX(t3v, t5w);
        s8s = SUB_CPX_CPX(t0v, t2w);
        s9s = SUB_CPX_CPX(t1v, t3w);
        s0t = SUB_CPX_CPX(t2v, t4w);
        s1t = SUB_CPX_CPX(t3v, t5w);
        s2t = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), s4s), MUL_FLT_CPX(C_FLT(0.33688985339222005), s5s));
        s3t = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), s5s), MUL_FLT_CPX(C_FLT(0.33688985339222005), s4s));
        s4t = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), s8r), MUL_FLT_CPX(C_FLT(0.63439328416364549), s9r));
        s5t = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), s9r), MUL_FLT_CPX(C_FLT(0.63439328416364549), s8r));
        s6t = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.51410274419322177), s6s), MUL_FLT_CPX(C_FLT(0.85772861000027212), s7s));
        s7t = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.51410274419322177), s7s), MUL_FLT_CPX(C_FLT(0.85772861000027212), s6s));
        s8t = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s0s), MUL_FLT_CPX(C_FLT(0.98078528040323043), s1s));
        s9t = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s1s), MUL_FLT_CPX(C_FLT(0.98078528040323043), s0s));
        s0u = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s9s), MUL_FLT_CPX(C_FLT(0.14673047445536175), s8s));
        s1u = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s8s), MUL_FLT_CPX(C_FLT(0.14673047445536175), s9s));
        s2u = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s3s), MUL_FLT_CPX(C_FLT(0.47139673682599764), s2s));
        s3u = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s2s), MUL_FLT_CPX(C_FLT(0.47139673682599764), s3s));
        s4u = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.67155895484701844), s1t), MUL_FLT_CPX(C_FLT(0.74095112535495911), s0t));
        s5u = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.67155895484701844), s0t), MUL_FLT_CPX(C_FLT(0.74095112535495911), s1t));
        t6w = ADD_CPX_CPX(t8a, s6h);
        t7w = ADD_CPX_CPX(t0b, s7h);
        t8w = SUB_CPX_CPX(t8a, s6h);
        t9w = SUB_CPX_CPX(t0b, s7h);
        t0x = ADD_CPX_CPX(s47, s6r);
        t1x = SUB_CPX_CPX(s57, s7r);
        t2x = SUB_CPX_CPX(s47, s6r);
        t3x = ADD_CPX_CPX(s57, s7r);
        s6u = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t2x), MUL_FLT_CPX(C_FLT(0.38268343236508978), t3x));
        s7u = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t3x), MUL_FLT_CPX(C_FLT(0.38268343236508978), t2x));
        t4x = ADD_CPX_CPX(s8a, s2o);
        t5x = SUB_CPX_CPX(s9a, s3o);
        a8i = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s8a, s2o));
        a9i = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s9a, s3o));
        s8u = ADD_CPX_CPX(a8i, a9i);
        s9u = SUB_CPX_CPX(a9i, a8i);
        t6x = ADD_CPX_CPX(s2e, s8k);
        t7x = SUB_CPX_CPX(s3e, s9k);
        t8x = SUB_CPX_CPX(s2e, s8k);
        t9x = ADD_CPX_CPX(s3e, s9k);
        s0v = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t8x), MUL_FLT_CPX(C_FLT(0.92387953251128674), t9x));
        s1v = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t9x), MUL_FLT_CPX(C_FLT(0.92387953251128674), t8x));
        t0y = ADD_CPX_CPX(t6w, t4x);
        t1y = ADD_CPX_CPX(t8w, t5x);
        t2y = SUB_CPX_CPX(t6w, t4x);
        t3y = SUB_CPX_CPX(t8w, t5x);
        t4y = ADD_CPX_CPX(t0x, t6x);
        t5y = SUB_CPX_CPX(t1x, t7x);
        a0j = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0x, t6x));
        a1j = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t1x, t7x));
        s2v = ADD_CPX_CPX(a0j, a1j);
        s3v = SUB_CPX_CPX(a1j, a0j);
        t6y = ADD_CPX_CPX(t0y, t4y);
        t7y = ADD_CPX_CPX(t2y, t5y);
        t8y = SUB_CPX_CPX(t0y, t4y);
        t9y = SUB_CPX_CPX(t2y, t5y);
        STOREU_CPX((dst + i2), t6y);
        STOREU_CPX((256 + dst + i2), t7y);
        STOREU_CPX((512 + dst + i2), t8y);
        STOREU_CPX((768 + dst + i2), t9y);
        t0z = ADD_CPX_CPX(t1y, s2v);
        t1z = ADD_CPX_CPX(t3y, s3v);
        t2z = SUB_CPX_CPX(t1y, s2v);
        t3z = SUB_CPX_CPX(t3y, s3v);
        STOREU_CPX((128 + dst + i2), t0z);
        STOREU_CPX((384 + dst + i2), t1z);
        STOREU_CPX((640 + dst + i2), t2z);
        STOREU_CPX((896 + dst + i2), t3z);
        t4z = ADD_CPX_CPX(t7w, s8u);
        t5z = ADD_CPX_CPX(t9w, s9u);
        t6z = SUB_CPX_CPX(t7w, s8u);
        t7z = SUB_CPX_CPX(t9w, s9u);
        t8z = ADD_CPX_CPX(s6u, s0v);
        t9z = SUB_CPX_CPX(s7u, s1v);
        a2j = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s6u, s0v));
        a3j = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s7u, s1v));
        s4v = ADD_CPX_CPX(a2j, a3j);
        s5v = SUB_CPX_CPX(a3j, a2j);
        t0A = ADD_CPX_CPX(t4z, t8z);
        t1A = ADD_CPX_CPX(t6z, t9z);
        t2A = SUB_CPX_CPX(t4z, t8z);
        t3A = SUB_CPX_CPX(t6z, t9z);
        STOREU_CPX((64 + dst + i2), t0A);
        STOREU_CPX((320 + dst + i2), t1A);
        STOREU_CPX((576 + dst + i2), t2A);
        STOREU_CPX((832 + dst + i2), t3A);
        t4A = ADD_CPX_CPX(t5z, s4v);
        t5A = ADD_CPX_CPX(t7z, s5v);
        t6A = SUB_CPX_CPX(t5z, s4v);
        t7A = SUB_CPX_CPX(t7z, s5v);
        STOREU_CPX((192 + dst + i2), t4A);
        STOREU_CPX((448 + dst + i2), t5A);
        STOREU_CPX((704 + dst + i2), t6A);
        STOREU_CPX((960 + dst + i2), t7A);
        t8A = ADD_CPX_CPX(t2c, s0j);
        t9A = ADD_CPX_CPX(t4c, s1j);
        t0B = SUB_CPX_CPX(t2c, s0j);
        t1B = SUB_CPX_CPX(t4c, s1j);
        t2B = ADD_CPX_CPX(s09, s2t);
        t3B = SUB_CPX_CPX(s19, s3t);
        t4B = SUB_CPX_CPX(s09, s2t);
        t5B = ADD_CPX_CPX(s19, s3t);
        s6v = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t4B), MUL_FLT_CPX(C_FLT(0.38268343236508978), t5B));
        s7v = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t5B), MUL_FLT_CPX(C_FLT(0.38268343236508978), t4B));
        t6B = ADD_CPX_CPX(s4c, s8p);
        t7B = SUB_CPX_CPX(s5c, s9p);
        a4j = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4c, s8p));
        a5j = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5c, s9p));
        s8v = ADD_CPX_CPX(a4j, a5j);
        s9v = SUB_CPX_CPX(a5j, a4j);
        t8B = ADD_CPX_CPX(s8f, s4m);
        t9B = SUB_CPX_CPX(s9f, s5m);
        t0C = SUB_CPX_CPX(s8f, s4m);
        t1C = ADD_CPX_CPX(s9f, s5m);
        s0w = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t0C), MUL_FLT_CPX(C_FLT(0.92387953251128674), t1C));
        s1w = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t1C), MUL_FLT_CPX(C_FLT(0.92387953251128674), t0C));
        t2C = ADD_CPX_CPX(t8A, t6B);
        t3C = ADD_CPX_CPX(t0B, t7B);
        t4C = SUB_CPX_CPX(t8A, t6B);
        t5C = SUB_CPX_CPX(t0B, t7B);
        t6C = ADD_CPX_CPX(t2B, t8B);
        t7C = SUB_CPX_CPX(t3B, t9B);
        a6j = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2B, t8B));
        a7j = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t3B, t9B));
        s2w = ADD_CPX_CPX(a6j, a7j);
        s3w = SUB_CPX_CPX(a7j, a6j);
        t8C = ADD_CPX_CPX(t2C, t6C);
        t9C = ADD_CPX_CPX(t4C, t7C);
        t0D = SUB_CPX_CPX(t2C, t6C);
        t1D = SUB_CPX_CPX(t4C, t7C);
        STOREU_CPX((8 + dst + i2), t8C);
        STOREU_CPX((264 + dst + i2), t9C);
        STOREU_CPX((520 + dst + i2), t0D);
        STOREU_CPX((776 + dst + i2), t1D);
        t2D = ADD_CPX_CPX(t3C, s2w);
        t3D = ADD_CPX_CPX(t5C, s3w);
        t4D = SUB_CPX_CPX(t3C, s2w);
        t5D = SUB_CPX_CPX(t5C, s3w);
        STOREU_CPX((136 + dst + i2), t2D);
        STOREU_CPX((392 + dst + i2), t3D);
        STOREU_CPX((648 + dst + i2), t4D);
        STOREU_CPX((904 + dst + i2), t5D);
        t6D = ADD_CPX_CPX(t9A, s8v);
        t7D = ADD_CPX_CPX(t1B, s9v);
        t8D = SUB_CPX_CPX(t9A, s8v);
        t9D = SUB_CPX_CPX(t1B, s9v);
        t0E = ADD_CPX_CPX(s6v, s0w);
        t1E = SUB_CPX_CPX(s7v, s1w);
        a8j = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s6v, s0w));
        a9j = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s7v, s1w));
        s4w = ADD_CPX_CPX(a8j, a9j);
        s5w = SUB_CPX_CPX(a9j, a8j);
        t2E = ADD_CPX_CPX(t6D, t0E);
        t3E = ADD_CPX_CPX(t8D, t1E);
        t4E = SUB_CPX_CPX(t6D, t0E);
        t5E = SUB_CPX_CPX(t8D, t1E);
        STOREU_CPX((72 + dst + i2), t2E);
        STOREU_CPX((328 + dst + i2), t3E);
        STOREU_CPX((584 + dst + i2), t4E);
        STOREU_CPX((840 + dst + i2), t5E);
        t6E = ADD_CPX_CPX(t7D, s4w);
        t7E = ADD_CPX_CPX(t9D, s5w);
        t8E = SUB_CPX_CPX(t7D, s4w);
        t9E = SUB_CPX_CPX(t9D, s5w);
        STOREU_CPX((200 + dst + i2), t6E);
        STOREU_CPX((456 + dst + i2), t7E);
        STOREU_CPX((712 + dst + i2), t8E);
        STOREU_CPX((968 + dst + i2), t9E);
        t0F = ADD_CPX_CPX(t2b, s2j);
        t1F = ADD_CPX_CPX(t4b, s3j);
        t2F = SUB_CPX_CPX(t2b, s2j);
        t3F = SUB_CPX_CPX(t4b, s3j);
        t4F = ADD_CPX_CPX(s29, s4t);
        t5F = SUB_CPX_CPX(s39, s5t);
        t6F = SUB_CPX_CPX(s29, s4t);
        t7F = ADD_CPX_CPX(s39, s5t);
        s6w = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t6F), MUL_FLT_CPX(C_FLT(0.38268343236508978), t7F));
        s7w = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t7F), MUL_FLT_CPX(C_FLT(0.38268343236508978), t6F));
        t8F = ADD_CPX_CPX(s6c, s0q);
        t9F = SUB_CPX_CPX(s7c, s1q);
        a0k = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s6c, s0q));
        a1k = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s7c, s1q));
        s8w = ADD_CPX_CPX(a0k, a1k);
        s9w = SUB_CPX_CPX(a1k, a0k);
        t0G = ADD_CPX_CPX(s0g, s6m);
        t1G = SUB_CPX_CPX(s1g, s7m);
        t2G = SUB_CPX_CPX(s0g, s6m);
        t3G = ADD_CPX_CPX(s1g, s7m);
        s0x = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t2G), MUL_FLT_CPX(C_FLT(0.92387953251128674), t3G));
        s1x = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t3G), MUL_FLT_CPX(C_FLT(0.92387953251128674), t2G));
        t4G = ADD_CPX_CPX(t0F, t8F);
        t5G = ADD_CPX_CPX(t2F, t9F);
        t6G = SUB_CPX_CPX(t0F, t8F);
        t7G = SUB_CPX_CPX(t2F, t9F);
        t8G = ADD_CPX_CPX(t4F, t0G);
        t9G = SUB_CPX_CPX(t5F, t1G);
        a2k = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t4F, t0G));
        a3k = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t5F, t1G));
        s2x = ADD_CPX_CPX(a2k, a3k);
        s3x = SUB_CPX_CPX(a3k, a2k);
        t0H = ADD_CPX_CPX(t4G, t8G);
        t1H = ADD_CPX_CPX(t6G, t9G);
        t2H = SUB_CPX_CPX(t4G, t8G);
        t3H = SUB_CPX_CPX(t6G, t9G);
        STOREU_CPX((16 + dst + i2), t0H);
        STOREU_CPX((272 + dst + i2), t1H);
        STOREU_CPX((528 + dst + i2), t2H);
        STOREU_CPX((784 + dst + i2), t3H);
        t4H = ADD_CPX_CPX(t5G, s2x);
        t5H = ADD_CPX_CPX(t7G, s3x);
        t6H = SUB_CPX_CPX(t5G, s2x);
        t7H = SUB_CPX_CPX(t7G, s3x);
        STOREU_CPX((144 + dst + i2), t4H);
        STOREU_CPX((400 + dst + i2), t5H);
        STOREU_CPX((656 + dst + i2), t6H);
        STOREU_CPX((912 + dst + i2), t7H);
        t8H = ADD_CPX_CPX(t1F, s8w);
        t9H = ADD_CPX_CPX(t3F, s9w);
        t0I = SUB_CPX_CPX(t1F, s8w);
        t1I = SUB_CPX_CPX(t3F, s9w);
        t2I = ADD_CPX_CPX(s6w, s0x);
        t3I = SUB_CPX_CPX(s7w, s1x);
        a4k = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s6w, s0x));
        a5k = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s7w, s1x));
        s4x = ADD_CPX_CPX(a4k, a5k);
        s5x = SUB_CPX_CPX(a5k, a4k);
        t4I = ADD_CPX_CPX(t8H, t2I);
        t5I = ADD_CPX_CPX(t0I, t3I);
        t6I = SUB_CPX_CPX(t8H, t2I);
        t7I = SUB_CPX_CPX(t0I, t3I);
        STOREU_CPX((80 + dst + i2), t4I);
        STOREU_CPX((336 + dst + i2), t5I);
        STOREU_CPX((592 + dst + i2), t6I);
        STOREU_CPX((848 + dst + i2), t7I);
        t8I = ADD_CPX_CPX(t9H, s4x);
        t9I = ADD_CPX_CPX(t1I, s5x);
        t0J = SUB_CPX_CPX(t9H, s4x);
        t1J = SUB_CPX_CPX(t1I, s5x);
        STOREU_CPX((208 + dst + i2), t8I);
        STOREU_CPX((464 + dst + i2), t9I);
        STOREU_CPX((720 + dst + i2), t0J);
        STOREU_CPX((976 + dst + i2), t1J);
        t2J = ADD_CPX_CPX(t6c, s4j);
        t3J = ADD_CPX_CPX(t8c, s5j);
        t4J = SUB_CPX_CPX(t6c, s4j);
        t5J = SUB_CPX_CPX(t8c, s5j);
        t6J = ADD_CPX_CPX(s49, s6t);
        t7J = SUB_CPX_CPX(s59, s7t);
        t8J = SUB_CPX_CPX(s49, s6t);
        t9J = ADD_CPX_CPX(s59, s7t);
        s6x = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t8J), MUL_FLT_CPX(C_FLT(0.38268343236508978), t9J));
        s7x = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t9J), MUL_FLT_CPX(C_FLT(0.38268343236508978), t8J));
        t0K = ADD_CPX_CPX(s8c, s2q);
        t1K = SUB_CPX_CPX(s9c, s3q);
        a6k = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s8c, s2q));
        a7k = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s9c, s3q));
        s8x = ADD_CPX_CPX(a6k, a7k);
        s9x = SUB_CPX_CPX(a7k, a6k);
        t2K = ADD_CPX_CPX(s2g, s8m);
        t3K = SUB_CPX_CPX(s3g, s9m);
        t4K = SUB_CPX_CPX(s2g, s8m);
        t5K = ADD_CPX_CPX(s3g, s9m);
        s0y = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t4K), MUL_FLT_CPX(C_FLT(0.92387953251128674), t5K));
        s1y = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t5K), MUL_FLT_CPX(C_FLT(0.92387953251128674), t4K));
        t6K = ADD_CPX_CPX(t2J, t0K);
        t7K = ADD_CPX_CPX(t4J, t1K);
        t8K = SUB_CPX_CPX(t2J, t0K);
        t9K = SUB_CPX_CPX(t4J, t1K);
        t0L = ADD_CPX_CPX(t6J, t2K);
        t1L = SUB_CPX_CPX(t7J, t3K);
        a8k = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t6J, t2K));
        a9k = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t7J, t3K));
        s2y = ADD_CPX_CPX(a8k, a9k);
        s3y = SUB_CPX_CPX(a9k, a8k);
        t2L = ADD_CPX_CPX(t6K, t0L);
        t3L = ADD_CPX_CPX(t8K, t1L);
        t4L = SUB_CPX_CPX(t6K, t0L);
        t5L = SUB_CPX_CPX(t8K, t1L);
        STOREU_CPX((24 + dst + i2), t2L);
        STOREU_CPX((280 + dst + i2), t3L);
        STOREU_CPX((536 + dst + i2), t4L);
        STOREU_CPX((792 + dst + i2), t5L);
        t6L = ADD_CPX_CPX(t7K, s2y);
        t7L = ADD_CPX_CPX(t9K, s3y);
        t8L = SUB_CPX_CPX(t7K, s2y);
        t9L = SUB_CPX_CPX(t9K, s3y);
        STOREU_CPX((152 + dst + i2), t6L);
        STOREU_CPX((408 + dst + i2), t7L);
        STOREU_CPX((664 + dst + i2), t8L);
        STOREU_CPX((920 + dst + i2), t9L);
        t0M = ADD_CPX_CPX(t3J, s8x);
        t1M = ADD_CPX_CPX(t5J, s9x);
        t2M = SUB_CPX_CPX(t3J, s8x);
        t3M = SUB_CPX_CPX(t5J, s9x);
        t4M = ADD_CPX_CPX(s6x, s0y);
        t5M = SUB_CPX_CPX(s7x, s1y);
        a0l = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s6x, s0y));
        a1l = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s7x, s1y));
        s4y = ADD_CPX_CPX(a0l, a1l);
        s5y = SUB_CPX_CPX(a1l, a0l);
        t6M = ADD_CPX_CPX(t0M, t4M);
        t7M = ADD_CPX_CPX(t2M, t5M);
        t8M = SUB_CPX_CPX(t0M, t4M);
        t9M = SUB_CPX_CPX(t2M, t5M);
        STOREU_CPX((88 + dst + i2), t6M);
        STOREU_CPX((344 + dst + i2), t7M);
        STOREU_CPX((600 + dst + i2), t8M);
        STOREU_CPX((856 + dst + i2), t9M);
        t0N = ADD_CPX_CPX(t1M, s4y);
        t1N = ADD_CPX_CPX(t3M, s5y);
        t2N = SUB_CPX_CPX(t1M, s4y);
        t3N = SUB_CPX_CPX(t3M, s5y);
        STOREU_CPX((216 + dst + i2), t0N);
        STOREU_CPX((472 + dst + i2), t1N);
        STOREU_CPX((728 + dst + i2), t2N);
        STOREU_CPX((984 + dst + i2), t3N);
        t4N = ADD_CPX_CPX(t9a, s6j);
        t5N = ADD_CPX_CPX(t1b, s7j);
        t6N = SUB_CPX_CPX(t9a, s6j);
        t7N = SUB_CPX_CPX(t1b, s7j);
        t8N = ADD_CPX_CPX(s69, s8t);
        t9N = SUB_CPX_CPX(s79, s9t);
        t0O = SUB_CPX_CPX(s69, s8t);
        t1O = ADD_CPX_CPX(s79, s9t);
        s6y = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t0O), MUL_FLT_CPX(C_FLT(0.38268343236508978), t1O));
        s7y = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t1O), MUL_FLT_CPX(C_FLT(0.38268343236508978), t0O));
        t2O = ADD_CPX_CPX(s0d, s4q);
        t3O = SUB_CPX_CPX(s1d, s5q);
        a2l = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s0d, s4q));
        a3l = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s1d, s5q));
        s8y = ADD_CPX_CPX(a2l, a3l);
        s9y = SUB_CPX_CPX(a3l, a2l);
        t4O = ADD_CPX_CPX(s4g, s0n);
        t5O = SUB_CPX_CPX(s5g, s1n);
        t6O = SUB_CPX_CPX(s4g, s0n);
        t7O = ADD_CPX_CPX(s5g, s1n);
        s0z = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t6O), MUL_FLT_CPX(C_FLT(0.92387953251128674), t7O));
        s1z = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t7O), MUL_FLT_CPX(C_FLT(0.92387953251128674), t6O));
        t8O = ADD_CPX_CPX(t4N, t2O);
        t9O = ADD_CPX_CPX(t6N, t3O);
        t0P = SUB_CPX_CPX(t4N, t2O);
        t1P = SUB_CPX_CPX(t6N, t3O);
        t2P = ADD_CPX_CPX(t8N, t4O);
        t3P = SUB_CPX_CPX(t9N, t5O);
        a4l = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8N, t4O));
        a5l = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t9N, t5O));
        s2z = ADD_CPX_CPX(a4l, a5l);
        s3z = SUB_CPX_CPX(a5l, a4l);
        t4P = ADD_CPX_CPX(t8O, t2P);
        t5P = ADD_CPX_CPX(t0P, t3P);
        t6P = SUB_CPX_CPX(t8O, t2P);
        t7P = SUB_CPX_CPX(t0P, t3P);
        STOREU_CPX((32 + dst + i2), t4P);
        STOREU_CPX((288 + dst + i2), t5P);
        STOREU_CPX((544 + dst + i2), t6P);
        STOREU_CPX((800 + dst + i2), t7P);
        t8P = ADD_CPX_CPX(t9O, s2z);
        t9P = ADD_CPX_CPX(t1P, s3z);
        t0Q = SUB_CPX_CPX(t9O, s2z);
        t1Q = SUB_CPX_CPX(t1P, s3z);
        STOREU_CPX((160 + dst + i2), t8P);
        STOREU_CPX((416 + dst + i2), t9P);
        STOREU_CPX((672 + dst + i2), t0Q);
        STOREU_CPX((928 + dst + i2), t1Q);
        t2Q = ADD_CPX_CPX(t5N, s8y);
        t3Q = ADD_CPX_CPX(t7N, s9y);
        t4Q = SUB_CPX_CPX(t5N, s8y);
        t5Q = SUB_CPX_CPX(t7N, s9y);
        t6Q = ADD_CPX_CPX(s6y, s0z);
        t7Q = SUB_CPX_CPX(s7y, s1z);
        a6l = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s6y, s0z));
        a7l = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s7y, s1z));
        s4z = ADD_CPX_CPX(a6l, a7l);
        s5z = SUB_CPX_CPX(a7l, a6l);
        t8Q = ADD_CPX_CPX(t2Q, t6Q);
        t9Q = ADD_CPX_CPX(t4Q, t7Q);
        t0R = SUB_CPX_CPX(t2Q, t6Q);
        t1R = SUB_CPX_CPX(t4Q, t7Q);
        STOREU_CPX((96 + dst + i2), t8Q);
        STOREU_CPX((352 + dst + i2), t9Q);
        STOREU_CPX((608 + dst + i2), t0R);
        STOREU_CPX((864 + dst + i2), t1R);
        t2R = ADD_CPX_CPX(t3Q, s4z);
        t3R = ADD_CPX_CPX(t5Q, s5z);
        t4R = SUB_CPX_CPX(t3Q, s4z);
        t5R = SUB_CPX_CPX(t5Q, s5z);
        STOREU_CPX((224 + dst + i2), t2R);
        STOREU_CPX((480 + dst + i2), t3R);
        STOREU_CPX((736 + dst + i2), t4R);
        STOREU_CPX((992 + dst + i2), t5R);
        t6R = ADD_CPX_CPX(t3c, s8j);
        t7R = ADD_CPX_CPX(t5c, s9j);
        t8R = SUB_CPX_CPX(t3c, s8j);
        t9R = SUB_CPX_CPX(t5c, s9j);
        t0S = ADD_CPX_CPX(s89, s0u);
        t1S = ADD_CPX_CPX(s99, s1u);
        t2S = SUB_CPX_CPX(s89, s0u);
        t3S = SUB_CPX_CPX(s99, s1u);
        s6z = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t2S), MUL_FLT_CPX(C_FLT(0.38268343236508978), t3S));
        s7z = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t3S), MUL_FLT_CPX(C_FLT(0.38268343236508978), t2S));
        t4S = ADD_CPX_CPX(s2d, s6q);
        t5S = SUB_CPX_CPX(s3d, s7q);
        a8l = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s2d, s6q));
        a9l = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s3d, s7q));
        s8z = ADD_CPX_CPX(a8l, a9l);
        s9z = SUB_CPX_CPX(a9l, a8l);
        t6S = ADD_CPX_CPX(s6g, s2n);
        t7S = SUB_CPX_CPX(s7g, s3n);
        t8S = SUB_CPX_CPX(s6g, s2n);
        t9S = ADD_CPX_CPX(s7g, s3n);
        s0A = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t8S), MUL_FLT_CPX(C_FLT(0.92387953251128674), t9S));
        s1A = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t9S), MUL_FLT_CPX(C_FLT(0.92387953251128674), t8S));
        t0T = ADD_CPX_CPX(t6R, t4S);
        t1T = ADD_CPX_CPX(t8R, t5S);
        t2T = SUB_CPX_CPX(t6R, t4S);
        t3T = SUB_CPX_CPX(t8R, t5S);
        t4T = ADD_CPX_CPX(t0S, t6S);
        t5T = SUB_CPX_CPX(t1S, t7S);
        a0m = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0S, t6S));
        a1m = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t1S, t7S));
        s2A = ADD_CPX_CPX(a0m, a1m);
        s3A = SUB_CPX_CPX(a1m, a0m);
        t6T = ADD_CPX_CPX(t0T, t4T);
        t7T = ADD_CPX_CPX(t2T, t5T);
        t8T = SUB_CPX_CPX(t0T, t4T);
        t9T = SUB_CPX_CPX(t2T, t5T);
        STOREU_CPX((40 + dst + i2), t6T);
        STOREU_CPX((296 + dst + i2), t7T);
        STOREU_CPX((552 + dst + i2), t8T);
        STOREU_CPX((808 + dst + i2), t9T);
        t0U = ADD_CPX_CPX(t1T, s2A);
        t1U = ADD_CPX_CPX(t3T, s3A);
        t2U = SUB_CPX_CPX(t1T, s2A);
        t3U = SUB_CPX_CPX(t3T, s3A);
        STOREU_CPX((168 + dst + i2), t0U);
        STOREU_CPX((424 + dst + i2), t1U);
        STOREU_CPX((680 + dst + i2), t2U);
        STOREU_CPX((936 + dst + i2), t3U);
        t4U = ADD_CPX_CPX(t7R, s8z);
        t5U = ADD_CPX_CPX(t9R, s9z);
        t6U = SUB_CPX_CPX(t7R, s8z);
        t7U = SUB_CPX_CPX(t9R, s9z);
        t8U = ADD_CPX_CPX(s6z, s0A);
        t9U = SUB_CPX_CPX(s7z, s1A);
        a2m = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s6z, s0A));
        a3m = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s7z, s1A));
        s4A = ADD_CPX_CPX(a2m, a3m);
        s5A = SUB_CPX_CPX(a3m, a2m);
        t0V = ADD_CPX_CPX(t4U, t8U);
        t1V = ADD_CPX_CPX(t6U, t9U);
        t2V = SUB_CPX_CPX(t4U, t8U);
        t3V = SUB_CPX_CPX(t6U, t9U);
        STOREU_CPX((104 + dst + i2), t0V);
        STOREU_CPX((360 + dst + i2), t1V);
        STOREU_CPX((616 + dst + i2), t2V);
        STOREU_CPX((872 + dst + i2), t3V);
        t4V = ADD_CPX_CPX(t5U, s4A);
        t5V = ADD_CPX_CPX(t7U, s5A);
        t6V = SUB_CPX_CPX(t5U, s4A);
        t7V = SUB_CPX_CPX(t7U, s5A);
        STOREU_CPX((232 + dst + i2), t4V);
        STOREU_CPX((488 + dst + i2), t5V);
        STOREU_CPX((744 + dst + i2), t6V);
        STOREU_CPX((1000 + dst + i2), t7V);
        t8V = ADD_CPX_CPX(t3b, s0k);
        t9V = ADD_CPX_CPX(t5b, s1k);
        t0W = SUB_CPX_CPX(t3b, s0k);
        t1W = SUB_CPX_CPX(t5b, s1k);
        t2W = ADD_CPX_CPX(s0a, s2u);
        t3W = ADD_CPX_CPX(s1a, s3u);
        t4W = SUB_CPX_CPX(s0a, s2u);
        t5W = SUB_CPX_CPX(s1a, s3u);
        s6A = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t4W), MUL_FLT_CPX(C_FLT(0.38268343236508978), t5W));
        s7A = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t5W), MUL_FLT_CPX(C_FLT(0.38268343236508978), t4W));
        t6W = ADD_CPX_CPX(s4d, s8q);
        t7W = ADD_CPX_CPX(s5d, s9q);
        a4m = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4d, s8q));
        a5m = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s5d, s9q));
        s8A = ADD_CPX_CPX(a4m, a5m);
        s9A = SUB_CPX_CPX(a5m, a4m);
        t8W = ADD_CPX_CPX(s8g, s4n);
        t9W = SUB_CPX_CPX(s9g, s5n);
        t0X = SUB_CPX_CPX(s8g, s4n);
        t1X = ADD_CPX_CPX(s9g, s5n);
        s0B = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t0X), MUL_FLT_CPX(C_FLT(0.92387953251128674), t1X));
        s1B = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t1X), MUL_FLT_CPX(C_FLT(0.92387953251128674), t0X));
        t2X = ADD_CPX_CPX(t8V, t6W);
        t3X = ADD_CPX_CPX(t0W, t7W);
        t4X = SUB_CPX_CPX(t8V, t6W);
        t5X = SUB_CPX_CPX(t0W, t7W);
        t6X = ADD_CPX_CPX(t2W, t8W);
        t7X = SUB_CPX_CPX(t3W, t9W);
        a6m = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2W, t8W));
        a7m = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t3W, t9W));
        s2B = ADD_CPX_CPX(a6m, a7m);
        s3B = SUB_CPX_CPX(a7m, a6m);
        t8X = ADD_CPX_CPX(t2X, t6X);
        t9X = ADD_CPX_CPX(t4X, t7X);
        t0Y = SUB_CPX_CPX(t2X, t6X);
        t1Y = SUB_CPX_CPX(t4X, t7X);
        STOREU_CPX((48 + dst + i2), t8X);
        STOREU_CPX((304 + dst + i2), t9X);
        STOREU_CPX((560 + dst + i2), t0Y);
        STOREU_CPX((816 + dst + i2), t1Y);
        t2Y = ADD_CPX_CPX(t3X, s2B);
        t3Y = ADD_CPX_CPX(t5X, s3B);
        t4Y = SUB_CPX_CPX(t3X, s2B);
        t5Y = SUB_CPX_CPX(t5X, s3B);
        STOREU_CPX((176 + dst + i2), t2Y);
        STOREU_CPX((432 + dst + i2), t3Y);
        STOREU_CPX((688 + dst + i2), t4Y);
        STOREU_CPX((944 + dst + i2), t5Y);
        t6Y = ADD_CPX_CPX(t9V, s8A);
        t7Y = ADD_CPX_CPX(t1W, s9A);
        t8Y = SUB_CPX_CPX(t9V, s8A);
        t9Y = SUB_CPX_CPX(t1W, s9A);
        t0Z = ADD_CPX_CPX(s6A, s0B);
        t1Z = SUB_CPX_CPX(s7A, s1B);
        a8m = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s6A, s0B));
        a9m = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s7A, s1B));
        s4B = ADD_CPX_CPX(a8m, a9m);
        s5B = SUB_CPX_CPX(a9m, a8m);
        t2Z = ADD_CPX_CPX(t6Y, t0Z);
        t3Z = ADD_CPX_CPX(t8Y, t1Z);
        t4Z = SUB_CPX_CPX(t6Y, t0Z);
        t5Z = SUB_CPX_CPX(t8Y, t1Z);
        STOREU_CPX((112 + dst + i2), t2Z);
        STOREU_CPX((368 + dst + i2), t3Z);
        STOREU_CPX((624 + dst + i2), t4Z);
        STOREU_CPX((880 + dst + i2), t5Z);
        t6Z = ADD_CPX_CPX(t7Y, s4B);
        t7Z = ADD_CPX_CPX(t9Y, s5B);
        t8Z = SUB_CPX_CPX(t7Y, s4B);
        t9Z = SUB_CPX_CPX(t9Y, s5B);
        STOREU_CPX((240 + dst + i2), t6Z);
        STOREU_CPX((496 + dst + i2), t7Z);
        STOREU_CPX((752 + dst + i2), t8Z);
        STOREU_CPX((1008 + dst + i2), t9Z);
        t010 = ADD_CPX_CPX(t7c, s2k);
        t110 = ADD_CPX_CPX(t9c, s3k);
        t210 = SUB_CPX_CPX(t7c, s2k);
        t310 = SUB_CPX_CPX(t9c, s3k);
        t410 = ADD_CPX_CPX(s2a, s4u);
        t510 = ADD_CPX_CPX(s3a, s5u);
        t610 = SUB_CPX_CPX(s2a, s4u);
        t710 = SUB_CPX_CPX(s3a, s5u);
        s6B = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t610), MUL_FLT_CPX(C_FLT(0.38268343236508978), t710));
        s7B = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t710), MUL_FLT_CPX(C_FLT(0.38268343236508978), t610));
        t810 = ADD_CPX_CPX(s6d, s0r);
        t910 = ADD_CPX_CPX(s7d, s1r);
        a0n = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s6d, s0r));
        a1n = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s7d, s1r));
        s8B = ADD_CPX_CPX(a0n, a1n);
        s9B = SUB_CPX_CPX(a1n, a0n);
        t011 = ADD_CPX_CPX(s0h, s6n);
        t111 = ADD_CPX_CPX(s1h, s7n);
        t211 = SUB_CPX_CPX(s0h, s6n);
        t311 = SUB_CPX_CPX(s1h, s7n);
        s0C = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t211), MUL_FLT_CPX(C_FLT(0.92387953251128674), t311));
        s1C = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t311), MUL_FLT_CPX(C_FLT(0.92387953251128674), t211));
        t411 = ADD_CPX_CPX(t010, t810);
        t511 = ADD_CPX_CPX(t210, t910);
        t611 = SUB_CPX_CPX(t010, t810);
        t711 = SUB_CPX_CPX(t210, t910);
        t811 = ADD_CPX_CPX(t410, t011);
        t911 = SUB_CPX_CPX(t510, t111);
        a2n = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t410, t011));
        a3n = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t510, t111));
        s2C = ADD_CPX_CPX(a2n, a3n);
        s3C = SUB_CPX_CPX(a3n, a2n);
        t012 = ADD_CPX_CPX(t411, t811);
        t112 = ADD_CPX_CPX(t611, t911);
        t212 = SUB_CPX_CPX(t411, t811);
        t312 = SUB_CPX_CPX(t611, t911);
        STOREU_CPX((56 + dst + i2), t012);
        STOREU_CPX((312 + dst + i2), t112);
        STOREU_CPX((568 + dst + i2), t212);
        STOREU_CPX((824 + dst + i2), t312);
        t412 = ADD_CPX_CPX(t511, s2C);
        t512 = ADD_CPX_CPX(t711, s3C);
        t612 = SUB_CPX_CPX(t511, s2C);
        t712 = SUB_CPX_CPX(t711, s3C);
        STOREU_CPX((184 + dst + i2), t412);
        STOREU_CPX((440 + dst + i2), t512);
        STOREU_CPX((696 + dst + i2), t612);
        STOREU_CPX((952 + dst + i2), t712);
        t812 = ADD_CPX_CPX(t110, s8B);
        t912 = ADD_CPX_CPX(t310, s9B);
        t013 = SUB_CPX_CPX(t110, s8B);
        t113 = SUB_CPX_CPX(t310, s9B);
        t213 = ADD_CPX_CPX(s6B, s0C);
        t313 = SUB_CPX_CPX(s7B, s1C);
        a4n = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s6B, s0C));
        a5n = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s7B, s1C));
        s4C = ADD_CPX_CPX(a4n, a5n);
        s5C = SUB_CPX_CPX(a5n, a4n);
        t413 = ADD_CPX_CPX(t812, t213);
        t513 = ADD_CPX_CPX(t013, t313);
        t613 = SUB_CPX_CPX(t812, t213);
        t713 = SUB_CPX_CPX(t013, t313);
        STOREU_CPX((120 + dst + i2), t413);
        STOREU_CPX((376 + dst + i2), t513);
        STOREU_CPX((632 + dst + i2), t613);
        STOREU_CPX((888 + dst + i2), t713);
        t813 = ADD_CPX_CPX(t912, s4C);
        t913 = ADD_CPX_CPX(t113, s5C);
        t014 = SUB_CPX_CPX(t912, s4C);
        t114 = SUB_CPX_CPX(t113, s5C);
        STOREU_CPX((248 + dst + i2), t813);
        STOREU_CPX((504 + dst + i2), t913);
        STOREU_CPX((760 + dst + i2), t014);
        STOREU_CPX((1016 + dst + i2), t114);
    }}
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_fftinv_double_1024)(const double *pSrc, double *pDst ) {
    if (!is_aligned(pSrc) || !is_aligned(pDst))
       	return spiral_fftinv_double_1024_unaligned(pSrc, pDst );
    else {
    const CPX  *src = (const CPX *) pSrc; 
    CPX        *dst = (CPX *) pDst;
    
    
    { SPIRAL_ALIGNED(CPX T[1024]);
    CPX  *a06, *a07, *a08, *a09, *a0a, *a0b, *a0c, *a0d, *a0e, *a0f, *a0g, *a0h, *a0i, *a0j, *a0k, *a0l, *a16, *a17, *a18, *a19, *a1a, *a1b
            , *a1c, *a1d, *a1e, *a1f, *a1g, *a1h, *a1i, *a1j, *a1k, *a1l, *a26, *a28, *a2a, *a2c, *a2e, *a2g, *a2h, *a2i, *a2j, *a2k, *a2l, *a2m
            , *a36, *a38, *a3a, *a3c, *a3e, *a3g, *a3h, *a3i, *a3j, *a3k, *a3l, *a45, *a46, *a48, *a4a, *a4c, *a4e, *a4g, *a4i, *a4k, *a55, *a56
            , *a58, *a5a, *a5c, *a5e, *a5g, *a5i, *a5k, *a65, *a67, *a68, *a69, *a6a, *a6b, *a6c, *a6d, *a6e, *a6g, *a6i, *a6k, *a75, *a77, *a78
            , *a79, *a7a, *a7b, *a7c, *a7d, *a7e, *a7g, *a7i, *a7k, *a85, *a86, *a87, *a88, *a89, *a8a, *a8b, *a8c, *a8d, *a8e, *a8f, *a8g, *a8h
            , *a8i, *a8j, *a8k, *a95, *a96, *a97, *a98, *a99, *a9a, *a9b, *a9c, *a9d, *a9e, *a9f, *a9g, *a9h, *a9i, *a9j, *a9k, *b2;
    const CPX  *a, *a01, *a02, *a03, *a11, *a12, *a13, *a2, *a21, *a22, *a23, *a3, *a31, *a32, *a33, *a4, *a41, *a42, *a43, *a5, *a51, *a52
            , *a53, *a6, *a61, *a62, *a7, *a71, *a72, *a82, *a92, *b;
    FLT  *a04, *a05, *a14, *a15, *a24, *a25, *a34, *a35, *a44, *a54, *a64, *a74, *a84, *a94;
    CPX a0m, a0n, a0o, a0p, a0q, a1m, a1n, a1o, a1p, a1q, a27, a29, a2b, a2d, a2f, a2n, a2o, a2p, a2q, a37, a39, a3b
        , a3d, a3f, a3m, a3n, a3o, a3p, a3q, a47, a49, a4b, a4d, a4f, a4h, a4j, a4l, a4m, a4n, a4o, a4p, a4q, a57, a59
        , a5b, a5d, a5f, a5h, a5j, a5l, a5m, a5n, a5o, a5p, a5q, a63, a66, a6f, a6h, a6j, a6l, a6m, a6n, a6o, a6p, a6q
        , a73, a76, a7f, a7h, a7j, a7l, a7m, a7n, a7o, a7p, a8, a81, a83, a8l, a8m, a8n, a8o, a8p, a9, a91, a93, a9l
        , a9m, a9n, a9o, a9p, s, s01, s02, s03, s04, s05, s06, s07, s08, s09, s0a, s0b, s0c, s0d, s0e, s0f, s0g, s0h
        , s0i, s0j, s0k, s0l, s0m, s0n, s0o, s0p, s0q, s0r, s0s, s0t, s0u, s0v, s0w, s0x, s0y, s0z, s11, s12, s13, s14
        , s15, s16, s17, s18, s19, s1a, s1b, s1c, s1d, s1e, s1f, s1g, s1h, s1i, s1j, s1k, s1l, s1m, s1n, s1o, s1p, s1q
        , s1r, s1s, s1t, s1u, s1v, s1w, s1x, s1y, s1z, s2, s21, s22, s23, s24, s25, s26, s27, s28, s29, s2a, s2b, s2c
        , s2d, s2e, s2f, s2g, s2h, s2i, s2j, s2k, s2l, s2m, s2n, s2o, s2p, s2q, s2r, s2s, s2t, s2u, s2v, s2w, s2x, s2y
        , s2z, s3, s31, s32, s33, s34, s35, s36, s37, s38, s39, s3a, s3b, s3c, s3d, s3e, s3f, s3g, s3h, s3i, s3j, s3k
        , s3l, s3m, s3n, s3o, s3p, s3q, s3r, s3s, s3t, s3u, s3v, s3w, s3x, s3y, s3z, s4, s41, s42, s43, s44, s45, s46
        , s47, s48, s49, s4a, s4b, s4c, s4d, s4e, s4f, s4g, s4h, s4i, s4j, s4k, s4l, s4m, s4n, s4o, s4p, s4q, s4r, s4s
        , s4t, s4u, s4v, s4w, s4x, s4y, s5, s51, s52, s53, s54, s55, s56, s57, s58, s59, s5a, s5b, s5c, s5d, s5e, s5f
        , s5g, s5h, s5i, s5j, s5k, s5l, s5m, s5n, s5o, s5p, s5q, s5r, s5s, s5t, s5u, s5v, s5w, s5x, s5y, s6, s61, s62
        , s63, s64, s65, s66, s67, s68, s69, s6a, s6b, s6c, s6d, s6e, s6f, s6g, s6h, s6i, s6j, s6k, s6l, s6m, s6n, s6o
        , s6p, s6q, s6r, s6s, s6t, s6u, s6v, s6w, s6x, s6y, s7, s71, s72, s73, s74, s75, s76, s77, s78, s79, s7a, s7b
        , s7c, s7d, s7e, s7f, s7g, s7h, s7i, s7j, s7k, s7l, s7m, s7n, s7o, s7p, s7q, s7r, s7s, s7t, s7u, s7v, s7w, s7x
        , s7y, s8, s81, s82, s83, s84, s85, s86, s87, s88, s89, s8a, s8b, s8c, s8d, s8e, s8f, s8g, s8h, s8i, s8j, s8k
        , s8l, s8m, s8n, s8o, s8p, s8q, s8r, s8s, s8t, s8u, s8v, s8w, s8x, s8y, s9, s91, s92, s93, s94, s95, s96, s97
        , s98, s99, s9a, s9b, s9c, s9d, s9e, s9f, s9g, s9h, s9i, s9j, s9k, s9l, s9m, s9n, s9o, s9p, s9q, s9r, s9s, s9t
        , s9u, s9v, s9w, s9x, s9y, t, t01, t02, t03, t04, t05, t06, t07, t08, t09, t0A, t0B, t0C, t0D, t0E, t0F, t0G
        , t0H, t0I, t0J, t0K, t0L, t0M, t0N, t0O, t0P, t0Q, t0R, t0a, t0b, t0c, t0d, t0e, t0f, t0g, t0h, t0i, t0j, t0k
        , t0l, t0m, t0n, t0o, t0p, t0q, t0r, t0s, t0t, t0u, t0v, t0w, t0x, t0y, t0z, t11, t12, t13, t14, t15, t16, t17
        , t18, t19, t1A, t1B, t1C, t1D, t1E, t1F, t1G, t1H, t1I, t1J, t1K, t1L, t1M, t1N, t1O, t1P, t1Q, t1R, t1a, t1b
        , t1c, t1d, t1e, t1f, t1g, t1h, t1i, t1j, t1k, t1l, t1m, t1n, t1o, t1p, t1q, t1r, t1s, t1t, t1u, t1v, t1w, t1x
        , t1y, t1z, t2, t21, t22, t23, t24, t25, t26, t27, t28, t29, t2A, t2B, t2C, t2D, t2E, t2F, t2G, t2H, t2I, t2J
        , t2K, t2L, t2M, t2N, t2O, t2P, t2Q, t2R, t2a, t2b, t2c, t2d, t2e, t2f, t2g, t2h, t2i, t2j, t2k, t2l, t2m, t2n
        , t2o, t2p, t2q, t2r, t2s, t2t, t2u, t2v, t2w, t2x, t2y, t2z, t3, t31, t32, t33, t34, t35, t36, t37, t38, t39
        , t3A, t3B, t3C, t3D, t3E, t3F, t3G, t3H, t3I, t3J, t3K, t3L, t3M, t3N, t3O, t3P, t3Q, t3R, t3a, t3b, t3c, t3d
        , t3e, t3f, t3g, t3h, t3i, t3j, t3k, t3l, t3m, t3n, t3o, t3p, t3q, t3r, t3s, t3t, t3u, t3v, t3w, t3x, t3y, t3z
        , t4, t41, t42, t43, t44, t45, t46, t47, t48, t49, t4A, t4B, t4C, t4D, t4E, t4F, t4G, t4H, t4I, t4J, t4K, t4L
        , t4M, t4N, t4O, t4P, t4Q, t4a, t4b, t4c, t4d, t4e, t4f, t4g, t4h, t4i, t4j, t4k, t4l, t4m, t4n, t4o, t4p, t4q
        , t4r, t4s, t4t, t4u, t4v, t4w, t4x, t4y, t4z, t5, t51, t52, t53, t54, t55, t56, t57, t58, t59, t5A, t5B, t5C
        , t5D, t5E, t5F, t5G, t5H, t5I, t5J, t5K, t5L, t5M, t5N, t5O, t5P, t5Q, t5a, t5b, t5c, t5d, t5e, t5f, t5g, t5h
        , t5i, t5j, t5k, t5l, t5m, t5n, t5o, t5p, t5q, t5r, t5s, t5t, t5u, t5v, t5w, t5x, t5y, t5z, t6, t61, t62, t63
        , t64, t65, t66, t67, t68, t69, t6A, t6B, t6C, t6D, t6E, t6F, t6G, t6H, t6I, t6J, t6K, t6L, t6M, t6N, t6O, t6P
        , t6Q, t6a, t6b, t6c, t6d, t6e, t6f, t6g, t6h, t6i, t6j, t6k, t6l, t6m, t6n, t6o, t6p, t6q, t6r, t6s, t6t, t6u
        , t6v, t6w, t6x, t6y, t6z, t7, t71, t72, t73, t74, t75, t76, t77, t78, t79, t7A, t7B, t7C, t7D, t7E, t7F, t7G
        , t7H, t7I, t7J, t7K, t7L, t7M, t7N, t7O, t7P, t7Q, t7a, t7b, t7c, t7d, t7e, t7f, t7g, t7h, t7i, t7j, t7k, t7l
        , t7m, t7n, t7o, t7p, t7q, t7r, t7s, t7t, t7u, t7v, t7w, t7x, t7y, t7z, t8, t81, t82, t83, t84, t85, t86, t87
        , t88, t89, t8A, t8B, t8C, t8D, t8E, t8F, t8G, t8H, t8I, t8J, t8K, t8L, t8M, t8N, t8O, t8P, t8Q, t8a, t8b, t8c
        , t8d, t8e, t8f, t8g, t8h, t8i, t8j, t8k, t8l, t8m, t8n, t8o, t8p, t8q, t8r, t8s, t8t, t8u, t8v, t8w, t8x, t8y
        , t8z, t9, t91, t92, t93, t94, t95, t96, t97, t98, t99, t9A, t9B, t9C, t9D, t9E, t9F, t9G, t9H, t9I, t9J, t9K
        , t9L, t9M, t9N, t9O, t9P, t9Q, t9a, t9b, t9c, t9d, t9e, t9f, t9g, t9h, t9i, t9j, t9k, t9l, t9m, t9n, t9o, t9p
        , t9q, t9r, t9s, t9t, t9u, t9v, t9w, t9x, t9y, t9z;
    a = (src + 512);
    t = ADD_CPX_CPX(*(src), *(a));
    t2 = SUB_CPX_CPX(*(src), *(a));
    a2 = (src + 256);
    a3 = (src + 768);
    t3 = ADD_CPX_CPX(*(a2), *(a3));
    s = MUL_I_CPX(SUB_CPX_CPX(*(a2), *(a3)));
    t4 = ADD_CPX_CPX(t, t3);
    t5 = SUB_CPX_CPX(t, t3);
    t6 = ADD_CPX_CPX(t2, s);
    t7 = SUB_CPX_CPX(t2, s);
    a4 = (src + 128);
    a5 = (src + 896);
    t8 = ADD_CPX_CPX(*(a4), *(a5));
    t9 = ADD_CPX_CPX(MUL_I_CPX(*(a4)), MUL_NI_CPX(*(a5)));
    a6 = (src + 640);
    a7 = (src + 384);
    t01 = ADD_CPX_CPX(*(a6), *(a7));
    t11 = ADD_CPX_CPX(MUL_I_CPX(*(a6)), MUL_NI_CPX(*(a7)));
    t21 = ADD_CPX_CPX(t8, t01);
    t31 = ADD_CPX_CPX(t9, t11);
    a8 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8, t01));
    a9 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9, t11));
    s2 = ADD_CPX_CPX(a8, a9);
    s3 = SUB_CPX_CPX(a9, a8);
    t41 = ADD_CPX_CPX(t4, t21);
    t51 = ADD_CPX_CPX(t5, t31);
    t61 = SUB_CPX_CPX(t4, t21);
    t71 = SUB_CPX_CPX(t5, t31);
    t81 = ADD_CPX_CPX(t6, s2);
    t91 = ADD_CPX_CPX(t7, s3);
    t02 = SUB_CPX_CPX(t6, s2);
    t12 = SUB_CPX_CPX(t7, s3);
    a01 = (src + 64);
    a11 = (src + 960);
    t22 = ADD_CPX_CPX(*(a01), *(a11));
    t32 = ADD_CPX_CPX(MUL_I_CPX(*(a01)), MUL_NI_CPX(*(a11)));
    a21 = (src + 320);
    a31 = (src + 704);
    t42 = ADD_CPX_CPX(*(a21), *(a31));
    t52 = ADD_CPX_CPX(MUL_I_CPX(*(a21)), MUL_NI_CPX(*(a31)));
    a41 = (src + 576);
    a51 = (src + 448);
    t62 = ADD_CPX_CPX(*(a41), *(a51));
    t72 = ADD_CPX_CPX(MUL_I_CPX(*(a41)), MUL_NI_CPX(*(a51)));
    a61 = (src + 832);
    a71 = (src + 192);
    t82 = ADD_CPX_CPX(*(a61), *(a71));
    t92 = ADD_CPX_CPX(MUL_I_CPX(*(a61)), MUL_NI_CPX(*(a71)));
    t03 = ADD_CPX_CPX(t22, t62);
    t13 = ADD_CPX_CPX(t32, t72);
    t23 = SUB_CPX_CPX(t22, t62);
    t33 = SUB_CPX_CPX(t32, t72);
    t43 = ADD_CPX_CPX(t42, t82);
    t53 = ADD_CPX_CPX(t52, t92);
    t63 = SUB_CPX_CPX(t42, t82);
    t73 = SUB_CPX_CPX(t52, t92);
    t83 = ADD_CPX_CPX(t03, t43);
    t93 = ADD_CPX_CPX(t13, t53);
    t04 = ADD_CPX_CPX(t23, t73);
    t14 = SUB_CPX_CPX(t33, t63);
    t24 = SUB_CPX_CPX(t23, t73);
    t34 = ADD_CPX_CPX(t33, t63);
    s4 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t04), MUL_FLT_CPX(C_FLT(0.38268343236508978), t14));
    s5 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t14), MUL_FLT_CPX(C_FLT(0.38268343236508978), t04));
    a81 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t03, t43));
    a91 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t13, t53));
    s6 = ADD_CPX_CPX(a81, a91);
    s7 = SUB_CPX_CPX(a91, a81);
    s8 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t24), MUL_FLT_CPX(C_FLT(0.92387953251128674), t34));
    s9 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t34), MUL_FLT_CPX(C_FLT(0.92387953251128674), t24));
    *(T) = ADD_CPX_CPX(t41, t83);
    *((T + 4)) = ADD_CPX_CPX(t61, t93);
    *((T + 8)) = SUB_CPX_CPX(t41, t83);
    *((T + 12)) = SUB_CPX_CPX(t61, t93);
    *((T + 1)) = ADD_CPX_CPX(t81, s4);
    *((T + 5)) = ADD_CPX_CPX(t02, s5);
    *((T + 9)) = SUB_CPX_CPX(t81, s4);
    *((T + 13)) = SUB_CPX_CPX(t02, s5);
    *((T + 2)) = ADD_CPX_CPX(t51, s6);
    *((T + 6)) = ADD_CPX_CPX(t71, s7);
    *((T + 10)) = SUB_CPX_CPX(t51, s6);
    *((T + 14)) = SUB_CPX_CPX(t71, s7);
    *((T + 3)) = ADD_CPX_CPX(t91, s8);
    *((T + 7)) = ADD_CPX_CPX(t12, s9);
    *((T + 11)) = SUB_CPX_CPX(t91, s8);
    *((T + 15)) = SUB_CPX_CPX(t12, s9);
    {long i; for(i = 0; i <= 62; i++) {
        b = (src + i);
        a02 = (b + 1);
        a12 = (src + (1023 - i));
        t44 = ADD_CPX_CPX(*(a02), *(a12));
        t54 = ADD_CPX_CPX(MUL_I_CPX(*(a02)), MUL_NI_CPX(*(a12)));
        a22 = (b + 129);
        a32 = (src + (895 - i));
        t64 = ADD_CPX_CPX(*(a22), *(a32));
        t74 = ADD_CPX_CPX(MUL_I_CPX(*(a22)), MUL_NI_CPX(*(a32)));
        a42 = (b + 257);
        a52 = (src + (767 - i));
        t84 = ADD_CPX_CPX(*(a42), *(a52));
        t94 = ADD_CPX_CPX(MUL_I_CPX(*(a42)), MUL_NI_CPX(*(a52)));
        a62 = (b + 385);
        a72 = (src + (639 - i));
        t05 = ADD_CPX_CPX(*(a62), *(a72));
        t15 = ADD_CPX_CPX(MUL_I_CPX(*(a62)), MUL_NI_CPX(*(a72)));
        a82 = (b + 513);
        a92 = (src + (511 - i));
        t25 = ADD_CPX_CPX(*(a82), *(a92));
        t35 = ADD_CPX_CPX(MUL_I_CPX(*(a82)), MUL_NI_CPX(*(a92)));
        a03 = (b + 641);
        a13 = (src + (383 - i));
        t45 = ADD_CPX_CPX(*(a03), *(a13));
        t55 = ADD_CPX_CPX(MUL_I_CPX(*(a03)), MUL_NI_CPX(*(a13)));
        a23 = (b + 769);
        a33 = (src + (255 - i));
        t65 = ADD_CPX_CPX(*(a23), *(a33));
        t75 = ADD_CPX_CPX(MUL_I_CPX(*(a23)), MUL_NI_CPX(*(a33)));
        a43 = (b + 897);
        a53 = (src + (127 - i));
        t85 = ADD_CPX_CPX(*(a43), *(a53));
        t95 = ADD_CPX_CPX(MUL_I_CPX(*(a43)), MUL_NI_CPX(*(a53)));
        t06 = ADD_CPX_CPX(t44, t25);
        t16 = ADD_CPX_CPX(t54, t35);
        t26 = SUB_CPX_CPX(t44, t25);
        t36 = SUB_CPX_CPX(t54, t35);
        t46 = ADD_CPX_CPX(t84, t65);
        t56 = ADD_CPX_CPX(t94, t75);
        t66 = SUB_CPX_CPX(t84, t65);
        t76 = SUB_CPX_CPX(t94, t75);
        t86 = ADD_CPX_CPX(t06, t46);
        t96 = ADD_CPX_CPX(t16, t56);
        t07 = SUB_CPX_CPX(t06, t46);
        t17 = SUB_CPX_CPX(t16, t56);
        t27 = ADD_CPX_CPX(t26, t76);
        t37 = SUB_CPX_CPX(t36, t66);
        t47 = SUB_CPX_CPX(t26, t76);
        t57 = ADD_CPX_CPX(t36, t66);
        t67 = ADD_CPX_CPX(t64, t85);
        t77 = ADD_CPX_CPX(t74, t95);
        t87 = SUB_CPX_CPX(t74, t95);
        t97 = SUB_CPX_CPX(t85, t64);
        t08 = ADD_CPX_CPX(t45, t05);
        t18 = ADD_CPX_CPX(t55, t15);
        t28 = SUB_CPX_CPX(t55, t15);
        t38 = SUB_CPX_CPX(t05, t45);
        s01 = ADD_CPX_CPX(t67, t08);
        s11 = ADD_CPX_CPX(t77, t18);
        s21 = ADD_CPX_CPX(t87, t28);
        s31 = ADD_CPX_CPX(t97, t38);
        a63 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t67, t08));
        a73 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t87, t28));
        t48 = ADD_CPX_CPX(a63, a73);
        a83 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t77, t18));
        a93 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t97, t38));
        t58 = ADD_CPX_CPX(a83, a93);
        t68 = SUB_CPX_CPX(a73, a63);
        t78 = SUB_CPX_CPX(a93, a83);
        s41 = ADD_CPX_CPX(t07, s21);
        s51 = ADD_CPX_CPX(t17, s31);
        s61 = SUB_CPX_CPX(t86, s01);
        s71 = SUB_CPX_CPX(t96, s11);
        s81 = SUB_CPX_CPX(t07, s21);
        s91 = SUB_CPX_CPX(t17, s31);
        s02 = ADD_CPX_CPX(t27, t48);
        s12 = ADD_CPX_CPX(t37, t58);
        s22 = ADD_CPX_CPX(t47, t68);
        s32 = ADD_CPX_CPX(t57, t78);
        s42 = SUB_CPX_CPX(t27, t48);
        s52 = SUB_CPX_CPX(t37, t58);
        s62 = SUB_CPX_CPX(t47, t68);
        s72 = SUB_CPX_CPX(t57, t78);
        b2 = (T + (16*i));
        *((b2 + 16)) = ADD_CPX_CPX(t86, s01);
        *((b2 + 24)) = ADD_CPX_CPX(t96, s11);
        a04 = (D996 + (14*i));
        a14 = (a04 + 1);
        a24 = (a04 + 2);
        a34 = (a04 + 3);
        a44 = (a04 + 4);
        a54 = (a04 + 5);
        a64 = (a04 + 6);
        a74 = (a04 + 7);
        a84 = (a04 + 8);
        a94 = (a04 + 9);
        a05 = (a04 + 10);
        a15 = (a04 + 11);
        a25 = (a04 + 12);
        a35 = (a04 + 13);
        *((b2 + 17)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a04), s02), MUL_FLT_CPX(*(a14), s12));
        *((b2 + 25)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a04), s12), MUL_FLT_CPX(*(a14), s02));
        *((b2 + 18)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a24), s41), MUL_FLT_CPX(*(a34), s51));
        *((b2 + 26)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a24), s51), MUL_FLT_CPX(*(a34), s41));
        *((b2 + 19)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a44), s22), MUL_FLT_CPX(*(a54), s32));
        *((b2 + 27)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a44), s32), MUL_FLT_CPX(*(a54), s22));
        *((b2 + 20)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a64), s61), MUL_FLT_CPX(*(a74), s71));
        *((b2 + 28)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a64), s71), MUL_FLT_CPX(*(a74), s61));
        *((b2 + 21)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a84), s42), MUL_FLT_CPX(*(a94), s52));
        *((b2 + 29)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a84), s52), MUL_FLT_CPX(*(a94), s42));
        *((b2 + 22)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a05), s81), MUL_FLT_CPX(*(a15), s91));
        *((b2 + 30)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a05), s91), MUL_FLT_CPX(*(a15), s81));
        *((b2 + 23)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a25), s62), MUL_FLT_CPX(*(a35), s72));
        *((b2 + 31)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a25), s72), MUL_FLT_CPX(*(a35), s62));
    }}
    {long i2; for(i2 = 0; i2 <= 7; i2++) {
        a45 = (T + i2);
        a55 = (a45 + 8);
        a65 = (a45 + 512);
        a75 = (a45 + 520);
        t88 = ADD_CPX_CPX(*(a45), *(a65));
        t98 = ADD_CPX_CPX(*(a55), *(a75));
        t09 = SUB_CPX_CPX(*(a45), *(a65));
        t19 = SUB_CPX_CPX(*(a55), *(a75));
        a85 = (a45 + 128);
        a95 = (a45 + 136);
        a06 = (a45 + 896);
        a16 = (a45 + 904);
        t29 = ADD_CPX_CPX(*(a85), *(a06));
        t39 = SUB_CPX_CPX(*(a95), *(a16));
        t49 = SUB_CPX_CPX(*(a85), *(a06));
        t59 = ADD_CPX_CPX(*(a95), *(a16));
        s82 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t49), MUL_FLT_CPX(C_FLT(0.38268343236508978), t59));
        s92 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t59), MUL_FLT_CPX(C_FLT(0.38268343236508978), t49));
        a26 = (a45 + 256);
        a36 = (a45 + 264);
        a46 = (a45 + 768);
        a56 = (a45 + 776);
        t69 = ADD_CPX_CPX(*(a26), *(a46));
        t79 = SUB_CPX_CPX(*(a36), *(a56));
        a66 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a26), *(a46)));
        a76 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(*(a36), *(a56)));
        s03 = ADD_CPX_CPX(a66, a76);
        s13 = SUB_CPX_CPX(a76, a66);
        a86 = (a45 + 384);
        a96 = (a45 + 392);
        a07 = (a45 + 640);
        a17 = (a45 + 648);
        t89 = ADD_CPX_CPX(*(a86), *(a07));
        t99 = SUB_CPX_CPX(*(a96), *(a17));
        t0a = SUB_CPX_CPX(*(a86), *(a07));
        t1a = ADD_CPX_CPX(*(a96), *(a17));
        s23 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t0a), MUL_FLT_CPX(C_FLT(0.92387953251128674), t1a));
        s33 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t1a), MUL_FLT_CPX(C_FLT(0.92387953251128674), t0a));
        t2a = ADD_CPX_CPX(t88, t69);
        t3a = ADD_CPX_CPX(t09, t79);
        t4a = SUB_CPX_CPX(t88, t69);
        t5a = SUB_CPX_CPX(t09, t79);
        t6a = ADD_CPX_CPX(t29, t89);
        t7a = SUB_CPX_CPX(t39, t99);
        a27 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t29, t89));
        a37 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t39, t99));
        s43 = ADD_CPX_CPX(a27, a37);
        s53 = SUB_CPX_CPX(a37, a27);
        t8a = ADD_CPX_CPX(t2a, t6a);
        t9a = ADD_CPX_CPX(t4a, t7a);
        t0b = SUB_CPX_CPX(t2a, t6a);
        t1b = SUB_CPX_CPX(t4a, t7a);
        t2b = ADD_CPX_CPX(t3a, s43);
        t3b = ADD_CPX_CPX(t5a, s53);
        t4b = SUB_CPX_CPX(t3a, s43);
        t5b = SUB_CPX_CPX(t5a, s53);
        t6b = ADD_CPX_CPX(t98, s03);
        t7b = ADD_CPX_CPX(t19, s13);
        t8b = SUB_CPX_CPX(t98, s03);
        t9b = SUB_CPX_CPX(t19, s13);
        t0c = ADD_CPX_CPX(s82, s23);
        t1c = SUB_CPX_CPX(s92, s33);
        a47 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s82, s23));
        a57 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s92, s33));
        s63 = ADD_CPX_CPX(a47, a57);
        s73 = SUB_CPX_CPX(a57, a47);
        t2c = ADD_CPX_CPX(t6b, t0c);
        t3c = ADD_CPX_CPX(t8b, t1c);
        t4c = SUB_CPX_CPX(t6b, t0c);
        t5c = SUB_CPX_CPX(t8b, t1c);
        t6c = ADD_CPX_CPX(t7b, s63);
        t7c = ADD_CPX_CPX(t9b, s73);
        t8c = SUB_CPX_CPX(t7b, s63);
        t9c = SUB_CPX_CPX(t9b, s73);
        a67 = (a45 + 16);
        a77 = (a45 + 24);
        a87 = (a45 + 1008);
        a97 = (a45 + 1016);
        t0d = ADD_CPX_CPX(*(a67), *(a87));
        t1d = SUB_CPX_CPX(*(a77), *(a97));
        t2d = SUB_CPX_CPX(*(a67), *(a87));
        t3d = ADD_CPX_CPX(*(a77), *(a97));
        a08 = (a45 + 528);
        a18 = (a45 + 536);
        a28 = (a45 + 496);
        a38 = (a45 + 504);
        t4d = ADD_CPX_CPX(*(a08), *(a28));
        t5d = SUB_CPX_CPX(*(a18), *(a38));
        t6d = SUB_CPX_CPX(*(a08), *(a28));
        t7d = ADD_CPX_CPX(*(a18), *(a38));
        t8d = ADD_CPX_CPX(t0d, t4d);
        t9d = ADD_CPX_CPX(t1d, t5d);
        t0e = SUB_CPX_CPX(t0d, t4d);
        t1e = SUB_CPX_CPX(t1d, t5d);
        t2e = ADD_CPX_CPX(t2d, t7d);
        t3e = SUB_CPX_CPX(t3d, t6d);
        t4e = SUB_CPX_CPX(t2d, t7d);
        t5e = ADD_CPX_CPX(t3d, t6d);
        a48 = (a45 + 272);
        a58 = (a45 + 280);
        a68 = (a45 + 240);
        a78 = (a45 + 248);
        t6e = ADD_CPX_CPX(*(a48), *(a68));
        t7e = SUB_CPX_CPX(*(a58), *(a78));
        t8e = ADD_CPX_CPX(*(a58), *(a78));
        t9e = SUB_CPX_CPX(*(a68), *(a48));
        a88 = (a45 + 752);
        a98 = (a45 + 760);
        a09 = (a45 + 784);
        a19 = (a45 + 792);
        t0f = ADD_CPX_CPX(*(a88), *(a09));
        t1f = SUB_CPX_CPX(*(a19), *(a98));
        t2f = ADD_CPX_CPX(*(a98), *(a19));
        t3f = SUB_CPX_CPX(*(a09), *(a88));
        s83 = ADD_CPX_CPX(t6e, t0f);
        s93 = ADD_CPX_CPX(t7e, t1f);
        s04 = SUB_CPX_CPX(t8e, t2f);
        s14 = ADD_CPX_CPX(t9e, t3f);
        a29 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t6e, t0f));
        a39 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t8e, t2f));
        t4f = ADD_CPX_CPX(a29, a39);
        a49 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t7e, t1f));
        a59 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9e, t3f));
        t5f = ADD_CPX_CPX(a49, a59);
        t6f = SUB_CPX_CPX(a39, a29);
        t7f = SUB_CPX_CPX(a59, a49);
        s24 = ADD_CPX_CPX(t8d, s83);
        s34 = ADD_CPX_CPX(t9d, s93);
        s44 = ADD_CPX_CPX(t0e, s04);
        s54 = ADD_CPX_CPX(t1e, s14);
        s64 = SUB_CPX_CPX(t8d, s83);
        s74 = SUB_CPX_CPX(t9d, s93);
        s84 = SUB_CPX_CPX(t0e, s04);
        s94 = SUB_CPX_CPX(t1e, s14);
        s05 = ADD_CPX_CPX(t2e, t4f);
        s15 = ADD_CPX_CPX(t3e, t5f);
        s25 = ADD_CPX_CPX(t4e, t6f);
        s35 = ADD_CPX_CPX(t5e, t7f);
        s45 = SUB_CPX_CPX(t2e, t4f);
        s55 = SUB_CPX_CPX(t3e, t5f);
        s65 = SUB_CPX_CPX(t4e, t6f);
        s75 = SUB_CPX_CPX(t5e, t7f);
        s85 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99879545620517241), s05), MUL_FLT_CPX(C_FLT(0.049067674327418015), s15));
        s95 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99879545620517241), s15), MUL_FLT_CPX(C_FLT(0.049067674327418015), s05));
        s06 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), s44), MUL_FLT_CPX(C_FLT(0.098017140329560604), s54));
        s16 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), s54), MUL_FLT_CPX(C_FLT(0.098017140329560604), s44));
        s26 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s25), MUL_FLT_CPX(C_FLT(0.14673047445536175), s35));
        s36 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s35), MUL_FLT_CPX(C_FLT(0.14673047445536175), s25));
        s46 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s64), MUL_FLT_CPX(C_FLT(0.19509032201612828), s74));
        s56 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s74), MUL_FLT_CPX(C_FLT(0.19509032201612828), s64));
        s66 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.97003125319454397), s45), MUL_FLT_CPX(C_FLT(0.2429801799032639), s55));
        s76 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.97003125319454397), s55), MUL_FLT_CPX(C_FLT(0.2429801799032639), s45));
        s86 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s84), MUL_FLT_CPX(C_FLT(0.29028467725446239), s94));
        s96 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s94), MUL_FLT_CPX(C_FLT(0.29028467725446239), s84));
        s07 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), s65), MUL_FLT_CPX(C_FLT(0.33688985339222005), s75));
        s17 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), s75), MUL_FLT_CPX(C_FLT(0.33688985339222005), s65));
        a69 = (a45 + 32);
        a79 = (a45 + 40);
        a89 = (a45 + 992);
        a99 = (a45 + 1000);
        t8f = ADD_CPX_CPX(*(a69), *(a89));
        t9f = SUB_CPX_CPX(*(a79), *(a99));
        t0g = SUB_CPX_CPX(*(a69), *(a89));
        t1g = ADD_CPX_CPX(*(a79), *(a99));
        a0a = (a45 + 544);
        a1a = (a45 + 552);
        a2a = (a45 + 480);
        a3a = (a45 + 488);
        t2g = ADD_CPX_CPX(*(a0a), *(a2a));
        t3g = SUB_CPX_CPX(*(a1a), *(a3a));
        t4g = SUB_CPX_CPX(*(a0a), *(a2a));
        t5g = ADD_CPX_CPX(*(a1a), *(a3a));
        t6g = ADD_CPX_CPX(t8f, t2g);
        t7g = ADD_CPX_CPX(t9f, t3g);
        t8g = SUB_CPX_CPX(t8f, t2g);
        t9g = SUB_CPX_CPX(t9f, t3g);
        t0h = ADD_CPX_CPX(t0g, t5g);
        t1h = SUB_CPX_CPX(t1g, t4g);
        t2h = SUB_CPX_CPX(t0g, t5g);
        t3h = ADD_CPX_CPX(t1g, t4g);
        a4a = (a45 + 288);
        a5a = (a45 + 296);
        a6a = (a45 + 224);
        a7a = (a45 + 232);
        t4h = ADD_CPX_CPX(*(a4a), *(a6a));
        t5h = SUB_CPX_CPX(*(a5a), *(a7a));
        t6h = ADD_CPX_CPX(*(a5a), *(a7a));
        t7h = SUB_CPX_CPX(*(a6a), *(a4a));
        a8a = (a45 + 736);
        a9a = (a45 + 744);
        a0b = (a45 + 800);
        a1b = (a45 + 808);
        t8h = ADD_CPX_CPX(*(a8a), *(a0b));
        t9h = SUB_CPX_CPX(*(a1b), *(a9a));
        t0i = ADD_CPX_CPX(*(a9a), *(a1b));
        t1i = SUB_CPX_CPX(*(a0b), *(a8a));
        s27 = ADD_CPX_CPX(t4h, t8h);
        s37 = ADD_CPX_CPX(t5h, t9h);
        s47 = SUB_CPX_CPX(t6h, t0i);
        s57 = ADD_CPX_CPX(t7h, t1i);
        a2b = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t4h, t8h));
        a3b = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t6h, t0i));
        t2i = ADD_CPX_CPX(a2b, a3b);
        a4b = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t5h, t9h));
        a5b = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t7h, t1i));
        t3i = ADD_CPX_CPX(a4b, a5b);
        t4i = SUB_CPX_CPX(a3b, a2b);
        t5i = SUB_CPX_CPX(a5b, a4b);
        s67 = ADD_CPX_CPX(t6g, s27);
        s77 = ADD_CPX_CPX(t7g, s37);
        s87 = ADD_CPX_CPX(t8g, s47);
        s97 = ADD_CPX_CPX(t9g, s57);
        s08 = SUB_CPX_CPX(t6g, s27);
        s18 = SUB_CPX_CPX(t7g, s37);
        s28 = SUB_CPX_CPX(t8g, s47);
        s38 = SUB_CPX_CPX(t9g, s57);
        s48 = ADD_CPX_CPX(t0h, t2i);
        s58 = ADD_CPX_CPX(t1h, t3i);
        s68 = ADD_CPX_CPX(t2h, t4i);
        s78 = ADD_CPX_CPX(t3h, t5i);
        s88 = SUB_CPX_CPX(t0h, t2i);
        s98 = SUB_CPX_CPX(t1h, t3i);
        s09 = SUB_CPX_CPX(t2h, t4i);
        s19 = SUB_CPX_CPX(t3h, t5i);
        s29 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), s48), MUL_FLT_CPX(C_FLT(0.098017140329560604), s58));
        s39 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), s58), MUL_FLT_CPX(C_FLT(0.098017140329560604), s48));
        s49 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s87), MUL_FLT_CPX(C_FLT(0.19509032201612828), s97));
        s59 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s97), MUL_FLT_CPX(C_FLT(0.19509032201612828), s87));
        s69 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s68), MUL_FLT_CPX(C_FLT(0.29028467725446239), s78));
        s79 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s78), MUL_FLT_CPX(C_FLT(0.29028467725446239), s68));
        s89 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s08), MUL_FLT_CPX(C_FLT(0.38268343236508978), s18));
        s99 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s18), MUL_FLT_CPX(C_FLT(0.38268343236508978), s08));
        s0a = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s88), MUL_FLT_CPX(C_FLT(0.47139673682599764), s98));
        s1a = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s98), MUL_FLT_CPX(C_FLT(0.47139673682599764), s88));
        s2a = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s28), MUL_FLT_CPX(C_FLT(0.55557023301960218), s38));
        s3a = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s38), MUL_FLT_CPX(C_FLT(0.55557023301960218), s28));
        s4a = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), s09), MUL_FLT_CPX(C_FLT(0.63439328416364549), s19));
        s5a = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), s19), MUL_FLT_CPX(C_FLT(0.63439328416364549), s09));
        a6b = (a45 + 48);
        a7b = (a45 + 56);
        a8b = (a45 + 976);
        a9b = (a45 + 984);
        t6i = ADD_CPX_CPX(*(a6b), *(a8b));
        t7i = SUB_CPX_CPX(*(a7b), *(a9b));
        t8i = SUB_CPX_CPX(*(a6b), *(a8b));
        t9i = ADD_CPX_CPX(*(a7b), *(a9b));
        a0c = (a45 + 560);
        a1c = (a45 + 568);
        a2c = (a45 + 464);
        a3c = (a45 + 472);
        t0j = ADD_CPX_CPX(*(a0c), *(a2c));
        t1j = SUB_CPX_CPX(*(a1c), *(a3c));
        t2j = SUB_CPX_CPX(*(a0c), *(a2c));
        t3j = ADD_CPX_CPX(*(a1c), *(a3c));
        t4j = ADD_CPX_CPX(t6i, t0j);
        t5j = ADD_CPX_CPX(t7i, t1j);
        t6j = SUB_CPX_CPX(t6i, t0j);
        t7j = SUB_CPX_CPX(t7i, t1j);
        t8j = ADD_CPX_CPX(t8i, t3j);
        t9j = SUB_CPX_CPX(t9i, t2j);
        t0k = SUB_CPX_CPX(t8i, t3j);
        t1k = ADD_CPX_CPX(t9i, t2j);
        a4c = (a45 + 304);
        a5c = (a45 + 312);
        a6c = (a45 + 208);
        a7c = (a45 + 216);
        t2k = ADD_CPX_CPX(*(a4c), *(a6c));
        t3k = SUB_CPX_CPX(*(a5c), *(a7c));
        t4k = ADD_CPX_CPX(*(a5c), *(a7c));
        t5k = SUB_CPX_CPX(*(a6c), *(a4c));
        a8c = (a45 + 720);
        a9c = (a45 + 728);
        a0d = (a45 + 816);
        a1d = (a45 + 824);
        t6k = ADD_CPX_CPX(*(a8c), *(a0d));
        t7k = SUB_CPX_CPX(*(a1d), *(a9c));
        t8k = ADD_CPX_CPX(*(a9c), *(a1d));
        t9k = SUB_CPX_CPX(*(a0d), *(a8c));
        s6a = ADD_CPX_CPX(t2k, t6k);
        s7a = ADD_CPX_CPX(t3k, t7k);
        s8a = SUB_CPX_CPX(t4k, t8k);
        s9a = ADD_CPX_CPX(t5k, t9k);
        a2d = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2k, t6k));
        a3d = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t4k, t8k));
        t0l = ADD_CPX_CPX(a2d, a3d);
        a4d = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3k, t7k));
        a5d = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t5k, t9k));
        t1l = ADD_CPX_CPX(a4d, a5d);
        t2l = SUB_CPX_CPX(a3d, a2d);
        t3l = SUB_CPX_CPX(a5d, a4d);
        s0b = ADD_CPX_CPX(t4j, s6a);
        s1b = ADD_CPX_CPX(t5j, s7a);
        s2b = ADD_CPX_CPX(t6j, s8a);
        s3b = ADD_CPX_CPX(t7j, s9a);
        s4b = SUB_CPX_CPX(t4j, s6a);
        s5b = SUB_CPX_CPX(t5j, s7a);
        s6b = SUB_CPX_CPX(t6j, s8a);
        s7b = SUB_CPX_CPX(t7j, s9a);
        s8b = ADD_CPX_CPX(t8j, t0l);
        s9b = ADD_CPX_CPX(t9j, t1l);
        s0c = ADD_CPX_CPX(t0k, t2l);
        s1c = ADD_CPX_CPX(t1k, t3l);
        s2c = SUB_CPX_CPX(t8j, t0l);
        s3c = SUB_CPX_CPX(t9j, t1l);
        s4c = SUB_CPX_CPX(t0k, t2l);
        s5c = SUB_CPX_CPX(t1k, t3l);
        s6c = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s8b), MUL_FLT_CPX(C_FLT(0.14673047445536175), s9b));
        s7c = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s9b), MUL_FLT_CPX(C_FLT(0.14673047445536175), s8b));
        s8c = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s2b), MUL_FLT_CPX(C_FLT(0.29028467725446239), s3b));
        s9c = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s3b), MUL_FLT_CPX(C_FLT(0.29028467725446239), s2b));
        s0d = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.90398929312344334), s0c), MUL_FLT_CPX(C_FLT(0.42755509343028208), s1c));
        s1d = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.90398929312344334), s1c), MUL_FLT_CPX(C_FLT(0.42755509343028208), s0c));
        s2d = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s4b), MUL_FLT_CPX(C_FLT(0.55557023301960218), s5b));
        s3d = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s5b), MUL_FLT_CPX(C_FLT(0.55557023301960218), s4b));
        s4d = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), s2c), MUL_FLT_CPX(C_FLT(0.67155895484701844), s3c));
        s5d = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), s3c), MUL_FLT_CPX(C_FLT(0.67155895484701844), s2c));
        s6d = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), s6b), MUL_FLT_CPX(C_FLT(0.77301045336273699), s7b));
        s7d = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), s7b), MUL_FLT_CPX(C_FLT(0.77301045336273699), s6b));
        s8d = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.51410274419322177), s4c), MUL_FLT_CPX(C_FLT(0.85772861000027212), s5c));
        s9d = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.51410274419322177), s5c), MUL_FLT_CPX(C_FLT(0.85772861000027212), s4c));
        a6d = (a45 + 64);
        a7d = (a45 + 72);
        a8d = (a45 + 960);
        a9d = (a45 + 968);
        t4l = ADD_CPX_CPX(*(a6d), *(a8d));
        t5l = SUB_CPX_CPX(*(a7d), *(a9d));
        t6l = SUB_CPX_CPX(*(a6d), *(a8d));
        t7l = ADD_CPX_CPX(*(a7d), *(a9d));
        a0e = (a45 + 576);
        a1e = (a45 + 584);
        a2e = (a45 + 448);
        a3e = (a45 + 456);
        t8l = ADD_CPX_CPX(*(a0e), *(a2e));
        t9l = SUB_CPX_CPX(*(a1e), *(a3e));
        t0m = SUB_CPX_CPX(*(a0e), *(a2e));
        t1m = ADD_CPX_CPX(*(a1e), *(a3e));
        t2m = ADD_CPX_CPX(t4l, t8l);
        t3m = ADD_CPX_CPX(t5l, t9l);
        t4m = SUB_CPX_CPX(t4l, t8l);
        t5m = SUB_CPX_CPX(t5l, t9l);
        t6m = ADD_CPX_CPX(t6l, t1m);
        t7m = SUB_CPX_CPX(t7l, t0m);
        t8m = SUB_CPX_CPX(t6l, t1m);
        t9m = ADD_CPX_CPX(t7l, t0m);
        a4e = (a45 + 320);
        a5e = (a45 + 328);
        a6e = (a45 + 192);
        a7e = (a45 + 200);
        t0n = ADD_CPX_CPX(*(a4e), *(a6e));
        t1n = SUB_CPX_CPX(*(a5e), *(a7e));
        t2n = ADD_CPX_CPX(*(a5e), *(a7e));
        t3n = SUB_CPX_CPX(*(a6e), *(a4e));
        a8e = (a45 + 704);
        a9e = (a45 + 712);
        a0f = (a45 + 832);
        a1f = (a45 + 840);
        t4n = ADD_CPX_CPX(*(a8e), *(a0f));
        t5n = SUB_CPX_CPX(*(a1f), *(a9e));
        t6n = ADD_CPX_CPX(*(a9e), *(a1f));
        t7n = SUB_CPX_CPX(*(a0f), *(a8e));
        s0e = ADD_CPX_CPX(t0n, t4n);
        s1e = ADD_CPX_CPX(t1n, t5n);
        s2e = SUB_CPX_CPX(t2n, t6n);
        s3e = ADD_CPX_CPX(t3n, t7n);
        a2f = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0n, t4n));
        a3f = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t2n, t6n));
        t8n = ADD_CPX_CPX(a2f, a3f);
        a4f = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t1n, t5n));
        a5f = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3n, t7n));
        t9n = ADD_CPX_CPX(a4f, a5f);
        t0o = SUB_CPX_CPX(a3f, a2f);
        t1o = SUB_CPX_CPX(a5f, a4f);
        s4e = ADD_CPX_CPX(t2m, s0e);
        s5e = ADD_CPX_CPX(t3m, s1e);
        s6e = ADD_CPX_CPX(t4m, s2e);
        s7e = ADD_CPX_CPX(t5m, s3e);
        s8e = SUB_CPX_CPX(t4m, s2e);
        s9e = SUB_CPX_CPX(t5m, s3e);
        s0f = ADD_CPX_CPX(t6m, t8n);
        s1f = ADD_CPX_CPX(t7m, t9n);
        s2f = ADD_CPX_CPX(t8m, t0o);
        s3f = ADD_CPX_CPX(t9m, t1o);
        s4f = SUB_CPX_CPX(t6m, t8n);
        s5f = SUB_CPX_CPX(t7m, t9n);
        s6f = SUB_CPX_CPX(t8m, t0o);
        s7f = SUB_CPX_CPX(t9m, t1o);
        s8f = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s0f), MUL_FLT_CPX(C_FLT(0.19509032201612828), s1f));
        s9f = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s1f), MUL_FLT_CPX(C_FLT(0.19509032201612828), s0f));
        s0g = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s6e), MUL_FLT_CPX(C_FLT(0.38268343236508978), s7e));
        s1g = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s7e), MUL_FLT_CPX(C_FLT(0.38268343236508978), s6e));
        s2g = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s2f), MUL_FLT_CPX(C_FLT(0.55557023301960218), s3f));
        s3g = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s3f), MUL_FLT_CPX(C_FLT(0.55557023301960218), s2f));
        a6f = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2m, s0e));
        a7f = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3m, s1e));
        s4g = ADD_CPX_CPX(a6f, a7f);
        s5g = SUB_CPX_CPX(a7f, a6f);
        s6g = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s4f), MUL_FLT_CPX(C_FLT(0.83146961230254524), s5f));
        s7g = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s5f), MUL_FLT_CPX(C_FLT(0.83146961230254524), s4f));
        s8g = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s8e), MUL_FLT_CPX(C_FLT(0.92387953251128674), s9e));
        s9g = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s9e), MUL_FLT_CPX(C_FLT(0.92387953251128674), s8e));
        s0h = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s6f), MUL_FLT_CPX(C_FLT(0.98078528040323043), s7f));
        s1h = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s7f), MUL_FLT_CPX(C_FLT(0.98078528040323043), s6f));
        a8f = (a45 + 80);
        a9f = (a45 + 88);
        a0g = (a45 + 944);
        a1g = (a45 + 952);
        t2o = ADD_CPX_CPX(*(a8f), *(a0g));
        t3o = SUB_CPX_CPX(*(a9f), *(a1g));
        t4o = SUB_CPX_CPX(*(a8f), *(a0g));
        t5o = ADD_CPX_CPX(*(a9f), *(a1g));
        a2g = (a45 + 592);
        a3g = (a45 + 600);
        a4g = (a45 + 432);
        a5g = (a45 + 440);
        t6o = ADD_CPX_CPX(*(a2g), *(a4g));
        t7o = SUB_CPX_CPX(*(a3g), *(a5g));
        t8o = SUB_CPX_CPX(*(a2g), *(a4g));
        t9o = ADD_CPX_CPX(*(a3g), *(a5g));
        t0p = ADD_CPX_CPX(t2o, t6o);
        t1p = ADD_CPX_CPX(t3o, t7o);
        t2p = SUB_CPX_CPX(t2o, t6o);
        t3p = SUB_CPX_CPX(t3o, t7o);
        t4p = ADD_CPX_CPX(t4o, t9o);
        t5p = SUB_CPX_CPX(t5o, t8o);
        t6p = SUB_CPX_CPX(t4o, t9o);
        t7p = ADD_CPX_CPX(t5o, t8o);
        a6g = (a45 + 336);
        a7g = (a45 + 344);
        a8g = (a45 + 176);
        a9g = (a45 + 184);
        t8p = ADD_CPX_CPX(*(a6g), *(a8g));
        t9p = SUB_CPX_CPX(*(a7g), *(a9g));
        t0q = ADD_CPX_CPX(*(a7g), *(a9g));
        t1q = SUB_CPX_CPX(*(a8g), *(a6g));
        a0h = (a45 + 688);
        a1h = (a45 + 696);
        a2h = (a45 + 848);
        a3h = (a45 + 856);
        t2q = ADD_CPX_CPX(*(a0h), *(a2h));
        t3q = SUB_CPX_CPX(*(a3h), *(a1h));
        t4q = ADD_CPX_CPX(*(a1h), *(a3h));
        t5q = SUB_CPX_CPX(*(a2h), *(a0h));
        s2h = ADD_CPX_CPX(t8p, t2q);
        s3h = ADD_CPX_CPX(t9p, t3q);
        s4h = SUB_CPX_CPX(t0q, t4q);
        s5h = ADD_CPX_CPX(t1q, t5q);
        a4h = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8p, t2q));
        a5h = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t0q, t4q));
        t6q = ADD_CPX_CPX(a4h, a5h);
        a6h = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9p, t3q));
        a7h = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t1q, t5q));
        t7q = ADD_CPX_CPX(a6h, a7h);
        t8q = SUB_CPX_CPX(a5h, a4h);
        t9q = SUB_CPX_CPX(a7h, a6h);
        s6h = ADD_CPX_CPX(t0p, s2h);
        s7h = ADD_CPX_CPX(t1p, s3h);
        s8h = ADD_CPX_CPX(t2p, s4h);
        s9h = ADD_CPX_CPX(t3p, s5h);
        s0i = SUB_CPX_CPX(t0p, s2h);
        s1i = SUB_CPX_CPX(t1p, s3h);
        s2i = SUB_CPX_CPX(t2p, s4h);
        s3i = SUB_CPX_CPX(t3p, s5h);
        s4i = ADD_CPX_CPX(t4p, t6q);
        s5i = ADD_CPX_CPX(t5p, t7q);
        s6i = ADD_CPX_CPX(t6p, t8q);
        s7i = ADD_CPX_CPX(t7p, t9q);
        s8i = SUB_CPX_CPX(t4p, t6q);
        s9i = SUB_CPX_CPX(t5p, t7q);
        s0j = SUB_CPX_CPX(t6p, t8q);
        s1j = SUB_CPX_CPX(t7p, t9q);
        s2j = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.97003125319454397), s4i), MUL_FLT_CPX(C_FLT(0.2429801799032639), s5i));
        s3j = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.97003125319454397), s5i), MUL_FLT_CPX(C_FLT(0.2429801799032639), s4i));
        s4j = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s8h), MUL_FLT_CPX(C_FLT(0.47139673682599764), s9h));
        s5j = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s9h), MUL_FLT_CPX(C_FLT(0.47139673682599764), s8h));
        s6j = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), s6i), MUL_FLT_CPX(C_FLT(0.67155895484701844), s7i));
        s7j = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), s7i), MUL_FLT_CPX(C_FLT(0.67155895484701844), s6i));
        s8j = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s0i), MUL_FLT_CPX(C_FLT(0.83146961230254524), s1i));
        s9j = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s1i), MUL_FLT_CPX(C_FLT(0.83146961230254524), s0i));
        s0k = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.33688985339222005), s8i), MUL_FLT_CPX(C_FLT(0.94154406518302081), s9i));
        s1k = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.33688985339222005), s9i), MUL_FLT_CPX(C_FLT(0.94154406518302081), s8i));
        s2k = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), s2i), MUL_FLT_CPX(C_FLT(0.99518472667219693), s3i));
        s3k = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), s3i), MUL_FLT_CPX(C_FLT(0.99518472667219693), s2i));
        s4k = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s1j), MUL_FLT_CPX(C_FLT(0.14673047445536175), s0j));
        s5k = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s0j), MUL_FLT_CPX(C_FLT(0.14673047445536175), s1j));
        a8h = (a45 + 96);
        a9h = (a45 + 104);
        a0i = (a45 + 928);
        a1i = (a45 + 936);
        t0r = ADD_CPX_CPX(*(a8h), *(a0i));
        t1r = SUB_CPX_CPX(*(a9h), *(a1i));
        t2r = SUB_CPX_CPX(*(a8h), *(a0i));
        t3r = ADD_CPX_CPX(*(a9h), *(a1i));
        a2i = (a45 + 608);
        a3i = (a45 + 616);
        a4i = (a45 + 416);
        a5i = (a45 + 424);
        t4r = ADD_CPX_CPX(*(a2i), *(a4i));
        t5r = SUB_CPX_CPX(*(a3i), *(a5i));
        t6r = SUB_CPX_CPX(*(a2i), *(a4i));
        t7r = ADD_CPX_CPX(*(a3i), *(a5i));
        t8r = ADD_CPX_CPX(t0r, t4r);
        t9r = ADD_CPX_CPX(t1r, t5r);
        t0s = SUB_CPX_CPX(t0r, t4r);
        t1s = SUB_CPX_CPX(t1r, t5r);
        t2s = ADD_CPX_CPX(t2r, t7r);
        t3s = SUB_CPX_CPX(t3r, t6r);
        t4s = SUB_CPX_CPX(t2r, t7r);
        t5s = ADD_CPX_CPX(t3r, t6r);
        a6i = (a45 + 352);
        a7i = (a45 + 360);
        a8i = (a45 + 160);
        a9i = (a45 + 168);
        t6s = ADD_CPX_CPX(*(a6i), *(a8i));
        t7s = SUB_CPX_CPX(*(a7i), *(a9i));
        t8s = ADD_CPX_CPX(*(a7i), *(a9i));
        t9s = SUB_CPX_CPX(*(a8i), *(a6i));
        a0j = (a45 + 672);
        a1j = (a45 + 680);
        a2j = (a45 + 864);
        a3j = (a45 + 872);
        t0t = ADD_CPX_CPX(*(a0j), *(a2j));
        t1t = SUB_CPX_CPX(*(a3j), *(a1j));
        t2t = ADD_CPX_CPX(*(a1j), *(a3j));
        t3t = SUB_CPX_CPX(*(a2j), *(a0j));
        s6k = ADD_CPX_CPX(t6s, t0t);
        s7k = ADD_CPX_CPX(t7s, t1t);
        s8k = SUB_CPX_CPX(t8s, t2t);
        s9k = ADD_CPX_CPX(t9s, t3t);
        a4j = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t6s, t0t));
        a5j = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t8s, t2t));
        t4t = ADD_CPX_CPX(a4j, a5j);
        a6j = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t7s, t1t));
        a7j = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9s, t3t));
        t5t = ADD_CPX_CPX(a6j, a7j);
        t6t = SUB_CPX_CPX(a5j, a4j);
        t7t = SUB_CPX_CPX(a7j, a6j);
        s0l = ADD_CPX_CPX(t8r, s6k);
        s1l = ADD_CPX_CPX(t9r, s7k);
        s2l = ADD_CPX_CPX(t0s, s8k);
        s3l = ADD_CPX_CPX(t1s, s9k);
        s4l = SUB_CPX_CPX(t8r, s6k);
        s5l = SUB_CPX_CPX(t9r, s7k);
        s6l = SUB_CPX_CPX(t0s, s8k);
        s7l = SUB_CPX_CPX(t1s, s9k);
        s8l = ADD_CPX_CPX(t2s, t4t);
        s9l = ADD_CPX_CPX(t3s, t5t);
        s0m = ADD_CPX_CPX(t4s, t6t);
        s1m = ADD_CPX_CPX(t5s, t7t);
        s2m = SUB_CPX_CPX(t2s, t4t);
        s3m = SUB_CPX_CPX(t3s, t5t);
        s4m = SUB_CPX_CPX(t4s, t6t);
        s5m = SUB_CPX_CPX(t5s, t7t);
        s6m = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s8l), MUL_FLT_CPX(C_FLT(0.29028467725446239), s9l));
        s7m = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s9l), MUL_FLT_CPX(C_FLT(0.29028467725446239), s8l));
        s8m = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s2l), MUL_FLT_CPX(C_FLT(0.55557023301960218), s3l));
        s9m = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s3l), MUL_FLT_CPX(C_FLT(0.55557023301960218), s2l));
        s0n = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), s0m), MUL_FLT_CPX(C_FLT(0.77301045336273699), s1m));
        s1n = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), s1m), MUL_FLT_CPX(C_FLT(0.77301045336273699), s0m));
        s2n = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s4l), MUL_FLT_CPX(C_FLT(0.92387953251128674), s5l));
        s3n = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s5l), MUL_FLT_CPX(C_FLT(0.92387953251128674), s4l));
        s4n = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), s2m), MUL_FLT_CPX(C_FLT(0.99518472667219693), s3m));
        s5n = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), s3m), MUL_FLT_CPX(C_FLT(0.99518472667219693), s2m));
        s6n = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s7l), MUL_FLT_CPX(C_FLT(0.19509032201612828), s6l));
        s7n = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s6l), MUL_FLT_CPX(C_FLT(0.19509032201612828), s7l));
        s8n = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s5m), MUL_FLT_CPX(C_FLT(0.47139673682599764), s4m));
        s9n = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s4m), MUL_FLT_CPX(C_FLT(0.47139673682599764), s5m));
        a8j = (a45 + 112);
        a9j = (a45 + 120);
        a0k = (a45 + 912);
        a1k = (a45 + 920);
        t8t = ADD_CPX_CPX(*(a8j), *(a0k));
        t9t = SUB_CPX_CPX(*(a9j), *(a1k));
        t0u = SUB_CPX_CPX(*(a8j), *(a0k));
        t1u = ADD_CPX_CPX(*(a9j), *(a1k));
        a2k = (a45 + 624);
        a3k = (a45 + 632);
        a4k = (a45 + 400);
        a5k = (a45 + 408);
        t2u = ADD_CPX_CPX(*(a2k), *(a4k));
        t3u = SUB_CPX_CPX(*(a3k), *(a5k));
        t4u = SUB_CPX_CPX(*(a2k), *(a4k));
        t5u = ADD_CPX_CPX(*(a3k), *(a5k));
        t6u = ADD_CPX_CPX(t8t, t2u);
        t7u = ADD_CPX_CPX(t9t, t3u);
        t8u = SUB_CPX_CPX(t8t, t2u);
        t9u = SUB_CPX_CPX(t9t, t3u);
        t0v = ADD_CPX_CPX(t0u, t5u);
        t1v = SUB_CPX_CPX(t1u, t4u);
        t2v = SUB_CPX_CPX(t0u, t5u);
        t3v = ADD_CPX_CPX(t1u, t4u);
        a6k = (a45 + 368);
        a7k = (a45 + 376);
        a8k = (a45 + 144);
        a9k = (a45 + 152);
        t4v = ADD_CPX_CPX(*(a6k), *(a8k));
        t5v = SUB_CPX_CPX(*(a7k), *(a9k));
        t6v = ADD_CPX_CPX(*(a7k), *(a9k));
        t7v = SUB_CPX_CPX(*(a8k), *(a6k));
        a0l = (a45 + 656);
        a1l = (a45 + 664);
        a2l = (a45 + 880);
        a3l = (a45 + 888);
        t8v = ADD_CPX_CPX(*(a0l), *(a2l));
        t9v = SUB_CPX_CPX(*(a3l), *(a1l));
        t0w = ADD_CPX_CPX(*(a1l), *(a3l));
        t1w = SUB_CPX_CPX(*(a2l), *(a0l));
        s0o = ADD_CPX_CPX(t4v, t8v);
        s1o = ADD_CPX_CPX(t5v, t9v);
        s2o = SUB_CPX_CPX(t6v, t0w);
        s3o = ADD_CPX_CPX(t7v, t1w);
        a4l = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t4v, t8v));
        a5l = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t6v, t0w));
        t2w = ADD_CPX_CPX(a4l, a5l);
        a6l = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t5v, t9v));
        a7l = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t7v, t1w));
        t3w = ADD_CPX_CPX(a6l, a7l);
        t4w = SUB_CPX_CPX(a5l, a4l);
        t5w = SUB_CPX_CPX(a7l, a6l);
        s4o = ADD_CPX_CPX(t6u, s0o);
        s5o = ADD_CPX_CPX(t7u, s1o);
        s6o = ADD_CPX_CPX(t8u, s2o);
        s7o = ADD_CPX_CPX(t9u, s3o);
        s8o = SUB_CPX_CPX(t6u, s0o);
        s9o = SUB_CPX_CPX(t7u, s1o);
        s0p = SUB_CPX_CPX(t8u, s2o);
        s1p = SUB_CPX_CPX(t9u, s3o);
        s2p = ADD_CPX_CPX(t0v, t2w);
        s3p = ADD_CPX_CPX(t1v, t3w);
        s4p = ADD_CPX_CPX(t2v, t4w);
        s5p = ADD_CPX_CPX(t3v, t5w);
        s6p = SUB_CPX_CPX(t0v, t2w);
        s7p = SUB_CPX_CPX(t1v, t3w);
        s8p = SUB_CPX_CPX(t2v, t4w);
        s9p = SUB_CPX_CPX(t3v, t5w);
        s0q = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), s2p), MUL_FLT_CPX(C_FLT(0.33688985339222005), s3p));
        s1q = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), s3p), MUL_FLT_CPX(C_FLT(0.33688985339222005), s2p));
        s2q = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), s6o), MUL_FLT_CPX(C_FLT(0.63439328416364549), s7o));
        s3q = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), s7o), MUL_FLT_CPX(C_FLT(0.63439328416364549), s6o));
        s4q = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.51410274419322177), s4p), MUL_FLT_CPX(C_FLT(0.85772861000027212), s5p));
        s5q = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.51410274419322177), s5p), MUL_FLT_CPX(C_FLT(0.85772861000027212), s4p));
        s6q = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s8o), MUL_FLT_CPX(C_FLT(0.98078528040323043), s9o));
        s7q = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s9o), MUL_FLT_CPX(C_FLT(0.98078528040323043), s8o));
        s8q = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s7p), MUL_FLT_CPX(C_FLT(0.14673047445536175), s6p));
        s9q = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s6p), MUL_FLT_CPX(C_FLT(0.14673047445536175), s7p));
        s0r = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s1p), MUL_FLT_CPX(C_FLT(0.47139673682599764), s0p));
        s1r = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s0p), MUL_FLT_CPX(C_FLT(0.47139673682599764), s1p));
        s2r = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.67155895484701844), s9p), MUL_FLT_CPX(C_FLT(0.74095112535495911), s8p));
        s3r = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.67155895484701844), s8p), MUL_FLT_CPX(C_FLT(0.74095112535495911), s9p));
        t6w = ADD_CPX_CPX(t8a, s4e);
        t7w = ADD_CPX_CPX(t0b, s5e);
        t8w = SUB_CPX_CPX(t8a, s4e);
        t9w = SUB_CPX_CPX(t0b, s5e);
        t0x = ADD_CPX_CPX(s24, s4o);
        t1x = SUB_CPX_CPX(s34, s5o);
        t2x = SUB_CPX_CPX(s24, s4o);
        t3x = ADD_CPX_CPX(s34, s5o);
        s4r = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t2x), MUL_FLT_CPX(C_FLT(0.38268343236508978), t3x));
        s5r = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t3x), MUL_FLT_CPX(C_FLT(0.38268343236508978), t2x));
        t4x = ADD_CPX_CPX(s67, s0l);
        t5x = SUB_CPX_CPX(s77, s1l);
        a8l = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s67, s0l));
        a9l = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s77, s1l));
        s6r = ADD_CPX_CPX(a8l, a9l);
        s7r = SUB_CPX_CPX(a9l, a8l);
        t6x = ADD_CPX_CPX(s0b, s6h);
        t7x = SUB_CPX_CPX(s1b, s7h);
        t8x = SUB_CPX_CPX(s0b, s6h);
        t9x = ADD_CPX_CPX(s1b, s7h);
        s8r = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t8x), MUL_FLT_CPX(C_FLT(0.92387953251128674), t9x));
        s9r = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t9x), MUL_FLT_CPX(C_FLT(0.92387953251128674), t8x));
        t0y = ADD_CPX_CPX(t6w, t4x);
        t1y = ADD_CPX_CPX(t8w, t5x);
        t2y = SUB_CPX_CPX(t6w, t4x);
        t3y = SUB_CPX_CPX(t8w, t5x);
        t4y = ADD_CPX_CPX(t0x, t6x);
        t5y = SUB_CPX_CPX(t1x, t7x);
        a0m = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0x, t6x));
        a1m = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t1x, t7x));
        s0s = ADD_CPX_CPX(a0m, a1m);
        s1s = SUB_CPX_CPX(a1m, a0m);
        a2m = (dst + i2);
        *(a2m) = ADD_CPX_CPX(t0y, t4y);
        *((a2m + 256)) = ADD_CPX_CPX(t2y, t5y);
        *((a2m + 512)) = SUB_CPX_CPX(t0y, t4y);
        *((a2m + 768)) = SUB_CPX_CPX(t2y, t5y);
        *((a2m + 128)) = ADD_CPX_CPX(t1y, s0s);
        *((a2m + 384)) = ADD_CPX_CPX(t3y, s1s);
        *((a2m + 640)) = SUB_CPX_CPX(t1y, s0s);
        *((a2m + 896)) = SUB_CPX_CPX(t3y, s1s);
        t6y = ADD_CPX_CPX(t7w, s6r);
        t7y = ADD_CPX_CPX(t9w, s7r);
        t8y = SUB_CPX_CPX(t7w, s6r);
        t9y = SUB_CPX_CPX(t9w, s7r);
        t0z = ADD_CPX_CPX(s4r, s8r);
        t1z = SUB_CPX_CPX(s5r, s9r);
        a3m = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4r, s8r));
        a4m = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5r, s9r));
        s2s = ADD_CPX_CPX(a3m, a4m);
        s3s = SUB_CPX_CPX(a4m, a3m);
        *((a2m + 64)) = ADD_CPX_CPX(t6y, t0z);
        *((a2m + 320)) = ADD_CPX_CPX(t8y, t1z);
        *((a2m + 576)) = SUB_CPX_CPX(t6y, t0z);
        *((a2m + 832)) = SUB_CPX_CPX(t8y, t1z);
        *((a2m + 192)) = ADD_CPX_CPX(t7y, s2s);
        *((a2m + 448)) = ADD_CPX_CPX(t9y, s3s);
        *((a2m + 704)) = SUB_CPX_CPX(t7y, s2s);
        *((a2m + 960)) = SUB_CPX_CPX(t9y, s3s);
        t2z = ADD_CPX_CPX(t2c, s8f);
        t3z = ADD_CPX_CPX(t4c, s9f);
        t4z = SUB_CPX_CPX(t2c, s8f);
        t5z = SUB_CPX_CPX(t4c, s9f);
        t6z = ADD_CPX_CPX(s85, s0q);
        t7z = SUB_CPX_CPX(s95, s1q);
        t8z = SUB_CPX_CPX(s85, s0q);
        t9z = ADD_CPX_CPX(s95, s1q);
        s4s = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t8z), MUL_FLT_CPX(C_FLT(0.38268343236508978), t9z));
        s5s = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t9z), MUL_FLT_CPX(C_FLT(0.38268343236508978), t8z));
        t0A = ADD_CPX_CPX(s29, s6m);
        t1A = SUB_CPX_CPX(s39, s7m);
        a5m = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s29, s6m));
        a6m = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s39, s7m));
        s6s = ADD_CPX_CPX(a5m, a6m);
        s7s = SUB_CPX_CPX(a6m, a5m);
        t2A = ADD_CPX_CPX(s6c, s2j);
        t3A = SUB_CPX_CPX(s7c, s3j);
        t4A = SUB_CPX_CPX(s6c, s2j);
        t5A = ADD_CPX_CPX(s7c, s3j);
        s8s = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t4A), MUL_FLT_CPX(C_FLT(0.92387953251128674), t5A));
        s9s = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t5A), MUL_FLT_CPX(C_FLT(0.92387953251128674), t4A));
        t6A = ADD_CPX_CPX(t2z, t0A);
        t7A = ADD_CPX_CPX(t4z, t1A);
        t8A = SUB_CPX_CPX(t2z, t0A);
        t9A = SUB_CPX_CPX(t4z, t1A);
        t0B = ADD_CPX_CPX(t6z, t2A);
        t1B = SUB_CPX_CPX(t7z, t3A);
        a7m = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t6z, t2A));
        a8m = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t7z, t3A));
        s0t = ADD_CPX_CPX(a7m, a8m);
        s1t = SUB_CPX_CPX(a8m, a7m);
        *((a2m + 8)) = ADD_CPX_CPX(t6A, t0B);
        *((a2m + 264)) = ADD_CPX_CPX(t8A, t1B);
        *((a2m + 520)) = SUB_CPX_CPX(t6A, t0B);
        *((a2m + 776)) = SUB_CPX_CPX(t8A, t1B);
        *((a2m + 136)) = ADD_CPX_CPX(t7A, s0t);
        *((a2m + 392)) = ADD_CPX_CPX(t9A, s1t);
        *((a2m + 648)) = SUB_CPX_CPX(t7A, s0t);
        *((a2m + 904)) = SUB_CPX_CPX(t9A, s1t);
        t2B = ADD_CPX_CPX(t3z, s6s);
        t3B = ADD_CPX_CPX(t5z, s7s);
        t4B = SUB_CPX_CPX(t3z, s6s);
        t5B = SUB_CPX_CPX(t5z, s7s);
        t6B = ADD_CPX_CPX(s4s, s8s);
        t7B = SUB_CPX_CPX(s5s, s9s);
        a9m = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4s, s8s));
        a0n = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5s, s9s));
        s2t = ADD_CPX_CPX(a9m, a0n);
        s3t = SUB_CPX_CPX(a0n, a9m);
        *((a2m + 72)) = ADD_CPX_CPX(t2B, t6B);
        *((a2m + 328)) = ADD_CPX_CPX(t4B, t7B);
        *((a2m + 584)) = SUB_CPX_CPX(t2B, t6B);
        *((a2m + 840)) = SUB_CPX_CPX(t4B, t7B);
        *((a2m + 200)) = ADD_CPX_CPX(t3B, s2t);
        *((a2m + 456)) = ADD_CPX_CPX(t5B, s3t);
        *((a2m + 712)) = SUB_CPX_CPX(t3B, s2t);
        *((a2m + 968)) = SUB_CPX_CPX(t5B, s3t);
        t8B = ADD_CPX_CPX(t2b, s0g);
        t9B = ADD_CPX_CPX(t4b, s1g);
        t0C = SUB_CPX_CPX(t2b, s0g);
        t1C = SUB_CPX_CPX(t4b, s1g);
        t2C = ADD_CPX_CPX(s06, s2q);
        t3C = SUB_CPX_CPX(s16, s3q);
        t4C = SUB_CPX_CPX(s06, s2q);
        t5C = ADD_CPX_CPX(s16, s3q);
        s4t = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t4C), MUL_FLT_CPX(C_FLT(0.38268343236508978), t5C));
        s5t = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t5C), MUL_FLT_CPX(C_FLT(0.38268343236508978), t4C));
        t6C = ADD_CPX_CPX(s49, s8m);
        t7C = SUB_CPX_CPX(s59, s9m);
        a1n = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s49, s8m));
        a2n = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s59, s9m));
        s6t = ADD_CPX_CPX(a1n, a2n);
        s7t = SUB_CPX_CPX(a2n, a1n);
        t8C = ADD_CPX_CPX(s8c, s4j);
        t9C = SUB_CPX_CPX(s9c, s5j);
        t0D = SUB_CPX_CPX(s8c, s4j);
        t1D = ADD_CPX_CPX(s9c, s5j);
        s8t = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t0D), MUL_FLT_CPX(C_FLT(0.92387953251128674), t1D));
        s9t = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t1D), MUL_FLT_CPX(C_FLT(0.92387953251128674), t0D));
        t2D = ADD_CPX_CPX(t8B, t6C);
        t3D = ADD_CPX_CPX(t0C, t7C);
        t4D = SUB_CPX_CPX(t8B, t6C);
        t5D = SUB_CPX_CPX(t0C, t7C);
        t6D = ADD_CPX_CPX(t2C, t8C);
        t7D = SUB_CPX_CPX(t3C, t9C);
        a3n = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2C, t8C));
        a4n = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t3C, t9C));
        s0u = ADD_CPX_CPX(a3n, a4n);
        s1u = SUB_CPX_CPX(a4n, a3n);
        *((a2m + 16)) = ADD_CPX_CPX(t2D, t6D);
        *((a2m + 272)) = ADD_CPX_CPX(t4D, t7D);
        *((a2m + 528)) = SUB_CPX_CPX(t2D, t6D);
        *((a2m + 784)) = SUB_CPX_CPX(t4D, t7D);
        *((a2m + 144)) = ADD_CPX_CPX(t3D, s0u);
        *((a2m + 400)) = ADD_CPX_CPX(t5D, s1u);
        *((a2m + 656)) = SUB_CPX_CPX(t3D, s0u);
        *((a2m + 912)) = SUB_CPX_CPX(t5D, s1u);
        t8D = ADD_CPX_CPX(t9B, s6t);
        t9D = ADD_CPX_CPX(t1C, s7t);
        t0E = SUB_CPX_CPX(t9B, s6t);
        t1E = SUB_CPX_CPX(t1C, s7t);
        t2E = ADD_CPX_CPX(s4t, s8t);
        t3E = SUB_CPX_CPX(s5t, s9t);
        a5n = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4t, s8t));
        a6n = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5t, s9t));
        s2u = ADD_CPX_CPX(a5n, a6n);
        s3u = SUB_CPX_CPX(a6n, a5n);
        *((a2m + 80)) = ADD_CPX_CPX(t8D, t2E);
        *((a2m + 336)) = ADD_CPX_CPX(t0E, t3E);
        *((a2m + 592)) = SUB_CPX_CPX(t8D, t2E);
        *((a2m + 848)) = SUB_CPX_CPX(t0E, t3E);
        *((a2m + 208)) = ADD_CPX_CPX(t9D, s2u);
        *((a2m + 464)) = ADD_CPX_CPX(t1E, s3u);
        *((a2m + 720)) = SUB_CPX_CPX(t9D, s2u);
        *((a2m + 976)) = SUB_CPX_CPX(t1E, s3u);
        t4E = ADD_CPX_CPX(t6c, s2g);
        t5E = ADD_CPX_CPX(t8c, s3g);
        t6E = SUB_CPX_CPX(t6c, s2g);
        t7E = SUB_CPX_CPX(t8c, s3g);
        t8E = ADD_CPX_CPX(s26, s4q);
        t9E = SUB_CPX_CPX(s36, s5q);
        t0F = SUB_CPX_CPX(s26, s4q);
        t1F = ADD_CPX_CPX(s36, s5q);
        s4u = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t0F), MUL_FLT_CPX(C_FLT(0.38268343236508978), t1F));
        s5u = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t1F), MUL_FLT_CPX(C_FLT(0.38268343236508978), t0F));
        t2F = ADD_CPX_CPX(s69, s0n);
        t3F = SUB_CPX_CPX(s79, s1n);
        a7n = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s69, s0n));
        a8n = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s79, s1n));
        s6u = ADD_CPX_CPX(a7n, a8n);
        s7u = SUB_CPX_CPX(a8n, a7n);
        t4F = ADD_CPX_CPX(s0d, s6j);
        t5F = SUB_CPX_CPX(s1d, s7j);
        t6F = SUB_CPX_CPX(s0d, s6j);
        t7F = ADD_CPX_CPX(s1d, s7j);
        s8u = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t6F), MUL_FLT_CPX(C_FLT(0.92387953251128674), t7F));
        s9u = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t7F), MUL_FLT_CPX(C_FLT(0.92387953251128674), t6F));
        t8F = ADD_CPX_CPX(t4E, t2F);
        t9F = ADD_CPX_CPX(t6E, t3F);
        t0G = SUB_CPX_CPX(t4E, t2F);
        t1G = SUB_CPX_CPX(t6E, t3F);
        t2G = ADD_CPX_CPX(t8E, t4F);
        t3G = SUB_CPX_CPX(t9E, t5F);
        a9n = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8E, t4F));
        a0o = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t9E, t5F));
        s0v = ADD_CPX_CPX(a9n, a0o);
        s1v = SUB_CPX_CPX(a0o, a9n);
        *((a2m + 24)) = ADD_CPX_CPX(t8F, t2G);
        *((a2m + 280)) = ADD_CPX_CPX(t0G, t3G);
        *((a2m + 536)) = SUB_CPX_CPX(t8F, t2G);
        *((a2m + 792)) = SUB_CPX_CPX(t0G, t3G);
        *((a2m + 152)) = ADD_CPX_CPX(t9F, s0v);
        *((a2m + 408)) = ADD_CPX_CPX(t1G, s1v);
        *((a2m + 664)) = SUB_CPX_CPX(t9F, s0v);
        *((a2m + 920)) = SUB_CPX_CPX(t1G, s1v);
        t4G = ADD_CPX_CPX(t5E, s6u);
        t5G = ADD_CPX_CPX(t7E, s7u);
        t6G = SUB_CPX_CPX(t5E, s6u);
        t7G = SUB_CPX_CPX(t7E, s7u);
        t8G = ADD_CPX_CPX(s4u, s8u);
        t9G = SUB_CPX_CPX(s5u, s9u);
        a1o = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4u, s8u));
        a2o = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5u, s9u));
        s2v = ADD_CPX_CPX(a1o, a2o);
        s3v = SUB_CPX_CPX(a2o, a1o);
        *((a2m + 88)) = ADD_CPX_CPX(t4G, t8G);
        *((a2m + 344)) = ADD_CPX_CPX(t6G, t9G);
        *((a2m + 600)) = SUB_CPX_CPX(t4G, t8G);
        *((a2m + 856)) = SUB_CPX_CPX(t6G, t9G);
        *((a2m + 216)) = ADD_CPX_CPX(t5G, s2v);
        *((a2m + 472)) = ADD_CPX_CPX(t7G, s3v);
        *((a2m + 728)) = SUB_CPX_CPX(t5G, s2v);
        *((a2m + 984)) = SUB_CPX_CPX(t7G, s3v);
        t0H = ADD_CPX_CPX(t9a, s4g);
        t1H = ADD_CPX_CPX(t1b, s5g);
        t2H = SUB_CPX_CPX(t9a, s4g);
        t3H = SUB_CPX_CPX(t1b, s5g);
        t4H = ADD_CPX_CPX(s46, s6q);
        t5H = SUB_CPX_CPX(s56, s7q);
        t6H = SUB_CPX_CPX(s46, s6q);
        t7H = ADD_CPX_CPX(s56, s7q);
        s4v = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t6H), MUL_FLT_CPX(C_FLT(0.38268343236508978), t7H));
        s5v = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t7H), MUL_FLT_CPX(C_FLT(0.38268343236508978), t6H));
        t8H = ADD_CPX_CPX(s89, s2n);
        t9H = SUB_CPX_CPX(s99, s3n);
        a3o = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s89, s2n));
        a4o = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s99, s3n));
        s6v = ADD_CPX_CPX(a3o, a4o);
        s7v = SUB_CPX_CPX(a4o, a3o);
        t0I = ADD_CPX_CPX(s2d, s8j);
        t1I = SUB_CPX_CPX(s3d, s9j);
        t2I = SUB_CPX_CPX(s2d, s8j);
        t3I = ADD_CPX_CPX(s3d, s9j);
        s8v = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t2I), MUL_FLT_CPX(C_FLT(0.92387953251128674), t3I));
        s9v = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t3I), MUL_FLT_CPX(C_FLT(0.92387953251128674), t2I));
        t4I = ADD_CPX_CPX(t0H, t8H);
        t5I = ADD_CPX_CPX(t2H, t9H);
        t6I = SUB_CPX_CPX(t0H, t8H);
        t7I = SUB_CPX_CPX(t2H, t9H);
        t8I = ADD_CPX_CPX(t4H, t0I);
        t9I = SUB_CPX_CPX(t5H, t1I);
        a5o = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t4H, t0I));
        a6o = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t5H, t1I));
        s0w = ADD_CPX_CPX(a5o, a6o);
        s1w = SUB_CPX_CPX(a6o, a5o);
        *((a2m + 32)) = ADD_CPX_CPX(t4I, t8I);
        *((a2m + 288)) = ADD_CPX_CPX(t6I, t9I);
        *((a2m + 544)) = SUB_CPX_CPX(t4I, t8I);
        *((a2m + 800)) = SUB_CPX_CPX(t6I, t9I);
        *((a2m + 160)) = ADD_CPX_CPX(t5I, s0w);
        *((a2m + 416)) = ADD_CPX_CPX(t7I, s1w);
        *((a2m + 672)) = SUB_CPX_CPX(t5I, s0w);
        *((a2m + 928)) = SUB_CPX_CPX(t7I, s1w);
        t0J = ADD_CPX_CPX(t1H, s6v);
        t1J = ADD_CPX_CPX(t3H, s7v);
        t2J = SUB_CPX_CPX(t1H, s6v);
        t3J = SUB_CPX_CPX(t3H, s7v);
        t4J = ADD_CPX_CPX(s4v, s8v);
        t5J = SUB_CPX_CPX(s5v, s9v);
        a7o = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4v, s8v));
        a8o = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5v, s9v));
        s2w = ADD_CPX_CPX(a7o, a8o);
        s3w = SUB_CPX_CPX(a8o, a7o);
        *((a2m + 96)) = ADD_CPX_CPX(t0J, t4J);
        *((a2m + 352)) = ADD_CPX_CPX(t2J, t5J);
        *((a2m + 608)) = SUB_CPX_CPX(t0J, t4J);
        *((a2m + 864)) = SUB_CPX_CPX(t2J, t5J);
        *((a2m + 224)) = ADD_CPX_CPX(t1J, s2w);
        *((a2m + 480)) = ADD_CPX_CPX(t3J, s3w);
        *((a2m + 736)) = SUB_CPX_CPX(t1J, s2w);
        *((a2m + 992)) = SUB_CPX_CPX(t3J, s3w);
        t6J = ADD_CPX_CPX(t3c, s6g);
        t7J = ADD_CPX_CPX(t5c, s7g);
        t8J = SUB_CPX_CPX(t3c, s6g);
        t9J = SUB_CPX_CPX(t5c, s7g);
        t0K = ADD_CPX_CPX(s66, s8q);
        t1K = ADD_CPX_CPX(s76, s9q);
        t2K = SUB_CPX_CPX(s66, s8q);
        t3K = SUB_CPX_CPX(s76, s9q);
        s4w = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t2K), MUL_FLT_CPX(C_FLT(0.38268343236508978), t3K));
        s5w = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t3K), MUL_FLT_CPX(C_FLT(0.38268343236508978), t2K));
        t4K = ADD_CPX_CPX(s0a, s4n);
        t5K = SUB_CPX_CPX(s1a, s5n);
        a9o = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s0a, s4n));
        a0p = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s1a, s5n));
        s6w = ADD_CPX_CPX(a9o, a0p);
        s7w = SUB_CPX_CPX(a0p, a9o);
        t6K = ADD_CPX_CPX(s4d, s0k);
        t7K = SUB_CPX_CPX(s5d, s1k);
        t8K = SUB_CPX_CPX(s4d, s0k);
        t9K = ADD_CPX_CPX(s5d, s1k);
        s8w = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t8K), MUL_FLT_CPX(C_FLT(0.92387953251128674), t9K));
        s9w = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t9K), MUL_FLT_CPX(C_FLT(0.92387953251128674), t8K));
        t0L = ADD_CPX_CPX(t6J, t4K);
        t1L = ADD_CPX_CPX(t8J, t5K);
        t2L = SUB_CPX_CPX(t6J, t4K);
        t3L = SUB_CPX_CPX(t8J, t5K);
        t4L = ADD_CPX_CPX(t0K, t6K);
        t5L = SUB_CPX_CPX(t1K, t7K);
        a1p = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0K, t6K));
        a2p = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t1K, t7K));
        s0x = ADD_CPX_CPX(a1p, a2p);
        s1x = SUB_CPX_CPX(a2p, a1p);
        *((a2m + 40)) = ADD_CPX_CPX(t0L, t4L);
        *((a2m + 296)) = ADD_CPX_CPX(t2L, t5L);
        *((a2m + 552)) = SUB_CPX_CPX(t0L, t4L);
        *((a2m + 808)) = SUB_CPX_CPX(t2L, t5L);
        *((a2m + 168)) = ADD_CPX_CPX(t1L, s0x);
        *((a2m + 424)) = ADD_CPX_CPX(t3L, s1x);
        *((a2m + 680)) = SUB_CPX_CPX(t1L, s0x);
        *((a2m + 936)) = SUB_CPX_CPX(t3L, s1x);
        t6L = ADD_CPX_CPX(t7J, s6w);
        t7L = ADD_CPX_CPX(t9J, s7w);
        t8L = SUB_CPX_CPX(t7J, s6w);
        t9L = SUB_CPX_CPX(t9J, s7w);
        t0M = ADD_CPX_CPX(s4w, s8w);
        t1M = SUB_CPX_CPX(s5w, s9w);
        a3p = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4w, s8w));
        a4p = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5w, s9w));
        s2x = ADD_CPX_CPX(a3p, a4p);
        s3x = SUB_CPX_CPX(a4p, a3p);
        *((a2m + 104)) = ADD_CPX_CPX(t6L, t0M);
        *((a2m + 360)) = ADD_CPX_CPX(t8L, t1M);
        *((a2m + 616)) = SUB_CPX_CPX(t6L, t0M);
        *((a2m + 872)) = SUB_CPX_CPX(t8L, t1M);
        *((a2m + 232)) = ADD_CPX_CPX(t7L, s2x);
        *((a2m + 488)) = ADD_CPX_CPX(t9L, s3x);
        *((a2m + 744)) = SUB_CPX_CPX(t7L, s2x);
        *((a2m + 1000)) = SUB_CPX_CPX(t9L, s3x);
        t2M = ADD_CPX_CPX(t3b, s8g);
        t3M = ADD_CPX_CPX(t5b, s9g);
        t4M = SUB_CPX_CPX(t3b, s8g);
        t5M = SUB_CPX_CPX(t5b, s9g);
        t6M = ADD_CPX_CPX(s86, s0r);
        t7M = ADD_CPX_CPX(s96, s1r);
        t8M = SUB_CPX_CPX(s86, s0r);
        t9M = SUB_CPX_CPX(s96, s1r);
        s4x = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t8M), MUL_FLT_CPX(C_FLT(0.38268343236508978), t9M));
        s5x = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t9M), MUL_FLT_CPX(C_FLT(0.38268343236508978), t8M));
        t0N = ADD_CPX_CPX(s2a, s6n);
        t1N = ADD_CPX_CPX(s3a, s7n);
        a5p = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s2a, s6n));
        a6p = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s3a, s7n));
        s6x = ADD_CPX_CPX(a5p, a6p);
        s7x = SUB_CPX_CPX(a6p, a5p);
        t2N = ADD_CPX_CPX(s6d, s2k);
        t3N = SUB_CPX_CPX(s7d, s3k);
        t4N = SUB_CPX_CPX(s6d, s2k);
        t5N = ADD_CPX_CPX(s7d, s3k);
        s8x = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t4N), MUL_FLT_CPX(C_FLT(0.92387953251128674), t5N));
        s9x = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t5N), MUL_FLT_CPX(C_FLT(0.92387953251128674), t4N));
        t6N = ADD_CPX_CPX(t2M, t0N);
        t7N = ADD_CPX_CPX(t4M, t1N);
        t8N = SUB_CPX_CPX(t2M, t0N);
        t9N = SUB_CPX_CPX(t4M, t1N);
        t0O = ADD_CPX_CPX(t6M, t2N);
        t1O = SUB_CPX_CPX(t7M, t3N);
        a7p = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t6M, t2N));
        a8p = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t7M, t3N));
        s0y = ADD_CPX_CPX(a7p, a8p);
        s1y = SUB_CPX_CPX(a8p, a7p);
        *((a2m + 48)) = ADD_CPX_CPX(t6N, t0O);
        *((a2m + 304)) = ADD_CPX_CPX(t8N, t1O);
        *((a2m + 560)) = SUB_CPX_CPX(t6N, t0O);
        *((a2m + 816)) = SUB_CPX_CPX(t8N, t1O);
        *((a2m + 176)) = ADD_CPX_CPX(t7N, s0y);
        *((a2m + 432)) = ADD_CPX_CPX(t9N, s1y);
        *((a2m + 688)) = SUB_CPX_CPX(t7N, s0y);
        *((a2m + 944)) = SUB_CPX_CPX(t9N, s1y);
        t2O = ADD_CPX_CPX(t3M, s6x);
        t3O = ADD_CPX_CPX(t5M, s7x);
        t4O = SUB_CPX_CPX(t3M, s6x);
        t5O = SUB_CPX_CPX(t5M, s7x);
        t6O = ADD_CPX_CPX(s4x, s8x);
        t7O = SUB_CPX_CPX(s5x, s9x);
        a9p = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4x, s8x));
        a0q = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5x, s9x));
        s2y = ADD_CPX_CPX(a9p, a0q);
        s3y = SUB_CPX_CPX(a0q, a9p);
        *((a2m + 112)) = ADD_CPX_CPX(t2O, t6O);
        *((a2m + 368)) = ADD_CPX_CPX(t4O, t7O);
        *((a2m + 624)) = SUB_CPX_CPX(t2O, t6O);
        *((a2m + 880)) = SUB_CPX_CPX(t4O, t7O);
        *((a2m + 240)) = ADD_CPX_CPX(t3O, s2y);
        *((a2m + 496)) = ADD_CPX_CPX(t5O, s3y);
        *((a2m + 752)) = SUB_CPX_CPX(t3O, s2y);
        *((a2m + 1008)) = SUB_CPX_CPX(t5O, s3y);
        t8O = ADD_CPX_CPX(t7c, s0h);
        t9O = ADD_CPX_CPX(t9c, s1h);
        t0P = SUB_CPX_CPX(t7c, s0h);
        t1P = SUB_CPX_CPX(t9c, s1h);
        t2P = ADD_CPX_CPX(s07, s2r);
        t3P = ADD_CPX_CPX(s17, s3r);
        t4P = SUB_CPX_CPX(s07, s2r);
        t5P = SUB_CPX_CPX(s17, s3r);
        s4y = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t4P), MUL_FLT_CPX(C_FLT(0.38268343236508978), t5P));
        s5y = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t5P), MUL_FLT_CPX(C_FLT(0.38268343236508978), t4P));
        t6P = ADD_CPX_CPX(s4a, s8n);
        t7P = ADD_CPX_CPX(s5a, s9n);
        a1q = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4a, s8n));
        a2q = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s5a, s9n));
        s6y = ADD_CPX_CPX(a1q, a2q);
        s7y = SUB_CPX_CPX(a2q, a1q);
        t8P = ADD_CPX_CPX(s8d, s4k);
        t9P = ADD_CPX_CPX(s9d, s5k);
        t0Q = SUB_CPX_CPX(s8d, s4k);
        t1Q = SUB_CPX_CPX(s9d, s5k);
        s8y = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t0Q), MUL_FLT_CPX(C_FLT(0.92387953251128674), t1Q));
        s9y = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t1Q), MUL_FLT_CPX(C_FLT(0.92387953251128674), t0Q));
        t2Q = ADD_CPX_CPX(t8O, t6P);
        t3Q = ADD_CPX_CPX(t0P, t7P);
        t4Q = SUB_CPX_CPX(t8O, t6P);
        t5Q = SUB_CPX_CPX(t0P, t7P);
        t6Q = ADD_CPX_CPX(t2P, t8P);
        t7Q = SUB_CPX_CPX(t3P, t9P);
        a3q = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2P, t8P));
        a4q = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t3P, t9P));
        s0z = ADD_CPX_CPX(a3q, a4q);
        s1z = SUB_CPX_CPX(a4q, a3q);
        *((a2m + 56)) = ADD_CPX_CPX(t2Q, t6Q);
        *((a2m + 312)) = ADD_CPX_CPX(t4Q, t7Q);
        *((a2m + 568)) = SUB_CPX_CPX(t2Q, t6Q);
        *((a2m + 824)) = SUB_CPX_CPX(t4Q, t7Q);
        *((a2m + 184)) = ADD_CPX_CPX(t3Q, s0z);
        *((a2m + 440)) = ADD_CPX_CPX(t5Q, s1z);
        *((a2m + 696)) = SUB_CPX_CPX(t3Q, s0z);
        *((a2m + 952)) = SUB_CPX_CPX(t5Q, s1z);
        t8Q = ADD_CPX_CPX(t9O, s6y);
        t9Q = ADD_CPX_CPX(t1P, s7y);
        t0R = SUB_CPX_CPX(t9O, s6y);
        t1R = SUB_CPX_CPX(t1P, s7y);
        t2R = ADD_CPX_CPX(s4y, s8y);
        t3R = SUB_CPX_CPX(s5y, s9y);
        a5q = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4y, s8y));
        a6q = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5y, s9y));
        s2z = ADD_CPX_CPX(a5q, a6q);
        s3z = SUB_CPX_CPX(a6q, a5q);
        *((a2m + 120)) = ADD_CPX_CPX(t8Q, t2R);
        *((a2m + 376)) = ADD_CPX_CPX(t0R, t3R);
        *((a2m + 632)) = SUB_CPX_CPX(t8Q, t2R);
        *((a2m + 888)) = SUB_CPX_CPX(t0R, t3R);
        *((a2m + 248)) = ADD_CPX_CPX(t9Q, s2z);
        *((a2m + 504)) = ADD_CPX_CPX(t1R, s3z);
        *((a2m + 760)) = SUB_CPX_CPX(t9Q, s2z);
        *((a2m + 1016)) = SUB_CPX_CPX(t1R, s3z);
    }}
    }
    
    return SPIRAL_OK;
    }
}

SPIRAL_PRIV(spiral_status_t, spiral_fftinv_double_2048_unaligned)(const double *pSrc, double *pDst ) {
    const CPX  *src = (const CPX *) pSrc; 
    CPX        *dst = (CPX *) pDst;
    
    
    { SPIRAL_ALIGNED(CPX T[2048]);
    CPX  *a06, *a08, *a0a, *a0c, *a0e, *a0g, *a0h, *a0i, *a0j, *a0k, *a0l, *a16, *a18, *a1a, *a1c, *a1e, *a1g, *a1h, *a1i, *a1j, *a1k, *a1l
            , *a25, *a26, *a28, *a2a, *a2c, *a2e, *a2g, *a2i, *a2k, *a35, *a36, *a38, *a3a, *a3c, *a3e, *a3g, *a3i, *a3k, *a45, *a47, *a48, *a49
            , *a4a, *a4b, *a4c, *a4d, *a4e, *a4g, *a4i, *a4k, *a55, *a57, *a58, *a59, *a5a, *a5b, *a5c, *a5d, *a5e, *a5g, *a5i, *a5k, *a65, *a66
            , *a67, *a68, *a69, *a6a, *a6b, *a6c, *a6d, *a6e, *a6f, *a6g, *a6h, *a6i, *a6j, *a6k, *a75, *a76, *a77, *a78, *a79, *a7a, *a7b, *a7c
            , *a7d, *a7e, *a7f, *a7g, *a7h, *a7i, *a7j, *a7k, *a85, *a86, *a87, *a88, *a89, *a8a, *a8b, *a8c, *a8d, *a8e, *a8f, *a8g, *a8h, *a8i
            , *a8j, *a8k, *a95, *a96, *a97, *a98, *a99, *a9a, *a9b, *a9c, *a9d, *a9e, *a9f, *a9g, *a9h, *a9i, *a9j, *a9k, *b2;
    const CPX  *b;
    FLT  *a03, *a04, *a05, *a13, *a14, *a15, *a22, *a23, *a24, *a32, *a33, *a34, *a42, *a43, *a44, *a52, *a53, *a54, *a62, *a63, *a64, *a72
            , *a73, *a74, *a82, *a83, *a84, *a92, *a93, *a94;
    int a31;
    CPX a, a01, a02, a07, a09, a0b, a0d, a0f, a0m, a0n, a0o, a0p, a0q, a11, a12, a17, a19, a1b, a1d, a1f, a1m, a1n
        , a1o, a1p, a1q, a2, a21, a27, a29, a2b, a2d, a2f, a2h, a2j, a2l, a2m, a2n, a2o, a2p, a2q, a3, a37, a39, a3b
        , a3d, a3f, a3h, a3j, a3l, a3m, a3n, a3o, a3p, a3q, a4, a41, a46, a4f, a4h, a4j, a4l, a4m, a4n, a4o, a4p, a5
        , a51, a56, a5f, a5h, a5j, a5l, a5m, a5n, a5o, a5p, a6, a61, a6l, a6m, a6n, a6o, a6p, a7, a71, a7l, a7m, a7n
        , a7o, a7p, a8, a81, a8l, a8m, a8n, a8o, a8p, a9, a91, a9l, a9m, a9n, a9o, a9p, s, s01, s02, s03, s04, s05
        , s06, s07, s08, s09, s0A, s0B, s0C, s0D, s0E, s0F, s0G, s0H, s0I, s0J, s0K, s0L, s0M, s0N, s0a, s0b, s0c, s0d
        , s0e, s0f, s0g, s0h, s0i, s0j, s0k, s0l, s0m, s0n, s0o, s0p, s0q, s0r, s0s, s0t, s0u, s0v, s0w, s0x, s0y, s0z
        , s11, s12, s13, s14, s15, s16, s17, s18, s19, s1A, s1B, s1C, s1D, s1E, s1F, s1G, s1H, s1I, s1J, s1K, s1L, s1M
        , s1N, s1a, s1b, s1c, s1d, s1e, s1f, s1g, s1h, s1i, s1j, s1k, s1l, s1m, s1n, s1o, s1p, s1q, s1r, s1s, s1t, s1u
        , s1v, s1w, s1x, s1y, s1z, s2, s21, s22, s23, s24, s25, s26, s27, s28, s29, s2A, s2B, s2C, s2D, s2E, s2F, s2G
        , s2H, s2I, s2J, s2K, s2L, s2M, s2N, s2a, s2b, s2c, s2d, s2e, s2f, s2g, s2h, s2i, s2j, s2k, s2l, s2m, s2n, s2o
        , s2p, s2q, s2r, s2s, s2t, s2u, s2v, s2w, s2x, s2y, s2z, s3, s31, s32, s33, s34, s35, s36, s37, s38, s39, s3A
        , s3B, s3C, s3D, s3E, s3F, s3G, s3H, s3I, s3J, s3K, s3L, s3M, s3N, s3a, s3b, s3c, s3d, s3e, s3f, s3g, s3h, s3i
        , s3j, s3k, s3l, s3m, s3n, s3o, s3p, s3q, s3r, s3s, s3t, s3u, s3v, s3w, s3x, s3y, s3z, s4, s41, s42, s43, s44
        , s45, s46, s47, s48, s49, s4A, s4B, s4C, s4D, s4E, s4F, s4G, s4H, s4I, s4J, s4K, s4L, s4M, s4N, s4a, s4b, s4c
        , s4d, s4e, s4f, s4g, s4h, s4i, s4j, s4k, s4l, s4m, s4n, s4o, s4p, s4q, s4r, s4s, s4t, s4u, s4v, s4w, s4x, s4y
        , s4z, s5, s51, s52, s53, s54, s55, s56, s57, s58, s59, s5A, s5B, s5C, s5D, s5E, s5F, s5G, s5H, s5I, s5J, s5K
        , s5L, s5M, s5N, s5a, s5b, s5c, s5d, s5e, s5f, s5g, s5h, s5i, s5j, s5k, s5l, s5m, s5n, s5o, s5p, s5q, s5r, s5s
        , s5t, s5u, s5v, s5w, s5x, s5y, s5z, s6, s61, s62, s63, s64, s65, s66, s67, s68, s69, s6A, s6B, s6C, s6D, s6E
        , s6F, s6G, s6H, s6I, s6J, s6K, s6L, s6M, s6N, s6a, s6b, s6c, s6d, s6e, s6f, s6g, s6h, s6i, s6j, s6k, s6l, s6m
        , s6n, s6o, s6p, s6q, s6r, s6s, s6t, s6u, s6v, s6w, s6x, s6y, s6z, s7, s71, s72, s73, s74, s75, s76, s77, s78
        , s79, s7A, s7B, s7C, s7D, s7E, s7F, s7G, s7H, s7I, s7J, s7K, s7L, s7M, s7N, s7a, s7b, s7c, s7d, s7e, s7f, s7g
        , s7h, s7i, s7j, s7k, s7l, s7m, s7n, s7o, s7p, s7q, s7r, s7s, s7t, s7u, s7v, s7w, s7x, s7y, s7z, s8, s81, s82
        , s83, s84, s85, s86, s87, s88, s89, s8A, s8B, s8C, s8D, s8E, s8F, s8G, s8H, s8I, s8J, s8K, s8L, s8M, s8a, s8b
        , s8c, s8d, s8e, s8f, s8g, s8h, s8i, s8j, s8k, s8l, s8m, s8n, s8o, s8p, s8q, s8r, s8s, s8t, s8u, s8v, s8w, s8x
        , s8y, s8z, s9, s91, s92, s93, s94, s95, s96, s97, s98, s99, s9A, s9B, s9C, s9D, s9E, s9F, s9G, s9H, s9I, s9J
        , s9K, s9L, s9M, s9a, s9b, s9c, s9d, s9e, s9f, s9g, s9h, s9i, s9j, s9k, s9l, s9m, s9n, s9o, s9p, s9q, s9r, s9s
        , s9t, s9u, s9v, s9w, s9x, s9y, s9z, t, t01, t010, t011, t012, t013, t014, t015, t016, t017, t018, t019, t01a, t01b, t01c
        , t01d, t01e, t01f, t02, t03, t04, t05, t06, t07, t08, t09, t0A, t0B, t0C, t0D, t0E, t0F, t0G, t0H, t0I, t0J, t0K
        , t0L, t0M, t0N, t0O, t0P, t0Q, t0R, t0S, t0T, t0U, t0V, t0W, t0X, t0Y, t0Z, t0a, t0b, t0c, t0d, t0e, t0f, t0g
        , t0h, t0i, t0j, t0k, t0l, t0m, t0n, t0o, t0p, t0q, t0r, t0s, t0t, t0u, t0v, t0w, t0x, t0y, t0z, t11, t110, t111
        , t112, t113, t114, t115, t116, t117, t118, t119, t11a, t11b, t11c, t11d, t11e, t11f, t12, t13, t14, t15, t16, t17, t18, t19
        , t1A, t1B, t1C, t1D, t1E, t1F, t1G, t1H, t1I, t1J, t1K, t1L, t1M, t1N, t1O, t1P, t1Q, t1R, t1S, t1T, t1U, t1V
        , t1W, t1X, t1Y, t1Z, t1a, t1b, t1c, t1d, t1e, t1f, t1g, t1h, t1i, t1j, t1k, t1l, t1m, t1n, t1o, t1p, t1q, t1r
        , t1s, t1t, t1u, t1v, t1w, t1x, t1y, t1z, t2, t21, t210, t211, t212, t213, t214, t215, t216, t217, t218, t219, t21a, t21b
        , t21c, t21d, t21e, t21f, t22, t23, t24, t25, t26, t27, t28, t29, t2A, t2B, t2C, t2D, t2E, t2F, t2G, t2H, t2I, t2J
        , t2K, t2L, t2M, t2N, t2O, t2P, t2Q, t2R, t2S, t2T, t2U, t2V, t2W, t2X, t2Y, t2Z, t2a, t2b, t2c, t2d, t2e, t2f
        , t2g, t2h, t2i, t2j, t2k, t2l, t2m, t2n, t2o, t2p, t2q, t2r, t2s, t2t, t2u, t2v, t2w, t2x, t2y, t2z, t3, t31
        , t310, t311, t312, t313, t314, t315, t316, t317, t318, t319, t31a, t31b, t31c, t31d, t31e, t31f, t32, t33, t34, t35, t36, t37
        , t38, t39, t3A, t3B, t3C, t3D, t3E, t3F, t3G, t3H, t3I, t3J, t3K, t3L, t3M, t3N, t3O, t3P, t3Q, t3R, t3S, t3T
        , t3U, t3V, t3W, t3X, t3Y, t3Z, t3a, t3b, t3c, t3d, t3e, t3f, t3g, t3h, t3i, t3j, t3k, t3l, t3m, t3n, t3o, t3p
        , t3q, t3r, t3s, t3t, t3u, t3v, t3w, t3x, t3y, t3z, t4, t41, t410, t411, t412, t413, t414, t415, t416, t417, t418, t419
        , t41a, t41b, t41c, t41d, t41e, t41f, t42, t43, t44, t45, t46, t47, t48, t49, t4A, t4B, t4C, t4D, t4E, t4F, t4G, t4H
        , t4I, t4J, t4K, t4L, t4M, t4N, t4O, t4P, t4Q, t4R, t4S, t4T, t4U, t4V, t4W, t4X, t4Y, t4Z, t4a, t4b, t4c, t4d
        , t4e, t4f, t4g, t4h, t4i, t4j, t4k, t4l, t4m, t4n, t4o, t4p, t4q, t4r, t4s, t4t, t4u, t4v, t4w, t4x, t4y, t4z
        , t5, t51, t510, t511, t512, t513, t514, t515, t516, t517, t518, t519, t51a, t51b, t51c, t51d, t51e, t51f, t52, t53, t54, t55
        , t56, t57, t58, t59, t5A, t5B, t5C, t5D, t5E, t5F, t5G, t5H, t5I, t5J, t5K, t5L, t5M, t5N, t5O, t5P, t5Q, t5R
        , t5S, t5T, t5U, t5V, t5W, t5X, t5Y, t5Z, t5a, t5b, t5c, t5d, t5e, t5f, t5g, t5h, t5i, t5j, t5k, t5l, t5m, t5n
        , t5o, t5p, t5q, t5r, t5s, t5t, t5u, t5v, t5w, t5x, t5y, t5z, t6, t61, t610, t611, t612, t613, t614, t615, t616, t617
        , t618, t619, t61a, t61b, t61c, t61d, t61e, t61f, t62, t63, t64, t65, t66, t67, t68, t69, t6A, t6B, t6C, t6D, t6E, t6F
        , t6G, t6H, t6I, t6J, t6K, t6L, t6M, t6N, t6O, t6P, t6Q, t6R, t6S, t6T, t6U, t6V, t6W, t6X, t6Y, t6Z, t6a, t6b
        , t6c, t6d, t6e, t6f, t6g, t6h, t6i, t6j, t6k, t6l, t6m, t6n, t6o, t6p, t6q, t6r, t6s, t6t, t6u, t6v, t6w, t6x
        , t6y, t6z, t7, t71, t710, t711, t712, t713, t714, t715, t716, t717, t718, t719, t71a, t71b, t71c, t71d, t71e, t71f, t72, t73
        , t74, t75, t76, t77, t78, t79, t7A, t7B, t7C, t7D, t7E, t7F, t7G, t7H, t7I, t7J, t7K, t7L, t7M, t7N, t7O, t7P
        , t7Q, t7R, t7S, t7T, t7U, t7V, t7W, t7X, t7Y, t7Z, t7a, t7b, t7c, t7d, t7e, t7f, t7g, t7h, t7i, t7j, t7k, t7l
        , t7m, t7n, t7o, t7p, t7q, t7r, t7s, t7t, t7u, t7v, t7w, t7x, t7y, t7z, t8, t81, t810, t811, t812, t813, t814, t815
        , t816, t817, t818, t819, t81a, t81b, t81c, t81d, t81e, t82, t83, t84, t85, t86, t87, t88, t89, t8A, t8B, t8C, t8D, t8E
        , t8F, t8G, t8H, t8I, t8J, t8K, t8L, t8M, t8N, t8O, t8P, t8Q, t8R, t8S, t8T, t8U, t8V, t8W, t8X, t8Y, t8Z, t8a
        , t8b, t8c, t8d, t8e, t8f, t8g, t8h, t8i, t8j, t8k, t8l, t8m, t8n, t8o, t8p, t8q, t8r, t8s, t8t, t8u, t8v, t8w
        , t8x, t8y, t8z, t9, t91, t910, t911, t912, t913, t914, t915, t916, t917, t918, t919, t91a, t91b, t91c, t91d, t91e, t92, t93
        , t94, t95, t96, t97, t98, t99, t9A, t9B, t9C, t9D, t9E, t9F, t9G, t9H, t9I, t9J, t9K, t9L, t9M, t9N, t9O, t9P
        , t9Q, t9R, t9S, t9T, t9U, t9V, t9W, t9X, t9Y, t9Z, t9a, t9b, t9c, t9d, t9e, t9f, t9g, t9h, t9i, t9j, t9k, t9l
        , t9m, t9n, t9o, t9p, t9q, t9r, t9s, t9t, t9u, t9v, t9w, t9x, t9y, t9z;
    s = LOADU_CPX(src);
    s2 = LOADU_CPX((src + 1024));
    t = ADD_CPX_CPX(s, s2);
    t2 = SUB_CPX_CPX(s, s2);
    s3 = LOADU_CPX((src + 512));
    s4 = LOADU_CPX((src + 1536));
    t3 = ADD_CPX_CPX(s3, s4);
    s5 = MUL_I_CPX(SUB_CPX_CPX(s3, s4));
    t4 = ADD_CPX_CPX(t, t3);
    t5 = SUB_CPX_CPX(t, t3);
    t6 = ADD_CPX_CPX(t2, s5);
    t7 = SUB_CPX_CPX(t2, s5);
    s6 = LOADU_CPX((src + 256));
    s7 = LOADU_CPX((src + 1792));
    t8 = ADD_CPX_CPX(s6, s7);
    t9 = ADD_CPX_CPX(MUL_I_CPX(s6), MUL_NI_CPX(s7));
    s8 = LOADU_CPX((src + 1280));
    s9 = LOADU_CPX((src + 768));
    t01 = ADD_CPX_CPX(s8, s9);
    t11 = ADD_CPX_CPX(MUL_I_CPX(s8), MUL_NI_CPX(s9));
    t21 = ADD_CPX_CPX(t8, t01);
    t31 = ADD_CPX_CPX(t9, t11);
    a = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8, t01));
    a2 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9, t11));
    s01 = ADD_CPX_CPX(a, a2);
    s11 = SUB_CPX_CPX(a2, a);
    t41 = ADD_CPX_CPX(t4, t21);
    t51 = ADD_CPX_CPX(t5, t31);
    t61 = SUB_CPX_CPX(t4, t21);
    t71 = SUB_CPX_CPX(t5, t31);
    t81 = ADD_CPX_CPX(t6, s01);
    t91 = ADD_CPX_CPX(t7, s11);
    t02 = SUB_CPX_CPX(t6, s01);
    t12 = SUB_CPX_CPX(t7, s11);
    s21 = LOADU_CPX((src + 64));
    s31 = LOADU_CPX((src + 1984));
    t22 = ADD_CPX_CPX(s21, s31);
    t32 = ADD_CPX_CPX(MUL_I_CPX(s21), MUL_NI_CPX(s31));
    s41 = LOADU_CPX((src + 576));
    s51 = LOADU_CPX((src + 1472));
    t42 = ADD_CPX_CPX(s41, s51);
    t52 = ADD_CPX_CPX(MUL_I_CPX(s41), MUL_NI_CPX(s51));
    s61 = LOADU_CPX((src + 1088));
    s71 = LOADU_CPX((src + 960));
    t62 = ADD_CPX_CPX(s61, s71);
    t72 = ADD_CPX_CPX(MUL_I_CPX(s61), MUL_NI_CPX(s71));
    s81 = LOADU_CPX((src + 1600));
    s91 = LOADU_CPX((src + 448));
    t82 = ADD_CPX_CPX(s81, s91);
    t92 = ADD_CPX_CPX(MUL_I_CPX(s81), MUL_NI_CPX(s91));
    t03 = ADD_CPX_CPX(t22, t62);
    t13 = ADD_CPX_CPX(t32, t72);
    t23 = SUB_CPX_CPX(t22, t62);
    t33 = SUB_CPX_CPX(t32, t72);
    t43 = ADD_CPX_CPX(t42, t82);
    t53 = ADD_CPX_CPX(t52, t92);
    t63 = SUB_CPX_CPX(t42, t82);
    t73 = SUB_CPX_CPX(t52, t92);
    t83 = ADD_CPX_CPX(t03, t43);
    t93 = ADD_CPX_CPX(t13, t53);
    t04 = SUB_CPX_CPX(t03, t43);
    t14 = SUB_CPX_CPX(t13, t53);
    t24 = ADD_CPX_CPX(t23, t73);
    t34 = SUB_CPX_CPX(t33, t63);
    t44 = SUB_CPX_CPX(t23, t73);
    t54 = ADD_CPX_CPX(t33, t63);
    s02 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t24), MUL_FLT_CPX(C_FLT(0.19509032201612828), t34));
    s12 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t34), MUL_FLT_CPX(C_FLT(0.19509032201612828), t24));
    s22 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t04), MUL_FLT_CPX(C_FLT(0.38268343236508978), t14));
    s32 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t14), MUL_FLT_CPX(C_FLT(0.38268343236508978), t04));
    s42 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t44), MUL_FLT_CPX(C_FLT(0.55557023301960218), t54));
    s52 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t54), MUL_FLT_CPX(C_FLT(0.55557023301960218), t44));
    s62 = LOADU_CPX((src + 128));
    s72 = LOADU_CPX((src + 1920));
    t64 = ADD_CPX_CPX(s62, s72);
    t74 = ADD_CPX_CPX(MUL_I_CPX(s62), MUL_NI_CPX(s72));
    s82 = LOADU_CPX((src + 640));
    s92 = LOADU_CPX((src + 1408));
    t84 = ADD_CPX_CPX(s82, s92);
    t94 = ADD_CPX_CPX(MUL_I_CPX(s82), MUL_NI_CPX(s92));
    s03 = LOADU_CPX((src + 1152));
    s13 = LOADU_CPX((src + 896));
    t05 = ADD_CPX_CPX(s03, s13);
    t15 = ADD_CPX_CPX(MUL_I_CPX(s03), MUL_NI_CPX(s13));
    s23 = LOADU_CPX((src + 1664));
    s33 = LOADU_CPX((src + 384));
    t25 = ADD_CPX_CPX(s23, s33);
    t35 = ADD_CPX_CPX(MUL_I_CPX(s23), MUL_NI_CPX(s33));
    t45 = ADD_CPX_CPX(t64, t05);
    t55 = ADD_CPX_CPX(t74, t15);
    t65 = SUB_CPX_CPX(t64, t05);
    t75 = SUB_CPX_CPX(t74, t15);
    t85 = ADD_CPX_CPX(t84, t25);
    t95 = ADD_CPX_CPX(t94, t35);
    t06 = SUB_CPX_CPX(t84, t25);
    t16 = SUB_CPX_CPX(t94, t35);
    t26 = ADD_CPX_CPX(t45, t85);
    t36 = ADD_CPX_CPX(t55, t95);
    t46 = ADD_CPX_CPX(t65, t16);
    t56 = SUB_CPX_CPX(t75, t06);
    t66 = SUB_CPX_CPX(t65, t16);
    t76 = ADD_CPX_CPX(t75, t06);
    s43 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t46), MUL_FLT_CPX(C_FLT(0.38268343236508978), t56));
    s53 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t56), MUL_FLT_CPX(C_FLT(0.38268343236508978), t46));
    a3 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t45, t85));
    a4 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t55, t95));
    s63 = ADD_CPX_CPX(a3, a4);
    s73 = SUB_CPX_CPX(a4, a3);
    s83 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t66), MUL_FLT_CPX(C_FLT(0.92387953251128674), t76));
    s93 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t76), MUL_FLT_CPX(C_FLT(0.92387953251128674), t66));
    s04 = LOADU_CPX((src + 192));
    s14 = LOADU_CPX((src + 1856));
    t86 = ADD_CPX_CPX(s04, s14);
    t96 = ADD_CPX_CPX(MUL_I_CPX(s04), MUL_NI_CPX(s14));
    s24 = LOADU_CPX((src + 704));
    s34 = LOADU_CPX((src + 1344));
    t07 = ADD_CPX_CPX(s24, s34);
    t17 = ADD_CPX_CPX(MUL_I_CPX(s24), MUL_NI_CPX(s34));
    s44 = LOADU_CPX((src + 1216));
    s54 = LOADU_CPX((src + 832));
    t27 = ADD_CPX_CPX(s44, s54);
    t37 = ADD_CPX_CPX(MUL_I_CPX(s44), MUL_NI_CPX(s54));
    s64 = LOADU_CPX((src + 1728));
    s74 = LOADU_CPX((src + 320));
    t47 = ADD_CPX_CPX(s64, s74);
    t57 = ADD_CPX_CPX(MUL_I_CPX(s64), MUL_NI_CPX(s74));
    t67 = ADD_CPX_CPX(t86, t27);
    t77 = ADD_CPX_CPX(t96, t37);
    t87 = SUB_CPX_CPX(t86, t27);
    t97 = SUB_CPX_CPX(t96, t37);
    t08 = ADD_CPX_CPX(t07, t47);
    t18 = ADD_CPX_CPX(t17, t57);
    t28 = SUB_CPX_CPX(t07, t47);
    t38 = SUB_CPX_CPX(t17, t57);
    t48 = ADD_CPX_CPX(t67, t08);
    t58 = ADD_CPX_CPX(t77, t18);
    t68 = SUB_CPX_CPX(t67, t08);
    t78 = SUB_CPX_CPX(t77, t18);
    t88 = ADD_CPX_CPX(t87, t38);
    t98 = SUB_CPX_CPX(t97, t28);
    t09 = SUB_CPX_CPX(t87, t38);
    t19 = ADD_CPX_CPX(t97, t28);
    s84 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t88), MUL_FLT_CPX(C_FLT(0.55557023301960218), t98));
    s94 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t98), MUL_FLT_CPX(C_FLT(0.55557023301960218), t88));
    s05 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t68), MUL_FLT_CPX(C_FLT(0.92387953251128674), t78));
    s15 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t78), MUL_FLT_CPX(C_FLT(0.92387953251128674), t68));
    s25 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t19), MUL_FLT_CPX(C_FLT(0.19509032201612828), t09));
    s35 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t09), MUL_FLT_CPX(C_FLT(0.19509032201612828), t19));
    t29 = ADD_CPX_CPX(t41, t26);
    t39 = ADD_CPX_CPX(t61, t36);
    t49 = SUB_CPX_CPX(t41, t26);
    t59 = SUB_CPX_CPX(t61, t36);
    t69 = ADD_CPX_CPX(t83, t48);
    t79 = SUB_CPX_CPX(t93, t58);
    a5 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t83, t48));
    a6 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t93, t58));
    s45 = ADD_CPX_CPX(a5, a6);
    s55 = SUB_CPX_CPX(a6, a5);
    *(T) = ADD_CPX_CPX(t29, t69);
    *((T + 8)) = ADD_CPX_CPX(t49, t79);
    *((T + 16)) = SUB_CPX_CPX(t29, t69);
    *((T + 24)) = SUB_CPX_CPX(t49, t79);
    *((T + 4)) = ADD_CPX_CPX(t39, s45);
    *((T + 12)) = ADD_CPX_CPX(t59, s55);
    *((T + 20)) = SUB_CPX_CPX(t39, s45);
    *((T + 28)) = SUB_CPX_CPX(t59, s55);
    t89 = ADD_CPX_CPX(t81, s43);
    t99 = ADD_CPX_CPX(t02, s53);
    t0a = SUB_CPX_CPX(t81, s43);
    t1a = SUB_CPX_CPX(t02, s53);
    t2a = ADD_CPX_CPX(s02, s84);
    t3a = SUB_CPX_CPX(s12, s94);
    a7 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s02, s84));
    a8 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s12, s94));
    s65 = ADD_CPX_CPX(a7, a8);
    s75 = SUB_CPX_CPX(a8, a7);
    *((T + 1)) = ADD_CPX_CPX(t89, t2a);
    *((T + 9)) = ADD_CPX_CPX(t0a, t3a);
    *((T + 17)) = SUB_CPX_CPX(t89, t2a);
    *((T + 25)) = SUB_CPX_CPX(t0a, t3a);
    *((T + 5)) = ADD_CPX_CPX(t99, s65);
    *((T + 13)) = ADD_CPX_CPX(t1a, s75);
    *((T + 21)) = SUB_CPX_CPX(t99, s65);
    *((T + 29)) = SUB_CPX_CPX(t1a, s75);
    t4a = ADD_CPX_CPX(t51, s63);
    t5a = ADD_CPX_CPX(t71, s73);
    t6a = SUB_CPX_CPX(t51, s63);
    t7a = SUB_CPX_CPX(t71, s73);
    t8a = ADD_CPX_CPX(s22, s05);
    t9a = SUB_CPX_CPX(s32, s15);
    a9 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s22, s05));
    a01 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s32, s15));
    s85 = ADD_CPX_CPX(a9, a01);
    s95 = SUB_CPX_CPX(a01, a9);
    *((T + 2)) = ADD_CPX_CPX(t4a, t8a);
    *((T + 10)) = ADD_CPX_CPX(t6a, t9a);
    *((T + 18)) = SUB_CPX_CPX(t4a, t8a);
    *((T + 26)) = SUB_CPX_CPX(t6a, t9a);
    *((T + 6)) = ADD_CPX_CPX(t5a, s85);
    *((T + 14)) = ADD_CPX_CPX(t7a, s95);
    *((T + 22)) = SUB_CPX_CPX(t5a, s85);
    *((T + 30)) = SUB_CPX_CPX(t7a, s95);
    t0b = ADD_CPX_CPX(t91, s83);
    t1b = ADD_CPX_CPX(t12, s93);
    t2b = SUB_CPX_CPX(t91, s83);
    t3b = SUB_CPX_CPX(t12, s93);
    t4b = ADD_CPX_CPX(s42, s25);
    t5b = ADD_CPX_CPX(s52, s35);
    a11 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s42, s25));
    a21 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s52, s35));
    s06 = ADD_CPX_CPX(a11, a21);
    s16 = SUB_CPX_CPX(a21, a11);
    *((T + 3)) = ADD_CPX_CPX(t0b, t4b);
    *((T + 11)) = ADD_CPX_CPX(t2b, t5b);
    *((T + 19)) = SUB_CPX_CPX(t0b, t4b);
    *((T + 27)) = SUB_CPX_CPX(t2b, t5b);
    *((T + 7)) = ADD_CPX_CPX(t1b, s06);
    *((T + 15)) = ADD_CPX_CPX(t3b, s16);
    *((T + 23)) = SUB_CPX_CPX(t1b, s06);
    *((T + 31)) = SUB_CPX_CPX(t3b, s16);
    {long i; for(i = 0; i <= 62; i++) {
        b = (src + i);
        s26 = LOADU_CPX((b + 1));
        a31 = (1 + i);
        s36 = LOADU_CPX((src + (2048 - a31)));
        t6b = ADD_CPX_CPX(s26, s36);
        t7b = ADD_CPX_CPX(MUL_I_CPX(s26), MUL_NI_CPX(s36));
        s46 = LOADU_CPX((b + 129));
        s56 = LOADU_CPX((src + (1920 - a31)));
        t8b = ADD_CPX_CPX(s46, s56);
        t9b = ADD_CPX_CPX(MUL_I_CPX(s46), MUL_NI_CPX(s56));
        s66 = LOADU_CPX((b + 257));
        s76 = LOADU_CPX((src + (1792 - a31)));
        t0c = ADD_CPX_CPX(s66, s76);
        t1c = ADD_CPX_CPX(MUL_I_CPX(s66), MUL_NI_CPX(s76));
        s86 = LOADU_CPX((b + 385));
        s96 = LOADU_CPX((src + (1664 - a31)));
        t2c = ADD_CPX_CPX(s86, s96);
        t3c = ADD_CPX_CPX(MUL_I_CPX(s86), MUL_NI_CPX(s96));
        s07 = LOADU_CPX((b + 513));
        s17 = LOADU_CPX((src + (1536 - a31)));
        t4c = ADD_CPX_CPX(s07, s17);
        t5c = ADD_CPX_CPX(MUL_I_CPX(s07), MUL_NI_CPX(s17));
        s27 = LOADU_CPX((b + 641));
        s37 = LOADU_CPX((src + (1408 - a31)));
        t6c = ADD_CPX_CPX(s27, s37);
        t7c = ADD_CPX_CPX(MUL_I_CPX(s27), MUL_NI_CPX(s37));
        s47 = LOADU_CPX((b + 769));
        s57 = LOADU_CPX((src + (1280 - a31)));
        t8c = ADD_CPX_CPX(s47, s57);
        t9c = ADD_CPX_CPX(MUL_I_CPX(s47), MUL_NI_CPX(s57));
        s67 = LOADU_CPX((b + 897));
        s77 = LOADU_CPX((src + (1152 - a31)));
        t0d = ADD_CPX_CPX(s67, s77);
        t1d = ADD_CPX_CPX(MUL_I_CPX(s67), MUL_NI_CPX(s77));
        s87 = LOADU_CPX((b + 1025));
        s97 = LOADU_CPX((src + (1024 - a31)));
        t2d = ADD_CPX_CPX(s87, s97);
        t3d = ADD_CPX_CPX(MUL_I_CPX(s87), MUL_NI_CPX(s97));
        s08 = LOADU_CPX((b + 1153));
        s18 = LOADU_CPX((src + (896 - a31)));
        t4d = ADD_CPX_CPX(s08, s18);
        t5d = ADD_CPX_CPX(MUL_I_CPX(s08), MUL_NI_CPX(s18));
        s28 = LOADU_CPX((b + 1281));
        s38 = LOADU_CPX((src + (768 - a31)));
        t6d = ADD_CPX_CPX(s28, s38);
        t7d = ADD_CPX_CPX(MUL_I_CPX(s28), MUL_NI_CPX(s38));
        s48 = LOADU_CPX((b + 1409));
        s58 = LOADU_CPX((src + (640 - a31)));
        t8d = ADD_CPX_CPX(s48, s58);
        t9d = ADD_CPX_CPX(MUL_I_CPX(s48), MUL_NI_CPX(s58));
        s68 = LOADU_CPX((b + 1537));
        s78 = LOADU_CPX((src + (512 - a31)));
        t0e = ADD_CPX_CPX(s68, s78);
        t1e = ADD_CPX_CPX(MUL_I_CPX(s68), MUL_NI_CPX(s78));
        s88 = LOADU_CPX((b + 1665));
        s98 = LOADU_CPX((src + (384 - a31)));
        t2e = ADD_CPX_CPX(s88, s98);
        t3e = ADD_CPX_CPX(MUL_I_CPX(s88), MUL_NI_CPX(s98));
        s09 = LOADU_CPX((b + 1793));
        s19 = LOADU_CPX((src + (256 - a31)));
        t4e = ADD_CPX_CPX(s09, s19);
        t5e = ADD_CPX_CPX(MUL_I_CPX(s09), MUL_NI_CPX(s19));
        s29 = LOADU_CPX((b + 1921));
        s39 = LOADU_CPX((src + (128 - a31)));
        t6e = ADD_CPX_CPX(s29, s39);
        t7e = ADD_CPX_CPX(MUL_I_CPX(s29), MUL_NI_CPX(s39));
        t8e = ADD_CPX_CPX(t6b, t2d);
        t9e = ADD_CPX_CPX(t7b, t3d);
        t0f = SUB_CPX_CPX(t6b, t2d);
        t1f = SUB_CPX_CPX(t7b, t3d);
        t2f = ADD_CPX_CPX(t4c, t0e);
        t3f = ADD_CPX_CPX(t5c, t1e);
        t4f = SUB_CPX_CPX(t4c, t0e);
        t5f = SUB_CPX_CPX(t5c, t1e);
        t6f = ADD_CPX_CPX(t8e, t2f);
        t7f = ADD_CPX_CPX(t9e, t3f);
        t8f = SUB_CPX_CPX(t8e, t2f);
        t9f = SUB_CPX_CPX(t9e, t3f);
        t0g = ADD_CPX_CPX(t0f, t5f);
        t1g = SUB_CPX_CPX(t1f, t4f);
        t2g = SUB_CPX_CPX(t0f, t5f);
        t3g = ADD_CPX_CPX(t1f, t4f);
        t4g = ADD_CPX_CPX(t0c, t4e);
        t5g = ADD_CPX_CPX(t1c, t5e);
        t6g = SUB_CPX_CPX(t1c, t5e);
        t7g = SUB_CPX_CPX(t4e, t0c);
        t8g = ADD_CPX_CPX(t6d, t8c);
        t9g = ADD_CPX_CPX(t7d, t9c);
        t0h = SUB_CPX_CPX(t7d, t9c);
        t1h = SUB_CPX_CPX(t8c, t6d);
        s49 = ADD_CPX_CPX(t4g, t8g);
        s59 = ADD_CPX_CPX(t5g, t9g);
        s69 = ADD_CPX_CPX(t6g, t0h);
        s79 = ADD_CPX_CPX(t7g, t1h);
        a41 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t4g, t8g));
        a51 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t6g, t0h));
        t2h = ADD_CPX_CPX(a41, a51);
        a61 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t5g, t9g));
        a71 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t7g, t1h));
        t3h = ADD_CPX_CPX(a61, a71);
        t4h = SUB_CPX_CPX(a51, a41);
        t5h = SUB_CPX_CPX(a71, a61);
        s89 = ADD_CPX_CPX(t6f, s49);
        s99 = ADD_CPX_CPX(t7f, s59);
        s0a = ADD_CPX_CPX(t8f, s69);
        s1a = ADD_CPX_CPX(t9f, s79);
        s2a = SUB_CPX_CPX(t6f, s49);
        s3a = SUB_CPX_CPX(t7f, s59);
        s4a = SUB_CPX_CPX(t8f, s69);
        s5a = SUB_CPX_CPX(t9f, s79);
        s6a = ADD_CPX_CPX(t0g, t2h);
        s7a = ADD_CPX_CPX(t1g, t3h);
        s8a = ADD_CPX_CPX(t2g, t4h);
        s9a = ADD_CPX_CPX(t3g, t5h);
        s0b = SUB_CPX_CPX(t0g, t2h);
        s1b = SUB_CPX_CPX(t1g, t3h);
        s2b = SUB_CPX_CPX(t2g, t4h);
        s3b = SUB_CPX_CPX(t3g, t5h);
        t6h = ADD_CPX_CPX(t8b, t6e);
        t7h = ADD_CPX_CPX(t9b, t7e);
        t8h = SUB_CPX_CPX(t9b, t7e);
        t9h = SUB_CPX_CPX(t6e, t8b);
        t0i = ADD_CPX_CPX(t6c, t8d);
        t1i = ADD_CPX_CPX(t7c, t9d);
        t2i = SUB_CPX_CPX(t7c, t9d);
        t3i = SUB_CPX_CPX(t8d, t6c);
        t4i = ADD_CPX_CPX(t4d, t0d);
        t5i = ADD_CPX_CPX(t5d, t1d);
        t6i = SUB_CPX_CPX(t5d, t1d);
        t7i = SUB_CPX_CPX(t0d, t4d);
        t8i = ADD_CPX_CPX(t2e, t2c);
        t9i = ADD_CPX_CPX(t3e, t3c);
        t0j = SUB_CPX_CPX(t3e, t3c);
        t1j = SUB_CPX_CPX(t2c, t2e);
        s4b = ADD_CPX_CPX(t6h, t4i);
        s5b = ADD_CPX_CPX(t7h, t5i);
        s6b = ADD_CPX_CPX(t8h, t6i);
        s7b = ADD_CPX_CPX(t9h, t7i);
        s8b = SUB_CPX_CPX(t6h, t4i);
        s9b = SUB_CPX_CPX(t7h, t5i);
        s0c = SUB_CPX_CPX(t8h, t6i);
        s1c = SUB_CPX_CPX(t9h, t7i);
        s2c = ADD_CPX_CPX(t0i, t8i);
        s3c = ADD_CPX_CPX(t1i, t9i);
        s4c = ADD_CPX_CPX(t2i, t0j);
        s5c = ADD_CPX_CPX(t3i, t1j);
        s6c = SUB_CPX_CPX(t0i, t8i);
        s7c = SUB_CPX_CPX(t1i, t9i);
        s8c = SUB_CPX_CPX(t2i, t0j);
        s9c = SUB_CPX_CPX(t3i, t1j);
        s0d = ADD_CPX_CPX(s4b, s2c);
        s1d = ADD_CPX_CPX(s5b, s3c);
        s2d = ADD_CPX_CPX(s6b, s4c);
        s3d = ADD_CPX_CPX(s7b, s5c);
        s4d = ADD_CPX_CPX(s8b, s8c);
        s5d = ADD_CPX_CPX(s9b, s9c);
        s6d = SUB_CPX_CPX(s0c, s6c);
        s7d = SUB_CPX_CPX(s1c, s7c);
        s8d = SUB_CPX_CPX(s8b, s8c);
        s9d = SUB_CPX_CPX(s9b, s9c);
        s0e = ADD_CPX_CPX(s0c, s6c);
        s1e = ADD_CPX_CPX(s1c, s7c);
        t2j = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s4d), MUL_FLT_CPX(C_FLT(0.38268343236508978), s6d));
        t3j = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s5d), MUL_FLT_CPX(C_FLT(0.38268343236508978), s7d));
        t4j = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s6d), MUL_FLT_CPX(C_FLT(0.38268343236508978), s4d));
        t5j = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s7d), MUL_FLT_CPX(C_FLT(0.38268343236508978), s5d));
        a81 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4b, s2c));
        a91 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s6b, s4c));
        t6j = ADD_CPX_CPX(a81, a91);
        a02 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s5b, s3c));
        a12 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s7b, s5c));
        t7j = ADD_CPX_CPX(a02, a12);
        t8j = SUB_CPX_CPX(a91, a81);
        t9j = SUB_CPX_CPX(a12, a02);
        t0k = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s8d), MUL_FLT_CPX(C_FLT(0.92387953251128674), s0e));
        t1k = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s9d), MUL_FLT_CPX(C_FLT(0.92387953251128674), s1e));
        t2k = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s0e), MUL_FLT_CPX(C_FLT(0.92387953251128674), s8d));
        t3k = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s1e), MUL_FLT_CPX(C_FLT(0.92387953251128674), s9d));
        s2e = ADD_CPX_CPX(s2a, s2d);
        s3e = ADD_CPX_CPX(s3a, s3d);
        s4e = SUB_CPX_CPX(s89, s0d);
        s5e = SUB_CPX_CPX(s99, s1d);
        s6e = SUB_CPX_CPX(s2a, s2d);
        s7e = SUB_CPX_CPX(s3a, s3d);
        s8e = ADD_CPX_CPX(s6a, t2j);
        s9e = ADD_CPX_CPX(s7a, t3j);
        s0f = ADD_CPX_CPX(s0b, t4j);
        s1f = ADD_CPX_CPX(s1b, t5j);
        s2f = SUB_CPX_CPX(s6a, t2j);
        s3f = SUB_CPX_CPX(s7a, t3j);
        s4f = SUB_CPX_CPX(s0b, t4j);
        s5f = SUB_CPX_CPX(s1b, t5j);
        s6f = ADD_CPX_CPX(s0a, t6j);
        s7f = ADD_CPX_CPX(s1a, t7j);
        s8f = ADD_CPX_CPX(s4a, t8j);
        s9f = ADD_CPX_CPX(s5a, t9j);
        s0g = SUB_CPX_CPX(s0a, t6j);
        s1g = SUB_CPX_CPX(s1a, t7j);
        s2g = SUB_CPX_CPX(s4a, t8j);
        s3g = SUB_CPX_CPX(s5a, t9j);
        s4g = ADD_CPX_CPX(s8a, t0k);
        s5g = ADD_CPX_CPX(s9a, t1k);
        s6g = ADD_CPX_CPX(s2b, t2k);
        s7g = ADD_CPX_CPX(s3b, t3k);
        s8g = SUB_CPX_CPX(s8a, t0k);
        s9g = SUB_CPX_CPX(s9a, t1k);
        s0h = SUB_CPX_CPX(s2b, t2k);
        s1h = SUB_CPX_CPX(s3b, t3k);
        b2 = (T + (32*i));
        *((b2 + 32)) = ADD_CPX_CPX(s89, s0d);
        *((b2 + 48)) = ADD_CPX_CPX(s99, s1d);
        a22 = (D1003 + (30*i));
        a32 = (a22 + 1);
        a42 = (a22 + 2);
        a52 = (a22 + 3);
        a62 = (a22 + 4);
        a72 = (a22 + 5);
        a82 = (a22 + 6);
        a92 = (a22 + 7);
        a03 = (a22 + 8);
        a13 = (a22 + 9);
        a23 = (a22 + 10);
        a33 = (a22 + 11);
        a43 = (a22 + 12);
        a53 = (a22 + 13);
        a63 = (a22 + 14);
        a73 = (a22 + 15);
        a83 = (a22 + 16);
        a93 = (a22 + 17);
        a04 = (a22 + 18);
        a14 = (a22 + 19);
        a24 = (a22 + 20);
        a34 = (a22 + 21);
        a44 = (a22 + 22);
        a54 = (a22 + 23);
        a64 = (a22 + 24);
        a74 = (a22 + 25);
        a84 = (a22 + 26);
        a94 = (a22 + 27);
        a05 = (a22 + 28);
        a15 = (a22 + 29);
        *((b2 + 33)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a22), s8e), MUL_FLT_CPX(*(a32), s9e));
        *((b2 + 49)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a22), s9e), MUL_FLT_CPX(*(a32), s8e));
        *((b2 + 34)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a42), s6f), MUL_FLT_CPX(*(a52), s7f));
        *((b2 + 50)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a42), s7f), MUL_FLT_CPX(*(a52), s6f));
        *((b2 + 35)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a62), s4g), MUL_FLT_CPX(*(a72), s5g));
        *((b2 + 51)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a62), s5g), MUL_FLT_CPX(*(a72), s4g));
        *((b2 + 36)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a82), s2e), MUL_FLT_CPX(*(a92), s3e));
        *((b2 + 52)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a82), s3e), MUL_FLT_CPX(*(a92), s2e));
        *((b2 + 37)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a03), s0f), MUL_FLT_CPX(*(a13), s1f));
        *((b2 + 53)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a03), s1f), MUL_FLT_CPX(*(a13), s0f));
        *((b2 + 38)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a23), s8f), MUL_FLT_CPX(*(a33), s9f));
        *((b2 + 54)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a23), s9f), MUL_FLT_CPX(*(a33), s8f));
        *((b2 + 39)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a43), s6g), MUL_FLT_CPX(*(a53), s7g));
        *((b2 + 55)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a43), s7g), MUL_FLT_CPX(*(a53), s6g));
        *((b2 + 40)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a63), s4e), MUL_FLT_CPX(*(a73), s5e));
        *((b2 + 56)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a63), s5e), MUL_FLT_CPX(*(a73), s4e));
        *((b2 + 41)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a83), s2f), MUL_FLT_CPX(*(a93), s3f));
        *((b2 + 57)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a83), s3f), MUL_FLT_CPX(*(a93), s2f));
        *((b2 + 42)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a04), s0g), MUL_FLT_CPX(*(a14), s1g));
        *((b2 + 58)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a04), s1g), MUL_FLT_CPX(*(a14), s0g));
        *((b2 + 43)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a24), s8g), MUL_FLT_CPX(*(a34), s9g));
        *((b2 + 59)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a24), s9g), MUL_FLT_CPX(*(a34), s8g));
        *((b2 + 44)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a44), s6e), MUL_FLT_CPX(*(a54), s7e));
        *((b2 + 60)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a44), s7e), MUL_FLT_CPX(*(a54), s6e));
        *((b2 + 45)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a64), s4f), MUL_FLT_CPX(*(a74), s5f));
        *((b2 + 61)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a64), s5f), MUL_FLT_CPX(*(a74), s4f));
        *((b2 + 46)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a84), s2g), MUL_FLT_CPX(*(a94), s3g));
        *((b2 + 62)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a84), s3g), MUL_FLT_CPX(*(a94), s2g));
        *((b2 + 47)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a05), s0h), MUL_FLT_CPX(*(a15), s1h));
        *((b2 + 63)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a05), s1h), MUL_FLT_CPX(*(a15), s0h));
    }}
    {long i2; for(i2 = 0; i2 <= 15; i2++) {
        a25 = (T + i2);
        a35 = (a25 + 16);
        a45 = (a25 + 1024);
        a55 = (a25 + 1040);
        t4k = ADD_CPX_CPX(*(a25), *(a45));
        t5k = ADD_CPX_CPX(*(a35), *(a55));
        t6k = SUB_CPX_CPX(*(a25), *(a45));
        t7k = SUB_CPX_CPX(*(a35), *(a55));
        a65 = (a25 + 256);
        a75 = (a25 + 272);
        a85 = (a25 + 1792);
        a95 = (a25 + 1808);
        t8k = ADD_CPX_CPX(*(a65), *(a85));
        t9k = SUB_CPX_CPX(*(a75), *(a95));
        t0l = SUB_CPX_CPX(*(a65), *(a85));
        t1l = ADD_CPX_CPX(*(a75), *(a95));
        s2h = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t0l), MUL_FLT_CPX(C_FLT(0.38268343236508978), t1l));
        s3h = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t1l), MUL_FLT_CPX(C_FLT(0.38268343236508978), t0l));
        a06 = (a25 + 512);
        a16 = (a25 + 528);
        a26 = (a25 + 1536);
        a36 = (a25 + 1552);
        t2l = ADD_CPX_CPX(*(a06), *(a26));
        t3l = SUB_CPX_CPX(*(a16), *(a36));
        a46 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a06), *(a26)));
        a56 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(*(a16), *(a36)));
        s4h = ADD_CPX_CPX(a46, a56);
        s5h = SUB_CPX_CPX(a56, a46);
        a66 = (a25 + 768);
        a76 = (a25 + 784);
        a86 = (a25 + 1280);
        a96 = (a25 + 1296);
        t4l = ADD_CPX_CPX(*(a66), *(a86));
        t5l = SUB_CPX_CPX(*(a76), *(a96));
        t6l = SUB_CPX_CPX(*(a66), *(a86));
        t7l = ADD_CPX_CPX(*(a76), *(a96));
        s6h = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t6l), MUL_FLT_CPX(C_FLT(0.92387953251128674), t7l));
        s7h = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t7l), MUL_FLT_CPX(C_FLT(0.92387953251128674), t6l));
        t8l = ADD_CPX_CPX(t4k, t2l);
        t9l = ADD_CPX_CPX(t6k, t3l);
        t0m = SUB_CPX_CPX(t4k, t2l);
        t1m = SUB_CPX_CPX(t6k, t3l);
        t2m = ADD_CPX_CPX(t8k, t4l);
        t3m = SUB_CPX_CPX(t9k, t5l);
        a07 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8k, t4l));
        a17 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t9k, t5l));
        s8h = ADD_CPX_CPX(a07, a17);
        s9h = SUB_CPX_CPX(a17, a07);
        t4m = ADD_CPX_CPX(t8l, t2m);
        t5m = ADD_CPX_CPX(t0m, t3m);
        t6m = SUB_CPX_CPX(t8l, t2m);
        t7m = SUB_CPX_CPX(t0m, t3m);
        t8m = ADD_CPX_CPX(t9l, s8h);
        t9m = ADD_CPX_CPX(t1m, s9h);
        t0n = SUB_CPX_CPX(t9l, s8h);
        t1n = SUB_CPX_CPX(t1m, s9h);
        t2n = ADD_CPX_CPX(t5k, s4h);
        t3n = ADD_CPX_CPX(t7k, s5h);
        t4n = SUB_CPX_CPX(t5k, s4h);
        t5n = SUB_CPX_CPX(t7k, s5h);
        t6n = ADD_CPX_CPX(s2h, s6h);
        t7n = SUB_CPX_CPX(s3h, s7h);
        a27 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s2h, s6h));
        a37 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s3h, s7h));
        s0i = ADD_CPX_CPX(a27, a37);
        s1i = SUB_CPX_CPX(a37, a27);
        t8n = ADD_CPX_CPX(t2n, t6n);
        t9n = ADD_CPX_CPX(t4n, t7n);
        t0o = SUB_CPX_CPX(t2n, t6n);
        t1o = SUB_CPX_CPX(t4n, t7n);
        t2o = ADD_CPX_CPX(t3n, s0i);
        t3o = ADD_CPX_CPX(t5n, s1i);
        t4o = SUB_CPX_CPX(t3n, s0i);
        t5o = SUB_CPX_CPX(t5n, s1i);
        a47 = (a25 + 32);
        a57 = (a25 + 48);
        a67 = (a25 + 2016);
        a77 = (a25 + 2032);
        t6o = ADD_CPX_CPX(*(a47), *(a67));
        t7o = SUB_CPX_CPX(*(a57), *(a77));
        t8o = SUB_CPX_CPX(*(a47), *(a67));
        t9o = ADD_CPX_CPX(*(a57), *(a77));
        a87 = (a25 + 1056);
        a97 = (a25 + 1072);
        a08 = (a25 + 992);
        a18 = (a25 + 1008);
        t0p = ADD_CPX_CPX(*(a87), *(a08));
        t1p = SUB_CPX_CPX(*(a97), *(a18));
        t2p = SUB_CPX_CPX(*(a87), *(a08));
        t3p = ADD_CPX_CPX(*(a97), *(a18));
        t4p = ADD_CPX_CPX(t6o, t0p);
        t5p = ADD_CPX_CPX(t7o, t1p);
        t6p = SUB_CPX_CPX(t6o, t0p);
        t7p = SUB_CPX_CPX(t7o, t1p);
        t8p = ADD_CPX_CPX(t8o, t3p);
        t9p = SUB_CPX_CPX(t9o, t2p);
        t0q = SUB_CPX_CPX(t8o, t3p);
        t1q = ADD_CPX_CPX(t9o, t2p);
        a28 = (a25 + 544);
        a38 = (a25 + 560);
        a48 = (a25 + 480);
        a58 = (a25 + 496);
        t2q = ADD_CPX_CPX(*(a28), *(a48));
        t3q = SUB_CPX_CPX(*(a38), *(a58));
        t4q = ADD_CPX_CPX(*(a38), *(a58));
        t5q = SUB_CPX_CPX(*(a48), *(a28));
        a68 = (a25 + 1504);
        a78 = (a25 + 1520);
        a88 = (a25 + 1568);
        a98 = (a25 + 1584);
        t6q = ADD_CPX_CPX(*(a68), *(a88));
        t7q = SUB_CPX_CPX(*(a98), *(a78));
        t8q = ADD_CPX_CPX(*(a78), *(a98));
        t9q = SUB_CPX_CPX(*(a88), *(a68));
        s2i = ADD_CPX_CPX(t2q, t6q);
        s3i = ADD_CPX_CPX(t3q, t7q);
        s4i = SUB_CPX_CPX(t4q, t8q);
        s5i = ADD_CPX_CPX(t5q, t9q);
        a09 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2q, t6q));
        a19 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t4q, t8q));
        t0r = ADD_CPX_CPX(a09, a19);
        a29 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3q, t7q));
        a39 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t5q, t9q));
        t1r = ADD_CPX_CPX(a29, a39);
        t2r = SUB_CPX_CPX(a19, a09);
        t3r = SUB_CPX_CPX(a39, a29);
        s6i = ADD_CPX_CPX(t4p, s2i);
        s7i = ADD_CPX_CPX(t5p, s3i);
        s8i = ADD_CPX_CPX(t6p, s4i);
        s9i = ADD_CPX_CPX(t7p, s5i);
        s0j = SUB_CPX_CPX(t4p, s2i);
        s1j = SUB_CPX_CPX(t5p, s3i);
        s2j = SUB_CPX_CPX(t6p, s4i);
        s3j = SUB_CPX_CPX(t7p, s5i);
        s4j = ADD_CPX_CPX(t8p, t0r);
        s5j = ADD_CPX_CPX(t9p, t1r);
        s6j = ADD_CPX_CPX(t0q, t2r);
        s7j = ADD_CPX_CPX(t1q, t3r);
        s8j = SUB_CPX_CPX(t8p, t0r);
        s9j = SUB_CPX_CPX(t9p, t1r);
        s0k = SUB_CPX_CPX(t0q, t2r);
        s1k = SUB_CPX_CPX(t1q, t3r);
        s2k = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99879545620517241), s4j), MUL_FLT_CPX(C_FLT(0.049067674327418015), s5j));
        s3k = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99879545620517241), s5j), MUL_FLT_CPX(C_FLT(0.049067674327418015), s4j));
        s4k = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), s8i), MUL_FLT_CPX(C_FLT(0.098017140329560604), s9i));
        s5k = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), s9i), MUL_FLT_CPX(C_FLT(0.098017140329560604), s8i));
        s6k = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s6j), MUL_FLT_CPX(C_FLT(0.14673047445536175), s7j));
        s7k = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s7j), MUL_FLT_CPX(C_FLT(0.14673047445536175), s6j));
        s8k = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s0j), MUL_FLT_CPX(C_FLT(0.19509032201612828), s1j));
        s9k = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s1j), MUL_FLT_CPX(C_FLT(0.19509032201612828), s0j));
        s0l = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.97003125319454397), s8j), MUL_FLT_CPX(C_FLT(0.2429801799032639), s9j));
        s1l = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.97003125319454397), s9j), MUL_FLT_CPX(C_FLT(0.2429801799032639), s8j));
        s2l = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s2j), MUL_FLT_CPX(C_FLT(0.29028467725446239), s3j));
        s3l = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s3j), MUL_FLT_CPX(C_FLT(0.29028467725446239), s2j));
        s4l = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), s0k), MUL_FLT_CPX(C_FLT(0.33688985339222005), s1k));
        s5l = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), s1k), MUL_FLT_CPX(C_FLT(0.33688985339222005), s0k));
        a49 = (a25 + 64);
        a59 = (a25 + 80);
        a69 = (a25 + 1984);
        a79 = (a25 + 2000);
        t4r = ADD_CPX_CPX(*(a49), *(a69));
        t5r = SUB_CPX_CPX(*(a59), *(a79));
        t6r = SUB_CPX_CPX(*(a49), *(a69));
        t7r = ADD_CPX_CPX(*(a59), *(a79));
        a89 = (a25 + 1088);
        a99 = (a25 + 1104);
        a0a = (a25 + 960);
        a1a = (a25 + 976);
        t8r = ADD_CPX_CPX(*(a89), *(a0a));
        t9r = SUB_CPX_CPX(*(a99), *(a1a));
        t0s = SUB_CPX_CPX(*(a89), *(a0a));
        t1s = ADD_CPX_CPX(*(a99), *(a1a));
        t2s = ADD_CPX_CPX(t4r, t8r);
        t3s = ADD_CPX_CPX(t5r, t9r);
        t4s = SUB_CPX_CPX(t4r, t8r);
        t5s = SUB_CPX_CPX(t5r, t9r);
        t6s = ADD_CPX_CPX(t6r, t1s);
        t7s = SUB_CPX_CPX(t7r, t0s);
        t8s = SUB_CPX_CPX(t6r, t1s);
        t9s = ADD_CPX_CPX(t7r, t0s);
        a2a = (a25 + 576);
        a3a = (a25 + 592);
        a4a = (a25 + 448);
        a5a = (a25 + 464);
        t0t = ADD_CPX_CPX(*(a2a), *(a4a));
        t1t = SUB_CPX_CPX(*(a3a), *(a5a));
        t2t = ADD_CPX_CPX(*(a3a), *(a5a));
        t3t = SUB_CPX_CPX(*(a4a), *(a2a));
        a6a = (a25 + 1472);
        a7a = (a25 + 1488);
        a8a = (a25 + 1600);
        a9a = (a25 + 1616);
        t4t = ADD_CPX_CPX(*(a6a), *(a8a));
        t5t = SUB_CPX_CPX(*(a9a), *(a7a));
        t6t = ADD_CPX_CPX(*(a7a), *(a9a));
        t7t = SUB_CPX_CPX(*(a8a), *(a6a));
        s6l = ADD_CPX_CPX(t0t, t4t);
        s7l = ADD_CPX_CPX(t1t, t5t);
        s8l = SUB_CPX_CPX(t2t, t6t);
        s9l = ADD_CPX_CPX(t3t, t7t);
        a0b = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0t, t4t));
        a1b = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t2t, t6t));
        t8t = ADD_CPX_CPX(a0b, a1b);
        a2b = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t1t, t5t));
        a3b = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3t, t7t));
        t9t = ADD_CPX_CPX(a2b, a3b);
        t0u = SUB_CPX_CPX(a1b, a0b);
        t1u = SUB_CPX_CPX(a3b, a2b);
        s0m = ADD_CPX_CPX(t2s, s6l);
        s1m = ADD_CPX_CPX(t3s, s7l);
        s2m = ADD_CPX_CPX(t4s, s8l);
        s3m = ADD_CPX_CPX(t5s, s9l);
        s4m = SUB_CPX_CPX(t2s, s6l);
        s5m = SUB_CPX_CPX(t3s, s7l);
        s6m = SUB_CPX_CPX(t4s, s8l);
        s7m = SUB_CPX_CPX(t5s, s9l);
        s8m = ADD_CPX_CPX(t6s, t8t);
        s9m = ADD_CPX_CPX(t7s, t9t);
        s0n = ADD_CPX_CPX(t8s, t0u);
        s1n = ADD_CPX_CPX(t9s, t1u);
        s2n = SUB_CPX_CPX(t6s, t8t);
        s3n = SUB_CPX_CPX(t7s, t9t);
        s4n = SUB_CPX_CPX(t8s, t0u);
        s5n = SUB_CPX_CPX(t9s, t1u);
        s6n = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), s8m), MUL_FLT_CPX(C_FLT(0.098017140329560604), s9m));
        s7n = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), s9m), MUL_FLT_CPX(C_FLT(0.098017140329560604), s8m));
        s8n = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s2m), MUL_FLT_CPX(C_FLT(0.19509032201612828), s3m));
        s9n = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s3m), MUL_FLT_CPX(C_FLT(0.19509032201612828), s2m));
        s0o = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s0n), MUL_FLT_CPX(C_FLT(0.29028467725446239), s1n));
        s1o = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s1n), MUL_FLT_CPX(C_FLT(0.29028467725446239), s0n));
        s2o = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s4m), MUL_FLT_CPX(C_FLT(0.38268343236508978), s5m));
        s3o = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s5m), MUL_FLT_CPX(C_FLT(0.38268343236508978), s4m));
        s4o = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s2n), MUL_FLT_CPX(C_FLT(0.47139673682599764), s3n));
        s5o = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s3n), MUL_FLT_CPX(C_FLT(0.47139673682599764), s2n));
        s6o = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s6m), MUL_FLT_CPX(C_FLT(0.55557023301960218), s7m));
        s7o = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s7m), MUL_FLT_CPX(C_FLT(0.55557023301960218), s6m));
        s8o = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), s4n), MUL_FLT_CPX(C_FLT(0.63439328416364549), s5n));
        s9o = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), s5n), MUL_FLT_CPX(C_FLT(0.63439328416364549), s4n));
        a4b = (a25 + 96);
        a5b = (a25 + 112);
        a6b = (a25 + 1952);
        a7b = (a25 + 1968);
        t2u = ADD_CPX_CPX(*(a4b), *(a6b));
        t3u = SUB_CPX_CPX(*(a5b), *(a7b));
        t4u = SUB_CPX_CPX(*(a4b), *(a6b));
        t5u = ADD_CPX_CPX(*(a5b), *(a7b));
        a8b = (a25 + 1120);
        a9b = (a25 + 1136);
        a0c = (a25 + 928);
        a1c = (a25 + 944);
        t6u = ADD_CPX_CPX(*(a8b), *(a0c));
        t7u = SUB_CPX_CPX(*(a9b), *(a1c));
        t8u = SUB_CPX_CPX(*(a8b), *(a0c));
        t9u = ADD_CPX_CPX(*(a9b), *(a1c));
        t0v = ADD_CPX_CPX(t2u, t6u);
        t1v = ADD_CPX_CPX(t3u, t7u);
        t2v = SUB_CPX_CPX(t2u, t6u);
        t3v = SUB_CPX_CPX(t3u, t7u);
        t4v = ADD_CPX_CPX(t4u, t9u);
        t5v = SUB_CPX_CPX(t5u, t8u);
        t6v = SUB_CPX_CPX(t4u, t9u);
        t7v = ADD_CPX_CPX(t5u, t8u);
        a2c = (a25 + 608);
        a3c = (a25 + 624);
        a4c = (a25 + 416);
        a5c = (a25 + 432);
        t8v = ADD_CPX_CPX(*(a2c), *(a4c));
        t9v = SUB_CPX_CPX(*(a3c), *(a5c));
        t0w = ADD_CPX_CPX(*(a3c), *(a5c));
        t1w = SUB_CPX_CPX(*(a4c), *(a2c));
        a6c = (a25 + 1440);
        a7c = (a25 + 1456);
        a8c = (a25 + 1632);
        a9c = (a25 + 1648);
        t2w = ADD_CPX_CPX(*(a6c), *(a8c));
        t3w = SUB_CPX_CPX(*(a9c), *(a7c));
        t4w = ADD_CPX_CPX(*(a7c), *(a9c));
        t5w = SUB_CPX_CPX(*(a8c), *(a6c));
        s0p = ADD_CPX_CPX(t8v, t2w);
        s1p = ADD_CPX_CPX(t9v, t3w);
        s2p = SUB_CPX_CPX(t0w, t4w);
        s3p = ADD_CPX_CPX(t1w, t5w);
        a0d = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8v, t2w));
        a1d = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t0w, t4w));
        t6w = ADD_CPX_CPX(a0d, a1d);
        a2d = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9v, t3w));
        a3d = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t1w, t5w));
        t7w = ADD_CPX_CPX(a2d, a3d);
        t8w = SUB_CPX_CPX(a1d, a0d);
        t9w = SUB_CPX_CPX(a3d, a2d);
        s4p = ADD_CPX_CPX(t0v, s0p);
        s5p = ADD_CPX_CPX(t1v, s1p);
        s6p = ADD_CPX_CPX(t2v, s2p);
        s7p = ADD_CPX_CPX(t3v, s3p);
        s8p = SUB_CPX_CPX(t0v, s0p);
        s9p = SUB_CPX_CPX(t1v, s1p);
        s0q = SUB_CPX_CPX(t2v, s2p);
        s1q = SUB_CPX_CPX(t3v, s3p);
        s2q = ADD_CPX_CPX(t4v, t6w);
        s3q = ADD_CPX_CPX(t5v, t7w);
        s4q = ADD_CPX_CPX(t6v, t8w);
        s5q = ADD_CPX_CPX(t7v, t9w);
        s6q = SUB_CPX_CPX(t4v, t6w);
        s7q = SUB_CPX_CPX(t5v, t7w);
        s8q = SUB_CPX_CPX(t6v, t8w);
        s9q = SUB_CPX_CPX(t7v, t9w);
        s0r = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s2q), MUL_FLT_CPX(C_FLT(0.14673047445536175), s3q));
        s1r = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s3q), MUL_FLT_CPX(C_FLT(0.14673047445536175), s2q));
        s2r = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s6p), MUL_FLT_CPX(C_FLT(0.29028467725446239), s7p));
        s3r = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s7p), MUL_FLT_CPX(C_FLT(0.29028467725446239), s6p));
        s4r = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.90398929312344334), s4q), MUL_FLT_CPX(C_FLT(0.42755509343028208), s5q));
        s5r = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.90398929312344334), s5q), MUL_FLT_CPX(C_FLT(0.42755509343028208), s4q));
        s6r = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s8p), MUL_FLT_CPX(C_FLT(0.55557023301960218), s9p));
        s7r = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s9p), MUL_FLT_CPX(C_FLT(0.55557023301960218), s8p));
        s8r = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), s6q), MUL_FLT_CPX(C_FLT(0.67155895484701844), s7q));
        s9r = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), s7q), MUL_FLT_CPX(C_FLT(0.67155895484701844), s6q));
        s0s = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), s0q), MUL_FLT_CPX(C_FLT(0.77301045336273699), s1q));
        s1s = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), s1q), MUL_FLT_CPX(C_FLT(0.77301045336273699), s0q));
        s2s = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.51410274419322177), s8q), MUL_FLT_CPX(C_FLT(0.85772861000027212), s9q));
        s3s = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.51410274419322177), s9q), MUL_FLT_CPX(C_FLT(0.85772861000027212), s8q));
        a4d = (a25 + 128);
        a5d = (a25 + 144);
        a6d = (a25 + 1920);
        a7d = (a25 + 1936);
        t0x = ADD_CPX_CPX(*(a4d), *(a6d));
        t1x = SUB_CPX_CPX(*(a5d), *(a7d));
        t2x = SUB_CPX_CPX(*(a4d), *(a6d));
        t3x = ADD_CPX_CPX(*(a5d), *(a7d));
        a8d = (a25 + 1152);
        a9d = (a25 + 1168);
        a0e = (a25 + 896);
        a1e = (a25 + 912);
        t4x = ADD_CPX_CPX(*(a8d), *(a0e));
        t5x = SUB_CPX_CPX(*(a9d), *(a1e));
        t6x = SUB_CPX_CPX(*(a8d), *(a0e));
        t7x = ADD_CPX_CPX(*(a9d), *(a1e));
        t8x = ADD_CPX_CPX(t0x, t4x);
        t9x = ADD_CPX_CPX(t1x, t5x);
        t0y = SUB_CPX_CPX(t0x, t4x);
        t1y = SUB_CPX_CPX(t1x, t5x);
        t2y = ADD_CPX_CPX(t2x, t7x);
        t3y = SUB_CPX_CPX(t3x, t6x);
        t4y = SUB_CPX_CPX(t2x, t7x);
        t5y = ADD_CPX_CPX(t3x, t6x);
        a2e = (a25 + 640);
        a3e = (a25 + 656);
        a4e = (a25 + 384);
        a5e = (a25 + 400);
        t6y = ADD_CPX_CPX(*(a2e), *(a4e));
        t7y = SUB_CPX_CPX(*(a3e), *(a5e));
        t8y = ADD_CPX_CPX(*(a3e), *(a5e));
        t9y = SUB_CPX_CPX(*(a4e), *(a2e));
        a6e = (a25 + 1408);
        a7e = (a25 + 1424);
        a8e = (a25 + 1664);
        a9e = (a25 + 1680);
        t0z = ADD_CPX_CPX(*(a6e), *(a8e));
        t1z = SUB_CPX_CPX(*(a9e), *(a7e));
        t2z = ADD_CPX_CPX(*(a7e), *(a9e));
        t3z = SUB_CPX_CPX(*(a8e), *(a6e));
        s4s = ADD_CPX_CPX(t6y, t0z);
        s5s = ADD_CPX_CPX(t7y, t1z);
        s6s = SUB_CPX_CPX(t8y, t2z);
        s7s = ADD_CPX_CPX(t9y, t3z);
        a0f = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t6y, t0z));
        a1f = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t8y, t2z));
        t4z = ADD_CPX_CPX(a0f, a1f);
        a2f = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t7y, t1z));
        a3f = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9y, t3z));
        t5z = ADD_CPX_CPX(a2f, a3f);
        t6z = SUB_CPX_CPX(a1f, a0f);
        t7z = SUB_CPX_CPX(a3f, a2f);
        s8s = ADD_CPX_CPX(t8x, s4s);
        s9s = ADD_CPX_CPX(t9x, s5s);
        s0t = ADD_CPX_CPX(t0y, s6s);
        s1t = ADD_CPX_CPX(t1y, s7s);
        s2t = SUB_CPX_CPX(t0y, s6s);
        s3t = SUB_CPX_CPX(t1y, s7s);
        s4t = ADD_CPX_CPX(t2y, t4z);
        s5t = ADD_CPX_CPX(t3y, t5z);
        s6t = ADD_CPX_CPX(t4y, t6z);
        s7t = ADD_CPX_CPX(t5y, t7z);
        s8t = SUB_CPX_CPX(t2y, t4z);
        s9t = SUB_CPX_CPX(t3y, t5z);
        s0u = SUB_CPX_CPX(t4y, t6z);
        s1u = SUB_CPX_CPX(t5y, t7z);
        s2u = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s4t), MUL_FLT_CPX(C_FLT(0.19509032201612828), s5t));
        s3u = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s5t), MUL_FLT_CPX(C_FLT(0.19509032201612828), s4t));
        s4u = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s0t), MUL_FLT_CPX(C_FLT(0.38268343236508978), s1t));
        s5u = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s1t), MUL_FLT_CPX(C_FLT(0.38268343236508978), s0t));
        s6u = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s6t), MUL_FLT_CPX(C_FLT(0.55557023301960218), s7t));
        s7u = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s7t), MUL_FLT_CPX(C_FLT(0.55557023301960218), s6t));
        a4f = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8x, s4s));
        a5f = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9x, s5s));
        s8u = ADD_CPX_CPX(a4f, a5f);
        s9u = SUB_CPX_CPX(a5f, a4f);
        s0v = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s8t), MUL_FLT_CPX(C_FLT(0.83146961230254524), s9t));
        s1v = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s9t), MUL_FLT_CPX(C_FLT(0.83146961230254524), s8t));
        s2v = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s2t), MUL_FLT_CPX(C_FLT(0.92387953251128674), s3t));
        s3v = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s3t), MUL_FLT_CPX(C_FLT(0.92387953251128674), s2t));
        s4v = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s0u), MUL_FLT_CPX(C_FLT(0.98078528040323043), s1u));
        s5v = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s1u), MUL_FLT_CPX(C_FLT(0.98078528040323043), s0u));
        a6f = (a25 + 160);
        a7f = (a25 + 176);
        a8f = (a25 + 1888);
        a9f = (a25 + 1904);
        t8z = ADD_CPX_CPX(*(a6f), *(a8f));
        t9z = SUB_CPX_CPX(*(a7f), *(a9f));
        t0A = SUB_CPX_CPX(*(a6f), *(a8f));
        t1A = ADD_CPX_CPX(*(a7f), *(a9f));
        a0g = (a25 + 1184);
        a1g = (a25 + 1200);
        a2g = (a25 + 864);
        a3g = (a25 + 880);
        t2A = ADD_CPX_CPX(*(a0g), *(a2g));
        t3A = SUB_CPX_CPX(*(a1g), *(a3g));
        t4A = SUB_CPX_CPX(*(a0g), *(a2g));
        t5A = ADD_CPX_CPX(*(a1g), *(a3g));
        t6A = ADD_CPX_CPX(t8z, t2A);
        t7A = ADD_CPX_CPX(t9z, t3A);
        t8A = SUB_CPX_CPX(t8z, t2A);
        t9A = SUB_CPX_CPX(t9z, t3A);
        t0B = ADD_CPX_CPX(t0A, t5A);
        t1B = SUB_CPX_CPX(t1A, t4A);
        t2B = SUB_CPX_CPX(t0A, t5A);
        t3B = ADD_CPX_CPX(t1A, t4A);
        a4g = (a25 + 672);
        a5g = (a25 + 688);
        a6g = (a25 + 352);
        a7g = (a25 + 368);
        t4B = ADD_CPX_CPX(*(a4g), *(a6g));
        t5B = SUB_CPX_CPX(*(a5g), *(a7g));
        t6B = ADD_CPX_CPX(*(a5g), *(a7g));
        t7B = SUB_CPX_CPX(*(a6g), *(a4g));
        a8g = (a25 + 1376);
        a9g = (a25 + 1392);
        a0h = (a25 + 1696);
        a1h = (a25 + 1712);
        t8B = ADD_CPX_CPX(*(a8g), *(a0h));
        t9B = SUB_CPX_CPX(*(a1h), *(a9g));
        t0C = ADD_CPX_CPX(*(a9g), *(a1h));
        t1C = SUB_CPX_CPX(*(a0h), *(a8g));
        s6v = ADD_CPX_CPX(t4B, t8B);
        s7v = ADD_CPX_CPX(t5B, t9B);
        s8v = SUB_CPX_CPX(t6B, t0C);
        s9v = ADD_CPX_CPX(t7B, t1C);
        a2h = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t4B, t8B));
        a3h = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t6B, t0C));
        t2C = ADD_CPX_CPX(a2h, a3h);
        a4h = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t5B, t9B));
        a5h = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t7B, t1C));
        t3C = ADD_CPX_CPX(a4h, a5h);
        t4C = SUB_CPX_CPX(a3h, a2h);
        t5C = SUB_CPX_CPX(a5h, a4h);
        s0w = ADD_CPX_CPX(t6A, s6v);
        s1w = ADD_CPX_CPX(t7A, s7v);
        s2w = ADD_CPX_CPX(t8A, s8v);
        s3w = ADD_CPX_CPX(t9A, s9v);
        s4w = SUB_CPX_CPX(t6A, s6v);
        s5w = SUB_CPX_CPX(t7A, s7v);
        s6w = SUB_CPX_CPX(t8A, s8v);
        s7w = SUB_CPX_CPX(t9A, s9v);
        s8w = ADD_CPX_CPX(t0B, t2C);
        s9w = ADD_CPX_CPX(t1B, t3C);
        s0x = ADD_CPX_CPX(t2B, t4C);
        s1x = ADD_CPX_CPX(t3B, t5C);
        s2x = SUB_CPX_CPX(t0B, t2C);
        s3x = SUB_CPX_CPX(t1B, t3C);
        s4x = SUB_CPX_CPX(t2B, t4C);
        s5x = SUB_CPX_CPX(t3B, t5C);
        s6x = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.97003125319454397), s8w), MUL_FLT_CPX(C_FLT(0.2429801799032639), s9w));
        s7x = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.97003125319454397), s9w), MUL_FLT_CPX(C_FLT(0.2429801799032639), s8w));
        s8x = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s2w), MUL_FLT_CPX(C_FLT(0.47139673682599764), s3w));
        s9x = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s3w), MUL_FLT_CPX(C_FLT(0.47139673682599764), s2w));
        s0y = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), s0x), MUL_FLT_CPX(C_FLT(0.67155895484701844), s1x));
        s1y = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), s1x), MUL_FLT_CPX(C_FLT(0.67155895484701844), s0x));
        s2y = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s4w), MUL_FLT_CPX(C_FLT(0.83146961230254524), s5w));
        s3y = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s5w), MUL_FLT_CPX(C_FLT(0.83146961230254524), s4w));
        s4y = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.33688985339222005), s2x), MUL_FLT_CPX(C_FLT(0.94154406518302081), s3x));
        s5y = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.33688985339222005), s3x), MUL_FLT_CPX(C_FLT(0.94154406518302081), s2x));
        s6y = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), s6w), MUL_FLT_CPX(C_FLT(0.99518472667219693), s7w));
        s7y = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), s7w), MUL_FLT_CPX(C_FLT(0.99518472667219693), s6w));
        s8y = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s5x), MUL_FLT_CPX(C_FLT(0.14673047445536175), s4x));
        s9y = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s4x), MUL_FLT_CPX(C_FLT(0.14673047445536175), s5x));
        a6h = (a25 + 192);
        a7h = (a25 + 208);
        a8h = (a25 + 1856);
        a9h = (a25 + 1872);
        t6C = ADD_CPX_CPX(*(a6h), *(a8h));
        t7C = SUB_CPX_CPX(*(a7h), *(a9h));
        t8C = SUB_CPX_CPX(*(a6h), *(a8h));
        t9C = ADD_CPX_CPX(*(a7h), *(a9h));
        a0i = (a25 + 1216);
        a1i = (a25 + 1232);
        a2i = (a25 + 832);
        a3i = (a25 + 848);
        t0D = ADD_CPX_CPX(*(a0i), *(a2i));
        t1D = SUB_CPX_CPX(*(a1i), *(a3i));
        t2D = SUB_CPX_CPX(*(a0i), *(a2i));
        t3D = ADD_CPX_CPX(*(a1i), *(a3i));
        t4D = ADD_CPX_CPX(t6C, t0D);
        t5D = ADD_CPX_CPX(t7C, t1D);
        t6D = SUB_CPX_CPX(t6C, t0D);
        t7D = SUB_CPX_CPX(t7C, t1D);
        t8D = ADD_CPX_CPX(t8C, t3D);
        t9D = SUB_CPX_CPX(t9C, t2D);
        t0E = SUB_CPX_CPX(t8C, t3D);
        t1E = ADD_CPX_CPX(t9C, t2D);
        a4i = (a25 + 704);
        a5i = (a25 + 720);
        a6i = (a25 + 320);
        a7i = (a25 + 336);
        t2E = ADD_CPX_CPX(*(a4i), *(a6i));
        t3E = SUB_CPX_CPX(*(a5i), *(a7i));
        t4E = ADD_CPX_CPX(*(a5i), *(a7i));
        t5E = SUB_CPX_CPX(*(a6i), *(a4i));
        a8i = (a25 + 1344);
        a9i = (a25 + 1360);
        a0j = (a25 + 1728);
        a1j = (a25 + 1744);
        t6E = ADD_CPX_CPX(*(a8i), *(a0j));
        t7E = SUB_CPX_CPX(*(a1j), *(a9i));
        t8E = ADD_CPX_CPX(*(a9i), *(a1j));
        t9E = SUB_CPX_CPX(*(a0j), *(a8i));
        s0z = ADD_CPX_CPX(t2E, t6E);
        s1z = ADD_CPX_CPX(t3E, t7E);
        s2z = SUB_CPX_CPX(t4E, t8E);
        s3z = ADD_CPX_CPX(t5E, t9E);
        a2j = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2E, t6E));
        a3j = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t4E, t8E));
        t0F = ADD_CPX_CPX(a2j, a3j);
        a4j = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3E, t7E));
        a5j = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t5E, t9E));
        t1F = ADD_CPX_CPX(a4j, a5j);
        t2F = SUB_CPX_CPX(a3j, a2j);
        t3F = SUB_CPX_CPX(a5j, a4j);
        s4z = ADD_CPX_CPX(t4D, s0z);
        s5z = ADD_CPX_CPX(t5D, s1z);
        s6z = ADD_CPX_CPX(t6D, s2z);
        s7z = ADD_CPX_CPX(t7D, s3z);
        s8z = SUB_CPX_CPX(t4D, s0z);
        s9z = SUB_CPX_CPX(t5D, s1z);
        s0A = SUB_CPX_CPX(t6D, s2z);
        s1A = SUB_CPX_CPX(t7D, s3z);
        s2A = ADD_CPX_CPX(t8D, t0F);
        s3A = ADD_CPX_CPX(t9D, t1F);
        s4A = ADD_CPX_CPX(t0E, t2F);
        s5A = ADD_CPX_CPX(t1E, t3F);
        s6A = SUB_CPX_CPX(t8D, t0F);
        s7A = SUB_CPX_CPX(t9D, t1F);
        s8A = SUB_CPX_CPX(t0E, t2F);
        s9A = SUB_CPX_CPX(t1E, t3F);
        s0B = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s2A), MUL_FLT_CPX(C_FLT(0.29028467725446239), s3A));
        s1B = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s3A), MUL_FLT_CPX(C_FLT(0.29028467725446239), s2A));
        s2B = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s6z), MUL_FLT_CPX(C_FLT(0.55557023301960218), s7z));
        s3B = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s7z), MUL_FLT_CPX(C_FLT(0.55557023301960218), s6z));
        s4B = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), s4A), MUL_FLT_CPX(C_FLT(0.77301045336273699), s5A));
        s5B = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), s5A), MUL_FLT_CPX(C_FLT(0.77301045336273699), s4A));
        s6B = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s8z), MUL_FLT_CPX(C_FLT(0.92387953251128674), s9z));
        s7B = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s9z), MUL_FLT_CPX(C_FLT(0.92387953251128674), s8z));
        s8B = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), s6A), MUL_FLT_CPX(C_FLT(0.99518472667219693), s7A));
        s9B = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), s7A), MUL_FLT_CPX(C_FLT(0.99518472667219693), s6A));
        s0C = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s1A), MUL_FLT_CPX(C_FLT(0.19509032201612828), s0A));
        s1C = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s0A), MUL_FLT_CPX(C_FLT(0.19509032201612828), s1A));
        s2C = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s9A), MUL_FLT_CPX(C_FLT(0.47139673682599764), s8A));
        s3C = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s8A), MUL_FLT_CPX(C_FLT(0.47139673682599764), s9A));
        a6j = (a25 + 224);
        a7j = (a25 + 240);
        a8j = (a25 + 1824);
        a9j = (a25 + 1840);
        t4F = ADD_CPX_CPX(*(a6j), *(a8j));
        t5F = SUB_CPX_CPX(*(a7j), *(a9j));
        t6F = SUB_CPX_CPX(*(a6j), *(a8j));
        t7F = ADD_CPX_CPX(*(a7j), *(a9j));
        a0k = (a25 + 1248);
        a1k = (a25 + 1264);
        a2k = (a25 + 800);
        a3k = (a25 + 816);
        t8F = ADD_CPX_CPX(*(a0k), *(a2k));
        t9F = SUB_CPX_CPX(*(a1k), *(a3k));
        t0G = SUB_CPX_CPX(*(a0k), *(a2k));
        t1G = ADD_CPX_CPX(*(a1k), *(a3k));
        t2G = ADD_CPX_CPX(t4F, t8F);
        t3G = ADD_CPX_CPX(t5F, t9F);
        t4G = SUB_CPX_CPX(t4F, t8F);
        t5G = SUB_CPX_CPX(t5F, t9F);
        t6G = ADD_CPX_CPX(t6F, t1G);
        t7G = SUB_CPX_CPX(t7F, t0G);
        t8G = SUB_CPX_CPX(t6F, t1G);
        t9G = ADD_CPX_CPX(t7F, t0G);
        a4k = (a25 + 736);
        a5k = (a25 + 752);
        a6k = (a25 + 288);
        a7k = (a25 + 304);
        t0H = ADD_CPX_CPX(*(a4k), *(a6k));
        t1H = SUB_CPX_CPX(*(a5k), *(a7k));
        t2H = ADD_CPX_CPX(*(a5k), *(a7k));
        t3H = SUB_CPX_CPX(*(a6k), *(a4k));
        a8k = (a25 + 1312);
        a9k = (a25 + 1328);
        a0l = (a25 + 1760);
        a1l = (a25 + 1776);
        t4H = ADD_CPX_CPX(*(a8k), *(a0l));
        t5H = SUB_CPX_CPX(*(a1l), *(a9k));
        t6H = ADD_CPX_CPX(*(a9k), *(a1l));
        t7H = SUB_CPX_CPX(*(a0l), *(a8k));
        s4C = ADD_CPX_CPX(t0H, t4H);
        s5C = ADD_CPX_CPX(t1H, t5H);
        s6C = SUB_CPX_CPX(t2H, t6H);
        s7C = ADD_CPX_CPX(t3H, t7H);
        a2l = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0H, t4H));
        a3l = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t2H, t6H));
        t8H = ADD_CPX_CPX(a2l, a3l);
        a4l = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t1H, t5H));
        a5l = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3H, t7H));
        t9H = ADD_CPX_CPX(a4l, a5l);
        t0I = SUB_CPX_CPX(a3l, a2l);
        t1I = SUB_CPX_CPX(a5l, a4l);
        s8C = ADD_CPX_CPX(t2G, s4C);
        s9C = ADD_CPX_CPX(t3G, s5C);
        s0D = ADD_CPX_CPX(t4G, s6C);
        s1D = ADD_CPX_CPX(t5G, s7C);
        s2D = SUB_CPX_CPX(t2G, s4C);
        s3D = SUB_CPX_CPX(t3G, s5C);
        s4D = SUB_CPX_CPX(t4G, s6C);
        s5D = SUB_CPX_CPX(t5G, s7C);
        s6D = ADD_CPX_CPX(t6G, t8H);
        s7D = ADD_CPX_CPX(t7G, t9H);
        s8D = ADD_CPX_CPX(t8G, t0I);
        s9D = ADD_CPX_CPX(t9G, t1I);
        s0E = SUB_CPX_CPX(t6G, t8H);
        s1E = SUB_CPX_CPX(t7G, t9H);
        s2E = SUB_CPX_CPX(t8G, t0I);
        s3E = SUB_CPX_CPX(t9G, t1I);
        s4E = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), s6D), MUL_FLT_CPX(C_FLT(0.33688985339222005), s7D));
        s5E = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), s7D), MUL_FLT_CPX(C_FLT(0.33688985339222005), s6D));
        s6E = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), s0D), MUL_FLT_CPX(C_FLT(0.63439328416364549), s1D));
        s7E = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), s1D), MUL_FLT_CPX(C_FLT(0.63439328416364549), s0D));
        s8E = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.51410274419322177), s8D), MUL_FLT_CPX(C_FLT(0.85772861000027212), s9D));
        s9E = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.51410274419322177), s9D), MUL_FLT_CPX(C_FLT(0.85772861000027212), s8D));
        s0F = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s2D), MUL_FLT_CPX(C_FLT(0.98078528040323043), s3D));
        s1F = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s3D), MUL_FLT_CPX(C_FLT(0.98078528040323043), s2D));
        s2F = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s1E), MUL_FLT_CPX(C_FLT(0.14673047445536175), s0E));
        s3F = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s0E), MUL_FLT_CPX(C_FLT(0.14673047445536175), s1E));
        s4F = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s5D), MUL_FLT_CPX(C_FLT(0.47139673682599764), s4D));
        s5F = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s4D), MUL_FLT_CPX(C_FLT(0.47139673682599764), s5D));
        s6F = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.67155895484701844), s3E), MUL_FLT_CPX(C_FLT(0.74095112535495911), s2E));
        s7F = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.67155895484701844), s2E), MUL_FLT_CPX(C_FLT(0.74095112535495911), s3E));
        t2I = ADD_CPX_CPX(t4m, s8s);
        t3I = ADD_CPX_CPX(t6m, s9s);
        t4I = SUB_CPX_CPX(t4m, s8s);
        t5I = SUB_CPX_CPX(t6m, s9s);
        t6I = ADD_CPX_CPX(s6i, s8C);
        t7I = SUB_CPX_CPX(s7i, s9C);
        t8I = SUB_CPX_CPX(s6i, s8C);
        t9I = ADD_CPX_CPX(s7i, s9C);
        s8F = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t8I), MUL_FLT_CPX(C_FLT(0.38268343236508978), t9I));
        s9F = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t9I), MUL_FLT_CPX(C_FLT(0.38268343236508978), t8I));
        t0J = ADD_CPX_CPX(s0m, s4z);
        t1J = SUB_CPX_CPX(s1m, s5z);
        a6l = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s0m, s4z));
        a7l = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s1m, s5z));
        s0G = ADD_CPX_CPX(a6l, a7l);
        s1G = SUB_CPX_CPX(a7l, a6l);
        t2J = ADD_CPX_CPX(s4p, s0w);
        t3J = SUB_CPX_CPX(s5p, s1w);
        t4J = SUB_CPX_CPX(s4p, s0w);
        t5J = ADD_CPX_CPX(s5p, s1w);
        s2G = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t4J), MUL_FLT_CPX(C_FLT(0.92387953251128674), t5J));
        s3G = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t5J), MUL_FLT_CPX(C_FLT(0.92387953251128674), t4J));
        t6J = ADD_CPX_CPX(t2I, t0J);
        t7J = ADD_CPX_CPX(t4I, t1J);
        t8J = SUB_CPX_CPX(t2I, t0J);
        t9J = SUB_CPX_CPX(t4I, t1J);
        t0K = ADD_CPX_CPX(t6I, t2J);
        t1K = SUB_CPX_CPX(t7I, t3J);
        a8l = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t6I, t2J));
        a9l = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t7I, t3J));
        s4G = ADD_CPX_CPX(a8l, a9l);
        s5G = SUB_CPX_CPX(a9l, a8l);
        t2K = ADD_CPX_CPX(t6J, t0K);
        t3K = ADD_CPX_CPX(t8J, t1K);
        t4K = SUB_CPX_CPX(t6J, t0K);
        t5K = SUB_CPX_CPX(t8J, t1K);
        STOREU_CPX((dst + i2), t2K);
        STOREU_CPX((512 + dst + i2), t3K);
        STOREU_CPX((1024 + dst + i2), t4K);
        STOREU_CPX((1536 + dst + i2), t5K);
        t6K = ADD_CPX_CPX(t7J, s4G);
        t7K = ADD_CPX_CPX(t9J, s5G);
        t8K = SUB_CPX_CPX(t7J, s4G);
        t9K = SUB_CPX_CPX(t9J, s5G);
        STOREU_CPX((256 + dst + i2), t6K);
        STOREU_CPX((768 + dst + i2), t7K);
        STOREU_CPX((1280 + dst + i2), t8K);
        STOREU_CPX((1792 + dst + i2), t9K);
        t0L = ADD_CPX_CPX(t3I, s0G);
        t1L = ADD_CPX_CPX(t5I, s1G);
        t2L = SUB_CPX_CPX(t3I, s0G);
        t3L = SUB_CPX_CPX(t5I, s1G);
        t4L = ADD_CPX_CPX(s8F, s2G);
        t5L = SUB_CPX_CPX(s9F, s3G);
        a0m = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s8F, s2G));
        a1m = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s9F, s3G));
        s6G = ADD_CPX_CPX(a0m, a1m);
        s7G = SUB_CPX_CPX(a1m, a0m);
        t6L = ADD_CPX_CPX(t0L, t4L);
        t7L = ADD_CPX_CPX(t2L, t5L);
        t8L = SUB_CPX_CPX(t0L, t4L);
        t9L = SUB_CPX_CPX(t2L, t5L);
        STOREU_CPX((128 + dst + i2), t6L);
        STOREU_CPX((640 + dst + i2), t7L);
        STOREU_CPX((1152 + dst + i2), t8L);
        STOREU_CPX((1664 + dst + i2), t9L);
        t0M = ADD_CPX_CPX(t1L, s6G);
        t1M = ADD_CPX_CPX(t3L, s7G);
        t2M = SUB_CPX_CPX(t1L, s6G);
        t3M = SUB_CPX_CPX(t3L, s7G);
        STOREU_CPX((384 + dst + i2), t0M);
        STOREU_CPX((896 + dst + i2), t1M);
        STOREU_CPX((1408 + dst + i2), t2M);
        STOREU_CPX((1920 + dst + i2), t3M);
        t4M = ADD_CPX_CPX(t8n, s2u);
        t5M = ADD_CPX_CPX(t0o, s3u);
        t6M = SUB_CPX_CPX(t8n, s2u);
        t7M = SUB_CPX_CPX(t0o, s3u);
        t8M = ADD_CPX_CPX(s2k, s4E);
        t9M = SUB_CPX_CPX(s3k, s5E);
        t0N = SUB_CPX_CPX(s2k, s4E);
        t1N = ADD_CPX_CPX(s3k, s5E);
        s8G = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t0N), MUL_FLT_CPX(C_FLT(0.38268343236508978), t1N));
        s9G = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t1N), MUL_FLT_CPX(C_FLT(0.38268343236508978), t0N));
        t2N = ADD_CPX_CPX(s6n, s0B);
        t3N = SUB_CPX_CPX(s7n, s1B);
        a2m = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s6n, s0B));
        a3m = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s7n, s1B));
        s0H = ADD_CPX_CPX(a2m, a3m);
        s1H = SUB_CPX_CPX(a3m, a2m);
        t4N = ADD_CPX_CPX(s0r, s6x);
        t5N = SUB_CPX_CPX(s1r, s7x);
        t6N = SUB_CPX_CPX(s0r, s6x);
        t7N = ADD_CPX_CPX(s1r, s7x);
        s2H = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t6N), MUL_FLT_CPX(C_FLT(0.92387953251128674), t7N));
        s3H = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t7N), MUL_FLT_CPX(C_FLT(0.92387953251128674), t6N));
        t8N = ADD_CPX_CPX(t4M, t2N);
        t9N = ADD_CPX_CPX(t6M, t3N);
        t0O = SUB_CPX_CPX(t4M, t2N);
        t1O = SUB_CPX_CPX(t6M, t3N);
        t2O = ADD_CPX_CPX(t8M, t4N);
        t3O = SUB_CPX_CPX(t9M, t5N);
        a4m = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8M, t4N));
        a5m = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t9M, t5N));
        s4H = ADD_CPX_CPX(a4m, a5m);
        s5H = SUB_CPX_CPX(a5m, a4m);
        t4O = ADD_CPX_CPX(t8N, t2O);
        t5O = ADD_CPX_CPX(t0O, t3O);
        t6O = SUB_CPX_CPX(t8N, t2O);
        t7O = SUB_CPX_CPX(t0O, t3O);
        STOREU_CPX((16 + dst + i2), t4O);
        STOREU_CPX((528 + dst + i2), t5O);
        STOREU_CPX((1040 + dst + i2), t6O);
        STOREU_CPX((1552 + dst + i2), t7O);
        t8O = ADD_CPX_CPX(t9N, s4H);
        t9O = ADD_CPX_CPX(t1O, s5H);
        t0P = SUB_CPX_CPX(t9N, s4H);
        t1P = SUB_CPX_CPX(t1O, s5H);
        STOREU_CPX((272 + dst + i2), t8O);
        STOREU_CPX((784 + dst + i2), t9O);
        STOREU_CPX((1296 + dst + i2), t0P);
        STOREU_CPX((1808 + dst + i2), t1P);
        t2P = ADD_CPX_CPX(t5M, s0H);
        t3P = ADD_CPX_CPX(t7M, s1H);
        t4P = SUB_CPX_CPX(t5M, s0H);
        t5P = SUB_CPX_CPX(t7M, s1H);
        t6P = ADD_CPX_CPX(s8G, s2H);
        t7P = SUB_CPX_CPX(s9G, s3H);
        a6m = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s8G, s2H));
        a7m = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s9G, s3H));
        s6H = ADD_CPX_CPX(a6m, a7m);
        s7H = SUB_CPX_CPX(a7m, a6m);
        t8P = ADD_CPX_CPX(t2P, t6P);
        t9P = ADD_CPX_CPX(t4P, t7P);
        t0Q = SUB_CPX_CPX(t2P, t6P);
        t1Q = SUB_CPX_CPX(t4P, t7P);
        STOREU_CPX((144 + dst + i2), t8P);
        STOREU_CPX((656 + dst + i2), t9P);
        STOREU_CPX((1168 + dst + i2), t0Q);
        STOREU_CPX((1680 + dst + i2), t1Q);
        t2Q = ADD_CPX_CPX(t3P, s6H);
        t3Q = ADD_CPX_CPX(t5P, s7H);
        t4Q = SUB_CPX_CPX(t3P, s6H);
        t5Q = SUB_CPX_CPX(t5P, s7H);
        STOREU_CPX((400 + dst + i2), t2Q);
        STOREU_CPX((912 + dst + i2), t3Q);
        STOREU_CPX((1424 + dst + i2), t4Q);
        STOREU_CPX((1936 + dst + i2), t5Q);
        t6Q = ADD_CPX_CPX(t8m, s4u);
        t7Q = ADD_CPX_CPX(t0n, s5u);
        t8Q = SUB_CPX_CPX(t8m, s4u);
        t9Q = SUB_CPX_CPX(t0n, s5u);
        t0R = ADD_CPX_CPX(s4k, s6E);
        t1R = SUB_CPX_CPX(s5k, s7E);
        t2R = SUB_CPX_CPX(s4k, s6E);
        t3R = ADD_CPX_CPX(s5k, s7E);
        s8H = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t2R), MUL_FLT_CPX(C_FLT(0.38268343236508978), t3R));
        s9H = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t3R), MUL_FLT_CPX(C_FLT(0.38268343236508978), t2R));
        t4R = ADD_CPX_CPX(s8n, s2B);
        t5R = SUB_CPX_CPX(s9n, s3B);
        a8m = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s8n, s2B));
        a9m = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s9n, s3B));
        s0I = ADD_CPX_CPX(a8m, a9m);
        s1I = SUB_CPX_CPX(a9m, a8m);
        t6R = ADD_CPX_CPX(s2r, s8x);
        t7R = SUB_CPX_CPX(s3r, s9x);
        t8R = SUB_CPX_CPX(s2r, s8x);
        t9R = ADD_CPX_CPX(s3r, s9x);
        s2I = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t8R), MUL_FLT_CPX(C_FLT(0.92387953251128674), t9R));
        s3I = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t9R), MUL_FLT_CPX(C_FLT(0.92387953251128674), t8R));
        t0S = ADD_CPX_CPX(t6Q, t4R);
        t1S = ADD_CPX_CPX(t8Q, t5R);
        t2S = SUB_CPX_CPX(t6Q, t4R);
        t3S = SUB_CPX_CPX(t8Q, t5R);
        t4S = ADD_CPX_CPX(t0R, t6R);
        t5S = SUB_CPX_CPX(t1R, t7R);
        a0n = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0R, t6R));
        a1n = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t1R, t7R));
        s4I = ADD_CPX_CPX(a0n, a1n);
        s5I = SUB_CPX_CPX(a1n, a0n);
        t6S = ADD_CPX_CPX(t0S, t4S);
        t7S = ADD_CPX_CPX(t2S, t5S);
        t8S = SUB_CPX_CPX(t0S, t4S);
        t9S = SUB_CPX_CPX(t2S, t5S);
        STOREU_CPX((32 + dst + i2), t6S);
        STOREU_CPX((544 + dst + i2), t7S);
        STOREU_CPX((1056 + dst + i2), t8S);
        STOREU_CPX((1568 + dst + i2), t9S);
        t0T = ADD_CPX_CPX(t1S, s4I);
        t1T = ADD_CPX_CPX(t3S, s5I);
        t2T = SUB_CPX_CPX(t1S, s4I);
        t3T = SUB_CPX_CPX(t3S, s5I);
        STOREU_CPX((288 + dst + i2), t0T);
        STOREU_CPX((800 + dst + i2), t1T);
        STOREU_CPX((1312 + dst + i2), t2T);
        STOREU_CPX((1824 + dst + i2), t3T);
        t4T = ADD_CPX_CPX(t7Q, s0I);
        t5T = ADD_CPX_CPX(t9Q, s1I);
        t6T = SUB_CPX_CPX(t7Q, s0I);
        t7T = SUB_CPX_CPX(t9Q, s1I);
        t8T = ADD_CPX_CPX(s8H, s2I);
        t9T = SUB_CPX_CPX(s9H, s3I);
        a2n = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s8H, s2I));
        a3n = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s9H, s3I));
        s6I = ADD_CPX_CPX(a2n, a3n);
        s7I = SUB_CPX_CPX(a3n, a2n);
        t0U = ADD_CPX_CPX(t4T, t8T);
        t1U = ADD_CPX_CPX(t6T, t9T);
        t2U = SUB_CPX_CPX(t4T, t8T);
        t3U = SUB_CPX_CPX(t6T, t9T);
        STOREU_CPX((160 + dst + i2), t0U);
        STOREU_CPX((672 + dst + i2), t1U);
        STOREU_CPX((1184 + dst + i2), t2U);
        STOREU_CPX((1696 + dst + i2), t3U);
        t4U = ADD_CPX_CPX(t5T, s6I);
        t5U = ADD_CPX_CPX(t7T, s7I);
        t6U = SUB_CPX_CPX(t5T, s6I);
        t7U = SUB_CPX_CPX(t7T, s7I);
        STOREU_CPX((416 + dst + i2), t4U);
        STOREU_CPX((928 + dst + i2), t5U);
        STOREU_CPX((1440 + dst + i2), t6U);
        STOREU_CPX((1952 + dst + i2), t7U);
        t8U = ADD_CPX_CPX(t2o, s6u);
        t9U = ADD_CPX_CPX(t4o, s7u);
        t0V = SUB_CPX_CPX(t2o, s6u);
        t1V = SUB_CPX_CPX(t4o, s7u);
        t2V = ADD_CPX_CPX(s6k, s8E);
        t3V = SUB_CPX_CPX(s7k, s9E);
        t4V = SUB_CPX_CPX(s6k, s8E);
        t5V = ADD_CPX_CPX(s7k, s9E);
        s8I = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t4V), MUL_FLT_CPX(C_FLT(0.38268343236508978), t5V));
        s9I = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t5V), MUL_FLT_CPX(C_FLT(0.38268343236508978), t4V));
        t6V = ADD_CPX_CPX(s0o, s4B);
        t7V = SUB_CPX_CPX(s1o, s5B);
        a4n = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s0o, s4B));
        a5n = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s1o, s5B));
        s0J = ADD_CPX_CPX(a4n, a5n);
        s1J = SUB_CPX_CPX(a5n, a4n);
        t8V = ADD_CPX_CPX(s4r, s0y);
        t9V = SUB_CPX_CPX(s5r, s1y);
        t0W = SUB_CPX_CPX(s4r, s0y);
        t1W = ADD_CPX_CPX(s5r, s1y);
        s2J = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t0W), MUL_FLT_CPX(C_FLT(0.92387953251128674), t1W));
        s3J = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t1W), MUL_FLT_CPX(C_FLT(0.92387953251128674), t0W));
        t2W = ADD_CPX_CPX(t8U, t6V);
        t3W = ADD_CPX_CPX(t0V, t7V);
        t4W = SUB_CPX_CPX(t8U, t6V);
        t5W = SUB_CPX_CPX(t0V, t7V);
        t6W = ADD_CPX_CPX(t2V, t8V);
        t7W = SUB_CPX_CPX(t3V, t9V);
        a6n = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2V, t8V));
        a7n = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t3V, t9V));
        s4J = ADD_CPX_CPX(a6n, a7n);
        s5J = SUB_CPX_CPX(a7n, a6n);
        t8W = ADD_CPX_CPX(t2W, t6W);
        t9W = ADD_CPX_CPX(t4W, t7W);
        t0X = SUB_CPX_CPX(t2W, t6W);
        t1X = SUB_CPX_CPX(t4W, t7W);
        STOREU_CPX((48 + dst + i2), t8W);
        STOREU_CPX((560 + dst + i2), t9W);
        STOREU_CPX((1072 + dst + i2), t0X);
        STOREU_CPX((1584 + dst + i2), t1X);
        t2X = ADD_CPX_CPX(t3W, s4J);
        t3X = ADD_CPX_CPX(t5W, s5J);
        t4X = SUB_CPX_CPX(t3W, s4J);
        t5X = SUB_CPX_CPX(t5W, s5J);
        STOREU_CPX((304 + dst + i2), t2X);
        STOREU_CPX((816 + dst + i2), t3X);
        STOREU_CPX((1328 + dst + i2), t4X);
        STOREU_CPX((1840 + dst + i2), t5X);
        t6X = ADD_CPX_CPX(t9U, s0J);
        t7X = ADD_CPX_CPX(t1V, s1J);
        t8X = SUB_CPX_CPX(t9U, s0J);
        t9X = SUB_CPX_CPX(t1V, s1J);
        t0Y = ADD_CPX_CPX(s8I, s2J);
        t1Y = SUB_CPX_CPX(s9I, s3J);
        a8n = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s8I, s2J));
        a9n = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s9I, s3J));
        s6J = ADD_CPX_CPX(a8n, a9n);
        s7J = SUB_CPX_CPX(a9n, a8n);
        t2Y = ADD_CPX_CPX(t6X, t0Y);
        t3Y = ADD_CPX_CPX(t8X, t1Y);
        t4Y = SUB_CPX_CPX(t6X, t0Y);
        t5Y = SUB_CPX_CPX(t8X, t1Y);
        STOREU_CPX((176 + dst + i2), t2Y);
        STOREU_CPX((688 + dst + i2), t3Y);
        STOREU_CPX((1200 + dst + i2), t4Y);
        STOREU_CPX((1712 + dst + i2), t5Y);
        t6Y = ADD_CPX_CPX(t7X, s6J);
        t7Y = ADD_CPX_CPX(t9X, s7J);
        t8Y = SUB_CPX_CPX(t7X, s6J);
        t9Y = SUB_CPX_CPX(t9X, s7J);
        STOREU_CPX((432 + dst + i2), t6Y);
        STOREU_CPX((944 + dst + i2), t7Y);
        STOREU_CPX((1456 + dst + i2), t8Y);
        STOREU_CPX((1968 + dst + i2), t9Y);
        t0Z = ADD_CPX_CPX(t5m, s8u);
        t1Z = ADD_CPX_CPX(t7m, s9u);
        t2Z = SUB_CPX_CPX(t5m, s8u);
        t3Z = SUB_CPX_CPX(t7m, s9u);
        t4Z = ADD_CPX_CPX(s8k, s0F);
        t5Z = SUB_CPX_CPX(s9k, s1F);
        t6Z = SUB_CPX_CPX(s8k, s0F);
        t7Z = ADD_CPX_CPX(s9k, s1F);
        s8J = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t6Z), MUL_FLT_CPX(C_FLT(0.38268343236508978), t7Z));
        s9J = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t7Z), MUL_FLT_CPX(C_FLT(0.38268343236508978), t6Z));
        t8Z = ADD_CPX_CPX(s2o, s6B);
        t9Z = SUB_CPX_CPX(s3o, s7B);
        a0o = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s2o, s6B));
        a1o = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s3o, s7B));
        s0K = ADD_CPX_CPX(a0o, a1o);
        s1K = SUB_CPX_CPX(a1o, a0o);
        t010 = ADD_CPX_CPX(s6r, s2y);
        t110 = SUB_CPX_CPX(s7r, s3y);
        t210 = SUB_CPX_CPX(s6r, s2y);
        t310 = ADD_CPX_CPX(s7r, s3y);
        s2K = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t210), MUL_FLT_CPX(C_FLT(0.92387953251128674), t310));
        s3K = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t310), MUL_FLT_CPX(C_FLT(0.92387953251128674), t210));
        t410 = ADD_CPX_CPX(t0Z, t8Z);
        t510 = ADD_CPX_CPX(t2Z, t9Z);
        t610 = SUB_CPX_CPX(t0Z, t8Z);
        t710 = SUB_CPX_CPX(t2Z, t9Z);
        t810 = ADD_CPX_CPX(t4Z, t010);
        t910 = SUB_CPX_CPX(t5Z, t110);
        a2o = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t4Z, t010));
        a3o = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t5Z, t110));
        s4K = ADD_CPX_CPX(a2o, a3o);
        s5K = SUB_CPX_CPX(a3o, a2o);
        t011 = ADD_CPX_CPX(t410, t810);
        t111 = ADD_CPX_CPX(t610, t910);
        t211 = SUB_CPX_CPX(t410, t810);
        t311 = SUB_CPX_CPX(t610, t910);
        STOREU_CPX((64 + dst + i2), t011);
        STOREU_CPX((576 + dst + i2), t111);
        STOREU_CPX((1088 + dst + i2), t211);
        STOREU_CPX((1600 + dst + i2), t311);
        t411 = ADD_CPX_CPX(t510, s4K);
        t511 = ADD_CPX_CPX(t710, s5K);
        t611 = SUB_CPX_CPX(t510, s4K);
        t711 = SUB_CPX_CPX(t710, s5K);
        STOREU_CPX((320 + dst + i2), t411);
        STOREU_CPX((832 + dst + i2), t511);
        STOREU_CPX((1344 + dst + i2), t611);
        STOREU_CPX((1856 + dst + i2), t711);
        t811 = ADD_CPX_CPX(t1Z, s0K);
        t911 = ADD_CPX_CPX(t3Z, s1K);
        t012 = SUB_CPX_CPX(t1Z, s0K);
        t112 = SUB_CPX_CPX(t3Z, s1K);
        t212 = ADD_CPX_CPX(s8J, s2K);
        t312 = SUB_CPX_CPX(s9J, s3K);
        a4o = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s8J, s2K));
        a5o = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s9J, s3K));
        s6K = ADD_CPX_CPX(a4o, a5o);
        s7K = SUB_CPX_CPX(a5o, a4o);
        t412 = ADD_CPX_CPX(t811, t212);
        t512 = ADD_CPX_CPX(t012, t312);
        t612 = SUB_CPX_CPX(t811, t212);
        t712 = SUB_CPX_CPX(t012, t312);
        STOREU_CPX((192 + dst + i2), t412);
        STOREU_CPX((704 + dst + i2), t512);
        STOREU_CPX((1216 + dst + i2), t612);
        STOREU_CPX((1728 + dst + i2), t712);
        t812 = ADD_CPX_CPX(t911, s6K);
        t912 = ADD_CPX_CPX(t112, s7K);
        t013 = SUB_CPX_CPX(t911, s6K);
        t113 = SUB_CPX_CPX(t112, s7K);
        STOREU_CPX((448 + dst + i2), t812);
        STOREU_CPX((960 + dst + i2), t912);
        STOREU_CPX((1472 + dst + i2), t013);
        STOREU_CPX((1984 + dst + i2), t113);
        t213 = ADD_CPX_CPX(t9n, s0v);
        t313 = ADD_CPX_CPX(t1o, s1v);
        t413 = SUB_CPX_CPX(t9n, s0v);
        t513 = SUB_CPX_CPX(t1o, s1v);
        t613 = ADD_CPX_CPX(s0l, s2F);
        t713 = ADD_CPX_CPX(s1l, s3F);
        t813 = SUB_CPX_CPX(s0l, s2F);
        t913 = SUB_CPX_CPX(s1l, s3F);
        s8K = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t813), MUL_FLT_CPX(C_FLT(0.38268343236508978), t913));
        s9K = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t913), MUL_FLT_CPX(C_FLT(0.38268343236508978), t813));
        t014 = ADD_CPX_CPX(s4o, s8B);
        t114 = SUB_CPX_CPX(s5o, s9B);
        a6o = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4o, s8B));
        a7o = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5o, s9B));
        s0L = ADD_CPX_CPX(a6o, a7o);
        s1L = SUB_CPX_CPX(a7o, a6o);
        t214 = ADD_CPX_CPX(s8r, s4y);
        t314 = SUB_CPX_CPX(s9r, s5y);
        t414 = SUB_CPX_CPX(s8r, s4y);
        t514 = ADD_CPX_CPX(s9r, s5y);
        s2L = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t414), MUL_FLT_CPX(C_FLT(0.92387953251128674), t514));
        s3L = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t514), MUL_FLT_CPX(C_FLT(0.92387953251128674), t414));
        t614 = ADD_CPX_CPX(t213, t014);
        t714 = ADD_CPX_CPX(t413, t114);
        t814 = SUB_CPX_CPX(t213, t014);
        t914 = SUB_CPX_CPX(t413, t114);
        t015 = ADD_CPX_CPX(t613, t214);
        t115 = SUB_CPX_CPX(t713, t314);
        a8o = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t613, t214));
        a9o = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t713, t314));
        s4L = ADD_CPX_CPX(a8o, a9o);
        s5L = SUB_CPX_CPX(a9o, a8o);
        t215 = ADD_CPX_CPX(t614, t015);
        t315 = ADD_CPX_CPX(t814, t115);
        t415 = SUB_CPX_CPX(t614, t015);
        t515 = SUB_CPX_CPX(t814, t115);
        STOREU_CPX((80 + dst + i2), t215);
        STOREU_CPX((592 + dst + i2), t315);
        STOREU_CPX((1104 + dst + i2), t415);
        STOREU_CPX((1616 + dst + i2), t515);
        t615 = ADD_CPX_CPX(t714, s4L);
        t715 = ADD_CPX_CPX(t914, s5L);
        t815 = SUB_CPX_CPX(t714, s4L);
        t915 = SUB_CPX_CPX(t914, s5L);
        STOREU_CPX((336 + dst + i2), t615);
        STOREU_CPX((848 + dst + i2), t715);
        STOREU_CPX((1360 + dst + i2), t815);
        STOREU_CPX((1872 + dst + i2), t915);
        t016 = ADD_CPX_CPX(t313, s0L);
        t116 = ADD_CPX_CPX(t513, s1L);
        t216 = SUB_CPX_CPX(t313, s0L);
        t316 = SUB_CPX_CPX(t513, s1L);
        t416 = ADD_CPX_CPX(s8K, s2L);
        t516 = SUB_CPX_CPX(s9K, s3L);
        a0p = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s8K, s2L));
        a1p = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s9K, s3L));
        s6L = ADD_CPX_CPX(a0p, a1p);
        s7L = SUB_CPX_CPX(a1p, a0p);
        t616 = ADD_CPX_CPX(t016, t416);
        t716 = ADD_CPX_CPX(t216, t516);
        t816 = SUB_CPX_CPX(t016, t416);
        t916 = SUB_CPX_CPX(t216, t516);
        STOREU_CPX((208 + dst + i2), t616);
        STOREU_CPX((720 + dst + i2), t716);
        STOREU_CPX((1232 + dst + i2), t816);
        STOREU_CPX((1744 + dst + i2), t916);
        t017 = ADD_CPX_CPX(t116, s6L);
        t117 = ADD_CPX_CPX(t316, s7L);
        t217 = SUB_CPX_CPX(t116, s6L);
        t317 = SUB_CPX_CPX(t316, s7L);
        STOREU_CPX((464 + dst + i2), t017);
        STOREU_CPX((976 + dst + i2), t117);
        STOREU_CPX((1488 + dst + i2), t217);
        STOREU_CPX((2000 + dst + i2), t317);
        t417 = ADD_CPX_CPX(t9m, s2v);
        t517 = ADD_CPX_CPX(t1n, s3v);
        t617 = SUB_CPX_CPX(t9m, s2v);
        t717 = SUB_CPX_CPX(t1n, s3v);
        t817 = ADD_CPX_CPX(s2l, s4F);
        t917 = ADD_CPX_CPX(s3l, s5F);
        t018 = SUB_CPX_CPX(s2l, s4F);
        t118 = SUB_CPX_CPX(s3l, s5F);
        s8L = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t018), MUL_FLT_CPX(C_FLT(0.38268343236508978), t118));
        s9L = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t118), MUL_FLT_CPX(C_FLT(0.38268343236508978), t018));
        t218 = ADD_CPX_CPX(s6o, s0C);
        t318 = ADD_CPX_CPX(s7o, s1C);
        a2p = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s6o, s0C));
        a3p = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s7o, s1C));
        s0M = ADD_CPX_CPX(a2p, a3p);
        s1M = SUB_CPX_CPX(a3p, a2p);
        t418 = ADD_CPX_CPX(s0s, s6y);
        t518 = SUB_CPX_CPX(s1s, s7y);
        t618 = SUB_CPX_CPX(s0s, s6y);
        t718 = ADD_CPX_CPX(s1s, s7y);
        s2M = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t618), MUL_FLT_CPX(C_FLT(0.92387953251128674), t718));
        s3M = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t718), MUL_FLT_CPX(C_FLT(0.92387953251128674), t618));
        t818 = ADD_CPX_CPX(t417, t218);
        t918 = ADD_CPX_CPX(t617, t318);
        t019 = SUB_CPX_CPX(t417, t218);
        t119 = SUB_CPX_CPX(t617, t318);
        t219 = ADD_CPX_CPX(t817, t418);
        t319 = SUB_CPX_CPX(t917, t518);
        a4p = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t817, t418));
        a5p = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t917, t518));
        s4M = ADD_CPX_CPX(a4p, a5p);
        s5M = SUB_CPX_CPX(a5p, a4p);
        t419 = ADD_CPX_CPX(t818, t219);
        t519 = ADD_CPX_CPX(t019, t319);
        t619 = SUB_CPX_CPX(t818, t219);
        t719 = SUB_CPX_CPX(t019, t319);
        STOREU_CPX((96 + dst + i2), t419);
        STOREU_CPX((608 + dst + i2), t519);
        STOREU_CPX((1120 + dst + i2), t619);
        STOREU_CPX((1632 + dst + i2), t719);
        t819 = ADD_CPX_CPX(t918, s4M);
        t919 = ADD_CPX_CPX(t119, s5M);
        t01a = SUB_CPX_CPX(t918, s4M);
        t11a = SUB_CPX_CPX(t119, s5M);
        STOREU_CPX((352 + dst + i2), t819);
        STOREU_CPX((864 + dst + i2), t919);
        STOREU_CPX((1376 + dst + i2), t01a);
        STOREU_CPX((1888 + dst + i2), t11a);
        t21a = ADD_CPX_CPX(t517, s0M);
        t31a = ADD_CPX_CPX(t717, s1M);
        t41a = SUB_CPX_CPX(t517, s0M);
        t51a = SUB_CPX_CPX(t717, s1M);
        t61a = ADD_CPX_CPX(s8L, s2M);
        t71a = SUB_CPX_CPX(s9L, s3M);
        a6p = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s8L, s2M));
        a7p = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s9L, s3M));
        s6M = ADD_CPX_CPX(a6p, a7p);
        s7M = SUB_CPX_CPX(a7p, a6p);
        t81a = ADD_CPX_CPX(t21a, t61a);
        t91a = ADD_CPX_CPX(t41a, t71a);
        t01b = SUB_CPX_CPX(t21a, t61a);
        t11b = SUB_CPX_CPX(t41a, t71a);
        STOREU_CPX((224 + dst + i2), t81a);
        STOREU_CPX((736 + dst + i2), t91a);
        STOREU_CPX((1248 + dst + i2), t01b);
        STOREU_CPX((1760 + dst + i2), t11b);
        t21b = ADD_CPX_CPX(t31a, s6M);
        t31b = ADD_CPX_CPX(t51a, s7M);
        t41b = SUB_CPX_CPX(t31a, s6M);
        t51b = SUB_CPX_CPX(t51a, s7M);
        STOREU_CPX((480 + dst + i2), t21b);
        STOREU_CPX((992 + dst + i2), t31b);
        STOREU_CPX((1504 + dst + i2), t41b);
        STOREU_CPX((2016 + dst + i2), t51b);
        t61b = ADD_CPX_CPX(t3o, s4v);
        t71b = ADD_CPX_CPX(t5o, s5v);
        t81b = SUB_CPX_CPX(t3o, s4v);
        t91b = SUB_CPX_CPX(t5o, s5v);
        t01c = ADD_CPX_CPX(s4l, s6F);
        t11c = ADD_CPX_CPX(s5l, s7F);
        t21c = SUB_CPX_CPX(s4l, s6F);
        t31c = SUB_CPX_CPX(s5l, s7F);
        s8M = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t21c), MUL_FLT_CPX(C_FLT(0.38268343236508978), t31c));
        s9M = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t31c), MUL_FLT_CPX(C_FLT(0.38268343236508978), t21c));
        t41c = ADD_CPX_CPX(s8o, s2C);
        t51c = ADD_CPX_CPX(s9o, s3C);
        a8p = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s8o, s2C));
        a9p = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s9o, s3C));
        s0N = ADD_CPX_CPX(a8p, a9p);
        s1N = SUB_CPX_CPX(a9p, a8p);
        t61c = ADD_CPX_CPX(s2s, s8y);
        t71c = ADD_CPX_CPX(s3s, s9y);
        t81c = SUB_CPX_CPX(s2s, s8y);
        t91c = SUB_CPX_CPX(s3s, s9y);
        s2N = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t81c), MUL_FLT_CPX(C_FLT(0.92387953251128674), t91c));
        s3N = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t91c), MUL_FLT_CPX(C_FLT(0.92387953251128674), t81c));
        t01d = ADD_CPX_CPX(t61b, t41c);
        t11d = ADD_CPX_CPX(t81b, t51c);
        t21d = SUB_CPX_CPX(t61b, t41c);
        t31d = SUB_CPX_CPX(t81b, t51c);
        t41d = ADD_CPX_CPX(t01c, t61c);
        t51d = SUB_CPX_CPX(t11c, t71c);
        a0q = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t01c, t61c));
        a1q = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t11c, t71c));
        s4N = ADD_CPX_CPX(a0q, a1q);
        s5N = SUB_CPX_CPX(a1q, a0q);
        t61d = ADD_CPX_CPX(t01d, t41d);
        t71d = ADD_CPX_CPX(t21d, t51d);
        t81d = SUB_CPX_CPX(t01d, t41d);
        t91d = SUB_CPX_CPX(t21d, t51d);
        STOREU_CPX((112 + dst + i2), t61d);
        STOREU_CPX((624 + dst + i2), t71d);
        STOREU_CPX((1136 + dst + i2), t81d);
        STOREU_CPX((1648 + dst + i2), t91d);
        t01e = ADD_CPX_CPX(t11d, s4N);
        t11e = ADD_CPX_CPX(t31d, s5N);
        t21e = SUB_CPX_CPX(t11d, s4N);
        t31e = SUB_CPX_CPX(t31d, s5N);
        STOREU_CPX((368 + dst + i2), t01e);
        STOREU_CPX((880 + dst + i2), t11e);
        STOREU_CPX((1392 + dst + i2), t21e);
        STOREU_CPX((1904 + dst + i2), t31e);
        t41e = ADD_CPX_CPX(t71b, s0N);
        t51e = ADD_CPX_CPX(t91b, s1N);
        t61e = SUB_CPX_CPX(t71b, s0N);
        t71e = SUB_CPX_CPX(t91b, s1N);
        t81e = ADD_CPX_CPX(s8M, s2N);
        t91e = SUB_CPX_CPX(s9M, s3N);
        a2q = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s8M, s2N));
        a3q = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s9M, s3N));
        s6N = ADD_CPX_CPX(a2q, a3q);
        s7N = SUB_CPX_CPX(a3q, a2q);
        t01f = ADD_CPX_CPX(t41e, t81e);
        t11f = ADD_CPX_CPX(t61e, t91e);
        t21f = SUB_CPX_CPX(t41e, t81e);
        t31f = SUB_CPX_CPX(t61e, t91e);
        STOREU_CPX((240 + dst + i2), t01f);
        STOREU_CPX((752 + dst + i2), t11f);
        STOREU_CPX((1264 + dst + i2), t21f);
        STOREU_CPX((1776 + dst + i2), t31f);
        t41f = ADD_CPX_CPX(t51e, s6N);
        t51f = ADD_CPX_CPX(t71e, s7N);
        t61f = SUB_CPX_CPX(t51e, s6N);
        t71f = SUB_CPX_CPX(t71e, s7N);
        STOREU_CPX((496 + dst + i2), t41f);
        STOREU_CPX((1008 + dst + i2), t51f);
        STOREU_CPX((1520 + dst + i2), t61f);
        STOREU_CPX((2032 + dst + i2), t71f);
    }}
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_fftinv_double_2048)(const double *pSrc, double *pDst ) {
    if (!is_aligned(pSrc) || !is_aligned(pDst))
       	return spiral_fftinv_double_2048_unaligned(pSrc, pDst );
    else {
    const CPX  *src = (const CPX *) pSrc; 
    CPX        *dst = (CPX *) pDst;
    
    
    { SPIRAL_ALIGNED(CPX T[2048]);
    CPX  *a0c, *a0d, *a0e, *a0f, *a0g, *a0h, *a0i, *a0j, *a0k, *a0l, *a0m, *a0n, *a0o, *a0p, *a0q, *a0r, *a1c, *a1d, *a1e, *a1f, *a1g, *a1h
            , *a1i, *a1j, *a1k, *a1l, *a1m, *a1n, *a1o, *a1p, *a1q, *a1r, *a2c, *a2e, *a2g, *a2i, *a2k, *a2m, *a2n, *a2o, *a2p, *a2q, *a2r, *a2s
            , *a3c, *a3e, *a3g, *a3i, *a3k, *a3m, *a3n, *a3o, *a3p, *a3q, *a3r, *a4b, *a4c, *a4e, *a4g, *a4i, *a4k, *a4m, *a4o, *a4q, *a5b, *a5c
            , *a5e, *a5g, *a5i, *a5k, *a5m, *a5o, *a5q, *a6b, *a6d, *a6e, *a6f, *a6g, *a6h, *a6i, *a6j, *a6k, *a6m, *a6o, *a6q, *a7b, *a7d, *a7e
            , *a7f, *a7g, *a7h, *a7i, *a7j, *a7k, *a7m, *a7o, *a7q, *a8b, *a8c, *a8d, *a8e, *a8f, *a8g, *a8h, *a8i, *a8j, *a8k, *a8l, *a8m, *a8n
            , *a8o, *a8p, *a8q, *a9b, *a9c, *a9d, *a9e, *a9f, *a9g, *a9h, *a9i, *a9j, *a9k, *a9l, *a9m, *a9n, *a9o, *a9p, *a9q, *b2;
    const CPX  *a, *a01, *a02, *a03, *a05, *a06, *a07, *a11, *a12, *a13, *a15, *a16, *a17, *a2, *a21, *a22, *a23, *a25, *a26, *a27, *a3, *a31
            , *a32, *a33, *a35, *a36, *a37, *a4, *a41, *a42, *a43, *a44, *a45, *a46, *a47, *a5, *a51, *a52, *a53, *a54, *a55, *a56, *a57, *a6
            , *a61, *a64, *a65, *a66, *a7, *a71, *a74, *a75, *a76, *a81, *a82, *a84, *a85, *a86, *a91, *a92, *a94, *a95, *a96, *b;
    FLT  *a09, *a0a, *a0b, *a19, *a1a, *a1b, *a29, *a2a, *a2b, *a39, *a3a, *a3b, *a48, *a49, *a4a, *a58, *a59, *a5a, *a68, *a69, *a6a, *a78
            , *a79, *a7a, *a88, *a89, *a8a, *a98, *a99, *a9a;
    CPX a04, a08, a0s, a0t, a0u, a0v, a0w, a14, a18, a1s, a1t, a1u, a1v, a1w, a24, a28, a2d, a2f, a2h, a2j, a2l, a2t
        , a2u, a2v, a2w, a34, a38, a3d, a3f, a3h, a3j, a3l, a3s, a3t, a3u, a3v, a3w, a4d, a4f, a4h, a4j, a4l, a4n, a4p
        , a4r, a4s, a4t, a4u, a4v, a4w, a5d, a5f, a5h, a5j, a5l, a5n, a5p, a5r, a5s, a5t, a5u, a5v, a5w, a62, a63, a67
        , a6c, a6l, a6n, a6p, a6r, a6s, a6t, a6u, a6v, a6w, a72, a73, a77, a7c, a7l, a7n, a7p, a7r, a7s, a7t, a7u, a7v
        , a8, a83, a87, a8r, a8s, a8t, a8u, a8v, a9, a93, a97, a9r, a9s, a9t, a9u, a9v, s, s01, s02, s03, s04, s05
        , s06, s07, s08, s09, s0A, s0B, s0C, s0D, s0E, s0F, s0G, s0H, s0a, s0b, s0c, s0d, s0e, s0f, s0g, s0h, s0i, s0j
        , s0k, s0l, s0m, s0n, s0o, s0p, s0q, s0r, s0s, s0t, s0u, s0v, s0w, s0x, s0y, s0z, s11, s12, s13, s14, s15, s16
        , s17, s18, s19, s1A, s1B, s1C, s1D, s1E, s1F, s1G, s1H, s1a, s1b, s1c, s1d, s1e, s1f, s1g, s1h, s1i, s1j, s1k
        , s1l, s1m, s1n, s1o, s1p, s1q, s1r, s1s, s1t, s1u, s1v, s1w, s1x, s1y, s1z, s2, s21, s22, s23, s24, s25, s26
        , s27, s28, s29, s2A, s2B, s2C, s2D, s2E, s2F, s2G, s2H, s2a, s2b, s2c, s2d, s2e, s2f, s2g, s2h, s2i, s2j, s2k
        , s2l, s2m, s2n, s2o, s2p, s2q, s2r, s2s, s2t, s2u, s2v, s2w, s2x, s2y, s2z, s3, s31, s32, s33, s34, s35, s36
        , s37, s38, s39, s3A, s3B, s3C, s3D, s3E, s3F, s3G, s3H, s3a, s3b, s3c, s3d, s3e, s3f, s3g, s3h, s3i, s3j, s3k
        , s3l, s3m, s3n, s3o, s3p, s3q, s3r, s3s, s3t, s3u, s3v, s3w, s3x, s3y, s3z, s4, s41, s42, s43, s44, s45, s46
        , s47, s48, s49, s4A, s4B, s4C, s4D, s4E, s4F, s4G, s4a, s4b, s4c, s4d, s4e, s4f, s4g, s4h, s4i, s4j, s4k, s4l
        , s4m, s4n, s4o, s4p, s4q, s4r, s4s, s4t, s4u, s4v, s4w, s4x, s4y, s4z, s5, s51, s52, s53, s54, s55, s56, s57
        , s58, s59, s5A, s5B, s5C, s5D, s5E, s5F, s5G, s5a, s5b, s5c, s5d, s5e, s5f, s5g, s5h, s5i, s5j, s5k, s5l, s5m
        , s5n, s5o, s5p, s5q, s5r, s5s, s5t, s5u, s5v, s5w, s5x, s5y, s5z, s6, s61, s62, s63, s64, s65, s66, s67, s68
        , s69, s6A, s6B, s6C, s6D, s6E, s6F, s6G, s6a, s6b, s6c, s6d, s6e, s6f, s6g, s6h, s6i, s6j, s6k, s6l, s6m, s6n
        , s6o, s6p, s6q, s6r, s6s, s6t, s6u, s6v, s6w, s6x, s6y, s6z, s7, s71, s72, s73, s74, s75, s76, s77, s78, s79
        , s7A, s7B, s7C, s7D, s7E, s7F, s7G, s7a, s7b, s7c, s7d, s7e, s7f, s7g, s7h, s7i, s7j, s7k, s7l, s7m, s7n, s7o
        , s7p, s7q, s7r, s7s, s7t, s7u, s7v, s7w, s7x, s7y, s7z, s8, s81, s82, s83, s84, s85, s86, s87, s88, s89, s8A
        , s8B, s8C, s8D, s8E, s8F, s8G, s8a, s8b, s8c, s8d, s8e, s8f, s8g, s8h, s8i, s8j, s8k, s8l, s8m, s8n, s8o, s8p
        , s8q, s8r, s8s, s8t, s8u, s8v, s8w, s8x, s8y, s8z, s9, s91, s92, s93, s94, s95, s96, s97, s98, s99, s9A, s9B
        , s9C, s9D, s9E, s9F, s9G, s9a, s9b, s9c, s9d, s9e, s9f, s9g, s9h, s9i, s9j, s9k, s9l, s9m, s9n, s9o, s9p, s9q
        , s9r, s9s, s9t, s9u, s9v, s9w, s9x, s9y, s9z, t, t01, t010, t011, t012, t02, t03, t04, t05, t06, t07, t08, t09
        , t0A, t0B, t0C, t0D, t0E, t0F, t0G, t0H, t0I, t0J, t0K, t0L, t0M, t0N, t0O, t0P, t0Q, t0R, t0S, t0T, t0U, t0V
        , t0W, t0X, t0Y, t0Z, t0a, t0b, t0c, t0d, t0e, t0f, t0g, t0h, t0i, t0j, t0k, t0l, t0m, t0n, t0o, t0p, t0q, t0r
        , t0s, t0t, t0u, t0v, t0w, t0x, t0y, t0z, t11, t110, t111, t112, t12, t13, t14, t15, t16, t17, t18, t19, t1A, t1B
        , t1C, t1D, t1E, t1F, t1G, t1H, t1I, t1J, t1K, t1L, t1M, t1N, t1O, t1P, t1Q, t1R, t1S, t1T, t1U, t1V, t1W, t1X
        , t1Y, t1Z, t1a, t1b, t1c, t1d, t1e, t1f, t1g, t1h, t1i, t1j, t1k, t1l, t1m, t1n, t1o, t1p, t1q, t1r, t1s, t1t
        , t1u, t1v, t1w, t1x, t1y, t1z, t2, t21, t210, t211, t212, t22, t23, t24, t25, t26, t27, t28, t29, t2A, t2B, t2C
        , t2D, t2E, t2F, t2G, t2H, t2I, t2J, t2K, t2L, t2M, t2N, t2O, t2P, t2Q, t2R, t2S, t2T, t2U, t2V, t2W, t2X, t2Y
        , t2Z, t2a, t2b, t2c, t2d, t2e, t2f, t2g, t2h, t2i, t2j, t2k, t2l, t2m, t2n, t2o, t2p, t2q, t2r, t2s, t2t, t2u
        , t2v, t2w, t2x, t2y, t2z, t3, t31, t310, t311, t312, t32, t33, t34, t35, t36, t37, t38, t39, t3A, t3B, t3C, t3D
        , t3E, t3F, t3G, t3H, t3I, t3J, t3K, t3L, t3M, t3N, t3O, t3P, t3Q, t3R, t3S, t3T, t3U, t3V, t3W, t3X, t3Y, t3Z
        , t3a, t3b, t3c, t3d, t3e, t3f, t3g, t3h, t3i, t3j, t3k, t3l, t3m, t3n, t3o, t3p, t3q, t3r, t3s, t3t, t3u, t3v
        , t3w, t3x, t3y, t3z, t4, t41, t410, t411, t412, t42, t43, t44, t45, t46, t47, t48, t49, t4A, t4B, t4C, t4D, t4E
        , t4F, t4G, t4H, t4I, t4J, t4K, t4L, t4M, t4N, t4O, t4P, t4Q, t4R, t4S, t4T, t4U, t4V, t4W, t4X, t4Y, t4Z, t4a
        , t4b, t4c, t4d, t4e, t4f, t4g, t4h, t4i, t4j, t4k, t4l, t4m, t4n, t4o, t4p, t4q, t4r, t4s, t4t, t4u, t4v, t4w
        , t4x, t4y, t4z, t5, t51, t510, t511, t512, t52, t53, t54, t55, t56, t57, t58, t59, t5A, t5B, t5C, t5D, t5E, t5F
        , t5G, t5H, t5I, t5J, t5K, t5L, t5M, t5N, t5O, t5P, t5Q, t5R, t5S, t5T, t5U, t5V, t5W, t5X, t5Y, t5Z, t5a, t5b
        , t5c, t5d, t5e, t5f, t5g, t5h, t5i, t5j, t5k, t5l, t5m, t5n, t5o, t5p, t5q, t5r, t5s, t5t, t5u, t5v, t5w, t5x
        , t5y, t5z, t6, t61, t610, t611, t612, t62, t63, t64, t65, t66, t67, t68, t69, t6A, t6B, t6C, t6D, t6E, t6F, t6G
        , t6H, t6I, t6J, t6K, t6L, t6M, t6N, t6O, t6P, t6Q, t6R, t6S, t6T, t6U, t6V, t6W, t6X, t6Y, t6Z, t6a, t6b, t6c
        , t6d, t6e, t6f, t6g, t6h, t6i, t6j, t6k, t6l, t6m, t6n, t6o, t6p, t6q, t6r, t6s, t6t, t6u, t6v, t6w, t6x, t6y
        , t6z, t7, t71, t710, t711, t712, t72, t73, t74, t75, t76, t77, t78, t79, t7A, t7B, t7C, t7D, t7E, t7F, t7G, t7H
        , t7I, t7J, t7K, t7L, t7M, t7N, t7O, t7P, t7Q, t7R, t7S, t7T, t7U, t7V, t7W, t7X, t7Y, t7Z, t7a, t7b, t7c, t7d
        , t7e, t7f, t7g, t7h, t7i, t7j, t7k, t7l, t7m, t7n, t7o, t7p, t7q, t7r, t7s, t7t, t7u, t7v, t7w, t7x, t7y, t7z
        , t8, t81, t810, t811, t812, t82, t83, t84, t85, t86, t87, t88, t89, t8A, t8B, t8C, t8D, t8E, t8F, t8G, t8H, t8I
        , t8J, t8K, t8L, t8M, t8N, t8O, t8P, t8Q, t8R, t8S, t8T, t8U, t8V, t8W, t8X, t8Y, t8Z, t8a, t8b, t8c, t8d, t8e
        , t8f, t8g, t8h, t8i, t8j, t8k, t8l, t8m, t8n, t8o, t8p, t8q, t8r, t8s, t8t, t8u, t8v, t8w, t8x, t8y, t8z, t9
        , t91, t910, t911, t912, t92, t93, t94, t95, t96, t97, t98, t99, t9A, t9B, t9C, t9D, t9E, t9F, t9G, t9H, t9I, t9J
        , t9K, t9L, t9M, t9N, t9O, t9P, t9Q, t9R, t9S, t9T, t9U, t9V, t9W, t9X, t9Y, t9Z, t9a, t9b, t9c, t9d, t9e, t9f
        , t9g, t9h, t9i, t9j, t9k, t9l, t9m, t9n, t9o, t9p, t9q, t9r, t9s, t9t, t9u, t9v, t9w, t9x, t9y, t9z;
    a = (src + 1024);
    t = ADD_CPX_CPX(*(src), *(a));
    t2 = SUB_CPX_CPX(*(src), *(a));
    a2 = (src + 512);
    a3 = (src + 1536);
    t3 = ADD_CPX_CPX(*(a2), *(a3));
    s = MUL_I_CPX(SUB_CPX_CPX(*(a2), *(a3)));
    t4 = ADD_CPX_CPX(t, t3);
    t5 = SUB_CPX_CPX(t, t3);
    t6 = ADD_CPX_CPX(t2, s);
    t7 = SUB_CPX_CPX(t2, s);
    a4 = (src + 256);
    a5 = (src + 1792);
    t8 = ADD_CPX_CPX(*(a4), *(a5));
    t9 = ADD_CPX_CPX(MUL_I_CPX(*(a4)), MUL_NI_CPX(*(a5)));
    a6 = (src + 1280);
    a7 = (src + 768);
    t01 = ADD_CPX_CPX(*(a6), *(a7));
    t11 = ADD_CPX_CPX(MUL_I_CPX(*(a6)), MUL_NI_CPX(*(a7)));
    t21 = ADD_CPX_CPX(t8, t01);
    t31 = ADD_CPX_CPX(t9, t11);
    a8 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8, t01));
    a9 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9, t11));
    s2 = ADD_CPX_CPX(a8, a9);
    s3 = SUB_CPX_CPX(a9, a8);
    t41 = ADD_CPX_CPX(t4, t21);
    t51 = ADD_CPX_CPX(t5, t31);
    t61 = SUB_CPX_CPX(t4, t21);
    t71 = SUB_CPX_CPX(t5, t31);
    t81 = ADD_CPX_CPX(t6, s2);
    t91 = ADD_CPX_CPX(t7, s3);
    t02 = SUB_CPX_CPX(t6, s2);
    t12 = SUB_CPX_CPX(t7, s3);
    a01 = (src + 64);
    a11 = (src + 1984);
    t22 = ADD_CPX_CPX(*(a01), *(a11));
    t32 = ADD_CPX_CPX(MUL_I_CPX(*(a01)), MUL_NI_CPX(*(a11)));
    a21 = (src + 576);
    a31 = (src + 1472);
    t42 = ADD_CPX_CPX(*(a21), *(a31));
    t52 = ADD_CPX_CPX(MUL_I_CPX(*(a21)), MUL_NI_CPX(*(a31)));
    a41 = (src + 1088);
    a51 = (src + 960);
    t62 = ADD_CPX_CPX(*(a41), *(a51));
    t72 = ADD_CPX_CPX(MUL_I_CPX(*(a41)), MUL_NI_CPX(*(a51)));
    a61 = (src + 1600);
    a71 = (src + 448);
    t82 = ADD_CPX_CPX(*(a61), *(a71));
    t92 = ADD_CPX_CPX(MUL_I_CPX(*(a61)), MUL_NI_CPX(*(a71)));
    t03 = ADD_CPX_CPX(t22, t62);
    t13 = ADD_CPX_CPX(t32, t72);
    t23 = SUB_CPX_CPX(t22, t62);
    t33 = SUB_CPX_CPX(t32, t72);
    t43 = ADD_CPX_CPX(t42, t82);
    t53 = ADD_CPX_CPX(t52, t92);
    t63 = SUB_CPX_CPX(t42, t82);
    t73 = SUB_CPX_CPX(t52, t92);
    t83 = ADD_CPX_CPX(t03, t43);
    t93 = ADD_CPX_CPX(t13, t53);
    t04 = SUB_CPX_CPX(t03, t43);
    t14 = SUB_CPX_CPX(t13, t53);
    t24 = ADD_CPX_CPX(t23, t73);
    t34 = SUB_CPX_CPX(t33, t63);
    t44 = SUB_CPX_CPX(t23, t73);
    t54 = ADD_CPX_CPX(t33, t63);
    s4 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t24), MUL_FLT_CPX(C_FLT(0.19509032201612828), t34));
    s5 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t34), MUL_FLT_CPX(C_FLT(0.19509032201612828), t24));
    s6 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t04), MUL_FLT_CPX(C_FLT(0.38268343236508978), t14));
    s7 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t14), MUL_FLT_CPX(C_FLT(0.38268343236508978), t04));
    s8 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t44), MUL_FLT_CPX(C_FLT(0.55557023301960218), t54));
    s9 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t54), MUL_FLT_CPX(C_FLT(0.55557023301960218), t44));
    a81 = (src + 128);
    a91 = (src + 1920);
    t64 = ADD_CPX_CPX(*(a81), *(a91));
    t74 = ADD_CPX_CPX(MUL_I_CPX(*(a81)), MUL_NI_CPX(*(a91)));
    a02 = (src + 640);
    a12 = (src + 1408);
    t84 = ADD_CPX_CPX(*(a02), *(a12));
    t94 = ADD_CPX_CPX(MUL_I_CPX(*(a02)), MUL_NI_CPX(*(a12)));
    a22 = (src + 1152);
    a32 = (src + 896);
    t05 = ADD_CPX_CPX(*(a22), *(a32));
    t15 = ADD_CPX_CPX(MUL_I_CPX(*(a22)), MUL_NI_CPX(*(a32)));
    a42 = (src + 1664);
    a52 = (src + 384);
    t25 = ADD_CPX_CPX(*(a42), *(a52));
    t35 = ADD_CPX_CPX(MUL_I_CPX(*(a42)), MUL_NI_CPX(*(a52)));
    t45 = ADD_CPX_CPX(t64, t05);
    t55 = ADD_CPX_CPX(t74, t15);
    t65 = SUB_CPX_CPX(t64, t05);
    t75 = SUB_CPX_CPX(t74, t15);
    t85 = ADD_CPX_CPX(t84, t25);
    t95 = ADD_CPX_CPX(t94, t35);
    t06 = SUB_CPX_CPX(t84, t25);
    t16 = SUB_CPX_CPX(t94, t35);
    t26 = ADD_CPX_CPX(t45, t85);
    t36 = ADD_CPX_CPX(t55, t95);
    t46 = ADD_CPX_CPX(t65, t16);
    t56 = SUB_CPX_CPX(t75, t06);
    t66 = SUB_CPX_CPX(t65, t16);
    t76 = ADD_CPX_CPX(t75, t06);
    s01 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t46), MUL_FLT_CPX(C_FLT(0.38268343236508978), t56));
    s11 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t56), MUL_FLT_CPX(C_FLT(0.38268343236508978), t46));
    a62 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t45, t85));
    a72 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t55, t95));
    s21 = ADD_CPX_CPX(a62, a72);
    s31 = SUB_CPX_CPX(a72, a62);
    s41 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t66), MUL_FLT_CPX(C_FLT(0.92387953251128674), t76));
    s51 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t76), MUL_FLT_CPX(C_FLT(0.92387953251128674), t66));
    a82 = (src + 192);
    a92 = (src + 1856);
    t86 = ADD_CPX_CPX(*(a82), *(a92));
    t96 = ADD_CPX_CPX(MUL_I_CPX(*(a82)), MUL_NI_CPX(*(a92)));
    a03 = (src + 704);
    a13 = (src + 1344);
    t07 = ADD_CPX_CPX(*(a03), *(a13));
    t17 = ADD_CPX_CPX(MUL_I_CPX(*(a03)), MUL_NI_CPX(*(a13)));
    a23 = (src + 1216);
    a33 = (src + 832);
    t27 = ADD_CPX_CPX(*(a23), *(a33));
    t37 = ADD_CPX_CPX(MUL_I_CPX(*(a23)), MUL_NI_CPX(*(a33)));
    a43 = (src + 1728);
    a53 = (src + 320);
    t47 = ADD_CPX_CPX(*(a43), *(a53));
    t57 = ADD_CPX_CPX(MUL_I_CPX(*(a43)), MUL_NI_CPX(*(a53)));
    t67 = ADD_CPX_CPX(t86, t27);
    t77 = ADD_CPX_CPX(t96, t37);
    t87 = SUB_CPX_CPX(t86, t27);
    t97 = SUB_CPX_CPX(t96, t37);
    t08 = ADD_CPX_CPX(t07, t47);
    t18 = ADD_CPX_CPX(t17, t57);
    t28 = SUB_CPX_CPX(t07, t47);
    t38 = SUB_CPX_CPX(t17, t57);
    t48 = ADD_CPX_CPX(t67, t08);
    t58 = ADD_CPX_CPX(t77, t18);
    t68 = SUB_CPX_CPX(t67, t08);
    t78 = SUB_CPX_CPX(t77, t18);
    t88 = ADD_CPX_CPX(t87, t38);
    t98 = SUB_CPX_CPX(t97, t28);
    t09 = SUB_CPX_CPX(t87, t38);
    t19 = ADD_CPX_CPX(t97, t28);
    s61 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t88), MUL_FLT_CPX(C_FLT(0.55557023301960218), t98));
    s71 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t98), MUL_FLT_CPX(C_FLT(0.55557023301960218), t88));
    s81 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t68), MUL_FLT_CPX(C_FLT(0.92387953251128674), t78));
    s91 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t78), MUL_FLT_CPX(C_FLT(0.92387953251128674), t68));
    s02 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t19), MUL_FLT_CPX(C_FLT(0.19509032201612828), t09));
    s12 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t09), MUL_FLT_CPX(C_FLT(0.19509032201612828), t19));
    t29 = ADD_CPX_CPX(t41, t26);
    t39 = ADD_CPX_CPX(t61, t36);
    t49 = SUB_CPX_CPX(t41, t26);
    t59 = SUB_CPX_CPX(t61, t36);
    t69 = ADD_CPX_CPX(t83, t48);
    t79 = SUB_CPX_CPX(t93, t58);
    a63 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t83, t48));
    a73 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t93, t58));
    s22 = ADD_CPX_CPX(a63, a73);
    s32 = SUB_CPX_CPX(a73, a63);
    *(T) = ADD_CPX_CPX(t29, t69);
    *((T + 8)) = ADD_CPX_CPX(t49, t79);
    *((T + 16)) = SUB_CPX_CPX(t29, t69);
    *((T + 24)) = SUB_CPX_CPX(t49, t79);
    *((T + 4)) = ADD_CPX_CPX(t39, s22);
    *((T + 12)) = ADD_CPX_CPX(t59, s32);
    *((T + 20)) = SUB_CPX_CPX(t39, s22);
    *((T + 28)) = SUB_CPX_CPX(t59, s32);
    t89 = ADD_CPX_CPX(t81, s01);
    t99 = ADD_CPX_CPX(t02, s11);
    t0a = SUB_CPX_CPX(t81, s01);
    t1a = SUB_CPX_CPX(t02, s11);
    t2a = ADD_CPX_CPX(s4, s61);
    t3a = SUB_CPX_CPX(s5, s71);
    a83 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4, s61));
    a93 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5, s71));
    s42 = ADD_CPX_CPX(a83, a93);
    s52 = SUB_CPX_CPX(a93, a83);
    *((T + 1)) = ADD_CPX_CPX(t89, t2a);
    *((T + 9)) = ADD_CPX_CPX(t0a, t3a);
    *((T + 17)) = SUB_CPX_CPX(t89, t2a);
    *((T + 25)) = SUB_CPX_CPX(t0a, t3a);
    *((T + 5)) = ADD_CPX_CPX(t99, s42);
    *((T + 13)) = ADD_CPX_CPX(t1a, s52);
    *((T + 21)) = SUB_CPX_CPX(t99, s42);
    *((T + 29)) = SUB_CPX_CPX(t1a, s52);
    t4a = ADD_CPX_CPX(t51, s21);
    t5a = ADD_CPX_CPX(t71, s31);
    t6a = SUB_CPX_CPX(t51, s21);
    t7a = SUB_CPX_CPX(t71, s31);
    t8a = ADD_CPX_CPX(s6, s81);
    t9a = SUB_CPX_CPX(s7, s91);
    a04 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s6, s81));
    a14 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s7, s91));
    s62 = ADD_CPX_CPX(a04, a14);
    s72 = SUB_CPX_CPX(a14, a04);
    *((T + 2)) = ADD_CPX_CPX(t4a, t8a);
    *((T + 10)) = ADD_CPX_CPX(t6a, t9a);
    *((T + 18)) = SUB_CPX_CPX(t4a, t8a);
    *((T + 26)) = SUB_CPX_CPX(t6a, t9a);
    *((T + 6)) = ADD_CPX_CPX(t5a, s62);
    *((T + 14)) = ADD_CPX_CPX(t7a, s72);
    *((T + 22)) = SUB_CPX_CPX(t5a, s62);
    *((T + 30)) = SUB_CPX_CPX(t7a, s72);
    t0b = ADD_CPX_CPX(t91, s41);
    t1b = ADD_CPX_CPX(t12, s51);
    t2b = SUB_CPX_CPX(t91, s41);
    t3b = SUB_CPX_CPX(t12, s51);
    t4b = ADD_CPX_CPX(s8, s02);
    t5b = ADD_CPX_CPX(s9, s12);
    a24 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s8, s02));
    a34 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s9, s12));
    s82 = ADD_CPX_CPX(a24, a34);
    s92 = SUB_CPX_CPX(a34, a24);
    *((T + 3)) = ADD_CPX_CPX(t0b, t4b);
    *((T + 11)) = ADD_CPX_CPX(t2b, t5b);
    *((T + 19)) = SUB_CPX_CPX(t0b, t4b);
    *((T + 27)) = SUB_CPX_CPX(t2b, t5b);
    *((T + 7)) = ADD_CPX_CPX(t1b, s82);
    *((T + 15)) = ADD_CPX_CPX(t3b, s92);
    *((T + 23)) = SUB_CPX_CPX(t1b, s82);
    *((T + 31)) = SUB_CPX_CPX(t3b, s92);
    {long i; for(i = 0; i <= 62; i++) {
        b = (src + i);
        a44 = (b + 1);
        a54 = (src + (2047 - i));
        t6b = ADD_CPX_CPX(*(a44), *(a54));
        t7b = ADD_CPX_CPX(MUL_I_CPX(*(a44)), MUL_NI_CPX(*(a54)));
        a64 = (b + 129);
        a74 = (src + (1919 - i));
        t8b = ADD_CPX_CPX(*(a64), *(a74));
        t9b = ADD_CPX_CPX(MUL_I_CPX(*(a64)), MUL_NI_CPX(*(a74)));
        a84 = (b + 257);
        a94 = (src + (1791 - i));
        t0c = ADD_CPX_CPX(*(a84), *(a94));
        t1c = ADD_CPX_CPX(MUL_I_CPX(*(a84)), MUL_NI_CPX(*(a94)));
        a05 = (b + 385);
        a15 = (src + (1663 - i));
        t2c = ADD_CPX_CPX(*(a05), *(a15));
        t3c = ADD_CPX_CPX(MUL_I_CPX(*(a05)), MUL_NI_CPX(*(a15)));
        a25 = (b + 513);
        a35 = (src + (1535 - i));
        t4c = ADD_CPX_CPX(*(a25), *(a35));
        t5c = ADD_CPX_CPX(MUL_I_CPX(*(a25)), MUL_NI_CPX(*(a35)));
        a45 = (b + 641);
        a55 = (src + (1407 - i));
        t6c = ADD_CPX_CPX(*(a45), *(a55));
        t7c = ADD_CPX_CPX(MUL_I_CPX(*(a45)), MUL_NI_CPX(*(a55)));
        a65 = (b + 769);
        a75 = (src + (1279 - i));
        t8c = ADD_CPX_CPX(*(a65), *(a75));
        t9c = ADD_CPX_CPX(MUL_I_CPX(*(a65)), MUL_NI_CPX(*(a75)));
        a85 = (b + 897);
        a95 = (src + (1151 - i));
        t0d = ADD_CPX_CPX(*(a85), *(a95));
        t1d = ADD_CPX_CPX(MUL_I_CPX(*(a85)), MUL_NI_CPX(*(a95)));
        a06 = (b + 1025);
        a16 = (src + (1023 - i));
        t2d = ADD_CPX_CPX(*(a06), *(a16));
        t3d = ADD_CPX_CPX(MUL_I_CPX(*(a06)), MUL_NI_CPX(*(a16)));
        a26 = (b + 1153);
        a36 = (src + (895 - i));
        t4d = ADD_CPX_CPX(*(a26), *(a36));
        t5d = ADD_CPX_CPX(MUL_I_CPX(*(a26)), MUL_NI_CPX(*(a36)));
        a46 = (b + 1281);
        a56 = (src + (767 - i));
        t6d = ADD_CPX_CPX(*(a46), *(a56));
        t7d = ADD_CPX_CPX(MUL_I_CPX(*(a46)), MUL_NI_CPX(*(a56)));
        a66 = (b + 1409);
        a76 = (src + (639 - i));
        t8d = ADD_CPX_CPX(*(a66), *(a76));
        t9d = ADD_CPX_CPX(MUL_I_CPX(*(a66)), MUL_NI_CPX(*(a76)));
        a86 = (b + 1537);
        a96 = (src + (511 - i));
        t0e = ADD_CPX_CPX(*(a86), *(a96));
        t1e = ADD_CPX_CPX(MUL_I_CPX(*(a86)), MUL_NI_CPX(*(a96)));
        a07 = (b + 1665);
        a17 = (src + (383 - i));
        t2e = ADD_CPX_CPX(*(a07), *(a17));
        t3e = ADD_CPX_CPX(MUL_I_CPX(*(a07)), MUL_NI_CPX(*(a17)));
        a27 = (b + 1793);
        a37 = (src + (255 - i));
        t4e = ADD_CPX_CPX(*(a27), *(a37));
        t5e = ADD_CPX_CPX(MUL_I_CPX(*(a27)), MUL_NI_CPX(*(a37)));
        a47 = (b + 1921);
        a57 = (src + (127 - i));
        t6e = ADD_CPX_CPX(*(a47), *(a57));
        t7e = ADD_CPX_CPX(MUL_I_CPX(*(a47)), MUL_NI_CPX(*(a57)));
        t8e = ADD_CPX_CPX(t6b, t2d);
        t9e = ADD_CPX_CPX(t7b, t3d);
        t0f = SUB_CPX_CPX(t6b, t2d);
        t1f = SUB_CPX_CPX(t7b, t3d);
        t2f = ADD_CPX_CPX(t4c, t0e);
        t3f = ADD_CPX_CPX(t5c, t1e);
        t4f = SUB_CPX_CPX(t4c, t0e);
        t5f = SUB_CPX_CPX(t5c, t1e);
        t6f = ADD_CPX_CPX(t8e, t2f);
        t7f = ADD_CPX_CPX(t9e, t3f);
        t8f = SUB_CPX_CPX(t8e, t2f);
        t9f = SUB_CPX_CPX(t9e, t3f);
        t0g = ADD_CPX_CPX(t0f, t5f);
        t1g = SUB_CPX_CPX(t1f, t4f);
        t2g = SUB_CPX_CPX(t0f, t5f);
        t3g = ADD_CPX_CPX(t1f, t4f);
        t4g = ADD_CPX_CPX(t0c, t4e);
        t5g = ADD_CPX_CPX(t1c, t5e);
        t6g = SUB_CPX_CPX(t1c, t5e);
        t7g = SUB_CPX_CPX(t4e, t0c);
        t8g = ADD_CPX_CPX(t6d, t8c);
        t9g = ADD_CPX_CPX(t7d, t9c);
        t0h = SUB_CPX_CPX(t7d, t9c);
        t1h = SUB_CPX_CPX(t8c, t6d);
        s03 = ADD_CPX_CPX(t4g, t8g);
        s13 = ADD_CPX_CPX(t5g, t9g);
        s23 = ADD_CPX_CPX(t6g, t0h);
        s33 = ADD_CPX_CPX(t7g, t1h);
        a67 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t4g, t8g));
        a77 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t6g, t0h));
        t2h = ADD_CPX_CPX(a67, a77);
        a87 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t5g, t9g));
        a97 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t7g, t1h));
        t3h = ADD_CPX_CPX(a87, a97);
        t4h = SUB_CPX_CPX(a77, a67);
        t5h = SUB_CPX_CPX(a97, a87);
        s43 = ADD_CPX_CPX(t6f, s03);
        s53 = ADD_CPX_CPX(t7f, s13);
        s63 = ADD_CPX_CPX(t8f, s23);
        s73 = ADD_CPX_CPX(t9f, s33);
        s83 = SUB_CPX_CPX(t6f, s03);
        s93 = SUB_CPX_CPX(t7f, s13);
        s04 = SUB_CPX_CPX(t8f, s23);
        s14 = SUB_CPX_CPX(t9f, s33);
        s24 = ADD_CPX_CPX(t0g, t2h);
        s34 = ADD_CPX_CPX(t1g, t3h);
        s44 = ADD_CPX_CPX(t2g, t4h);
        s54 = ADD_CPX_CPX(t3g, t5h);
        s64 = SUB_CPX_CPX(t0g, t2h);
        s74 = SUB_CPX_CPX(t1g, t3h);
        s84 = SUB_CPX_CPX(t2g, t4h);
        s94 = SUB_CPX_CPX(t3g, t5h);
        t6h = ADD_CPX_CPX(t8b, t6e);
        t7h = ADD_CPX_CPX(t9b, t7e);
        t8h = SUB_CPX_CPX(t9b, t7e);
        t9h = SUB_CPX_CPX(t6e, t8b);
        t0i = ADD_CPX_CPX(t6c, t8d);
        t1i = ADD_CPX_CPX(t7c, t9d);
        t2i = SUB_CPX_CPX(t7c, t9d);
        t3i = SUB_CPX_CPX(t8d, t6c);
        t4i = ADD_CPX_CPX(t4d, t0d);
        t5i = ADD_CPX_CPX(t5d, t1d);
        t6i = SUB_CPX_CPX(t5d, t1d);
        t7i = SUB_CPX_CPX(t0d, t4d);
        t8i = ADD_CPX_CPX(t2e, t2c);
        t9i = ADD_CPX_CPX(t3e, t3c);
        t0j = SUB_CPX_CPX(t3e, t3c);
        t1j = SUB_CPX_CPX(t2c, t2e);
        s05 = ADD_CPX_CPX(t6h, t4i);
        s15 = ADD_CPX_CPX(t7h, t5i);
        s25 = ADD_CPX_CPX(t8h, t6i);
        s35 = ADD_CPX_CPX(t9h, t7i);
        s45 = SUB_CPX_CPX(t6h, t4i);
        s55 = SUB_CPX_CPX(t7h, t5i);
        s65 = SUB_CPX_CPX(t8h, t6i);
        s75 = SUB_CPX_CPX(t9h, t7i);
        s85 = ADD_CPX_CPX(t0i, t8i);
        s95 = ADD_CPX_CPX(t1i, t9i);
        s06 = ADD_CPX_CPX(t2i, t0j);
        s16 = ADD_CPX_CPX(t3i, t1j);
        s26 = SUB_CPX_CPX(t0i, t8i);
        s36 = SUB_CPX_CPX(t1i, t9i);
        s46 = SUB_CPX_CPX(t2i, t0j);
        s56 = SUB_CPX_CPX(t3i, t1j);
        s66 = ADD_CPX_CPX(s05, s85);
        s76 = ADD_CPX_CPX(s15, s95);
        s86 = ADD_CPX_CPX(s25, s06);
        s96 = ADD_CPX_CPX(s35, s16);
        s07 = ADD_CPX_CPX(s45, s46);
        s17 = ADD_CPX_CPX(s55, s56);
        s27 = SUB_CPX_CPX(s65, s26);
        s37 = SUB_CPX_CPX(s75, s36);
        s47 = SUB_CPX_CPX(s45, s46);
        s57 = SUB_CPX_CPX(s55, s56);
        s67 = ADD_CPX_CPX(s65, s26);
        s77 = ADD_CPX_CPX(s75, s36);
        t2j = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s07), MUL_FLT_CPX(C_FLT(0.38268343236508978), s27));
        t3j = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s17), MUL_FLT_CPX(C_FLT(0.38268343236508978), s37));
        t4j = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s27), MUL_FLT_CPX(C_FLT(0.38268343236508978), s07));
        t5j = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s37), MUL_FLT_CPX(C_FLT(0.38268343236508978), s17));
        a08 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s05, s85));
        a18 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s25, s06));
        t6j = ADD_CPX_CPX(a08, a18);
        a28 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s15, s95));
        a38 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s35, s16));
        t7j = ADD_CPX_CPX(a28, a38);
        t8j = SUB_CPX_CPX(a18, a08);
        t9j = SUB_CPX_CPX(a38, a28);
        t0k = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s47), MUL_FLT_CPX(C_FLT(0.92387953251128674), s67));
        t1k = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s57), MUL_FLT_CPX(C_FLT(0.92387953251128674), s77));
        t2k = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s67), MUL_FLT_CPX(C_FLT(0.92387953251128674), s47));
        t3k = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s77), MUL_FLT_CPX(C_FLT(0.92387953251128674), s57));
        s87 = ADD_CPX_CPX(s83, s86);
        s97 = ADD_CPX_CPX(s93, s96);
        s08 = SUB_CPX_CPX(s43, s66);
        s18 = SUB_CPX_CPX(s53, s76);
        s28 = SUB_CPX_CPX(s83, s86);
        s38 = SUB_CPX_CPX(s93, s96);
        s48 = ADD_CPX_CPX(s24, t2j);
        s58 = ADD_CPX_CPX(s34, t3j);
        s68 = ADD_CPX_CPX(s64, t4j);
        s78 = ADD_CPX_CPX(s74, t5j);
        s88 = SUB_CPX_CPX(s24, t2j);
        s98 = SUB_CPX_CPX(s34, t3j);
        s09 = SUB_CPX_CPX(s64, t4j);
        s19 = SUB_CPX_CPX(s74, t5j);
        s29 = ADD_CPX_CPX(s63, t6j);
        s39 = ADD_CPX_CPX(s73, t7j);
        s49 = ADD_CPX_CPX(s04, t8j);
        s59 = ADD_CPX_CPX(s14, t9j);
        s69 = SUB_CPX_CPX(s63, t6j);
        s79 = SUB_CPX_CPX(s73, t7j);
        s89 = SUB_CPX_CPX(s04, t8j);
        s99 = SUB_CPX_CPX(s14, t9j);
        s0a = ADD_CPX_CPX(s44, t0k);
        s1a = ADD_CPX_CPX(s54, t1k);
        s2a = ADD_CPX_CPX(s84, t2k);
        s3a = ADD_CPX_CPX(s94, t3k);
        s4a = SUB_CPX_CPX(s44, t0k);
        s5a = SUB_CPX_CPX(s54, t1k);
        s6a = SUB_CPX_CPX(s84, t2k);
        s7a = SUB_CPX_CPX(s94, t3k);
        b2 = (T + (32*i));
        *((b2 + 32)) = ADD_CPX_CPX(s43, s66);
        *((b2 + 48)) = ADD_CPX_CPX(s53, s76);
        a48 = (D1003 + (30*i));
        a58 = (a48 + 1);
        a68 = (a48 + 2);
        a78 = (a48 + 3);
        a88 = (a48 + 4);
        a98 = (a48 + 5);
        a09 = (a48 + 6);
        a19 = (a48 + 7);
        a29 = (a48 + 8);
        a39 = (a48 + 9);
        a49 = (a48 + 10);
        a59 = (a48 + 11);
        a69 = (a48 + 12);
        a79 = (a48 + 13);
        a89 = (a48 + 14);
        a99 = (a48 + 15);
        a0a = (a48 + 16);
        a1a = (a48 + 17);
        a2a = (a48 + 18);
        a3a = (a48 + 19);
        a4a = (a48 + 20);
        a5a = (a48 + 21);
        a6a = (a48 + 22);
        a7a = (a48 + 23);
        a8a = (a48 + 24);
        a9a = (a48 + 25);
        a0b = (a48 + 26);
        a1b = (a48 + 27);
        a2b = (a48 + 28);
        a3b = (a48 + 29);
        *((b2 + 33)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a48), s48), MUL_FLT_CPX(*(a58), s58));
        *((b2 + 49)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a48), s58), MUL_FLT_CPX(*(a58), s48));
        *((b2 + 34)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a68), s29), MUL_FLT_CPX(*(a78), s39));
        *((b2 + 50)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a68), s39), MUL_FLT_CPX(*(a78), s29));
        *((b2 + 35)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a88), s0a), MUL_FLT_CPX(*(a98), s1a));
        *((b2 + 51)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a88), s1a), MUL_FLT_CPX(*(a98), s0a));
        *((b2 + 36)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a09), s87), MUL_FLT_CPX(*(a19), s97));
        *((b2 + 52)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a09), s97), MUL_FLT_CPX(*(a19), s87));
        *((b2 + 37)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a29), s68), MUL_FLT_CPX(*(a39), s78));
        *((b2 + 53)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a29), s78), MUL_FLT_CPX(*(a39), s68));
        *((b2 + 38)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a49), s49), MUL_FLT_CPX(*(a59), s59));
        *((b2 + 54)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a49), s59), MUL_FLT_CPX(*(a59), s49));
        *((b2 + 39)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a69), s2a), MUL_FLT_CPX(*(a79), s3a));
        *((b2 + 55)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a69), s3a), MUL_FLT_CPX(*(a79), s2a));
        *((b2 + 40)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a89), s08), MUL_FLT_CPX(*(a99), s18));
        *((b2 + 56)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a89), s18), MUL_FLT_CPX(*(a99), s08));
        *((b2 + 41)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a0a), s88), MUL_FLT_CPX(*(a1a), s98));
        *((b2 + 57)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a0a), s98), MUL_FLT_CPX(*(a1a), s88));
        *((b2 + 42)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a2a), s69), MUL_FLT_CPX(*(a3a), s79));
        *((b2 + 58)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a2a), s79), MUL_FLT_CPX(*(a3a), s69));
        *((b2 + 43)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a4a), s4a), MUL_FLT_CPX(*(a5a), s5a));
        *((b2 + 59)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a4a), s5a), MUL_FLT_CPX(*(a5a), s4a));
        *((b2 + 44)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a6a), s28), MUL_FLT_CPX(*(a7a), s38));
        *((b2 + 60)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a6a), s38), MUL_FLT_CPX(*(a7a), s28));
        *((b2 + 45)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a8a), s09), MUL_FLT_CPX(*(a9a), s19));
        *((b2 + 61)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a8a), s19), MUL_FLT_CPX(*(a9a), s09));
        *((b2 + 46)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a0b), s89), MUL_FLT_CPX(*(a1b), s99));
        *((b2 + 62)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a0b), s99), MUL_FLT_CPX(*(a1b), s89));
        *((b2 + 47)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a2b), s6a), MUL_FLT_CPX(*(a3b), s7a));
        *((b2 + 63)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a2b), s7a), MUL_FLT_CPX(*(a3b), s6a));
    }}
    {long i2; for(i2 = 0; i2 <= 15; i2++) {
        a4b = (T + i2);
        a5b = (a4b + 16);
        a6b = (a4b + 1024);
        a7b = (a4b + 1040);
        t4k = ADD_CPX_CPX(*(a4b), *(a6b));
        t5k = ADD_CPX_CPX(*(a5b), *(a7b));
        t6k = SUB_CPX_CPX(*(a4b), *(a6b));
        t7k = SUB_CPX_CPX(*(a5b), *(a7b));
        a8b = (a4b + 256);
        a9b = (a4b + 272);
        a0c = (a4b + 1792);
        a1c = (a4b + 1808);
        t8k = ADD_CPX_CPX(*(a8b), *(a0c));
        t9k = SUB_CPX_CPX(*(a9b), *(a1c));
        t0l = SUB_CPX_CPX(*(a8b), *(a0c));
        t1l = ADD_CPX_CPX(*(a9b), *(a1c));
        s8a = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t0l), MUL_FLT_CPX(C_FLT(0.38268343236508978), t1l));
        s9a = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t1l), MUL_FLT_CPX(C_FLT(0.38268343236508978), t0l));
        a2c = (a4b + 512);
        a3c = (a4b + 528);
        a4c = (a4b + 1536);
        a5c = (a4b + 1552);
        t2l = ADD_CPX_CPX(*(a2c), *(a4c));
        t3l = SUB_CPX_CPX(*(a3c), *(a5c));
        a6c = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a2c), *(a4c)));
        a7c = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(*(a3c), *(a5c)));
        s0b = ADD_CPX_CPX(a6c, a7c);
        s1b = SUB_CPX_CPX(a7c, a6c);
        a8c = (a4b + 768);
        a9c = (a4b + 784);
        a0d = (a4b + 1280);
        a1d = (a4b + 1296);
        t4l = ADD_CPX_CPX(*(a8c), *(a0d));
        t5l = SUB_CPX_CPX(*(a9c), *(a1d));
        t6l = SUB_CPX_CPX(*(a8c), *(a0d));
        t7l = ADD_CPX_CPX(*(a9c), *(a1d));
        s2b = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t6l), MUL_FLT_CPX(C_FLT(0.92387953251128674), t7l));
        s3b = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t7l), MUL_FLT_CPX(C_FLT(0.92387953251128674), t6l));
        t8l = ADD_CPX_CPX(t4k, t2l);
        t9l = ADD_CPX_CPX(t6k, t3l);
        t0m = SUB_CPX_CPX(t4k, t2l);
        t1m = SUB_CPX_CPX(t6k, t3l);
        t2m = ADD_CPX_CPX(t8k, t4l);
        t3m = SUB_CPX_CPX(t9k, t5l);
        a2d = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8k, t4l));
        a3d = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t9k, t5l));
        s4b = ADD_CPX_CPX(a2d, a3d);
        s5b = SUB_CPX_CPX(a3d, a2d);
        t4m = ADD_CPX_CPX(t8l, t2m);
        t5m = ADD_CPX_CPX(t0m, t3m);
        t6m = SUB_CPX_CPX(t8l, t2m);
        t7m = SUB_CPX_CPX(t0m, t3m);
        t8m = ADD_CPX_CPX(t9l, s4b);
        t9m = ADD_CPX_CPX(t1m, s5b);
        t0n = SUB_CPX_CPX(t9l, s4b);
        t1n = SUB_CPX_CPX(t1m, s5b);
        t2n = ADD_CPX_CPX(t5k, s0b);
        t3n = ADD_CPX_CPX(t7k, s1b);
        t4n = SUB_CPX_CPX(t5k, s0b);
        t5n = SUB_CPX_CPX(t7k, s1b);
        t6n = ADD_CPX_CPX(s8a, s2b);
        t7n = SUB_CPX_CPX(s9a, s3b);
        a4d = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s8a, s2b));
        a5d = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s9a, s3b));
        s6b = ADD_CPX_CPX(a4d, a5d);
        s7b = SUB_CPX_CPX(a5d, a4d);
        t8n = ADD_CPX_CPX(t2n, t6n);
        t9n = ADD_CPX_CPX(t4n, t7n);
        t0o = SUB_CPX_CPX(t2n, t6n);
        t1o = SUB_CPX_CPX(t4n, t7n);
        t2o = ADD_CPX_CPX(t3n, s6b);
        t3o = ADD_CPX_CPX(t5n, s7b);
        t4o = SUB_CPX_CPX(t3n, s6b);
        t5o = SUB_CPX_CPX(t5n, s7b);
        a6d = (a4b + 32);
        a7d = (a4b + 48);
        a8d = (a4b + 2016);
        a9d = (a4b + 2032);
        t6o = ADD_CPX_CPX(*(a6d), *(a8d));
        t7o = SUB_CPX_CPX(*(a7d), *(a9d));
        t8o = SUB_CPX_CPX(*(a6d), *(a8d));
        t9o = ADD_CPX_CPX(*(a7d), *(a9d));
        a0e = (a4b + 1056);
        a1e = (a4b + 1072);
        a2e = (a4b + 992);
        a3e = (a4b + 1008);
        t0p = ADD_CPX_CPX(*(a0e), *(a2e));
        t1p = SUB_CPX_CPX(*(a1e), *(a3e));
        t2p = SUB_CPX_CPX(*(a0e), *(a2e));
        t3p = ADD_CPX_CPX(*(a1e), *(a3e));
        t4p = ADD_CPX_CPX(t6o, t0p);
        t5p = ADD_CPX_CPX(t7o, t1p);
        t6p = SUB_CPX_CPX(t6o, t0p);
        t7p = SUB_CPX_CPX(t7o, t1p);
        t8p = ADD_CPX_CPX(t8o, t3p);
        t9p = SUB_CPX_CPX(t9o, t2p);
        t0q = SUB_CPX_CPX(t8o, t3p);
        t1q = ADD_CPX_CPX(t9o, t2p);
        a4e = (a4b + 544);
        a5e = (a4b + 560);
        a6e = (a4b + 480);
        a7e = (a4b + 496);
        t2q = ADD_CPX_CPX(*(a4e), *(a6e));
        t3q = SUB_CPX_CPX(*(a5e), *(a7e));
        t4q = ADD_CPX_CPX(*(a5e), *(a7e));
        t5q = SUB_CPX_CPX(*(a6e), *(a4e));
        a8e = (a4b + 1504);
        a9e = (a4b + 1520);
        a0f = (a4b + 1568);
        a1f = (a4b + 1584);
        t6q = ADD_CPX_CPX(*(a8e), *(a0f));
        t7q = SUB_CPX_CPX(*(a1f), *(a9e));
        t8q = ADD_CPX_CPX(*(a9e), *(a1f));
        t9q = SUB_CPX_CPX(*(a0f), *(a8e));
        s8b = ADD_CPX_CPX(t2q, t6q);
        s9b = ADD_CPX_CPX(t3q, t7q);
        s0c = SUB_CPX_CPX(t4q, t8q);
        s1c = ADD_CPX_CPX(t5q, t9q);
        a2f = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2q, t6q));
        a3f = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t4q, t8q));
        t0r = ADD_CPX_CPX(a2f, a3f);
        a4f = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3q, t7q));
        a5f = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t5q, t9q));
        t1r = ADD_CPX_CPX(a4f, a5f);
        t2r = SUB_CPX_CPX(a3f, a2f);
        t3r = SUB_CPX_CPX(a5f, a4f);
        s2c = ADD_CPX_CPX(t4p, s8b);
        s3c = ADD_CPX_CPX(t5p, s9b);
        s4c = ADD_CPX_CPX(t6p, s0c);
        s5c = ADD_CPX_CPX(t7p, s1c);
        s6c = SUB_CPX_CPX(t4p, s8b);
        s7c = SUB_CPX_CPX(t5p, s9b);
        s8c = SUB_CPX_CPX(t6p, s0c);
        s9c = SUB_CPX_CPX(t7p, s1c);
        s0d = ADD_CPX_CPX(t8p, t0r);
        s1d = ADD_CPX_CPX(t9p, t1r);
        s2d = ADD_CPX_CPX(t0q, t2r);
        s3d = ADD_CPX_CPX(t1q, t3r);
        s4d = SUB_CPX_CPX(t8p, t0r);
        s5d = SUB_CPX_CPX(t9p, t1r);
        s6d = SUB_CPX_CPX(t0q, t2r);
        s7d = SUB_CPX_CPX(t1q, t3r);
        s8d = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99879545620517241), s0d), MUL_FLT_CPX(C_FLT(0.049067674327418015), s1d));
        s9d = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99879545620517241), s1d), MUL_FLT_CPX(C_FLT(0.049067674327418015), s0d));
        s0e = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), s4c), MUL_FLT_CPX(C_FLT(0.098017140329560604), s5c));
        s1e = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), s5c), MUL_FLT_CPX(C_FLT(0.098017140329560604), s4c));
        s2e = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s2d), MUL_FLT_CPX(C_FLT(0.14673047445536175), s3d));
        s3e = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s3d), MUL_FLT_CPX(C_FLT(0.14673047445536175), s2d));
        s4e = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s6c), MUL_FLT_CPX(C_FLT(0.19509032201612828), s7c));
        s5e = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s7c), MUL_FLT_CPX(C_FLT(0.19509032201612828), s6c));
        s6e = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.97003125319454397), s4d), MUL_FLT_CPX(C_FLT(0.2429801799032639), s5d));
        s7e = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.97003125319454397), s5d), MUL_FLT_CPX(C_FLT(0.2429801799032639), s4d));
        s8e = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s8c), MUL_FLT_CPX(C_FLT(0.29028467725446239), s9c));
        s9e = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s9c), MUL_FLT_CPX(C_FLT(0.29028467725446239), s8c));
        s0f = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), s6d), MUL_FLT_CPX(C_FLT(0.33688985339222005), s7d));
        s1f = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), s7d), MUL_FLT_CPX(C_FLT(0.33688985339222005), s6d));
        a6f = (a4b + 64);
        a7f = (a4b + 80);
        a8f = (a4b + 1984);
        a9f = (a4b + 2000);
        t4r = ADD_CPX_CPX(*(a6f), *(a8f));
        t5r = SUB_CPX_CPX(*(a7f), *(a9f));
        t6r = SUB_CPX_CPX(*(a6f), *(a8f));
        t7r = ADD_CPX_CPX(*(a7f), *(a9f));
        a0g = (a4b + 1088);
        a1g = (a4b + 1104);
        a2g = (a4b + 960);
        a3g = (a4b + 976);
        t8r = ADD_CPX_CPX(*(a0g), *(a2g));
        t9r = SUB_CPX_CPX(*(a1g), *(a3g));
        t0s = SUB_CPX_CPX(*(a0g), *(a2g));
        t1s = ADD_CPX_CPX(*(a1g), *(a3g));
        t2s = ADD_CPX_CPX(t4r, t8r);
        t3s = ADD_CPX_CPX(t5r, t9r);
        t4s = SUB_CPX_CPX(t4r, t8r);
        t5s = SUB_CPX_CPX(t5r, t9r);
        t6s = ADD_CPX_CPX(t6r, t1s);
        t7s = SUB_CPX_CPX(t7r, t0s);
        t8s = SUB_CPX_CPX(t6r, t1s);
        t9s = ADD_CPX_CPX(t7r, t0s);
        a4g = (a4b + 576);
        a5g = (a4b + 592);
        a6g = (a4b + 448);
        a7g = (a4b + 464);
        t0t = ADD_CPX_CPX(*(a4g), *(a6g));
        t1t = SUB_CPX_CPX(*(a5g), *(a7g));
        t2t = ADD_CPX_CPX(*(a5g), *(a7g));
        t3t = SUB_CPX_CPX(*(a6g), *(a4g));
        a8g = (a4b + 1472);
        a9g = (a4b + 1488);
        a0h = (a4b + 1600);
        a1h = (a4b + 1616);
        t4t = ADD_CPX_CPX(*(a8g), *(a0h));
        t5t = SUB_CPX_CPX(*(a1h), *(a9g));
        t6t = ADD_CPX_CPX(*(a9g), *(a1h));
        t7t = SUB_CPX_CPX(*(a0h), *(a8g));
        s2f = ADD_CPX_CPX(t0t, t4t);
        s3f = ADD_CPX_CPX(t1t, t5t);
        s4f = SUB_CPX_CPX(t2t, t6t);
        s5f = ADD_CPX_CPX(t3t, t7t);
        a2h = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0t, t4t));
        a3h = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t2t, t6t));
        t8t = ADD_CPX_CPX(a2h, a3h);
        a4h = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t1t, t5t));
        a5h = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3t, t7t));
        t9t = ADD_CPX_CPX(a4h, a5h);
        t0u = SUB_CPX_CPX(a3h, a2h);
        t1u = SUB_CPX_CPX(a5h, a4h);
        s6f = ADD_CPX_CPX(t2s, s2f);
        s7f = ADD_CPX_CPX(t3s, s3f);
        s8f = ADD_CPX_CPX(t4s, s4f);
        s9f = ADD_CPX_CPX(t5s, s5f);
        s0g = SUB_CPX_CPX(t2s, s2f);
        s1g = SUB_CPX_CPX(t3s, s3f);
        s2g = SUB_CPX_CPX(t4s, s4f);
        s3g = SUB_CPX_CPX(t5s, s5f);
        s4g = ADD_CPX_CPX(t6s, t8t);
        s5g = ADD_CPX_CPX(t7s, t9t);
        s6g = ADD_CPX_CPX(t8s, t0u);
        s7g = ADD_CPX_CPX(t9s, t1u);
        s8g = SUB_CPX_CPX(t6s, t8t);
        s9g = SUB_CPX_CPX(t7s, t9t);
        s0h = SUB_CPX_CPX(t8s, t0u);
        s1h = SUB_CPX_CPX(t9s, t1u);
        s2h = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), s4g), MUL_FLT_CPX(C_FLT(0.098017140329560604), s5g));
        s3h = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), s5g), MUL_FLT_CPX(C_FLT(0.098017140329560604), s4g));
        s4h = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s8f), MUL_FLT_CPX(C_FLT(0.19509032201612828), s9f));
        s5h = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s9f), MUL_FLT_CPX(C_FLT(0.19509032201612828), s8f));
        s6h = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s6g), MUL_FLT_CPX(C_FLT(0.29028467725446239), s7g));
        s7h = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s7g), MUL_FLT_CPX(C_FLT(0.29028467725446239), s6g));
        s8h = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s0g), MUL_FLT_CPX(C_FLT(0.38268343236508978), s1g));
        s9h = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s1g), MUL_FLT_CPX(C_FLT(0.38268343236508978), s0g));
        s0i = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s8g), MUL_FLT_CPX(C_FLT(0.47139673682599764), s9g));
        s1i = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s9g), MUL_FLT_CPX(C_FLT(0.47139673682599764), s8g));
        s2i = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s2g), MUL_FLT_CPX(C_FLT(0.55557023301960218), s3g));
        s3i = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s3g), MUL_FLT_CPX(C_FLT(0.55557023301960218), s2g));
        s4i = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), s0h), MUL_FLT_CPX(C_FLT(0.63439328416364549), s1h));
        s5i = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), s1h), MUL_FLT_CPX(C_FLT(0.63439328416364549), s0h));
        a6h = (a4b + 96);
        a7h = (a4b + 112);
        a8h = (a4b + 1952);
        a9h = (a4b + 1968);
        t2u = ADD_CPX_CPX(*(a6h), *(a8h));
        t3u = SUB_CPX_CPX(*(a7h), *(a9h));
        t4u = SUB_CPX_CPX(*(a6h), *(a8h));
        t5u = ADD_CPX_CPX(*(a7h), *(a9h));
        a0i = (a4b + 1120);
        a1i = (a4b + 1136);
        a2i = (a4b + 928);
        a3i = (a4b + 944);
        t6u = ADD_CPX_CPX(*(a0i), *(a2i));
        t7u = SUB_CPX_CPX(*(a1i), *(a3i));
        t8u = SUB_CPX_CPX(*(a0i), *(a2i));
        t9u = ADD_CPX_CPX(*(a1i), *(a3i));
        t0v = ADD_CPX_CPX(t2u, t6u);
        t1v = ADD_CPX_CPX(t3u, t7u);
        t2v = SUB_CPX_CPX(t2u, t6u);
        t3v = SUB_CPX_CPX(t3u, t7u);
        t4v = ADD_CPX_CPX(t4u, t9u);
        t5v = SUB_CPX_CPX(t5u, t8u);
        t6v = SUB_CPX_CPX(t4u, t9u);
        t7v = ADD_CPX_CPX(t5u, t8u);
        a4i = (a4b + 608);
        a5i = (a4b + 624);
        a6i = (a4b + 416);
        a7i = (a4b + 432);
        t8v = ADD_CPX_CPX(*(a4i), *(a6i));
        t9v = SUB_CPX_CPX(*(a5i), *(a7i));
        t0w = ADD_CPX_CPX(*(a5i), *(a7i));
        t1w = SUB_CPX_CPX(*(a6i), *(a4i));
        a8i = (a4b + 1440);
        a9i = (a4b + 1456);
        a0j = (a4b + 1632);
        a1j = (a4b + 1648);
        t2w = ADD_CPX_CPX(*(a8i), *(a0j));
        t3w = SUB_CPX_CPX(*(a1j), *(a9i));
        t4w = ADD_CPX_CPX(*(a9i), *(a1j));
        t5w = SUB_CPX_CPX(*(a0j), *(a8i));
        s6i = ADD_CPX_CPX(t8v, t2w);
        s7i = ADD_CPX_CPX(t9v, t3w);
        s8i = SUB_CPX_CPX(t0w, t4w);
        s9i = ADD_CPX_CPX(t1w, t5w);
        a2j = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8v, t2w));
        a3j = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t0w, t4w));
        t6w = ADD_CPX_CPX(a2j, a3j);
        a4j = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9v, t3w));
        a5j = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t1w, t5w));
        t7w = ADD_CPX_CPX(a4j, a5j);
        t8w = SUB_CPX_CPX(a3j, a2j);
        t9w = SUB_CPX_CPX(a5j, a4j);
        s0j = ADD_CPX_CPX(t0v, s6i);
        s1j = ADD_CPX_CPX(t1v, s7i);
        s2j = ADD_CPX_CPX(t2v, s8i);
        s3j = ADD_CPX_CPX(t3v, s9i);
        s4j = SUB_CPX_CPX(t0v, s6i);
        s5j = SUB_CPX_CPX(t1v, s7i);
        s6j = SUB_CPX_CPX(t2v, s8i);
        s7j = SUB_CPX_CPX(t3v, s9i);
        s8j = ADD_CPX_CPX(t4v, t6w);
        s9j = ADD_CPX_CPX(t5v, t7w);
        s0k = ADD_CPX_CPX(t6v, t8w);
        s1k = ADD_CPX_CPX(t7v, t9w);
        s2k = SUB_CPX_CPX(t4v, t6w);
        s3k = SUB_CPX_CPX(t5v, t7w);
        s4k = SUB_CPX_CPX(t6v, t8w);
        s5k = SUB_CPX_CPX(t7v, t9w);
        s6k = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s8j), MUL_FLT_CPX(C_FLT(0.14673047445536175), s9j));
        s7k = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s9j), MUL_FLT_CPX(C_FLT(0.14673047445536175), s8j));
        s8k = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s2j), MUL_FLT_CPX(C_FLT(0.29028467725446239), s3j));
        s9k = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s3j), MUL_FLT_CPX(C_FLT(0.29028467725446239), s2j));
        s0l = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.90398929312344334), s0k), MUL_FLT_CPX(C_FLT(0.42755509343028208), s1k));
        s1l = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.90398929312344334), s1k), MUL_FLT_CPX(C_FLT(0.42755509343028208), s0k));
        s2l = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s4j), MUL_FLT_CPX(C_FLT(0.55557023301960218), s5j));
        s3l = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s5j), MUL_FLT_CPX(C_FLT(0.55557023301960218), s4j));
        s4l = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), s2k), MUL_FLT_CPX(C_FLT(0.67155895484701844), s3k));
        s5l = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), s3k), MUL_FLT_CPX(C_FLT(0.67155895484701844), s2k));
        s6l = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), s6j), MUL_FLT_CPX(C_FLT(0.77301045336273699), s7j));
        s7l = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), s7j), MUL_FLT_CPX(C_FLT(0.77301045336273699), s6j));
        s8l = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.51410274419322177), s4k), MUL_FLT_CPX(C_FLT(0.85772861000027212), s5k));
        s9l = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.51410274419322177), s5k), MUL_FLT_CPX(C_FLT(0.85772861000027212), s4k));
        a6j = (a4b + 128);
        a7j = (a4b + 144);
        a8j = (a4b + 1920);
        a9j = (a4b + 1936);
        t0x = ADD_CPX_CPX(*(a6j), *(a8j));
        t1x = SUB_CPX_CPX(*(a7j), *(a9j));
        t2x = SUB_CPX_CPX(*(a6j), *(a8j));
        t3x = ADD_CPX_CPX(*(a7j), *(a9j));
        a0k = (a4b + 1152);
        a1k = (a4b + 1168);
        a2k = (a4b + 896);
        a3k = (a4b + 912);
        t4x = ADD_CPX_CPX(*(a0k), *(a2k));
        t5x = SUB_CPX_CPX(*(a1k), *(a3k));
        t6x = SUB_CPX_CPX(*(a0k), *(a2k));
        t7x = ADD_CPX_CPX(*(a1k), *(a3k));
        t8x = ADD_CPX_CPX(t0x, t4x);
        t9x = ADD_CPX_CPX(t1x, t5x);
        t0y = SUB_CPX_CPX(t0x, t4x);
        t1y = SUB_CPX_CPX(t1x, t5x);
        t2y = ADD_CPX_CPX(t2x, t7x);
        t3y = SUB_CPX_CPX(t3x, t6x);
        t4y = SUB_CPX_CPX(t2x, t7x);
        t5y = ADD_CPX_CPX(t3x, t6x);
        a4k = (a4b + 640);
        a5k = (a4b + 656);
        a6k = (a4b + 384);
        a7k = (a4b + 400);
        t6y = ADD_CPX_CPX(*(a4k), *(a6k));
        t7y = SUB_CPX_CPX(*(a5k), *(a7k));
        t8y = ADD_CPX_CPX(*(a5k), *(a7k));
        t9y = SUB_CPX_CPX(*(a6k), *(a4k));
        a8k = (a4b + 1408);
        a9k = (a4b + 1424);
        a0l = (a4b + 1664);
        a1l = (a4b + 1680);
        t0z = ADD_CPX_CPX(*(a8k), *(a0l));
        t1z = SUB_CPX_CPX(*(a1l), *(a9k));
        t2z = ADD_CPX_CPX(*(a9k), *(a1l));
        t3z = SUB_CPX_CPX(*(a0l), *(a8k));
        s0m = ADD_CPX_CPX(t6y, t0z);
        s1m = ADD_CPX_CPX(t7y, t1z);
        s2m = SUB_CPX_CPX(t8y, t2z);
        s3m = ADD_CPX_CPX(t9y, t3z);
        a2l = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t6y, t0z));
        a3l = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t8y, t2z));
        t4z = ADD_CPX_CPX(a2l, a3l);
        a4l = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t7y, t1z));
        a5l = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9y, t3z));
        t5z = ADD_CPX_CPX(a4l, a5l);
        t6z = SUB_CPX_CPX(a3l, a2l);
        t7z = SUB_CPX_CPX(a5l, a4l);
        s4m = ADD_CPX_CPX(t8x, s0m);
        s5m = ADD_CPX_CPX(t9x, s1m);
        s6m = ADD_CPX_CPX(t0y, s2m);
        s7m = ADD_CPX_CPX(t1y, s3m);
        s8m = SUB_CPX_CPX(t0y, s2m);
        s9m = SUB_CPX_CPX(t1y, s3m);
        s0n = ADD_CPX_CPX(t2y, t4z);
        s1n = ADD_CPX_CPX(t3y, t5z);
        s2n = ADD_CPX_CPX(t4y, t6z);
        s3n = ADD_CPX_CPX(t5y, t7z);
        s4n = SUB_CPX_CPX(t2y, t4z);
        s5n = SUB_CPX_CPX(t3y, t5z);
        s6n = SUB_CPX_CPX(t4y, t6z);
        s7n = SUB_CPX_CPX(t5y, t7z);
        s8n = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s0n), MUL_FLT_CPX(C_FLT(0.19509032201612828), s1n));
        s9n = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s1n), MUL_FLT_CPX(C_FLT(0.19509032201612828), s0n));
        s0o = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s6m), MUL_FLT_CPX(C_FLT(0.38268343236508978), s7m));
        s1o = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s7m), MUL_FLT_CPX(C_FLT(0.38268343236508978), s6m));
        s2o = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s2n), MUL_FLT_CPX(C_FLT(0.55557023301960218), s3n));
        s3o = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s3n), MUL_FLT_CPX(C_FLT(0.55557023301960218), s2n));
        a6l = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8x, s0m));
        a7l = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9x, s1m));
        s4o = ADD_CPX_CPX(a6l, a7l);
        s5o = SUB_CPX_CPX(a7l, a6l);
        s6o = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s4n), MUL_FLT_CPX(C_FLT(0.83146961230254524), s5n));
        s7o = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s5n), MUL_FLT_CPX(C_FLT(0.83146961230254524), s4n));
        s8o = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s8m), MUL_FLT_CPX(C_FLT(0.92387953251128674), s9m));
        s9o = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s9m), MUL_FLT_CPX(C_FLT(0.92387953251128674), s8m));
        s0p = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s6n), MUL_FLT_CPX(C_FLT(0.98078528040323043), s7n));
        s1p = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s7n), MUL_FLT_CPX(C_FLT(0.98078528040323043), s6n));
        a8l = (a4b + 160);
        a9l = (a4b + 176);
        a0m = (a4b + 1888);
        a1m = (a4b + 1904);
        t8z = ADD_CPX_CPX(*(a8l), *(a0m));
        t9z = SUB_CPX_CPX(*(a9l), *(a1m));
        t0A = SUB_CPX_CPX(*(a8l), *(a0m));
        t1A = ADD_CPX_CPX(*(a9l), *(a1m));
        a2m = (a4b + 1184);
        a3m = (a4b + 1200);
        a4m = (a4b + 864);
        a5m = (a4b + 880);
        t2A = ADD_CPX_CPX(*(a2m), *(a4m));
        t3A = SUB_CPX_CPX(*(a3m), *(a5m));
        t4A = SUB_CPX_CPX(*(a2m), *(a4m));
        t5A = ADD_CPX_CPX(*(a3m), *(a5m));
        t6A = ADD_CPX_CPX(t8z, t2A);
        t7A = ADD_CPX_CPX(t9z, t3A);
        t8A = SUB_CPX_CPX(t8z, t2A);
        t9A = SUB_CPX_CPX(t9z, t3A);
        t0B = ADD_CPX_CPX(t0A, t5A);
        t1B = SUB_CPX_CPX(t1A, t4A);
        t2B = SUB_CPX_CPX(t0A, t5A);
        t3B = ADD_CPX_CPX(t1A, t4A);
        a6m = (a4b + 672);
        a7m = (a4b + 688);
        a8m = (a4b + 352);
        a9m = (a4b + 368);
        t4B = ADD_CPX_CPX(*(a6m), *(a8m));
        t5B = SUB_CPX_CPX(*(a7m), *(a9m));
        t6B = ADD_CPX_CPX(*(a7m), *(a9m));
        t7B = SUB_CPX_CPX(*(a8m), *(a6m));
        a0n = (a4b + 1376);
        a1n = (a4b + 1392);
        a2n = (a4b + 1696);
        a3n = (a4b + 1712);
        t8B = ADD_CPX_CPX(*(a0n), *(a2n));
        t9B = SUB_CPX_CPX(*(a3n), *(a1n));
        t0C = ADD_CPX_CPX(*(a1n), *(a3n));
        t1C = SUB_CPX_CPX(*(a2n), *(a0n));
        s2p = ADD_CPX_CPX(t4B, t8B);
        s3p = ADD_CPX_CPX(t5B, t9B);
        s4p = SUB_CPX_CPX(t6B, t0C);
        s5p = ADD_CPX_CPX(t7B, t1C);
        a4n = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t4B, t8B));
        a5n = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t6B, t0C));
        t2C = ADD_CPX_CPX(a4n, a5n);
        a6n = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t5B, t9B));
        a7n = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t7B, t1C));
        t3C = ADD_CPX_CPX(a6n, a7n);
        t4C = SUB_CPX_CPX(a5n, a4n);
        t5C = SUB_CPX_CPX(a7n, a6n);
        s6p = ADD_CPX_CPX(t6A, s2p);
        s7p = ADD_CPX_CPX(t7A, s3p);
        s8p = ADD_CPX_CPX(t8A, s4p);
        s9p = ADD_CPX_CPX(t9A, s5p);
        s0q = SUB_CPX_CPX(t6A, s2p);
        s1q = SUB_CPX_CPX(t7A, s3p);
        s2q = SUB_CPX_CPX(t8A, s4p);
        s3q = SUB_CPX_CPX(t9A, s5p);
        s4q = ADD_CPX_CPX(t0B, t2C);
        s5q = ADD_CPX_CPX(t1B, t3C);
        s6q = ADD_CPX_CPX(t2B, t4C);
        s7q = ADD_CPX_CPX(t3B, t5C);
        s8q = SUB_CPX_CPX(t0B, t2C);
        s9q = SUB_CPX_CPX(t1B, t3C);
        s0r = SUB_CPX_CPX(t2B, t4C);
        s1r = SUB_CPX_CPX(t3B, t5C);
        s2r = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.97003125319454397), s4q), MUL_FLT_CPX(C_FLT(0.2429801799032639), s5q));
        s3r = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.97003125319454397), s5q), MUL_FLT_CPX(C_FLT(0.2429801799032639), s4q));
        s4r = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s8p), MUL_FLT_CPX(C_FLT(0.47139673682599764), s9p));
        s5r = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s9p), MUL_FLT_CPX(C_FLT(0.47139673682599764), s8p));
        s6r = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), s6q), MUL_FLT_CPX(C_FLT(0.67155895484701844), s7q));
        s7r = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), s7q), MUL_FLT_CPX(C_FLT(0.67155895484701844), s6q));
        s8r = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s0q), MUL_FLT_CPX(C_FLT(0.83146961230254524), s1q));
        s9r = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s1q), MUL_FLT_CPX(C_FLT(0.83146961230254524), s0q));
        s0s = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.33688985339222005), s8q), MUL_FLT_CPX(C_FLT(0.94154406518302081), s9q));
        s1s = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.33688985339222005), s9q), MUL_FLT_CPX(C_FLT(0.94154406518302081), s8q));
        s2s = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), s2q), MUL_FLT_CPX(C_FLT(0.99518472667219693), s3q));
        s3s = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), s3q), MUL_FLT_CPX(C_FLT(0.99518472667219693), s2q));
        s4s = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s1r), MUL_FLT_CPX(C_FLT(0.14673047445536175), s0r));
        s5s = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s0r), MUL_FLT_CPX(C_FLT(0.14673047445536175), s1r));
        a8n = (a4b + 192);
        a9n = (a4b + 208);
        a0o = (a4b + 1856);
        a1o = (a4b + 1872);
        t6C = ADD_CPX_CPX(*(a8n), *(a0o));
        t7C = SUB_CPX_CPX(*(a9n), *(a1o));
        t8C = SUB_CPX_CPX(*(a8n), *(a0o));
        t9C = ADD_CPX_CPX(*(a9n), *(a1o));
        a2o = (a4b + 1216);
        a3o = (a4b + 1232);
        a4o = (a4b + 832);
        a5o = (a4b + 848);
        t0D = ADD_CPX_CPX(*(a2o), *(a4o));
        t1D = SUB_CPX_CPX(*(a3o), *(a5o));
        t2D = SUB_CPX_CPX(*(a2o), *(a4o));
        t3D = ADD_CPX_CPX(*(a3o), *(a5o));
        t4D = ADD_CPX_CPX(t6C, t0D);
        t5D = ADD_CPX_CPX(t7C, t1D);
        t6D = SUB_CPX_CPX(t6C, t0D);
        t7D = SUB_CPX_CPX(t7C, t1D);
        t8D = ADD_CPX_CPX(t8C, t3D);
        t9D = SUB_CPX_CPX(t9C, t2D);
        t0E = SUB_CPX_CPX(t8C, t3D);
        t1E = ADD_CPX_CPX(t9C, t2D);
        a6o = (a4b + 704);
        a7o = (a4b + 720);
        a8o = (a4b + 320);
        a9o = (a4b + 336);
        t2E = ADD_CPX_CPX(*(a6o), *(a8o));
        t3E = SUB_CPX_CPX(*(a7o), *(a9o));
        t4E = ADD_CPX_CPX(*(a7o), *(a9o));
        t5E = SUB_CPX_CPX(*(a8o), *(a6o));
        a0p = (a4b + 1344);
        a1p = (a4b + 1360);
        a2p = (a4b + 1728);
        a3p = (a4b + 1744);
        t6E = ADD_CPX_CPX(*(a0p), *(a2p));
        t7E = SUB_CPX_CPX(*(a3p), *(a1p));
        t8E = ADD_CPX_CPX(*(a1p), *(a3p));
        t9E = SUB_CPX_CPX(*(a2p), *(a0p));
        s6s = ADD_CPX_CPX(t2E, t6E);
        s7s = ADD_CPX_CPX(t3E, t7E);
        s8s = SUB_CPX_CPX(t4E, t8E);
        s9s = ADD_CPX_CPX(t5E, t9E);
        a4p = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2E, t6E));
        a5p = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t4E, t8E));
        t0F = ADD_CPX_CPX(a4p, a5p);
        a6p = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3E, t7E));
        a7p = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t5E, t9E));
        t1F = ADD_CPX_CPX(a6p, a7p);
        t2F = SUB_CPX_CPX(a5p, a4p);
        t3F = SUB_CPX_CPX(a7p, a6p);
        s0t = ADD_CPX_CPX(t4D, s6s);
        s1t = ADD_CPX_CPX(t5D, s7s);
        s2t = ADD_CPX_CPX(t6D, s8s);
        s3t = ADD_CPX_CPX(t7D, s9s);
        s4t = SUB_CPX_CPX(t4D, s6s);
        s5t = SUB_CPX_CPX(t5D, s7s);
        s6t = SUB_CPX_CPX(t6D, s8s);
        s7t = SUB_CPX_CPX(t7D, s9s);
        s8t = ADD_CPX_CPX(t8D, t0F);
        s9t = ADD_CPX_CPX(t9D, t1F);
        s0u = ADD_CPX_CPX(t0E, t2F);
        s1u = ADD_CPX_CPX(t1E, t3F);
        s2u = SUB_CPX_CPX(t8D, t0F);
        s3u = SUB_CPX_CPX(t9D, t1F);
        s4u = SUB_CPX_CPX(t0E, t2F);
        s5u = SUB_CPX_CPX(t1E, t3F);
        s6u = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s8t), MUL_FLT_CPX(C_FLT(0.29028467725446239), s9t));
        s7u = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s9t), MUL_FLT_CPX(C_FLT(0.29028467725446239), s8t));
        s8u = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s2t), MUL_FLT_CPX(C_FLT(0.55557023301960218), s3t));
        s9u = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s3t), MUL_FLT_CPX(C_FLT(0.55557023301960218), s2t));
        s0v = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), s0u), MUL_FLT_CPX(C_FLT(0.77301045336273699), s1u));
        s1v = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), s1u), MUL_FLT_CPX(C_FLT(0.77301045336273699), s0u));
        s2v = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s4t), MUL_FLT_CPX(C_FLT(0.92387953251128674), s5t));
        s3v = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s5t), MUL_FLT_CPX(C_FLT(0.92387953251128674), s4t));
        s4v = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), s2u), MUL_FLT_CPX(C_FLT(0.99518472667219693), s3u));
        s5v = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), s3u), MUL_FLT_CPX(C_FLT(0.99518472667219693), s2u));
        s6v = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s7t), MUL_FLT_CPX(C_FLT(0.19509032201612828), s6t));
        s7v = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s6t), MUL_FLT_CPX(C_FLT(0.19509032201612828), s7t));
        s8v = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s5u), MUL_FLT_CPX(C_FLT(0.47139673682599764), s4u));
        s9v = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s4u), MUL_FLT_CPX(C_FLT(0.47139673682599764), s5u));
        a8p = (a4b + 224);
        a9p = (a4b + 240);
        a0q = (a4b + 1824);
        a1q = (a4b + 1840);
        t4F = ADD_CPX_CPX(*(a8p), *(a0q));
        t5F = SUB_CPX_CPX(*(a9p), *(a1q));
        t6F = SUB_CPX_CPX(*(a8p), *(a0q));
        t7F = ADD_CPX_CPX(*(a9p), *(a1q));
        a2q = (a4b + 1248);
        a3q = (a4b + 1264);
        a4q = (a4b + 800);
        a5q = (a4b + 816);
        t8F = ADD_CPX_CPX(*(a2q), *(a4q));
        t9F = SUB_CPX_CPX(*(a3q), *(a5q));
        t0G = SUB_CPX_CPX(*(a2q), *(a4q));
        t1G = ADD_CPX_CPX(*(a3q), *(a5q));
        t2G = ADD_CPX_CPX(t4F, t8F);
        t3G = ADD_CPX_CPX(t5F, t9F);
        t4G = SUB_CPX_CPX(t4F, t8F);
        t5G = SUB_CPX_CPX(t5F, t9F);
        t6G = ADD_CPX_CPX(t6F, t1G);
        t7G = SUB_CPX_CPX(t7F, t0G);
        t8G = SUB_CPX_CPX(t6F, t1G);
        t9G = ADD_CPX_CPX(t7F, t0G);
        a6q = (a4b + 736);
        a7q = (a4b + 752);
        a8q = (a4b + 288);
        a9q = (a4b + 304);
        t0H = ADD_CPX_CPX(*(a6q), *(a8q));
        t1H = SUB_CPX_CPX(*(a7q), *(a9q));
        t2H = ADD_CPX_CPX(*(a7q), *(a9q));
        t3H = SUB_CPX_CPX(*(a8q), *(a6q));
        a0r = (a4b + 1312);
        a1r = (a4b + 1328);
        a2r = (a4b + 1760);
        a3r = (a4b + 1776);
        t4H = ADD_CPX_CPX(*(a0r), *(a2r));
        t5H = SUB_CPX_CPX(*(a3r), *(a1r));
        t6H = ADD_CPX_CPX(*(a1r), *(a3r));
        t7H = SUB_CPX_CPX(*(a2r), *(a0r));
        s0w = ADD_CPX_CPX(t0H, t4H);
        s1w = ADD_CPX_CPX(t1H, t5H);
        s2w = SUB_CPX_CPX(t2H, t6H);
        s3w = ADD_CPX_CPX(t3H, t7H);
        a4r = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0H, t4H));
        a5r = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t2H, t6H));
        t8H = ADD_CPX_CPX(a4r, a5r);
        a6r = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t1H, t5H));
        a7r = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3H, t7H));
        t9H = ADD_CPX_CPX(a6r, a7r);
        t0I = SUB_CPX_CPX(a5r, a4r);
        t1I = SUB_CPX_CPX(a7r, a6r);
        s4w = ADD_CPX_CPX(t2G, s0w);
        s5w = ADD_CPX_CPX(t3G, s1w);
        s6w = ADD_CPX_CPX(t4G, s2w);
        s7w = ADD_CPX_CPX(t5G, s3w);
        s8w = SUB_CPX_CPX(t2G, s0w);
        s9w = SUB_CPX_CPX(t3G, s1w);
        s0x = SUB_CPX_CPX(t4G, s2w);
        s1x = SUB_CPX_CPX(t5G, s3w);
        s2x = ADD_CPX_CPX(t6G, t8H);
        s3x = ADD_CPX_CPX(t7G, t9H);
        s4x = ADD_CPX_CPX(t8G, t0I);
        s5x = ADD_CPX_CPX(t9G, t1I);
        s6x = SUB_CPX_CPX(t6G, t8H);
        s7x = SUB_CPX_CPX(t7G, t9H);
        s8x = SUB_CPX_CPX(t8G, t0I);
        s9x = SUB_CPX_CPX(t9G, t1I);
        s0y = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), s2x), MUL_FLT_CPX(C_FLT(0.33688985339222005), s3x));
        s1y = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), s3x), MUL_FLT_CPX(C_FLT(0.33688985339222005), s2x));
        s2y = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), s6w), MUL_FLT_CPX(C_FLT(0.63439328416364549), s7w));
        s3y = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), s7w), MUL_FLT_CPX(C_FLT(0.63439328416364549), s6w));
        s4y = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.51410274419322177), s4x), MUL_FLT_CPX(C_FLT(0.85772861000027212), s5x));
        s5y = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.51410274419322177), s5x), MUL_FLT_CPX(C_FLT(0.85772861000027212), s4x));
        s6y = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s8w), MUL_FLT_CPX(C_FLT(0.98078528040323043), s9w));
        s7y = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s9w), MUL_FLT_CPX(C_FLT(0.98078528040323043), s8w));
        s8y = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s7x), MUL_FLT_CPX(C_FLT(0.14673047445536175), s6x));
        s9y = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s6x), MUL_FLT_CPX(C_FLT(0.14673047445536175), s7x));
        s0z = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s1x), MUL_FLT_CPX(C_FLT(0.47139673682599764), s0x));
        s1z = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s0x), MUL_FLT_CPX(C_FLT(0.47139673682599764), s1x));
        s2z = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.67155895484701844), s9x), MUL_FLT_CPX(C_FLT(0.74095112535495911), s8x));
        s3z = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.67155895484701844), s8x), MUL_FLT_CPX(C_FLT(0.74095112535495911), s9x));
        t2I = ADD_CPX_CPX(t4m, s4m);
        t3I = ADD_CPX_CPX(t6m, s5m);
        t4I = SUB_CPX_CPX(t4m, s4m);
        t5I = SUB_CPX_CPX(t6m, s5m);
        t6I = ADD_CPX_CPX(s2c, s4w);
        t7I = SUB_CPX_CPX(s3c, s5w);
        t8I = SUB_CPX_CPX(s2c, s4w);
        t9I = ADD_CPX_CPX(s3c, s5w);
        s4z = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t8I), MUL_FLT_CPX(C_FLT(0.38268343236508978), t9I));
        s5z = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t9I), MUL_FLT_CPX(C_FLT(0.38268343236508978), t8I));
        t0J = ADD_CPX_CPX(s6f, s0t);
        t1J = SUB_CPX_CPX(s7f, s1t);
        a8r = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s6f, s0t));
        a9r = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s7f, s1t));
        s6z = ADD_CPX_CPX(a8r, a9r);
        s7z = SUB_CPX_CPX(a9r, a8r);
        t2J = ADD_CPX_CPX(s0j, s6p);
        t3J = SUB_CPX_CPX(s1j, s7p);
        t4J = SUB_CPX_CPX(s0j, s6p);
        t5J = ADD_CPX_CPX(s1j, s7p);
        s8z = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t4J), MUL_FLT_CPX(C_FLT(0.92387953251128674), t5J));
        s9z = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t5J), MUL_FLT_CPX(C_FLT(0.92387953251128674), t4J));
        t6J = ADD_CPX_CPX(t2I, t0J);
        t7J = ADD_CPX_CPX(t4I, t1J);
        t8J = SUB_CPX_CPX(t2I, t0J);
        t9J = SUB_CPX_CPX(t4I, t1J);
        t0K = ADD_CPX_CPX(t6I, t2J);
        t1K = SUB_CPX_CPX(t7I, t3J);
        a0s = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t6I, t2J));
        a1s = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t7I, t3J));
        s0A = ADD_CPX_CPX(a0s, a1s);
        s1A = SUB_CPX_CPX(a1s, a0s);
        a2s = (dst + i2);
        *(a2s) = ADD_CPX_CPX(t6J, t0K);
        *((a2s + 512)) = ADD_CPX_CPX(t8J, t1K);
        *((a2s + 1024)) = SUB_CPX_CPX(t6J, t0K);
        *((a2s + 1536)) = SUB_CPX_CPX(t8J, t1K);
        *((a2s + 256)) = ADD_CPX_CPX(t7J, s0A);
        *((a2s + 768)) = ADD_CPX_CPX(t9J, s1A);
        *((a2s + 1280)) = SUB_CPX_CPX(t7J, s0A);
        *((a2s + 1792)) = SUB_CPX_CPX(t9J, s1A);
        t2K = ADD_CPX_CPX(t3I, s6z);
        t3K = ADD_CPX_CPX(t5I, s7z);
        t4K = SUB_CPX_CPX(t3I, s6z);
        t5K = SUB_CPX_CPX(t5I, s7z);
        t6K = ADD_CPX_CPX(s4z, s8z);
        t7K = SUB_CPX_CPX(s5z, s9z);
        a3s = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4z, s8z));
        a4s = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5z, s9z));
        s2A = ADD_CPX_CPX(a3s, a4s);
        s3A = SUB_CPX_CPX(a4s, a3s);
        *((a2s + 128)) = ADD_CPX_CPX(t2K, t6K);
        *((a2s + 640)) = ADD_CPX_CPX(t4K, t7K);
        *((a2s + 1152)) = SUB_CPX_CPX(t2K, t6K);
        *((a2s + 1664)) = SUB_CPX_CPX(t4K, t7K);
        *((a2s + 384)) = ADD_CPX_CPX(t3K, s2A);
        *((a2s + 896)) = ADD_CPX_CPX(t5K, s3A);
        *((a2s + 1408)) = SUB_CPX_CPX(t3K, s2A);
        *((a2s + 1920)) = SUB_CPX_CPX(t5K, s3A);
        t8K = ADD_CPX_CPX(t8n, s8n);
        t9K = ADD_CPX_CPX(t0o, s9n);
        t0L = SUB_CPX_CPX(t8n, s8n);
        t1L = SUB_CPX_CPX(t0o, s9n);
        t2L = ADD_CPX_CPX(s8d, s0y);
        t3L = SUB_CPX_CPX(s9d, s1y);
        t4L = SUB_CPX_CPX(s8d, s0y);
        t5L = ADD_CPX_CPX(s9d, s1y);
        s4A = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t4L), MUL_FLT_CPX(C_FLT(0.38268343236508978), t5L));
        s5A = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t5L), MUL_FLT_CPX(C_FLT(0.38268343236508978), t4L));
        t6L = ADD_CPX_CPX(s2h, s6u);
        t7L = SUB_CPX_CPX(s3h, s7u);
        a5s = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s2h, s6u));
        a6s = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s3h, s7u));
        s6A = ADD_CPX_CPX(a5s, a6s);
        s7A = SUB_CPX_CPX(a6s, a5s);
        t8L = ADD_CPX_CPX(s6k, s2r);
        t9L = SUB_CPX_CPX(s7k, s3r);
        t0M = SUB_CPX_CPX(s6k, s2r);
        t1M = ADD_CPX_CPX(s7k, s3r);
        s8A = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t0M), MUL_FLT_CPX(C_FLT(0.92387953251128674), t1M));
        s9A = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t1M), MUL_FLT_CPX(C_FLT(0.92387953251128674), t0M));
        t2M = ADD_CPX_CPX(t8K, t6L);
        t3M = ADD_CPX_CPX(t0L, t7L);
        t4M = SUB_CPX_CPX(t8K, t6L);
        t5M = SUB_CPX_CPX(t0L, t7L);
        t6M = ADD_CPX_CPX(t2L, t8L);
        t7M = SUB_CPX_CPX(t3L, t9L);
        a7s = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2L, t8L));
        a8s = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t3L, t9L));
        s0B = ADD_CPX_CPX(a7s, a8s);
        s1B = SUB_CPX_CPX(a8s, a7s);
        *((a2s + 16)) = ADD_CPX_CPX(t2M, t6M);
        *((a2s + 528)) = ADD_CPX_CPX(t4M, t7M);
        *((a2s + 1040)) = SUB_CPX_CPX(t2M, t6M);
        *((a2s + 1552)) = SUB_CPX_CPX(t4M, t7M);
        *((a2s + 272)) = ADD_CPX_CPX(t3M, s0B);
        *((a2s + 784)) = ADD_CPX_CPX(t5M, s1B);
        *((a2s + 1296)) = SUB_CPX_CPX(t3M, s0B);
        *((a2s + 1808)) = SUB_CPX_CPX(t5M, s1B);
        t8M = ADD_CPX_CPX(t9K, s6A);
        t9M = ADD_CPX_CPX(t1L, s7A);
        t0N = SUB_CPX_CPX(t9K, s6A);
        t1N = SUB_CPX_CPX(t1L, s7A);
        t2N = ADD_CPX_CPX(s4A, s8A);
        t3N = SUB_CPX_CPX(s5A, s9A);
        a9s = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4A, s8A));
        a0t = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5A, s9A));
        s2B = ADD_CPX_CPX(a9s, a0t);
        s3B = SUB_CPX_CPX(a0t, a9s);
        *((a2s + 144)) = ADD_CPX_CPX(t8M, t2N);
        *((a2s + 656)) = ADD_CPX_CPX(t0N, t3N);
        *((a2s + 1168)) = SUB_CPX_CPX(t8M, t2N);
        *((a2s + 1680)) = SUB_CPX_CPX(t0N, t3N);
        *((a2s + 400)) = ADD_CPX_CPX(t9M, s2B);
        *((a2s + 912)) = ADD_CPX_CPX(t1N, s3B);
        *((a2s + 1424)) = SUB_CPX_CPX(t9M, s2B);
        *((a2s + 1936)) = SUB_CPX_CPX(t1N, s3B);
        t4N = ADD_CPX_CPX(t8m, s0o);
        t5N = ADD_CPX_CPX(t0n, s1o);
        t6N = SUB_CPX_CPX(t8m, s0o);
        t7N = SUB_CPX_CPX(t0n, s1o);
        t8N = ADD_CPX_CPX(s0e, s2y);
        t9N = SUB_CPX_CPX(s1e, s3y);
        t0O = SUB_CPX_CPX(s0e, s2y);
        t1O = ADD_CPX_CPX(s1e, s3y);
        s4B = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t0O), MUL_FLT_CPX(C_FLT(0.38268343236508978), t1O));
        s5B = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t1O), MUL_FLT_CPX(C_FLT(0.38268343236508978), t0O));
        t2O = ADD_CPX_CPX(s4h, s8u);
        t3O = SUB_CPX_CPX(s5h, s9u);
        a1t = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4h, s8u));
        a2t = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5h, s9u));
        s6B = ADD_CPX_CPX(a1t, a2t);
        s7B = SUB_CPX_CPX(a2t, a1t);
        t4O = ADD_CPX_CPX(s8k, s4r);
        t5O = SUB_CPX_CPX(s9k, s5r);
        t6O = SUB_CPX_CPX(s8k, s4r);
        t7O = ADD_CPX_CPX(s9k, s5r);
        s8B = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t6O), MUL_FLT_CPX(C_FLT(0.92387953251128674), t7O));
        s9B = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t7O), MUL_FLT_CPX(C_FLT(0.92387953251128674), t6O));
        t8O = ADD_CPX_CPX(t4N, t2O);
        t9O = ADD_CPX_CPX(t6N, t3O);
        t0P = SUB_CPX_CPX(t4N, t2O);
        t1P = SUB_CPX_CPX(t6N, t3O);
        t2P = ADD_CPX_CPX(t8N, t4O);
        t3P = SUB_CPX_CPX(t9N, t5O);
        a3t = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8N, t4O));
        a4t = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t9N, t5O));
        s0C = ADD_CPX_CPX(a3t, a4t);
        s1C = SUB_CPX_CPX(a4t, a3t);
        *((a2s + 32)) = ADD_CPX_CPX(t8O, t2P);
        *((a2s + 544)) = ADD_CPX_CPX(t0P, t3P);
        *((a2s + 1056)) = SUB_CPX_CPX(t8O, t2P);
        *((a2s + 1568)) = SUB_CPX_CPX(t0P, t3P);
        *((a2s + 288)) = ADD_CPX_CPX(t9O, s0C);
        *((a2s + 800)) = ADD_CPX_CPX(t1P, s1C);
        *((a2s + 1312)) = SUB_CPX_CPX(t9O, s0C);
        *((a2s + 1824)) = SUB_CPX_CPX(t1P, s1C);
        t4P = ADD_CPX_CPX(t5N, s6B);
        t5P = ADD_CPX_CPX(t7N, s7B);
        t6P = SUB_CPX_CPX(t5N, s6B);
        t7P = SUB_CPX_CPX(t7N, s7B);
        t8P = ADD_CPX_CPX(s4B, s8B);
        t9P = SUB_CPX_CPX(s5B, s9B);
        a5t = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4B, s8B));
        a6t = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5B, s9B));
        s2C = ADD_CPX_CPX(a5t, a6t);
        s3C = SUB_CPX_CPX(a6t, a5t);
        *((a2s + 160)) = ADD_CPX_CPX(t4P, t8P);
        *((a2s + 672)) = ADD_CPX_CPX(t6P, t9P);
        *((a2s + 1184)) = SUB_CPX_CPX(t4P, t8P);
        *((a2s + 1696)) = SUB_CPX_CPX(t6P, t9P);
        *((a2s + 416)) = ADD_CPX_CPX(t5P, s2C);
        *((a2s + 928)) = ADD_CPX_CPX(t7P, s3C);
        *((a2s + 1440)) = SUB_CPX_CPX(t5P, s2C);
        *((a2s + 1952)) = SUB_CPX_CPX(t7P, s3C);
        t0Q = ADD_CPX_CPX(t2o, s2o);
        t1Q = ADD_CPX_CPX(t4o, s3o);
        t2Q = SUB_CPX_CPX(t2o, s2o);
        t3Q = SUB_CPX_CPX(t4o, s3o);
        t4Q = ADD_CPX_CPX(s2e, s4y);
        t5Q = SUB_CPX_CPX(s3e, s5y);
        t6Q = SUB_CPX_CPX(s2e, s4y);
        t7Q = ADD_CPX_CPX(s3e, s5y);
        s4C = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t6Q), MUL_FLT_CPX(C_FLT(0.38268343236508978), t7Q));
        s5C = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t7Q), MUL_FLT_CPX(C_FLT(0.38268343236508978), t6Q));
        t8Q = ADD_CPX_CPX(s6h, s0v);
        t9Q = SUB_CPX_CPX(s7h, s1v);
        a7t = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s6h, s0v));
        a8t = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s7h, s1v));
        s6C = ADD_CPX_CPX(a7t, a8t);
        s7C = SUB_CPX_CPX(a8t, a7t);
        t0R = ADD_CPX_CPX(s0l, s6r);
        t1R = SUB_CPX_CPX(s1l, s7r);
        t2R = SUB_CPX_CPX(s0l, s6r);
        t3R = ADD_CPX_CPX(s1l, s7r);
        s8C = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t2R), MUL_FLT_CPX(C_FLT(0.92387953251128674), t3R));
        s9C = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t3R), MUL_FLT_CPX(C_FLT(0.92387953251128674), t2R));
        t4R = ADD_CPX_CPX(t0Q, t8Q);
        t5R = ADD_CPX_CPX(t2Q, t9Q);
        t6R = SUB_CPX_CPX(t0Q, t8Q);
        t7R = SUB_CPX_CPX(t2Q, t9Q);
        t8R = ADD_CPX_CPX(t4Q, t0R);
        t9R = SUB_CPX_CPX(t5Q, t1R);
        a9t = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t4Q, t0R));
        a0u = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t5Q, t1R));
        s0D = ADD_CPX_CPX(a9t, a0u);
        s1D = SUB_CPX_CPX(a0u, a9t);
        *((a2s + 48)) = ADD_CPX_CPX(t4R, t8R);
        *((a2s + 560)) = ADD_CPX_CPX(t6R, t9R);
        *((a2s + 1072)) = SUB_CPX_CPX(t4R, t8R);
        *((a2s + 1584)) = SUB_CPX_CPX(t6R, t9R);
        *((a2s + 304)) = ADD_CPX_CPX(t5R, s0D);
        *((a2s + 816)) = ADD_CPX_CPX(t7R, s1D);
        *((a2s + 1328)) = SUB_CPX_CPX(t5R, s0D);
        *((a2s + 1840)) = SUB_CPX_CPX(t7R, s1D);
        t0S = ADD_CPX_CPX(t1Q, s6C);
        t1S = ADD_CPX_CPX(t3Q, s7C);
        t2S = SUB_CPX_CPX(t1Q, s6C);
        t3S = SUB_CPX_CPX(t3Q, s7C);
        t4S = ADD_CPX_CPX(s4C, s8C);
        t5S = SUB_CPX_CPX(s5C, s9C);
        a1u = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4C, s8C));
        a2u = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5C, s9C));
        s2D = ADD_CPX_CPX(a1u, a2u);
        s3D = SUB_CPX_CPX(a2u, a1u);
        *((a2s + 176)) = ADD_CPX_CPX(t0S, t4S);
        *((a2s + 688)) = ADD_CPX_CPX(t2S, t5S);
        *((a2s + 1200)) = SUB_CPX_CPX(t0S, t4S);
        *((a2s + 1712)) = SUB_CPX_CPX(t2S, t5S);
        *((a2s + 432)) = ADD_CPX_CPX(t1S, s2D);
        *((a2s + 944)) = ADD_CPX_CPX(t3S, s3D);
        *((a2s + 1456)) = SUB_CPX_CPX(t1S, s2D);
        *((a2s + 1968)) = SUB_CPX_CPX(t3S, s3D);
        t6S = ADD_CPX_CPX(t5m, s4o);
        t7S = ADD_CPX_CPX(t7m, s5o);
        t8S = SUB_CPX_CPX(t5m, s4o);
        t9S = SUB_CPX_CPX(t7m, s5o);
        t0T = ADD_CPX_CPX(s4e, s6y);
        t1T = SUB_CPX_CPX(s5e, s7y);
        t2T = SUB_CPX_CPX(s4e, s6y);
        t3T = ADD_CPX_CPX(s5e, s7y);
        s4D = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t2T), MUL_FLT_CPX(C_FLT(0.38268343236508978), t3T));
        s5D = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t3T), MUL_FLT_CPX(C_FLT(0.38268343236508978), t2T));
        t4T = ADD_CPX_CPX(s8h, s2v);
        t5T = SUB_CPX_CPX(s9h, s3v);
        a3u = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s8h, s2v));
        a4u = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s9h, s3v));
        s6D = ADD_CPX_CPX(a3u, a4u);
        s7D = SUB_CPX_CPX(a4u, a3u);
        t6T = ADD_CPX_CPX(s2l, s8r);
        t7T = SUB_CPX_CPX(s3l, s9r);
        t8T = SUB_CPX_CPX(s2l, s8r);
        t9T = ADD_CPX_CPX(s3l, s9r);
        s8D = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t8T), MUL_FLT_CPX(C_FLT(0.92387953251128674), t9T));
        s9D = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t9T), MUL_FLT_CPX(C_FLT(0.92387953251128674), t8T));
        t0U = ADD_CPX_CPX(t6S, t4T);
        t1U = ADD_CPX_CPX(t8S, t5T);
        t2U = SUB_CPX_CPX(t6S, t4T);
        t3U = SUB_CPX_CPX(t8S, t5T);
        t4U = ADD_CPX_CPX(t0T, t6T);
        t5U = SUB_CPX_CPX(t1T, t7T);
        a5u = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0T, t6T));
        a6u = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t1T, t7T));
        s0E = ADD_CPX_CPX(a5u, a6u);
        s1E = SUB_CPX_CPX(a6u, a5u);
        *((a2s + 64)) = ADD_CPX_CPX(t0U, t4U);
        *((a2s + 576)) = ADD_CPX_CPX(t2U, t5U);
        *((a2s + 1088)) = SUB_CPX_CPX(t0U, t4U);
        *((a2s + 1600)) = SUB_CPX_CPX(t2U, t5U);
        *((a2s + 320)) = ADD_CPX_CPX(t1U, s0E);
        *((a2s + 832)) = ADD_CPX_CPX(t3U, s1E);
        *((a2s + 1344)) = SUB_CPX_CPX(t1U, s0E);
        *((a2s + 1856)) = SUB_CPX_CPX(t3U, s1E);
        t6U = ADD_CPX_CPX(t7S, s6D);
        t7U = ADD_CPX_CPX(t9S, s7D);
        t8U = SUB_CPX_CPX(t7S, s6D);
        t9U = SUB_CPX_CPX(t9S, s7D);
        t0V = ADD_CPX_CPX(s4D, s8D);
        t1V = SUB_CPX_CPX(s5D, s9D);
        a7u = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4D, s8D));
        a8u = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5D, s9D));
        s2E = ADD_CPX_CPX(a7u, a8u);
        s3E = SUB_CPX_CPX(a8u, a7u);
        *((a2s + 192)) = ADD_CPX_CPX(t6U, t0V);
        *((a2s + 704)) = ADD_CPX_CPX(t8U, t1V);
        *((a2s + 1216)) = SUB_CPX_CPX(t6U, t0V);
        *((a2s + 1728)) = SUB_CPX_CPX(t8U, t1V);
        *((a2s + 448)) = ADD_CPX_CPX(t7U, s2E);
        *((a2s + 960)) = ADD_CPX_CPX(t9U, s3E);
        *((a2s + 1472)) = SUB_CPX_CPX(t7U, s2E);
        *((a2s + 1984)) = SUB_CPX_CPX(t9U, s3E);
        t2V = ADD_CPX_CPX(t9n, s6o);
        t3V = ADD_CPX_CPX(t1o, s7o);
        t4V = SUB_CPX_CPX(t9n, s6o);
        t5V = SUB_CPX_CPX(t1o, s7o);
        t6V = ADD_CPX_CPX(s6e, s8y);
        t7V = ADD_CPX_CPX(s7e, s9y);
        t8V = SUB_CPX_CPX(s6e, s8y);
        t9V = SUB_CPX_CPX(s7e, s9y);
        s4E = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t8V), MUL_FLT_CPX(C_FLT(0.38268343236508978), t9V));
        s5E = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t9V), MUL_FLT_CPX(C_FLT(0.38268343236508978), t8V));
        t0W = ADD_CPX_CPX(s0i, s4v);
        t1W = SUB_CPX_CPX(s1i, s5v);
        a9u = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s0i, s4v));
        a0v = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s1i, s5v));
        s6E = ADD_CPX_CPX(a9u, a0v);
        s7E = SUB_CPX_CPX(a0v, a9u);
        t2W = ADD_CPX_CPX(s4l, s0s);
        t3W = SUB_CPX_CPX(s5l, s1s);
        t4W = SUB_CPX_CPX(s4l, s0s);
        t5W = ADD_CPX_CPX(s5l, s1s);
        s8E = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t4W), MUL_FLT_CPX(C_FLT(0.92387953251128674), t5W));
        s9E = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t5W), MUL_FLT_CPX(C_FLT(0.92387953251128674), t4W));
        t6W = ADD_CPX_CPX(t2V, t0W);
        t7W = ADD_CPX_CPX(t4V, t1W);
        t8W = SUB_CPX_CPX(t2V, t0W);
        t9W = SUB_CPX_CPX(t4V, t1W);
        t0X = ADD_CPX_CPX(t6V, t2W);
        t1X = SUB_CPX_CPX(t7V, t3W);
        a1v = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t6V, t2W));
        a2v = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t7V, t3W));
        s0F = ADD_CPX_CPX(a1v, a2v);
        s1F = SUB_CPX_CPX(a2v, a1v);
        *((a2s + 80)) = ADD_CPX_CPX(t6W, t0X);
        *((a2s + 592)) = ADD_CPX_CPX(t8W, t1X);
        *((a2s + 1104)) = SUB_CPX_CPX(t6W, t0X);
        *((a2s + 1616)) = SUB_CPX_CPX(t8W, t1X);
        *((a2s + 336)) = ADD_CPX_CPX(t7W, s0F);
        *((a2s + 848)) = ADD_CPX_CPX(t9W, s1F);
        *((a2s + 1360)) = SUB_CPX_CPX(t7W, s0F);
        *((a2s + 1872)) = SUB_CPX_CPX(t9W, s1F);
        t2X = ADD_CPX_CPX(t3V, s6E);
        t3X = ADD_CPX_CPX(t5V, s7E);
        t4X = SUB_CPX_CPX(t3V, s6E);
        t5X = SUB_CPX_CPX(t5V, s7E);
        t6X = ADD_CPX_CPX(s4E, s8E);
        t7X = SUB_CPX_CPX(s5E, s9E);
        a3v = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4E, s8E));
        a4v = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5E, s9E));
        s2F = ADD_CPX_CPX(a3v, a4v);
        s3F = SUB_CPX_CPX(a4v, a3v);
        *((a2s + 208)) = ADD_CPX_CPX(t2X, t6X);
        *((a2s + 720)) = ADD_CPX_CPX(t4X, t7X);
        *((a2s + 1232)) = SUB_CPX_CPX(t2X, t6X);
        *((a2s + 1744)) = SUB_CPX_CPX(t4X, t7X);
        *((a2s + 464)) = ADD_CPX_CPX(t3X, s2F);
        *((a2s + 976)) = ADD_CPX_CPX(t5X, s3F);
        *((a2s + 1488)) = SUB_CPX_CPX(t3X, s2F);
        *((a2s + 2000)) = SUB_CPX_CPX(t5X, s3F);
        t8X = ADD_CPX_CPX(t9m, s8o);
        t9X = ADD_CPX_CPX(t1n, s9o);
        t0Y = SUB_CPX_CPX(t9m, s8o);
        t1Y = SUB_CPX_CPX(t1n, s9o);
        t2Y = ADD_CPX_CPX(s8e, s0z);
        t3Y = ADD_CPX_CPX(s9e, s1z);
        t4Y = SUB_CPX_CPX(s8e, s0z);
        t5Y = SUB_CPX_CPX(s9e, s1z);
        s4F = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t4Y), MUL_FLT_CPX(C_FLT(0.38268343236508978), t5Y));
        s5F = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t5Y), MUL_FLT_CPX(C_FLT(0.38268343236508978), t4Y));
        t6Y = ADD_CPX_CPX(s2i, s6v);
        t7Y = ADD_CPX_CPX(s3i, s7v);
        a5v = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s2i, s6v));
        a6v = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s3i, s7v));
        s6F = ADD_CPX_CPX(a5v, a6v);
        s7F = SUB_CPX_CPX(a6v, a5v);
        t8Y = ADD_CPX_CPX(s6l, s2s);
        t9Y = SUB_CPX_CPX(s7l, s3s);
        t0Z = SUB_CPX_CPX(s6l, s2s);
        t1Z = ADD_CPX_CPX(s7l, s3s);
        s8F = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t0Z), MUL_FLT_CPX(C_FLT(0.92387953251128674), t1Z));
        s9F = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t1Z), MUL_FLT_CPX(C_FLT(0.92387953251128674), t0Z));
        t2Z = ADD_CPX_CPX(t8X, t6Y);
        t3Z = ADD_CPX_CPX(t0Y, t7Y);
        t4Z = SUB_CPX_CPX(t8X, t6Y);
        t5Z = SUB_CPX_CPX(t0Y, t7Y);
        t6Z = ADD_CPX_CPX(t2Y, t8Y);
        t7Z = SUB_CPX_CPX(t3Y, t9Y);
        a7v = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2Y, t8Y));
        a8v = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t3Y, t9Y));
        s0G = ADD_CPX_CPX(a7v, a8v);
        s1G = SUB_CPX_CPX(a8v, a7v);
        *((a2s + 96)) = ADD_CPX_CPX(t2Z, t6Z);
        *((a2s + 608)) = ADD_CPX_CPX(t4Z, t7Z);
        *((a2s + 1120)) = SUB_CPX_CPX(t2Z, t6Z);
        *((a2s + 1632)) = SUB_CPX_CPX(t4Z, t7Z);
        *((a2s + 352)) = ADD_CPX_CPX(t3Z, s0G);
        *((a2s + 864)) = ADD_CPX_CPX(t5Z, s1G);
        *((a2s + 1376)) = SUB_CPX_CPX(t3Z, s0G);
        *((a2s + 1888)) = SUB_CPX_CPX(t5Z, s1G);
        t8Z = ADD_CPX_CPX(t9X, s6F);
        t9Z = ADD_CPX_CPX(t1Y, s7F);
        t010 = SUB_CPX_CPX(t9X, s6F);
        t110 = SUB_CPX_CPX(t1Y, s7F);
        t210 = ADD_CPX_CPX(s4F, s8F);
        t310 = SUB_CPX_CPX(s5F, s9F);
        a9v = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4F, s8F));
        a0w = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5F, s9F));
        s2G = ADD_CPX_CPX(a9v, a0w);
        s3G = SUB_CPX_CPX(a0w, a9v);
        *((a2s + 224)) = ADD_CPX_CPX(t8Z, t210);
        *((a2s + 736)) = ADD_CPX_CPX(t010, t310);
        *((a2s + 1248)) = SUB_CPX_CPX(t8Z, t210);
        *((a2s + 1760)) = SUB_CPX_CPX(t010, t310);
        *((a2s + 480)) = ADD_CPX_CPX(t9Z, s2G);
        *((a2s + 992)) = ADD_CPX_CPX(t110, s3G);
        *((a2s + 1504)) = SUB_CPX_CPX(t9Z, s2G);
        *((a2s + 2016)) = SUB_CPX_CPX(t110, s3G);
        t410 = ADD_CPX_CPX(t3o, s0p);
        t510 = ADD_CPX_CPX(t5o, s1p);
        t610 = SUB_CPX_CPX(t3o, s0p);
        t710 = SUB_CPX_CPX(t5o, s1p);
        t810 = ADD_CPX_CPX(s0f, s2z);
        t910 = ADD_CPX_CPX(s1f, s3z);
        t011 = SUB_CPX_CPX(s0f, s2z);
        t111 = SUB_CPX_CPX(s1f, s3z);
        s4G = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t011), MUL_FLT_CPX(C_FLT(0.38268343236508978), t111));
        s5G = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t111), MUL_FLT_CPX(C_FLT(0.38268343236508978), t011));
        t211 = ADD_CPX_CPX(s4i, s8v);
        t311 = ADD_CPX_CPX(s5i, s9v);
        a1w = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4i, s8v));
        a2w = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s5i, s9v));
        s6G = ADD_CPX_CPX(a1w, a2w);
        s7G = SUB_CPX_CPX(a2w, a1w);
        t411 = ADD_CPX_CPX(s8l, s4s);
        t511 = ADD_CPX_CPX(s9l, s5s);
        t611 = SUB_CPX_CPX(s8l, s4s);
        t711 = SUB_CPX_CPX(s9l, s5s);
        s8G = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t611), MUL_FLT_CPX(C_FLT(0.92387953251128674), t711));
        s9G = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t711), MUL_FLT_CPX(C_FLT(0.92387953251128674), t611));
        t811 = ADD_CPX_CPX(t410, t211);
        t911 = ADD_CPX_CPX(t610, t311);
        t012 = SUB_CPX_CPX(t410, t211);
        t112 = SUB_CPX_CPX(t610, t311);
        t212 = ADD_CPX_CPX(t810, t411);
        t312 = SUB_CPX_CPX(t910, t511);
        a3w = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t810, t411));
        a4w = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t910, t511));
        s0H = ADD_CPX_CPX(a3w, a4w);
        s1H = SUB_CPX_CPX(a4w, a3w);
        *((a2s + 112)) = ADD_CPX_CPX(t811, t212);
        *((a2s + 624)) = ADD_CPX_CPX(t012, t312);
        *((a2s + 1136)) = SUB_CPX_CPX(t811, t212);
        *((a2s + 1648)) = SUB_CPX_CPX(t012, t312);
        *((a2s + 368)) = ADD_CPX_CPX(t911, s0H);
        *((a2s + 880)) = ADD_CPX_CPX(t112, s1H);
        *((a2s + 1392)) = SUB_CPX_CPX(t911, s0H);
        *((a2s + 1904)) = SUB_CPX_CPX(t112, s1H);
        t412 = ADD_CPX_CPX(t510, s6G);
        t512 = ADD_CPX_CPX(t710, s7G);
        t612 = SUB_CPX_CPX(t510, s6G);
        t712 = SUB_CPX_CPX(t710, s7G);
        t812 = ADD_CPX_CPX(s4G, s8G);
        t912 = SUB_CPX_CPX(s5G, s9G);
        a5w = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4G, s8G));
        a6w = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5G, s9G));
        s2H = ADD_CPX_CPX(a5w, a6w);
        s3H = SUB_CPX_CPX(a6w, a5w);
        *((a2s + 240)) = ADD_CPX_CPX(t412, t812);
        *((a2s + 752)) = ADD_CPX_CPX(t612, t912);
        *((a2s + 1264)) = SUB_CPX_CPX(t412, t812);
        *((a2s + 1776)) = SUB_CPX_CPX(t612, t912);
        *((a2s + 496)) = ADD_CPX_CPX(t512, s2H);
        *((a2s + 1008)) = ADD_CPX_CPX(t712, s3H);
        *((a2s + 1520)) = SUB_CPX_CPX(t512, s2H);
        *((a2s + 2032)) = SUB_CPX_CPX(t712, s3H);
    }}
    }
    
    return SPIRAL_OK;
    }
}

SPIRAL_PRIV(spiral_status_t, spiral_fftinv_double_4096_unaligned)(const double *pSrc, double *pDst ) {
    const CPX  *src = (const CPX *) pSrc; 
    CPX        *dst = (CPX *) pDst;
    
    
    { SPIRAL_ALIGNED(CPX T[4096]);
     SPIRAL_ALIGNED(CPX T2[2048]);
     SPIRAL_ALIGNED(CPX T3[256]);
    CPX  *a01, *a02, *a03, *a04, *a05, *a0a, *a0d, *a12, *a13, *a14, *a15, *a18, *a19, *a1a, *a1d, *a24, *a25, *a27, *a28, *a2a, *a2d, *a34
            , *a35, *a37, *a38, *a3a, *a3d, *a42, *a43, *a44, *a47, *a48, *a49, *a4a, *a4d, *a51, *a52, *a54, *a57, *a58, *a59, *a5a, *a5d, *a61
            , *a62, *a64, *a67, *a68, *a69, *a6a, *a71, *a72, *a74, *a77, *a78, *a79, *a7a, *a81, *a82, *a83, *a84, *a87, *a88, *a89, *a8a, *a91
            , *a92, *a93, *a94, *a99, *a9a, *a9c, *b, *b2, *b3, *b4, *b5, *b6, *b7, *b8, *b9;
    const CPX  *a;
    FLT  *a06, *a0b, *a0c, *a16, *a1b, *a1c, *a26, *a2b, *a2c, *a36, *a3b, *a3c, *a45, *a46, *a4b, *a55, *a56, *a5b, *a65, *a66, *a6b, *a6d
            , *a75, *a76, *a7b, *a7d, *a85, *a8b, *a95, *a9b;
    int a73, a8c;
    CPX a07, a08, a09, a11, a17, a2, a21, a22, a23, a29, a3, a31, a32, a33, a39, a4, a41, a4c, a5, a53, a5c, a6
        , a63, a6c, a7, a7c, a8, a86, a8d, a9, a96, a97, a98, a9d, s, s01, s02, s03, s04, s05, s06, s07, s08, s09
        , s0a, s0b, s11, s12, s13, s14, s15, s16, s17, s18, s19, s1a, s1b, s2, s21, s22, s23, s24, s25, s26, s27, s28
        , s29, s2a, s2b, s3, s31, s32, s33, s34, s35, s36, s37, s38, s39, s3a, s3b, s4, s41, s42, s43, s44, s45, s46
        , s47, s48, s49, s4a, s4b, s5, s51, s52, s53, s54, s55, s56, s57, s58, s59, s5a, s5b, s6, s61, s62, s63, s64
        , s65, s66, s67, s68, s69, s6a, s6b, s7, s71, s72, s73, s74, s75, s76, s77, s78, s79, s7a, s7b, s8, s81, s82
        , s83, s84, s85, s86, s87, s88, s89, s8a, s8b, s9, s91, s92, s93, s94, s95, s96, s97, s98, s99, s9a, s9b, t
        , t01, t02, t03, t04, t05, t06, t07, t08, t09, t0a, t0b, t0c, t0d, t0e, t0f, t0g, t0h, t0i, t0j, t0k, t11, t12
        , t13, t14, t15, t16, t17, t18, t19, t1a, t1b, t1c, t1d, t1e, t1f, t1g, t1h, t1i, t1j, t1k, t2, t21, t22, t23
        , t24, t25, t26, t27, t28, t29, t2a, t2b, t2c, t2d, t2e, t2f, t2g, t2h, t2i, t2j, t2k, t3, t31, t32, t33, t34
        , t35, t36, t37, t38, t39, t3a, t3b, t3c, t3d, t3e, t3f, t3g, t3h, t3i, t3j, t3k, t4, t41, t42, t43, t44, t45
        , t46, t47, t48, t49, t4a, t4b, t4c, t4d, t4e, t4f, t4g, t4h, t4i, t4j, t4k, t5, t51, t52, t53, t54, t55, t56
        , t57, t58, t59, t5a, t5b, t5c, t5d, t5e, t5f, t5g, t5h, t5i, t5j, t5k, t6, t61, t62, t63, t64, t65, t66, t67
        , t68, t69, t6a, t6b, t6c, t6d, t6e, t6f, t6g, t6h, t6i, t6j, t7, t71, t72, t73, t74, t75, t76, t77, t78, t79
        , t7a, t7b, t7c, t7d, t7e, t7f, t7g, t7h, t7i, t7j, t8, t81, t82, t83, t84, t85, t86, t87, t88, t89, t8a, t8b
        , t8c, t8d, t8e, t8f, t8g, t8h, t8i, t8j, t9, t91, t92, t93, t94, t95, t96, t97, t98, t99, t9a, t9b, t9c, t9d
        , t9e, t9f, t9g, t9h, t9i, t9j;
    {long i; for(i = 0; i <= 1; i++) {
        {long i2; for(i2 = 0; i2 <= 7; i2++) {
            {long i3; for(i3 = 0; i3 <= 7; i3++) {
                a = (src + i + (i2*2) + (i3*16));
                s = LOADU_CPX(a);
                s2 = LOADU_CPX((a + 1024));
                s3 = LOADU_CPX((a + 2048));
                s4 = LOADU_CPX((a + 3072));
                t = ADD_CPX_CPX(s, s3);
                t2 = ADD_CPX_CPX(s2, s4);
                t3 = SUB_CPX_CPX(s, s3);
                t4 = SUB_CPX_CPX(s2, s4);
                s5 = LOADU_CPX((a + 512));
                s6 = LOADU_CPX((a + 1536));
                s7 = LOADU_CPX((a + 2560));
                s8 = LOADU_CPX((a + 3584));
                t5 = ADD_CPX_CPX(s5, s7);
                t6 = ADD_CPX_CPX(s6, s8);
                t7 = ADD_CPX_CPX(t, t2);
                t8 = ADD_CPX_CPX(t5, t6);
                t9 = SUB_CPX_CPX(t, t2);
                t01 = SUB_CPX_CPX(t5, t6);
                a2 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s5, s7));
                a3 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s6, s8));
                s9 = SUB_CPX_CPX(a2, a3);
                s01 = ADD_CPX_CPX(a2, a3);
                t11 = ADD_CPX_CPX(t3, s9);
                t21 = ADD_CPX_CPX(t4, s01);
                t31 = SUB_CPX_CPX(t3, s9);
                t41 = SUB_CPX_CPX(t4, s01);
                s11 = LOADU_CPX((a + 128));
                s21 = LOADU_CPX((a + 1152));
                s31 = LOADU_CPX((a + 2176));
                s41 = LOADU_CPX((a + 3200));
                t51 = ADD_CPX_CPX(s11, s31);
                t61 = ADD_CPX_CPX(s21, s41);
                t71 = SUB_CPX_CPX(s11, s31);
                t81 = SUB_CPX_CPX(s21, s41);
                s51 = LOADU_CPX((a + 640));
                s61 = LOADU_CPX((a + 1664));
                s71 = LOADU_CPX((a + 2688));
                s81 = LOADU_CPX((a + 3712));
                t91 = ADD_CPX_CPX(s51, s71);
                t02 = ADD_CPX_CPX(s61, s81);
                t12 = ADD_CPX_CPX(t51, t61);
                t22 = ADD_CPX_CPX(t91, t02);
                t32 = SUB_CPX_CPX(t51, t61);
                t42 = SUB_CPX_CPX(t91, t02);
                a4 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s51, s71));
                a5 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s61, s81));
                s91 = SUB_CPX_CPX(a4, a5);
                s02 = ADD_CPX_CPX(a4, a5);
                t52 = ADD_CPX_CPX(t71, s91);
                t62 = ADD_CPX_CPX(t81, s02);
                t72 = SUB_CPX_CPX(t71, s91);
                t82 = SUB_CPX_CPX(t81, s02);
                s12 = LOADU_CPX((a + 256));
                s22 = LOADU_CPX((a + 1280));
                s32 = LOADU_CPX((a + 2304));
                s42 = LOADU_CPX((a + 3328));
                t92 = ADD_CPX_CPX(s12, s32);
                t03 = ADD_CPX_CPX(s22, s42);
                t13 = SUB_CPX_CPX(s12, s32);
                t23 = SUB_CPX_CPX(s22, s42);
                s52 = LOADU_CPX((a + 768));
                s62 = LOADU_CPX((a + 1792));
                s72 = LOADU_CPX((a + 2816));
                s82 = LOADU_CPX((a + 3840));
                t33 = ADD_CPX_CPX(s52, s72);
                t43 = ADD_CPX_CPX(s62, s82);
                t53 = ADD_CPX_CPX(t92, t03);
                t63 = ADD_CPX_CPX(t33, t43);
                a6 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s52, s72));
                a7 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s62, s82));
                s92 = SUB_CPX_CPX(a6, a7);
                s03 = ADD_CPX_CPX(a6, a7);
                t73 = ADD_CPX_CPX(t13, s92);
                t83 = ADD_CPX_CPX(t23, s03);
                t93 = SUB_CPX_CPX(t13, s92);
                t04 = SUB_CPX_CPX(t23, s03);
                s13 = LOADU_CPX((a + 384));
                s23 = LOADU_CPX((a + 1408));
                s33 = LOADU_CPX((a + 2432));
                s43 = LOADU_CPX((a + 3456));
                t14 = ADD_CPX_CPX(s13, s33);
                t24 = ADD_CPX_CPX(s23, s43);
                t34 = SUB_CPX_CPX(s13, s33);
                t44 = SUB_CPX_CPX(s23, s43);
                s53 = LOADU_CPX((a + 896));
                s63 = LOADU_CPX((a + 1920));
                s73 = LOADU_CPX((a + 2944));
                s83 = LOADU_CPX((a + 3968));
                t54 = ADD_CPX_CPX(s53, s73);
                t64 = ADD_CPX_CPX(s63, s83);
                t74 = ADD_CPX_CPX(t14, t24);
                t84 = ADD_CPX_CPX(t54, t64);
                t94 = SUB_CPX_CPX(t14, t24);
                t05 = SUB_CPX_CPX(t54, t64);
                a8 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s53, s73));
                a9 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s63, s83));
                s93 = SUB_CPX_CPX(a8, a9);
                s04 = ADD_CPX_CPX(a8, a9);
                t15 = ADD_CPX_CPX(t34, s93);
                t25 = ADD_CPX_CPX(t44, s04);
                t35 = SUB_CPX_CPX(t34, s93);
                t45 = SUB_CPX_CPX(t44, s04);
                t55 = ADD_CPX_CPX(t7, t8);
                t65 = ADD_CPX_CPX(t53, t63);
                t75 = SUB_CPX_CPX(t7, t8);
                t85 = SUB_CPX_CPX(t53, t63);
                t95 = ADD_CPX_CPX(t12, t22);
                t06 = ADD_CPX_CPX(t74, t84);
                a01 = (T3 + (32*i3));
                *(a01) = ADD_CPX_CPX(t55, t65);
                *((a01 + 1)) = ADD_CPX_CPX(t95, t06);
                *((a01 + 16)) = SUB_CPX_CPX(t55, t65);
                *((a01 + 17)) = SUB_CPX_CPX(t95, t06);
                a11 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t12, t22));
                a21 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t74, t84));
                s14 = SUB_CPX_CPX(a11, a21);
                s24 = ADD_CPX_CPX(a11, a21);
                *((a01 + 8)) = ADD_CPX_CPX(t75, s14);
                *((a01 + 9)) = ADD_CPX_CPX(t85, s24);
                *((a01 + 24)) = SUB_CPX_CPX(t75, s14);
                *((a01 + 25)) = SUB_CPX_CPX(s24, t85);
                s34 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t52), MUL_FLT_CPX(C_FLT(0.19509032201612828), t62));
                s44 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), t52), MUL_FLT_CPX(C_FLT(0.98078528040323043), t62));
                s54 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t73), MUL_FLT_CPX(C_FLT(0.38268343236508978), t83));
                s64 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t73), MUL_FLT_CPX(C_FLT(0.92387953251128674), t83));
                s74 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t15), MUL_FLT_CPX(C_FLT(0.55557023301960218), t25));
                s84 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), t15), MUL_FLT_CPX(C_FLT(0.83146961230254524), t25));
                t16 = ADD_CPX_CPX(t11, s54);
                t26 = ADD_CPX_CPX(t21, s64);
                t36 = SUB_CPX_CPX(t11, s54);
                t46 = SUB_CPX_CPX(t21, s64);
                t56 = ADD_CPX_CPX(s34, s74);
                t66 = ADD_CPX_CPX(s44, s84);
                t76 = SUB_CPX_CPX(s34, s74);
                t86 = SUB_CPX_CPX(s44, s84);
                *((a01 + 2)) = ADD_CPX_CPX(t16, t56);
                *((a01 + 3)) = ADD_CPX_CPX(t26, t66);
                *((a01 + 30)) = SUB_CPX_CPX(t16, t56);
                *((a01 + 31)) = SUB_CPX_CPX(t66, t26);
                *((a01 + 18)) = SUB_CPX_CPX(t36, t86);
                *((a01 + 19)) = ADD_CPX_CPX(t46, t76);
                *((a01 + 14)) = ADD_CPX_CPX(t36, t86);
                *((a01 + 15)) = SUB_CPX_CPX(t76, t46);
                s94 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t32), MUL_FLT_CPX(C_FLT(0.38268343236508978), t42));
                s05 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t32), MUL_FLT_CPX(C_FLT(0.92387953251128674), t42));
                a31 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t92, t03));
                a41 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t33, t43));
                s15 = SUB_CPX_CPX(a31, a41);
                s25 = ADD_CPX_CPX(a31, a41);
                s35 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t94), MUL_FLT_CPX(C_FLT(0.92387953251128674), t05));
                s45 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t94), MUL_FLT_CPX(C_FLT(0.38268343236508978), t05));
                t96 = ADD_CPX_CPX(t9, s15);
                t07 = ADD_CPX_CPX(t01, s25);
                t17 = SUB_CPX_CPX(t9, s15);
                t27 = SUB_CPX_CPX(t01, s25);
                t37 = ADD_CPX_CPX(s94, s35);
                t47 = ADD_CPX_CPX(s05, s45);
                t57 = SUB_CPX_CPX(s94, s35);
                t67 = SUB_CPX_CPX(s05, s45);
                *((a01 + 4)) = ADD_CPX_CPX(t96, t37);
                *((a01 + 5)) = ADD_CPX_CPX(t07, t47);
                *((a01 + 28)) = SUB_CPX_CPX(t96, t37);
                *((a01 + 29)) = SUB_CPX_CPX(t47, t07);
                *((a01 + 20)) = SUB_CPX_CPX(t17, t67);
                *((a01 + 21)) = ADD_CPX_CPX(t27, t57);
                *((a01 + 12)) = ADD_CPX_CPX(t17, t67);
                *((a01 + 13)) = SUB_CPX_CPX(t57, t27);
                s55 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t72), MUL_FLT_CPX(C_FLT(0.55557023301960218), t82));
                s65 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), t72), MUL_FLT_CPX(C_FLT(0.83146961230254524), t82));
                s75 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t93), MUL_FLT_CPX(C_FLT(0.92387953251128674), t04));
                s85 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t93), MUL_FLT_CPX(C_FLT(0.38268343236508978), t04));
                s95 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t45), MUL_FLT_CPX(C_FLT(0.19509032201612828), t35));
                s06 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t35), MUL_FLT_CPX(C_FLT(0.19509032201612828), t45));
                t77 = ADD_CPX_CPX(t31, s75);
                t87 = SUB_CPX_CPX(s85, t41);
                t97 = SUB_CPX_CPX(t31, s75);
                t08 = ADD_CPX_CPX(t41, s85);
                t18 = ADD_CPX_CPX(s55, s95);
                t28 = ADD_CPX_CPX(s65, s06);
                t38 = SUB_CPX_CPX(s55, s95);
                t48 = SUB_CPX_CPX(s65, s06);
                *((a01 + 6)) = ADD_CPX_CPX(t77, t18);
                *((a01 + 7)) = ADD_CPX_CPX(t87, t28);
                *((a01 + 26)) = SUB_CPX_CPX(t77, t18);
                *((a01 + 27)) = SUB_CPX_CPX(t28, t87);
                *((a01 + 22)) = SUB_CPX_CPX(t97, t48);
                *((a01 + 23)) = SUB_CPX_CPX(t38, t08);
                *((a01 + 10)) = ADD_CPX_CPX(t97, t48);
                *((a01 + 11)) = ADD_CPX_CPX(t08, t38);
            }}
            a51 = (T3 + 1);
            t58 = ADD_CPX_CPX(*(T3), *(a51));
            a61 = (T3 + 128);
            a71 = (T3 + 129);
            t68 = ADD_CPX_CPX(*(a61), *(a71));
            t78 = SUB_CPX_CPX(*(T3), *(a51));
            t88 = SUB_CPX_CPX(*(a61), *(a71));
            a81 = (T3 + 64);
            a91 = (T3 + 65);
            t98 = ADD_CPX_CPX(*(a81), *(a91));
            a02 = (T3 + 192);
            a12 = (T3 + 193);
            t09 = ADD_CPX_CPX(*(a02), *(a12));
            t19 = ADD_CPX_CPX(t58, t68);
            t29 = ADD_CPX_CPX(t98, t09);
            t39 = SUB_CPX_CPX(t58, t68);
            t49 = SUB_CPX_CPX(t98, t09);
            a22 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a81), *(a91)));
            a32 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a02), *(a12)));
            s16 = SUB_CPX_CPX(a22, a32);
            s26 = ADD_CPX_CPX(a22, a32);
            t59 = ADD_CPX_CPX(t78, s16);
            t69 = ADD_CPX_CPX(t88, s26);
            t79 = SUB_CPX_CPX(t78, s16);
            t89 = SUB_CPX_CPX(t88, s26);
            a42 = (T3 + 32);
            a52 = (T3 + 33);
            t99 = ADD_CPX_CPX(*(a42), *(a52));
            a62 = (T3 + 160);
            a72 = (T3 + 161);
            t0a = ADD_CPX_CPX(*(a62), *(a72));
            t1a = SUB_CPX_CPX(*(a42), *(a52));
            t2a = SUB_CPX_CPX(*(a62), *(a72));
            a82 = (T3 + 96);
            a92 = (T3 + 97);
            t3a = ADD_CPX_CPX(*(a82), *(a92));
            a03 = (T3 + 224);
            a13 = (T3 + 225);
            t4a = ADD_CPX_CPX(*(a03), *(a13));
            t5a = ADD_CPX_CPX(t99, t0a);
            t6a = ADD_CPX_CPX(t3a, t4a);
            a23 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a82), *(a92)));
            a33 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a03), *(a13)));
            s36 = SUB_CPX_CPX(a23, a33);
            s46 = ADD_CPX_CPX(a23, a33);
            t7a = ADD_CPX_CPX(t1a, s36);
            t8a = ADD_CPX_CPX(t2a, s46);
            t9a = SUB_CPX_CPX(t1a, s36);
            t0b = SUB_CPX_CPX(t2a, s46);
            a43 = (T2 + (256*i2));
            *(a43) = ADD_CPX_CPX(t19, t29);
            *((a43 + 1)) = ADD_CPX_CPX(t5a, t6a);
            *((a43 + 128)) = SUB_CPX_CPX(t19, t29);
            *((a43 + 129)) = SUB_CPX_CPX(t5a, t6a);
            s56 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t7a), MUL_FLT_CPX(C_FLT(0.38268343236508978), t8a));
            s66 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t7a), MUL_FLT_CPX(C_FLT(0.92387953251128674), t8a));
            *((a43 + 32)) = ADD_CPX_CPX(t59, s56);
            *((a43 + 33)) = ADD_CPX_CPX(t69, s66);
            *((a43 + 224)) = SUB_CPX_CPX(t59, s56);
            *((a43 + 225)) = SUB_CPX_CPX(s66, t69);
            a53 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t99, t0a));
            a63 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3a, t4a));
            s76 = SUB_CPX_CPX(a53, a63);
            s86 = ADD_CPX_CPX(a53, a63);
            *((a43 + 64)) = ADD_CPX_CPX(t39, s76);
            *((a43 + 65)) = ADD_CPX_CPX(t49, s86);
            *((a43 + 192)) = SUB_CPX_CPX(t39, s76);
            *((a43 + 193)) = SUB_CPX_CPX(s86, t49);
            s96 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t9a), MUL_FLT_CPX(C_FLT(0.92387953251128674), t0b));
            s07 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t9a), MUL_FLT_CPX(C_FLT(0.38268343236508978), t0b));
            *((a43 + 96)) = ADD_CPX_CPX(t79, s96);
            *((a43 + 97)) = SUB_CPX_CPX(s07, t89);
            *((a43 + 160)) = SUB_CPX_CPX(t79, s96);
            *((a43 + 161)) = ADD_CPX_CPX(t89, s07);
            {long i4; for(i4 = 0; i4 <= 14; i4++) {
                a73 = (2*i4);
                b = (T3 + a73);
                a83 = (b + 2);
                a93 = (b + 3);
                a04 = (b + 34);
                a14 = (b + 35);
                a24 = (b + 66);
                a34 = (b + 67);
                a44 = (b + 98);
                a54 = (b + 99);
                a64 = (b + 130);
                a74 = (b + 131);
                a84 = (b + 162);
                a94 = (b + 163);
                a05 = (b + 194);
                a15 = (b + 195);
                a25 = (b + 226);
                a35 = (b + 227);
                a45 = (D1012 + (14*i4));
                a55 = (a45 + 1);
                s17 = SUB_CPX_CPX(MUL_FLT_CPX(*(a45), *(a04)), MUL_FLT_CPX(*(a55), *(a14)));
                s27 = ADD_CPX_CPX(MUL_FLT_CPX(*(a55), *(a04)), MUL_FLT_CPX(*(a45), *(a14)));
                a65 = (a45 + 2);
                a75 = (a45 + 3);
                s37 = SUB_CPX_CPX(MUL_FLT_CPX(*(a65), *(a24)), MUL_FLT_CPX(*(a75), *(a34)));
                s47 = ADD_CPX_CPX(MUL_FLT_CPX(*(a75), *(a24)), MUL_FLT_CPX(*(a65), *(a34)));
                a85 = (a45 + 4);
                a95 = (a45 + 5);
                s57 = SUB_CPX_CPX(MUL_FLT_CPX(*(a85), *(a44)), MUL_FLT_CPX(*(a95), *(a54)));
                s67 = ADD_CPX_CPX(MUL_FLT_CPX(*(a95), *(a44)), MUL_FLT_CPX(*(a85), *(a54)));
                a06 = (a45 + 6);
                a16 = (a45 + 7);
                s77 = SUB_CPX_CPX(MUL_FLT_CPX(*(a06), *(a64)), MUL_FLT_CPX(*(a16), *(a74)));
                s87 = ADD_CPX_CPX(MUL_FLT_CPX(*(a16), *(a64)), MUL_FLT_CPX(*(a06), *(a74)));
                a26 = (a45 + 8);
                a36 = (a45 + 9);
                s97 = SUB_CPX_CPX(MUL_FLT_CPX(*(a26), *(a84)), MUL_FLT_CPX(*(a36), *(a94)));
                s08 = ADD_CPX_CPX(MUL_FLT_CPX(*(a36), *(a84)), MUL_FLT_CPX(*(a26), *(a94)));
                a46 = (a45 + 10);
                a56 = (a45 + 11);
                s18 = SUB_CPX_CPX(MUL_FLT_CPX(*(a46), *(a05)), MUL_FLT_CPX(*(a56), *(a15)));
                s28 = ADD_CPX_CPX(MUL_FLT_CPX(*(a56), *(a05)), MUL_FLT_CPX(*(a46), *(a15)));
                a66 = (a45 + 12);
                a76 = (a45 + 13);
                s38 = SUB_CPX_CPX(MUL_FLT_CPX(*(a66), *(a25)), MUL_FLT_CPX(*(a76), *(a35)));
                s48 = ADD_CPX_CPX(MUL_FLT_CPX(*(a76), *(a25)), MUL_FLT_CPX(*(a66), *(a35)));
                t1b = ADD_CPX_CPX(*(a83), s77);
                t2b = ADD_CPX_CPX(*(a93), s87);
                t3b = SUB_CPX_CPX(*(a83), s77);
                t4b = SUB_CPX_CPX(*(a93), s87);
                t5b = ADD_CPX_CPX(s37, s18);
                t6b = ADD_CPX_CPX(s47, s28);
                t7b = SUB_CPX_CPX(s37, s18);
                t8b = SUB_CPX_CPX(s47, s28);
                t9b = ADD_CPX_CPX(t1b, t5b);
                t0c = ADD_CPX_CPX(t2b, t6b);
                t1c = SUB_CPX_CPX(t1b, t5b);
                t2c = SUB_CPX_CPX(t2b, t6b);
                t3c = SUB_CPX_CPX(t3b, t8b);
                t4c = ADD_CPX_CPX(t4b, t7b);
                t5c = ADD_CPX_CPX(t3b, t8b);
                t6c = SUB_CPX_CPX(t4b, t7b);
                t7c = ADD_CPX_CPX(s17, s38);
                t8c = ADD_CPX_CPX(s27, s48);
                t9c = SUB_CPX_CPX(s48, s27);
                t0d = SUB_CPX_CPX(s17, s38);
                t1d = ADD_CPX_CPX(s97, s57);
                t2d = ADD_CPX_CPX(s08, s67);
                t3d = SUB_CPX_CPX(s67, s08);
                t4d = SUB_CPX_CPX(s97, s57);
                s58 = ADD_CPX_CPX(t7c, t1d);
                s68 = ADD_CPX_CPX(t8c, t2d);
                s78 = ADD_CPX_CPX(t9c, t3d);
                s88 = ADD_CPX_CPX(t0d, t4d);
                a86 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t7c, t1d));
                a96 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9c, t3d));
                t5d = ADD_CPX_CPX(a86, a96);
                a07 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8c, t2d));
                a17 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0d, t4d));
                t6d = ADD_CPX_CPX(a07, a17);
                t7d = SUB_CPX_CPX(a96, a86);
                t8d = SUB_CPX_CPX(a17, a07);
                b2 = (T2 + (256*i2));
                b3 = (b2 + a73);
                *((b3 + 2)) = ADD_CPX_CPX(t9b, s58);
                *((b3 + 3)) = ADD_CPX_CPX(t0c, s68);
                *((b3 + 130)) = ADD_CPX_CPX(t1c, s78);
                *((b3 + 131)) = ADD_CPX_CPX(t2c, s88);
                b4 = SUB_INT_INT(b2, a73);
                *((b4 + 254)) = SUB_CPX_CPX(t9b, s58);
                *((b4 + 255)) = SUB_CPX_CPX(s68, t0c);
                *((b4 + 126)) = SUB_CPX_CPX(t1c, s78);
                *((b4 + 127)) = SUB_CPX_CPX(s88, t2c);
                *((b3 + 66)) = ADD_CPX_CPX(t3c, t5d);
                *((b3 + 67)) = ADD_CPX_CPX(t4c, t6d);
                *((b3 + 194)) = ADD_CPX_CPX(t5c, t7d);
                *((b3 + 195)) = ADD_CPX_CPX(t6c, t8d);
                *((b4 + 190)) = SUB_CPX_CPX(t3c, t5d);
                *((b4 + 191)) = SUB_CPX_CPX(t6d, t4c);
                *((b4 + 62)) = SUB_CPX_CPX(t5c, t7d);
                *((b4 + 63)) = SUB_CPX_CPX(t8d, t6c);
            }}
        }}
        a27 = (T2 + 1);
        t9d = ADD_CPX_CPX(*(T2), *(a27));
        a37 = (T2 + 1024);
        a47 = (T2 + 1025);
        t0e = ADD_CPX_CPX(*(a37), *(a47));
        t1e = SUB_CPX_CPX(*(T2), *(a27));
        t2e = SUB_CPX_CPX(*(a37), *(a47));
        a57 = (T2 + 512);
        a67 = (T2 + 513);
        t3e = ADD_CPX_CPX(*(a57), *(a67));
        a77 = (T2 + 1536);
        a87 = (T2 + 1537);
        t4e = ADD_CPX_CPX(*(a77), *(a87));
        t5e = ADD_CPX_CPX(t9d, t0e);
        t6e = ADD_CPX_CPX(t3e, t4e);
        t7e = SUB_CPX_CPX(t9d, t0e);
        t8e = SUB_CPX_CPX(t3e, t4e);
        a97 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a57), *(a67)));
        a08 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a77), *(a87)));
        s98 = SUB_CPX_CPX(a97, a08);
        s09 = ADD_CPX_CPX(a97, a08);
        t9e = ADD_CPX_CPX(t1e, s98);
        t0f = ADD_CPX_CPX(t2e, s09);
        t1f = SUB_CPX_CPX(t1e, s98);
        t2f = SUB_CPX_CPX(t2e, s09);
        a18 = (T2 + 256);
        a28 = (T2 + 257);
        t3f = ADD_CPX_CPX(*(a18), *(a28));
        a38 = (T2 + 1280);
        a48 = (T2 + 1281);
        t4f = ADD_CPX_CPX(*(a38), *(a48));
        t5f = SUB_CPX_CPX(*(a18), *(a28));
        t6f = SUB_CPX_CPX(*(a38), *(a48));
        a58 = (T2 + 768);
        a68 = (T2 + 769);
        t7f = ADD_CPX_CPX(*(a58), *(a68));
        a78 = (T2 + 1792);
        a88 = (T2 + 1793);
        t8f = ADD_CPX_CPX(*(a78), *(a88));
        t9f = ADD_CPX_CPX(t3f, t4f);
        t0g = ADD_CPX_CPX(t7f, t8f);
        a98 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a58), *(a68)));
        a09 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a78), *(a88)));
        s19 = SUB_CPX_CPX(a98, a09);
        s29 = ADD_CPX_CPX(a98, a09);
        t1g = ADD_CPX_CPX(t5f, s19);
        t2g = ADD_CPX_CPX(t6f, s29);
        t3g = SUB_CPX_CPX(t5f, s19);
        t4g = SUB_CPX_CPX(t6f, s29);
        a19 = (T + i);
        *(a19) = ADD_CPX_CPX(t5e, t6e);
        *((a19 + 2)) = ADD_CPX_CPX(t9f, t0g);
        *((a19 + 2048)) = SUB_CPX_CPX(t5e, t6e);
        *((a19 + 2050)) = SUB_CPX_CPX(t9f, t0g);
        s39 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t1g), MUL_FLT_CPX(C_FLT(0.38268343236508978), t2g));
        s49 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t1g), MUL_FLT_CPX(C_FLT(0.92387953251128674), t2g));
        *((a19 + 512)) = ADD_CPX_CPX(t9e, s39);
        *((a19 + 514)) = ADD_CPX_CPX(t0f, s49);
        *((a19 + 3584)) = SUB_CPX_CPX(t9e, s39);
        *((a19 + 3586)) = SUB_CPX_CPX(s49, t0f);
        a29 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3f, t4f));
        a39 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t7f, t8f));
        s59 = SUB_CPX_CPX(a29, a39);
        s69 = ADD_CPX_CPX(a29, a39);
        *((a19 + 1024)) = ADD_CPX_CPX(t7e, s59);
        *((a19 + 1026)) = ADD_CPX_CPX(t8e, s69);
        *((a19 + 3072)) = SUB_CPX_CPX(t7e, s59);
        *((a19 + 3074)) = SUB_CPX_CPX(s69, t8e);
        s79 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t3g), MUL_FLT_CPX(C_FLT(0.92387953251128674), t4g));
        s89 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t3g), MUL_FLT_CPX(C_FLT(0.38268343236508978), t4g));
        *((a19 + 1536)) = ADD_CPX_CPX(t1f, s79);
        *((a19 + 1538)) = SUB_CPX_CPX(s89, t2f);
        *((a19 + 2560)) = SUB_CPX_CPX(t1f, s79);
        *((a19 + 2562)) = ADD_CPX_CPX(t2f, s89);
        {long i5; for(i5 = 0; i5 <= 126; i5++) {
            b5 = (T2 + (2*i5));
            a49 = (b5 + 2);
            a59 = (b5 + 3);
            a69 = (b5 + 258);
            a79 = (b5 + 259);
            a89 = (b5 + 514);
            a99 = (b5 + 515);
            a0a = (b5 + 770);
            a1a = (b5 + 771);
            a2a = (b5 + 1026);
            a3a = (b5 + 1027);
            a4a = (b5 + 1282);
            a5a = (b5 + 1283);
            a6a = (b5 + 1538);
            a7a = (b5 + 1539);
            a8a = (b5 + 1794);
            a9a = (b5 + 1795);
            a0b = (D1011 + (14*i5));
            a1b = (a0b + 1);
            s99 = SUB_CPX_CPX(MUL_FLT_CPX(*(a0b), *(a69)), MUL_FLT_CPX(*(a1b), *(a79)));
            s0a = ADD_CPX_CPX(MUL_FLT_CPX(*(a1b), *(a69)), MUL_FLT_CPX(*(a0b), *(a79)));
            a2b = (a0b + 2);
            a3b = (a0b + 3);
            s1a = SUB_CPX_CPX(MUL_FLT_CPX(*(a2b), *(a89)), MUL_FLT_CPX(*(a3b), *(a99)));
            s2a = ADD_CPX_CPX(MUL_FLT_CPX(*(a3b), *(a89)), MUL_FLT_CPX(*(a2b), *(a99)));
            a4b = (a0b + 4);
            a5b = (a0b + 5);
            s3a = SUB_CPX_CPX(MUL_FLT_CPX(*(a4b), *(a0a)), MUL_FLT_CPX(*(a5b), *(a1a)));
            s4a = ADD_CPX_CPX(MUL_FLT_CPX(*(a5b), *(a0a)), MUL_FLT_CPX(*(a4b), *(a1a)));
            a6b = (a0b + 6);
            a7b = (a0b + 7);
            s5a = SUB_CPX_CPX(MUL_FLT_CPX(*(a6b), *(a2a)), MUL_FLT_CPX(*(a7b), *(a3a)));
            s6a = ADD_CPX_CPX(MUL_FLT_CPX(*(a7b), *(a2a)), MUL_FLT_CPX(*(a6b), *(a3a)));
            a8b = (a0b + 8);
            a9b = (a0b + 9);
            s7a = SUB_CPX_CPX(MUL_FLT_CPX(*(a8b), *(a4a)), MUL_FLT_CPX(*(a9b), *(a5a)));
            s8a = ADD_CPX_CPX(MUL_FLT_CPX(*(a9b), *(a4a)), MUL_FLT_CPX(*(a8b), *(a5a)));
            a0c = (a0b + 10);
            a1c = (a0b + 11);
            s9a = SUB_CPX_CPX(MUL_FLT_CPX(*(a0c), *(a6a)), MUL_FLT_CPX(*(a1c), *(a7a)));
            s0b = ADD_CPX_CPX(MUL_FLT_CPX(*(a1c), *(a6a)), MUL_FLT_CPX(*(a0c), *(a7a)));
            a2c = (a0b + 12);
            a3c = (a0b + 13);
            s1b = SUB_CPX_CPX(MUL_FLT_CPX(*(a2c), *(a8a)), MUL_FLT_CPX(*(a3c), *(a9a)));
            s2b = ADD_CPX_CPX(MUL_FLT_CPX(*(a3c), *(a8a)), MUL_FLT_CPX(*(a2c), *(a9a)));
            t5g = ADD_CPX_CPX(*(a49), s5a);
            t6g = ADD_CPX_CPX(*(a59), s6a);
            t7g = SUB_CPX_CPX(*(a49), s5a);
            t8g = SUB_CPX_CPX(*(a59), s6a);
            t9g = ADD_CPX_CPX(s1a, s9a);
            t0h = ADD_CPX_CPX(s2a, s0b);
            t1h = SUB_CPX_CPX(s1a, s9a);
            t2h = SUB_CPX_CPX(s2a, s0b);
            t3h = ADD_CPX_CPX(t5g, t9g);
            t4h = ADD_CPX_CPX(t6g, t0h);
            t5h = SUB_CPX_CPX(t5g, t9g);
            t6h = SUB_CPX_CPX(t6g, t0h);
            t7h = SUB_CPX_CPX(t7g, t2h);
            t8h = ADD_CPX_CPX(t8g, t1h);
            t9h = ADD_CPX_CPX(t7g, t2h);
            t0i = SUB_CPX_CPX(t8g, t1h);
            t1i = ADD_CPX_CPX(s99, s1b);
            t2i = ADD_CPX_CPX(s0a, s2b);
            t3i = SUB_CPX_CPX(s2b, s0a);
            t4i = SUB_CPX_CPX(s99, s1b);
            t5i = ADD_CPX_CPX(s7a, s3a);
            t6i = ADD_CPX_CPX(s8a, s4a);
            t7i = SUB_CPX_CPX(s4a, s8a);
            t8i = SUB_CPX_CPX(s7a, s3a);
            s3b = ADD_CPX_CPX(t1i, t5i);
            s4b = ADD_CPX_CPX(t2i, t6i);
            s5b = ADD_CPX_CPX(t3i, t7i);
            s6b = ADD_CPX_CPX(t4i, t8i);
            a4c = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t1i, t5i));
            a5c = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3i, t7i));
            t9i = ADD_CPX_CPX(a4c, a5c);
            a6c = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2i, t6i));
            a7c = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t4i, t8i));
            t0j = ADD_CPX_CPX(a6c, a7c);
            t1j = SUB_CPX_CPX(a5c, a4c);
            t2j = SUB_CPX_CPX(a7c, a6c);
            a8c = (4*i5);
            b6 = (T + i);
            b7 = (b6 + a8c);
            *((b7 + 4)) = ADD_CPX_CPX(t3h, s3b);
            *((b7 + 6)) = ADD_CPX_CPX(t4h, s4b);
            *((b7 + 2052)) = ADD_CPX_CPX(t5h, s5b);
            *((b7 + 2054)) = ADD_CPX_CPX(t6h, s6b);
            b8 = SUB_INT_INT(b6, a8c);
            *((b8 + 4092)) = SUB_CPX_CPX(t3h, s3b);
            *((b8 + 4094)) = SUB_CPX_CPX(s4b, t4h);
            *((b8 + 2044)) = SUB_CPX_CPX(t5h, s5b);
            *((b8 + 2046)) = SUB_CPX_CPX(s6b, t6h);
            *((b7 + 1028)) = ADD_CPX_CPX(t7h, t9i);
            *((b7 + 1030)) = ADD_CPX_CPX(t8h, t0j);
            *((b7 + 3076)) = ADD_CPX_CPX(t9h, t1j);
            *((b7 + 3078)) = ADD_CPX_CPX(t0i, t2j);
            *((b8 + 3068)) = SUB_CPX_CPX(t7h, t9i);
            *((b8 + 3070)) = SUB_CPX_CPX(t0j, t8h);
            *((b8 + 1020)) = SUB_CPX_CPX(t9h, t1j);
            *((b8 + 1022)) = SUB_CPX_CPX(t2j, t0i);
        }}
    }}
    a9c = (T + 2);
    t3j = ADD_CPX_CPX(*(T), *(a9c));
    t4j = SUB_CPX_CPX(*(T), *(a9c));
    a0d = (T + 1);
    a1d = (T + 3);
    t5j = ADD_CPX_CPX(*(a0d), *(a1d));
    s7b = MUL_I_CPX(SUB_CPX_CPX(*(a0d), *(a1d)));
    t6j = ADD_CPX_CPX(t3j, t5j);
    t7j = SUB_CPX_CPX(t3j, t5j);
    STOREU_CPX(dst, t6j);
    STOREU_CPX((dst + 2048), t7j);
    t8j = ADD_CPX_CPX(t4j, s7b);
    t9j = SUB_CPX_CPX(t4j, s7b);
    STOREU_CPX((dst + 1024), t8j);
    STOREU_CPX((dst + 3072), t9j);
    {long i6; for(i6 = 0; i6 <= 1022; i6++) {
        b9 = (T + (4*i6));
        a2d = (b9 + 4);
        a3d = (b9 + 6);
        a4d = (b9 + 5);
        a5d = (b9 + 7);
        a6d = (D1010 + (2*i6));
        a7d = (a6d + 1);
        s8b = SUB_CPX_CPX(MUL_FLT_CPX(*(a6d), *(a4d)), MUL_FLT_CPX(*(a7d), *(a5d)));
        s9b = ADD_CPX_CPX(MUL_FLT_CPX(*(a7d), *(a4d)), MUL_FLT_CPX(*(a6d), *(a5d)));
        t0k = ADD_CPX_CPX(*(a2d), s8b);
        t1k = SUB_CPX_CPX(*(a2d), s8b);
        a8d = MUL_I_CPX(ADD_CPX_CPX(*(a3d), s9b));
        t2k = ADD_CPX_CPX(t0k, a8d);
        t3k = SUB_CPX_CPX(t0k, a8d);
        STOREU_CPX((1 + dst + i6), t2k);
        STOREU_CPX((dst + (4096 - (1 + i6))), t3k);
        a9d = MUL_I_CPX(SUB_CPX_CPX(*(a3d), s9b));
        t4k = ADD_CPX_CPX(t1k, a9d);
        t5k = SUB_CPX_CPX(t1k, a9d);
        STOREU_CPX((2049 + dst + i6), t4k);
        STOREU_CPX((dst + (2048 - (1 + i6))), t5k);
    }}
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_fftinv_double_4096)(const double *pSrc, double *pDst ) {
    if (!is_aligned(pSrc) || !is_aligned(pDst))
       	return spiral_fftinv_double_4096_unaligned(pSrc, pDst );
    else {
    const CPX  *src = (const CPX *) pSrc; 
    CPX        *dst = (CPX *) pDst;
    
    
    { SPIRAL_ALIGNED(CPX T[4096]);
     SPIRAL_ALIGNED(CPX T2[2048]);
     SPIRAL_ALIGNED(CPX T3[256]);
    CPX  *a05, *a06, *a07, *a08, *a0d, *a0e, *a0g, *a14, *a15, *a16, *a17, *a18, *a1d, *a1g, *a25, *a26, *a27, *a28, *a2b, *a2c, *a2d, *a2g
            , *a37, *a38, *a3a, *a3b, *a3d, *a3g, *a47, *a48, *a4a, *a4b, *a4d, *a4g, *a55, *a56, *a57, *a5a, *a5b, *a5c, *a5d, *a5g, *a64, *a65
            , *a67, *a6a, *a6b, *a6c, *a6d, *a6g, *a74, *a75, *a77, *a7a, *a7b, *a7c, *a7d, *a84, *a85, *a87, *a8a, *a8b, *a8c, *a8d, *a94, *a95
            , *a96, *a97, *a9a, *a9b, *a9c, *a9d, *b, *b01, *b2, *b3, *b4, *b5, *b6, *b7, *b8, *b9;
    const CPX  *a, *a11, *a12, *a13, *a2, *a21, *a22, *a23, *a3, *a31, *a32, *a33, *a4, *a41, *a42, *a43, *a5, *a51, *a52, *a53, *a6, *a61
            , *a62, *a63, *a7, *a71, *a72, *a73, *a8, *a81, *a82, *a83;
    FLT  *a09, *a0f, *a19, *a1e, *a1f, *a29, *a2e, *a2f, *a39, *a3e, *a3f, *a49, *a4e, *a4f, *a58, *a59, *a5e, *a68, *a69, *a6e, *a78, *a79
            , *a7e, *a7g, *a88, *a89, *a8e, *a8g, *a98, *a9e;
    int a86, a9f;
    CPX a01, a02, a03, a04, a0a, a0b, a0c, a0h, a1a, a1b, a1c, a24, a2a, a34, a35, a36, a3c, a44, a45, a46, a4c, a54
        , a5f, a66, a6f, a76, a7f, a8f, a9, a91, a92, a93, a99, a9g, s, s01, s02, s03, s04, s05, s06, s07, s08, s11
        , s12, s13, s14, s15, s16, s17, s18, s2, s21, s22, s23, s24, s25, s26, s27, s28, s3, s31, s32, s33, s34, s35
        , s36, s37, s38, s4, s41, s42, s43, s44, s45, s46, s47, s48, s5, s51, s52, s53, s54, s55, s56, s57, s58, s6
        , s61, s62, s63, s64, s65, s66, s67, s68, s7, s71, s72, s73, s74, s75, s76, s77, s78, s8, s81, s82, s83, s84
        , s85, s86, s87, s9, s91, s92, s93, s94, s95, s96, s97, t, t01, t02, t03, t04, t05, t06, t07, t08, t09, t0a
        , t0b, t0c, t0d, t0e, t0f, t0g, t0h, t0i, t0j, t11, t12, t13, t14, t15, t16, t17, t18, t19, t1a, t1b, t1c, t1d
        , t1e, t1f, t1g, t1h, t1i, t1j, t2, t21, t22, t23, t24, t25, t26, t27, t28, t29, t2a, t2b, t2c, t2d, t2e, t2f
        , t2g, t2h, t2i, t2j, t3, t31, t32, t33, t34, t35, t36, t37, t38, t39, t3a, t3b, t3c, t3d, t3e, t3f, t3g, t3h
        , t3i, t3j, t4, t41, t42, t43, t44, t45, t46, t47, t48, t49, t4a, t4b, t4c, t4d, t4e, t4f, t4g, t4h, t4i, t4j
        , t5, t51, t52, t53, t54, t55, t56, t57, t58, t59, t5a, t5b, t5c, t5d, t5e, t5f, t5g, t5h, t5i, t5j, t6, t61
        , t62, t63, t64, t65, t66, t67, t68, t69, t6a, t6b, t6c, t6d, t6e, t6f, t6g, t6h, t6i, t6j, t7, t71, t72, t73
        , t74, t75, t76, t77, t78, t79, t7a, t7b, t7c, t7d, t7e, t7f, t7g, t7h, t7i, t7j, t8, t81, t82, t83, t84, t85
        , t86, t87, t88, t89, t8a, t8b, t8c, t8d, t8e, t8f, t8g, t8h, t8i, t9, t91, t92, t93, t94, t95, t96, t97, t98
        , t99, t9a, t9b, t9c, t9d, t9e, t9f, t9g, t9h, t9i;
    {long i; for(i = 0; i <= 1; i++) {
        {long i2; for(i2 = 0; i2 <= 7; i2++) {
            {long i3; for(i3 = 0; i3 <= 7; i3++) {
                a = (src + i + (2*i2) + (16*i3));
                a2 = (a + 1024);
                a3 = (a + 2048);
                a4 = (a + 3072);
                t = ADD_CPX_CPX(*(a), *(a3));
                t2 = ADD_CPX_CPX(*(a2), *(a4));
                t3 = SUB_CPX_CPX(*(a), *(a3));
                t4 = SUB_CPX_CPX(*(a2), *(a4));
                a5 = (a + 512);
                a6 = (a + 1536);
                a7 = (a + 2560);
                a8 = (a + 3584);
                t5 = ADD_CPX_CPX(*(a5), *(a7));
                t6 = ADD_CPX_CPX(*(a6), *(a8));
                t7 = ADD_CPX_CPX(t, t2);
                t8 = ADD_CPX_CPX(t5, t6);
                t9 = SUB_CPX_CPX(t, t2);
                t01 = SUB_CPX_CPX(t5, t6);
                a9 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a5), *(a7)));
                a01 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a6), *(a8)));
                s = SUB_CPX_CPX(a9, a01);
                s2 = ADD_CPX_CPX(a9, a01);
                t11 = ADD_CPX_CPX(t3, s);
                t21 = ADD_CPX_CPX(t4, s2);
                t31 = SUB_CPX_CPX(t3, s);
                t41 = SUB_CPX_CPX(t4, s2);
                a11 = (a + 128);
                a21 = (a + 1152);
                a31 = (a + 2176);
                a41 = (a + 3200);
                t51 = ADD_CPX_CPX(*(a11), *(a31));
                t61 = ADD_CPX_CPX(*(a21), *(a41));
                t71 = SUB_CPX_CPX(*(a11), *(a31));
                t81 = SUB_CPX_CPX(*(a21), *(a41));
                a51 = (a + 640);
                a61 = (a + 1664);
                a71 = (a + 2688);
                a81 = (a + 3712);
                t91 = ADD_CPX_CPX(*(a51), *(a71));
                t02 = ADD_CPX_CPX(*(a61), *(a81));
                t12 = ADD_CPX_CPX(t51, t61);
                t22 = ADD_CPX_CPX(t91, t02);
                t32 = SUB_CPX_CPX(t51, t61);
                t42 = SUB_CPX_CPX(t91, t02);
                a91 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a51), *(a71)));
                a02 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a61), *(a81)));
                s3 = SUB_CPX_CPX(a91, a02);
                s4 = ADD_CPX_CPX(a91, a02);
                t52 = ADD_CPX_CPX(t71, s3);
                t62 = ADD_CPX_CPX(t81, s4);
                t72 = SUB_CPX_CPX(t71, s3);
                t82 = SUB_CPX_CPX(t81, s4);
                a12 = (a + 256);
                a22 = (a + 1280);
                a32 = (a + 2304);
                a42 = (a + 3328);
                t92 = ADD_CPX_CPX(*(a12), *(a32));
                t03 = ADD_CPX_CPX(*(a22), *(a42));
                t13 = SUB_CPX_CPX(*(a12), *(a32));
                t23 = SUB_CPX_CPX(*(a22), *(a42));
                a52 = (a + 768);
                a62 = (a + 1792);
                a72 = (a + 2816);
                a82 = (a + 3840);
                t33 = ADD_CPX_CPX(*(a52), *(a72));
                t43 = ADD_CPX_CPX(*(a62), *(a82));
                t53 = ADD_CPX_CPX(t92, t03);
                t63 = ADD_CPX_CPX(t33, t43);
                a92 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a52), *(a72)));
                a03 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a62), *(a82)));
                s5 = SUB_CPX_CPX(a92, a03);
                s6 = ADD_CPX_CPX(a92, a03);
                t73 = ADD_CPX_CPX(t13, s5);
                t83 = ADD_CPX_CPX(t23, s6);
                t93 = SUB_CPX_CPX(t13, s5);
                t04 = SUB_CPX_CPX(t23, s6);
                a13 = (a + 384);
                a23 = (a + 1408);
                a33 = (a + 2432);
                a43 = (a + 3456);
                t14 = ADD_CPX_CPX(*(a13), *(a33));
                t24 = ADD_CPX_CPX(*(a23), *(a43));
                t34 = SUB_CPX_CPX(*(a13), *(a33));
                t44 = SUB_CPX_CPX(*(a23), *(a43));
                a53 = (a + 896);
                a63 = (a + 1920);
                a73 = (a + 2944);
                a83 = (a + 3968);
                t54 = ADD_CPX_CPX(*(a53), *(a73));
                t64 = ADD_CPX_CPX(*(a63), *(a83));
                t74 = ADD_CPX_CPX(t14, t24);
                t84 = ADD_CPX_CPX(t54, t64);
                t94 = SUB_CPX_CPX(t14, t24);
                t05 = SUB_CPX_CPX(t54, t64);
                a93 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a53), *(a73)));
                a04 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a63), *(a83)));
                s7 = SUB_CPX_CPX(a93, a04);
                s8 = ADD_CPX_CPX(a93, a04);
                t15 = ADD_CPX_CPX(t34, s7);
                t25 = ADD_CPX_CPX(t44, s8);
                t35 = SUB_CPX_CPX(t34, s7);
                t45 = SUB_CPX_CPX(t44, s8);
                t55 = ADD_CPX_CPX(t7, t8);
                t65 = ADD_CPX_CPX(t53, t63);
                t75 = SUB_CPX_CPX(t7, t8);
                t85 = SUB_CPX_CPX(t53, t63);
                t95 = ADD_CPX_CPX(t12, t22);
                t06 = ADD_CPX_CPX(t74, t84);
                a14 = (T3 + (32*i3));
                *(a14) = ADD_CPX_CPX(t55, t65);
                *((a14 + 1)) = ADD_CPX_CPX(t95, t06);
                *((a14 + 16)) = SUB_CPX_CPX(t55, t65);
                *((a14 + 17)) = SUB_CPX_CPX(t95, t06);
                a24 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t12, t22));
                a34 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t74, t84));
                s9 = SUB_CPX_CPX(a24, a34);
                s01 = ADD_CPX_CPX(a24, a34);
                *((a14 + 8)) = ADD_CPX_CPX(t75, s9);
                *((a14 + 9)) = ADD_CPX_CPX(t85, s01);
                *((a14 + 24)) = SUB_CPX_CPX(t75, s9);
                *((a14 + 25)) = SUB_CPX_CPX(s01, t85);
                s11 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t52), MUL_FLT_CPX(C_FLT(0.19509032201612828), t62));
                s21 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), t52), MUL_FLT_CPX(C_FLT(0.98078528040323043), t62));
                s31 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t73), MUL_FLT_CPX(C_FLT(0.38268343236508978), t83));
                s41 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t73), MUL_FLT_CPX(C_FLT(0.92387953251128674), t83));
                s51 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t15), MUL_FLT_CPX(C_FLT(0.55557023301960218), t25));
                s61 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), t15), MUL_FLT_CPX(C_FLT(0.83146961230254524), t25));
                t16 = ADD_CPX_CPX(t11, s31);
                t26 = ADD_CPX_CPX(t21, s41);
                t36 = SUB_CPX_CPX(t11, s31);
                t46 = SUB_CPX_CPX(t21, s41);
                t56 = ADD_CPX_CPX(s11, s51);
                t66 = ADD_CPX_CPX(s21, s61);
                t76 = SUB_CPX_CPX(s11, s51);
                t86 = SUB_CPX_CPX(s21, s61);
                *((a14 + 2)) = ADD_CPX_CPX(t16, t56);
                *((a14 + 3)) = ADD_CPX_CPX(t26, t66);
                *((a14 + 30)) = SUB_CPX_CPX(t16, t56);
                *((a14 + 31)) = SUB_CPX_CPX(t66, t26);
                *((a14 + 18)) = SUB_CPX_CPX(t36, t86);
                *((a14 + 19)) = ADD_CPX_CPX(t46, t76);
                *((a14 + 14)) = ADD_CPX_CPX(t36, t86);
                *((a14 + 15)) = SUB_CPX_CPX(t76, t46);
                s71 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t32), MUL_FLT_CPX(C_FLT(0.38268343236508978), t42));
                s81 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t32), MUL_FLT_CPX(C_FLT(0.92387953251128674), t42));
                a44 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t92, t03));
                a54 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t33, t43));
                s91 = SUB_CPX_CPX(a44, a54);
                s02 = ADD_CPX_CPX(a44, a54);
                s12 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t94), MUL_FLT_CPX(C_FLT(0.92387953251128674), t05));
                s22 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t94), MUL_FLT_CPX(C_FLT(0.38268343236508978), t05));
                t96 = ADD_CPX_CPX(t9, s91);
                t07 = ADD_CPX_CPX(t01, s02);
                t17 = SUB_CPX_CPX(t9, s91);
                t27 = SUB_CPX_CPX(t01, s02);
                t37 = ADD_CPX_CPX(s71, s12);
                t47 = ADD_CPX_CPX(s81, s22);
                t57 = SUB_CPX_CPX(s71, s12);
                t67 = SUB_CPX_CPX(s81, s22);
                *((a14 + 4)) = ADD_CPX_CPX(t96, t37);
                *((a14 + 5)) = ADD_CPX_CPX(t07, t47);
                *((a14 + 28)) = SUB_CPX_CPX(t96, t37);
                *((a14 + 29)) = SUB_CPX_CPX(t47, t07);
                *((a14 + 20)) = SUB_CPX_CPX(t17, t67);
                *((a14 + 21)) = ADD_CPX_CPX(t27, t57);
                *((a14 + 12)) = ADD_CPX_CPX(t17, t67);
                *((a14 + 13)) = SUB_CPX_CPX(t57, t27);
                s32 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t72), MUL_FLT_CPX(C_FLT(0.55557023301960218), t82));
                s42 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), t72), MUL_FLT_CPX(C_FLT(0.83146961230254524), t82));
                s52 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t93), MUL_FLT_CPX(C_FLT(0.92387953251128674), t04));
                s62 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t93), MUL_FLT_CPX(C_FLT(0.38268343236508978), t04));
                s72 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t45), MUL_FLT_CPX(C_FLT(0.19509032201612828), t35));
                s82 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t35), MUL_FLT_CPX(C_FLT(0.19509032201612828), t45));
                t77 = ADD_CPX_CPX(t31, s52);
                t87 = SUB_CPX_CPX(s62, t41);
                t97 = SUB_CPX_CPX(t31, s52);
                t08 = ADD_CPX_CPX(t41, s62);
                t18 = ADD_CPX_CPX(s32, s72);
                t28 = ADD_CPX_CPX(s42, s82);
                t38 = SUB_CPX_CPX(s32, s72);
                t48 = SUB_CPX_CPX(s42, s82);
                *((a14 + 6)) = ADD_CPX_CPX(t77, t18);
                *((a14 + 7)) = ADD_CPX_CPX(t87, t28);
                *((a14 + 26)) = SUB_CPX_CPX(t77, t18);
                *((a14 + 27)) = SUB_CPX_CPX(t28, t87);
                *((a14 + 22)) = SUB_CPX_CPX(t97, t48);
                *((a14 + 23)) = SUB_CPX_CPX(t38, t08);
                *((a14 + 10)) = ADD_CPX_CPX(t97, t48);
                *((a14 + 11)) = ADD_CPX_CPX(t08, t38);
            }}
            a64 = (T3 + 1);
            t58 = ADD_CPX_CPX(*(T3), *(a64));
            a74 = (T3 + 128);
            a84 = (T3 + 129);
            t68 = ADD_CPX_CPX(*(a74), *(a84));
            t78 = SUB_CPX_CPX(*(T3), *(a64));
            t88 = SUB_CPX_CPX(*(a74), *(a84));
            a94 = (T3 + 64);
            a05 = (T3 + 65);
            t98 = ADD_CPX_CPX(*(a94), *(a05));
            a15 = (T3 + 192);
            a25 = (T3 + 193);
            t09 = ADD_CPX_CPX(*(a15), *(a25));
            t19 = ADD_CPX_CPX(t58, t68);
            t29 = ADD_CPX_CPX(t98, t09);
            t39 = SUB_CPX_CPX(t58, t68);
            t49 = SUB_CPX_CPX(t98, t09);
            a35 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a94), *(a05)));
            a45 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a15), *(a25)));
            s92 = SUB_CPX_CPX(a35, a45);
            s03 = ADD_CPX_CPX(a35, a45);
            t59 = ADD_CPX_CPX(t78, s92);
            t69 = ADD_CPX_CPX(t88, s03);
            t79 = SUB_CPX_CPX(t78, s92);
            t89 = SUB_CPX_CPX(t88, s03);
            a55 = (T3 + 32);
            a65 = (T3 + 33);
            t99 = ADD_CPX_CPX(*(a55), *(a65));
            a75 = (T3 + 160);
            a85 = (T3 + 161);
            t0a = ADD_CPX_CPX(*(a75), *(a85));
            t1a = SUB_CPX_CPX(*(a55), *(a65));
            t2a = SUB_CPX_CPX(*(a75), *(a85));
            a95 = (T3 + 96);
            a06 = (T3 + 97);
            t3a = ADD_CPX_CPX(*(a95), *(a06));
            a16 = (T3 + 224);
            a26 = (T3 + 225);
            t4a = ADD_CPX_CPX(*(a16), *(a26));
            t5a = ADD_CPX_CPX(t99, t0a);
            t6a = ADD_CPX_CPX(t3a, t4a);
            a36 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a95), *(a06)));
            a46 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a16), *(a26)));
            s13 = SUB_CPX_CPX(a36, a46);
            s23 = ADD_CPX_CPX(a36, a46);
            t7a = ADD_CPX_CPX(t1a, s13);
            t8a = ADD_CPX_CPX(t2a, s23);
            t9a = SUB_CPX_CPX(t1a, s13);
            t0b = SUB_CPX_CPX(t2a, s23);
            a56 = (T2 + (256*i2));
            *(a56) = ADD_CPX_CPX(t19, t29);
            *((a56 + 1)) = ADD_CPX_CPX(t5a, t6a);
            *((a56 + 128)) = SUB_CPX_CPX(t19, t29);
            *((a56 + 129)) = SUB_CPX_CPX(t5a, t6a);
            s33 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t7a), MUL_FLT_CPX(C_FLT(0.38268343236508978), t8a));
            s43 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t7a), MUL_FLT_CPX(C_FLT(0.92387953251128674), t8a));
            *((a56 + 32)) = ADD_CPX_CPX(t59, s33);
            *((a56 + 33)) = ADD_CPX_CPX(t69, s43);
            *((a56 + 224)) = SUB_CPX_CPX(t59, s33);
            *((a56 + 225)) = SUB_CPX_CPX(s43, t69);
            a66 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t99, t0a));
            a76 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3a, t4a));
            s53 = SUB_CPX_CPX(a66, a76);
            s63 = ADD_CPX_CPX(a66, a76);
            *((a56 + 64)) = ADD_CPX_CPX(t39, s53);
            *((a56 + 65)) = ADD_CPX_CPX(t49, s63);
            *((a56 + 192)) = SUB_CPX_CPX(t39, s53);
            *((a56 + 193)) = SUB_CPX_CPX(s63, t49);
            s73 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t9a), MUL_FLT_CPX(C_FLT(0.92387953251128674), t0b));
            s83 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t9a), MUL_FLT_CPX(C_FLT(0.38268343236508978), t0b));
            *((a56 + 96)) = ADD_CPX_CPX(t79, s73);
            *((a56 + 97)) = SUB_CPX_CPX(s83, t89);
            *((a56 + 160)) = SUB_CPX_CPX(t79, s73);
            *((a56 + 161)) = ADD_CPX_CPX(t89, s83);
            {long i4; for(i4 = 0; i4 <= 14; i4++) {
                a86 = (2*i4);
                b = (T3 + a86);
                a96 = (b + 2);
                a07 = (b + 3);
                a17 = (b + 34);
                a27 = (b + 35);
                a37 = (b + 66);
                a47 = (b + 67);
                a57 = (b + 98);
                a67 = (b + 99);
                a77 = (b + 130);
                a87 = (b + 131);
                a97 = (b + 162);
                a08 = (b + 163);
                a18 = (b + 194);
                a28 = (b + 195);
                a38 = (b + 226);
                a48 = (b + 227);
                a58 = (D1012 + (14*i4));
                a68 = (a58 + 1);
                s93 = SUB_CPX_CPX(MUL_FLT_CPX(*(a58), *(a17)), MUL_FLT_CPX(*(a68), *(a27)));
                s04 = ADD_CPX_CPX(MUL_FLT_CPX(*(a68), *(a17)), MUL_FLT_CPX(*(a58), *(a27)));
                a78 = (a58 + 2);
                a88 = (a58 + 3);
                s14 = SUB_CPX_CPX(MUL_FLT_CPX(*(a78), *(a37)), MUL_FLT_CPX(*(a88), *(a47)));
                s24 = ADD_CPX_CPX(MUL_FLT_CPX(*(a88), *(a37)), MUL_FLT_CPX(*(a78), *(a47)));
                a98 = (a58 + 4);
                a09 = (a58 + 5);
                s34 = SUB_CPX_CPX(MUL_FLT_CPX(*(a98), *(a57)), MUL_FLT_CPX(*(a09), *(a67)));
                s44 = ADD_CPX_CPX(MUL_FLT_CPX(*(a09), *(a57)), MUL_FLT_CPX(*(a98), *(a67)));
                a19 = (a58 + 6);
                a29 = (a58 + 7);
                s54 = SUB_CPX_CPX(MUL_FLT_CPX(*(a19), *(a77)), MUL_FLT_CPX(*(a29), *(a87)));
                s64 = ADD_CPX_CPX(MUL_FLT_CPX(*(a29), *(a77)), MUL_FLT_CPX(*(a19), *(a87)));
                a39 = (a58 + 8);
                a49 = (a58 + 9);
                s74 = SUB_CPX_CPX(MUL_FLT_CPX(*(a39), *(a97)), MUL_FLT_CPX(*(a49), *(a08)));
                s84 = ADD_CPX_CPX(MUL_FLT_CPX(*(a49), *(a97)), MUL_FLT_CPX(*(a39), *(a08)));
                a59 = (a58 + 10);
                a69 = (a58 + 11);
                s94 = SUB_CPX_CPX(MUL_FLT_CPX(*(a59), *(a18)), MUL_FLT_CPX(*(a69), *(a28)));
                s05 = ADD_CPX_CPX(MUL_FLT_CPX(*(a69), *(a18)), MUL_FLT_CPX(*(a59), *(a28)));
                a79 = (a58 + 12);
                a89 = (a58 + 13);
                s15 = SUB_CPX_CPX(MUL_FLT_CPX(*(a79), *(a38)), MUL_FLT_CPX(*(a89), *(a48)));
                s25 = ADD_CPX_CPX(MUL_FLT_CPX(*(a89), *(a38)), MUL_FLT_CPX(*(a79), *(a48)));
                t1b = ADD_CPX_CPX(*(a96), s54);
                t2b = ADD_CPX_CPX(*(a07), s64);
                t3b = SUB_CPX_CPX(*(a96), s54);
                t4b = SUB_CPX_CPX(*(a07), s64);
                t5b = ADD_CPX_CPX(s14, s94);
                t6b = ADD_CPX_CPX(s24, s05);
                t7b = SUB_CPX_CPX(s14, s94);
                t8b = SUB_CPX_CPX(s24, s05);
                t9b = ADD_CPX_CPX(t1b, t5b);
                t0c = ADD_CPX_CPX(t2b, t6b);
                t1c = SUB_CPX_CPX(t1b, t5b);
                t2c = SUB_CPX_CPX(t2b, t6b);
                t3c = SUB_CPX_CPX(t3b, t8b);
                t4c = ADD_CPX_CPX(t4b, t7b);
                t5c = ADD_CPX_CPX(t3b, t8b);
                t6c = SUB_CPX_CPX(t4b, t7b);
                t7c = ADD_CPX_CPX(s93, s15);
                t8c = ADD_CPX_CPX(s04, s25);
                t9c = SUB_CPX_CPX(s25, s04);
                t0d = SUB_CPX_CPX(s93, s15);
                t1d = ADD_CPX_CPX(s74, s34);
                t2d = ADD_CPX_CPX(s84, s44);
                t3d = SUB_CPX_CPX(s44, s84);
                t4d = SUB_CPX_CPX(s74, s34);
                s35 = ADD_CPX_CPX(t7c, t1d);
                s45 = ADD_CPX_CPX(t8c, t2d);
                s55 = ADD_CPX_CPX(t9c, t3d);
                s65 = ADD_CPX_CPX(t0d, t4d);
                a99 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t7c, t1d));
                a0a = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9c, t3d));
                t5d = ADD_CPX_CPX(a99, a0a);
                a1a = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8c, t2d));
                a2a = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0d, t4d));
                t6d = ADD_CPX_CPX(a1a, a2a);
                t7d = SUB_CPX_CPX(a0a, a99);
                t8d = SUB_CPX_CPX(a2a, a1a);
                b2 = (T2 + (256*i2));
                b3 = (b2 + a86);
                *((b3 + 2)) = ADD_CPX_CPX(t9b, s35);
                *((b3 + 3)) = ADD_CPX_CPX(t0c, s45);
                *((b3 + 130)) = ADD_CPX_CPX(t1c, s55);
                *((b3 + 131)) = ADD_CPX_CPX(t2c, s65);
                b4 = SUB_INT_INT(b2, a86);
                *((b4 + 254)) = SUB_CPX_CPX(t9b, s35);
                *((b4 + 255)) = SUB_CPX_CPX(s45, t0c);
                *((b4 + 126)) = SUB_CPX_CPX(t1c, s55);
                *((b4 + 127)) = SUB_CPX_CPX(s65, t2c);
                *((b3 + 66)) = ADD_CPX_CPX(t3c, t5d);
                *((b3 + 67)) = ADD_CPX_CPX(t4c, t6d);
                *((b3 + 194)) = ADD_CPX_CPX(t5c, t7d);
                *((b3 + 195)) = ADD_CPX_CPX(t6c, t8d);
                *((b4 + 190)) = SUB_CPX_CPX(t3c, t5d);
                *((b4 + 191)) = SUB_CPX_CPX(t6d, t4c);
                *((b4 + 62)) = SUB_CPX_CPX(t5c, t7d);
                *((b4 + 63)) = SUB_CPX_CPX(t8d, t6c);
            }}
        }}
        a3a = (T2 + 1);
        t9d = ADD_CPX_CPX(*(T2), *(a3a));
        a4a = (T2 + 1024);
        a5a = (T2 + 1025);
        t0e = ADD_CPX_CPX(*(a4a), *(a5a));
        t1e = SUB_CPX_CPX(*(T2), *(a3a));
        t2e = SUB_CPX_CPX(*(a4a), *(a5a));
        a6a = (T2 + 512);
        a7a = (T2 + 513);
        t3e = ADD_CPX_CPX(*(a6a), *(a7a));
        a8a = (T2 + 1536);
        a9a = (T2 + 1537);
        t4e = ADD_CPX_CPX(*(a8a), *(a9a));
        t5e = ADD_CPX_CPX(t9d, t0e);
        t6e = ADD_CPX_CPX(t3e, t4e);
        t7e = SUB_CPX_CPX(t9d, t0e);
        t8e = SUB_CPX_CPX(t3e, t4e);
        a0b = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a6a), *(a7a)));
        a1b = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a8a), *(a9a)));
        s75 = SUB_CPX_CPX(a0b, a1b);
        s85 = ADD_CPX_CPX(a0b, a1b);
        t9e = ADD_CPX_CPX(t1e, s75);
        t0f = ADD_CPX_CPX(t2e, s85);
        t1f = SUB_CPX_CPX(t1e, s75);
        t2f = SUB_CPX_CPX(t2e, s85);
        a2b = (T2 + 256);
        a3b = (T2 + 257);
        t3f = ADD_CPX_CPX(*(a2b), *(a3b));
        a4b = (T2 + 1280);
        a5b = (T2 + 1281);
        t4f = ADD_CPX_CPX(*(a4b), *(a5b));
        t5f = SUB_CPX_CPX(*(a2b), *(a3b));
        t6f = SUB_CPX_CPX(*(a4b), *(a5b));
        a6b = (T2 + 768);
        a7b = (T2 + 769);
        t7f = ADD_CPX_CPX(*(a6b), *(a7b));
        a8b = (T2 + 1792);
        a9b = (T2 + 1793);
        t8f = ADD_CPX_CPX(*(a8b), *(a9b));
        t9f = ADD_CPX_CPX(t3f, t4f);
        t0g = ADD_CPX_CPX(t7f, t8f);
        a0c = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a6b), *(a7b)));
        a1c = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a8b), *(a9b)));
        s95 = SUB_CPX_CPX(a0c, a1c);
        s06 = ADD_CPX_CPX(a0c, a1c);
        t1g = ADD_CPX_CPX(t5f, s95);
        t2g = ADD_CPX_CPX(t6f, s06);
        t3g = SUB_CPX_CPX(t5f, s95);
        t4g = SUB_CPX_CPX(t6f, s06);
        a2c = (T + i);
        *(a2c) = ADD_CPX_CPX(t5e, t6e);
        *((a2c + 2)) = ADD_CPX_CPX(t9f, t0g);
        *((a2c + 2048)) = SUB_CPX_CPX(t5e, t6e);
        *((a2c + 2050)) = SUB_CPX_CPX(t9f, t0g);
        s16 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t1g), MUL_FLT_CPX(C_FLT(0.38268343236508978), t2g));
        s26 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t1g), MUL_FLT_CPX(C_FLT(0.92387953251128674), t2g));
        *((a2c + 512)) = ADD_CPX_CPX(t9e, s16);
        *((a2c + 514)) = ADD_CPX_CPX(t0f, s26);
        *((a2c + 3584)) = SUB_CPX_CPX(t9e, s16);
        *((a2c + 3586)) = SUB_CPX_CPX(s26, t0f);
        a3c = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3f, t4f));
        a4c = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t7f, t8f));
        s36 = SUB_CPX_CPX(a3c, a4c);
        s46 = ADD_CPX_CPX(a3c, a4c);
        *((a2c + 1024)) = ADD_CPX_CPX(t7e, s36);
        *((a2c + 1026)) = ADD_CPX_CPX(t8e, s46);
        *((a2c + 3072)) = SUB_CPX_CPX(t7e, s36);
        *((a2c + 3074)) = SUB_CPX_CPX(s46, t8e);
        s56 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t3g), MUL_FLT_CPX(C_FLT(0.92387953251128674), t4g));
        s66 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t3g), MUL_FLT_CPX(C_FLT(0.38268343236508978), t4g));
        *((a2c + 1536)) = ADD_CPX_CPX(t1f, s56);
        *((a2c + 1538)) = SUB_CPX_CPX(s66, t2f);
        *((a2c + 2560)) = SUB_CPX_CPX(t1f, s56);
        *((a2c + 2562)) = ADD_CPX_CPX(t2f, s66);
        {long i5; for(i5 = 0; i5 <= 126; i5++) {
            b5 = (T2 + (2*i5));
            a5c = (b5 + 2);
            a6c = (b5 + 3);
            a7c = (b5 + 258);
            a8c = (b5 + 259);
            a9c = (b5 + 514);
            a0d = (b5 + 515);
            a1d = (b5 + 770);
            a2d = (b5 + 771);
            a3d = (b5 + 1026);
            a4d = (b5 + 1027);
            a5d = (b5 + 1282);
            a6d = (b5 + 1283);
            a7d = (b5 + 1538);
            a8d = (b5 + 1539);
            a9d = (b5 + 1794);
            a0e = (b5 + 1795);
            a1e = (D1011 + (14*i5));
            a2e = (a1e + 1);
            s76 = SUB_CPX_CPX(MUL_FLT_CPX(*(a1e), *(a7c)), MUL_FLT_CPX(*(a2e), *(a8c)));
            s86 = ADD_CPX_CPX(MUL_FLT_CPX(*(a2e), *(a7c)), MUL_FLT_CPX(*(a1e), *(a8c)));
            a3e = (a1e + 2);
            a4e = (a1e + 3);
            s96 = SUB_CPX_CPX(MUL_FLT_CPX(*(a3e), *(a9c)), MUL_FLT_CPX(*(a4e), *(a0d)));
            s07 = ADD_CPX_CPX(MUL_FLT_CPX(*(a4e), *(a9c)), MUL_FLT_CPX(*(a3e), *(a0d)));
            a5e = (a1e + 4);
            a6e = (a1e + 5);
            s17 = SUB_CPX_CPX(MUL_FLT_CPX(*(a5e), *(a1d)), MUL_FLT_CPX(*(a6e), *(a2d)));
            s27 = ADD_CPX_CPX(MUL_FLT_CPX(*(a6e), *(a1d)), MUL_FLT_CPX(*(a5e), *(a2d)));
            a7e = (a1e + 6);
            a8e = (a1e + 7);
            s37 = SUB_CPX_CPX(MUL_FLT_CPX(*(a7e), *(a3d)), MUL_FLT_CPX(*(a8e), *(a4d)));
            s47 = ADD_CPX_CPX(MUL_FLT_CPX(*(a8e), *(a3d)), MUL_FLT_CPX(*(a7e), *(a4d)));
            a9e = (a1e + 8);
            a0f = (a1e + 9);
            s57 = SUB_CPX_CPX(MUL_FLT_CPX(*(a9e), *(a5d)), MUL_FLT_CPX(*(a0f), *(a6d)));
            s67 = ADD_CPX_CPX(MUL_FLT_CPX(*(a0f), *(a5d)), MUL_FLT_CPX(*(a9e), *(a6d)));
            a1f = (a1e + 10);
            a2f = (a1e + 11);
            s77 = SUB_CPX_CPX(MUL_FLT_CPX(*(a1f), *(a7d)), MUL_FLT_CPX(*(a2f), *(a8d)));
            s87 = ADD_CPX_CPX(MUL_FLT_CPX(*(a2f), *(a7d)), MUL_FLT_CPX(*(a1f), *(a8d)));
            a3f = (a1e + 12);
            a4f = (a1e + 13);
            s97 = SUB_CPX_CPX(MUL_FLT_CPX(*(a3f), *(a9d)), MUL_FLT_CPX(*(a4f), *(a0e)));
            s08 = ADD_CPX_CPX(MUL_FLT_CPX(*(a4f), *(a9d)), MUL_FLT_CPX(*(a3f), *(a0e)));
            t5g = ADD_CPX_CPX(*(a5c), s37);
            t6g = ADD_CPX_CPX(*(a6c), s47);
            t7g = SUB_CPX_CPX(*(a5c), s37);
            t8g = SUB_CPX_CPX(*(a6c), s47);
            t9g = ADD_CPX_CPX(s96, s77);
            t0h = ADD_CPX_CPX(s07, s87);
            t1h = SUB_CPX_CPX(s96, s77);
            t2h = SUB_CPX_CPX(s07, s87);
            t3h = ADD_CPX_CPX(t5g, t9g);
            t4h = ADD_CPX_CPX(t6g, t0h);
            t5h = SUB_CPX_CPX(t5g, t9g);
            t6h = SUB_CPX_CPX(t6g, t0h);
            t7h = SUB_CPX_CPX(t7g, t2h);
            t8h = ADD_CPX_CPX(t8g, t1h);
            t9h = ADD_CPX_CPX(t7g, t2h);
            t0i = SUB_CPX_CPX(t8g, t1h);
            t1i = ADD_CPX_CPX(s76, s97);
            t2i = ADD_CPX_CPX(s86, s08);
            t3i = SUB_CPX_CPX(s08, s86);
            t4i = SUB_CPX_CPX(s76, s97);
            t5i = ADD_CPX_CPX(s57, s17);
            t6i = ADD_CPX_CPX(s67, s27);
            t7i = SUB_CPX_CPX(s27, s67);
            t8i = SUB_CPX_CPX(s57, s17);
            s18 = ADD_CPX_CPX(t1i, t5i);
            s28 = ADD_CPX_CPX(t2i, t6i);
            s38 = ADD_CPX_CPX(t3i, t7i);
            s48 = ADD_CPX_CPX(t4i, t8i);
            a5f = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t1i, t5i));
            a6f = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3i, t7i));
            t9i = ADD_CPX_CPX(a5f, a6f);
            a7f = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2i, t6i));
            a8f = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t4i, t8i));
            t0j = ADD_CPX_CPX(a7f, a8f);
            t1j = SUB_CPX_CPX(a6f, a5f);
            t2j = SUB_CPX_CPX(a8f, a7f);
            a9f = (4*i5);
            b6 = (T + i);
            b7 = (b6 + a9f);
            *((b7 + 4)) = ADD_CPX_CPX(t3h, s18);
            *((b7 + 6)) = ADD_CPX_CPX(t4h, s28);
            *((b7 + 2052)) = ADD_CPX_CPX(t5h, s38);
            *((b7 + 2054)) = ADD_CPX_CPX(t6h, s48);
            b8 = SUB_INT_INT(b6, a9f);
            *((b8 + 4092)) = SUB_CPX_CPX(t3h, s18);
            *((b8 + 4094)) = SUB_CPX_CPX(s28, t4h);
            *((b8 + 2044)) = SUB_CPX_CPX(t5h, s38);
            *((b8 + 2046)) = SUB_CPX_CPX(s48, t6h);
            *((b7 + 1028)) = ADD_CPX_CPX(t7h, t9i);
            *((b7 + 1030)) = ADD_CPX_CPX(t8h, t0j);
            *((b7 + 3076)) = ADD_CPX_CPX(t9h, t1j);
            *((b7 + 3078)) = ADD_CPX_CPX(t0i, t2j);
            *((b8 + 3068)) = SUB_CPX_CPX(t7h, t9i);
            *((b8 + 3070)) = SUB_CPX_CPX(t0j, t8h);
            *((b8 + 1020)) = SUB_CPX_CPX(t9h, t1j);
            *((b8 + 1022)) = SUB_CPX_CPX(t2j, t0i);
        }}
    }}
    a0g = (T + 2);
    t3j = ADD_CPX_CPX(*(T), *(a0g));
    t4j = SUB_CPX_CPX(*(T), *(a0g));
    a1g = (T + 1);
    a2g = (T + 3);
    t5j = ADD_CPX_CPX(*(a1g), *(a2g));
    s58 = MUL_I_CPX(SUB_CPX_CPX(*(a1g), *(a2g)));
    *(dst) = ADD_CPX_CPX(t3j, t5j);
    *((dst + 2048)) = SUB_CPX_CPX(t3j, t5j);
    *((dst + 1024)) = ADD_CPX_CPX(t4j, s58);
    *((dst + 3072)) = SUB_CPX_CPX(t4j, s58);
    {long i6; for(i6 = 0; i6 <= 1022; i6++) {
        b9 = (T + (4*i6));
        a3g = (b9 + 4);
        a4g = (b9 + 6);
        a5g = (b9 + 5);
        a6g = (b9 + 7);
        a7g = (D1010 + (2*i6));
        a8g = (a7g + 1);
        s68 = SUB_CPX_CPX(MUL_FLT_CPX(*(a7g), *(a5g)), MUL_FLT_CPX(*(a8g), *(a6g)));
        s78 = ADD_CPX_CPX(MUL_FLT_CPX(*(a8g), *(a5g)), MUL_FLT_CPX(*(a7g), *(a6g)));
        t6j = ADD_CPX_CPX(*(a3g), s68);
        t7j = SUB_CPX_CPX(*(a3g), s68);
        a9g = MUL_I_CPX(ADD_CPX_CPX(*(a4g), s78));
        b01 = (dst + i6);
        *((b01 + 1)) = ADD_CPX_CPX(t6j, a9g);
        *((dst + (4095 - i6))) = SUB_CPX_CPX(t6j, a9g);
        a0h = MUL_I_CPX(SUB_CPX_CPX(*(a4g), s78));
        *((b01 + 2049)) = ADD_CPX_CPX(t7j, a0h);
        *((dst + (2047 - i6))) = SUB_CPX_CPX(t7j, a0h);
    }}
    }
    
    return SPIRAL_OK;
    }
}

SPIRAL_PRIV(spiral_status_t, spiral_fftinv_double_8192_unaligned)(const double *pSrc, double *pDst ) {
    const CPX  *src = (const CPX *) pSrc; 
    CPX        *dst = (CPX *) pDst;
    
    
    { SPIRAL_ALIGNED(CPX T[8192]);
     SPIRAL_ALIGNED(CPX T2[1024]);
    CPX  *a03, *a04, *a05, *a06, *a09, *a0b, *a0d, *a0f, *a0h, *a0j, *a0k, *a0l, *a0m, *a0n, *a0o, *a13, *a14, *a15, *a16, *a18, *a19, *a1b
            , *a1d, *a1f, *a1h, *a1j, *a1l, *a1n, *a23, *a25, *a26, *a28, *a29, *a2b, *a2d, *a2f, *a2h, *a2j, *a2l, *a2n, *a33, *a35, *a38, *a3a
            , *a3b, *a3c, *a3d, *a3e, *a3f, *a3g, *a3h, *a3j, *a3l, *a3n, *a42, *a43, *a45, *a48, *a4a, *a4b, *a4c, *a4d, *a4e, *a4f, *a4g, *a4h
            , *a4j, *a4l, *a4n, *a52, *a53, *a55, *a58, *a59, *a5a, *a5b, *a5c, *a5d, *a5e, *a5f, *a5g, *a5h, *a5i, *a5j, *a5k, *a5l, *a5m, *a5n
            , *a62, *a65, *a68, *a69, *a6a, *a6b, *a6c, *a6d, *a6e, *a6f, *a6g, *a6h, *a6i, *a6j, *a6k, *a6l, *a6m, *a6n, *a72, *a74, *a75, *a78
            , *a79, *a7a, *a7b, *a7c, *a7d, *a7e, *a7f, *a7g, *a7h, *a7i, *a7j, *a7k, *a7l, *a7m, *a7n, *a82, *a83, *a84, *a85, *a88, *a89, *a8a
            , *a8b, *a8c, *a8d, *a8e, *a8f, *a8g, *a8h, *a8i, *a8j, *a8k, *a8l, *a8m, *a8n, *a92, *a93, *a94, *a95, *a98, *a9a, *a9c, *a9e, *a9g
            , *a9i, *a9j, *a9k, *a9l, *a9m, *a9n, *b2, *b3, *b4, *b5, *b6;
    const CPX  *b;
    FLT  *a01, *a02, *a07, *a08, *a11, *a12, *a17, *a21, *a22, *a27, *a31, *a32, *a37, *a41, *a47, *a51, *a57, *a61, *a67, *a71, *a76, *a77
            , *a81, *a86, *a87, *a91, *a96, *a97;
    int a5, a64;
    CPX a, a0a, a0c, a0e, a0g, a0i, a0p, a0q, a0r, a0s, a0t, a1a, a1c, a1e, a1g, a1i, a1k, a1m, a1o, a1p, a1q, a1r
        , a1s, a1t, a2, a24, a2a, a2c, a2e, a2g, a2i, a2k, a2m, a2o, a2p, a2q, a2r, a2s, a2t, a3, a34, a36, a39, a3i
        , a3k, a3m, a3o, a3p, a3q, a3r, a3s, a4, a44, a46, a49, a4i, a4k, a4m, a4o, a4p, a4q, a4r, a4s, a54, a56, a5o
        , a5p, a5q, a5r, a5s, a6, a63, a66, a6o, a6p, a6q, a6r, a6s, a7, a73, a7o, a7p, a7q, a7r, a7s, a8, a8o, a8p
        , a8q, a8r, a8s, a9, a99, a9b, a9d, a9f, a9h, a9o, a9p, a9q, a9r, a9s, s, s01, s02, s03, s04, s05, s06, s07
        , s08, s09, s0A, s0B, s0C, s0D, s0E, s0F, s0a, s0b, s0c, s0d, s0e, s0f, s0g, s0h, s0i, s0j, s0k, s0l, s0m, s0n
        , s0o, s0p, s0q, s0r, s0s, s0t, s0u, s0v, s0w, s0x, s0y, s0z, s11, s12, s13, s14, s15, s16, s17, s18, s19, s1A
        , s1B, s1C, s1D, s1E, s1F, s1a, s1b, s1c, s1d, s1e, s1f, s1g, s1h, s1i, s1j, s1k, s1l, s1m, s1n, s1o, s1p, s1q
        , s1r, s1s, s1t, s1u, s1v, s1w, s1x, s1y, s1z, s2, s21, s22, s23, s24, s25, s26, s27, s28, s29, s2A, s2B, s2C
        , s2D, s2E, s2F, s2a, s2b, s2c, s2d, s2e, s2f, s2g, s2h, s2i, s2j, s2k, s2l, s2m, s2n, s2o, s2p, s2q, s2r, s2s
        , s2t, s2u, s2v, s2w, s2x, s2y, s2z, s3, s31, s32, s33, s34, s35, s36, s37, s38, s39, s3A, s3B, s3C, s3D, s3E
        , s3F, s3a, s3b, s3c, s3d, s3e, s3f, s3g, s3h, s3i, s3j, s3k, s3l, s3m, s3n, s3o, s3p, s3q, s3r, s3s, s3t, s3u
        , s3v, s3w, s3x, s3y, s3z, s4, s41, s42, s43, s44, s45, s46, s47, s48, s49, s4A, s4B, s4C, s4D, s4E, s4a, s4b
        , s4c, s4d, s4e, s4f, s4g, s4h, s4i, s4j, s4k, s4l, s4m, s4n, s4o, s4p, s4q, s4r, s4s, s4t, s4u, s4v, s4w, s4x
        , s4y, s4z, s5, s51, s52, s53, s54, s55, s56, s57, s58, s59, s5A, s5B, s5C, s5D, s5E, s5a, s5b, s5c, s5d, s5e
        , s5f, s5g, s5h, s5i, s5j, s5k, s5l, s5m, s5n, s5o, s5p, s5q, s5r, s5s, s5t, s5u, s5v, s5w, s5x, s5y, s5z, s6
        , s61, s62, s63, s64, s65, s66, s67, s68, s69, s6A, s6B, s6C, s6D, s6E, s6a, s6b, s6c, s6d, s6e, s6f, s6g, s6h
        , s6i, s6j, s6k, s6l, s6m, s6n, s6o, s6p, s6q, s6r, s6s, s6t, s6u, s6v, s6w, s6x, s6y, s6z, s7, s71, s72, s73
        , s74, s75, s76, s77, s78, s79, s7A, s7B, s7C, s7D, s7E, s7a, s7b, s7c, s7d, s7e, s7f, s7g, s7h, s7i, s7j, s7k
        , s7l, s7m, s7n, s7o, s7p, s7q, s7r, s7s, s7t, s7u, s7v, s7w, s7x, s7y, s7z, s8, s81, s82, s83, s84, s85, s86
        , s87, s88, s89, s8A, s8B, s8C, s8D, s8E, s8a, s8b, s8c, s8d, s8e, s8f, s8g, s8h, s8i, s8j, s8k, s8l, s8m, s8n
        , s8o, s8p, s8q, s8r, s8s, s8t, s8u, s8v, s8w, s8x, s8y, s8z, s9, s91, s92, s93, s94, s95, s96, s97, s98, s99
        , s9A, s9B, s9C, s9D, s9E, s9a, s9b, s9c, s9d, s9e, s9f, s9g, s9h, s9i, s9j, s9k, s9l, s9m, s9n, s9o, s9p, s9q
        , s9r, s9s, s9t, s9u, s9v, s9w, s9x, s9y, s9z, t, t01, t010, t011, t012, t013, t014, t015, t016, t017, t018, t019, t02
        , t03, t04, t05, t06, t07, t08, t09, t0A, t0B, t0C, t0D, t0E, t0F, t0G, t0H, t0I, t0J, t0K, t0L, t0M, t0N, t0O
        , t0P, t0Q, t0R, t0S, t0T, t0U, t0V, t0W, t0X, t0Y, t0Z, t0a, t0b, t0c, t0d, t0e, t0f, t0g, t0h, t0i, t0j, t0k
        , t0l, t0m, t0n, t0o, t0p, t0q, t0r, t0s, t0t, t0u, t0v, t0w, t0x, t0y, t0z, t11, t110, t111, t112, t113, t114, t115
        , t116, t117, t118, t119, t12, t13, t14, t15, t16, t17, t18, t19, t1A, t1B, t1C, t1D, t1E, t1F, t1G, t1H, t1I, t1J
        , t1K, t1L, t1M, t1N, t1O, t1P, t1Q, t1R, t1S, t1T, t1U, t1V, t1W, t1X, t1Y, t1Z, t1a, t1b, t1c, t1d, t1e, t1f
        , t1g, t1h, t1i, t1j, t1k, t1l, t1m, t1n, t1o, t1p, t1q, t1r, t1s, t1t, t1u, t1v, t1w, t1x, t1y, t1z, t2, t21
        , t210, t211, t212, t213, t214, t215, t216, t217, t218, t219, t22, t23, t24, t25, t26, t27, t28, t29, t2A, t2B, t2C, t2D
        , t2E, t2F, t2G, t2H, t2I, t2J, t2K, t2L, t2M, t2N, t2O, t2P, t2Q, t2R, t2S, t2T, t2U, t2V, t2W, t2X, t2Y, t2Z
        , t2a, t2b, t2c, t2d, t2e, t2f, t2g, t2h, t2i, t2j, t2k, t2l, t2m, t2n, t2o, t2p, t2q, t2r, t2s, t2t, t2u, t2v
        , t2w, t2x, t2y, t2z, t3, t31, t310, t311, t312, t313, t314, t315, t316, t317, t318, t319, t32, t33, t34, t35, t36, t37
        , t38, t39, t3A, t3B, t3C, t3D, t3E, t3F, t3G, t3H, t3I, t3J, t3K, t3L, t3M, t3N, t3O, t3P, t3Q, t3R, t3S, t3T
        , t3U, t3V, t3W, t3X, t3Y, t3Z, t3a, t3b, t3c, t3d, t3e, t3f, t3g, t3h, t3i, t3j, t3k, t3l, t3m, t3n, t3o, t3p
        , t3q, t3r, t3s, t3t, t3u, t3v, t3w, t3x, t3y, t3z, t4, t41, t410, t411, t412, t413, t414, t415, t416, t417, t418, t419
        , t42, t43, t44, t45, t46, t47, t48, t49, t4A, t4B, t4C, t4D, t4E, t4F, t4G, t4H, t4I, t4J, t4K, t4L, t4M, t4N
        , t4O, t4P, t4Q, t4R, t4S, t4T, t4U, t4V, t4W, t4X, t4Y, t4Z, t4a, t4b, t4c, t4d, t4e, t4f, t4g, t4h, t4i, t4j
        , t4k, t4l, t4m, t4n, t4o, t4p, t4q, t4r, t4s, t4t, t4u, t4v, t4w, t4x, t4y, t4z, t5, t51, t510, t511, t512, t513
        , t514, t515, t516, t517, t518, t519, t52, t53, t54, t55, t56, t57, t58, t59, t5A, t5B, t5C, t5D, t5E, t5F, t5G, t5H
        , t5I, t5J, t5K, t5L, t5M, t5N, t5O, t5P, t5Q, t5R, t5S, t5T, t5U, t5V, t5W, t5X, t5Y, t5Z, t5a, t5b, t5c, t5d
        , t5e, t5f, t5g, t5h, t5i, t5j, t5k, t5l, t5m, t5n, t5o, t5p, t5q, t5r, t5s, t5t, t5u, t5v, t5w, t5x, t5y, t5z
        , t6, t61, t610, t611, t612, t613, t614, t615, t616, t617, t618, t62, t63, t64, t65, t66, t67, t68, t69, t6A, t6B, t6C
        , t6D, t6E, t6F, t6G, t6H, t6I, t6J, t6K, t6L, t6M, t6N, t6O, t6P, t6Q, t6R, t6S, t6T, t6U, t6V, t6W, t6X, t6Y
        , t6Z, t6a, t6b, t6c, t6d, t6e, t6f, t6g, t6h, t6i, t6j, t6k, t6l, t6m, t6n, t6o, t6p, t6q, t6r, t6s, t6t, t6u
        , t6v, t6w, t6x, t6y, t6z, t7, t71, t710, t711, t712, t713, t714, t715, t716, t717, t718, t72, t73, t74, t75, t76, t77
        , t78, t79, t7A, t7B, t7C, t7D, t7E, t7F, t7G, t7H, t7I, t7J, t7K, t7L, t7M, t7N, t7O, t7P, t7Q, t7R, t7S, t7T
        , t7U, t7V, t7W, t7X, t7Y, t7Z, t7a, t7b, t7c, t7d, t7e, t7f, t7g, t7h, t7i, t7j, t7k, t7l, t7m, t7n, t7o, t7p
        , t7q, t7r, t7s, t7t, t7u, t7v, t7w, t7x, t7y, t7z, t8, t81, t810, t811, t812, t813, t814, t815, t816, t817, t818, t82
        , t83, t84, t85, t86, t87, t88, t89, t8A, t8B, t8C, t8D, t8E, t8F, t8G, t8H, t8I, t8J, t8K, t8L, t8M, t8N, t8O
        , t8P, t8Q, t8R, t8S, t8T, t8U, t8V, t8W, t8X, t8Y, t8Z, t8a, t8b, t8c, t8d, t8e, t8f, t8g, t8h, t8i, t8j, t8k
        , t8l, t8m, t8n, t8o, t8p, t8q, t8r, t8s, t8t, t8u, t8v, t8w, t8x, t8y, t8z, t9, t91, t910, t911, t912, t913, t914
        , t915, t916, t917, t918, t92, t93, t94, t95, t96, t97, t98, t99, t9A, t9B, t9C, t9D, t9E, t9F, t9G, t9H, t9I, t9J
        , t9K, t9L, t9M, t9N, t9O, t9P, t9Q, t9R, t9S, t9T, t9U, t9V, t9W, t9X, t9Y, t9Z, t9a, t9b, t9c, t9d, t9e, t9f
        , t9g, t9h, t9i, t9j, t9k, t9l, t9m, t9n, t9o, t9p, t9q, t9r, t9s, t9t, t9u, t9v, t9w, t9x, t9y, t9z;
    s = LOADU_CPX(src);
    s2 = LOADU_CPX((src + 4096));
    t = ADD_CPX_CPX(s, s2);
    t2 = SUB_CPX_CPX(s, s2);
    s3 = LOADU_CPX((src + 2048));
    s4 = LOADU_CPX((src + 6144));
    t3 = ADD_CPX_CPX(s3, s4);
    s5 = MUL_I_CPX(SUB_CPX_CPX(s3, s4));
    t4 = ADD_CPX_CPX(t, t3);
    t5 = SUB_CPX_CPX(t, t3);
    t6 = ADD_CPX_CPX(t2, s5);
    t7 = SUB_CPX_CPX(t2, s5);
    s6 = LOADU_CPX((src + 1024));
    s7 = LOADU_CPX((src + 7168));
    t8 = ADD_CPX_CPX(s6, s7);
    t9 = ADD_CPX_CPX(MUL_I_CPX(s6), MUL_NI_CPX(s7));
    s8 = LOADU_CPX((src + 5120));
    s9 = LOADU_CPX((src + 3072));
    t01 = ADD_CPX_CPX(s8, s9);
    t11 = ADD_CPX_CPX(MUL_I_CPX(s8), MUL_NI_CPX(s9));
    t21 = ADD_CPX_CPX(t8, t01);
    t31 = ADD_CPX_CPX(t9, t11);
    a = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8, t01));
    a2 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9, t11));
    s01 = ADD_CPX_CPX(a, a2);
    s11 = SUB_CPX_CPX(a2, a);
    t41 = ADD_CPX_CPX(t4, t21);
    t51 = ADD_CPX_CPX(t5, t31);
    t61 = SUB_CPX_CPX(t4, t21);
    t71 = SUB_CPX_CPX(t5, t31);
    t81 = ADD_CPX_CPX(t6, s01);
    t91 = ADD_CPX_CPX(t7, s11);
    t02 = SUB_CPX_CPX(t6, s01);
    t12 = SUB_CPX_CPX(t7, s11);
    s21 = LOADU_CPX((src + 512));
    s31 = LOADU_CPX((src + 7680));
    t22 = ADD_CPX_CPX(s21, s31);
    t32 = ADD_CPX_CPX(MUL_I_CPX(s21), MUL_NI_CPX(s31));
    s41 = LOADU_CPX((src + 2560));
    s51 = LOADU_CPX((src + 5632));
    t42 = ADD_CPX_CPX(s41, s51);
    t52 = ADD_CPX_CPX(MUL_I_CPX(s41), MUL_NI_CPX(s51));
    s61 = LOADU_CPX((src + 4608));
    s71 = LOADU_CPX((src + 3584));
    t62 = ADD_CPX_CPX(s61, s71);
    t72 = ADD_CPX_CPX(MUL_I_CPX(s61), MUL_NI_CPX(s71));
    s81 = LOADU_CPX((src + 6656));
    s91 = LOADU_CPX((src + 1536));
    t82 = ADD_CPX_CPX(s81, s91);
    t92 = ADD_CPX_CPX(MUL_I_CPX(s81), MUL_NI_CPX(s91));
    t03 = ADD_CPX_CPX(t22, t62);
    t13 = ADD_CPX_CPX(t32, t72);
    t23 = SUB_CPX_CPX(t22, t62);
    t33 = SUB_CPX_CPX(t32, t72);
    t43 = ADD_CPX_CPX(t42, t82);
    t53 = ADD_CPX_CPX(t52, t92);
    t63 = SUB_CPX_CPX(t42, t82);
    t73 = SUB_CPX_CPX(t52, t92);
    t83 = ADD_CPX_CPX(t03, t43);
    t93 = ADD_CPX_CPX(t13, t53);
    t04 = ADD_CPX_CPX(t23, t73);
    t14 = SUB_CPX_CPX(t33, t63);
    t24 = SUB_CPX_CPX(t23, t73);
    t34 = ADD_CPX_CPX(t33, t63);
    s02 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t04), MUL_FLT_CPX(C_FLT(0.38268343236508978), t14));
    s12 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t14), MUL_FLT_CPX(C_FLT(0.38268343236508978), t04));
    a3 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t03, t43));
    a4 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t13, t53));
    s22 = ADD_CPX_CPX(a3, a4);
    s32 = SUB_CPX_CPX(a4, a3);
    s42 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t24), MUL_FLT_CPX(C_FLT(0.92387953251128674), t34));
    s52 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t34), MUL_FLT_CPX(C_FLT(0.92387953251128674), t24));
    *(T) = ADD_CPX_CPX(t41, t83);
    *((T + 4)) = ADD_CPX_CPX(t61, t93);
    *((T + 8)) = SUB_CPX_CPX(t41, t83);
    *((T + 12)) = SUB_CPX_CPX(t61, t93);
    *((T + 1)) = ADD_CPX_CPX(t81, s02);
    *((T + 5)) = ADD_CPX_CPX(t02, s12);
    *((T + 9)) = SUB_CPX_CPX(t81, s02);
    *((T + 13)) = SUB_CPX_CPX(t02, s12);
    *((T + 2)) = ADD_CPX_CPX(t51, s22);
    *((T + 6)) = ADD_CPX_CPX(t71, s32);
    *((T + 10)) = SUB_CPX_CPX(t51, s22);
    *((T + 14)) = SUB_CPX_CPX(t71, s32);
    *((T + 3)) = ADD_CPX_CPX(t91, s42);
    *((T + 7)) = ADD_CPX_CPX(t12, s52);
    *((T + 11)) = SUB_CPX_CPX(t91, s42);
    *((T + 15)) = SUB_CPX_CPX(t12, s52);
    {long i; for(i = 0; i <= 510; i++) {
        b = (src + i);
        s62 = LOADU_CPX((b + 1));
        a5 = (1 + i);
        s72 = LOADU_CPX((src + (8192 - a5)));
        t44 = ADD_CPX_CPX(s62, s72);
        t54 = ADD_CPX_CPX(MUL_I_CPX(s62), MUL_NI_CPX(s72));
        s82 = LOADU_CPX((b + 1025));
        s92 = LOADU_CPX((src + (7168 - a5)));
        t64 = ADD_CPX_CPX(s82, s92);
        t74 = ADD_CPX_CPX(MUL_I_CPX(s82), MUL_NI_CPX(s92));
        s03 = LOADU_CPX((b + 2049));
        s13 = LOADU_CPX((src + (6144 - a5)));
        t84 = ADD_CPX_CPX(s03, s13);
        t94 = ADD_CPX_CPX(MUL_I_CPX(s03), MUL_NI_CPX(s13));
        s23 = LOADU_CPX((b + 3073));
        s33 = LOADU_CPX((src + (5120 - a5)));
        t05 = ADD_CPX_CPX(s23, s33);
        t15 = ADD_CPX_CPX(MUL_I_CPX(s23), MUL_NI_CPX(s33));
        s43 = LOADU_CPX((b + 4097));
        s53 = LOADU_CPX((src + (4096 - a5)));
        t25 = ADD_CPX_CPX(s43, s53);
        t35 = ADD_CPX_CPX(MUL_I_CPX(s43), MUL_NI_CPX(s53));
        s63 = LOADU_CPX((b + 5121));
        s73 = LOADU_CPX((src + (3072 - a5)));
        t45 = ADD_CPX_CPX(s63, s73);
        t55 = ADD_CPX_CPX(MUL_I_CPX(s63), MUL_NI_CPX(s73));
        s83 = LOADU_CPX((b + 6145));
        s93 = LOADU_CPX((src + (2048 - a5)));
        t65 = ADD_CPX_CPX(s83, s93);
        t75 = ADD_CPX_CPX(MUL_I_CPX(s83), MUL_NI_CPX(s93));
        s04 = LOADU_CPX((b + 7169));
        s14 = LOADU_CPX((src + (1024 - a5)));
        t85 = ADD_CPX_CPX(s04, s14);
        t95 = ADD_CPX_CPX(MUL_I_CPX(s04), MUL_NI_CPX(s14));
        t06 = ADD_CPX_CPX(t44, t25);
        t16 = ADD_CPX_CPX(t54, t35);
        t26 = SUB_CPX_CPX(t44, t25);
        t36 = SUB_CPX_CPX(t54, t35);
        t46 = ADD_CPX_CPX(t84, t65);
        t56 = ADD_CPX_CPX(t94, t75);
        t66 = SUB_CPX_CPX(t84, t65);
        t76 = SUB_CPX_CPX(t94, t75);
        t86 = ADD_CPX_CPX(t06, t46);
        t96 = ADD_CPX_CPX(t16, t56);
        t07 = SUB_CPX_CPX(t06, t46);
        t17 = SUB_CPX_CPX(t16, t56);
        t27 = ADD_CPX_CPX(t26, t76);
        t37 = SUB_CPX_CPX(t36, t66);
        t47 = SUB_CPX_CPX(t26, t76);
        t57 = ADD_CPX_CPX(t36, t66);
        t67 = ADD_CPX_CPX(t64, t85);
        t77 = ADD_CPX_CPX(t74, t95);
        t87 = SUB_CPX_CPX(t74, t95);
        t97 = SUB_CPX_CPX(t85, t64);
        t08 = ADD_CPX_CPX(t45, t05);
        t18 = ADD_CPX_CPX(t55, t15);
        t28 = SUB_CPX_CPX(t55, t15);
        t38 = SUB_CPX_CPX(t05, t45);
        s24 = ADD_CPX_CPX(t67, t08);
        s34 = ADD_CPX_CPX(t77, t18);
        s44 = ADD_CPX_CPX(t87, t28);
        s54 = ADD_CPX_CPX(t97, t38);
        a6 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t67, t08));
        a7 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t87, t28));
        t48 = ADD_CPX_CPX(a6, a7);
        a8 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t77, t18));
        a9 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t97, t38));
        t58 = ADD_CPX_CPX(a8, a9);
        t68 = SUB_CPX_CPX(a7, a6);
        t78 = SUB_CPX_CPX(a9, a8);
        s64 = ADD_CPX_CPX(t07, s44);
        s74 = ADD_CPX_CPX(t17, s54);
        s84 = SUB_CPX_CPX(t86, s24);
        s94 = SUB_CPX_CPX(t96, s34);
        s05 = SUB_CPX_CPX(t07, s44);
        s15 = SUB_CPX_CPX(t17, s54);
        s25 = ADD_CPX_CPX(t27, t48);
        s35 = ADD_CPX_CPX(t37, t58);
        s45 = ADD_CPX_CPX(t47, t68);
        s55 = ADD_CPX_CPX(t57, t78);
        s65 = SUB_CPX_CPX(t27, t48);
        s75 = SUB_CPX_CPX(t37, t58);
        s85 = SUB_CPX_CPX(t47, t68);
        s95 = SUB_CPX_CPX(t57, t78);
        b2 = (T + (16*i));
        *((b2 + 16)) = ADD_CPX_CPX(t86, s24);
        *((b2 + 24)) = ADD_CPX_CPX(t96, s34);
        a01 = (D1018 + (14*i));
        a11 = (a01 + 1);
        a21 = (a01 + 2);
        a31 = (a01 + 3);
        a41 = (a01 + 4);
        a51 = (a01 + 5);
        a61 = (a01 + 6);
        a71 = (a01 + 7);
        a81 = (a01 + 8);
        a91 = (a01 + 9);
        a02 = (a01 + 10);
        a12 = (a01 + 11);
        a22 = (a01 + 12);
        a32 = (a01 + 13);
        *((b2 + 17)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a01), s25), MUL_FLT_CPX(*(a11), s35));
        *((b2 + 25)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a01), s35), MUL_FLT_CPX(*(a11), s25));
        *((b2 + 18)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a21), s64), MUL_FLT_CPX(*(a31), s74));
        *((b2 + 26)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a21), s74), MUL_FLT_CPX(*(a31), s64));
        *((b2 + 19)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a41), s45), MUL_FLT_CPX(*(a51), s55));
        *((b2 + 27)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a41), s55), MUL_FLT_CPX(*(a51), s45));
        *((b2 + 20)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a61), s84), MUL_FLT_CPX(*(a71), s94));
        *((b2 + 28)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a61), s94), MUL_FLT_CPX(*(a71), s84));
        *((b2 + 21)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a81), s65), MUL_FLT_CPX(*(a91), s75));
        *((b2 + 29)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a81), s75), MUL_FLT_CPX(*(a91), s65));
        *((b2 + 22)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a02), s05), MUL_FLT_CPX(*(a12), s15));
        *((b2 + 30)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a02), s15), MUL_FLT_CPX(*(a12), s05));
        *((b2 + 23)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a22), s85), MUL_FLT_CPX(*(a32), s95));
        *((b2 + 31)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a22), s95), MUL_FLT_CPX(*(a32), s85));
    }}
    {long i2; for(i2 = 0; i2 <= 7; i2++) {
        a42 = (T + i2);
        a52 = (a42 + 8);
        a62 = (a42 + 4096);
        a72 = (a42 + 4104);
        t88 = ADD_CPX_CPX(*(a42), *(a62));
        t98 = ADD_CPX_CPX(*(a52), *(a72));
        t09 = SUB_CPX_CPX(*(a42), *(a62));
        t19 = SUB_CPX_CPX(*(a52), *(a72));
        a82 = (a42 + 1024);
        a92 = (a42 + 1032);
        a03 = (a42 + 7168);
        a13 = (a42 + 7176);
        t29 = ADD_CPX_CPX(*(a82), *(a03));
        t39 = SUB_CPX_CPX(*(a92), *(a13));
        t49 = SUB_CPX_CPX(*(a82), *(a03));
        t59 = ADD_CPX_CPX(*(a92), *(a13));
        s06 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t49), MUL_FLT_CPX(C_FLT(0.38268343236508978), t59));
        s16 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t59), MUL_FLT_CPX(C_FLT(0.38268343236508978), t49));
        a23 = (a42 + 2048);
        a33 = (a42 + 2056);
        a43 = (a42 + 6144);
        a53 = (a42 + 6152);
        t69 = ADD_CPX_CPX(*(a23), *(a43));
        t79 = SUB_CPX_CPX(*(a33), *(a53));
        a63 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a23), *(a43)));
        a73 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(*(a33), *(a53)));
        s26 = ADD_CPX_CPX(a63, a73);
        s36 = SUB_CPX_CPX(a73, a63);
        a83 = (a42 + 3072);
        a93 = (a42 + 3080);
        a04 = (a42 + 5120);
        a14 = (a42 + 5128);
        t89 = ADD_CPX_CPX(*(a83), *(a04));
        t99 = SUB_CPX_CPX(*(a93), *(a14));
        t0a = SUB_CPX_CPX(*(a83), *(a04));
        t1a = ADD_CPX_CPX(*(a93), *(a14));
        s46 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t0a), MUL_FLT_CPX(C_FLT(0.92387953251128674), t1a));
        s56 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t1a), MUL_FLT_CPX(C_FLT(0.92387953251128674), t0a));
        t2a = ADD_CPX_CPX(t88, t69);
        t3a = ADD_CPX_CPX(t09, t79);
        t4a = SUB_CPX_CPX(t88, t69);
        t5a = SUB_CPX_CPX(t09, t79);
        t6a = ADD_CPX_CPX(t29, t89);
        t7a = SUB_CPX_CPX(t39, t99);
        a24 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t29, t89));
        a34 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t39, t99));
        s66 = ADD_CPX_CPX(a24, a34);
        s76 = SUB_CPX_CPX(a34, a24);
        *(T2) = ADD_CPX_CPX(t2a, t6a);
        *((T2 + 512)) = ADD_CPX_CPX(t4a, t7a);
        *((T2 + 1)) = SUB_CPX_CPX(t2a, t6a);
        *((T2 + 513)) = SUB_CPX_CPX(t4a, t7a);
        *((T2 + 256)) = ADD_CPX_CPX(t3a, s66);
        *((T2 + 768)) = ADD_CPX_CPX(t5a, s76);
        *((T2 + 257)) = SUB_CPX_CPX(t3a, s66);
        *((T2 + 769)) = SUB_CPX_CPX(t5a, s76);
        t8a = ADD_CPX_CPX(t98, s26);
        t9a = ADD_CPX_CPX(t19, s36);
        t0b = SUB_CPX_CPX(t98, s26);
        t1b = SUB_CPX_CPX(t19, s36);
        t2b = ADD_CPX_CPX(s06, s46);
        t3b = SUB_CPX_CPX(s16, s56);
        a44 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s06, s46));
        a54 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s16, s56));
        s86 = ADD_CPX_CPX(a44, a54);
        s96 = SUB_CPX_CPX(a54, a44);
        *((T2 + 128)) = ADD_CPX_CPX(t8a, t2b);
        *((T2 + 640)) = ADD_CPX_CPX(t0b, t3b);
        *((T2 + 129)) = SUB_CPX_CPX(t8a, t2b);
        *((T2 + 641)) = SUB_CPX_CPX(t0b, t3b);
        *((T2 + 384)) = ADD_CPX_CPX(t9a, s86);
        *((T2 + 896)) = ADD_CPX_CPX(t1b, s96);
        *((T2 + 385)) = SUB_CPX_CPX(t9a, s86);
        *((T2 + 897)) = SUB_CPX_CPX(t1b, s96);
        {long i3; for(i3 = 0; i3 <= 62; i3++) {
            a64 = (16*i3);
            b3 = (T + i2);
            b4 = (b3 + a64);
            a74 = (b4 + 16);
            a84 = (b4 + 24);
            b5 = SUB_INT_INT(b3, a64);
            a94 = (b5 + 8176);
            a05 = (b5 + 8184);
            t4b = ADD_CPX_CPX(*(a74), *(a94));
            t5b = SUB_CPX_CPX(*(a84), *(a05));
            t6b = SUB_CPX_CPX(*(a74), *(a94));
            t7b = ADD_CPX_CPX(*(a84), *(a05));
            a15 = (b4 + 4112);
            a25 = (b4 + 4120);
            a35 = (b5 + 4080);
            a45 = (b5 + 4088);
            t8b = ADD_CPX_CPX(*(a15), *(a35));
            t9b = SUB_CPX_CPX(*(a25), *(a45));
            t0c = SUB_CPX_CPX(*(a15), *(a35));
            t1c = ADD_CPX_CPX(*(a25), *(a45));
            t2c = ADD_CPX_CPX(t4b, t8b);
            t3c = ADD_CPX_CPX(t5b, t9b);
            t4c = SUB_CPX_CPX(t4b, t8b);
            t5c = SUB_CPX_CPX(t5b, t9b);
            t6c = ADD_CPX_CPX(t6b, t1c);
            t7c = SUB_CPX_CPX(t7b, t0c);
            t8c = SUB_CPX_CPX(t6b, t1c);
            t9c = ADD_CPX_CPX(t7b, t0c);
            a55 = (b4 + 2064);
            a65 = (b4 + 2072);
            a75 = (b5 + 2032);
            a85 = (b5 + 2040);
            t0d = ADD_CPX_CPX(*(a55), *(a75));
            t1d = SUB_CPX_CPX(*(a65), *(a85));
            t2d = ADD_CPX_CPX(*(a65), *(a85));
            t3d = SUB_CPX_CPX(*(a75), *(a55));
            a95 = (b5 + 6128);
            a06 = (b5 + 6136);
            a16 = (b4 + 6160);
            a26 = (b4 + 6168);
            t4d = ADD_CPX_CPX(*(a95), *(a16));
            t5d = SUB_CPX_CPX(*(a26), *(a06));
            t6d = ADD_CPX_CPX(*(a06), *(a26));
            t7d = SUB_CPX_CPX(*(a16), *(a95));
            s07 = ADD_CPX_CPX(t0d, t4d);
            s17 = ADD_CPX_CPX(t1d, t5d);
            s27 = SUB_CPX_CPX(t2d, t6d);
            s37 = ADD_CPX_CPX(t3d, t7d);
            a36 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0d, t4d));
            a46 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t2d, t6d));
            t8d = ADD_CPX_CPX(a36, a46);
            a56 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t1d, t5d));
            a66 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3d, t7d));
            t9d = ADD_CPX_CPX(a56, a66);
            t0e = SUB_CPX_CPX(a46, a36);
            t1e = SUB_CPX_CPX(a66, a56);
            s47 = ADD_CPX_CPX(t4c, s27);
            s57 = ADD_CPX_CPX(t5c, s37);
            s67 = SUB_CPX_CPX(t2c, s07);
            s77 = SUB_CPX_CPX(t3c, s17);
            s87 = SUB_CPX_CPX(t4c, s27);
            s97 = SUB_CPX_CPX(t5c, s37);
            s08 = ADD_CPX_CPX(t6c, t8d);
            s18 = ADD_CPX_CPX(t7c, t9d);
            s28 = ADD_CPX_CPX(t8c, t0e);
            s38 = ADD_CPX_CPX(t9c, t1e);
            s48 = SUB_CPX_CPX(t6c, t8d);
            s58 = SUB_CPX_CPX(t7c, t9d);
            s68 = SUB_CPX_CPX(t8c, t0e);
            s78 = SUB_CPX_CPX(t9c, t1e);
            b6 = (T2 + (2*i3));
            *((b6 + 2)) = ADD_CPX_CPX(t2c, s07);
            *((b6 + 3)) = ADD_CPX_CPX(t3c, s17);
            a76 = (D996 + (14*i3));
            a86 = (a76 + 1);
            a96 = (a76 + 2);
            a07 = (a76 + 3);
            a17 = (a76 + 4);
            a27 = (a76 + 5);
            a37 = (a76 + 6);
            a47 = (a76 + 7);
            a57 = (a76 + 8);
            a67 = (a76 + 9);
            a77 = (a76 + 10);
            a87 = (a76 + 11);
            a97 = (a76 + 12);
            a08 = (a76 + 13);
            *((b6 + 130)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a76), s08), MUL_FLT_CPX(*(a86), s18));
            *((b6 + 131)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a76), s18), MUL_FLT_CPX(*(a86), s08));
            *((b6 + 258)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a96), s47), MUL_FLT_CPX(*(a07), s57));
            *((b6 + 259)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a96), s57), MUL_FLT_CPX(*(a07), s47));
            *((b6 + 386)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a17), s28), MUL_FLT_CPX(*(a27), s38));
            *((b6 + 387)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a17), s38), MUL_FLT_CPX(*(a27), s28));
            *((b6 + 514)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a37), s67), MUL_FLT_CPX(*(a47), s77));
            *((b6 + 515)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a37), s77), MUL_FLT_CPX(*(a47), s67));
            *((b6 + 642)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a57), s48), MUL_FLT_CPX(*(a67), s58));
            *((b6 + 643)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a57), s58), MUL_FLT_CPX(*(a67), s48));
            *((b6 + 770)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a77), s87), MUL_FLT_CPX(*(a87), s97));
            *((b6 + 771)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a77), s97), MUL_FLT_CPX(*(a87), s87));
            *((b6 + 898)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a97), s68), MUL_FLT_CPX(*(a08), s78));
            *((b6 + 899)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a97), s78), MUL_FLT_CPX(*(a08), s68));
        }}
        {long i4; for(i4 = 0; i4 <= 7; i4++) {
            a18 = (T2 + (128*i4));
            a28 = (a18 + 1);
            a38 = (a18 + 64);
            a48 = (a18 + 65);
            t2e = ADD_CPX_CPX(*(a18), *(a38));
            t3e = ADD_CPX_CPX(*(a28), *(a48));
            t4e = SUB_CPX_CPX(*(a18), *(a38));
            t5e = SUB_CPX_CPX(*(a28), *(a48));
            a58 = (a18 + 16);
            a68 = (a18 + 17);
            a78 = (a18 + 112);
            a88 = (a18 + 113);
            t6e = ADD_CPX_CPX(*(a58), *(a78));
            t7e = SUB_CPX_CPX(*(a68), *(a88));
            t8e = SUB_CPX_CPX(*(a58), *(a78));
            t9e = ADD_CPX_CPX(*(a68), *(a88));
            s88 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t8e), MUL_FLT_CPX(C_FLT(0.38268343236508978), t9e));
            s98 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t9e), MUL_FLT_CPX(C_FLT(0.38268343236508978), t8e));
            a98 = (a18 + 32);
            a09 = (a18 + 33);
            a19 = (a18 + 96);
            a29 = (a18 + 97);
            t0f = ADD_CPX_CPX(*(a98), *(a19));
            t1f = SUB_CPX_CPX(*(a09), *(a29));
            a39 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a98), *(a19)));
            a49 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(*(a09), *(a29)));
            s09 = ADD_CPX_CPX(a39, a49);
            s19 = SUB_CPX_CPX(a49, a39);
            a59 = (a18 + 48);
            a69 = (a18 + 49);
            a79 = (a18 + 80);
            a89 = (a18 + 81);
            t2f = ADD_CPX_CPX(*(a59), *(a79));
            t3f = SUB_CPX_CPX(*(a69), *(a89));
            t4f = SUB_CPX_CPX(*(a59), *(a79));
            t5f = ADD_CPX_CPX(*(a69), *(a89));
            s29 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t4f), MUL_FLT_CPX(C_FLT(0.92387953251128674), t5f));
            s39 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t5f), MUL_FLT_CPX(C_FLT(0.92387953251128674), t4f));
            t6f = ADD_CPX_CPX(t2e, t0f);
            t7f = ADD_CPX_CPX(t4e, t1f);
            t8f = SUB_CPX_CPX(t2e, t0f);
            t9f = SUB_CPX_CPX(t4e, t1f);
            t0g = ADD_CPX_CPX(t6e, t2f);
            t1g = SUB_CPX_CPX(t7e, t3f);
            a99 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t6e, t2f));
            a0a = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t7e, t3f));
            s49 = ADD_CPX_CPX(a99, a0a);
            s59 = SUB_CPX_CPX(a0a, a99);
            t2g = ADD_CPX_CPX(t6f, t0g);
            t3g = ADD_CPX_CPX(t8f, t1g);
            t4g = SUB_CPX_CPX(t6f, t0g);
            t5g = SUB_CPX_CPX(t8f, t1g);
            t6g = ADD_CPX_CPX(t7f, s49);
            t7g = ADD_CPX_CPX(t9f, s59);
            t8g = SUB_CPX_CPX(t7f, s49);
            t9g = SUB_CPX_CPX(t9f, s59);
            t0h = ADD_CPX_CPX(t3e, s09);
            t1h = ADD_CPX_CPX(t5e, s19);
            t2h = SUB_CPX_CPX(t3e, s09);
            t3h = SUB_CPX_CPX(t5e, s19);
            t4h = ADD_CPX_CPX(s88, s29);
            t5h = SUB_CPX_CPX(s98, s39);
            a1a = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s88, s29));
            a2a = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s98, s39));
            s69 = ADD_CPX_CPX(a1a, a2a);
            s79 = SUB_CPX_CPX(a2a, a1a);
            t6h = ADD_CPX_CPX(t0h, t4h);
            t7h = ADD_CPX_CPX(t2h, t5h);
            t8h = SUB_CPX_CPX(t0h, t4h);
            t9h = SUB_CPX_CPX(t2h, t5h);
            t0i = ADD_CPX_CPX(t1h, s69);
            t1i = ADD_CPX_CPX(t3h, s79);
            t2i = SUB_CPX_CPX(t1h, s69);
            t3i = SUB_CPX_CPX(t3h, s79);
            a3a = (a18 + 2);
            a4a = (a18 + 3);
            a5a = (a18 + 126);
            a6a = (a18 + 127);
            t4i = ADD_CPX_CPX(*(a3a), *(a5a));
            t5i = SUB_CPX_CPX(*(a4a), *(a6a));
            t6i = SUB_CPX_CPX(*(a3a), *(a5a));
            t7i = ADD_CPX_CPX(*(a4a), *(a6a));
            a7a = (a18 + 66);
            a8a = (a18 + 67);
            a9a = (a18 + 62);
            a0b = (a18 + 63);
            t8i = ADD_CPX_CPX(*(a7a), *(a9a));
            t9i = SUB_CPX_CPX(*(a8a), *(a0b));
            t0j = SUB_CPX_CPX(*(a7a), *(a9a));
            t1j = ADD_CPX_CPX(*(a8a), *(a0b));
            t2j = ADD_CPX_CPX(t4i, t8i);
            t3j = ADD_CPX_CPX(t5i, t9i);
            t4j = SUB_CPX_CPX(t4i, t8i);
            t5j = SUB_CPX_CPX(t5i, t9i);
            t6j = ADD_CPX_CPX(t6i, t1j);
            t7j = SUB_CPX_CPX(t7i, t0j);
            t8j = SUB_CPX_CPX(t6i, t1j);
            t9j = ADD_CPX_CPX(t7i, t0j);
            a1b = (a18 + 34);
            a2b = (a18 + 35);
            a3b = (a18 + 30);
            a4b = (a18 + 31);
            t0k = ADD_CPX_CPX(*(a1b), *(a3b));
            t1k = SUB_CPX_CPX(*(a2b), *(a4b));
            t2k = ADD_CPX_CPX(*(a2b), *(a4b));
            t3k = SUB_CPX_CPX(*(a3b), *(a1b));
            a5b = (a18 + 94);
            a6b = (a18 + 95);
            a7b = (a18 + 98);
            a8b = (a18 + 99);
            t4k = ADD_CPX_CPX(*(a5b), *(a7b));
            t5k = SUB_CPX_CPX(*(a8b), *(a6b));
            t6k = ADD_CPX_CPX(*(a6b), *(a8b));
            t7k = SUB_CPX_CPX(*(a7b), *(a5b));
            s89 = ADD_CPX_CPX(t0k, t4k);
            s99 = ADD_CPX_CPX(t1k, t5k);
            s0a = SUB_CPX_CPX(t2k, t6k);
            s1a = ADD_CPX_CPX(t3k, t7k);
            a9b = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0k, t4k));
            a0c = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t2k, t6k));
            t8k = ADD_CPX_CPX(a9b, a0c);
            a1c = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t1k, t5k));
            a2c = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3k, t7k));
            t9k = ADD_CPX_CPX(a1c, a2c);
            t0l = SUB_CPX_CPX(a0c, a9b);
            t1l = SUB_CPX_CPX(a2c, a1c);
            s2a = ADD_CPX_CPX(t2j, s89);
            s3a = ADD_CPX_CPX(t3j, s99);
            s4a = ADD_CPX_CPX(t4j, s0a);
            s5a = ADD_CPX_CPX(t5j, s1a);
            s6a = SUB_CPX_CPX(t2j, s89);
            s7a = SUB_CPX_CPX(t3j, s99);
            s8a = SUB_CPX_CPX(t4j, s0a);
            s9a = SUB_CPX_CPX(t5j, s1a);
            s0b = ADD_CPX_CPX(t6j, t8k);
            s1b = ADD_CPX_CPX(t7j, t9k);
            s2b = ADD_CPX_CPX(t8j, t0l);
            s3b = ADD_CPX_CPX(t9j, t1l);
            s4b = SUB_CPX_CPX(t6j, t8k);
            s5b = SUB_CPX_CPX(t7j, t9k);
            s6b = SUB_CPX_CPX(t8j, t0l);
            s7b = SUB_CPX_CPX(t9j, t1l);
            s8b = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99879545620517241), s0b), MUL_FLT_CPX(C_FLT(0.049067674327418015), s1b));
            s9b = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99879545620517241), s1b), MUL_FLT_CPX(C_FLT(0.049067674327418015), s0b));
            s0c = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), s4a), MUL_FLT_CPX(C_FLT(0.098017140329560604), s5a));
            s1c = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), s5a), MUL_FLT_CPX(C_FLT(0.098017140329560604), s4a));
            s2c = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s2b), MUL_FLT_CPX(C_FLT(0.14673047445536175), s3b));
            s3c = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s3b), MUL_FLT_CPX(C_FLT(0.14673047445536175), s2b));
            s4c = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s6a), MUL_FLT_CPX(C_FLT(0.19509032201612828), s7a));
            s5c = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s7a), MUL_FLT_CPX(C_FLT(0.19509032201612828), s6a));
            s6c = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.97003125319454397), s4b), MUL_FLT_CPX(C_FLT(0.2429801799032639), s5b));
            s7c = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.97003125319454397), s5b), MUL_FLT_CPX(C_FLT(0.2429801799032639), s4b));
            s8c = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s8a), MUL_FLT_CPX(C_FLT(0.29028467725446239), s9a));
            s9c = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s9a), MUL_FLT_CPX(C_FLT(0.29028467725446239), s8a));
            s0d = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), s6b), MUL_FLT_CPX(C_FLT(0.33688985339222005), s7b));
            s1d = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), s7b), MUL_FLT_CPX(C_FLT(0.33688985339222005), s6b));
            a3c = (a18 + 4);
            a4c = (a18 + 5);
            a5c = (a18 + 124);
            a6c = (a18 + 125);
            t2l = ADD_CPX_CPX(*(a3c), *(a5c));
            t3l = SUB_CPX_CPX(*(a4c), *(a6c));
            t4l = SUB_CPX_CPX(*(a3c), *(a5c));
            t5l = ADD_CPX_CPX(*(a4c), *(a6c));
            a7c = (a18 + 68);
            a8c = (a18 + 69);
            a9c = (a18 + 60);
            a0d = (a18 + 61);
            t6l = ADD_CPX_CPX(*(a7c), *(a9c));
            t7l = SUB_CPX_CPX(*(a8c), *(a0d));
            t8l = SUB_CPX_CPX(*(a7c), *(a9c));
            t9l = ADD_CPX_CPX(*(a8c), *(a0d));
            t0m = ADD_CPX_CPX(t2l, t6l);
            t1m = ADD_CPX_CPX(t3l, t7l);
            t2m = SUB_CPX_CPX(t2l, t6l);
            t3m = SUB_CPX_CPX(t3l, t7l);
            t4m = ADD_CPX_CPX(t4l, t9l);
            t5m = SUB_CPX_CPX(t5l, t8l);
            t6m = SUB_CPX_CPX(t4l, t9l);
            t7m = ADD_CPX_CPX(t5l, t8l);
            a1d = (a18 + 36);
            a2d = (a18 + 37);
            a3d = (a18 + 28);
            a4d = (a18 + 29);
            t8m = ADD_CPX_CPX(*(a1d), *(a3d));
            t9m = SUB_CPX_CPX(*(a2d), *(a4d));
            t0n = ADD_CPX_CPX(*(a2d), *(a4d));
            t1n = SUB_CPX_CPX(*(a3d), *(a1d));
            a5d = (a18 + 92);
            a6d = (a18 + 93);
            a7d = (a18 + 100);
            a8d = (a18 + 101);
            t2n = ADD_CPX_CPX(*(a5d), *(a7d));
            t3n = SUB_CPX_CPX(*(a8d), *(a6d));
            t4n = ADD_CPX_CPX(*(a6d), *(a8d));
            t5n = SUB_CPX_CPX(*(a7d), *(a5d));
            s2d = ADD_CPX_CPX(t8m, t2n);
            s3d = ADD_CPX_CPX(t9m, t3n);
            s4d = SUB_CPX_CPX(t0n, t4n);
            s5d = ADD_CPX_CPX(t1n, t5n);
            a9d = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8m, t2n));
            a0e = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t0n, t4n));
            t6n = ADD_CPX_CPX(a9d, a0e);
            a1e = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9m, t3n));
            a2e = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t1n, t5n));
            t7n = ADD_CPX_CPX(a1e, a2e);
            t8n = SUB_CPX_CPX(a0e, a9d);
            t9n = SUB_CPX_CPX(a2e, a1e);
            s6d = ADD_CPX_CPX(t0m, s2d);
            s7d = ADD_CPX_CPX(t1m, s3d);
            s8d = ADD_CPX_CPX(t2m, s4d);
            s9d = ADD_CPX_CPX(t3m, s5d);
            s0e = SUB_CPX_CPX(t0m, s2d);
            s1e = SUB_CPX_CPX(t1m, s3d);
            s2e = SUB_CPX_CPX(t2m, s4d);
            s3e = SUB_CPX_CPX(t3m, s5d);
            s4e = ADD_CPX_CPX(t4m, t6n);
            s5e = ADD_CPX_CPX(t5m, t7n);
            s6e = ADD_CPX_CPX(t6m, t8n);
            s7e = ADD_CPX_CPX(t7m, t9n);
            s8e = SUB_CPX_CPX(t4m, t6n);
            s9e = SUB_CPX_CPX(t5m, t7n);
            s0f = SUB_CPX_CPX(t6m, t8n);
            s1f = SUB_CPX_CPX(t7m, t9n);
            s2f = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), s4e), MUL_FLT_CPX(C_FLT(0.098017140329560604), s5e));
            s3f = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), s5e), MUL_FLT_CPX(C_FLT(0.098017140329560604), s4e));
            s4f = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s8d), MUL_FLT_CPX(C_FLT(0.19509032201612828), s9d));
            s5f = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s9d), MUL_FLT_CPX(C_FLT(0.19509032201612828), s8d));
            s6f = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s6e), MUL_FLT_CPX(C_FLT(0.29028467725446239), s7e));
            s7f = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s7e), MUL_FLT_CPX(C_FLT(0.29028467725446239), s6e));
            s8f = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s0e), MUL_FLT_CPX(C_FLT(0.38268343236508978), s1e));
            s9f = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s1e), MUL_FLT_CPX(C_FLT(0.38268343236508978), s0e));
            s0g = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s8e), MUL_FLT_CPX(C_FLT(0.47139673682599764), s9e));
            s1g = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s9e), MUL_FLT_CPX(C_FLT(0.47139673682599764), s8e));
            s2g = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s2e), MUL_FLT_CPX(C_FLT(0.55557023301960218), s3e));
            s3g = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s3e), MUL_FLT_CPX(C_FLT(0.55557023301960218), s2e));
            s4g = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), s0f), MUL_FLT_CPX(C_FLT(0.63439328416364549), s1f));
            s5g = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), s1f), MUL_FLT_CPX(C_FLT(0.63439328416364549), s0f));
            a3e = (a18 + 6);
            a4e = (a18 + 7);
            a5e = (a18 + 122);
            a6e = (a18 + 123);
            t0o = ADD_CPX_CPX(*(a3e), *(a5e));
            t1o = SUB_CPX_CPX(*(a4e), *(a6e));
            t2o = SUB_CPX_CPX(*(a3e), *(a5e));
            t3o = ADD_CPX_CPX(*(a4e), *(a6e));
            a7e = (a18 + 70);
            a8e = (a18 + 71);
            a9e = (a18 + 58);
            a0f = (a18 + 59);
            t4o = ADD_CPX_CPX(*(a7e), *(a9e));
            t5o = SUB_CPX_CPX(*(a8e), *(a0f));
            t6o = SUB_CPX_CPX(*(a7e), *(a9e));
            t7o = ADD_CPX_CPX(*(a8e), *(a0f));
            t8o = ADD_CPX_CPX(t0o, t4o);
            t9o = ADD_CPX_CPX(t1o, t5o);
            t0p = SUB_CPX_CPX(t0o, t4o);
            t1p = SUB_CPX_CPX(t1o, t5o);
            t2p = ADD_CPX_CPX(t2o, t7o);
            t3p = SUB_CPX_CPX(t3o, t6o);
            t4p = SUB_CPX_CPX(t2o, t7o);
            t5p = ADD_CPX_CPX(t3o, t6o);
            a1f = (a18 + 38);
            a2f = (a18 + 39);
            a3f = (a18 + 26);
            a4f = (a18 + 27);
            t6p = ADD_CPX_CPX(*(a1f), *(a3f));
            t7p = SUB_CPX_CPX(*(a2f), *(a4f));
            t8p = ADD_CPX_CPX(*(a2f), *(a4f));
            t9p = SUB_CPX_CPX(*(a3f), *(a1f));
            a5f = (a18 + 90);
            a6f = (a18 + 91);
            a7f = (a18 + 102);
            a8f = (a18 + 103);
            t0q = ADD_CPX_CPX(*(a5f), *(a7f));
            t1q = SUB_CPX_CPX(*(a8f), *(a6f));
            t2q = ADD_CPX_CPX(*(a6f), *(a8f));
            t3q = SUB_CPX_CPX(*(a7f), *(a5f));
            s6g = ADD_CPX_CPX(t6p, t0q);
            s7g = ADD_CPX_CPX(t7p, t1q);
            s8g = SUB_CPX_CPX(t8p, t2q);
            s9g = ADD_CPX_CPX(t9p, t3q);
            a9f = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t6p, t0q));
            a0g = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t8p, t2q));
            t4q = ADD_CPX_CPX(a9f, a0g);
            a1g = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t7p, t1q));
            a2g = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9p, t3q));
            t5q = ADD_CPX_CPX(a1g, a2g);
            t6q = SUB_CPX_CPX(a0g, a9f);
            t7q = SUB_CPX_CPX(a2g, a1g);
            s0h = ADD_CPX_CPX(t8o, s6g);
            s1h = ADD_CPX_CPX(t9o, s7g);
            s2h = ADD_CPX_CPX(t0p, s8g);
            s3h = ADD_CPX_CPX(t1p, s9g);
            s4h = SUB_CPX_CPX(t8o, s6g);
            s5h = SUB_CPX_CPX(t9o, s7g);
            s6h = SUB_CPX_CPX(t0p, s8g);
            s7h = SUB_CPX_CPX(t1p, s9g);
            s8h = ADD_CPX_CPX(t2p, t4q);
            s9h = ADD_CPX_CPX(t3p, t5q);
            s0i = ADD_CPX_CPX(t4p, t6q);
            s1i = ADD_CPX_CPX(t5p, t7q);
            s2i = SUB_CPX_CPX(t2p, t4q);
            s3i = SUB_CPX_CPX(t3p, t5q);
            s4i = SUB_CPX_CPX(t4p, t6q);
            s5i = SUB_CPX_CPX(t5p, t7q);
            s6i = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s8h), MUL_FLT_CPX(C_FLT(0.14673047445536175), s9h));
            s7i = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s9h), MUL_FLT_CPX(C_FLT(0.14673047445536175), s8h));
            s8i = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s2h), MUL_FLT_CPX(C_FLT(0.29028467725446239), s3h));
            s9i = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s3h), MUL_FLT_CPX(C_FLT(0.29028467725446239), s2h));
            s0j = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.90398929312344334), s0i), MUL_FLT_CPX(C_FLT(0.42755509343028208), s1i));
            s1j = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.90398929312344334), s1i), MUL_FLT_CPX(C_FLT(0.42755509343028208), s0i));
            s2j = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s4h), MUL_FLT_CPX(C_FLT(0.55557023301960218), s5h));
            s3j = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s5h), MUL_FLT_CPX(C_FLT(0.55557023301960218), s4h));
            s4j = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), s2i), MUL_FLT_CPX(C_FLT(0.67155895484701844), s3i));
            s5j = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), s3i), MUL_FLT_CPX(C_FLT(0.67155895484701844), s2i));
            s6j = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), s6h), MUL_FLT_CPX(C_FLT(0.77301045336273699), s7h));
            s7j = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), s7h), MUL_FLT_CPX(C_FLT(0.77301045336273699), s6h));
            s8j = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.51410274419322177), s4i), MUL_FLT_CPX(C_FLT(0.85772861000027212), s5i));
            s9j = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.51410274419322177), s5i), MUL_FLT_CPX(C_FLT(0.85772861000027212), s4i));
            a3g = (a18 + 8);
            a4g = (a18 + 9);
            a5g = (a18 + 120);
            a6g = (a18 + 121);
            t8q = ADD_CPX_CPX(*(a3g), *(a5g));
            t9q = SUB_CPX_CPX(*(a4g), *(a6g));
            t0r = SUB_CPX_CPX(*(a3g), *(a5g));
            t1r = ADD_CPX_CPX(*(a4g), *(a6g));
            a7g = (a18 + 72);
            a8g = (a18 + 73);
            a9g = (a18 + 56);
            a0h = (a18 + 57);
            t2r = ADD_CPX_CPX(*(a7g), *(a9g));
            t3r = SUB_CPX_CPX(*(a8g), *(a0h));
            t4r = SUB_CPX_CPX(*(a7g), *(a9g));
            t5r = ADD_CPX_CPX(*(a8g), *(a0h));
            t6r = ADD_CPX_CPX(t8q, t2r);
            t7r = ADD_CPX_CPX(t9q, t3r);
            t8r = SUB_CPX_CPX(t8q, t2r);
            t9r = SUB_CPX_CPX(t9q, t3r);
            t0s = ADD_CPX_CPX(t0r, t5r);
            t1s = SUB_CPX_CPX(t1r, t4r);
            t2s = SUB_CPX_CPX(t0r, t5r);
            t3s = ADD_CPX_CPX(t1r, t4r);
            a1h = (a18 + 40);
            a2h = (a18 + 41);
            a3h = (a18 + 24);
            a4h = (a18 + 25);
            t4s = ADD_CPX_CPX(*(a1h), *(a3h));
            t5s = SUB_CPX_CPX(*(a2h), *(a4h));
            t6s = ADD_CPX_CPX(*(a2h), *(a4h));
            t7s = SUB_CPX_CPX(*(a3h), *(a1h));
            a5h = (a18 + 88);
            a6h = (a18 + 89);
            a7h = (a18 + 104);
            a8h = (a18 + 105);
            t8s = ADD_CPX_CPX(*(a5h), *(a7h));
            t9s = SUB_CPX_CPX(*(a8h), *(a6h));
            t0t = ADD_CPX_CPX(*(a6h), *(a8h));
            t1t = SUB_CPX_CPX(*(a7h), *(a5h));
            s0k = ADD_CPX_CPX(t4s, t8s);
            s1k = ADD_CPX_CPX(t5s, t9s);
            s2k = SUB_CPX_CPX(t6s, t0t);
            s3k = ADD_CPX_CPX(t7s, t1t);
            a9h = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t4s, t8s));
            a0i = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t6s, t0t));
            t2t = ADD_CPX_CPX(a9h, a0i);
            a1i = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t5s, t9s));
            a2i = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t7s, t1t));
            t3t = ADD_CPX_CPX(a1i, a2i);
            t4t = SUB_CPX_CPX(a0i, a9h);
            t5t = SUB_CPX_CPX(a2i, a1i);
            s4k = ADD_CPX_CPX(t6r, s0k);
            s5k = ADD_CPX_CPX(t7r, s1k);
            s6k = ADD_CPX_CPX(t8r, s2k);
            s7k = ADD_CPX_CPX(t9r, s3k);
            s8k = SUB_CPX_CPX(t8r, s2k);
            s9k = SUB_CPX_CPX(t9r, s3k);
            s0l = ADD_CPX_CPX(t0s, t2t);
            s1l = ADD_CPX_CPX(t1s, t3t);
            s2l = ADD_CPX_CPX(t2s, t4t);
            s3l = ADD_CPX_CPX(t3s, t5t);
            s4l = SUB_CPX_CPX(t0s, t2t);
            s5l = SUB_CPX_CPX(t1s, t3t);
            s6l = SUB_CPX_CPX(t2s, t4t);
            s7l = SUB_CPX_CPX(t3s, t5t);
            s8l = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s0l), MUL_FLT_CPX(C_FLT(0.19509032201612828), s1l));
            s9l = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s1l), MUL_FLT_CPX(C_FLT(0.19509032201612828), s0l));
            s0m = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s6k), MUL_FLT_CPX(C_FLT(0.38268343236508978), s7k));
            s1m = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s7k), MUL_FLT_CPX(C_FLT(0.38268343236508978), s6k));
            s2m = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s2l), MUL_FLT_CPX(C_FLT(0.55557023301960218), s3l));
            s3m = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s3l), MUL_FLT_CPX(C_FLT(0.55557023301960218), s2l));
            a3i = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t6r, s0k));
            a4i = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t7r, s1k));
            s4m = ADD_CPX_CPX(a3i, a4i);
            s5m = SUB_CPX_CPX(a4i, a3i);
            s6m = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s4l), MUL_FLT_CPX(C_FLT(0.83146961230254524), s5l));
            s7m = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s5l), MUL_FLT_CPX(C_FLT(0.83146961230254524), s4l));
            s8m = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s8k), MUL_FLT_CPX(C_FLT(0.92387953251128674), s9k));
            s9m = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s9k), MUL_FLT_CPX(C_FLT(0.92387953251128674), s8k));
            s0n = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s6l), MUL_FLT_CPX(C_FLT(0.98078528040323043), s7l));
            s1n = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s7l), MUL_FLT_CPX(C_FLT(0.98078528040323043), s6l));
            a5i = (a18 + 10);
            a6i = (a18 + 11);
            a7i = (a18 + 118);
            a8i = (a18 + 119);
            t6t = ADD_CPX_CPX(*(a5i), *(a7i));
            t7t = SUB_CPX_CPX(*(a6i), *(a8i));
            t8t = SUB_CPX_CPX(*(a5i), *(a7i));
            t9t = ADD_CPX_CPX(*(a6i), *(a8i));
            a9i = (a18 + 74);
            a0j = (a18 + 75);
            a1j = (a18 + 54);
            a2j = (a18 + 55);
            t0u = ADD_CPX_CPX(*(a9i), *(a1j));
            t1u = SUB_CPX_CPX(*(a0j), *(a2j));
            t2u = SUB_CPX_CPX(*(a9i), *(a1j));
            t3u = ADD_CPX_CPX(*(a0j), *(a2j));
            t4u = ADD_CPX_CPX(t6t, t0u);
            t5u = ADD_CPX_CPX(t7t, t1u);
            t6u = SUB_CPX_CPX(t6t, t0u);
            t7u = SUB_CPX_CPX(t7t, t1u);
            t8u = ADD_CPX_CPX(t8t, t3u);
            t9u = SUB_CPX_CPX(t9t, t2u);
            t0v = SUB_CPX_CPX(t8t, t3u);
            t1v = ADD_CPX_CPX(t9t, t2u);
            a3j = (a18 + 42);
            a4j = (a18 + 43);
            a5j = (a18 + 22);
            a6j = (a18 + 23);
            t2v = ADD_CPX_CPX(*(a3j), *(a5j));
            t3v = SUB_CPX_CPX(*(a4j), *(a6j));
            t4v = ADD_CPX_CPX(*(a4j), *(a6j));
            t5v = SUB_CPX_CPX(*(a5j), *(a3j));
            a7j = (a18 + 86);
            a8j = (a18 + 87);
            a9j = (a18 + 106);
            a0k = (a18 + 107);
            t6v = ADD_CPX_CPX(*(a7j), *(a9j));
            t7v = SUB_CPX_CPX(*(a0k), *(a8j));
            t8v = ADD_CPX_CPX(*(a8j), *(a0k));
            t9v = SUB_CPX_CPX(*(a9j), *(a7j));
            s2n = ADD_CPX_CPX(t2v, t6v);
            s3n = ADD_CPX_CPX(t3v, t7v);
            s4n = SUB_CPX_CPX(t4v, t8v);
            s5n = ADD_CPX_CPX(t5v, t9v);
            a1k = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2v, t6v));
            a2k = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t4v, t8v));
            t0w = ADD_CPX_CPX(a1k, a2k);
            a3k = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3v, t7v));
            a4k = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t5v, t9v));
            t1w = ADD_CPX_CPX(a3k, a4k);
            t2w = SUB_CPX_CPX(a2k, a1k);
            t3w = SUB_CPX_CPX(a4k, a3k);
            s6n = ADD_CPX_CPX(t4u, s2n);
            s7n = ADD_CPX_CPX(t5u, s3n);
            s8n = ADD_CPX_CPX(t6u, s4n);
            s9n = ADD_CPX_CPX(t7u, s5n);
            s0o = SUB_CPX_CPX(t4u, s2n);
            s1o = SUB_CPX_CPX(t5u, s3n);
            s2o = SUB_CPX_CPX(t6u, s4n);
            s3o = SUB_CPX_CPX(t7u, s5n);
            s4o = ADD_CPX_CPX(t8u, t0w);
            s5o = ADD_CPX_CPX(t9u, t1w);
            s6o = ADD_CPX_CPX(t0v, t2w);
            s7o = ADD_CPX_CPX(t1v, t3w);
            s8o = SUB_CPX_CPX(t8u, t0w);
            s9o = SUB_CPX_CPX(t9u, t1w);
            s0p = SUB_CPX_CPX(t0v, t2w);
            s1p = SUB_CPX_CPX(t1v, t3w);
            s2p = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.97003125319454397), s4o), MUL_FLT_CPX(C_FLT(0.2429801799032639), s5o));
            s3p = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.97003125319454397), s5o), MUL_FLT_CPX(C_FLT(0.2429801799032639), s4o));
            s4p = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s8n), MUL_FLT_CPX(C_FLT(0.47139673682599764), s9n));
            s5p = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s9n), MUL_FLT_CPX(C_FLT(0.47139673682599764), s8n));
            s6p = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), s6o), MUL_FLT_CPX(C_FLT(0.67155895484701844), s7o));
            s7p = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), s7o), MUL_FLT_CPX(C_FLT(0.67155895484701844), s6o));
            s8p = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s0o), MUL_FLT_CPX(C_FLT(0.83146961230254524), s1o));
            s9p = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s1o), MUL_FLT_CPX(C_FLT(0.83146961230254524), s0o));
            s0q = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.33688985339222005), s8o), MUL_FLT_CPX(C_FLT(0.94154406518302081), s9o));
            s1q = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.33688985339222005), s9o), MUL_FLT_CPX(C_FLT(0.94154406518302081), s8o));
            s2q = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), s2o), MUL_FLT_CPX(C_FLT(0.99518472667219693), s3o));
            s3q = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), s3o), MUL_FLT_CPX(C_FLT(0.99518472667219693), s2o));
            s4q = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s1p), MUL_FLT_CPX(C_FLT(0.14673047445536175), s0p));
            s5q = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s0p), MUL_FLT_CPX(C_FLT(0.14673047445536175), s1p));
            a5k = (a18 + 12);
            a6k = (a18 + 13);
            a7k = (a18 + 116);
            a8k = (a18 + 117);
            t4w = ADD_CPX_CPX(*(a5k), *(a7k));
            t5w = SUB_CPX_CPX(*(a6k), *(a8k));
            t6w = SUB_CPX_CPX(*(a5k), *(a7k));
            t7w = ADD_CPX_CPX(*(a6k), *(a8k));
            a9k = (a18 + 76);
            a0l = (a18 + 77);
            a1l = (a18 + 52);
            a2l = (a18 + 53);
            t8w = ADD_CPX_CPX(*(a9k), *(a1l));
            t9w = SUB_CPX_CPX(*(a0l), *(a2l));
            t0x = SUB_CPX_CPX(*(a9k), *(a1l));
            t1x = ADD_CPX_CPX(*(a0l), *(a2l));
            t2x = ADD_CPX_CPX(t4w, t8w);
            t3x = ADD_CPX_CPX(t5w, t9w);
            t4x = SUB_CPX_CPX(t4w, t8w);
            t5x = SUB_CPX_CPX(t5w, t9w);
            t6x = ADD_CPX_CPX(t6w, t1x);
            t7x = SUB_CPX_CPX(t7w, t0x);
            t8x = SUB_CPX_CPX(t6w, t1x);
            t9x = ADD_CPX_CPX(t7w, t0x);
            a3l = (a18 + 44);
            a4l = (a18 + 45);
            a5l = (a18 + 20);
            a6l = (a18 + 21);
            t0y = ADD_CPX_CPX(*(a3l), *(a5l));
            t1y = SUB_CPX_CPX(*(a4l), *(a6l));
            t2y = ADD_CPX_CPX(*(a4l), *(a6l));
            t3y = SUB_CPX_CPX(*(a5l), *(a3l));
            a7l = (a18 + 84);
            a8l = (a18 + 85);
            a9l = (a18 + 108);
            a0m = (a18 + 109);
            t4y = ADD_CPX_CPX(*(a7l), *(a9l));
            t5y = SUB_CPX_CPX(*(a0m), *(a8l));
            t6y = ADD_CPX_CPX(*(a8l), *(a0m));
            t7y = SUB_CPX_CPX(*(a9l), *(a7l));
            s6q = ADD_CPX_CPX(t0y, t4y);
            s7q = ADD_CPX_CPX(t1y, t5y);
            s8q = SUB_CPX_CPX(t2y, t6y);
            s9q = ADD_CPX_CPX(t3y, t7y);
            a1m = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0y, t4y));
            a2m = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t2y, t6y));
            t8y = ADD_CPX_CPX(a1m, a2m);
            a3m = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t1y, t5y));
            a4m = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3y, t7y));
            t9y = ADD_CPX_CPX(a3m, a4m);
            t0z = SUB_CPX_CPX(a2m, a1m);
            t1z = SUB_CPX_CPX(a4m, a3m);
            s0r = ADD_CPX_CPX(t2x, s6q);
            s1r = ADD_CPX_CPX(t3x, s7q);
            s2r = ADD_CPX_CPX(t4x, s8q);
            s3r = ADD_CPX_CPX(t5x, s9q);
            s4r = SUB_CPX_CPX(t2x, s6q);
            s5r = SUB_CPX_CPX(t3x, s7q);
            s6r = SUB_CPX_CPX(t4x, s8q);
            s7r = SUB_CPX_CPX(t5x, s9q);
            s8r = ADD_CPX_CPX(t6x, t8y);
            s9r = ADD_CPX_CPX(t7x, t9y);
            s0s = ADD_CPX_CPX(t8x, t0z);
            s1s = ADD_CPX_CPX(t9x, t1z);
            s2s = SUB_CPX_CPX(t6x, t8y);
            s3s = SUB_CPX_CPX(t7x, t9y);
            s4s = SUB_CPX_CPX(t8x, t0z);
            s5s = SUB_CPX_CPX(t9x, t1z);
            s6s = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s8r), MUL_FLT_CPX(C_FLT(0.29028467725446239), s9r));
            s7s = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s9r), MUL_FLT_CPX(C_FLT(0.29028467725446239), s8r));
            s8s = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s2r), MUL_FLT_CPX(C_FLT(0.55557023301960218), s3r));
            s9s = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s3r), MUL_FLT_CPX(C_FLT(0.55557023301960218), s2r));
            s0t = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), s0s), MUL_FLT_CPX(C_FLT(0.77301045336273699), s1s));
            s1t = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), s1s), MUL_FLT_CPX(C_FLT(0.77301045336273699), s0s));
            s2t = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s4r), MUL_FLT_CPX(C_FLT(0.92387953251128674), s5r));
            s3t = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s5r), MUL_FLT_CPX(C_FLT(0.92387953251128674), s4r));
            s4t = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), s2s), MUL_FLT_CPX(C_FLT(0.99518472667219693), s3s));
            s5t = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), s3s), MUL_FLT_CPX(C_FLT(0.99518472667219693), s2s));
            s6t = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s7r), MUL_FLT_CPX(C_FLT(0.19509032201612828), s6r));
            s7t = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s6r), MUL_FLT_CPX(C_FLT(0.19509032201612828), s7r));
            s8t = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s5s), MUL_FLT_CPX(C_FLT(0.47139673682599764), s4s));
            s9t = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s4s), MUL_FLT_CPX(C_FLT(0.47139673682599764), s5s));
            a5m = (a18 + 14);
            a6m = (a18 + 15);
            a7m = (a18 + 114);
            a8m = (a18 + 115);
            t2z = ADD_CPX_CPX(*(a5m), *(a7m));
            t3z = SUB_CPX_CPX(*(a6m), *(a8m));
            t4z = SUB_CPX_CPX(*(a5m), *(a7m));
            t5z = ADD_CPX_CPX(*(a6m), *(a8m));
            a9m = (a18 + 78);
            a0n = (a18 + 79);
            a1n = (a18 + 50);
            a2n = (a18 + 51);
            t6z = ADD_CPX_CPX(*(a9m), *(a1n));
            t7z = SUB_CPX_CPX(*(a0n), *(a2n));
            t8z = SUB_CPX_CPX(*(a9m), *(a1n));
            t9z = ADD_CPX_CPX(*(a0n), *(a2n));
            t0A = ADD_CPX_CPX(t2z, t6z);
            t1A = ADD_CPX_CPX(t3z, t7z);
            t2A = SUB_CPX_CPX(t2z, t6z);
            t3A = SUB_CPX_CPX(t3z, t7z);
            t4A = ADD_CPX_CPX(t4z, t9z);
            t5A = SUB_CPX_CPX(t5z, t8z);
            t6A = SUB_CPX_CPX(t4z, t9z);
            t7A = ADD_CPX_CPX(t5z, t8z);
            a3n = (a18 + 46);
            a4n = (a18 + 47);
            a5n = (a18 + 18);
            a6n = (a18 + 19);
            t8A = ADD_CPX_CPX(*(a3n), *(a5n));
            t9A = SUB_CPX_CPX(*(a4n), *(a6n));
            t0B = ADD_CPX_CPX(*(a4n), *(a6n));
            t1B = SUB_CPX_CPX(*(a5n), *(a3n));
            a7n = (a18 + 82);
            a8n = (a18 + 83);
            a9n = (a18 + 110);
            a0o = (a18 + 111);
            t2B = ADD_CPX_CPX(*(a7n), *(a9n));
            t3B = SUB_CPX_CPX(*(a0o), *(a8n));
            t4B = ADD_CPX_CPX(*(a8n), *(a0o));
            t5B = SUB_CPX_CPX(*(a9n), *(a7n));
            s0u = ADD_CPX_CPX(t8A, t2B);
            s1u = ADD_CPX_CPX(t9A, t3B);
            s2u = SUB_CPX_CPX(t0B, t4B);
            s3u = ADD_CPX_CPX(t1B, t5B);
            a1o = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8A, t2B));
            a2o = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t0B, t4B));
            t6B = ADD_CPX_CPX(a1o, a2o);
            a3o = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9A, t3B));
            a4o = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t1B, t5B));
            t7B = ADD_CPX_CPX(a3o, a4o);
            t8B = SUB_CPX_CPX(a2o, a1o);
            t9B = SUB_CPX_CPX(a4o, a3o);
            s4u = ADD_CPX_CPX(t0A, s0u);
            s5u = ADD_CPX_CPX(t1A, s1u);
            s6u = ADD_CPX_CPX(t2A, s2u);
            s7u = ADD_CPX_CPX(t3A, s3u);
            s8u = SUB_CPX_CPX(t0A, s0u);
            s9u = SUB_CPX_CPX(t1A, s1u);
            s0v = SUB_CPX_CPX(t2A, s2u);
            s1v = SUB_CPX_CPX(t3A, s3u);
            s2v = ADD_CPX_CPX(t4A, t6B);
            s3v = ADD_CPX_CPX(t5A, t7B);
            s4v = ADD_CPX_CPX(t6A, t8B);
            s5v = ADD_CPX_CPX(t7A, t9B);
            s6v = SUB_CPX_CPX(t4A, t6B);
            s7v = SUB_CPX_CPX(t5A, t7B);
            s8v = SUB_CPX_CPX(t6A, t8B);
            s9v = SUB_CPX_CPX(t7A, t9B);
            s0w = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), s2v), MUL_FLT_CPX(C_FLT(0.33688985339222005), s3v));
            s1w = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), s3v), MUL_FLT_CPX(C_FLT(0.33688985339222005), s2v));
            s2w = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), s6u), MUL_FLT_CPX(C_FLT(0.63439328416364549), s7u));
            s3w = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), s7u), MUL_FLT_CPX(C_FLT(0.63439328416364549), s6u));
            s4w = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.51410274419322177), s4v), MUL_FLT_CPX(C_FLT(0.85772861000027212), s5v));
            s5w = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.51410274419322177), s5v), MUL_FLT_CPX(C_FLT(0.85772861000027212), s4v));
            s6w = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s8u), MUL_FLT_CPX(C_FLT(0.98078528040323043), s9u));
            s7w = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s9u), MUL_FLT_CPX(C_FLT(0.98078528040323043), s8u));
            s8w = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s7v), MUL_FLT_CPX(C_FLT(0.14673047445536175), s6v));
            s9w = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s6v), MUL_FLT_CPX(C_FLT(0.14673047445536175), s7v));
            s0x = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s1v), MUL_FLT_CPX(C_FLT(0.47139673682599764), s0v));
            s1x = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s0v), MUL_FLT_CPX(C_FLT(0.47139673682599764), s1v));
            s2x = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.67155895484701844), s9v), MUL_FLT_CPX(C_FLT(0.74095112535495911), s8v));
            s3x = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.67155895484701844), s8v), MUL_FLT_CPX(C_FLT(0.74095112535495911), s9v));
            t0C = ADD_CPX_CPX(t2g, s4k);
            t1C = ADD_CPX_CPX(t4g, s5k);
            t2C = SUB_CPX_CPX(t2g, s4k);
            t3C = SUB_CPX_CPX(t4g, s5k);
            t4C = ADD_CPX_CPX(s2a, s4u);
            t5C = SUB_CPX_CPX(s3a, s5u);
            t6C = SUB_CPX_CPX(s2a, s4u);
            t7C = ADD_CPX_CPX(s3a, s5u);
            s4x = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t6C), MUL_FLT_CPX(C_FLT(0.38268343236508978), t7C));
            s5x = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t7C), MUL_FLT_CPX(C_FLT(0.38268343236508978), t6C));
            t8C = ADD_CPX_CPX(s6d, s0r);
            t9C = SUB_CPX_CPX(s7d, s1r);
            a5o = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s6d, s0r));
            a6o = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s7d, s1r));
            s6x = ADD_CPX_CPX(a5o, a6o);
            s7x = SUB_CPX_CPX(a6o, a5o);
            t0D = ADD_CPX_CPX(s0h, s6n);
            t1D = SUB_CPX_CPX(s1h, s7n);
            t2D = SUB_CPX_CPX(s0h, s6n);
            t3D = ADD_CPX_CPX(s1h, s7n);
            s8x = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t2D), MUL_FLT_CPX(C_FLT(0.92387953251128674), t3D));
            s9x = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t3D), MUL_FLT_CPX(C_FLT(0.92387953251128674), t2D));
            t4D = ADD_CPX_CPX(t0C, t8C);
            t5D = ADD_CPX_CPX(t2C, t9C);
            t6D = SUB_CPX_CPX(t0C, t8C);
            t7D = SUB_CPX_CPX(t2C, t9C);
            t8D = ADD_CPX_CPX(t4C, t0D);
            t9D = SUB_CPX_CPX(t5C, t1D);
            a7o = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t4C, t0D));
            a8o = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t5C, t1D));
            s0y = ADD_CPX_CPX(a7o, a8o);
            s1y = SUB_CPX_CPX(a8o, a7o);
            t0E = ADD_CPX_CPX(t4D, t8D);
            t1E = ADD_CPX_CPX(t6D, t9D);
            t2E = SUB_CPX_CPX(t4D, t8D);
            t3E = SUB_CPX_CPX(t6D, t9D);
            STOREU_CPX((dst + i2 + (i4*8)), t0E);
            STOREU_CPX((2048 + dst + i2 + (i4*8)), t1E);
            STOREU_CPX((4096 + dst + i2 + (i4*8)), t2E);
            STOREU_CPX((6144 + dst + i2 + (i4*8)), t3E);
            t4E = ADD_CPX_CPX(t5D, s0y);
            t5E = ADD_CPX_CPX(t7D, s1y);
            t6E = SUB_CPX_CPX(t5D, s0y);
            t7E = SUB_CPX_CPX(t7D, s1y);
            STOREU_CPX((1024 + dst + i2 + (i4*8)), t4E);
            STOREU_CPX((3072 + dst + i2 + (i4*8)), t5E);
            STOREU_CPX((5120 + dst + i2 + (i4*8)), t6E);
            STOREU_CPX((7168 + dst + i2 + (i4*8)), t7E);
            t8E = ADD_CPX_CPX(t1C, s6x);
            t9E = ADD_CPX_CPX(t3C, s7x);
            t0F = SUB_CPX_CPX(t1C, s6x);
            t1F = SUB_CPX_CPX(t3C, s7x);
            t2F = ADD_CPX_CPX(s4x, s8x);
            t3F = SUB_CPX_CPX(s5x, s9x);
            a9o = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4x, s8x));
            a0p = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5x, s9x));
            s2y = ADD_CPX_CPX(a9o, a0p);
            s3y = SUB_CPX_CPX(a0p, a9o);
            t4F = ADD_CPX_CPX(t8E, t2F);
            t5F = ADD_CPX_CPX(t0F, t3F);
            t6F = SUB_CPX_CPX(t8E, t2F);
            t7F = SUB_CPX_CPX(t0F, t3F);
            STOREU_CPX((512 + dst + i2 + (i4*8)), t4F);
            STOREU_CPX((2560 + dst + i2 + (i4*8)), t5F);
            STOREU_CPX((4608 + dst + i2 + (i4*8)), t6F);
            STOREU_CPX((6656 + dst + i2 + (i4*8)), t7F);
            t8F = ADD_CPX_CPX(t9E, s2y);
            t9F = ADD_CPX_CPX(t1F, s3y);
            t0G = SUB_CPX_CPX(t9E, s2y);
            t1G = SUB_CPX_CPX(t1F, s3y);
            STOREU_CPX((1536 + dst + i2 + (i4*8)), t8F);
            STOREU_CPX((3584 + dst + i2 + (i4*8)), t9F);
            STOREU_CPX((5632 + dst + i2 + (i4*8)), t0G);
            STOREU_CPX((7680 + dst + i2 + (i4*8)), t1G);
            t2G = ADD_CPX_CPX(t6h, s8l);
            t3G = ADD_CPX_CPX(t8h, s9l);
            t4G = SUB_CPX_CPX(t6h, s8l);
            t5G = SUB_CPX_CPX(t8h, s9l);
            t6G = ADD_CPX_CPX(s8b, s0w);
            t7G = SUB_CPX_CPX(s9b, s1w);
            t8G = SUB_CPX_CPX(s8b, s0w);
            t9G = ADD_CPX_CPX(s9b, s1w);
            s4y = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t8G), MUL_FLT_CPX(C_FLT(0.38268343236508978), t9G));
            s5y = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t9G), MUL_FLT_CPX(C_FLT(0.38268343236508978), t8G));
            t0H = ADD_CPX_CPX(s2f, s6s);
            t1H = SUB_CPX_CPX(s3f, s7s);
            a1p = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s2f, s6s));
            a2p = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s3f, s7s));
            s6y = ADD_CPX_CPX(a1p, a2p);
            s7y = SUB_CPX_CPX(a2p, a1p);
            t2H = ADD_CPX_CPX(s6i, s2p);
            t3H = SUB_CPX_CPX(s7i, s3p);
            t4H = SUB_CPX_CPX(s6i, s2p);
            t5H = ADD_CPX_CPX(s7i, s3p);
            s8y = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t4H), MUL_FLT_CPX(C_FLT(0.92387953251128674), t5H));
            s9y = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t5H), MUL_FLT_CPX(C_FLT(0.92387953251128674), t4H));
            t6H = ADD_CPX_CPX(t2G, t0H);
            t7H = ADD_CPX_CPX(t4G, t1H);
            t8H = SUB_CPX_CPX(t2G, t0H);
            t9H = SUB_CPX_CPX(t4G, t1H);
            t0I = ADD_CPX_CPX(t6G, t2H);
            t1I = SUB_CPX_CPX(t7G, t3H);
            a3p = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t6G, t2H));
            a4p = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t7G, t3H));
            s0z = ADD_CPX_CPX(a3p, a4p);
            s1z = SUB_CPX_CPX(a4p, a3p);
            t2I = ADD_CPX_CPX(t6H, t0I);
            t3I = ADD_CPX_CPX(t8H, t1I);
            t4I = SUB_CPX_CPX(t6H, t0I);
            t5I = SUB_CPX_CPX(t8H, t1I);
            STOREU_CPX((64 + dst + i2 + (i4*8)), t2I);
            STOREU_CPX((2112 + dst + i2 + (i4*8)), t3I);
            STOREU_CPX((4160 + dst + i2 + (i4*8)), t4I);
            STOREU_CPX((6208 + dst + i2 + (i4*8)), t5I);
            t6I = ADD_CPX_CPX(t7H, s0z);
            t7I = ADD_CPX_CPX(t9H, s1z);
            t8I = SUB_CPX_CPX(t7H, s0z);
            t9I = SUB_CPX_CPX(t9H, s1z);
            STOREU_CPX((1088 + dst + i2 + (i4*8)), t6I);
            STOREU_CPX((3136 + dst + i2 + (i4*8)), t7I);
            STOREU_CPX((5184 + dst + i2 + (i4*8)), t8I);
            STOREU_CPX((7232 + dst + i2 + (i4*8)), t9I);
            t0J = ADD_CPX_CPX(t3G, s6y);
            t1J = ADD_CPX_CPX(t5G, s7y);
            t2J = SUB_CPX_CPX(t3G, s6y);
            t3J = SUB_CPX_CPX(t5G, s7y);
            t4J = ADD_CPX_CPX(s4y, s8y);
            t5J = SUB_CPX_CPX(s5y, s9y);
            a5p = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4y, s8y));
            a6p = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5y, s9y));
            s2z = ADD_CPX_CPX(a5p, a6p);
            s3z = SUB_CPX_CPX(a6p, a5p);
            t6J = ADD_CPX_CPX(t0J, t4J);
            t7J = ADD_CPX_CPX(t2J, t5J);
            t8J = SUB_CPX_CPX(t0J, t4J);
            t9J = SUB_CPX_CPX(t2J, t5J);
            STOREU_CPX((576 + dst + i2 + (i4*8)), t6J);
            STOREU_CPX((2624 + dst + i2 + (i4*8)), t7J);
            STOREU_CPX((4672 + dst + i2 + (i4*8)), t8J);
            STOREU_CPX((6720 + dst + i2 + (i4*8)), t9J);
            t0K = ADD_CPX_CPX(t1J, s2z);
            t1K = ADD_CPX_CPX(t3J, s3z);
            t2K = SUB_CPX_CPX(t1J, s2z);
            t3K = SUB_CPX_CPX(t3J, s3z);
            STOREU_CPX((1600 + dst + i2 + (i4*8)), t0K);
            STOREU_CPX((3648 + dst + i2 + (i4*8)), t1K);
            STOREU_CPX((5696 + dst + i2 + (i4*8)), t2K);
            STOREU_CPX((7744 + dst + i2 + (i4*8)), t3K);
            t4K = ADD_CPX_CPX(t6g, s0m);
            t5K = ADD_CPX_CPX(t8g, s1m);
            t6K = SUB_CPX_CPX(t6g, s0m);
            t7K = SUB_CPX_CPX(t8g, s1m);
            t8K = ADD_CPX_CPX(s0c, s2w);
            t9K = SUB_CPX_CPX(s1c, s3w);
            t0L = SUB_CPX_CPX(s0c, s2w);
            t1L = ADD_CPX_CPX(s1c, s3w);
            s4z = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t0L), MUL_FLT_CPX(C_FLT(0.38268343236508978), t1L));
            s5z = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t1L), MUL_FLT_CPX(C_FLT(0.38268343236508978), t0L));
            t2L = ADD_CPX_CPX(s4f, s8s);
            t3L = SUB_CPX_CPX(s5f, s9s);
            a7p = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4f, s8s));
            a8p = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5f, s9s));
            s6z = ADD_CPX_CPX(a7p, a8p);
            s7z = SUB_CPX_CPX(a8p, a7p);
            t4L = ADD_CPX_CPX(s8i, s4p);
            t5L = SUB_CPX_CPX(s9i, s5p);
            t6L = SUB_CPX_CPX(s8i, s4p);
            t7L = ADD_CPX_CPX(s9i, s5p);
            s8z = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t6L), MUL_FLT_CPX(C_FLT(0.92387953251128674), t7L));
            s9z = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t7L), MUL_FLT_CPX(C_FLT(0.92387953251128674), t6L));
            t8L = ADD_CPX_CPX(t4K, t2L);
            t9L = ADD_CPX_CPX(t6K, t3L);
            t0M = SUB_CPX_CPX(t4K, t2L);
            t1M = SUB_CPX_CPX(t6K, t3L);
            t2M = ADD_CPX_CPX(t8K, t4L);
            t3M = SUB_CPX_CPX(t9K, t5L);
            a9p = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8K, t4L));
            a0q = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t9K, t5L));
            s0A = ADD_CPX_CPX(a9p, a0q);
            s1A = SUB_CPX_CPX(a0q, a9p);
            t4M = ADD_CPX_CPX(t8L, t2M);
            t5M = ADD_CPX_CPX(t0M, t3M);
            t6M = SUB_CPX_CPX(t8L, t2M);
            t7M = SUB_CPX_CPX(t0M, t3M);
            STOREU_CPX((128 + dst + i2 + (i4*8)), t4M);
            STOREU_CPX((2176 + dst + i2 + (i4*8)), t5M);
            STOREU_CPX((4224 + dst + i2 + (i4*8)), t6M);
            STOREU_CPX((6272 + dst + i2 + (i4*8)), t7M);
            t8M = ADD_CPX_CPX(t9L, s0A);
            t9M = ADD_CPX_CPX(t1M, s1A);
            t0N = SUB_CPX_CPX(t9L, s0A);
            t1N = SUB_CPX_CPX(t1M, s1A);
            STOREU_CPX((1152 + dst + i2 + (i4*8)), t8M);
            STOREU_CPX((3200 + dst + i2 + (i4*8)), t9M);
            STOREU_CPX((5248 + dst + i2 + (i4*8)), t0N);
            STOREU_CPX((7296 + dst + i2 + (i4*8)), t1N);
            t2N = ADD_CPX_CPX(t5K, s6z);
            t3N = ADD_CPX_CPX(t7K, s7z);
            t4N = SUB_CPX_CPX(t5K, s6z);
            t5N = SUB_CPX_CPX(t7K, s7z);
            t6N = ADD_CPX_CPX(s4z, s8z);
            t7N = SUB_CPX_CPX(s5z, s9z);
            a1q = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4z, s8z));
            a2q = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5z, s9z));
            s2A = ADD_CPX_CPX(a1q, a2q);
            s3A = SUB_CPX_CPX(a2q, a1q);
            t8N = ADD_CPX_CPX(t2N, t6N);
            t9N = ADD_CPX_CPX(t4N, t7N);
            t0O = SUB_CPX_CPX(t2N, t6N);
            t1O = SUB_CPX_CPX(t4N, t7N);
            STOREU_CPX((640 + dst + i2 + (i4*8)), t8N);
            STOREU_CPX((2688 + dst + i2 + (i4*8)), t9N);
            STOREU_CPX((4736 + dst + i2 + (i4*8)), t0O);
            STOREU_CPX((6784 + dst + i2 + (i4*8)), t1O);
            t2O = ADD_CPX_CPX(t3N, s2A);
            t3O = ADD_CPX_CPX(t5N, s3A);
            t4O = SUB_CPX_CPX(t3N, s2A);
            t5O = SUB_CPX_CPX(t5N, s3A);
            STOREU_CPX((1664 + dst + i2 + (i4*8)), t2O);
            STOREU_CPX((3712 + dst + i2 + (i4*8)), t3O);
            STOREU_CPX((5760 + dst + i2 + (i4*8)), t4O);
            STOREU_CPX((7808 + dst + i2 + (i4*8)), t5O);
            t6O = ADD_CPX_CPX(t0i, s2m);
            t7O = ADD_CPX_CPX(t2i, s3m);
            t8O = SUB_CPX_CPX(t0i, s2m);
            t9O = SUB_CPX_CPX(t2i, s3m);
            t0P = ADD_CPX_CPX(s2c, s4w);
            t1P = SUB_CPX_CPX(s3c, s5w);
            t2P = SUB_CPX_CPX(s2c, s4w);
            t3P = ADD_CPX_CPX(s3c, s5w);
            s4A = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t2P), MUL_FLT_CPX(C_FLT(0.38268343236508978), t3P));
            s5A = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t3P), MUL_FLT_CPX(C_FLT(0.38268343236508978), t2P));
            t4P = ADD_CPX_CPX(s6f, s0t);
            t5P = SUB_CPX_CPX(s7f, s1t);
            a3q = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s6f, s0t));
            a4q = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s7f, s1t));
            s6A = ADD_CPX_CPX(a3q, a4q);
            s7A = SUB_CPX_CPX(a4q, a3q);
            t6P = ADD_CPX_CPX(s0j, s6p);
            t7P = SUB_CPX_CPX(s1j, s7p);
            t8P = SUB_CPX_CPX(s0j, s6p);
            t9P = ADD_CPX_CPX(s1j, s7p);
            s8A = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t8P), MUL_FLT_CPX(C_FLT(0.92387953251128674), t9P));
            s9A = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t9P), MUL_FLT_CPX(C_FLT(0.92387953251128674), t8P));
            t0Q = ADD_CPX_CPX(t6O, t4P);
            t1Q = ADD_CPX_CPX(t8O, t5P);
            t2Q = SUB_CPX_CPX(t6O, t4P);
            t3Q = SUB_CPX_CPX(t8O, t5P);
            t4Q = ADD_CPX_CPX(t0P, t6P);
            t5Q = SUB_CPX_CPX(t1P, t7P);
            a5q = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0P, t6P));
            a6q = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t1P, t7P));
            s0B = ADD_CPX_CPX(a5q, a6q);
            s1B = SUB_CPX_CPX(a6q, a5q);
            t6Q = ADD_CPX_CPX(t0Q, t4Q);
            t7Q = ADD_CPX_CPX(t2Q, t5Q);
            t8Q = SUB_CPX_CPX(t0Q, t4Q);
            t9Q = SUB_CPX_CPX(t2Q, t5Q);
            STOREU_CPX((192 + dst + i2 + (i4*8)), t6Q);
            STOREU_CPX((2240 + dst + i2 + (i4*8)), t7Q);
            STOREU_CPX((4288 + dst + i2 + (i4*8)), t8Q);
            STOREU_CPX((6336 + dst + i2 + (i4*8)), t9Q);
            t0R = ADD_CPX_CPX(t1Q, s0B);
            t1R = ADD_CPX_CPX(t3Q, s1B);
            t2R = SUB_CPX_CPX(t1Q, s0B);
            t3R = SUB_CPX_CPX(t3Q, s1B);
            STOREU_CPX((1216 + dst + i2 + (i4*8)), t0R);
            STOREU_CPX((3264 + dst + i2 + (i4*8)), t1R);
            STOREU_CPX((5312 + dst + i2 + (i4*8)), t2R);
            STOREU_CPX((7360 + dst + i2 + (i4*8)), t3R);
            t4R = ADD_CPX_CPX(t7O, s6A);
            t5R = ADD_CPX_CPX(t9O, s7A);
            t6R = SUB_CPX_CPX(t7O, s6A);
            t7R = SUB_CPX_CPX(t9O, s7A);
            t8R = ADD_CPX_CPX(s4A, s8A);
            t9R = SUB_CPX_CPX(s5A, s9A);
            a7q = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4A, s8A));
            a8q = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5A, s9A));
            s2B = ADD_CPX_CPX(a7q, a8q);
            s3B = SUB_CPX_CPX(a8q, a7q);
            t0S = ADD_CPX_CPX(t4R, t8R);
            t1S = ADD_CPX_CPX(t6R, t9R);
            t2S = SUB_CPX_CPX(t4R, t8R);
            t3S = SUB_CPX_CPX(t6R, t9R);
            STOREU_CPX((704 + dst + i2 + (i4*8)), t0S);
            STOREU_CPX((2752 + dst + i2 + (i4*8)), t1S);
            STOREU_CPX((4800 + dst + i2 + (i4*8)), t2S);
            STOREU_CPX((6848 + dst + i2 + (i4*8)), t3S);
            t4S = ADD_CPX_CPX(t5R, s2B);
            t5S = ADD_CPX_CPX(t7R, s3B);
            t6S = SUB_CPX_CPX(t5R, s2B);
            t7S = SUB_CPX_CPX(t7R, s3B);
            STOREU_CPX((1728 + dst + i2 + (i4*8)), t4S);
            STOREU_CPX((3776 + dst + i2 + (i4*8)), t5S);
            STOREU_CPX((5824 + dst + i2 + (i4*8)), t6S);
            STOREU_CPX((7872 + dst + i2 + (i4*8)), t7S);
            t8S = ADD_CPX_CPX(t3g, s4m);
            t9S = ADD_CPX_CPX(t5g, s5m);
            t0T = SUB_CPX_CPX(t3g, s4m);
            t1T = SUB_CPX_CPX(t5g, s5m);
            t2T = ADD_CPX_CPX(s4c, s6w);
            t3T = SUB_CPX_CPX(s5c, s7w);
            t4T = SUB_CPX_CPX(s4c, s6w);
            t5T = ADD_CPX_CPX(s5c, s7w);
            s4B = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t4T), MUL_FLT_CPX(C_FLT(0.38268343236508978), t5T));
            s5B = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t5T), MUL_FLT_CPX(C_FLT(0.38268343236508978), t4T));
            t6T = ADD_CPX_CPX(s8f, s2t);
            t7T = SUB_CPX_CPX(s9f, s3t);
            a9q = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s8f, s2t));
            a0r = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s9f, s3t));
            s6B = ADD_CPX_CPX(a9q, a0r);
            s7B = SUB_CPX_CPX(a0r, a9q);
            t8T = ADD_CPX_CPX(s2j, s8p);
            t9T = SUB_CPX_CPX(s3j, s9p);
            t0U = SUB_CPX_CPX(s2j, s8p);
            t1U = ADD_CPX_CPX(s3j, s9p);
            s8B = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t0U), MUL_FLT_CPX(C_FLT(0.92387953251128674), t1U));
            s9B = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t1U), MUL_FLT_CPX(C_FLT(0.92387953251128674), t0U));
            t2U = ADD_CPX_CPX(t8S, t6T);
            t3U = ADD_CPX_CPX(t0T, t7T);
            t4U = SUB_CPX_CPX(t8S, t6T);
            t5U = SUB_CPX_CPX(t0T, t7T);
            t6U = ADD_CPX_CPX(t2T, t8T);
            t7U = SUB_CPX_CPX(t3T, t9T);
            a1r = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2T, t8T));
            a2r = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t3T, t9T));
            s0C = ADD_CPX_CPX(a1r, a2r);
            s1C = SUB_CPX_CPX(a2r, a1r);
            t8U = ADD_CPX_CPX(t2U, t6U);
            t9U = ADD_CPX_CPX(t4U, t7U);
            t0V = SUB_CPX_CPX(t2U, t6U);
            t1V = SUB_CPX_CPX(t4U, t7U);
            STOREU_CPX((256 + dst + i2 + (i4*8)), t8U);
            STOREU_CPX((2304 + dst + i2 + (i4*8)), t9U);
            STOREU_CPX((4352 + dst + i2 + (i4*8)), t0V);
            STOREU_CPX((6400 + dst + i2 + (i4*8)), t1V);
            t2V = ADD_CPX_CPX(t3U, s0C);
            t3V = ADD_CPX_CPX(t5U, s1C);
            t4V = SUB_CPX_CPX(t3U, s0C);
            t5V = SUB_CPX_CPX(t5U, s1C);
            STOREU_CPX((1280 + dst + i2 + (i4*8)), t2V);
            STOREU_CPX((3328 + dst + i2 + (i4*8)), t3V);
            STOREU_CPX((5376 + dst + i2 + (i4*8)), t4V);
            STOREU_CPX((7424 + dst + i2 + (i4*8)), t5V);
            t6V = ADD_CPX_CPX(t9S, s6B);
            t7V = ADD_CPX_CPX(t1T, s7B);
            t8V = SUB_CPX_CPX(t9S, s6B);
            t9V = SUB_CPX_CPX(t1T, s7B);
            t0W = ADD_CPX_CPX(s4B, s8B);
            t1W = SUB_CPX_CPX(s5B, s9B);
            a3r = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4B, s8B));
            a4r = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5B, s9B));
            s2C = ADD_CPX_CPX(a3r, a4r);
            s3C = SUB_CPX_CPX(a4r, a3r);
            t2W = ADD_CPX_CPX(t6V, t0W);
            t3W = ADD_CPX_CPX(t8V, t1W);
            t4W = SUB_CPX_CPX(t6V, t0W);
            t5W = SUB_CPX_CPX(t8V, t1W);
            STOREU_CPX((768 + dst + i2 + (i4*8)), t2W);
            STOREU_CPX((2816 + dst + i2 + (i4*8)), t3W);
            STOREU_CPX((4864 + dst + i2 + (i4*8)), t4W);
            STOREU_CPX((6912 + dst + i2 + (i4*8)), t5W);
            t6W = ADD_CPX_CPX(t7V, s2C);
            t7W = ADD_CPX_CPX(t9V, s3C);
            t8W = SUB_CPX_CPX(t7V, s2C);
            t9W = SUB_CPX_CPX(t9V, s3C);
            STOREU_CPX((1792 + dst + i2 + (i4*8)), t6W);
            STOREU_CPX((3840 + dst + i2 + (i4*8)), t7W);
            STOREU_CPX((5888 + dst + i2 + (i4*8)), t8W);
            STOREU_CPX((7936 + dst + i2 + (i4*8)), t9W);
            t0X = ADD_CPX_CPX(t7h, s6m);
            t1X = ADD_CPX_CPX(t9h, s7m);
            t2X = SUB_CPX_CPX(t7h, s6m);
            t3X = SUB_CPX_CPX(t9h, s7m);
            t4X = ADD_CPX_CPX(s6c, s8w);
            t5X = ADD_CPX_CPX(s7c, s9w);
            t6X = SUB_CPX_CPX(s6c, s8w);
            t7X = SUB_CPX_CPX(s7c, s9w);
            s4C = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t6X), MUL_FLT_CPX(C_FLT(0.38268343236508978), t7X));
            s5C = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t7X), MUL_FLT_CPX(C_FLT(0.38268343236508978), t6X));
            t8X = ADD_CPX_CPX(s0g, s4t);
            t9X = SUB_CPX_CPX(s1g, s5t);
            a5r = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s0g, s4t));
            a6r = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s1g, s5t));
            s6C = ADD_CPX_CPX(a5r, a6r);
            s7C = SUB_CPX_CPX(a6r, a5r);
            t0Y = ADD_CPX_CPX(s4j, s0q);
            t1Y = SUB_CPX_CPX(s5j, s1q);
            t2Y = SUB_CPX_CPX(s4j, s0q);
            t3Y = ADD_CPX_CPX(s5j, s1q);
            s8C = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t2Y), MUL_FLT_CPX(C_FLT(0.92387953251128674), t3Y));
            s9C = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t3Y), MUL_FLT_CPX(C_FLT(0.92387953251128674), t2Y));
            t4Y = ADD_CPX_CPX(t0X, t8X);
            t5Y = ADD_CPX_CPX(t2X, t9X);
            t6Y = SUB_CPX_CPX(t0X, t8X);
            t7Y = SUB_CPX_CPX(t2X, t9X);
            t8Y = ADD_CPX_CPX(t4X, t0Y);
            t9Y = SUB_CPX_CPX(t5X, t1Y);
            a7r = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t4X, t0Y));
            a8r = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t5X, t1Y));
            s0D = ADD_CPX_CPX(a7r, a8r);
            s1D = SUB_CPX_CPX(a8r, a7r);
            t0Z = ADD_CPX_CPX(t4Y, t8Y);
            t1Z = ADD_CPX_CPX(t6Y, t9Y);
            t2Z = SUB_CPX_CPX(t4Y, t8Y);
            t3Z = SUB_CPX_CPX(t6Y, t9Y);
            STOREU_CPX((320 + dst + i2 + (i4*8)), t0Z);
            STOREU_CPX((2368 + dst + i2 + (i4*8)), t1Z);
            STOREU_CPX((4416 + dst + i2 + (i4*8)), t2Z);
            STOREU_CPX((6464 + dst + i2 + (i4*8)), t3Z);
            t4Z = ADD_CPX_CPX(t5Y, s0D);
            t5Z = ADD_CPX_CPX(t7Y, s1D);
            t6Z = SUB_CPX_CPX(t5Y, s0D);
            t7Z = SUB_CPX_CPX(t7Y, s1D);
            STOREU_CPX((1344 + dst + i2 + (i4*8)), t4Z);
            STOREU_CPX((3392 + dst + i2 + (i4*8)), t5Z);
            STOREU_CPX((5440 + dst + i2 + (i4*8)), t6Z);
            STOREU_CPX((7488 + dst + i2 + (i4*8)), t7Z);
            t8Z = ADD_CPX_CPX(t1X, s6C);
            t9Z = ADD_CPX_CPX(t3X, s7C);
            t010 = SUB_CPX_CPX(t1X, s6C);
            t110 = SUB_CPX_CPX(t3X, s7C);
            t210 = ADD_CPX_CPX(s4C, s8C);
            t310 = SUB_CPX_CPX(s5C, s9C);
            a9r = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4C, s8C));
            a0s = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5C, s9C));
            s2D = ADD_CPX_CPX(a9r, a0s);
            s3D = SUB_CPX_CPX(a0s, a9r);
            t410 = ADD_CPX_CPX(t8Z, t210);
            t510 = ADD_CPX_CPX(t010, t310);
            t610 = SUB_CPX_CPX(t8Z, t210);
            t710 = SUB_CPX_CPX(t010, t310);
            STOREU_CPX((832 + dst + i2 + (i4*8)), t410);
            STOREU_CPX((2880 + dst + i2 + (i4*8)), t510);
            STOREU_CPX((4928 + dst + i2 + (i4*8)), t610);
            STOREU_CPX((6976 + dst + i2 + (i4*8)), t710);
            t810 = ADD_CPX_CPX(t9Z, s2D);
            t910 = ADD_CPX_CPX(t110, s3D);
            t011 = SUB_CPX_CPX(t9Z, s2D);
            t111 = SUB_CPX_CPX(t110, s3D);
            STOREU_CPX((1856 + dst + i2 + (i4*8)), t810);
            STOREU_CPX((3904 + dst + i2 + (i4*8)), t910);
            STOREU_CPX((5952 + dst + i2 + (i4*8)), t011);
            STOREU_CPX((8000 + dst + i2 + (i4*8)), t111);
            t211 = ADD_CPX_CPX(t7g, s8m);
            t311 = ADD_CPX_CPX(t9g, s9m);
            t411 = SUB_CPX_CPX(t7g, s8m);
            t511 = SUB_CPX_CPX(t9g, s9m);
            t611 = ADD_CPX_CPX(s8c, s0x);
            t711 = ADD_CPX_CPX(s9c, s1x);
            t811 = SUB_CPX_CPX(s8c, s0x);
            t911 = SUB_CPX_CPX(s9c, s1x);
            s4D = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t811), MUL_FLT_CPX(C_FLT(0.38268343236508978), t911));
            s5D = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t911), MUL_FLT_CPX(C_FLT(0.38268343236508978), t811));
            t012 = ADD_CPX_CPX(s2g, s6t);
            t112 = ADD_CPX_CPX(s3g, s7t);
            a1s = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s2g, s6t));
            a2s = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s3g, s7t));
            s6D = ADD_CPX_CPX(a1s, a2s);
            s7D = SUB_CPX_CPX(a2s, a1s);
            t212 = ADD_CPX_CPX(s6j, s2q);
            t312 = SUB_CPX_CPX(s7j, s3q);
            t412 = SUB_CPX_CPX(s6j, s2q);
            t512 = ADD_CPX_CPX(s7j, s3q);
            s8D = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t412), MUL_FLT_CPX(C_FLT(0.92387953251128674), t512));
            s9D = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t512), MUL_FLT_CPX(C_FLT(0.92387953251128674), t412));
            t612 = ADD_CPX_CPX(t211, t012);
            t712 = ADD_CPX_CPX(t411, t112);
            t812 = SUB_CPX_CPX(t211, t012);
            t912 = SUB_CPX_CPX(t411, t112);
            t013 = ADD_CPX_CPX(t611, t212);
            t113 = SUB_CPX_CPX(t711, t312);
            a3s = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t611, t212));
            a4s = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t711, t312));
            s0E = ADD_CPX_CPX(a3s, a4s);
            s1E = SUB_CPX_CPX(a4s, a3s);
            t213 = ADD_CPX_CPX(t612, t013);
            t313 = ADD_CPX_CPX(t812, t113);
            t413 = SUB_CPX_CPX(t612, t013);
            t513 = SUB_CPX_CPX(t812, t113);
            STOREU_CPX((384 + dst + i2 + (i4*8)), t213);
            STOREU_CPX((2432 + dst + i2 + (i4*8)), t313);
            STOREU_CPX((4480 + dst + i2 + (i4*8)), t413);
            STOREU_CPX((6528 + dst + i2 + (i4*8)), t513);
            t613 = ADD_CPX_CPX(t712, s0E);
            t713 = ADD_CPX_CPX(t912, s1E);
            t813 = SUB_CPX_CPX(t712, s0E);
            t913 = SUB_CPX_CPX(t912, s1E);
            STOREU_CPX((1408 + dst + i2 + (i4*8)), t613);
            STOREU_CPX((3456 + dst + i2 + (i4*8)), t713);
            STOREU_CPX((5504 + dst + i2 + (i4*8)), t813);
            STOREU_CPX((7552 + dst + i2 + (i4*8)), t913);
            t014 = ADD_CPX_CPX(t311, s6D);
            t114 = ADD_CPX_CPX(t511, s7D);
            t214 = SUB_CPX_CPX(t311, s6D);
            t314 = SUB_CPX_CPX(t511, s7D);
            t414 = ADD_CPX_CPX(s4D, s8D);
            t514 = SUB_CPX_CPX(s5D, s9D);
            a5s = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4D, s8D));
            a6s = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5D, s9D));
            s2E = ADD_CPX_CPX(a5s, a6s);
            s3E = SUB_CPX_CPX(a6s, a5s);
            t614 = ADD_CPX_CPX(t014, t414);
            t714 = ADD_CPX_CPX(t214, t514);
            t814 = SUB_CPX_CPX(t014, t414);
            t914 = SUB_CPX_CPX(t214, t514);
            STOREU_CPX((896 + dst + i2 + (i4*8)), t614);
            STOREU_CPX((2944 + dst + i2 + (i4*8)), t714);
            STOREU_CPX((4992 + dst + i2 + (i4*8)), t814);
            STOREU_CPX((7040 + dst + i2 + (i4*8)), t914);
            t015 = ADD_CPX_CPX(t114, s2E);
            t115 = ADD_CPX_CPX(t314, s3E);
            t215 = SUB_CPX_CPX(t114, s2E);
            t315 = SUB_CPX_CPX(t314, s3E);
            STOREU_CPX((1920 + dst + i2 + (i4*8)), t015);
            STOREU_CPX((3968 + dst + i2 + (i4*8)), t115);
            STOREU_CPX((6016 + dst + i2 + (i4*8)), t215);
            STOREU_CPX((8064 + dst + i2 + (i4*8)), t315);
            t415 = ADD_CPX_CPX(t1i, s0n);
            t515 = ADD_CPX_CPX(t3i, s1n);
            t615 = SUB_CPX_CPX(t1i, s0n);
            t715 = SUB_CPX_CPX(t3i, s1n);
            t815 = ADD_CPX_CPX(s0d, s2x);
            t915 = ADD_CPX_CPX(s1d, s3x);
            t016 = SUB_CPX_CPX(s0d, s2x);
            t116 = SUB_CPX_CPX(s1d, s3x);
            s4E = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t016), MUL_FLT_CPX(C_FLT(0.38268343236508978), t116));
            s5E = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t116), MUL_FLT_CPX(C_FLT(0.38268343236508978), t016));
            t216 = ADD_CPX_CPX(s4g, s8t);
            t316 = ADD_CPX_CPX(s5g, s9t);
            a7s = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4g, s8t));
            a8s = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s5g, s9t));
            s6E = ADD_CPX_CPX(a7s, a8s);
            s7E = SUB_CPX_CPX(a8s, a7s);
            t416 = ADD_CPX_CPX(s8j, s4q);
            t516 = ADD_CPX_CPX(s9j, s5q);
            t616 = SUB_CPX_CPX(s8j, s4q);
            t716 = SUB_CPX_CPX(s9j, s5q);
            s8E = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t616), MUL_FLT_CPX(C_FLT(0.92387953251128674), t716));
            s9E = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t716), MUL_FLT_CPX(C_FLT(0.92387953251128674), t616));
            t816 = ADD_CPX_CPX(t415, t216);
            t916 = ADD_CPX_CPX(t615, t316);
            t017 = SUB_CPX_CPX(t415, t216);
            t117 = SUB_CPX_CPX(t615, t316);
            t217 = ADD_CPX_CPX(t815, t416);
            t317 = SUB_CPX_CPX(t915, t516);
            a9s = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t815, t416));
            a0t = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t915, t516));
            s0F = ADD_CPX_CPX(a9s, a0t);
            s1F = SUB_CPX_CPX(a0t, a9s);
            t417 = ADD_CPX_CPX(t816, t217);
            t517 = ADD_CPX_CPX(t017, t317);
            t617 = SUB_CPX_CPX(t816, t217);
            t717 = SUB_CPX_CPX(t017, t317);
            STOREU_CPX((448 + dst + i2 + (i4*8)), t417);
            STOREU_CPX((2496 + dst + i2 + (i4*8)), t517);
            STOREU_CPX((4544 + dst + i2 + (i4*8)), t617);
            STOREU_CPX((6592 + dst + i2 + (i4*8)), t717);
            t817 = ADD_CPX_CPX(t916, s0F);
            t917 = ADD_CPX_CPX(t117, s1F);
            t018 = SUB_CPX_CPX(t916, s0F);
            t118 = SUB_CPX_CPX(t117, s1F);
            STOREU_CPX((1472 + dst + i2 + (i4*8)), t817);
            STOREU_CPX((3520 + dst + i2 + (i4*8)), t917);
            STOREU_CPX((5568 + dst + i2 + (i4*8)), t018);
            STOREU_CPX((7616 + dst + i2 + (i4*8)), t118);
            t218 = ADD_CPX_CPX(t515, s6E);
            t318 = ADD_CPX_CPX(t715, s7E);
            t418 = SUB_CPX_CPX(t515, s6E);
            t518 = SUB_CPX_CPX(t715, s7E);
            t618 = ADD_CPX_CPX(s4E, s8E);
            t718 = SUB_CPX_CPX(s5E, s9E);
            a1t = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4E, s8E));
            a2t = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5E, s9E));
            s2F = ADD_CPX_CPX(a1t, a2t);
            s3F = SUB_CPX_CPX(a2t, a1t);
            t818 = ADD_CPX_CPX(t218, t618);
            t918 = ADD_CPX_CPX(t418, t718);
            t019 = SUB_CPX_CPX(t218, t618);
            t119 = SUB_CPX_CPX(t418, t718);
            STOREU_CPX((960 + dst + i2 + (i4*8)), t818);
            STOREU_CPX((3008 + dst + i2 + (i4*8)), t918);
            STOREU_CPX((5056 + dst + i2 + (i4*8)), t019);
            STOREU_CPX((7104 + dst + i2 + (i4*8)), t119);
            t219 = ADD_CPX_CPX(t318, s2F);
            t319 = ADD_CPX_CPX(t518, s3F);
            t419 = SUB_CPX_CPX(t318, s2F);
            t519 = SUB_CPX_CPX(t518, s3F);
            STOREU_CPX((1984 + dst + i2 + (i4*8)), t219);
            STOREU_CPX((4032 + dst + i2 + (i4*8)), t319);
            STOREU_CPX((6080 + dst + i2 + (i4*8)), t419);
            STOREU_CPX((8128 + dst + i2 + (i4*8)), t519);
        }}
    }}
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_fftinv_double_8192)(const double *pSrc, double *pDst ) {
    if (!is_aligned(pSrc) || !is_aligned(pDst))
       	return spiral_fftinv_double_8192_unaligned(pSrc, pDst );
    else {
    const CPX  *src = (const CPX *) pSrc; 
    CPX        *dst = (CPX *) pDst;
    
    
    { SPIRAL_ALIGNED(CPX T[8192]);
     SPIRAL_ALIGNED(CPX T2[1024]);
    CPX  *a06, *a07, *a08, *a09, *a0c, *a0e, *a0g, *a0i, *a0k, *a0m, *a0n, *a0o, *a0p, *a0q, *a0r, *a16, *a17, *a18, *a19, *a1b, *a1c, *a1e
            , *a1g, *a1i, *a1k, *a1m, *a1o, *a1q, *a26, *a28, *a29, *a2b, *a2c, *a2e, *a2g, *a2i, *a2k, *a2m, *a2o, *a2q, *a36, *a38, *a3b, *a3d
            , *a3e, *a3f, *a3g, *a3h, *a3i, *a3j, *a3k, *a3m, *a3o, *a3q, *a45, *a46, *a48, *a4b, *a4d, *a4e, *a4f, *a4g, *a4h, *a4i, *a4j, *a4k
            , *a4m, *a4o, *a4q, *a55, *a56, *a58, *a5b, *a5c, *a5d, *a5e, *a5f, *a5g, *a5h, *a5i, *a5j, *a5k, *a5l, *a5m, *a5n, *a5o, *a5p, *a5q
            , *a65, *a68, *a6b, *a6c, *a6d, *a6e, *a6f, *a6g, *a6h, *a6i, *a6j, *a6k, *a6l, *a6m, *a6n, *a6o, *a6p, *a6q, *a75, *a77, *a78, *a7b
            , *a7c, *a7d, *a7e, *a7f, *a7g, *a7h, *a7i, *a7j, *a7k, *a7l, *a7m, *a7n, *a7o, *a7p, *a7q, *a85, *a86, *a87, *a88, *a8b, *a8c, *a8d
            , *a8e, *a8f, *a8g, *a8h, *a8i, *a8j, *a8k, *a8l, *a8m, *a8n, *a8o, *a8p, *a8q, *a95, *a96, *a97, *a98, *a9b, *a9d, *a9f, *a9h, *a9j
            , *a9l, *a9m, *a9n, *a9o, *a9p, *a9q, *a9r, *b2, *b3, *b4, *b5, *b6;
    const CPX  *a, *a01, *a02, *a03, *a11, *a12, *a13, *a2, *a21, *a22, *a23, *a3, *a31, *a32, *a33, *a4, *a41, *a42, *a43, *a5, *a51, *a52
            , *a53, *a6, *a61, *a62, *a7, *a71, *a72, *a82, *a92, *b;
    FLT  *a04, *a05, *a0a, *a0b, *a14, *a15, *a1a, *a24, *a25, *a2a, *a34, *a35, *a3a, *a44, *a4a, *a54, *a5a, *a64, *a6a, *a74, *a79, *a7a
            , *a84, *a89, *a8a, *a94, *a99, *a9a;
    int a67;
    CPX a0d, a0f, a0h, a0j, a0l, a0s, a0t, a0u, a0v, a0w, a1d, a1f, a1h, a1j, a1l, a1n, a1p, a1r, a1s, a1t, a1u, a1v
        , a1w, a27, a2d, a2f, a2h, a2j, a2l, a2n, a2p, a2r, a2s, a2t, a2u, a2v, a2w, a37, a39, a3c, a3l, a3n, a3p, a3r
        , a3s, a3t, a3u, a3v, a3w, a47, a49, a4c, a4l, a4n, a4p, a4r, a4s, a4t, a4u, a4v, a57, a59, a5r, a5s, a5t, a5u
        , a5v, a63, a66, a69, a6r, a6s, a6t, a6u, a6v, a73, a76, a7r, a7s, a7t, a7u, a7v, a8, a81, a83, a8r, a8s, a8t
        , a8u, a8v, a9, a91, a93, a9c, a9e, a9g, a9i, a9k, a9s, a9t, a9u, a9v, s, s01, s02, s03, s04, s05, s06, s07
        , s08, s09, s0A, s0B, s0C, s0a, s0b, s0c, s0d, s0e, s0f, s0g, s0h, s0i, s0j, s0k, s0l, s0m, s0n, s0o, s0p, s0q
        , s0r, s0s, s0t, s0u, s0v, s0w, s0x, s0y, s0z, s11, s12, s13, s14, s15, s16, s17, s18, s19, s1A, s1B, s1C, s1a
        , s1b, s1c, s1d, s1e, s1f, s1g, s1h, s1i, s1j, s1k, s1l, s1m, s1n, s1o, s1p, s1q, s1r, s1s, s1t, s1u, s1v, s1w
        , s1x, s1y, s1z, s2, s21, s22, s23, s24, s25, s26, s27, s28, s29, s2A, s2B, s2a, s2b, s2c, s2d, s2e, s2f, s2g
        , s2h, s2i, s2j, s2k, s2l, s2m, s2n, s2o, s2p, s2q, s2r, s2s, s2t, s2u, s2v, s2w, s2x, s2y, s2z, s3, s31, s32
        , s33, s34, s35, s36, s37, s38, s39, s3A, s3B, s3a, s3b, s3c, s3d, s3e, s3f, s3g, s3h, s3i, s3j, s3k, s3l, s3m
        , s3n, s3o, s3p, s3q, s3r, s3s, s3t, s3u, s3v, s3w, s3x, s3y, s3z, s4, s41, s42, s43, s44, s45, s46, s47, s48
        , s49, s4A, s4B, s4a, s4b, s4c, s4d, s4e, s4f, s4g, s4h, s4i, s4j, s4k, s4l, s4m, s4n, s4o, s4p, s4q, s4r, s4s
        , s4t, s4u, s4v, s4w, s4x, s4y, s4z, s5, s51, s52, s53, s54, s55, s56, s57, s58, s59, s5A, s5B, s5a, s5b, s5c
        , s5d, s5e, s5f, s5g, s5h, s5i, s5j, s5k, s5l, s5m, s5n, s5o, s5p, s5q, s5r, s5s, s5t, s5u, s5v, s5w, s5x, s5y
        , s5z, s6, s61, s62, s63, s64, s65, s66, s67, s68, s69, s6A, s6B, s6a, s6b, s6c, s6d, s6e, s6f, s6g, s6h, s6i
        , s6j, s6k, s6l, s6m, s6n, s6o, s6p, s6q, s6r, s6s, s6t, s6u, s6v, s6w, s6x, s6y, s6z, s7, s71, s72, s73, s74
        , s75, s76, s77, s78, s79, s7A, s7B, s7a, s7b, s7c, s7d, s7e, s7f, s7g, s7h, s7i, s7j, s7k, s7l, s7m, s7n, s7o
        , s7p, s7q, s7r, s7s, s7t, s7u, s7v, s7w, s7x, s7y, s7z, s8, s81, s82, s83, s84, s85, s86, s87, s88, s89, s8A
        , s8B, s8a, s8b, s8c, s8d, s8e, s8f, s8g, s8h, s8i, s8j, s8k, s8l, s8m, s8n, s8o, s8p, s8q, s8r, s8s, s8t, s8u
        , s8v, s8w, s8x, s8y, s8z, s9, s91, s92, s93, s94, s95, s96, s97, s98, s99, s9A, s9B, s9a, s9b, s9c, s9d, s9e
        , s9f, s9g, s9h, s9i, s9j, s9k, s9l, s9m, s9n, s9o, s9p, s9q, s9r, s9s, s9t, s9u, s9v, s9w, s9x, s9y, s9z, t
        , t01, t02, t03, t04, t05, t06, t07, t08, t09, t0A, t0B, t0C, t0D, t0E, t0F, t0G, t0H, t0I, t0J, t0K, t0L, t0M
        , t0N, t0O, t0P, t0Q, t0R, t0S, t0T, t0U, t0V, t0W, t0a, t0b, t0c, t0d, t0e, t0f, t0g, t0h, t0i, t0j, t0k, t0l
        , t0m, t0n, t0o, t0p, t0q, t0r, t0s, t0t, t0u, t0v, t0w, t0x, t0y, t0z, t11, t12, t13, t14, t15, t16, t17, t18
        , t19, t1A, t1B, t1C, t1D, t1E, t1F, t1G, t1H, t1I, t1J, t1K, t1L, t1M, t1N, t1O, t1P, t1Q, t1R, t1S, t1T, t1U
        , t1V, t1W, t1a, t1b, t1c, t1d, t1e, t1f, t1g, t1h, t1i, t1j, t1k, t1l, t1m, t1n, t1o, t1p, t1q, t1r, t1s, t1t
        , t1u, t1v, t1w, t1x, t1y, t1z, t2, t21, t22, t23, t24, t25, t26, t27, t28, t29, t2A, t2B, t2C, t2D, t2E, t2F
        , t2G, t2H, t2I, t2J, t2K, t2L, t2M, t2N, t2O, t2P, t2Q, t2R, t2S, t2T, t2U, t2V, t2W, t2a, t2b, t2c, t2d, t2e
        , t2f, t2g, t2h, t2i, t2j, t2k, t2l, t2m, t2n, t2o, t2p, t2q, t2r, t2s, t2t, t2u, t2v, t2w, t2x, t2y, t2z, t3
        , t31, t32, t33, t34, t35, t36, t37, t38, t39, t3A, t3B, t3C, t3D, t3E, t3F, t3G, t3H, t3I, t3J, t3K, t3L, t3M
        , t3N, t3O, t3P, t3Q, t3R, t3S, t3T, t3U, t3V, t3W, t3a, t3b, t3c, t3d, t3e, t3f, t3g, t3h, t3i, t3j, t3k, t3l
        , t3m, t3n, t3o, t3p, t3q, t3r, t3s, t3t, t3u, t3v, t3w, t3x, t3y, t3z, t4, t41, t42, t43, t44, t45, t46, t47
        , t48, t49, t4A, t4B, t4C, t4D, t4E, t4F, t4G, t4H, t4I, t4J, t4K, t4L, t4M, t4N, t4O, t4P, t4Q, t4R, t4S, t4T
        , t4U, t4V, t4W, t4a, t4b, t4c, t4d, t4e, t4f, t4g, t4h, t4i, t4j, t4k, t4l, t4m, t4n, t4o, t4p, t4q, t4r, t4s
        , t4t, t4u, t4v, t4w, t4x, t4y, t4z, t5, t51, t52, t53, t54, t55, t56, t57, t58, t59, t5A, t5B, t5C, t5D, t5E
        , t5F, t5G, t5H, t5I, t5J, t5K, t5L, t5M, t5N, t5O, t5P, t5Q, t5R, t5S, t5T, t5U, t5V, t5W, t5a, t5b, t5c, t5d
        , t5e, t5f, t5g, t5h, t5i, t5j, t5k, t5l, t5m, t5n, t5o, t5p, t5q, t5r, t5s, t5t, t5u, t5v, t5w, t5x, t5y, t5z
        , t6, t61, t62, t63, t64, t65, t66, t67, t68, t69, t6A, t6B, t6C, t6D, t6E, t6F, t6G, t6H, t6I, t6J, t6K, t6L
        , t6M, t6N, t6O, t6P, t6Q, t6R, t6S, t6T, t6U, t6V, t6W, t6a, t6b, t6c, t6d, t6e, t6f, t6g, t6h, t6i, t6j, t6k
        , t6l, t6m, t6n, t6o, t6p, t6q, t6r, t6s, t6t, t6u, t6v, t6w, t6x, t6y, t6z, t7, t71, t72, t73, t74, t75, t76
        , t77, t78, t79, t7A, t7B, t7C, t7D, t7E, t7F, t7G, t7H, t7I, t7J, t7K, t7L, t7M, t7N, t7O, t7P, t7Q, t7R, t7S
        , t7T, t7U, t7V, t7W, t7a, t7b, t7c, t7d, t7e, t7f, t7g, t7h, t7i, t7j, t7k, t7l, t7m, t7n, t7o, t7p, t7q, t7r
        , t7s, t7t, t7u, t7v, t7w, t7x, t7y, t7z, t8, t81, t82, t83, t84, t85, t86, t87, t88, t89, t8A, t8B, t8C, t8D
        , t8E, t8F, t8G, t8H, t8I, t8J, t8K, t8L, t8M, t8N, t8O, t8P, t8Q, t8R, t8S, t8T, t8U, t8V, t8a, t8b, t8c, t8d
        , t8e, t8f, t8g, t8h, t8i, t8j, t8k, t8l, t8m, t8n, t8o, t8p, t8q, t8r, t8s, t8t, t8u, t8v, t8w, t8x, t8y, t8z
        , t9, t91, t92, t93, t94, t95, t96, t97, t98, t99, t9A, t9B, t9C, t9D, t9E, t9F, t9G, t9H, t9I, t9J, t9K, t9L
        , t9M, t9N, t9O, t9P, t9Q, t9R, t9S, t9T, t9U, t9V, t9a, t9b, t9c, t9d, t9e, t9f, t9g, t9h, t9i, t9j, t9k, t9l
        , t9m, t9n, t9o, t9p, t9q, t9r, t9s, t9t, t9u, t9v, t9w, t9x, t9y, t9z;
    a = (src + 4096);
    t = ADD_CPX_CPX(*(src), *(a));
    t2 = SUB_CPX_CPX(*(src), *(a));
    a2 = (src + 2048);
    a3 = (src + 6144);
    t3 = ADD_CPX_CPX(*(a2), *(a3));
    s = MUL_I_CPX(SUB_CPX_CPX(*(a2), *(a3)));
    t4 = ADD_CPX_CPX(t, t3);
    t5 = SUB_CPX_CPX(t, t3);
    t6 = ADD_CPX_CPX(t2, s);
    t7 = SUB_CPX_CPX(t2, s);
    a4 = (src + 1024);
    a5 = (src + 7168);
    t8 = ADD_CPX_CPX(*(a4), *(a5));
    t9 = ADD_CPX_CPX(MUL_I_CPX(*(a4)), MUL_NI_CPX(*(a5)));
    a6 = (src + 5120);
    a7 = (src + 3072);
    t01 = ADD_CPX_CPX(*(a6), *(a7));
    t11 = ADD_CPX_CPX(MUL_I_CPX(*(a6)), MUL_NI_CPX(*(a7)));
    t21 = ADD_CPX_CPX(t8, t01);
    t31 = ADD_CPX_CPX(t9, t11);
    a8 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8, t01));
    a9 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9, t11));
    s2 = ADD_CPX_CPX(a8, a9);
    s3 = SUB_CPX_CPX(a9, a8);
    t41 = ADD_CPX_CPX(t4, t21);
    t51 = ADD_CPX_CPX(t5, t31);
    t61 = SUB_CPX_CPX(t4, t21);
    t71 = SUB_CPX_CPX(t5, t31);
    t81 = ADD_CPX_CPX(t6, s2);
    t91 = ADD_CPX_CPX(t7, s3);
    t02 = SUB_CPX_CPX(t6, s2);
    t12 = SUB_CPX_CPX(t7, s3);
    a01 = (src + 512);
    a11 = (src + 7680);
    t22 = ADD_CPX_CPX(*(a01), *(a11));
    t32 = ADD_CPX_CPX(MUL_I_CPX(*(a01)), MUL_NI_CPX(*(a11)));
    a21 = (src + 2560);
    a31 = (src + 5632);
    t42 = ADD_CPX_CPX(*(a21), *(a31));
    t52 = ADD_CPX_CPX(MUL_I_CPX(*(a21)), MUL_NI_CPX(*(a31)));
    a41 = (src + 4608);
    a51 = (src + 3584);
    t62 = ADD_CPX_CPX(*(a41), *(a51));
    t72 = ADD_CPX_CPX(MUL_I_CPX(*(a41)), MUL_NI_CPX(*(a51)));
    a61 = (src + 6656);
    a71 = (src + 1536);
    t82 = ADD_CPX_CPX(*(a61), *(a71));
    t92 = ADD_CPX_CPX(MUL_I_CPX(*(a61)), MUL_NI_CPX(*(a71)));
    t03 = ADD_CPX_CPX(t22, t62);
    t13 = ADD_CPX_CPX(t32, t72);
    t23 = SUB_CPX_CPX(t22, t62);
    t33 = SUB_CPX_CPX(t32, t72);
    t43 = ADD_CPX_CPX(t42, t82);
    t53 = ADD_CPX_CPX(t52, t92);
    t63 = SUB_CPX_CPX(t42, t82);
    t73 = SUB_CPX_CPX(t52, t92);
    t83 = ADD_CPX_CPX(t03, t43);
    t93 = ADD_CPX_CPX(t13, t53);
    t04 = ADD_CPX_CPX(t23, t73);
    t14 = SUB_CPX_CPX(t33, t63);
    t24 = SUB_CPX_CPX(t23, t73);
    t34 = ADD_CPX_CPX(t33, t63);
    s4 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t04), MUL_FLT_CPX(C_FLT(0.38268343236508978), t14));
    s5 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t14), MUL_FLT_CPX(C_FLT(0.38268343236508978), t04));
    a81 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t03, t43));
    a91 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t13, t53));
    s6 = ADD_CPX_CPX(a81, a91);
    s7 = SUB_CPX_CPX(a91, a81);
    s8 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t24), MUL_FLT_CPX(C_FLT(0.92387953251128674), t34));
    s9 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t34), MUL_FLT_CPX(C_FLT(0.92387953251128674), t24));
    *(T) = ADD_CPX_CPX(t41, t83);
    *((T + 4)) = ADD_CPX_CPX(t61, t93);
    *((T + 8)) = SUB_CPX_CPX(t41, t83);
    *((T + 12)) = SUB_CPX_CPX(t61, t93);
    *((T + 1)) = ADD_CPX_CPX(t81, s4);
    *((T + 5)) = ADD_CPX_CPX(t02, s5);
    *((T + 9)) = SUB_CPX_CPX(t81, s4);
    *((T + 13)) = SUB_CPX_CPX(t02, s5);
    *((T + 2)) = ADD_CPX_CPX(t51, s6);
    *((T + 6)) = ADD_CPX_CPX(t71, s7);
    *((T + 10)) = SUB_CPX_CPX(t51, s6);
    *((T + 14)) = SUB_CPX_CPX(t71, s7);
    *((T + 3)) = ADD_CPX_CPX(t91, s8);
    *((T + 7)) = ADD_CPX_CPX(t12, s9);
    *((T + 11)) = SUB_CPX_CPX(t91, s8);
    *((T + 15)) = SUB_CPX_CPX(t12, s9);
    {long i; for(i = 0; i <= 510; i++) {
        b = (src + i);
        a02 = (b + 1);
        a12 = (src + (8191 - i));
        t44 = ADD_CPX_CPX(*(a02), *(a12));
        t54 = ADD_CPX_CPX(MUL_I_CPX(*(a02)), MUL_NI_CPX(*(a12)));
        a22 = (b + 1025);
        a32 = (src + (7167 - i));
        t64 = ADD_CPX_CPX(*(a22), *(a32));
        t74 = ADD_CPX_CPX(MUL_I_CPX(*(a22)), MUL_NI_CPX(*(a32)));
        a42 = (b + 2049);
        a52 = (src + (6143 - i));
        t84 = ADD_CPX_CPX(*(a42), *(a52));
        t94 = ADD_CPX_CPX(MUL_I_CPX(*(a42)), MUL_NI_CPX(*(a52)));
        a62 = (b + 3073);
        a72 = (src + (5119 - i));
        t05 = ADD_CPX_CPX(*(a62), *(a72));
        t15 = ADD_CPX_CPX(MUL_I_CPX(*(a62)), MUL_NI_CPX(*(a72)));
        a82 = (b + 4097);
        a92 = (src + (4095 - i));
        t25 = ADD_CPX_CPX(*(a82), *(a92));
        t35 = ADD_CPX_CPX(MUL_I_CPX(*(a82)), MUL_NI_CPX(*(a92)));
        a03 = (b + 5121);
        a13 = (src + (3071 - i));
        t45 = ADD_CPX_CPX(*(a03), *(a13));
        t55 = ADD_CPX_CPX(MUL_I_CPX(*(a03)), MUL_NI_CPX(*(a13)));
        a23 = (b + 6145);
        a33 = (src + (2047 - i));
        t65 = ADD_CPX_CPX(*(a23), *(a33));
        t75 = ADD_CPX_CPX(MUL_I_CPX(*(a23)), MUL_NI_CPX(*(a33)));
        a43 = (b + 7169);
        a53 = (src + (1023 - i));
        t85 = ADD_CPX_CPX(*(a43), *(a53));
        t95 = ADD_CPX_CPX(MUL_I_CPX(*(a43)), MUL_NI_CPX(*(a53)));
        t06 = ADD_CPX_CPX(t44, t25);
        t16 = ADD_CPX_CPX(t54, t35);
        t26 = SUB_CPX_CPX(t44, t25);
        t36 = SUB_CPX_CPX(t54, t35);
        t46 = ADD_CPX_CPX(t84, t65);
        t56 = ADD_CPX_CPX(t94, t75);
        t66 = SUB_CPX_CPX(t84, t65);
        t76 = SUB_CPX_CPX(t94, t75);
        t86 = ADD_CPX_CPX(t06, t46);
        t96 = ADD_CPX_CPX(t16, t56);
        t07 = SUB_CPX_CPX(t06, t46);
        t17 = SUB_CPX_CPX(t16, t56);
        t27 = ADD_CPX_CPX(t26, t76);
        t37 = SUB_CPX_CPX(t36, t66);
        t47 = SUB_CPX_CPX(t26, t76);
        t57 = ADD_CPX_CPX(t36, t66);
        t67 = ADD_CPX_CPX(t64, t85);
        t77 = ADD_CPX_CPX(t74, t95);
        t87 = SUB_CPX_CPX(t74, t95);
        t97 = SUB_CPX_CPX(t85, t64);
        t08 = ADD_CPX_CPX(t45, t05);
        t18 = ADD_CPX_CPX(t55, t15);
        t28 = SUB_CPX_CPX(t55, t15);
        t38 = SUB_CPX_CPX(t05, t45);
        s01 = ADD_CPX_CPX(t67, t08);
        s11 = ADD_CPX_CPX(t77, t18);
        s21 = ADD_CPX_CPX(t87, t28);
        s31 = ADD_CPX_CPX(t97, t38);
        a63 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t67, t08));
        a73 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t87, t28));
        t48 = ADD_CPX_CPX(a63, a73);
        a83 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t77, t18));
        a93 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t97, t38));
        t58 = ADD_CPX_CPX(a83, a93);
        t68 = SUB_CPX_CPX(a73, a63);
        t78 = SUB_CPX_CPX(a93, a83);
        s41 = ADD_CPX_CPX(t07, s21);
        s51 = ADD_CPX_CPX(t17, s31);
        s61 = SUB_CPX_CPX(t86, s01);
        s71 = SUB_CPX_CPX(t96, s11);
        s81 = SUB_CPX_CPX(t07, s21);
        s91 = SUB_CPX_CPX(t17, s31);
        s02 = ADD_CPX_CPX(t27, t48);
        s12 = ADD_CPX_CPX(t37, t58);
        s22 = ADD_CPX_CPX(t47, t68);
        s32 = ADD_CPX_CPX(t57, t78);
        s42 = SUB_CPX_CPX(t27, t48);
        s52 = SUB_CPX_CPX(t37, t58);
        s62 = SUB_CPX_CPX(t47, t68);
        s72 = SUB_CPX_CPX(t57, t78);
        b2 = (T + (16*i));
        *((b2 + 16)) = ADD_CPX_CPX(t86, s01);
        *((b2 + 24)) = ADD_CPX_CPX(t96, s11);
        a04 = (D1018 + (14*i));
        a14 = (a04 + 1);
        a24 = (a04 + 2);
        a34 = (a04 + 3);
        a44 = (a04 + 4);
        a54 = (a04 + 5);
        a64 = (a04 + 6);
        a74 = (a04 + 7);
        a84 = (a04 + 8);
        a94 = (a04 + 9);
        a05 = (a04 + 10);
        a15 = (a04 + 11);
        a25 = (a04 + 12);
        a35 = (a04 + 13);
        *((b2 + 17)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a04), s02), MUL_FLT_CPX(*(a14), s12));
        *((b2 + 25)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a04), s12), MUL_FLT_CPX(*(a14), s02));
        *((b2 + 18)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a24), s41), MUL_FLT_CPX(*(a34), s51));
        *((b2 + 26)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a24), s51), MUL_FLT_CPX(*(a34), s41));
        *((b2 + 19)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a44), s22), MUL_FLT_CPX(*(a54), s32));
        *((b2 + 27)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a44), s32), MUL_FLT_CPX(*(a54), s22));
        *((b2 + 20)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a64), s61), MUL_FLT_CPX(*(a74), s71));
        *((b2 + 28)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a64), s71), MUL_FLT_CPX(*(a74), s61));
        *((b2 + 21)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a84), s42), MUL_FLT_CPX(*(a94), s52));
        *((b2 + 29)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a84), s52), MUL_FLT_CPX(*(a94), s42));
        *((b2 + 22)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a05), s81), MUL_FLT_CPX(*(a15), s91));
        *((b2 + 30)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a05), s91), MUL_FLT_CPX(*(a15), s81));
        *((b2 + 23)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a25), s62), MUL_FLT_CPX(*(a35), s72));
        *((b2 + 31)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a25), s72), MUL_FLT_CPX(*(a35), s62));
    }}
    {long i2; for(i2 = 0; i2 <= 7; i2++) {
        a45 = (T + i2);
        a55 = (a45 + 8);
        a65 = (a45 + 4096);
        a75 = (a45 + 4104);
        t88 = ADD_CPX_CPX(*(a45), *(a65));
        t98 = ADD_CPX_CPX(*(a55), *(a75));
        t09 = SUB_CPX_CPX(*(a45), *(a65));
        t19 = SUB_CPX_CPX(*(a55), *(a75));
        a85 = (a45 + 1024);
        a95 = (a45 + 1032);
        a06 = (a45 + 7168);
        a16 = (a45 + 7176);
        t29 = ADD_CPX_CPX(*(a85), *(a06));
        t39 = SUB_CPX_CPX(*(a95), *(a16));
        t49 = SUB_CPX_CPX(*(a85), *(a06));
        t59 = ADD_CPX_CPX(*(a95), *(a16));
        s82 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t49), MUL_FLT_CPX(C_FLT(0.38268343236508978), t59));
        s92 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t59), MUL_FLT_CPX(C_FLT(0.38268343236508978), t49));
        a26 = (a45 + 2048);
        a36 = (a45 + 2056);
        a46 = (a45 + 6144);
        a56 = (a45 + 6152);
        t69 = ADD_CPX_CPX(*(a26), *(a46));
        t79 = SUB_CPX_CPX(*(a36), *(a56));
        a66 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a26), *(a46)));
        a76 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(*(a36), *(a56)));
        s03 = ADD_CPX_CPX(a66, a76);
        s13 = SUB_CPX_CPX(a76, a66);
        a86 = (a45 + 3072);
        a96 = (a45 + 3080);
        a07 = (a45 + 5120);
        a17 = (a45 + 5128);
        t89 = ADD_CPX_CPX(*(a86), *(a07));
        t99 = SUB_CPX_CPX(*(a96), *(a17));
        t0a = SUB_CPX_CPX(*(a86), *(a07));
        t1a = ADD_CPX_CPX(*(a96), *(a17));
        s23 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t0a), MUL_FLT_CPX(C_FLT(0.92387953251128674), t1a));
        s33 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t1a), MUL_FLT_CPX(C_FLT(0.92387953251128674), t0a));
        t2a = ADD_CPX_CPX(t88, t69);
        t3a = ADD_CPX_CPX(t09, t79);
        t4a = SUB_CPX_CPX(t88, t69);
        t5a = SUB_CPX_CPX(t09, t79);
        t6a = ADD_CPX_CPX(t29, t89);
        t7a = SUB_CPX_CPX(t39, t99);
        a27 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t29, t89));
        a37 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t39, t99));
        s43 = ADD_CPX_CPX(a27, a37);
        s53 = SUB_CPX_CPX(a37, a27);
        *(T2) = ADD_CPX_CPX(t2a, t6a);
        *((T2 + 512)) = ADD_CPX_CPX(t4a, t7a);
        *((T2 + 1)) = SUB_CPX_CPX(t2a, t6a);
        *((T2 + 513)) = SUB_CPX_CPX(t4a, t7a);
        *((T2 + 256)) = ADD_CPX_CPX(t3a, s43);
        *((T2 + 768)) = ADD_CPX_CPX(t5a, s53);
        *((T2 + 257)) = SUB_CPX_CPX(t3a, s43);
        *((T2 + 769)) = SUB_CPX_CPX(t5a, s53);
        t8a = ADD_CPX_CPX(t98, s03);
        t9a = ADD_CPX_CPX(t19, s13);
        t0b = SUB_CPX_CPX(t98, s03);
        t1b = SUB_CPX_CPX(t19, s13);
        t2b = ADD_CPX_CPX(s82, s23);
        t3b = SUB_CPX_CPX(s92, s33);
        a47 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s82, s23));
        a57 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s92, s33));
        s63 = ADD_CPX_CPX(a47, a57);
        s73 = SUB_CPX_CPX(a57, a47);
        *((T2 + 128)) = ADD_CPX_CPX(t8a, t2b);
        *((T2 + 640)) = ADD_CPX_CPX(t0b, t3b);
        *((T2 + 129)) = SUB_CPX_CPX(t8a, t2b);
        *((T2 + 641)) = SUB_CPX_CPX(t0b, t3b);
        *((T2 + 384)) = ADD_CPX_CPX(t9a, s63);
        *((T2 + 896)) = ADD_CPX_CPX(t1b, s73);
        *((T2 + 385)) = SUB_CPX_CPX(t9a, s63);
        *((T2 + 897)) = SUB_CPX_CPX(t1b, s73);
        {long i3; for(i3 = 0; i3 <= 62; i3++) {
            a67 = (16*i3);
            b3 = (T + i2);
            b4 = (b3 + a67);
            a77 = (b4 + 16);
            a87 = (b4 + 24);
            b5 = SUB_INT_INT(b3, a67);
            a97 = (b5 + 8176);
            a08 = (b5 + 8184);
            t4b = ADD_CPX_CPX(*(a77), *(a97));
            t5b = SUB_CPX_CPX(*(a87), *(a08));
            t6b = SUB_CPX_CPX(*(a77), *(a97));
            t7b = ADD_CPX_CPX(*(a87), *(a08));
            a18 = (b4 + 4112);
            a28 = (b4 + 4120);
            a38 = (b5 + 4080);
            a48 = (b5 + 4088);
            t8b = ADD_CPX_CPX(*(a18), *(a38));
            t9b = SUB_CPX_CPX(*(a28), *(a48));
            t0c = SUB_CPX_CPX(*(a18), *(a38));
            t1c = ADD_CPX_CPX(*(a28), *(a48));
            t2c = ADD_CPX_CPX(t4b, t8b);
            t3c = ADD_CPX_CPX(t5b, t9b);
            t4c = SUB_CPX_CPX(t4b, t8b);
            t5c = SUB_CPX_CPX(t5b, t9b);
            t6c = ADD_CPX_CPX(t6b, t1c);
            t7c = SUB_CPX_CPX(t7b, t0c);
            t8c = SUB_CPX_CPX(t6b, t1c);
            t9c = ADD_CPX_CPX(t7b, t0c);
            a58 = (b4 + 2064);
            a68 = (b4 + 2072);
            a78 = (b5 + 2032);
            a88 = (b5 + 2040);
            t0d = ADD_CPX_CPX(*(a58), *(a78));
            t1d = SUB_CPX_CPX(*(a68), *(a88));
            t2d = ADD_CPX_CPX(*(a68), *(a88));
            t3d = SUB_CPX_CPX(*(a78), *(a58));
            a98 = (b5 + 6128);
            a09 = (b5 + 6136);
            a19 = (b4 + 6160);
            a29 = (b4 + 6168);
            t4d = ADD_CPX_CPX(*(a98), *(a19));
            t5d = SUB_CPX_CPX(*(a29), *(a09));
            t6d = ADD_CPX_CPX(*(a09), *(a29));
            t7d = SUB_CPX_CPX(*(a19), *(a98));
            s83 = ADD_CPX_CPX(t0d, t4d);
            s93 = ADD_CPX_CPX(t1d, t5d);
            s04 = SUB_CPX_CPX(t2d, t6d);
            s14 = ADD_CPX_CPX(t3d, t7d);
            a39 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0d, t4d));
            a49 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t2d, t6d));
            t8d = ADD_CPX_CPX(a39, a49);
            a59 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t1d, t5d));
            a69 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3d, t7d));
            t9d = ADD_CPX_CPX(a59, a69);
            t0e = SUB_CPX_CPX(a49, a39);
            t1e = SUB_CPX_CPX(a69, a59);
            s24 = ADD_CPX_CPX(t4c, s04);
            s34 = ADD_CPX_CPX(t5c, s14);
            s44 = SUB_CPX_CPX(t2c, s83);
            s54 = SUB_CPX_CPX(t3c, s93);
            s64 = SUB_CPX_CPX(t4c, s04);
            s74 = SUB_CPX_CPX(t5c, s14);
            s84 = ADD_CPX_CPX(t6c, t8d);
            s94 = ADD_CPX_CPX(t7c, t9d);
            s05 = ADD_CPX_CPX(t8c, t0e);
            s15 = ADD_CPX_CPX(t9c, t1e);
            s25 = SUB_CPX_CPX(t6c, t8d);
            s35 = SUB_CPX_CPX(t7c, t9d);
            s45 = SUB_CPX_CPX(t8c, t0e);
            s55 = SUB_CPX_CPX(t9c, t1e);
            b6 = (T2 + (2*i3));
            *((b6 + 2)) = ADD_CPX_CPX(t2c, s83);
            *((b6 + 3)) = ADD_CPX_CPX(t3c, s93);
            a79 = (D996 + (14*i3));
            a89 = (a79 + 1);
            a99 = (a79 + 2);
            a0a = (a79 + 3);
            a1a = (a79 + 4);
            a2a = (a79 + 5);
            a3a = (a79 + 6);
            a4a = (a79 + 7);
            a5a = (a79 + 8);
            a6a = (a79 + 9);
            a7a = (a79 + 10);
            a8a = (a79 + 11);
            a9a = (a79 + 12);
            a0b = (a79 + 13);
            *((b6 + 130)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a79), s84), MUL_FLT_CPX(*(a89), s94));
            *((b6 + 131)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a79), s94), MUL_FLT_CPX(*(a89), s84));
            *((b6 + 258)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a99), s24), MUL_FLT_CPX(*(a0a), s34));
            *((b6 + 259)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a99), s34), MUL_FLT_CPX(*(a0a), s24));
            *((b6 + 386)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a1a), s05), MUL_FLT_CPX(*(a2a), s15));
            *((b6 + 387)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a1a), s15), MUL_FLT_CPX(*(a2a), s05));
            *((b6 + 514)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a3a), s44), MUL_FLT_CPX(*(a4a), s54));
            *((b6 + 515)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a3a), s54), MUL_FLT_CPX(*(a4a), s44));
            *((b6 + 642)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a5a), s25), MUL_FLT_CPX(*(a6a), s35));
            *((b6 + 643)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a5a), s35), MUL_FLT_CPX(*(a6a), s25));
            *((b6 + 770)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a7a), s64), MUL_FLT_CPX(*(a8a), s74));
            *((b6 + 771)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a7a), s74), MUL_FLT_CPX(*(a8a), s64));
            *((b6 + 898)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a9a), s45), MUL_FLT_CPX(*(a0b), s55));
            *((b6 + 899)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a9a), s55), MUL_FLT_CPX(*(a0b), s45));
        }}
        {long i4; for(i4 = 0; i4 <= 7; i4++) {
            a1b = (T2 + (128*i4));
            a2b = (a1b + 1);
            a3b = (a1b + 64);
            a4b = (a1b + 65);
            t2e = ADD_CPX_CPX(*(a1b), *(a3b));
            t3e = ADD_CPX_CPX(*(a2b), *(a4b));
            t4e = SUB_CPX_CPX(*(a1b), *(a3b));
            t5e = SUB_CPX_CPX(*(a2b), *(a4b));
            a5b = (a1b + 16);
            a6b = (a1b + 17);
            a7b = (a1b + 112);
            a8b = (a1b + 113);
            t6e = ADD_CPX_CPX(*(a5b), *(a7b));
            t7e = SUB_CPX_CPX(*(a6b), *(a8b));
            t8e = SUB_CPX_CPX(*(a5b), *(a7b));
            t9e = ADD_CPX_CPX(*(a6b), *(a8b));
            s65 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t8e), MUL_FLT_CPX(C_FLT(0.38268343236508978), t9e));
            s75 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t9e), MUL_FLT_CPX(C_FLT(0.38268343236508978), t8e));
            a9b = (a1b + 32);
            a0c = (a1b + 33);
            a1c = (a1b + 96);
            a2c = (a1b + 97);
            t0f = ADD_CPX_CPX(*(a9b), *(a1c));
            t1f = SUB_CPX_CPX(*(a0c), *(a2c));
            a3c = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a9b), *(a1c)));
            a4c = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(*(a0c), *(a2c)));
            s85 = ADD_CPX_CPX(a3c, a4c);
            s95 = SUB_CPX_CPX(a4c, a3c);
            a5c = (a1b + 48);
            a6c = (a1b + 49);
            a7c = (a1b + 80);
            a8c = (a1b + 81);
            t2f = ADD_CPX_CPX(*(a5c), *(a7c));
            t3f = SUB_CPX_CPX(*(a6c), *(a8c));
            t4f = SUB_CPX_CPX(*(a5c), *(a7c));
            t5f = ADD_CPX_CPX(*(a6c), *(a8c));
            s06 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t4f), MUL_FLT_CPX(C_FLT(0.92387953251128674), t5f));
            s16 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t5f), MUL_FLT_CPX(C_FLT(0.92387953251128674), t4f));
            t6f = ADD_CPX_CPX(t2e, t0f);
            t7f = ADD_CPX_CPX(t4e, t1f);
            t8f = SUB_CPX_CPX(t2e, t0f);
            t9f = SUB_CPX_CPX(t4e, t1f);
            t0g = ADD_CPX_CPX(t6e, t2f);
            t1g = SUB_CPX_CPX(t7e, t3f);
            a9c = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t6e, t2f));
            a0d = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t7e, t3f));
            s26 = ADD_CPX_CPX(a9c, a0d);
            s36 = SUB_CPX_CPX(a0d, a9c);
            t2g = ADD_CPX_CPX(t6f, t0g);
            t3g = ADD_CPX_CPX(t8f, t1g);
            t4g = SUB_CPX_CPX(t6f, t0g);
            t5g = SUB_CPX_CPX(t8f, t1g);
            t6g = ADD_CPX_CPX(t7f, s26);
            t7g = ADD_CPX_CPX(t9f, s36);
            t8g = SUB_CPX_CPX(t7f, s26);
            t9g = SUB_CPX_CPX(t9f, s36);
            t0h = ADD_CPX_CPX(t3e, s85);
            t1h = ADD_CPX_CPX(t5e, s95);
            t2h = SUB_CPX_CPX(t3e, s85);
            t3h = SUB_CPX_CPX(t5e, s95);
            t4h = ADD_CPX_CPX(s65, s06);
            t5h = SUB_CPX_CPX(s75, s16);
            a1d = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s65, s06));
            a2d = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s75, s16));
            s46 = ADD_CPX_CPX(a1d, a2d);
            s56 = SUB_CPX_CPX(a2d, a1d);
            t6h = ADD_CPX_CPX(t0h, t4h);
            t7h = ADD_CPX_CPX(t2h, t5h);
            t8h = SUB_CPX_CPX(t0h, t4h);
            t9h = SUB_CPX_CPX(t2h, t5h);
            t0i = ADD_CPX_CPX(t1h, s46);
            t1i = ADD_CPX_CPX(t3h, s56);
            t2i = SUB_CPX_CPX(t1h, s46);
            t3i = SUB_CPX_CPX(t3h, s56);
            a3d = (a1b + 2);
            a4d = (a1b + 3);
            a5d = (a1b + 126);
            a6d = (a1b + 127);
            t4i = ADD_CPX_CPX(*(a3d), *(a5d));
            t5i = SUB_CPX_CPX(*(a4d), *(a6d));
            t6i = SUB_CPX_CPX(*(a3d), *(a5d));
            t7i = ADD_CPX_CPX(*(a4d), *(a6d));
            a7d = (a1b + 66);
            a8d = (a1b + 67);
            a9d = (a1b + 62);
            a0e = (a1b + 63);
            t8i = ADD_CPX_CPX(*(a7d), *(a9d));
            t9i = SUB_CPX_CPX(*(a8d), *(a0e));
            t0j = SUB_CPX_CPX(*(a7d), *(a9d));
            t1j = ADD_CPX_CPX(*(a8d), *(a0e));
            t2j = ADD_CPX_CPX(t4i, t8i);
            t3j = ADD_CPX_CPX(t5i, t9i);
            t4j = SUB_CPX_CPX(t4i, t8i);
            t5j = SUB_CPX_CPX(t5i, t9i);
            t6j = ADD_CPX_CPX(t6i, t1j);
            t7j = SUB_CPX_CPX(t7i, t0j);
            t8j = SUB_CPX_CPX(t6i, t1j);
            t9j = ADD_CPX_CPX(t7i, t0j);
            a1e = (a1b + 34);
            a2e = (a1b + 35);
            a3e = (a1b + 30);
            a4e = (a1b + 31);
            t0k = ADD_CPX_CPX(*(a1e), *(a3e));
            t1k = SUB_CPX_CPX(*(a2e), *(a4e));
            t2k = ADD_CPX_CPX(*(a2e), *(a4e));
            t3k = SUB_CPX_CPX(*(a3e), *(a1e));
            a5e = (a1b + 94);
            a6e = (a1b + 95);
            a7e = (a1b + 98);
            a8e = (a1b + 99);
            t4k = ADD_CPX_CPX(*(a5e), *(a7e));
            t5k = SUB_CPX_CPX(*(a8e), *(a6e));
            t6k = ADD_CPX_CPX(*(a6e), *(a8e));
            t7k = SUB_CPX_CPX(*(a7e), *(a5e));
            s66 = ADD_CPX_CPX(t0k, t4k);
            s76 = ADD_CPX_CPX(t1k, t5k);
            s86 = SUB_CPX_CPX(t2k, t6k);
            s96 = ADD_CPX_CPX(t3k, t7k);
            a9e = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0k, t4k));
            a0f = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t2k, t6k));
            t8k = ADD_CPX_CPX(a9e, a0f);
            a1f = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t1k, t5k));
            a2f = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3k, t7k));
            t9k = ADD_CPX_CPX(a1f, a2f);
            t0l = SUB_CPX_CPX(a0f, a9e);
            t1l = SUB_CPX_CPX(a2f, a1f);
            s07 = ADD_CPX_CPX(t2j, s66);
            s17 = ADD_CPX_CPX(t3j, s76);
            s27 = ADD_CPX_CPX(t4j, s86);
            s37 = ADD_CPX_CPX(t5j, s96);
            s47 = SUB_CPX_CPX(t2j, s66);
            s57 = SUB_CPX_CPX(t3j, s76);
            s67 = SUB_CPX_CPX(t4j, s86);
            s77 = SUB_CPX_CPX(t5j, s96);
            s87 = ADD_CPX_CPX(t6j, t8k);
            s97 = ADD_CPX_CPX(t7j, t9k);
            s08 = ADD_CPX_CPX(t8j, t0l);
            s18 = ADD_CPX_CPX(t9j, t1l);
            s28 = SUB_CPX_CPX(t6j, t8k);
            s38 = SUB_CPX_CPX(t7j, t9k);
            s48 = SUB_CPX_CPX(t8j, t0l);
            s58 = SUB_CPX_CPX(t9j, t1l);
            s68 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99879545620517241), s87), MUL_FLT_CPX(C_FLT(0.049067674327418015), s97));
            s78 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99879545620517241), s97), MUL_FLT_CPX(C_FLT(0.049067674327418015), s87));
            s88 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), s27), MUL_FLT_CPX(C_FLT(0.098017140329560604), s37));
            s98 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), s37), MUL_FLT_CPX(C_FLT(0.098017140329560604), s27));
            s09 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s08), MUL_FLT_CPX(C_FLT(0.14673047445536175), s18));
            s19 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s18), MUL_FLT_CPX(C_FLT(0.14673047445536175), s08));
            s29 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s47), MUL_FLT_CPX(C_FLT(0.19509032201612828), s57));
            s39 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s57), MUL_FLT_CPX(C_FLT(0.19509032201612828), s47));
            s49 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.97003125319454397), s28), MUL_FLT_CPX(C_FLT(0.2429801799032639), s38));
            s59 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.97003125319454397), s38), MUL_FLT_CPX(C_FLT(0.2429801799032639), s28));
            s69 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s67), MUL_FLT_CPX(C_FLT(0.29028467725446239), s77));
            s79 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s77), MUL_FLT_CPX(C_FLT(0.29028467725446239), s67));
            s89 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), s48), MUL_FLT_CPX(C_FLT(0.33688985339222005), s58));
            s99 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), s58), MUL_FLT_CPX(C_FLT(0.33688985339222005), s48));
            a3f = (a1b + 4);
            a4f = (a1b + 5);
            a5f = (a1b + 124);
            a6f = (a1b + 125);
            t2l = ADD_CPX_CPX(*(a3f), *(a5f));
            t3l = SUB_CPX_CPX(*(a4f), *(a6f));
            t4l = SUB_CPX_CPX(*(a3f), *(a5f));
            t5l = ADD_CPX_CPX(*(a4f), *(a6f));
            a7f = (a1b + 68);
            a8f = (a1b + 69);
            a9f = (a1b + 60);
            a0g = (a1b + 61);
            t6l = ADD_CPX_CPX(*(a7f), *(a9f));
            t7l = SUB_CPX_CPX(*(a8f), *(a0g));
            t8l = SUB_CPX_CPX(*(a7f), *(a9f));
            t9l = ADD_CPX_CPX(*(a8f), *(a0g));
            t0m = ADD_CPX_CPX(t2l, t6l);
            t1m = ADD_CPX_CPX(t3l, t7l);
            t2m = SUB_CPX_CPX(t2l, t6l);
            t3m = SUB_CPX_CPX(t3l, t7l);
            t4m = ADD_CPX_CPX(t4l, t9l);
            t5m = SUB_CPX_CPX(t5l, t8l);
            t6m = SUB_CPX_CPX(t4l, t9l);
            t7m = ADD_CPX_CPX(t5l, t8l);
            a1g = (a1b + 36);
            a2g = (a1b + 37);
            a3g = (a1b + 28);
            a4g = (a1b + 29);
            t8m = ADD_CPX_CPX(*(a1g), *(a3g));
            t9m = SUB_CPX_CPX(*(a2g), *(a4g));
            t0n = ADD_CPX_CPX(*(a2g), *(a4g));
            t1n = SUB_CPX_CPX(*(a3g), *(a1g));
            a5g = (a1b + 92);
            a6g = (a1b + 93);
            a7g = (a1b + 100);
            a8g = (a1b + 101);
            t2n = ADD_CPX_CPX(*(a5g), *(a7g));
            t3n = SUB_CPX_CPX(*(a8g), *(a6g));
            t4n = ADD_CPX_CPX(*(a6g), *(a8g));
            t5n = SUB_CPX_CPX(*(a7g), *(a5g));
            s0a = ADD_CPX_CPX(t8m, t2n);
            s1a = ADD_CPX_CPX(t9m, t3n);
            s2a = SUB_CPX_CPX(t0n, t4n);
            s3a = ADD_CPX_CPX(t1n, t5n);
            a9g = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8m, t2n));
            a0h = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t0n, t4n));
            t6n = ADD_CPX_CPX(a9g, a0h);
            a1h = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9m, t3n));
            a2h = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t1n, t5n));
            t7n = ADD_CPX_CPX(a1h, a2h);
            t8n = SUB_CPX_CPX(a0h, a9g);
            t9n = SUB_CPX_CPX(a2h, a1h);
            s4a = ADD_CPX_CPX(t0m, s0a);
            s5a = ADD_CPX_CPX(t1m, s1a);
            s6a = ADD_CPX_CPX(t2m, s2a);
            s7a = ADD_CPX_CPX(t3m, s3a);
            s8a = SUB_CPX_CPX(t0m, s0a);
            s9a = SUB_CPX_CPX(t1m, s1a);
            s0b = SUB_CPX_CPX(t2m, s2a);
            s1b = SUB_CPX_CPX(t3m, s3a);
            s2b = ADD_CPX_CPX(t4m, t6n);
            s3b = ADD_CPX_CPX(t5m, t7n);
            s4b = ADD_CPX_CPX(t6m, t8n);
            s5b = ADD_CPX_CPX(t7m, t9n);
            s6b = SUB_CPX_CPX(t4m, t6n);
            s7b = SUB_CPX_CPX(t5m, t7n);
            s8b = SUB_CPX_CPX(t6m, t8n);
            s9b = SUB_CPX_CPX(t7m, t9n);
            s0c = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), s2b), MUL_FLT_CPX(C_FLT(0.098017140329560604), s3b));
            s1c = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), s3b), MUL_FLT_CPX(C_FLT(0.098017140329560604), s2b));
            s2c = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s6a), MUL_FLT_CPX(C_FLT(0.19509032201612828), s7a));
            s3c = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s7a), MUL_FLT_CPX(C_FLT(0.19509032201612828), s6a));
            s4c = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s4b), MUL_FLT_CPX(C_FLT(0.29028467725446239), s5b));
            s5c = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s5b), MUL_FLT_CPX(C_FLT(0.29028467725446239), s4b));
            s6c = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s8a), MUL_FLT_CPX(C_FLT(0.38268343236508978), s9a));
            s7c = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s9a), MUL_FLT_CPX(C_FLT(0.38268343236508978), s8a));
            s8c = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s6b), MUL_FLT_CPX(C_FLT(0.47139673682599764), s7b));
            s9c = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s7b), MUL_FLT_CPX(C_FLT(0.47139673682599764), s6b));
            s0d = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s0b), MUL_FLT_CPX(C_FLT(0.55557023301960218), s1b));
            s1d = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s1b), MUL_FLT_CPX(C_FLT(0.55557023301960218), s0b));
            s2d = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), s8b), MUL_FLT_CPX(C_FLT(0.63439328416364549), s9b));
            s3d = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), s9b), MUL_FLT_CPX(C_FLT(0.63439328416364549), s8b));
            a3h = (a1b + 6);
            a4h = (a1b + 7);
            a5h = (a1b + 122);
            a6h = (a1b + 123);
            t0o = ADD_CPX_CPX(*(a3h), *(a5h));
            t1o = SUB_CPX_CPX(*(a4h), *(a6h));
            t2o = SUB_CPX_CPX(*(a3h), *(a5h));
            t3o = ADD_CPX_CPX(*(a4h), *(a6h));
            a7h = (a1b + 70);
            a8h = (a1b + 71);
            a9h = (a1b + 58);
            a0i = (a1b + 59);
            t4o = ADD_CPX_CPX(*(a7h), *(a9h));
            t5o = SUB_CPX_CPX(*(a8h), *(a0i));
            t6o = SUB_CPX_CPX(*(a7h), *(a9h));
            t7o = ADD_CPX_CPX(*(a8h), *(a0i));
            t8o = ADD_CPX_CPX(t0o, t4o);
            t9o = ADD_CPX_CPX(t1o, t5o);
            t0p = SUB_CPX_CPX(t0o, t4o);
            t1p = SUB_CPX_CPX(t1o, t5o);
            t2p = ADD_CPX_CPX(t2o, t7o);
            t3p = SUB_CPX_CPX(t3o, t6o);
            t4p = SUB_CPX_CPX(t2o, t7o);
            t5p = ADD_CPX_CPX(t3o, t6o);
            a1i = (a1b + 38);
            a2i = (a1b + 39);
            a3i = (a1b + 26);
            a4i = (a1b + 27);
            t6p = ADD_CPX_CPX(*(a1i), *(a3i));
            t7p = SUB_CPX_CPX(*(a2i), *(a4i));
            t8p = ADD_CPX_CPX(*(a2i), *(a4i));
            t9p = SUB_CPX_CPX(*(a3i), *(a1i));
            a5i = (a1b + 90);
            a6i = (a1b + 91);
            a7i = (a1b + 102);
            a8i = (a1b + 103);
            t0q = ADD_CPX_CPX(*(a5i), *(a7i));
            t1q = SUB_CPX_CPX(*(a8i), *(a6i));
            t2q = ADD_CPX_CPX(*(a6i), *(a8i));
            t3q = SUB_CPX_CPX(*(a7i), *(a5i));
            s4d = ADD_CPX_CPX(t6p, t0q);
            s5d = ADD_CPX_CPX(t7p, t1q);
            s6d = SUB_CPX_CPX(t8p, t2q);
            s7d = ADD_CPX_CPX(t9p, t3q);
            a9i = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t6p, t0q));
            a0j = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t8p, t2q));
            t4q = ADD_CPX_CPX(a9i, a0j);
            a1j = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t7p, t1q));
            a2j = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9p, t3q));
            t5q = ADD_CPX_CPX(a1j, a2j);
            t6q = SUB_CPX_CPX(a0j, a9i);
            t7q = SUB_CPX_CPX(a2j, a1j);
            s8d = ADD_CPX_CPX(t8o, s4d);
            s9d = ADD_CPX_CPX(t9o, s5d);
            s0e = ADD_CPX_CPX(t0p, s6d);
            s1e = ADD_CPX_CPX(t1p, s7d);
            s2e = SUB_CPX_CPX(t8o, s4d);
            s3e = SUB_CPX_CPX(t9o, s5d);
            s4e = SUB_CPX_CPX(t0p, s6d);
            s5e = SUB_CPX_CPX(t1p, s7d);
            s6e = ADD_CPX_CPX(t2p, t4q);
            s7e = ADD_CPX_CPX(t3p, t5q);
            s8e = ADD_CPX_CPX(t4p, t6q);
            s9e = ADD_CPX_CPX(t5p, t7q);
            s0f = SUB_CPX_CPX(t2p, t4q);
            s1f = SUB_CPX_CPX(t3p, t5q);
            s2f = SUB_CPX_CPX(t4p, t6q);
            s3f = SUB_CPX_CPX(t5p, t7q);
            s4f = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s6e), MUL_FLT_CPX(C_FLT(0.14673047445536175), s7e));
            s5f = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s7e), MUL_FLT_CPX(C_FLT(0.14673047445536175), s6e));
            s6f = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s0e), MUL_FLT_CPX(C_FLT(0.29028467725446239), s1e));
            s7f = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s1e), MUL_FLT_CPX(C_FLT(0.29028467725446239), s0e));
            s8f = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.90398929312344334), s8e), MUL_FLT_CPX(C_FLT(0.42755509343028208), s9e));
            s9f = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.90398929312344334), s9e), MUL_FLT_CPX(C_FLT(0.42755509343028208), s8e));
            s0g = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s2e), MUL_FLT_CPX(C_FLT(0.55557023301960218), s3e));
            s1g = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s3e), MUL_FLT_CPX(C_FLT(0.55557023301960218), s2e));
            s2g = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), s0f), MUL_FLT_CPX(C_FLT(0.67155895484701844), s1f));
            s3g = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), s1f), MUL_FLT_CPX(C_FLT(0.67155895484701844), s0f));
            s4g = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), s4e), MUL_FLT_CPX(C_FLT(0.77301045336273699), s5e));
            s5g = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), s5e), MUL_FLT_CPX(C_FLT(0.77301045336273699), s4e));
            s6g = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.51410274419322177), s2f), MUL_FLT_CPX(C_FLT(0.85772861000027212), s3f));
            s7g = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.51410274419322177), s3f), MUL_FLT_CPX(C_FLT(0.85772861000027212), s2f));
            a3j = (a1b + 8);
            a4j = (a1b + 9);
            a5j = (a1b + 120);
            a6j = (a1b + 121);
            t8q = ADD_CPX_CPX(*(a3j), *(a5j));
            t9q = SUB_CPX_CPX(*(a4j), *(a6j));
            t0r = SUB_CPX_CPX(*(a3j), *(a5j));
            t1r = ADD_CPX_CPX(*(a4j), *(a6j));
            a7j = (a1b + 72);
            a8j = (a1b + 73);
            a9j = (a1b + 56);
            a0k = (a1b + 57);
            t2r = ADD_CPX_CPX(*(a7j), *(a9j));
            t3r = SUB_CPX_CPX(*(a8j), *(a0k));
            t4r = SUB_CPX_CPX(*(a7j), *(a9j));
            t5r = ADD_CPX_CPX(*(a8j), *(a0k));
            t6r = ADD_CPX_CPX(t8q, t2r);
            t7r = ADD_CPX_CPX(t9q, t3r);
            t8r = SUB_CPX_CPX(t8q, t2r);
            t9r = SUB_CPX_CPX(t9q, t3r);
            t0s = ADD_CPX_CPX(t0r, t5r);
            t1s = SUB_CPX_CPX(t1r, t4r);
            t2s = SUB_CPX_CPX(t0r, t5r);
            t3s = ADD_CPX_CPX(t1r, t4r);
            a1k = (a1b + 40);
            a2k = (a1b + 41);
            a3k = (a1b + 24);
            a4k = (a1b + 25);
            t4s = ADD_CPX_CPX(*(a1k), *(a3k));
            t5s = SUB_CPX_CPX(*(a2k), *(a4k));
            t6s = ADD_CPX_CPX(*(a2k), *(a4k));
            t7s = SUB_CPX_CPX(*(a3k), *(a1k));
            a5k = (a1b + 88);
            a6k = (a1b + 89);
            a7k = (a1b + 104);
            a8k = (a1b + 105);
            t8s = ADD_CPX_CPX(*(a5k), *(a7k));
            t9s = SUB_CPX_CPX(*(a8k), *(a6k));
            t0t = ADD_CPX_CPX(*(a6k), *(a8k));
            t1t = SUB_CPX_CPX(*(a7k), *(a5k));
            s8g = ADD_CPX_CPX(t4s, t8s);
            s9g = ADD_CPX_CPX(t5s, t9s);
            s0h = SUB_CPX_CPX(t6s, t0t);
            s1h = ADD_CPX_CPX(t7s, t1t);
            a9k = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t4s, t8s));
            a0l = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t6s, t0t));
            t2t = ADD_CPX_CPX(a9k, a0l);
            a1l = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t5s, t9s));
            a2l = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t7s, t1t));
            t3t = ADD_CPX_CPX(a1l, a2l);
            t4t = SUB_CPX_CPX(a0l, a9k);
            t5t = SUB_CPX_CPX(a2l, a1l);
            s2h = ADD_CPX_CPX(t6r, s8g);
            s3h = ADD_CPX_CPX(t7r, s9g);
            s4h = ADD_CPX_CPX(t8r, s0h);
            s5h = ADD_CPX_CPX(t9r, s1h);
            s6h = SUB_CPX_CPX(t8r, s0h);
            s7h = SUB_CPX_CPX(t9r, s1h);
            s8h = ADD_CPX_CPX(t0s, t2t);
            s9h = ADD_CPX_CPX(t1s, t3t);
            s0i = ADD_CPX_CPX(t2s, t4t);
            s1i = ADD_CPX_CPX(t3s, t5t);
            s2i = SUB_CPX_CPX(t0s, t2t);
            s3i = SUB_CPX_CPX(t1s, t3t);
            s4i = SUB_CPX_CPX(t2s, t4t);
            s5i = SUB_CPX_CPX(t3s, t5t);
            s6i = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s8h), MUL_FLT_CPX(C_FLT(0.19509032201612828), s9h));
            s7i = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s9h), MUL_FLT_CPX(C_FLT(0.19509032201612828), s8h));
            s8i = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s4h), MUL_FLT_CPX(C_FLT(0.38268343236508978), s5h));
            s9i = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s5h), MUL_FLT_CPX(C_FLT(0.38268343236508978), s4h));
            s0j = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s0i), MUL_FLT_CPX(C_FLT(0.55557023301960218), s1i));
            s1j = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s1i), MUL_FLT_CPX(C_FLT(0.55557023301960218), s0i));
            a3l = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t6r, s8g));
            a4l = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t7r, s9g));
            s2j = ADD_CPX_CPX(a3l, a4l);
            s3j = SUB_CPX_CPX(a4l, a3l);
            s4j = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s2i), MUL_FLT_CPX(C_FLT(0.83146961230254524), s3i));
            s5j = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s3i), MUL_FLT_CPX(C_FLT(0.83146961230254524), s2i));
            s6j = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s6h), MUL_FLT_CPX(C_FLT(0.92387953251128674), s7h));
            s7j = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s7h), MUL_FLT_CPX(C_FLT(0.92387953251128674), s6h));
            s8j = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s4i), MUL_FLT_CPX(C_FLT(0.98078528040323043), s5i));
            s9j = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s5i), MUL_FLT_CPX(C_FLT(0.98078528040323043), s4i));
            a5l = (a1b + 10);
            a6l = (a1b + 11);
            a7l = (a1b + 118);
            a8l = (a1b + 119);
            t6t = ADD_CPX_CPX(*(a5l), *(a7l));
            t7t = SUB_CPX_CPX(*(a6l), *(a8l));
            t8t = SUB_CPX_CPX(*(a5l), *(a7l));
            t9t = ADD_CPX_CPX(*(a6l), *(a8l));
            a9l = (a1b + 74);
            a0m = (a1b + 75);
            a1m = (a1b + 54);
            a2m = (a1b + 55);
            t0u = ADD_CPX_CPX(*(a9l), *(a1m));
            t1u = SUB_CPX_CPX(*(a0m), *(a2m));
            t2u = SUB_CPX_CPX(*(a9l), *(a1m));
            t3u = ADD_CPX_CPX(*(a0m), *(a2m));
            t4u = ADD_CPX_CPX(t6t, t0u);
            t5u = ADD_CPX_CPX(t7t, t1u);
            t6u = SUB_CPX_CPX(t6t, t0u);
            t7u = SUB_CPX_CPX(t7t, t1u);
            t8u = ADD_CPX_CPX(t8t, t3u);
            t9u = SUB_CPX_CPX(t9t, t2u);
            t0v = SUB_CPX_CPX(t8t, t3u);
            t1v = ADD_CPX_CPX(t9t, t2u);
            a3m = (a1b + 42);
            a4m = (a1b + 43);
            a5m = (a1b + 22);
            a6m = (a1b + 23);
            t2v = ADD_CPX_CPX(*(a3m), *(a5m));
            t3v = SUB_CPX_CPX(*(a4m), *(a6m));
            t4v = ADD_CPX_CPX(*(a4m), *(a6m));
            t5v = SUB_CPX_CPX(*(a5m), *(a3m));
            a7m = (a1b + 86);
            a8m = (a1b + 87);
            a9m = (a1b + 106);
            a0n = (a1b + 107);
            t6v = ADD_CPX_CPX(*(a7m), *(a9m));
            t7v = SUB_CPX_CPX(*(a0n), *(a8m));
            t8v = ADD_CPX_CPX(*(a8m), *(a0n));
            t9v = SUB_CPX_CPX(*(a9m), *(a7m));
            s0k = ADD_CPX_CPX(t2v, t6v);
            s1k = ADD_CPX_CPX(t3v, t7v);
            s2k = SUB_CPX_CPX(t4v, t8v);
            s3k = ADD_CPX_CPX(t5v, t9v);
            a1n = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2v, t6v));
            a2n = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t4v, t8v));
            t0w = ADD_CPX_CPX(a1n, a2n);
            a3n = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3v, t7v));
            a4n = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t5v, t9v));
            t1w = ADD_CPX_CPX(a3n, a4n);
            t2w = SUB_CPX_CPX(a2n, a1n);
            t3w = SUB_CPX_CPX(a4n, a3n);
            s4k = ADD_CPX_CPX(t4u, s0k);
            s5k = ADD_CPX_CPX(t5u, s1k);
            s6k = ADD_CPX_CPX(t6u, s2k);
            s7k = ADD_CPX_CPX(t7u, s3k);
            s8k = SUB_CPX_CPX(t4u, s0k);
            s9k = SUB_CPX_CPX(t5u, s1k);
            s0l = SUB_CPX_CPX(t6u, s2k);
            s1l = SUB_CPX_CPX(t7u, s3k);
            s2l = ADD_CPX_CPX(t8u, t0w);
            s3l = ADD_CPX_CPX(t9u, t1w);
            s4l = ADD_CPX_CPX(t0v, t2w);
            s5l = ADD_CPX_CPX(t1v, t3w);
            s6l = SUB_CPX_CPX(t8u, t0w);
            s7l = SUB_CPX_CPX(t9u, t1w);
            s8l = SUB_CPX_CPX(t0v, t2w);
            s9l = SUB_CPX_CPX(t1v, t3w);
            s0m = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.97003125319454397), s2l), MUL_FLT_CPX(C_FLT(0.2429801799032639), s3l));
            s1m = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.97003125319454397), s3l), MUL_FLT_CPX(C_FLT(0.2429801799032639), s2l));
            s2m = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s6k), MUL_FLT_CPX(C_FLT(0.47139673682599764), s7k));
            s3m = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s7k), MUL_FLT_CPX(C_FLT(0.47139673682599764), s6k));
            s4m = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), s4l), MUL_FLT_CPX(C_FLT(0.67155895484701844), s5l));
            s5m = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), s5l), MUL_FLT_CPX(C_FLT(0.67155895484701844), s4l));
            s6m = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s8k), MUL_FLT_CPX(C_FLT(0.83146961230254524), s9k));
            s7m = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s9k), MUL_FLT_CPX(C_FLT(0.83146961230254524), s8k));
            s8m = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.33688985339222005), s6l), MUL_FLT_CPX(C_FLT(0.94154406518302081), s7l));
            s9m = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.33688985339222005), s7l), MUL_FLT_CPX(C_FLT(0.94154406518302081), s6l));
            s0n = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), s0l), MUL_FLT_CPX(C_FLT(0.99518472667219693), s1l));
            s1n = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), s1l), MUL_FLT_CPX(C_FLT(0.99518472667219693), s0l));
            s2n = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s9l), MUL_FLT_CPX(C_FLT(0.14673047445536175), s8l));
            s3n = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s8l), MUL_FLT_CPX(C_FLT(0.14673047445536175), s9l));
            a5n = (a1b + 12);
            a6n = (a1b + 13);
            a7n = (a1b + 116);
            a8n = (a1b + 117);
            t4w = ADD_CPX_CPX(*(a5n), *(a7n));
            t5w = SUB_CPX_CPX(*(a6n), *(a8n));
            t6w = SUB_CPX_CPX(*(a5n), *(a7n));
            t7w = ADD_CPX_CPX(*(a6n), *(a8n));
            a9n = (a1b + 76);
            a0o = (a1b + 77);
            a1o = (a1b + 52);
            a2o = (a1b + 53);
            t8w = ADD_CPX_CPX(*(a9n), *(a1o));
            t9w = SUB_CPX_CPX(*(a0o), *(a2o));
            t0x = SUB_CPX_CPX(*(a9n), *(a1o));
            t1x = ADD_CPX_CPX(*(a0o), *(a2o));
            t2x = ADD_CPX_CPX(t4w, t8w);
            t3x = ADD_CPX_CPX(t5w, t9w);
            t4x = SUB_CPX_CPX(t4w, t8w);
            t5x = SUB_CPX_CPX(t5w, t9w);
            t6x = ADD_CPX_CPX(t6w, t1x);
            t7x = SUB_CPX_CPX(t7w, t0x);
            t8x = SUB_CPX_CPX(t6w, t1x);
            t9x = ADD_CPX_CPX(t7w, t0x);
            a3o = (a1b + 44);
            a4o = (a1b + 45);
            a5o = (a1b + 20);
            a6o = (a1b + 21);
            t0y = ADD_CPX_CPX(*(a3o), *(a5o));
            t1y = SUB_CPX_CPX(*(a4o), *(a6o));
            t2y = ADD_CPX_CPX(*(a4o), *(a6o));
            t3y = SUB_CPX_CPX(*(a5o), *(a3o));
            a7o = (a1b + 84);
            a8o = (a1b + 85);
            a9o = (a1b + 108);
            a0p = (a1b + 109);
            t4y = ADD_CPX_CPX(*(a7o), *(a9o));
            t5y = SUB_CPX_CPX(*(a0p), *(a8o));
            t6y = ADD_CPX_CPX(*(a8o), *(a0p));
            t7y = SUB_CPX_CPX(*(a9o), *(a7o));
            s4n = ADD_CPX_CPX(t0y, t4y);
            s5n = ADD_CPX_CPX(t1y, t5y);
            s6n = SUB_CPX_CPX(t2y, t6y);
            s7n = ADD_CPX_CPX(t3y, t7y);
            a1p = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0y, t4y));
            a2p = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t2y, t6y));
            t8y = ADD_CPX_CPX(a1p, a2p);
            a3p = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t1y, t5y));
            a4p = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3y, t7y));
            t9y = ADD_CPX_CPX(a3p, a4p);
            t0z = SUB_CPX_CPX(a2p, a1p);
            t1z = SUB_CPX_CPX(a4p, a3p);
            s8n = ADD_CPX_CPX(t2x, s4n);
            s9n = ADD_CPX_CPX(t3x, s5n);
            s0o = ADD_CPX_CPX(t4x, s6n);
            s1o = ADD_CPX_CPX(t5x, s7n);
            s2o = SUB_CPX_CPX(t2x, s4n);
            s3o = SUB_CPX_CPX(t3x, s5n);
            s4o = SUB_CPX_CPX(t4x, s6n);
            s5o = SUB_CPX_CPX(t5x, s7n);
            s6o = ADD_CPX_CPX(t6x, t8y);
            s7o = ADD_CPX_CPX(t7x, t9y);
            s8o = ADD_CPX_CPX(t8x, t0z);
            s9o = ADD_CPX_CPX(t9x, t1z);
            s0p = SUB_CPX_CPX(t6x, t8y);
            s1p = SUB_CPX_CPX(t7x, t9y);
            s2p = SUB_CPX_CPX(t8x, t0z);
            s3p = SUB_CPX_CPX(t9x, t1z);
            s4p = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s6o), MUL_FLT_CPX(C_FLT(0.29028467725446239), s7o));
            s5p = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s7o), MUL_FLT_CPX(C_FLT(0.29028467725446239), s6o));
            s6p = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s0o), MUL_FLT_CPX(C_FLT(0.55557023301960218), s1o));
            s7p = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s1o), MUL_FLT_CPX(C_FLT(0.55557023301960218), s0o));
            s8p = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), s8o), MUL_FLT_CPX(C_FLT(0.77301045336273699), s9o));
            s9p = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), s9o), MUL_FLT_CPX(C_FLT(0.77301045336273699), s8o));
            s0q = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s2o), MUL_FLT_CPX(C_FLT(0.92387953251128674), s3o));
            s1q = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s3o), MUL_FLT_CPX(C_FLT(0.92387953251128674), s2o));
            s2q = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), s0p), MUL_FLT_CPX(C_FLT(0.99518472667219693), s1p));
            s3q = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), s1p), MUL_FLT_CPX(C_FLT(0.99518472667219693), s0p));
            s4q = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s5o), MUL_FLT_CPX(C_FLT(0.19509032201612828), s4o));
            s5q = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s4o), MUL_FLT_CPX(C_FLT(0.19509032201612828), s5o));
            s6q = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s3p), MUL_FLT_CPX(C_FLT(0.47139673682599764), s2p));
            s7q = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s2p), MUL_FLT_CPX(C_FLT(0.47139673682599764), s3p));
            a5p = (a1b + 14);
            a6p = (a1b + 15);
            a7p = (a1b + 114);
            a8p = (a1b + 115);
            t2z = ADD_CPX_CPX(*(a5p), *(a7p));
            t3z = SUB_CPX_CPX(*(a6p), *(a8p));
            t4z = SUB_CPX_CPX(*(a5p), *(a7p));
            t5z = ADD_CPX_CPX(*(a6p), *(a8p));
            a9p = (a1b + 78);
            a0q = (a1b + 79);
            a1q = (a1b + 50);
            a2q = (a1b + 51);
            t6z = ADD_CPX_CPX(*(a9p), *(a1q));
            t7z = SUB_CPX_CPX(*(a0q), *(a2q));
            t8z = SUB_CPX_CPX(*(a9p), *(a1q));
            t9z = ADD_CPX_CPX(*(a0q), *(a2q));
            t0A = ADD_CPX_CPX(t2z, t6z);
            t1A = ADD_CPX_CPX(t3z, t7z);
            t2A = SUB_CPX_CPX(t2z, t6z);
            t3A = SUB_CPX_CPX(t3z, t7z);
            t4A = ADD_CPX_CPX(t4z, t9z);
            t5A = SUB_CPX_CPX(t5z, t8z);
            t6A = SUB_CPX_CPX(t4z, t9z);
            t7A = ADD_CPX_CPX(t5z, t8z);
            a3q = (a1b + 46);
            a4q = (a1b + 47);
            a5q = (a1b + 18);
            a6q = (a1b + 19);
            t8A = ADD_CPX_CPX(*(a3q), *(a5q));
            t9A = SUB_CPX_CPX(*(a4q), *(a6q));
            t0B = ADD_CPX_CPX(*(a4q), *(a6q));
            t1B = SUB_CPX_CPX(*(a5q), *(a3q));
            a7q = (a1b + 82);
            a8q = (a1b + 83);
            a9q = (a1b + 110);
            a0r = (a1b + 111);
            t2B = ADD_CPX_CPX(*(a7q), *(a9q));
            t3B = SUB_CPX_CPX(*(a0r), *(a8q));
            t4B = ADD_CPX_CPX(*(a8q), *(a0r));
            t5B = SUB_CPX_CPX(*(a9q), *(a7q));
            s8q = ADD_CPX_CPX(t8A, t2B);
            s9q = ADD_CPX_CPX(t9A, t3B);
            s0r = SUB_CPX_CPX(t0B, t4B);
            s1r = ADD_CPX_CPX(t1B, t5B);
            a1r = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8A, t2B));
            a2r = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t0B, t4B));
            t6B = ADD_CPX_CPX(a1r, a2r);
            a3r = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9A, t3B));
            a4r = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t1B, t5B));
            t7B = ADD_CPX_CPX(a3r, a4r);
            t8B = SUB_CPX_CPX(a2r, a1r);
            t9B = SUB_CPX_CPX(a4r, a3r);
            s2r = ADD_CPX_CPX(t0A, s8q);
            s3r = ADD_CPX_CPX(t1A, s9q);
            s4r = ADD_CPX_CPX(t2A, s0r);
            s5r = ADD_CPX_CPX(t3A, s1r);
            s6r = SUB_CPX_CPX(t0A, s8q);
            s7r = SUB_CPX_CPX(t1A, s9q);
            s8r = SUB_CPX_CPX(t2A, s0r);
            s9r = SUB_CPX_CPX(t3A, s1r);
            s0s = ADD_CPX_CPX(t4A, t6B);
            s1s = ADD_CPX_CPX(t5A, t7B);
            s2s = ADD_CPX_CPX(t6A, t8B);
            s3s = ADD_CPX_CPX(t7A, t9B);
            s4s = SUB_CPX_CPX(t4A, t6B);
            s5s = SUB_CPX_CPX(t5A, t7B);
            s6s = SUB_CPX_CPX(t6A, t8B);
            s7s = SUB_CPX_CPX(t7A, t9B);
            s8s = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), s0s), MUL_FLT_CPX(C_FLT(0.33688985339222005), s1s));
            s9s = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), s1s), MUL_FLT_CPX(C_FLT(0.33688985339222005), s0s));
            s0t = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), s4r), MUL_FLT_CPX(C_FLT(0.63439328416364549), s5r));
            s1t = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), s5r), MUL_FLT_CPX(C_FLT(0.63439328416364549), s4r));
            s2t = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.51410274419322177), s2s), MUL_FLT_CPX(C_FLT(0.85772861000027212), s3s));
            s3t = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.51410274419322177), s3s), MUL_FLT_CPX(C_FLT(0.85772861000027212), s2s));
            s4t = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s6r), MUL_FLT_CPX(C_FLT(0.98078528040323043), s7r));
            s5t = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s7r), MUL_FLT_CPX(C_FLT(0.98078528040323043), s6r));
            s6t = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s5s), MUL_FLT_CPX(C_FLT(0.14673047445536175), s4s));
            s7t = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s4s), MUL_FLT_CPX(C_FLT(0.14673047445536175), s5s));
            s8t = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s9r), MUL_FLT_CPX(C_FLT(0.47139673682599764), s8r));
            s9t = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s8r), MUL_FLT_CPX(C_FLT(0.47139673682599764), s9r));
            s0u = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.67155895484701844), s7s), MUL_FLT_CPX(C_FLT(0.74095112535495911), s6s));
            s1u = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.67155895484701844), s6s), MUL_FLT_CPX(C_FLT(0.74095112535495911), s7s));
            t0C = ADD_CPX_CPX(t2g, s2h);
            t1C = ADD_CPX_CPX(t4g, s3h);
            t2C = SUB_CPX_CPX(t2g, s2h);
            t3C = SUB_CPX_CPX(t4g, s3h);
            t4C = ADD_CPX_CPX(s07, s2r);
            t5C = SUB_CPX_CPX(s17, s3r);
            t6C = SUB_CPX_CPX(s07, s2r);
            t7C = ADD_CPX_CPX(s17, s3r);
            s2u = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t6C), MUL_FLT_CPX(C_FLT(0.38268343236508978), t7C));
            s3u = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t7C), MUL_FLT_CPX(C_FLT(0.38268343236508978), t6C));
            t8C = ADD_CPX_CPX(s4a, s8n);
            t9C = SUB_CPX_CPX(s5a, s9n);
            a5r = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4a, s8n));
            a6r = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5a, s9n));
            s4u = ADD_CPX_CPX(a5r, a6r);
            s5u = SUB_CPX_CPX(a6r, a5r);
            t0D = ADD_CPX_CPX(s8d, s4k);
            t1D = SUB_CPX_CPX(s9d, s5k);
            t2D = SUB_CPX_CPX(s8d, s4k);
            t3D = ADD_CPX_CPX(s9d, s5k);
            s6u = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t2D), MUL_FLT_CPX(C_FLT(0.92387953251128674), t3D));
            s7u = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t3D), MUL_FLT_CPX(C_FLT(0.92387953251128674), t2D));
            t4D = ADD_CPX_CPX(t0C, t8C);
            t5D = ADD_CPX_CPX(t2C, t9C);
            t6D = SUB_CPX_CPX(t0C, t8C);
            t7D = SUB_CPX_CPX(t2C, t9C);
            t8D = ADD_CPX_CPX(t4C, t0D);
            t9D = SUB_CPX_CPX(t5C, t1D);
            a7r = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t4C, t0D));
            a8r = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t5C, t1D));
            s8u = ADD_CPX_CPX(a7r, a8r);
            s9u = SUB_CPX_CPX(a8r, a7r);
            a9r = (dst + i2 + (8*i4));
            *(a9r) = ADD_CPX_CPX(t4D, t8D);
            *((a9r + 2048)) = ADD_CPX_CPX(t6D, t9D);
            *((a9r + 4096)) = SUB_CPX_CPX(t4D, t8D);
            *((a9r + 6144)) = SUB_CPX_CPX(t6D, t9D);
            *((a9r + 1024)) = ADD_CPX_CPX(t5D, s8u);
            *((a9r + 3072)) = ADD_CPX_CPX(t7D, s9u);
            *((a9r + 5120)) = SUB_CPX_CPX(t5D, s8u);
            *((a9r + 7168)) = SUB_CPX_CPX(t7D, s9u);
            t0E = ADD_CPX_CPX(t1C, s4u);
            t1E = ADD_CPX_CPX(t3C, s5u);
            t2E = SUB_CPX_CPX(t1C, s4u);
            t3E = SUB_CPX_CPX(t3C, s5u);
            t4E = ADD_CPX_CPX(s2u, s6u);
            t5E = SUB_CPX_CPX(s3u, s7u);
            a0s = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s2u, s6u));
            a1s = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s3u, s7u));
            s0v = ADD_CPX_CPX(a0s, a1s);
            s1v = SUB_CPX_CPX(a1s, a0s);
            *((a9r + 512)) = ADD_CPX_CPX(t0E, t4E);
            *((a9r + 2560)) = ADD_CPX_CPX(t2E, t5E);
            *((a9r + 4608)) = SUB_CPX_CPX(t0E, t4E);
            *((a9r + 6656)) = SUB_CPX_CPX(t2E, t5E);
            *((a9r + 1536)) = ADD_CPX_CPX(t1E, s0v);
            *((a9r + 3584)) = ADD_CPX_CPX(t3E, s1v);
            *((a9r + 5632)) = SUB_CPX_CPX(t1E, s0v);
            *((a9r + 7680)) = SUB_CPX_CPX(t3E, s1v);
            t6E = ADD_CPX_CPX(t6h, s6i);
            t7E = ADD_CPX_CPX(t8h, s7i);
            t8E = SUB_CPX_CPX(t6h, s6i);
            t9E = SUB_CPX_CPX(t8h, s7i);
            t0F = ADD_CPX_CPX(s68, s8s);
            t1F = SUB_CPX_CPX(s78, s9s);
            t2F = SUB_CPX_CPX(s68, s8s);
            t3F = ADD_CPX_CPX(s78, s9s);
            s2v = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t2F), MUL_FLT_CPX(C_FLT(0.38268343236508978), t3F));
            s3v = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t3F), MUL_FLT_CPX(C_FLT(0.38268343236508978), t2F));
            t4F = ADD_CPX_CPX(s0c, s4p);
            t5F = SUB_CPX_CPX(s1c, s5p);
            a2s = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s0c, s4p));
            a3s = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s1c, s5p));
            s4v = ADD_CPX_CPX(a2s, a3s);
            s5v = SUB_CPX_CPX(a3s, a2s);
            t6F = ADD_CPX_CPX(s4f, s0m);
            t7F = SUB_CPX_CPX(s5f, s1m);
            t8F = SUB_CPX_CPX(s4f, s0m);
            t9F = ADD_CPX_CPX(s5f, s1m);
            s6v = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t8F), MUL_FLT_CPX(C_FLT(0.92387953251128674), t9F));
            s7v = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t9F), MUL_FLT_CPX(C_FLT(0.92387953251128674), t8F));
            t0G = ADD_CPX_CPX(t6E, t4F);
            t1G = ADD_CPX_CPX(t8E, t5F);
            t2G = SUB_CPX_CPX(t6E, t4F);
            t3G = SUB_CPX_CPX(t8E, t5F);
            t4G = ADD_CPX_CPX(t0F, t6F);
            t5G = SUB_CPX_CPX(t1F, t7F);
            a4s = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0F, t6F));
            a5s = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t1F, t7F));
            s8v = ADD_CPX_CPX(a4s, a5s);
            s9v = SUB_CPX_CPX(a5s, a4s);
            *((a9r + 64)) = ADD_CPX_CPX(t0G, t4G);
            *((a9r + 2112)) = ADD_CPX_CPX(t2G, t5G);
            *((a9r + 4160)) = SUB_CPX_CPX(t0G, t4G);
            *((a9r + 6208)) = SUB_CPX_CPX(t2G, t5G);
            *((a9r + 1088)) = ADD_CPX_CPX(t1G, s8v);
            *((a9r + 3136)) = ADD_CPX_CPX(t3G, s9v);
            *((a9r + 5184)) = SUB_CPX_CPX(t1G, s8v);
            *((a9r + 7232)) = SUB_CPX_CPX(t3G, s9v);
            t6G = ADD_CPX_CPX(t7E, s4v);
            t7G = ADD_CPX_CPX(t9E, s5v);
            t8G = SUB_CPX_CPX(t7E, s4v);
            t9G = SUB_CPX_CPX(t9E, s5v);
            t0H = ADD_CPX_CPX(s2v, s6v);
            t1H = SUB_CPX_CPX(s3v, s7v);
            a6s = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s2v, s6v));
            a7s = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s3v, s7v));
            s0w = ADD_CPX_CPX(a6s, a7s);
            s1w = SUB_CPX_CPX(a7s, a6s);
            *((a9r + 576)) = ADD_CPX_CPX(t6G, t0H);
            *((a9r + 2624)) = ADD_CPX_CPX(t8G, t1H);
            *((a9r + 4672)) = SUB_CPX_CPX(t6G, t0H);
            *((a9r + 6720)) = SUB_CPX_CPX(t8G, t1H);
            *((a9r + 1600)) = ADD_CPX_CPX(t7G, s0w);
            *((a9r + 3648)) = ADD_CPX_CPX(t9G, s1w);
            *((a9r + 5696)) = SUB_CPX_CPX(t7G, s0w);
            *((a9r + 7744)) = SUB_CPX_CPX(t9G, s1w);
            t2H = ADD_CPX_CPX(t6g, s8i);
            t3H = ADD_CPX_CPX(t8g, s9i);
            t4H = SUB_CPX_CPX(t6g, s8i);
            t5H = SUB_CPX_CPX(t8g, s9i);
            t6H = ADD_CPX_CPX(s88, s0t);
            t7H = SUB_CPX_CPX(s98, s1t);
            t8H = SUB_CPX_CPX(s88, s0t);
            t9H = ADD_CPX_CPX(s98, s1t);
            s2w = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t8H), MUL_FLT_CPX(C_FLT(0.38268343236508978), t9H));
            s3w = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t9H), MUL_FLT_CPX(C_FLT(0.38268343236508978), t8H));
            t0I = ADD_CPX_CPX(s2c, s6p);
            t1I = SUB_CPX_CPX(s3c, s7p);
            a8s = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s2c, s6p));
            a9s = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s3c, s7p));
            s4w = ADD_CPX_CPX(a8s, a9s);
            s5w = SUB_CPX_CPX(a9s, a8s);
            t2I = ADD_CPX_CPX(s6f, s2m);
            t3I = SUB_CPX_CPX(s7f, s3m);
            t4I = SUB_CPX_CPX(s6f, s2m);
            t5I = ADD_CPX_CPX(s7f, s3m);
            s6w = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t4I), MUL_FLT_CPX(C_FLT(0.92387953251128674), t5I));
            s7w = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t5I), MUL_FLT_CPX(C_FLT(0.92387953251128674), t4I));
            t6I = ADD_CPX_CPX(t2H, t0I);
            t7I = ADD_CPX_CPX(t4H, t1I);
            t8I = SUB_CPX_CPX(t2H, t0I);
            t9I = SUB_CPX_CPX(t4H, t1I);
            t0J = ADD_CPX_CPX(t6H, t2I);
            t1J = SUB_CPX_CPX(t7H, t3I);
            a0t = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t6H, t2I));
            a1t = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t7H, t3I));
            s8w = ADD_CPX_CPX(a0t, a1t);
            s9w = SUB_CPX_CPX(a1t, a0t);
            *((a9r + 128)) = ADD_CPX_CPX(t6I, t0J);
            *((a9r + 2176)) = ADD_CPX_CPX(t8I, t1J);
            *((a9r + 4224)) = SUB_CPX_CPX(t6I, t0J);
            *((a9r + 6272)) = SUB_CPX_CPX(t8I, t1J);
            *((a9r + 1152)) = ADD_CPX_CPX(t7I, s8w);
            *((a9r + 3200)) = ADD_CPX_CPX(t9I, s9w);
            *((a9r + 5248)) = SUB_CPX_CPX(t7I, s8w);
            *((a9r + 7296)) = SUB_CPX_CPX(t9I, s9w);
            t2J = ADD_CPX_CPX(t3H, s4w);
            t3J = ADD_CPX_CPX(t5H, s5w);
            t4J = SUB_CPX_CPX(t3H, s4w);
            t5J = SUB_CPX_CPX(t5H, s5w);
            t6J = ADD_CPX_CPX(s2w, s6w);
            t7J = SUB_CPX_CPX(s3w, s7w);
            a2t = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s2w, s6w));
            a3t = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s3w, s7w));
            s0x = ADD_CPX_CPX(a2t, a3t);
            s1x = SUB_CPX_CPX(a3t, a2t);
            *((a9r + 640)) = ADD_CPX_CPX(t2J, t6J);
            *((a9r + 2688)) = ADD_CPX_CPX(t4J, t7J);
            *((a9r + 4736)) = SUB_CPX_CPX(t2J, t6J);
            *((a9r + 6784)) = SUB_CPX_CPX(t4J, t7J);
            *((a9r + 1664)) = ADD_CPX_CPX(t3J, s0x);
            *((a9r + 3712)) = ADD_CPX_CPX(t5J, s1x);
            *((a9r + 5760)) = SUB_CPX_CPX(t3J, s0x);
            *((a9r + 7808)) = SUB_CPX_CPX(t5J, s1x);
            t8J = ADD_CPX_CPX(t0i, s0j);
            t9J = ADD_CPX_CPX(t2i, s1j);
            t0K = SUB_CPX_CPX(t0i, s0j);
            t1K = SUB_CPX_CPX(t2i, s1j);
            t2K = ADD_CPX_CPX(s09, s2t);
            t3K = SUB_CPX_CPX(s19, s3t);
            t4K = SUB_CPX_CPX(s09, s2t);
            t5K = ADD_CPX_CPX(s19, s3t);
            s2x = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t4K), MUL_FLT_CPX(C_FLT(0.38268343236508978), t5K));
            s3x = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t5K), MUL_FLT_CPX(C_FLT(0.38268343236508978), t4K));
            t6K = ADD_CPX_CPX(s4c, s8p);
            t7K = SUB_CPX_CPX(s5c, s9p);
            a4t = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4c, s8p));
            a5t = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5c, s9p));
            s4x = ADD_CPX_CPX(a4t, a5t);
            s5x = SUB_CPX_CPX(a5t, a4t);
            t8K = ADD_CPX_CPX(s8f, s4m);
            t9K = SUB_CPX_CPX(s9f, s5m);
            t0L = SUB_CPX_CPX(s8f, s4m);
            t1L = ADD_CPX_CPX(s9f, s5m);
            s6x = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t0L), MUL_FLT_CPX(C_FLT(0.92387953251128674), t1L));
            s7x = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t1L), MUL_FLT_CPX(C_FLT(0.92387953251128674), t0L));
            t2L = ADD_CPX_CPX(t8J, t6K);
            t3L = ADD_CPX_CPX(t0K, t7K);
            t4L = SUB_CPX_CPX(t8J, t6K);
            t5L = SUB_CPX_CPX(t0K, t7K);
            t6L = ADD_CPX_CPX(t2K, t8K);
            t7L = SUB_CPX_CPX(t3K, t9K);
            a6t = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2K, t8K));
            a7t = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t3K, t9K));
            s8x = ADD_CPX_CPX(a6t, a7t);
            s9x = SUB_CPX_CPX(a7t, a6t);
            *((a9r + 192)) = ADD_CPX_CPX(t2L, t6L);
            *((a9r + 2240)) = ADD_CPX_CPX(t4L, t7L);
            *((a9r + 4288)) = SUB_CPX_CPX(t2L, t6L);
            *((a9r + 6336)) = SUB_CPX_CPX(t4L, t7L);
            *((a9r + 1216)) = ADD_CPX_CPX(t3L, s8x);
            *((a9r + 3264)) = ADD_CPX_CPX(t5L, s9x);
            *((a9r + 5312)) = SUB_CPX_CPX(t3L, s8x);
            *((a9r + 7360)) = SUB_CPX_CPX(t5L, s9x);
            t8L = ADD_CPX_CPX(t9J, s4x);
            t9L = ADD_CPX_CPX(t1K, s5x);
            t0M = SUB_CPX_CPX(t9J, s4x);
            t1M = SUB_CPX_CPX(t1K, s5x);
            t2M = ADD_CPX_CPX(s2x, s6x);
            t3M = SUB_CPX_CPX(s3x, s7x);
            a8t = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s2x, s6x));
            a9t = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s3x, s7x));
            s0y = ADD_CPX_CPX(a8t, a9t);
            s1y = SUB_CPX_CPX(a9t, a8t);
            *((a9r + 704)) = ADD_CPX_CPX(t8L, t2M);
            *((a9r + 2752)) = ADD_CPX_CPX(t0M, t3M);
            *((a9r + 4800)) = SUB_CPX_CPX(t8L, t2M);
            *((a9r + 6848)) = SUB_CPX_CPX(t0M, t3M);
            *((a9r + 1728)) = ADD_CPX_CPX(t9L, s0y);
            *((a9r + 3776)) = ADD_CPX_CPX(t1M, s1y);
            *((a9r + 5824)) = SUB_CPX_CPX(t9L, s0y);
            *((a9r + 7872)) = SUB_CPX_CPX(t1M, s1y);
            t4M = ADD_CPX_CPX(t3g, s2j);
            t5M = ADD_CPX_CPX(t5g, s3j);
            t6M = SUB_CPX_CPX(t3g, s2j);
            t7M = SUB_CPX_CPX(t5g, s3j);
            t8M = ADD_CPX_CPX(s29, s4t);
            t9M = SUB_CPX_CPX(s39, s5t);
            t0N = SUB_CPX_CPX(s29, s4t);
            t1N = ADD_CPX_CPX(s39, s5t);
            s2y = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t0N), MUL_FLT_CPX(C_FLT(0.38268343236508978), t1N));
            s3y = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t1N), MUL_FLT_CPX(C_FLT(0.38268343236508978), t0N));
            t2N = ADD_CPX_CPX(s6c, s0q);
            t3N = SUB_CPX_CPX(s7c, s1q);
            a0u = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s6c, s0q));
            a1u = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s7c, s1q));
            s4y = ADD_CPX_CPX(a0u, a1u);
            s5y = SUB_CPX_CPX(a1u, a0u);
            t4N = ADD_CPX_CPX(s0g, s6m);
            t5N = SUB_CPX_CPX(s1g, s7m);
            t6N = SUB_CPX_CPX(s0g, s6m);
            t7N = ADD_CPX_CPX(s1g, s7m);
            s6y = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t6N), MUL_FLT_CPX(C_FLT(0.92387953251128674), t7N));
            s7y = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t7N), MUL_FLT_CPX(C_FLT(0.92387953251128674), t6N));
            t8N = ADD_CPX_CPX(t4M, t2N);
            t9N = ADD_CPX_CPX(t6M, t3N);
            t0O = SUB_CPX_CPX(t4M, t2N);
            t1O = SUB_CPX_CPX(t6M, t3N);
            t2O = ADD_CPX_CPX(t8M, t4N);
            t3O = SUB_CPX_CPX(t9M, t5N);
            a2u = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8M, t4N));
            a3u = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t9M, t5N));
            s8y = ADD_CPX_CPX(a2u, a3u);
            s9y = SUB_CPX_CPX(a3u, a2u);
            *((a9r + 256)) = ADD_CPX_CPX(t8N, t2O);
            *((a9r + 2304)) = ADD_CPX_CPX(t0O, t3O);
            *((a9r + 4352)) = SUB_CPX_CPX(t8N, t2O);
            *((a9r + 6400)) = SUB_CPX_CPX(t0O, t3O);
            *((a9r + 1280)) = ADD_CPX_CPX(t9N, s8y);
            *((a9r + 3328)) = ADD_CPX_CPX(t1O, s9y);
            *((a9r + 5376)) = SUB_CPX_CPX(t9N, s8y);
            *((a9r + 7424)) = SUB_CPX_CPX(t1O, s9y);
            t4O = ADD_CPX_CPX(t5M, s4y);
            t5O = ADD_CPX_CPX(t7M, s5y);
            t6O = SUB_CPX_CPX(t5M, s4y);
            t7O = SUB_CPX_CPX(t7M, s5y);
            t8O = ADD_CPX_CPX(s2y, s6y);
            t9O = SUB_CPX_CPX(s3y, s7y);
            a4u = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s2y, s6y));
            a5u = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s3y, s7y));
            s0z = ADD_CPX_CPX(a4u, a5u);
            s1z = SUB_CPX_CPX(a5u, a4u);
            *((a9r + 768)) = ADD_CPX_CPX(t4O, t8O);
            *((a9r + 2816)) = ADD_CPX_CPX(t6O, t9O);
            *((a9r + 4864)) = SUB_CPX_CPX(t4O, t8O);
            *((a9r + 6912)) = SUB_CPX_CPX(t6O, t9O);
            *((a9r + 1792)) = ADD_CPX_CPX(t5O, s0z);
            *((a9r + 3840)) = ADD_CPX_CPX(t7O, s1z);
            *((a9r + 5888)) = SUB_CPX_CPX(t5O, s0z);
            *((a9r + 7936)) = SUB_CPX_CPX(t7O, s1z);
            t0P = ADD_CPX_CPX(t7h, s4j);
            t1P = ADD_CPX_CPX(t9h, s5j);
            t2P = SUB_CPX_CPX(t7h, s4j);
            t3P = SUB_CPX_CPX(t9h, s5j);
            t4P = ADD_CPX_CPX(s49, s6t);
            t5P = ADD_CPX_CPX(s59, s7t);
            t6P = SUB_CPX_CPX(s49, s6t);
            t7P = SUB_CPX_CPX(s59, s7t);
            s2z = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t6P), MUL_FLT_CPX(C_FLT(0.38268343236508978), t7P));
            s3z = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t7P), MUL_FLT_CPX(C_FLT(0.38268343236508978), t6P));
            t8P = ADD_CPX_CPX(s8c, s2q);
            t9P = SUB_CPX_CPX(s9c, s3q);
            a6u = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s8c, s2q));
            a7u = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s9c, s3q));
            s4z = ADD_CPX_CPX(a6u, a7u);
            s5z = SUB_CPX_CPX(a7u, a6u);
            t0Q = ADD_CPX_CPX(s2g, s8m);
            t1Q = SUB_CPX_CPX(s3g, s9m);
            t2Q = SUB_CPX_CPX(s2g, s8m);
            t3Q = ADD_CPX_CPX(s3g, s9m);
            s6z = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t2Q), MUL_FLT_CPX(C_FLT(0.92387953251128674), t3Q));
            s7z = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t3Q), MUL_FLT_CPX(C_FLT(0.92387953251128674), t2Q));
            t4Q = ADD_CPX_CPX(t0P, t8P);
            t5Q = ADD_CPX_CPX(t2P, t9P);
            t6Q = SUB_CPX_CPX(t0P, t8P);
            t7Q = SUB_CPX_CPX(t2P, t9P);
            t8Q = ADD_CPX_CPX(t4P, t0Q);
            t9Q = SUB_CPX_CPX(t5P, t1Q);
            a8u = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t4P, t0Q));
            a9u = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t5P, t1Q));
            s8z = ADD_CPX_CPX(a8u, a9u);
            s9z = SUB_CPX_CPX(a9u, a8u);
            *((a9r + 320)) = ADD_CPX_CPX(t4Q, t8Q);
            *((a9r + 2368)) = ADD_CPX_CPX(t6Q, t9Q);
            *((a9r + 4416)) = SUB_CPX_CPX(t4Q, t8Q);
            *((a9r + 6464)) = SUB_CPX_CPX(t6Q, t9Q);
            *((a9r + 1344)) = ADD_CPX_CPX(t5Q, s8z);
            *((a9r + 3392)) = ADD_CPX_CPX(t7Q, s9z);
            *((a9r + 5440)) = SUB_CPX_CPX(t5Q, s8z);
            *((a9r + 7488)) = SUB_CPX_CPX(t7Q, s9z);
            t0R = ADD_CPX_CPX(t1P, s4z);
            t1R = ADD_CPX_CPX(t3P, s5z);
            t2R = SUB_CPX_CPX(t1P, s4z);
            t3R = SUB_CPX_CPX(t3P, s5z);
            t4R = ADD_CPX_CPX(s2z, s6z);
            t5R = SUB_CPX_CPX(s3z, s7z);
            a0v = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s2z, s6z));
            a1v = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s3z, s7z));
            s0A = ADD_CPX_CPX(a0v, a1v);
            s1A = SUB_CPX_CPX(a1v, a0v);
            *((a9r + 832)) = ADD_CPX_CPX(t0R, t4R);
            *((a9r + 2880)) = ADD_CPX_CPX(t2R, t5R);
            *((a9r + 4928)) = SUB_CPX_CPX(t0R, t4R);
            *((a9r + 6976)) = SUB_CPX_CPX(t2R, t5R);
            *((a9r + 1856)) = ADD_CPX_CPX(t1R, s0A);
            *((a9r + 3904)) = ADD_CPX_CPX(t3R, s1A);
            *((a9r + 5952)) = SUB_CPX_CPX(t1R, s0A);
            *((a9r + 8000)) = SUB_CPX_CPX(t3R, s1A);
            t6R = ADD_CPX_CPX(t7g, s6j);
            t7R = ADD_CPX_CPX(t9g, s7j);
            t8R = SUB_CPX_CPX(t7g, s6j);
            t9R = SUB_CPX_CPX(t9g, s7j);
            t0S = ADD_CPX_CPX(s69, s8t);
            t1S = ADD_CPX_CPX(s79, s9t);
            t2S = SUB_CPX_CPX(s69, s8t);
            t3S = SUB_CPX_CPX(s79, s9t);
            s2A = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t2S), MUL_FLT_CPX(C_FLT(0.38268343236508978), t3S));
            s3A = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t3S), MUL_FLT_CPX(C_FLT(0.38268343236508978), t2S));
            t4S = ADD_CPX_CPX(s0d, s4q);
            t5S = ADD_CPX_CPX(s1d, s5q);
            a2v = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s0d, s4q));
            a3v = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s1d, s5q));
            s4A = ADD_CPX_CPX(a2v, a3v);
            s5A = SUB_CPX_CPX(a3v, a2v);
            t6S = ADD_CPX_CPX(s4g, s0n);
            t7S = SUB_CPX_CPX(s5g, s1n);
            t8S = SUB_CPX_CPX(s4g, s0n);
            t9S = ADD_CPX_CPX(s5g, s1n);
            s6A = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t8S), MUL_FLT_CPX(C_FLT(0.92387953251128674), t9S));
            s7A = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t9S), MUL_FLT_CPX(C_FLT(0.92387953251128674), t8S));
            t0T = ADD_CPX_CPX(t6R, t4S);
            t1T = ADD_CPX_CPX(t8R, t5S);
            t2T = SUB_CPX_CPX(t6R, t4S);
            t3T = SUB_CPX_CPX(t8R, t5S);
            t4T = ADD_CPX_CPX(t0S, t6S);
            t5T = SUB_CPX_CPX(t1S, t7S);
            a4v = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0S, t6S));
            a5v = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t1S, t7S));
            s8A = ADD_CPX_CPX(a4v, a5v);
            s9A = SUB_CPX_CPX(a5v, a4v);
            *((a9r + 384)) = ADD_CPX_CPX(t0T, t4T);
            *((a9r + 2432)) = ADD_CPX_CPX(t2T, t5T);
            *((a9r + 4480)) = SUB_CPX_CPX(t0T, t4T);
            *((a9r + 6528)) = SUB_CPX_CPX(t2T, t5T);
            *((a9r + 1408)) = ADD_CPX_CPX(t1T, s8A);
            *((a9r + 3456)) = ADD_CPX_CPX(t3T, s9A);
            *((a9r + 5504)) = SUB_CPX_CPX(t1T, s8A);
            *((a9r + 7552)) = SUB_CPX_CPX(t3T, s9A);
            t6T = ADD_CPX_CPX(t7R, s4A);
            t7T = ADD_CPX_CPX(t9R, s5A);
            t8T = SUB_CPX_CPX(t7R, s4A);
            t9T = SUB_CPX_CPX(t9R, s5A);
            t0U = ADD_CPX_CPX(s2A, s6A);
            t1U = SUB_CPX_CPX(s3A, s7A);
            a6v = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s2A, s6A));
            a7v = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s3A, s7A));
            s0B = ADD_CPX_CPX(a6v, a7v);
            s1B = SUB_CPX_CPX(a7v, a6v);
            *((a9r + 896)) = ADD_CPX_CPX(t6T, t0U);
            *((a9r + 2944)) = ADD_CPX_CPX(t8T, t1U);
            *((a9r + 4992)) = SUB_CPX_CPX(t6T, t0U);
            *((a9r + 7040)) = SUB_CPX_CPX(t8T, t1U);
            *((a9r + 1920)) = ADD_CPX_CPX(t7T, s0B);
            *((a9r + 3968)) = ADD_CPX_CPX(t9T, s1B);
            *((a9r + 6016)) = SUB_CPX_CPX(t7T, s0B);
            *((a9r + 8064)) = SUB_CPX_CPX(t9T, s1B);
            t2U = ADD_CPX_CPX(t1i, s8j);
            t3U = ADD_CPX_CPX(t3i, s9j);
            t4U = SUB_CPX_CPX(t1i, s8j);
            t5U = SUB_CPX_CPX(t3i, s9j);
            t6U = ADD_CPX_CPX(s89, s0u);
            t7U = ADD_CPX_CPX(s99, s1u);
            t8U = SUB_CPX_CPX(s89, s0u);
            t9U = SUB_CPX_CPX(s99, s1u);
            s2B = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t8U), MUL_FLT_CPX(C_FLT(0.38268343236508978), t9U));
            s3B = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t9U), MUL_FLT_CPX(C_FLT(0.38268343236508978), t8U));
            t0V = ADD_CPX_CPX(s2d, s6q);
            t1V = ADD_CPX_CPX(s3d, s7q);
            a8v = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s2d, s6q));
            a9v = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s3d, s7q));
            s4B = ADD_CPX_CPX(a8v, a9v);
            s5B = SUB_CPX_CPX(a9v, a8v);
            t2V = ADD_CPX_CPX(s6g, s2n);
            t3V = ADD_CPX_CPX(s7g, s3n);
            t4V = SUB_CPX_CPX(s6g, s2n);
            t5V = SUB_CPX_CPX(s7g, s3n);
            s6B = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t4V), MUL_FLT_CPX(C_FLT(0.92387953251128674), t5V));
            s7B = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t5V), MUL_FLT_CPX(C_FLT(0.92387953251128674), t4V));
            t6V = ADD_CPX_CPX(t2U, t0V);
            t7V = ADD_CPX_CPX(t4U, t1V);
            t8V = SUB_CPX_CPX(t2U, t0V);
            t9V = SUB_CPX_CPX(t4U, t1V);
            t0W = ADD_CPX_CPX(t6U, t2V);
            t1W = SUB_CPX_CPX(t7U, t3V);
            a0w = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t6U, t2V));
            a1w = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t7U, t3V));
            s8B = ADD_CPX_CPX(a0w, a1w);
            s9B = SUB_CPX_CPX(a1w, a0w);
            *((a9r + 448)) = ADD_CPX_CPX(t6V, t0W);
            *((a9r + 2496)) = ADD_CPX_CPX(t8V, t1W);
            *((a9r + 4544)) = SUB_CPX_CPX(t6V, t0W);
            *((a9r + 6592)) = SUB_CPX_CPX(t8V, t1W);
            *((a9r + 1472)) = ADD_CPX_CPX(t7V, s8B);
            *((a9r + 3520)) = ADD_CPX_CPX(t9V, s9B);
            *((a9r + 5568)) = SUB_CPX_CPX(t7V, s8B);
            *((a9r + 7616)) = SUB_CPX_CPX(t9V, s9B);
            t2W = ADD_CPX_CPX(t3U, s4B);
            t3W = ADD_CPX_CPX(t5U, s5B);
            t4W = SUB_CPX_CPX(t3U, s4B);
            t5W = SUB_CPX_CPX(t5U, s5B);
            t6W = ADD_CPX_CPX(s2B, s6B);
            t7W = SUB_CPX_CPX(s3B, s7B);
            a2w = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s2B, s6B));
            a3w = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s3B, s7B));
            s0C = ADD_CPX_CPX(a2w, a3w);
            s1C = SUB_CPX_CPX(a3w, a2w);
            *((a9r + 960)) = ADD_CPX_CPX(t2W, t6W);
            *((a9r + 3008)) = ADD_CPX_CPX(t4W, t7W);
            *((a9r + 5056)) = SUB_CPX_CPX(t2W, t6W);
            *((a9r + 7104)) = SUB_CPX_CPX(t4W, t7W);
            *((a9r + 1984)) = ADD_CPX_CPX(t3W, s0C);
            *((a9r + 4032)) = ADD_CPX_CPX(t5W, s1C);
            *((a9r + 6080)) = SUB_CPX_CPX(t3W, s0C);
            *((a9r + 8128)) = SUB_CPX_CPX(t5W, s1C);
        }}
    }}
    }
    
    return SPIRAL_OK;
    }
}

SPIRAL_API(spiral_status_t, spiral_fftfwd_double_2)(const double *pSrc, double *pDst ) {
    const double  *src = (const double *) pSrc; 
    double        *dst = (double *) pDst;
    
    
    {const double  *a, *a2, *a3;
    a = (src + 2);
    a2 = (src + 1);
    a3 = (src + 3);
    *(dst) = (*(src) + *(a));
    *((dst + 1)) = (*(a2) + *(a3));
    *((dst + 2)) = (*(src) - *(a));
    *((dst + 3)) = (*(a2) - *(a3));
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_fftfwd_double_4)(const double *pSrc, double *pDst ) {
    const double  *src = (const double *) pSrc; 
    double        *dst = (double *) pDst;
    
    
    {const double  *a, *a2, *a3, *a4, *a5, *a6, *a7;
    double t, t2, t3, t4, t5, t6, t7, t8;
    a = (src + 4);
    t = (*(src) + *(a));
    a2 = (src + 1);
    a3 = (src + 5);
    t2 = (*(a2) + *(a3));
    t3 = (*(src) - *(a));
    t4 = (*(a2) - *(a3));
    a4 = (src + 2);
    a5 = (src + 6);
    t5 = (*(a4) + *(a5));
    a6 = (src + 3);
    a7 = (src + 7);
    t6 = (*(a6) + *(a7));
    t7 = (*(a4) - *(a5));
    t8 = (*(a6) - *(a7));
    *(dst) = (t + t5);
    *((dst + 1)) = (t2 + t6);
    *((dst + 4)) = (t - t5);
    *((dst + 5)) = (t2 - t6);
    *((dst + 2)) = (t3 + t8);
    *((dst + 3)) = (t4 - t7);
    *((dst + 6)) = (t3 - t8);
    *((dst + 7)) = (t4 + t7);
    }
    
    return SPIRAL_OK;
}

SPIRAL_PRIV(spiral_status_t, spiral_fftfwd_double_8_unaligned)(const double *pSrc, double *pDst ) {
    const CPX  *src = (const CPX *) pSrc; 
    CPX        *dst = (CPX *) pDst;
    
    
    {CPX a, a2, s, s01, s11, s2, s3, s4, s5, s6, s7, s8, s9, t, t01, t02, t11, t12, t2, t21, t3, t31
        , t4, t41, t5, t51, t6, t61, t7, t71, t8, t81, t9, t91;
    s = LOADU_CPX(src);
    s2 = LOADU_CPX((src + 4));
    t = ADD_CPX_CPX(s, s2);
    t2 = SUB_CPX_CPX(s, s2);
    s3 = LOADU_CPX((src + 2));
    s4 = LOADU_CPX((src + 6));
    t3 = ADD_CPX_CPX(s3, s4);
    s5 = MUL_NI_CPX(SUB_CPX_CPX(s3, s4));
    t4 = ADD_CPX_CPX(t, t3);
    t5 = SUB_CPX_CPX(t, t3);
    t6 = ADD_CPX_CPX(t2, s5);
    t7 = SUB_CPX_CPX(t2, s5);
    s6 = LOADU_CPX((src + 1));
    s7 = LOADU_CPX((src + 7));
    t8 = ADD_CPX_CPX(s6, s7);
    t9 = ADD_CPX_CPX(MUL_I_CPX(s6), MUL_NI_CPX(s7));
    s8 = LOADU_CPX((src + 5));
    s9 = LOADU_CPX((src + 3));
    t01 = ADD_CPX_CPX(s8, s9);
    t11 = ADD_CPX_CPX(MUL_I_CPX(s8), MUL_NI_CPX(s9));
    t21 = ADD_CPX_CPX(t8, t01);
    t31 = ADD_CPX_CPX(t9, t11);
    a = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8, t01));
    a2 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9, t11));
    s01 = SUB_CPX_CPX(a, a2);
    s11 = ADD_CPX_CPX(a, a2);
    t41 = ADD_CPX_CPX(t4, t21);
    t51 = SUB_CPX_CPX(t5, t31);
    t61 = SUB_CPX_CPX(t4, t21);
    t71 = ADD_CPX_CPX(t5, t31);
    STOREU_CPX(dst, t41);
    STOREU_CPX((dst + 2), t51);
    STOREU_CPX((dst + 4), t61);
    STOREU_CPX((dst + 6), t71);
    t81 = ADD_CPX_CPX(t6, s01);
    t91 = SUB_CPX_CPX(t7, s11);
    t02 = SUB_CPX_CPX(t6, s01);
    t12 = ADD_CPX_CPX(t7, s11);
    STOREU_CPX((dst + 1), t81);
    STOREU_CPX((dst + 3), t91);
    STOREU_CPX((dst + 5), t02);
    STOREU_CPX((dst + 7), t12);
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_fftfwd_double_8)(const double *pSrc, double *pDst ) {
    if (!is_aligned(pSrc) || !is_aligned(pDst))
       	return spiral_fftfwd_double_8_unaligned(pSrc, pDst );
    else {
    const CPX  *src = (const CPX *) pSrc; 
    CPX        *dst = (CPX *) pDst;
    
    
    {const CPX  *a, *a2, *a3, *a4, *a5, *a6, *a7;
    CPX a8, a9, s, s2, s3, t, t01, t11, t2, t21, t3, t31, t4, t5, t6, t7, t8, t9;
    a = (src + 4);
    t = ADD_CPX_CPX(*(src), *(a));
    t2 = SUB_CPX_CPX(*(src), *(a));
    a2 = (src + 2);
    a3 = (src + 6);
    t3 = ADD_CPX_CPX(*(a2), *(a3));
    s = MUL_NI_CPX(SUB_CPX_CPX(*(a2), *(a3)));
    t4 = ADD_CPX_CPX(t, t3);
    t5 = SUB_CPX_CPX(t, t3);
    t6 = ADD_CPX_CPX(t2, s);
    t7 = SUB_CPX_CPX(t2, s);
    a4 = (src + 1);
    a5 = (src + 7);
    t8 = ADD_CPX_CPX(*(a4), *(a5));
    t9 = ADD_CPX_CPX(MUL_I_CPX(*(a4)), MUL_NI_CPX(*(a5)));
    a6 = (src + 5);
    a7 = (src + 3);
    t01 = ADD_CPX_CPX(*(a6), *(a7));
    t11 = ADD_CPX_CPX(MUL_I_CPX(*(a6)), MUL_NI_CPX(*(a7)));
    t21 = ADD_CPX_CPX(t8, t01);
    t31 = ADD_CPX_CPX(t9, t11);
    a8 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8, t01));
    a9 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9, t11));
    s2 = SUB_CPX_CPX(a8, a9);
    s3 = ADD_CPX_CPX(a8, a9);
    *(dst) = ADD_CPX_CPX(t4, t21);
    *((dst + 2)) = SUB_CPX_CPX(t5, t31);
    *((dst + 4)) = SUB_CPX_CPX(t4, t21);
    *((dst + 6)) = ADD_CPX_CPX(t5, t31);
    *((dst + 1)) = ADD_CPX_CPX(t6, s2);
    *((dst + 3)) = SUB_CPX_CPX(t7, s3);
    *((dst + 5)) = SUB_CPX_CPX(t6, s2);
    *((dst + 7)) = ADD_CPX_CPX(t7, s3);
    }
    
    return SPIRAL_OK;
    }
}

SPIRAL_PRIV(spiral_status_t, spiral_fftfwd_double_16_unaligned)(const double *pSrc, double *pDst ) {
    const CPX  *src = (const CPX *) pSrc; 
    CPX        *dst = (CPX *) pDst;
    
    
    {CPX a, a2, a3, a4, s, s01, s02, s11, s12, s2, s21, s22, s3, s31, s32, s4, s41, s42, s5, s51, s52, s6
        , s61, s7, s71, s8, s81, s9, s91, t, t01, t02, t03, t04, t05, t11, t12, t13, t14, t15, t2, t21, t22, t23
        , t24, t25, t3, t31, t32, t33, t34, t35, t4, t41, t42, t43, t44, t45, t5, t51, t52, t53, t54, t55, t6, t61
        , t62, t63, t64, t65, t7, t71, t72, t73, t74, t75, t8, t81, t82, t83, t84, t85, t9, t91, t92, t93, t94, t95;
    s = LOADU_CPX(src);
    s2 = LOADU_CPX((src + 8));
    t = ADD_CPX_CPX(s, s2);
    t2 = SUB_CPX_CPX(s, s2);
    s3 = LOADU_CPX((src + 4));
    s4 = LOADU_CPX((src + 12));
    t3 = ADD_CPX_CPX(s3, s4);
    s5 = MUL_NI_CPX(SUB_CPX_CPX(s3, s4));
    t4 = ADD_CPX_CPX(t, t3);
    t5 = SUB_CPX_CPX(t, t3);
    t6 = ADD_CPX_CPX(t2, s5);
    t7 = SUB_CPX_CPX(t2, s5);
    s6 = LOADU_CPX((src + 2));
    s7 = LOADU_CPX((src + 14));
    t8 = ADD_CPX_CPX(s6, s7);
    t9 = ADD_CPX_CPX(MUL_I_CPX(s6), MUL_NI_CPX(s7));
    s8 = LOADU_CPX((src + 10));
    s9 = LOADU_CPX((src + 6));
    t01 = ADD_CPX_CPX(s8, s9);
    t11 = ADD_CPX_CPX(MUL_I_CPX(s8), MUL_NI_CPX(s9));
    t21 = ADD_CPX_CPX(t8, t01);
    t31 = ADD_CPX_CPX(t9, t11);
    a = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8, t01));
    a2 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9, t11));
    s01 = SUB_CPX_CPX(a, a2);
    s11 = ADD_CPX_CPX(a, a2);
    t41 = ADD_CPX_CPX(t4, t21);
    t51 = SUB_CPX_CPX(t5, t31);
    t61 = SUB_CPX_CPX(t4, t21);
    t71 = ADD_CPX_CPX(t5, t31);
    t81 = ADD_CPX_CPX(t6, s01);
    t91 = SUB_CPX_CPX(t7, s11);
    t02 = SUB_CPX_CPX(t6, s01);
    t12 = ADD_CPX_CPX(t7, s11);
    s21 = LOADU_CPX((src + 1));
    s31 = LOADU_CPX((src + 15));
    t22 = ADD_CPX_CPX(s21, s31);
    t32 = ADD_CPX_CPX(MUL_I_CPX(s21), MUL_NI_CPX(s31));
    s41 = LOADU_CPX((src + 5));
    s51 = LOADU_CPX((src + 11));
    t42 = ADD_CPX_CPX(s41, s51);
    t52 = ADD_CPX_CPX(MUL_I_CPX(s41), MUL_NI_CPX(s51));
    s61 = LOADU_CPX((src + 9));
    s71 = LOADU_CPX((src + 7));
    t62 = ADD_CPX_CPX(s61, s71);
    t72 = ADD_CPX_CPX(MUL_I_CPX(s61), MUL_NI_CPX(s71));
    s81 = LOADU_CPX((src + 13));
    s91 = LOADU_CPX((src + 3));
    t82 = ADD_CPX_CPX(s81, s91);
    t92 = ADD_CPX_CPX(MUL_I_CPX(s81), MUL_NI_CPX(s91));
    t03 = ADD_CPX_CPX(t22, t62);
    t13 = ADD_CPX_CPX(t32, t72);
    t23 = SUB_CPX_CPX(t22, t62);
    t33 = SUB_CPX_CPX(t32, t72);
    t43 = ADD_CPX_CPX(t42, t82);
    t53 = ADD_CPX_CPX(t52, t92);
    t63 = SUB_CPX_CPX(t42, t82);
    t73 = SUB_CPX_CPX(t52, t92);
    t83 = ADD_CPX_CPX(t03, t43);
    t93 = ADD_CPX_CPX(t13, t53);
    t04 = SUB_CPX_CPX(t23, t73);
    t14 = ADD_CPX_CPX(t33, t63);
    t24 = ADD_CPX_CPX(t23, t73);
    t34 = SUB_CPX_CPX(t33, t63);
    s02 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t04), MUL_FLT_CPX(C_FLT(0.38268343236508978), t14));
    s12 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t04), MUL_FLT_CPX(C_FLT(0.92387953251128674), t14));
    a3 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t03, t43));
    a4 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t13, t53));
    s22 = SUB_CPX_CPX(a3, a4);
    s32 = ADD_CPX_CPX(a3, a4);
    s42 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t24), MUL_FLT_CPX(C_FLT(0.92387953251128674), t34));
    s52 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t24), MUL_FLT_CPX(C_FLT(0.38268343236508978), t34));
    t44 = ADD_CPX_CPX(t41, t83);
    t54 = SUB_CPX_CPX(t61, t93);
    t64 = SUB_CPX_CPX(t41, t83);
    t74 = ADD_CPX_CPX(t61, t93);
    STOREU_CPX(dst, t44);
    STOREU_CPX((dst + 4), t54);
    STOREU_CPX((dst + 8), t64);
    STOREU_CPX((dst + 12), t74);
    t84 = ADD_CPX_CPX(t81, s02);
    t94 = SUB_CPX_CPX(t02, s12);
    t05 = SUB_CPX_CPX(t81, s02);
    t15 = ADD_CPX_CPX(t02, s12);
    STOREU_CPX((dst + 1), t84);
    STOREU_CPX((dst + 5), t94);
    STOREU_CPX((dst + 9), t05);
    STOREU_CPX((dst + 13), t15);
    t25 = ADD_CPX_CPX(t51, s22);
    t35 = SUB_CPX_CPX(t71, s32);
    t45 = SUB_CPX_CPX(t51, s22);
    t55 = ADD_CPX_CPX(t71, s32);
    STOREU_CPX((dst + 2), t25);
    STOREU_CPX((dst + 6), t35);
    STOREU_CPX((dst + 10), t45);
    STOREU_CPX((dst + 14), t55);
    t65 = ADD_CPX_CPX(t91, s42);
    t75 = SUB_CPX_CPX(t12, s52);
    t85 = SUB_CPX_CPX(t91, s42);
    t95 = ADD_CPX_CPX(t12, s52);
    STOREU_CPX((dst + 3), t65);
    STOREU_CPX((dst + 7), t75);
    STOREU_CPX((dst + 11), t85);
    STOREU_CPX((dst + 15), t95);
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_fftfwd_double_16)(const double *pSrc, double *pDst ) {
    if (!is_aligned(pSrc) || !is_aligned(pDst))
       	return spiral_fftfwd_double_16_unaligned(pSrc, pDst );
    else {
    const CPX  *src = (const CPX *) pSrc; 
    CPX        *dst = (CPX *) pDst;
    
    
    {const CPX  *a, *a01, *a11, *a2, *a21, *a3, *a31, *a4, *a41, *a5, *a51, *a6, *a61, *a7, *a71;
    CPX a8, a81, a9, a91, s, s2, s3, s4, s5, s6, s7, s8, s9, t, t01, t02, t03, t04, t11, t12, t13, t14
        , t2, t21, t22, t23, t24, t3, t31, t32, t33, t34, t4, t41, t42, t43, t5, t51, t52, t53, t6, t61, t62, t63
        , t7, t71, t72, t73, t8, t81, t82, t83, t9, t91, t92, t93;
    a = (src + 8);
    t = ADD_CPX_CPX(*(src), *(a));
    t2 = SUB_CPX_CPX(*(src), *(a));
    a2 = (src + 4);
    a3 = (src + 12);
    t3 = ADD_CPX_CPX(*(a2), *(a3));
    s = MUL_NI_CPX(SUB_CPX_CPX(*(a2), *(a3)));
    t4 = ADD_CPX_CPX(t, t3);
    t5 = SUB_CPX_CPX(t, t3);
    t6 = ADD_CPX_CPX(t2, s);
    t7 = SUB_CPX_CPX(t2, s);
    a4 = (src + 2);
    a5 = (src + 14);
    t8 = ADD_CPX_CPX(*(a4), *(a5));
    t9 = ADD_CPX_CPX(MUL_I_CPX(*(a4)), MUL_NI_CPX(*(a5)));
    a6 = (src + 10);
    a7 = (src + 6);
    t01 = ADD_CPX_CPX(*(a6), *(a7));
    t11 = ADD_CPX_CPX(MUL_I_CPX(*(a6)), MUL_NI_CPX(*(a7)));
    t21 = ADD_CPX_CPX(t8, t01);
    t31 = ADD_CPX_CPX(t9, t11);
    a8 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8, t01));
    a9 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9, t11));
    s2 = SUB_CPX_CPX(a8, a9);
    s3 = ADD_CPX_CPX(a8, a9);
    t41 = ADD_CPX_CPX(t4, t21);
    t51 = SUB_CPX_CPX(t5, t31);
    t61 = SUB_CPX_CPX(t4, t21);
    t71 = ADD_CPX_CPX(t5, t31);
    t81 = ADD_CPX_CPX(t6, s2);
    t91 = SUB_CPX_CPX(t7, s3);
    t02 = SUB_CPX_CPX(t6, s2);
    t12 = ADD_CPX_CPX(t7, s3);
    a01 = (src + 1);
    a11 = (src + 15);
    t22 = ADD_CPX_CPX(*(a01), *(a11));
    t32 = ADD_CPX_CPX(MUL_I_CPX(*(a01)), MUL_NI_CPX(*(a11)));
    a21 = (src + 5);
    a31 = (src + 11);
    t42 = ADD_CPX_CPX(*(a21), *(a31));
    t52 = ADD_CPX_CPX(MUL_I_CPX(*(a21)), MUL_NI_CPX(*(a31)));
    a41 = (src + 9);
    a51 = (src + 7);
    t62 = ADD_CPX_CPX(*(a41), *(a51));
    t72 = ADD_CPX_CPX(MUL_I_CPX(*(a41)), MUL_NI_CPX(*(a51)));
    a61 = (src + 13);
    a71 = (src + 3);
    t82 = ADD_CPX_CPX(*(a61), *(a71));
    t92 = ADD_CPX_CPX(MUL_I_CPX(*(a61)), MUL_NI_CPX(*(a71)));
    t03 = ADD_CPX_CPX(t22, t62);
    t13 = ADD_CPX_CPX(t32, t72);
    t23 = SUB_CPX_CPX(t22, t62);
    t33 = SUB_CPX_CPX(t32, t72);
    t43 = ADD_CPX_CPX(t42, t82);
    t53 = ADD_CPX_CPX(t52, t92);
    t63 = SUB_CPX_CPX(t42, t82);
    t73 = SUB_CPX_CPX(t52, t92);
    t83 = ADD_CPX_CPX(t03, t43);
    t93 = ADD_CPX_CPX(t13, t53);
    t04 = SUB_CPX_CPX(t23, t73);
    t14 = ADD_CPX_CPX(t33, t63);
    t24 = ADD_CPX_CPX(t23, t73);
    t34 = SUB_CPX_CPX(t33, t63);
    s4 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t04), MUL_FLT_CPX(C_FLT(0.38268343236508978), t14));
    s5 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t04), MUL_FLT_CPX(C_FLT(0.92387953251128674), t14));
    a81 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t03, t43));
    a91 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t13, t53));
    s6 = SUB_CPX_CPX(a81, a91);
    s7 = ADD_CPX_CPX(a81, a91);
    s8 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t24), MUL_FLT_CPX(C_FLT(0.92387953251128674), t34));
    s9 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t24), MUL_FLT_CPX(C_FLT(0.38268343236508978), t34));
    *(dst) = ADD_CPX_CPX(t41, t83);
    *((dst + 4)) = SUB_CPX_CPX(t61, t93);
    *((dst + 8)) = SUB_CPX_CPX(t41, t83);
    *((dst + 12)) = ADD_CPX_CPX(t61, t93);
    *((dst + 1)) = ADD_CPX_CPX(t81, s4);
    *((dst + 5)) = SUB_CPX_CPX(t02, s5);
    *((dst + 9)) = SUB_CPX_CPX(t81, s4);
    *((dst + 13)) = ADD_CPX_CPX(t02, s5);
    *((dst + 2)) = ADD_CPX_CPX(t51, s6);
    *((dst + 6)) = SUB_CPX_CPX(t71, s7);
    *((dst + 10)) = SUB_CPX_CPX(t51, s6);
    *((dst + 14)) = ADD_CPX_CPX(t71, s7);
    *((dst + 3)) = ADD_CPX_CPX(t91, s8);
    *((dst + 7)) = SUB_CPX_CPX(t12, s9);
    *((dst + 11)) = SUB_CPX_CPX(t91, s8);
    *((dst + 15)) = ADD_CPX_CPX(t12, s9);
    }
    
    return SPIRAL_OK;
    }
}

SPIRAL_PRIV(spiral_status_t, spiral_fftfwd_double_32_unaligned)(const double *pSrc, double *pDst ) {
    const CPX  *src = (const CPX *) pSrc; 
    CPX        *dst = (CPX *) pDst;
    
    
    {CPX a, a01, a11, a2, a21, a3, a4, a5, a6, a7, a8, a9, s, s01, s02, s03, s04, s05, s06, s11, s12, s13
        , s14, s15, s16, s2, s21, s22, s23, s24, s25, s3, s31, s32, s33, s34, s35, s4, s41, s42, s43, s44, s45, s5
        , s51, s52, s53, s54, s55, s6, s61, s62, s63, s64, s65, s7, s71, s72, s73, s74, s75, s8, s81, s82, s83, s84
        , s85, s9, s91, s92, s93, s94, s95, t, t01, t02, t03, t04, t05, t06, t07, t08, t09, t0a, t0b, t0c, t0d, t0e
        , t11, t12, t13, t14, t15, t16, t17, t18, t19, t1a, t1b, t1c, t1d, t1e, t2, t21, t22, t23, t24, t25, t26, t27
        , t28, t29, t2a, t2b, t2c, t2d, t2e, t3, t31, t32, t33, t34, t35, t36, t37, t38, t39, t3a, t3b, t3c, t3d, t3e
        , t4, t41, t42, t43, t44, t45, t46, t47, t48, t49, t4a, t4b, t4c, t4d, t4e, t5, t51, t52, t53, t54, t55, t56
        , t57, t58, t59, t5a, t5b, t5c, t5d, t5e, t6, t61, t62, t63, t64, t65, t66, t67, t68, t69, t6a, t6b, t6c, t6d
        , t6e, t7, t71, t72, t73, t74, t75, t76, t77, t78, t79, t7a, t7b, t7c, t7d, t7e, t8, t81, t82, t83, t84, t85
        , t86, t87, t88, t89, t8a, t8b, t8c, t8d, t9, t91, t92, t93, t94, t95, t96, t97, t98, t99, t9a, t9b, t9c, t9d;
    s = LOADU_CPX(src);
    s2 = LOADU_CPX((src + 16));
    t = ADD_CPX_CPX(s, s2);
    t2 = SUB_CPX_CPX(s, s2);
    s3 = LOADU_CPX((src + 8));
    s4 = LOADU_CPX((src + 24));
    t3 = ADD_CPX_CPX(s3, s4);
    s5 = MUL_NI_CPX(SUB_CPX_CPX(s3, s4));
    t4 = ADD_CPX_CPX(t, t3);
    t5 = SUB_CPX_CPX(t, t3);
    t6 = ADD_CPX_CPX(t2, s5);
    t7 = SUB_CPX_CPX(t2, s5);
    s6 = LOADU_CPX((src + 4));
    s7 = LOADU_CPX((src + 28));
    t8 = ADD_CPX_CPX(s6, s7);
    t9 = ADD_CPX_CPX(MUL_I_CPX(s6), MUL_NI_CPX(s7));
    s8 = LOADU_CPX((src + 20));
    s9 = LOADU_CPX((src + 12));
    t01 = ADD_CPX_CPX(s8, s9);
    t11 = ADD_CPX_CPX(MUL_I_CPX(s8), MUL_NI_CPX(s9));
    t21 = ADD_CPX_CPX(t8, t01);
    t31 = ADD_CPX_CPX(t9, t11);
    a = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8, t01));
    a2 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9, t11));
    s01 = SUB_CPX_CPX(a, a2);
    s11 = ADD_CPX_CPX(a, a2);
    t41 = ADD_CPX_CPX(t4, t21);
    t51 = SUB_CPX_CPX(t5, t31);
    t61 = SUB_CPX_CPX(t4, t21);
    t71 = ADD_CPX_CPX(t5, t31);
    t81 = ADD_CPX_CPX(t6, s01);
    t91 = SUB_CPX_CPX(t7, s11);
    t02 = SUB_CPX_CPX(t6, s01);
    t12 = ADD_CPX_CPX(t7, s11);
    s21 = LOADU_CPX((src + 1));
    s31 = LOADU_CPX((src + 31));
    t22 = ADD_CPX_CPX(s21, s31);
    t32 = ADD_CPX_CPX(MUL_I_CPX(s21), MUL_NI_CPX(s31));
    s41 = LOADU_CPX((src + 9));
    s51 = LOADU_CPX((src + 23));
    t42 = ADD_CPX_CPX(s41, s51);
    t52 = ADD_CPX_CPX(MUL_I_CPX(s41), MUL_NI_CPX(s51));
    s61 = LOADU_CPX((src + 17));
    s71 = LOADU_CPX((src + 15));
    t62 = ADD_CPX_CPX(s61, s71);
    t72 = ADD_CPX_CPX(MUL_I_CPX(s61), MUL_NI_CPX(s71));
    s81 = LOADU_CPX((src + 25));
    s91 = LOADU_CPX((src + 7));
    t82 = ADD_CPX_CPX(s81, s91);
    t92 = ADD_CPX_CPX(MUL_I_CPX(s81), MUL_NI_CPX(s91));
    t03 = ADD_CPX_CPX(t22, t62);
    t13 = ADD_CPX_CPX(t32, t72);
    t23 = SUB_CPX_CPX(t22, t62);
    t33 = SUB_CPX_CPX(t32, t72);
    t43 = ADD_CPX_CPX(t42, t82);
    t53 = ADD_CPX_CPX(t52, t92);
    t63 = SUB_CPX_CPX(t42, t82);
    t73 = SUB_CPX_CPX(t52, t92);
    t83 = ADD_CPX_CPX(t03, t43);
    t93 = ADD_CPX_CPX(t13, t53);
    t04 = SUB_CPX_CPX(t03, t43);
    t14 = SUB_CPX_CPX(t13, t53);
    t24 = SUB_CPX_CPX(t23, t73);
    t34 = ADD_CPX_CPX(t33, t63);
    t44 = ADD_CPX_CPX(t23, t73);
    t54 = SUB_CPX_CPX(t33, t63);
    s02 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t24), MUL_FLT_CPX(C_FLT(0.19509032201612828), t34));
    s12 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), t24), MUL_FLT_CPX(C_FLT(0.98078528040323043), t34));
    s22 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t04), MUL_FLT_CPX(C_FLT(0.38268343236508978), t14));
    s32 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t04), MUL_FLT_CPX(C_FLT(0.92387953251128674), t14));
    s42 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t44), MUL_FLT_CPX(C_FLT(0.55557023301960218), t54));
    s52 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), t44), MUL_FLT_CPX(C_FLT(0.83146961230254524), t54));
    s62 = LOADU_CPX((src + 2));
    s72 = LOADU_CPX((src + 30));
    t64 = ADD_CPX_CPX(s62, s72);
    t74 = ADD_CPX_CPX(MUL_I_CPX(s62), MUL_NI_CPX(s72));
    s82 = LOADU_CPX((src + 10));
    s92 = LOADU_CPX((src + 22));
    t84 = ADD_CPX_CPX(s82, s92);
    t94 = ADD_CPX_CPX(MUL_I_CPX(s82), MUL_NI_CPX(s92));
    s03 = LOADU_CPX((src + 18));
    s13 = LOADU_CPX((src + 14));
    t05 = ADD_CPX_CPX(s03, s13);
    t15 = ADD_CPX_CPX(MUL_I_CPX(s03), MUL_NI_CPX(s13));
    s23 = LOADU_CPX((src + 26));
    s33 = LOADU_CPX((src + 6));
    t25 = ADD_CPX_CPX(s23, s33);
    t35 = ADD_CPX_CPX(MUL_I_CPX(s23), MUL_NI_CPX(s33));
    t45 = ADD_CPX_CPX(t64, t05);
    t55 = ADD_CPX_CPX(t74, t15);
    t65 = SUB_CPX_CPX(t64, t05);
    t75 = SUB_CPX_CPX(t74, t15);
    t85 = ADD_CPX_CPX(t84, t25);
    t95 = ADD_CPX_CPX(t94, t35);
    t06 = SUB_CPX_CPX(t84, t25);
    t16 = SUB_CPX_CPX(t94, t35);
    t26 = ADD_CPX_CPX(t45, t85);
    t36 = ADD_CPX_CPX(t55, t95);
    t46 = SUB_CPX_CPX(t65, t16);
    t56 = ADD_CPX_CPX(t75, t06);
    t66 = ADD_CPX_CPX(t65, t16);
    t76 = SUB_CPX_CPX(t75, t06);
    s43 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t46), MUL_FLT_CPX(C_FLT(0.38268343236508978), t56));
    s53 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t46), MUL_FLT_CPX(C_FLT(0.92387953251128674), t56));
    a3 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t45, t85));
    a4 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t55, t95));
    s63 = SUB_CPX_CPX(a3, a4);
    s73 = ADD_CPX_CPX(a3, a4);
    s83 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t66), MUL_FLT_CPX(C_FLT(0.92387953251128674), t76));
    s93 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t66), MUL_FLT_CPX(C_FLT(0.38268343236508978), t76));
    s04 = LOADU_CPX((src + 3));
    s14 = LOADU_CPX((src + 29));
    t86 = ADD_CPX_CPX(s04, s14);
    t96 = ADD_CPX_CPX(MUL_I_CPX(s04), MUL_NI_CPX(s14));
    s24 = LOADU_CPX((src + 11));
    s34 = LOADU_CPX((src + 21));
    t07 = ADD_CPX_CPX(s24, s34);
    t17 = ADD_CPX_CPX(MUL_I_CPX(s24), MUL_NI_CPX(s34));
    s44 = LOADU_CPX((src + 19));
    s54 = LOADU_CPX((src + 13));
    t27 = ADD_CPX_CPX(s44, s54);
    t37 = ADD_CPX_CPX(MUL_I_CPX(s44), MUL_NI_CPX(s54));
    s64 = LOADU_CPX((src + 27));
    s74 = LOADU_CPX((src + 5));
    t47 = ADD_CPX_CPX(s64, s74);
    t57 = ADD_CPX_CPX(MUL_I_CPX(s64), MUL_NI_CPX(s74));
    t67 = ADD_CPX_CPX(t86, t27);
    t77 = ADD_CPX_CPX(t96, t37);
    t87 = SUB_CPX_CPX(t86, t27);
    t97 = SUB_CPX_CPX(t96, t37);
    t08 = ADD_CPX_CPX(t07, t47);
    t18 = ADD_CPX_CPX(t17, t57);
    t28 = SUB_CPX_CPX(t07, t47);
    t38 = SUB_CPX_CPX(t17, t57);
    t48 = ADD_CPX_CPX(t67, t08);
    t58 = ADD_CPX_CPX(t77, t18);
    t68 = SUB_CPX_CPX(t67, t08);
    t78 = SUB_CPX_CPX(t77, t18);
    t88 = SUB_CPX_CPX(t87, t38);
    t98 = ADD_CPX_CPX(t97, t28);
    t09 = ADD_CPX_CPX(t87, t38);
    t19 = SUB_CPX_CPX(t97, t28);
    s84 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t88), MUL_FLT_CPX(C_FLT(0.55557023301960218), t98));
    s94 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), t88), MUL_FLT_CPX(C_FLT(0.83146961230254524), t98));
    s05 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t68), MUL_FLT_CPX(C_FLT(0.92387953251128674), t78));
    s15 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t68), MUL_FLT_CPX(C_FLT(0.38268343236508978), t78));
    s25 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), t09), MUL_FLT_CPX(C_FLT(0.98078528040323043), t19));
    s35 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t09), MUL_FLT_CPX(C_FLT(0.19509032201612828), t19));
    t29 = ADD_CPX_CPX(t41, t26);
    t39 = SUB_CPX_CPX(t61, t36);
    t49 = SUB_CPX_CPX(t41, t26);
    t59 = ADD_CPX_CPX(t61, t36);
    t69 = ADD_CPX_CPX(t83, t48);
    t79 = SUB_CPX_CPX(t93, t58);
    a5 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t83, t48));
    a6 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t93, t58));
    s45 = SUB_CPX_CPX(a5, a6);
    s55 = ADD_CPX_CPX(a5, a6);
    t89 = ADD_CPX_CPX(t29, t69);
    t99 = SUB_CPX_CPX(t49, t79);
    t0a = SUB_CPX_CPX(t29, t69);
    t1a = ADD_CPX_CPX(t49, t79);
    STOREU_CPX(dst, t89);
    STOREU_CPX((dst + 8), t99);
    STOREU_CPX((dst + 16), t0a);
    STOREU_CPX((dst + 24), t1a);
    t2a = ADD_CPX_CPX(t39, s45);
    t3a = SUB_CPX_CPX(t59, s55);
    t4a = SUB_CPX_CPX(t39, s45);
    t5a = ADD_CPX_CPX(t59, s55);
    STOREU_CPX((dst + 4), t2a);
    STOREU_CPX((dst + 12), t3a);
    STOREU_CPX((dst + 20), t4a);
    STOREU_CPX((dst + 28), t5a);
    t6a = ADD_CPX_CPX(t81, s43);
    t7a = SUB_CPX_CPX(t02, s53);
    t8a = SUB_CPX_CPX(t81, s43);
    t9a = ADD_CPX_CPX(t02, s53);
    t0b = ADD_CPX_CPX(s02, s84);
    t1b = SUB_CPX_CPX(s12, s94);
    a7 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s02, s84));
    a8 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s12, s94));
    s65 = SUB_CPX_CPX(a7, a8);
    s75 = ADD_CPX_CPX(a7, a8);
    t2b = ADD_CPX_CPX(t6a, t0b);
    t3b = SUB_CPX_CPX(t8a, t1b);
    t4b = SUB_CPX_CPX(t6a, t0b);
    t5b = ADD_CPX_CPX(t8a, t1b);
    STOREU_CPX((dst + 1), t2b);
    STOREU_CPX((dst + 9), t3b);
    STOREU_CPX((dst + 17), t4b);
    STOREU_CPX((dst + 25), t5b);
    t6b = ADD_CPX_CPX(t7a, s65);
    t7b = SUB_CPX_CPX(t9a, s75);
    t8b = SUB_CPX_CPX(t7a, s65);
    t9b = ADD_CPX_CPX(t9a, s75);
    STOREU_CPX((dst + 5), t6b);
    STOREU_CPX((dst + 13), t7b);
    STOREU_CPX((dst + 21), t8b);
    STOREU_CPX((dst + 29), t9b);
    t0c = ADD_CPX_CPX(t51, s63);
    t1c = SUB_CPX_CPX(t71, s73);
    t2c = SUB_CPX_CPX(t51, s63);
    t3c = ADD_CPX_CPX(t71, s73);
    t4c = ADD_CPX_CPX(s22, s05);
    t5c = SUB_CPX_CPX(s32, s15);
    a9 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s22, s05));
    a01 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s32, s15));
    s85 = SUB_CPX_CPX(a9, a01);
    s95 = ADD_CPX_CPX(a9, a01);
    t6c = ADD_CPX_CPX(t0c, t4c);
    t7c = SUB_CPX_CPX(t2c, t5c);
    t8c = SUB_CPX_CPX(t0c, t4c);
    t9c = ADD_CPX_CPX(t2c, t5c);
    STOREU_CPX((dst + 2), t6c);
    STOREU_CPX((dst + 10), t7c);
    STOREU_CPX((dst + 18), t8c);
    STOREU_CPX((dst + 26), t9c);
    t0d = ADD_CPX_CPX(t1c, s85);
    t1d = SUB_CPX_CPX(t3c, s95);
    t2d = SUB_CPX_CPX(t1c, s85);
    t3d = ADD_CPX_CPX(t3c, s95);
    STOREU_CPX((dst + 6), t0d);
    STOREU_CPX((dst + 14), t1d);
    STOREU_CPX((dst + 22), t2d);
    STOREU_CPX((dst + 30), t3d);
    t4d = ADD_CPX_CPX(t91, s83);
    t5d = SUB_CPX_CPX(t12, s93);
    t6d = SUB_CPX_CPX(t91, s83);
    t7d = ADD_CPX_CPX(t12, s93);
    t8d = SUB_CPX_CPX(s42, s25);
    t9d = SUB_CPX_CPX(s52, s35);
    a11 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s42, s25));
    a21 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s52, s35));
    s06 = SUB_CPX_CPX(a11, a21);
    s16 = ADD_CPX_CPX(a11, a21);
    t0e = ADD_CPX_CPX(t4d, t8d);
    t1e = SUB_CPX_CPX(t6d, t9d);
    t2e = SUB_CPX_CPX(t4d, t8d);
    t3e = ADD_CPX_CPX(t6d, t9d);
    STOREU_CPX((dst + 3), t0e);
    STOREU_CPX((dst + 11), t1e);
    STOREU_CPX((dst + 19), t2e);
    STOREU_CPX((dst + 27), t3e);
    t4e = ADD_CPX_CPX(t5d, s06);
    t5e = SUB_CPX_CPX(t7d, s16);
    t6e = SUB_CPX_CPX(t5d, s06);
    t7e = ADD_CPX_CPX(t7d, s16);
    STOREU_CPX((dst + 7), t4e);
    STOREU_CPX((dst + 15), t5e);
    STOREU_CPX((dst + 23), t6e);
    STOREU_CPX((dst + 31), t7e);
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_fftfwd_double_32)(const double *pSrc, double *pDst ) {
    if (!is_aligned(pSrc) || !is_aligned(pDst))
       	return spiral_fftfwd_double_32_unaligned(pSrc, pDst );
    else {
    const CPX  *src = (const CPX *) pSrc; 
    CPX        *dst = (CPX *) pDst;
    
    
    {const CPX  *a, *a01, *a02, *a03, *a11, *a12, *a13, *a2, *a21, *a22, *a23, *a3, *a31, *a32, *a33, *a4, *a41, *a42, *a43, *a5, *a51, *a52
            , *a53, *a6, *a61, *a7, *a71, *a81, *a82, *a91, *a92;
    CPX a04, a14, a24, a34, a62, a63, a72, a73, a8, a83, a9, a93, s, s01, s02, s11, s12, s2, s21, s22, s3, s31
        , s32, s4, s41, s42, s5, s51, s52, s6, s61, s62, s7, s71, s72, s8, s81, s82, s9, s91, s92, t, t01, t02
        , t03, t04, t05, t06, t07, t08, t09, t0a, t0b, t11, t12, t13, t14, t15, t16, t17, t18, t19, t1a, t1b, t2, t21
        , t22, t23, t24, t25, t26, t27, t28, t29, t2a, t2b, t3, t31, t32, t33, t34, t35, t36, t37, t38, t39, t3a, t3b
        , t4, t41, t42, t43, t44, t45, t46, t47, t48, t49, t4a, t4b, t5, t51, t52, t53, t54, t55, t56, t57, t58, t59
        , t5a, t5b, t6, t61, t62, t63, t64, t65, t66, t67, t68, t69, t6a, t7, t71, t72, t73, t74, t75, t76, t77, t78
        , t79, t7a, t8, t81, t82, t83, t84, t85, t86, t87, t88, t89, t8a, t9, t91, t92, t93, t94, t95, t96, t97, t98
        , t99, t9a;
    a = (src + 16);
    t = ADD_CPX_CPX(*(src), *(a));
    t2 = SUB_CPX_CPX(*(src), *(a));
    a2 = (src + 8);
    a3 = (src + 24);
    t3 = ADD_CPX_CPX(*(a2), *(a3));
    s = MUL_NI_CPX(SUB_CPX_CPX(*(a2), *(a3)));
    t4 = ADD_CPX_CPX(t, t3);
    t5 = SUB_CPX_CPX(t, t3);
    t6 = ADD_CPX_CPX(t2, s);
    t7 = SUB_CPX_CPX(t2, s);
    a4 = (src + 4);
    a5 = (src + 28);
    t8 = ADD_CPX_CPX(*(a4), *(a5));
    t9 = ADD_CPX_CPX(MUL_I_CPX(*(a4)), MUL_NI_CPX(*(a5)));
    a6 = (src + 20);
    a7 = (src + 12);
    t01 = ADD_CPX_CPX(*(a6), *(a7));
    t11 = ADD_CPX_CPX(MUL_I_CPX(*(a6)), MUL_NI_CPX(*(a7)));
    t21 = ADD_CPX_CPX(t8, t01);
    t31 = ADD_CPX_CPX(t9, t11);
    a8 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8, t01));
    a9 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9, t11));
    s2 = SUB_CPX_CPX(a8, a9);
    s3 = ADD_CPX_CPX(a8, a9);
    t41 = ADD_CPX_CPX(t4, t21);
    t51 = SUB_CPX_CPX(t5, t31);
    t61 = SUB_CPX_CPX(t4, t21);
    t71 = ADD_CPX_CPX(t5, t31);
    t81 = ADD_CPX_CPX(t6, s2);
    t91 = SUB_CPX_CPX(t7, s3);
    t02 = SUB_CPX_CPX(t6, s2);
    t12 = ADD_CPX_CPX(t7, s3);
    a01 = (src + 1);
    a11 = (src + 31);
    t22 = ADD_CPX_CPX(*(a01), *(a11));
    t32 = ADD_CPX_CPX(MUL_I_CPX(*(a01)), MUL_NI_CPX(*(a11)));
    a21 = (src + 9);
    a31 = (src + 23);
    t42 = ADD_CPX_CPX(*(a21), *(a31));
    t52 = ADD_CPX_CPX(MUL_I_CPX(*(a21)), MUL_NI_CPX(*(a31)));
    a41 = (src + 17);
    a51 = (src + 15);
    t62 = ADD_CPX_CPX(*(a41), *(a51));
    t72 = ADD_CPX_CPX(MUL_I_CPX(*(a41)), MUL_NI_CPX(*(a51)));
    a61 = (src + 25);
    a71 = (src + 7);
    t82 = ADD_CPX_CPX(*(a61), *(a71));
    t92 = ADD_CPX_CPX(MUL_I_CPX(*(a61)), MUL_NI_CPX(*(a71)));
    t03 = ADD_CPX_CPX(t22, t62);
    t13 = ADD_CPX_CPX(t32, t72);
    t23 = SUB_CPX_CPX(t22, t62);
    t33 = SUB_CPX_CPX(t32, t72);
    t43 = ADD_CPX_CPX(t42, t82);
    t53 = ADD_CPX_CPX(t52, t92);
    t63 = SUB_CPX_CPX(t42, t82);
    t73 = SUB_CPX_CPX(t52, t92);
    t83 = ADD_CPX_CPX(t03, t43);
    t93 = ADD_CPX_CPX(t13, t53);
    t04 = SUB_CPX_CPX(t03, t43);
    t14 = SUB_CPX_CPX(t13, t53);
    t24 = SUB_CPX_CPX(t23, t73);
    t34 = ADD_CPX_CPX(t33, t63);
    t44 = ADD_CPX_CPX(t23, t73);
    t54 = SUB_CPX_CPX(t33, t63);
    s4 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t24), MUL_FLT_CPX(C_FLT(0.19509032201612828), t34));
    s5 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), t24), MUL_FLT_CPX(C_FLT(0.98078528040323043), t34));
    s6 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t04), MUL_FLT_CPX(C_FLT(0.38268343236508978), t14));
    s7 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t04), MUL_FLT_CPX(C_FLT(0.92387953251128674), t14));
    s8 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t44), MUL_FLT_CPX(C_FLT(0.55557023301960218), t54));
    s9 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), t44), MUL_FLT_CPX(C_FLT(0.83146961230254524), t54));
    a81 = (src + 2);
    a91 = (src + 30);
    t64 = ADD_CPX_CPX(*(a81), *(a91));
    t74 = ADD_CPX_CPX(MUL_I_CPX(*(a81)), MUL_NI_CPX(*(a91)));
    a02 = (src + 10);
    a12 = (src + 22);
    t84 = ADD_CPX_CPX(*(a02), *(a12));
    t94 = ADD_CPX_CPX(MUL_I_CPX(*(a02)), MUL_NI_CPX(*(a12)));
    a22 = (src + 18);
    a32 = (src + 14);
    t05 = ADD_CPX_CPX(*(a22), *(a32));
    t15 = ADD_CPX_CPX(MUL_I_CPX(*(a22)), MUL_NI_CPX(*(a32)));
    a42 = (src + 26);
    a52 = (src + 6);
    t25 = ADD_CPX_CPX(*(a42), *(a52));
    t35 = ADD_CPX_CPX(MUL_I_CPX(*(a42)), MUL_NI_CPX(*(a52)));
    t45 = ADD_CPX_CPX(t64, t05);
    t55 = ADD_CPX_CPX(t74, t15);
    t65 = SUB_CPX_CPX(t64, t05);
    t75 = SUB_CPX_CPX(t74, t15);
    t85 = ADD_CPX_CPX(t84, t25);
    t95 = ADD_CPX_CPX(t94, t35);
    t06 = SUB_CPX_CPX(t84, t25);
    t16 = SUB_CPX_CPX(t94, t35);
    t26 = ADD_CPX_CPX(t45, t85);
    t36 = ADD_CPX_CPX(t55, t95);
    t46 = SUB_CPX_CPX(t65, t16);
    t56 = ADD_CPX_CPX(t75, t06);
    t66 = ADD_CPX_CPX(t65, t16);
    t76 = SUB_CPX_CPX(t75, t06);
    s01 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t46), MUL_FLT_CPX(C_FLT(0.38268343236508978), t56));
    s11 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t46), MUL_FLT_CPX(C_FLT(0.92387953251128674), t56));
    a62 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t45, t85));
    a72 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t55, t95));
    s21 = SUB_CPX_CPX(a62, a72);
    s31 = ADD_CPX_CPX(a62, a72);
    s41 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t66), MUL_FLT_CPX(C_FLT(0.92387953251128674), t76));
    s51 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t66), MUL_FLT_CPX(C_FLT(0.38268343236508978), t76));
    a82 = (src + 3);
    a92 = (src + 29);
    t86 = ADD_CPX_CPX(*(a82), *(a92));
    t96 = ADD_CPX_CPX(MUL_I_CPX(*(a82)), MUL_NI_CPX(*(a92)));
    a03 = (src + 11);
    a13 = (src + 21);
    t07 = ADD_CPX_CPX(*(a03), *(a13));
    t17 = ADD_CPX_CPX(MUL_I_CPX(*(a03)), MUL_NI_CPX(*(a13)));
    a23 = (src + 19);
    a33 = (src + 13);
    t27 = ADD_CPX_CPX(*(a23), *(a33));
    t37 = ADD_CPX_CPX(MUL_I_CPX(*(a23)), MUL_NI_CPX(*(a33)));
    a43 = (src + 27);
    a53 = (src + 5);
    t47 = ADD_CPX_CPX(*(a43), *(a53));
    t57 = ADD_CPX_CPX(MUL_I_CPX(*(a43)), MUL_NI_CPX(*(a53)));
    t67 = ADD_CPX_CPX(t86, t27);
    t77 = ADD_CPX_CPX(t96, t37);
    t87 = SUB_CPX_CPX(t86, t27);
    t97 = SUB_CPX_CPX(t96, t37);
    t08 = ADD_CPX_CPX(t07, t47);
    t18 = ADD_CPX_CPX(t17, t57);
    t28 = SUB_CPX_CPX(t07, t47);
    t38 = SUB_CPX_CPX(t17, t57);
    t48 = ADD_CPX_CPX(t67, t08);
    t58 = ADD_CPX_CPX(t77, t18);
    t68 = SUB_CPX_CPX(t67, t08);
    t78 = SUB_CPX_CPX(t77, t18);
    t88 = SUB_CPX_CPX(t87, t38);
    t98 = ADD_CPX_CPX(t97, t28);
    t09 = ADD_CPX_CPX(t87, t38);
    t19 = SUB_CPX_CPX(t97, t28);
    s61 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t88), MUL_FLT_CPX(C_FLT(0.55557023301960218), t98));
    s71 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), t88), MUL_FLT_CPX(C_FLT(0.83146961230254524), t98));
    s81 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t68), MUL_FLT_CPX(C_FLT(0.92387953251128674), t78));
    s91 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t68), MUL_FLT_CPX(C_FLT(0.38268343236508978), t78));
    s02 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), t09), MUL_FLT_CPX(C_FLT(0.98078528040323043), t19));
    s12 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t09), MUL_FLT_CPX(C_FLT(0.19509032201612828), t19));
    t29 = ADD_CPX_CPX(t41, t26);
    t39 = SUB_CPX_CPX(t61, t36);
    t49 = SUB_CPX_CPX(t41, t26);
    t59 = ADD_CPX_CPX(t61, t36);
    t69 = ADD_CPX_CPX(t83, t48);
    t79 = SUB_CPX_CPX(t93, t58);
    a63 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t83, t48));
    a73 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t93, t58));
    s22 = SUB_CPX_CPX(a63, a73);
    s32 = ADD_CPX_CPX(a63, a73);
    *(dst) = ADD_CPX_CPX(t29, t69);
    *((dst + 8)) = SUB_CPX_CPX(t49, t79);
    *((dst + 16)) = SUB_CPX_CPX(t29, t69);
    *((dst + 24)) = ADD_CPX_CPX(t49, t79);
    *((dst + 4)) = ADD_CPX_CPX(t39, s22);
    *((dst + 12)) = SUB_CPX_CPX(t59, s32);
    *((dst + 20)) = SUB_CPX_CPX(t39, s22);
    *((dst + 28)) = ADD_CPX_CPX(t59, s32);
    t89 = ADD_CPX_CPX(t81, s01);
    t99 = SUB_CPX_CPX(t02, s11);
    t0a = SUB_CPX_CPX(t81, s01);
    t1a = ADD_CPX_CPX(t02, s11);
    t2a = ADD_CPX_CPX(s4, s61);
    t3a = SUB_CPX_CPX(s5, s71);
    a83 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4, s61));
    a93 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5, s71));
    s42 = SUB_CPX_CPX(a83, a93);
    s52 = ADD_CPX_CPX(a83, a93);
    *((dst + 1)) = ADD_CPX_CPX(t89, t2a);
    *((dst + 9)) = SUB_CPX_CPX(t0a, t3a);
    *((dst + 17)) = SUB_CPX_CPX(t89, t2a);
    *((dst + 25)) = ADD_CPX_CPX(t0a, t3a);
    *((dst + 5)) = ADD_CPX_CPX(t99, s42);
    *((dst + 13)) = SUB_CPX_CPX(t1a, s52);
    *((dst + 21)) = SUB_CPX_CPX(t99, s42);
    *((dst + 29)) = ADD_CPX_CPX(t1a, s52);
    t4a = ADD_CPX_CPX(t51, s21);
    t5a = SUB_CPX_CPX(t71, s31);
    t6a = SUB_CPX_CPX(t51, s21);
    t7a = ADD_CPX_CPX(t71, s31);
    t8a = ADD_CPX_CPX(s6, s81);
    t9a = SUB_CPX_CPX(s7, s91);
    a04 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s6, s81));
    a14 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s7, s91));
    s62 = SUB_CPX_CPX(a04, a14);
    s72 = ADD_CPX_CPX(a04, a14);
    *((dst + 2)) = ADD_CPX_CPX(t4a, t8a);
    *((dst + 10)) = SUB_CPX_CPX(t6a, t9a);
    *((dst + 18)) = SUB_CPX_CPX(t4a, t8a);
    *((dst + 26)) = ADD_CPX_CPX(t6a, t9a);
    *((dst + 6)) = ADD_CPX_CPX(t5a, s62);
    *((dst + 14)) = SUB_CPX_CPX(t7a, s72);
    *((dst + 22)) = SUB_CPX_CPX(t5a, s62);
    *((dst + 30)) = ADD_CPX_CPX(t7a, s72);
    t0b = ADD_CPX_CPX(t91, s41);
    t1b = SUB_CPX_CPX(t12, s51);
    t2b = SUB_CPX_CPX(t91, s41);
    t3b = ADD_CPX_CPX(t12, s51);
    t4b = SUB_CPX_CPX(s8, s02);
    t5b = SUB_CPX_CPX(s9, s12);
    a24 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s8, s02));
    a34 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s9, s12));
    s82 = SUB_CPX_CPX(a24, a34);
    s92 = ADD_CPX_CPX(a24, a34);
    *((dst + 3)) = ADD_CPX_CPX(t0b, t4b);
    *((dst + 11)) = SUB_CPX_CPX(t2b, t5b);
    *((dst + 19)) = SUB_CPX_CPX(t0b, t4b);
    *((dst + 27)) = ADD_CPX_CPX(t2b, t5b);
    *((dst + 7)) = ADD_CPX_CPX(t1b, s82);
    *((dst + 15)) = SUB_CPX_CPX(t3b, s92);
    *((dst + 23)) = SUB_CPX_CPX(t1b, s82);
    *((dst + 31)) = ADD_CPX_CPX(t3b, s92);
    }
    
    return SPIRAL_OK;
    }
}

SPIRAL_PRIV(spiral_status_t, spiral_fftfwd_double_64_unaligned)(const double *pSrc, double *pDst ) {
    const CPX  *src = (const CPX *) pSrc; 
    CPX        *dst = (CPX *) pDst;
    
    
    {CPX a, a01, a02, a11, a12, a2, a21, a22, a3, a31, a32, a4, a41, a42, a5, a51, a52, a6, a61, a62, a7, a71
        , a72, a8, a81, a82, a9, a91, s, s01, s02, s03, s04, s05, s06, s07, s08, s09, s0a, s0b, s0c, s0d, s0e, s11
        , s12, s13, s14, s15, s16, s17, s18, s19, s1a, s1b, s1c, s1d, s1e, s2, s21, s22, s23, s24, s25, s26, s27, s28
        , s29, s2a, s2b, s2c, s2d, s2e, s3, s31, s32, s33, s34, s35, s36, s37, s38, s39, s3a, s3b, s3c, s3d, s3e, s4
        , s41, s42, s43, s44, s45, s46, s47, s48, s49, s4a, s4b, s4c, s4d, s4e, s5, s51, s52, s53, s54, s55, s56, s57
        , s58, s59, s5a, s5b, s5c, s5d, s5e, s6, s61, s62, s63, s64, s65, s66, s67, s68, s69, s6a, s6b, s6c, s6d, s6e
        , s7, s71, s72, s73, s74, s75, s76, s77, s78, s79, s7a, s7b, s7c, s7d, s7e, s8, s81, s82, s83, s84, s85, s86
        , s87, s88, s89, s8a, s8b, s8c, s8d, s8e, s9, s91, s92, s93, s94, s95, s96, s97, s98, s99, s9a, s9b, s9c, s9d
        , s9e, t, t01, t02, t03, t04, t05, t06, t07, t08, t09, t0a, t0b, t0c, t0d, t0e, t0f, t0g, t0h, t0i, t0j, t0k
        , t0l, t0m, t0n, t0o, t0p, t0q, t0r, t0s, t0t, t0u, t0v, t0w, t0x, t0y, t0z, t11, t12, t13, t14, t15, t16, t17
        , t18, t19, t1a, t1b, t1c, t1d, t1e, t1f, t1g, t1h, t1i, t1j, t1k, t1l, t1m, t1n, t1o, t1p, t1q, t1r, t1s, t1t
        , t1u, t1v, t1w, t1x, t1y, t1z, t2, t21, t22, t23, t24, t25, t26, t27, t28, t29, t2a, t2b, t2c, t2d, t2e, t2f
        , t2g, t2h, t2i, t2j, t2k, t2l, t2m, t2n, t2o, t2p, t2q, t2r, t2s, t2t, t2u, t2v, t2w, t2x, t2y, t2z, t3, t31
        , t32, t33, t34, t35, t36, t37, t38, t39, t3a, t3b, t3c, t3d, t3e, t3f, t3g, t3h, t3i, t3j, t3k, t3l, t3m, t3n
        , t3o, t3p, t3q, t3r, t3s, t3t, t3u, t3v, t3w, t3x, t3y, t3z, t4, t41, t42, t43, t44, t45, t46, t47, t48, t49
        , t4a, t4b, t4c, t4d, t4e, t4f, t4g, t4h, t4i, t4j, t4k, t4l, t4m, t4n, t4o, t4p, t4q, t4r, t4s, t4t, t4u, t4v
        , t4w, t4x, t4y, t4z, t5, t51, t52, t53, t54, t55, t56, t57, t58, t59, t5a, t5b, t5c, t5d, t5e, t5f, t5g, t5h
        , t5i, t5j, t5k, t5l, t5m, t5n, t5o, t5p, t5q, t5r, t5s, t5t, t5u, t5v, t5w, t5x, t5y, t5z, t6, t61, t62, t63
        , t64, t65, t66, t67, t68, t69, t6a, t6b, t6c, t6d, t6e, t6f, t6g, t6h, t6i, t6j, t6k, t6l, t6m, t6n, t6o, t6p
        , t6q, t6r, t6s, t6t, t6u, t6v, t6w, t6x, t6y, t7, t71, t72, t73, t74, t75, t76, t77, t78, t79, t7a, t7b, t7c
        , t7d, t7e, t7f, t7g, t7h, t7i, t7j, t7k, t7l, t7m, t7n, t7o, t7p, t7q, t7r, t7s, t7t, t7u, t7v, t7w, t7x, t7y
        , t8, t81, t82, t83, t84, t85, t86, t87, t88, t89, t8a, t8b, t8c, t8d, t8e, t8f, t8g, t8h, t8i, t8j, t8k, t8l
        , t8m, t8n, t8o, t8p, t8q, t8r, t8s, t8t, t8u, t8v, t8w, t8x, t8y, t9, t91, t92, t93, t94, t95, t96, t97, t98
        , t99, t9a, t9b, t9c, t9d, t9e, t9f, t9g, t9h, t9i, t9j, t9k, t9l, t9m, t9n, t9o, t9p, t9q, t9r, t9s, t9t, t9u
        , t9v, t9w, t9x, t9y;
    s = LOADU_CPX(src);
    s2 = LOADU_CPX((src + 32));
    t = ADD_CPX_CPX(s, s2);
    t2 = SUB_CPX_CPX(s, s2);
    s3 = LOADU_CPX((src + 16));
    s4 = LOADU_CPX((src + 48));
    t3 = ADD_CPX_CPX(s3, s4);
    s5 = MUL_NI_CPX(SUB_CPX_CPX(s3, s4));
    t4 = ADD_CPX_CPX(t, t3);
    t5 = SUB_CPX_CPX(t, t3);
    t6 = ADD_CPX_CPX(t2, s5);
    t7 = SUB_CPX_CPX(t2, s5);
    s6 = LOADU_CPX((src + 8));
    s7 = LOADU_CPX((src + 56));
    t8 = ADD_CPX_CPX(s6, s7);
    t9 = ADD_CPX_CPX(MUL_I_CPX(s6), MUL_NI_CPX(s7));
    s8 = LOADU_CPX((src + 40));
    s9 = LOADU_CPX((src + 24));
    t01 = ADD_CPX_CPX(s8, s9);
    t11 = ADD_CPX_CPX(MUL_I_CPX(s8), MUL_NI_CPX(s9));
    t21 = ADD_CPX_CPX(t8, t01);
    t31 = ADD_CPX_CPX(t9, t11);
    a = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8, t01));
    a2 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9, t11));
    s01 = SUB_CPX_CPX(a, a2);
    s11 = ADD_CPX_CPX(a, a2);
    t41 = ADD_CPX_CPX(t4, t21);
    t51 = SUB_CPX_CPX(t5, t31);
    t61 = SUB_CPX_CPX(t4, t21);
    t71 = ADD_CPX_CPX(t5, t31);
    t81 = ADD_CPX_CPX(t6, s01);
    t91 = SUB_CPX_CPX(t7, s11);
    t02 = SUB_CPX_CPX(t6, s01);
    t12 = ADD_CPX_CPX(t7, s11);
    s21 = LOADU_CPX((src + 1));
    s31 = LOADU_CPX((src + 63));
    t22 = ADD_CPX_CPX(s21, s31);
    t32 = ADD_CPX_CPX(MUL_I_CPX(s21), MUL_NI_CPX(s31));
    s41 = LOADU_CPX((src + 17));
    s51 = LOADU_CPX((src + 47));
    t42 = ADD_CPX_CPX(s41, s51);
    t52 = ADD_CPX_CPX(MUL_I_CPX(s41), MUL_NI_CPX(s51));
    s61 = LOADU_CPX((src + 33));
    s71 = LOADU_CPX((src + 31));
    t62 = ADD_CPX_CPX(s61, s71);
    t72 = ADD_CPX_CPX(MUL_I_CPX(s61), MUL_NI_CPX(s71));
    s81 = LOADU_CPX((src + 49));
    s91 = LOADU_CPX((src + 15));
    t82 = ADD_CPX_CPX(s81, s91);
    t92 = ADD_CPX_CPX(MUL_I_CPX(s81), MUL_NI_CPX(s91));
    t03 = ADD_CPX_CPX(t22, t62);
    t13 = ADD_CPX_CPX(t32, t72);
    t23 = SUB_CPX_CPX(t22, t62);
    t33 = SUB_CPX_CPX(t32, t72);
    t43 = ADD_CPX_CPX(t42, t82);
    t53 = ADD_CPX_CPX(t52, t92);
    t63 = SUB_CPX_CPX(t42, t82);
    t73 = SUB_CPX_CPX(t52, t92);
    t83 = ADD_CPX_CPX(t03, t43);
    t93 = ADD_CPX_CPX(t13, t53);
    t04 = SUB_CPX_CPX(t03, t43);
    t14 = SUB_CPX_CPX(t13, t53);
    t24 = SUB_CPX_CPX(t23, t73);
    t34 = ADD_CPX_CPX(t33, t63);
    t44 = ADD_CPX_CPX(t23, t73);
    t54 = SUB_CPX_CPX(t33, t63);
    s02 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), t24), MUL_FLT_CPX(C_FLT(0.098017140329560604), t34));
    s12 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), t24), MUL_FLT_CPX(C_FLT(0.99518472667219693), t34));
    s22 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t04), MUL_FLT_CPX(C_FLT(0.19509032201612828), t14));
    s32 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), t04), MUL_FLT_CPX(C_FLT(0.98078528040323043), t14));
    s42 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), t44), MUL_FLT_CPX(C_FLT(0.29028467725446239), t54));
    s52 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.29028467725446239), t44), MUL_FLT_CPX(C_FLT(0.95694033573220882), t54));
    s62 = LOADU_CPX((src + 2));
    s72 = LOADU_CPX((src + 62));
    t64 = ADD_CPX_CPX(s62, s72);
    t74 = ADD_CPX_CPX(MUL_I_CPX(s62), MUL_NI_CPX(s72));
    s82 = LOADU_CPX((src + 18));
    s92 = LOADU_CPX((src + 46));
    t84 = ADD_CPX_CPX(s82, s92);
    t94 = ADD_CPX_CPX(MUL_I_CPX(s82), MUL_NI_CPX(s92));
    s03 = LOADU_CPX((src + 34));
    s13 = LOADU_CPX((src + 30));
    t05 = ADD_CPX_CPX(s03, s13);
    t15 = ADD_CPX_CPX(MUL_I_CPX(s03), MUL_NI_CPX(s13));
    s23 = LOADU_CPX((src + 50));
    s33 = LOADU_CPX((src + 14));
    t25 = ADD_CPX_CPX(s23, s33);
    t35 = ADD_CPX_CPX(MUL_I_CPX(s23), MUL_NI_CPX(s33));
    t45 = ADD_CPX_CPX(t64, t05);
    t55 = ADD_CPX_CPX(t74, t15);
    t65 = SUB_CPX_CPX(t64, t05);
    t75 = SUB_CPX_CPX(t74, t15);
    t85 = ADD_CPX_CPX(t84, t25);
    t95 = ADD_CPX_CPX(t94, t35);
    t06 = SUB_CPX_CPX(t84, t25);
    t16 = SUB_CPX_CPX(t94, t35);
    t26 = ADD_CPX_CPX(t45, t85);
    t36 = ADD_CPX_CPX(t55, t95);
    t46 = SUB_CPX_CPX(t45, t85);
    t56 = SUB_CPX_CPX(t55, t95);
    t66 = SUB_CPX_CPX(t65, t16);
    t76 = ADD_CPX_CPX(t75, t06);
    t86 = ADD_CPX_CPX(t65, t16);
    t96 = SUB_CPX_CPX(t75, t06);
    s43 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t66), MUL_FLT_CPX(C_FLT(0.19509032201612828), t76));
    s53 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), t66), MUL_FLT_CPX(C_FLT(0.98078528040323043), t76));
    s63 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t46), MUL_FLT_CPX(C_FLT(0.38268343236508978), t56));
    s73 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t46), MUL_FLT_CPX(C_FLT(0.92387953251128674), t56));
    s83 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t86), MUL_FLT_CPX(C_FLT(0.55557023301960218), t96));
    s93 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), t86), MUL_FLT_CPX(C_FLT(0.83146961230254524), t96));
    s04 = LOADU_CPX((src + 3));
    s14 = LOADU_CPX((src + 61));
    t07 = ADD_CPX_CPX(s04, s14);
    t17 = ADD_CPX_CPX(MUL_I_CPX(s04), MUL_NI_CPX(s14));
    s24 = LOADU_CPX((src + 19));
    s34 = LOADU_CPX((src + 45));
    t27 = ADD_CPX_CPX(s24, s34);
    t37 = ADD_CPX_CPX(MUL_I_CPX(s24), MUL_NI_CPX(s34));
    s44 = LOADU_CPX((src + 35));
    s54 = LOADU_CPX((src + 29));
    t47 = ADD_CPX_CPX(s44, s54);
    t57 = ADD_CPX_CPX(MUL_I_CPX(s44), MUL_NI_CPX(s54));
    s64 = LOADU_CPX((src + 51));
    s74 = LOADU_CPX((src + 13));
    t67 = ADD_CPX_CPX(s64, s74);
    t77 = ADD_CPX_CPX(MUL_I_CPX(s64), MUL_NI_CPX(s74));
    t87 = ADD_CPX_CPX(t07, t47);
    t97 = ADD_CPX_CPX(t17, t57);
    t08 = SUB_CPX_CPX(t07, t47);
    t18 = SUB_CPX_CPX(t17, t57);
    t28 = ADD_CPX_CPX(t27, t67);
    t38 = ADD_CPX_CPX(t37, t77);
    t48 = SUB_CPX_CPX(t27, t67);
    t58 = SUB_CPX_CPX(t37, t77);
    t68 = ADD_CPX_CPX(t87, t28);
    t78 = ADD_CPX_CPX(t97, t38);
    t88 = SUB_CPX_CPX(t87, t28);
    t98 = SUB_CPX_CPX(t97, t38);
    t09 = SUB_CPX_CPX(t08, t58);
    t19 = ADD_CPX_CPX(t18, t48);
    t29 = ADD_CPX_CPX(t08, t58);
    t39 = SUB_CPX_CPX(t18, t48);
    s84 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), t09), MUL_FLT_CPX(C_FLT(0.29028467725446239), t19));
    s94 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.29028467725446239), t09), MUL_FLT_CPX(C_FLT(0.95694033573220882), t19));
    s05 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t88), MUL_FLT_CPX(C_FLT(0.55557023301960218), t98));
    s15 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), t88), MUL_FLT_CPX(C_FLT(0.83146961230254524), t98));
    s25 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), t29), MUL_FLT_CPX(C_FLT(0.77301045336273699), t39));
    s35 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), t29), MUL_FLT_CPX(C_FLT(0.63439328416364549), t39));
    s45 = LOADU_CPX((src + 4));
    s55 = LOADU_CPX((src + 60));
    t49 = ADD_CPX_CPX(s45, s55);
    t59 = ADD_CPX_CPX(MUL_I_CPX(s45), MUL_NI_CPX(s55));
    s65 = LOADU_CPX((src + 20));
    s75 = LOADU_CPX((src + 44));
    t69 = ADD_CPX_CPX(s65, s75);
    t79 = ADD_CPX_CPX(MUL_I_CPX(s65), MUL_NI_CPX(s75));
    s85 = LOADU_CPX((src + 36));
    s95 = LOADU_CPX((src + 28));
    t89 = ADD_CPX_CPX(s85, s95);
    t99 = ADD_CPX_CPX(MUL_I_CPX(s85), MUL_NI_CPX(s95));
    s06 = LOADU_CPX((src + 52));
    s16 = LOADU_CPX((src + 12));
    t0a = ADD_CPX_CPX(s06, s16);
    t1a = ADD_CPX_CPX(MUL_I_CPX(s06), MUL_NI_CPX(s16));
    t2a = ADD_CPX_CPX(t49, t89);
    t3a = ADD_CPX_CPX(t59, t99);
    t4a = SUB_CPX_CPX(t49, t89);
    t5a = SUB_CPX_CPX(t59, t99);
    t6a = ADD_CPX_CPX(t69, t0a);
    t7a = ADD_CPX_CPX(t79, t1a);
    t8a = SUB_CPX_CPX(t69, t0a);
    t9a = SUB_CPX_CPX(t79, t1a);
    t0b = ADD_CPX_CPX(t2a, t6a);
    t1b = ADD_CPX_CPX(t3a, t7a);
    t2b = SUB_CPX_CPX(t4a, t9a);
    t3b = ADD_CPX_CPX(t5a, t8a);
    t4b = ADD_CPX_CPX(t4a, t9a);
    t5b = SUB_CPX_CPX(t5a, t8a);
    s26 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t2b), MUL_FLT_CPX(C_FLT(0.38268343236508978), t3b));
    s36 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t2b), MUL_FLT_CPX(C_FLT(0.92387953251128674), t3b));
    a3 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2a, t6a));
    a4 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3a, t7a));
    s46 = SUB_CPX_CPX(a3, a4);
    s56 = ADD_CPX_CPX(a3, a4);
    s66 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t4b), MUL_FLT_CPX(C_FLT(0.92387953251128674), t5b));
    s76 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t4b), MUL_FLT_CPX(C_FLT(0.38268343236508978), t5b));
    s86 = LOADU_CPX((src + 5));
    s96 = LOADU_CPX((src + 59));
    t6b = ADD_CPX_CPX(s86, s96);
    t7b = ADD_CPX_CPX(MUL_I_CPX(s86), MUL_NI_CPX(s96));
    s07 = LOADU_CPX((src + 21));
    s17 = LOADU_CPX((src + 43));
    t8b = ADD_CPX_CPX(s07, s17);
    t9b = ADD_CPX_CPX(MUL_I_CPX(s07), MUL_NI_CPX(s17));
    s27 = LOADU_CPX((src + 37));
    s37 = LOADU_CPX((src + 27));
    t0c = ADD_CPX_CPX(s27, s37);
    t1c = ADD_CPX_CPX(MUL_I_CPX(s27), MUL_NI_CPX(s37));
    s47 = LOADU_CPX((src + 53));
    s57 = LOADU_CPX((src + 11));
    t2c = ADD_CPX_CPX(s47, s57);
    t3c = ADD_CPX_CPX(MUL_I_CPX(s47), MUL_NI_CPX(s57));
    t4c = ADD_CPX_CPX(t6b, t0c);
    t5c = ADD_CPX_CPX(t7b, t1c);
    t6c = SUB_CPX_CPX(t6b, t0c);
    t7c = SUB_CPX_CPX(t7b, t1c);
    t8c = ADD_CPX_CPX(t8b, t2c);
    t9c = ADD_CPX_CPX(t9b, t3c);
    t0d = SUB_CPX_CPX(t8b, t2c);
    t1d = SUB_CPX_CPX(t9b, t3c);
    t2d = ADD_CPX_CPX(t4c, t8c);
    t3d = ADD_CPX_CPX(t5c, t9c);
    t4d = SUB_CPX_CPX(t4c, t8c);
    t5d = SUB_CPX_CPX(t5c, t9c);
    t6d = SUB_CPX_CPX(t6c, t1d);
    t7d = ADD_CPX_CPX(t7c, t0d);
    t8d = ADD_CPX_CPX(t6c, t1d);
    t9d = SUB_CPX_CPX(t7c, t0d);
    s67 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), t6d), MUL_FLT_CPX(C_FLT(0.47139673682599764), t7d));
    s77 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.47139673682599764), t6d), MUL_FLT_CPX(C_FLT(0.88192126434835505), t7d));
    s87 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), t4d), MUL_FLT_CPX(C_FLT(0.83146961230254524), t5d));
    s97 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t4d), MUL_FLT_CPX(C_FLT(0.55557023301960218), t5d));
    s08 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), t8d), MUL_FLT_CPX(C_FLT(0.99518472667219693), t9d));
    s18 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), t8d), MUL_FLT_CPX(C_FLT(0.098017140329560604), t9d));
    s28 = LOADU_CPX((src + 6));
    s38 = LOADU_CPX((src + 58));
    t0e = ADD_CPX_CPX(s28, s38);
    t1e = ADD_CPX_CPX(MUL_I_CPX(s28), MUL_NI_CPX(s38));
    s48 = LOADU_CPX((src + 22));
    s58 = LOADU_CPX((src + 42));
    t2e = ADD_CPX_CPX(s48, s58);
    t3e = ADD_CPX_CPX(MUL_I_CPX(s48), MUL_NI_CPX(s58));
    s68 = LOADU_CPX((src + 38));
    s78 = LOADU_CPX((src + 26));
    t4e = ADD_CPX_CPX(s68, s78);
    t5e = ADD_CPX_CPX(MUL_I_CPX(s68), MUL_NI_CPX(s78));
    s88 = LOADU_CPX((src + 54));
    s98 = LOADU_CPX((src + 10));
    t6e = ADD_CPX_CPX(s88, s98);
    t7e = ADD_CPX_CPX(MUL_I_CPX(s88), MUL_NI_CPX(s98));
    t8e = ADD_CPX_CPX(t0e, t4e);
    t9e = ADD_CPX_CPX(t1e, t5e);
    t0f = SUB_CPX_CPX(t0e, t4e);
    t1f = SUB_CPX_CPX(t1e, t5e);
    t2f = ADD_CPX_CPX(t2e, t6e);
    t3f = ADD_CPX_CPX(t3e, t7e);
    t4f = SUB_CPX_CPX(t2e, t6e);
    t5f = SUB_CPX_CPX(t3e, t7e);
    t6f = ADD_CPX_CPX(t8e, t2f);
    t7f = ADD_CPX_CPX(t9e, t3f);
    t8f = SUB_CPX_CPX(t8e, t2f);
    t9f = SUB_CPX_CPX(t9e, t3f);
    t0g = SUB_CPX_CPX(t0f, t5f);
    t1g = ADD_CPX_CPX(t1f, t4f);
    t2g = ADD_CPX_CPX(t0f, t5f);
    t3g = SUB_CPX_CPX(t1f, t4f);
    s09 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t0g), MUL_FLT_CPX(C_FLT(0.55557023301960218), t1g));
    s19 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), t0g), MUL_FLT_CPX(C_FLT(0.83146961230254524), t1g));
    s29 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t8f), MUL_FLT_CPX(C_FLT(0.92387953251128674), t9f));
    s39 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t8f), MUL_FLT_CPX(C_FLT(0.38268343236508978), t9f));
    s49 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), t2g), MUL_FLT_CPX(C_FLT(0.98078528040323043), t3g));
    s59 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t2g), MUL_FLT_CPX(C_FLT(0.19509032201612828), t3g));
    s69 = LOADU_CPX((src + 7));
    s79 = LOADU_CPX((src + 57));
    t4g = ADD_CPX_CPX(s69, s79);
    t5g = ADD_CPX_CPX(MUL_I_CPX(s69), MUL_NI_CPX(s79));
    s89 = LOADU_CPX((src + 23));
    s99 = LOADU_CPX((src + 41));
    t6g = ADD_CPX_CPX(s89, s99);
    t7g = ADD_CPX_CPX(MUL_I_CPX(s89), MUL_NI_CPX(s99));
    s0a = LOADU_CPX((src + 39));
    s1a = LOADU_CPX((src + 25));
    t8g = ADD_CPX_CPX(s0a, s1a);
    t9g = ADD_CPX_CPX(MUL_I_CPX(s0a), MUL_NI_CPX(s1a));
    s2a = LOADU_CPX((src + 55));
    s3a = LOADU_CPX((src + 9));
    t0h = ADD_CPX_CPX(s2a, s3a);
    t1h = ADD_CPX_CPX(MUL_I_CPX(s2a), MUL_NI_CPX(s3a));
    t2h = ADD_CPX_CPX(t4g, t8g);
    t3h = ADD_CPX_CPX(t5g, t9g);
    t4h = SUB_CPX_CPX(t4g, t8g);
    t5h = SUB_CPX_CPX(t5g, t9g);
    t6h = ADD_CPX_CPX(t6g, t0h);
    t7h = ADD_CPX_CPX(t7g, t1h);
    t8h = SUB_CPX_CPX(t6g, t0h);
    t9h = SUB_CPX_CPX(t7g, t1h);
    t0i = ADD_CPX_CPX(t2h, t6h);
    t1i = ADD_CPX_CPX(t3h, t7h);
    t2i = SUB_CPX_CPX(t2h, t6h);
    t3i = SUB_CPX_CPX(t3h, t7h);
    t4i = SUB_CPX_CPX(t4h, t9h);
    t5i = ADD_CPX_CPX(t5h, t8h);
    t6i = ADD_CPX_CPX(t4h, t9h);
    t7i = SUB_CPX_CPX(t5h, t8h);
    s4a = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), t4i), MUL_FLT_CPX(C_FLT(0.63439328416364549), t5i));
    s5a = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), t4i), MUL_FLT_CPX(C_FLT(0.77301045336273699), t5i));
    s6a = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), t2i), MUL_FLT_CPX(C_FLT(0.98078528040323043), t3i));
    s7a = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t2i), MUL_FLT_CPX(C_FLT(0.19509032201612828), t3i));
    s8a = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.47139673682599764), t6i), MUL_FLT_CPX(C_FLT(0.88192126434835505), t7i));
    s9a = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), t6i), MUL_FLT_CPX(C_FLT(0.47139673682599764), t7i));
    t8i = ADD_CPX_CPX(t41, t0b);
    t9i = SUB_CPX_CPX(t61, t1b);
    t0j = SUB_CPX_CPX(t41, t0b);
    t1j = ADD_CPX_CPX(t61, t1b);
    t2j = ADD_CPX_CPX(t83, t0i);
    t3j = SUB_CPX_CPX(t93, t1i);
    t4j = SUB_CPX_CPX(t83, t0i);
    t5j = ADD_CPX_CPX(t93, t1i);
    s0b = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t4j), MUL_FLT_CPX(C_FLT(0.38268343236508978), t5j));
    s1b = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t4j), MUL_FLT_CPX(C_FLT(0.92387953251128674), t5j));
    t6j = ADD_CPX_CPX(t26, t6f);
    t7j = SUB_CPX_CPX(t36, t7f);
    a5 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t26, t6f));
    a6 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t36, t7f));
    s2b = SUB_CPX_CPX(a5, a6);
    s3b = ADD_CPX_CPX(a5, a6);
    t8j = ADD_CPX_CPX(t68, t2d);
    t9j = SUB_CPX_CPX(t78, t3d);
    t0k = SUB_CPX_CPX(t68, t2d);
    t1k = ADD_CPX_CPX(t78, t3d);
    s4b = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t0k), MUL_FLT_CPX(C_FLT(0.92387953251128674), t1k));
    s5b = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t0k), MUL_FLT_CPX(C_FLT(0.38268343236508978), t1k));
    t2k = ADD_CPX_CPX(t8i, t6j);
    t3k = SUB_CPX_CPX(t0j, t7j);
    t4k = SUB_CPX_CPX(t8i, t6j);
    t5k = ADD_CPX_CPX(t0j, t7j);
    t6k = ADD_CPX_CPX(t2j, t8j);
    t7k = SUB_CPX_CPX(t3j, t9j);
    a7 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2j, t8j));
    a8 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t3j, t9j));
    s6b = SUB_CPX_CPX(a7, a8);
    s7b = ADD_CPX_CPX(a7, a8);
    t8k = ADD_CPX_CPX(t2k, t6k);
    t9k = SUB_CPX_CPX(t4k, t7k);
    t0l = SUB_CPX_CPX(t2k, t6k);
    t1l = ADD_CPX_CPX(t4k, t7k);
    STOREU_CPX(dst, t8k);
    STOREU_CPX((dst + 16), t9k);
    STOREU_CPX((dst + 32), t0l);
    STOREU_CPX((dst + 48), t1l);
    t2l = ADD_CPX_CPX(t3k, s6b);
    t3l = SUB_CPX_CPX(t5k, s7b);
    t4l = SUB_CPX_CPX(t3k, s6b);
    t5l = ADD_CPX_CPX(t5k, s7b);
    STOREU_CPX((dst + 8), t2l);
    STOREU_CPX((dst + 24), t3l);
    STOREU_CPX((dst + 40), t4l);
    STOREU_CPX((dst + 56), t5l);
    t6l = ADD_CPX_CPX(t9i, s2b);
    t7l = SUB_CPX_CPX(t1j, s3b);
    t8l = SUB_CPX_CPX(t9i, s2b);
    t9l = ADD_CPX_CPX(t1j, s3b);
    t0m = ADD_CPX_CPX(s0b, s4b);
    t1m = SUB_CPX_CPX(s1b, s5b);
    a9 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s0b, s4b));
    a01 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s1b, s5b));
    s8b = SUB_CPX_CPX(a9, a01);
    s9b = ADD_CPX_CPX(a9, a01);
    t2m = ADD_CPX_CPX(t6l, t0m);
    t3m = SUB_CPX_CPX(t8l, t1m);
    t4m = SUB_CPX_CPX(t6l, t0m);
    t5m = ADD_CPX_CPX(t8l, t1m);
    STOREU_CPX((dst + 4), t2m);
    STOREU_CPX((dst + 20), t3m);
    STOREU_CPX((dst + 36), t4m);
    STOREU_CPX((dst + 52), t5m);
    t6m = ADD_CPX_CPX(t7l, s8b);
    t7m = SUB_CPX_CPX(t9l, s9b);
    t8m = SUB_CPX_CPX(t7l, s8b);
    t9m = ADD_CPX_CPX(t9l, s9b);
    STOREU_CPX((dst + 12), t6m);
    STOREU_CPX((dst + 28), t7m);
    STOREU_CPX((dst + 44), t8m);
    STOREU_CPX((dst + 60), t9m);
    t0n = ADD_CPX_CPX(t81, s26);
    t1n = SUB_CPX_CPX(t02, s36);
    t2n = SUB_CPX_CPX(t81, s26);
    t3n = ADD_CPX_CPX(t02, s36);
    t4n = ADD_CPX_CPX(s02, s4a);
    t5n = SUB_CPX_CPX(s12, s5a);
    t6n = SUB_CPX_CPX(s02, s4a);
    t7n = ADD_CPX_CPX(s12, s5a);
    s0c = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t6n), MUL_FLT_CPX(C_FLT(0.38268343236508978), t7n));
    s1c = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t6n), MUL_FLT_CPX(C_FLT(0.92387953251128674), t7n));
    t8n = ADD_CPX_CPX(s43, s09);
    t9n = SUB_CPX_CPX(s53, s19);
    a11 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s43, s09));
    a21 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s53, s19));
    s2c = SUB_CPX_CPX(a11, a21);
    s3c = ADD_CPX_CPX(a11, a21);
    t0o = ADD_CPX_CPX(s84, s67);
    t1o = SUB_CPX_CPX(s94, s77);
    t2o = SUB_CPX_CPX(s84, s67);
    t3o = ADD_CPX_CPX(s94, s77);
    s4c = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t2o), MUL_FLT_CPX(C_FLT(0.92387953251128674), t3o));
    s5c = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t2o), MUL_FLT_CPX(C_FLT(0.38268343236508978), t3o));
    t4o = ADD_CPX_CPX(t0n, t8n);
    t5o = SUB_CPX_CPX(t2n, t9n);
    t6o = SUB_CPX_CPX(t0n, t8n);
    t7o = ADD_CPX_CPX(t2n, t9n);
    t8o = ADD_CPX_CPX(t4n, t0o);
    t9o = SUB_CPX_CPX(t5n, t1o);
    a31 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t4n, t0o));
    a41 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t5n, t1o));
    s6c = SUB_CPX_CPX(a31, a41);
    s7c = ADD_CPX_CPX(a31, a41);
    t0p = ADD_CPX_CPX(t4o, t8o);
    t1p = SUB_CPX_CPX(t6o, t9o);
    t2p = SUB_CPX_CPX(t4o, t8o);
    t3p = ADD_CPX_CPX(t6o, t9o);
    STOREU_CPX((dst + 1), t0p);
    STOREU_CPX((dst + 17), t1p);
    STOREU_CPX((dst + 33), t2p);
    STOREU_CPX((dst + 49), t3p);
    t4p = ADD_CPX_CPX(t5o, s6c);
    t5p = SUB_CPX_CPX(t7o, s7c);
    t6p = SUB_CPX_CPX(t5o, s6c);
    t7p = ADD_CPX_CPX(t7o, s7c);
    STOREU_CPX((dst + 9), t4p);
    STOREU_CPX((dst + 25), t5p);
    STOREU_CPX((dst + 41), t6p);
    STOREU_CPX((dst + 57), t7p);
    t8p = ADD_CPX_CPX(t1n, s2c);
    t9p = SUB_CPX_CPX(t3n, s3c);
    t0q = SUB_CPX_CPX(t1n, s2c);
    t1q = ADD_CPX_CPX(t3n, s3c);
    t2q = ADD_CPX_CPX(s0c, s4c);
    t3q = SUB_CPX_CPX(s1c, s5c);
    a51 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s0c, s4c));
    a61 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s1c, s5c));
    s8c = SUB_CPX_CPX(a51, a61);
    s9c = ADD_CPX_CPX(a51, a61);
    t4q = ADD_CPX_CPX(t8p, t2q);
    t5q = SUB_CPX_CPX(t0q, t3q);
    t6q = SUB_CPX_CPX(t8p, t2q);
    t7q = ADD_CPX_CPX(t0q, t3q);
    STOREU_CPX((dst + 5), t4q);
    STOREU_CPX((dst + 21), t5q);
    STOREU_CPX((dst + 37), t6q);
    STOREU_CPX((dst + 53), t7q);
    t8q = ADD_CPX_CPX(t9p, s8c);
    t9q = SUB_CPX_CPX(t1q, s9c);
    t0r = SUB_CPX_CPX(t9p, s8c);
    t1r = ADD_CPX_CPX(t1q, s9c);
    STOREU_CPX((dst + 13), t8q);
    STOREU_CPX((dst + 29), t9q);
    STOREU_CPX((dst + 45), t0r);
    STOREU_CPX((dst + 61), t1r);
    t2r = ADD_CPX_CPX(t51, s46);
    t3r = SUB_CPX_CPX(t71, s56);
    t4r = SUB_CPX_CPX(t51, s46);
    t5r = ADD_CPX_CPX(t71, s56);
    t6r = ADD_CPX_CPX(s22, s6a);
    t7r = SUB_CPX_CPX(s32, s7a);
    t8r = SUB_CPX_CPX(s22, s6a);
    t9r = ADD_CPX_CPX(s32, s7a);
    s0d = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t8r), MUL_FLT_CPX(C_FLT(0.38268343236508978), t9r));
    s1d = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t8r), MUL_FLT_CPX(C_FLT(0.92387953251128674), t9r));
    t0s = ADD_CPX_CPX(s63, s29);
    t1s = SUB_CPX_CPX(s73, s39);
    a71 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s63, s29));
    a81 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s73, s39));
    s2d = SUB_CPX_CPX(a71, a81);
    s3d = ADD_CPX_CPX(a71, a81);
    t2s = ADD_CPX_CPX(s05, s87);
    t3s = SUB_CPX_CPX(s15, s97);
    t4s = SUB_CPX_CPX(s05, s87);
    t5s = ADD_CPX_CPX(s15, s97);
    s4d = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t4s), MUL_FLT_CPX(C_FLT(0.92387953251128674), t5s));
    s5d = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t4s), MUL_FLT_CPX(C_FLT(0.38268343236508978), t5s));
    t6s = ADD_CPX_CPX(t2r, t0s);
    t7s = SUB_CPX_CPX(t4r, t1s);
    t8s = SUB_CPX_CPX(t2r, t0s);
    t9s = ADD_CPX_CPX(t4r, t1s);
    t0t = ADD_CPX_CPX(t6r, t2s);
    t1t = SUB_CPX_CPX(t7r, t3s);
    a91 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t6r, t2s));
    a02 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t7r, t3s));
    s6d = SUB_CPX_CPX(a91, a02);
    s7d = ADD_CPX_CPX(a91, a02);
    t2t = ADD_CPX_CPX(t6s, t0t);
    t3t = SUB_CPX_CPX(t8s, t1t);
    t4t = SUB_CPX_CPX(t6s, t0t);
    t5t = ADD_CPX_CPX(t8s, t1t);
    STOREU_CPX((dst + 2), t2t);
    STOREU_CPX((dst + 18), t3t);
    STOREU_CPX((dst + 34), t4t);
    STOREU_CPX((dst + 50), t5t);
    t6t = ADD_CPX_CPX(t7s, s6d);
    t7t = SUB_CPX_CPX(t9s, s7d);
    t8t = SUB_CPX_CPX(t7s, s6d);
    t9t = ADD_CPX_CPX(t9s, s7d);
    STOREU_CPX((dst + 10), t6t);
    STOREU_CPX((dst + 26), t7t);
    STOREU_CPX((dst + 42), t8t);
    STOREU_CPX((dst + 58), t9t);
    t0u = ADD_CPX_CPX(t3r, s2d);
    t1u = SUB_CPX_CPX(t5r, s3d);
    t2u = SUB_CPX_CPX(t3r, s2d);
    t3u = ADD_CPX_CPX(t5r, s3d);
    t4u = ADD_CPX_CPX(s0d, s4d);
    t5u = SUB_CPX_CPX(s1d, s5d);
    a12 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s0d, s4d));
    a22 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s1d, s5d));
    s8d = SUB_CPX_CPX(a12, a22);
    s9d = ADD_CPX_CPX(a12, a22);
    t6u = ADD_CPX_CPX(t0u, t4u);
    t7u = SUB_CPX_CPX(t2u, t5u);
    t8u = SUB_CPX_CPX(t0u, t4u);
    t9u = ADD_CPX_CPX(t2u, t5u);
    STOREU_CPX((dst + 6), t6u);
    STOREU_CPX((dst + 22), t7u);
    STOREU_CPX((dst + 38), t8u);
    STOREU_CPX((dst + 54), t9u);
    t0v = ADD_CPX_CPX(t1u, s8d);
    t1v = SUB_CPX_CPX(t3u, s9d);
    t2v = SUB_CPX_CPX(t1u, s8d);
    t3v = ADD_CPX_CPX(t3u, s9d);
    STOREU_CPX((dst + 14), t0v);
    STOREU_CPX((dst + 30), t1v);
    STOREU_CPX((dst + 46), t2v);
    STOREU_CPX((dst + 62), t3v);
    t4v = ADD_CPX_CPX(t91, s66);
    t5v = SUB_CPX_CPX(t12, s76);
    t6v = SUB_CPX_CPX(t91, s66);
    t7v = ADD_CPX_CPX(t12, s76);
    t8v = SUB_CPX_CPX(s42, s8a);
    t9v = SUB_CPX_CPX(s52, s9a);
    t0w = ADD_CPX_CPX(s42, s8a);
    t1w = ADD_CPX_CPX(s52, s9a);
    s0e = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t0w), MUL_FLT_CPX(C_FLT(0.38268343236508978), t1w));
    s1e = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t0w), MUL_FLT_CPX(C_FLT(0.92387953251128674), t1w));
    t2w = SUB_CPX_CPX(s83, s49);
    t3w = SUB_CPX_CPX(s93, s59);
    a32 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s83, s49));
    a42 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s93, s59));
    s2e = SUB_CPX_CPX(a32, a42);
    s3e = ADD_CPX_CPX(a32, a42);
    t4w = ADD_CPX_CPX(s25, s08);
    t5w = SUB_CPX_CPX(s35, s18);
    t6w = SUB_CPX_CPX(s25, s08);
    t7w = ADD_CPX_CPX(s35, s18);
    s4e = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t6w), MUL_FLT_CPX(C_FLT(0.92387953251128674), t7w));
    s5e = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t6w), MUL_FLT_CPX(C_FLT(0.38268343236508978), t7w));
    t8w = ADD_CPX_CPX(t4v, t2w);
    t9w = SUB_CPX_CPX(t6v, t3w);
    t0x = SUB_CPX_CPX(t4v, t2w);
    t1x = ADD_CPX_CPX(t6v, t3w);
    t2x = ADD_CPX_CPX(t8v, t4w);
    t3x = SUB_CPX_CPX(t9v, t5w);
    a52 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8v, t4w));
    a62 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t9v, t5w));
    s6e = SUB_CPX_CPX(a52, a62);
    s7e = ADD_CPX_CPX(a52, a62);
    t4x = ADD_CPX_CPX(t8w, t2x);
    t5x = SUB_CPX_CPX(t0x, t3x);
    t6x = SUB_CPX_CPX(t8w, t2x);
    t7x = ADD_CPX_CPX(t0x, t3x);
    STOREU_CPX((dst + 3), t4x);
    STOREU_CPX((dst + 19), t5x);
    STOREU_CPX((dst + 35), t6x);
    STOREU_CPX((dst + 51), t7x);
    t8x = ADD_CPX_CPX(t9w, s6e);
    t9x = SUB_CPX_CPX(t1x, s7e);
    t0y = SUB_CPX_CPX(t9w, s6e);
    t1y = ADD_CPX_CPX(t1x, s7e);
    STOREU_CPX((dst + 11), t8x);
    STOREU_CPX((dst + 27), t9x);
    STOREU_CPX((dst + 43), t0y);
    STOREU_CPX((dst + 59), t1y);
    t2y = ADD_CPX_CPX(t5v, s2e);
    t3y = SUB_CPX_CPX(t7v, s3e);
    t4y = SUB_CPX_CPX(t5v, s2e);
    t5y = ADD_CPX_CPX(t7v, s3e);
    t6y = ADD_CPX_CPX(s0e, s4e);
    t7y = SUB_CPX_CPX(s1e, s5e);
    a72 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s0e, s4e));
    a82 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s1e, s5e));
    s8e = SUB_CPX_CPX(a72, a82);
    s9e = ADD_CPX_CPX(a72, a82);
    t8y = ADD_CPX_CPX(t2y, t6y);
    t9y = SUB_CPX_CPX(t4y, t7y);
    t0z = SUB_CPX_CPX(t2y, t6y);
    t1z = ADD_CPX_CPX(t4y, t7y);
    STOREU_CPX((dst + 7), t8y);
    STOREU_CPX((dst + 23), t9y);
    STOREU_CPX((dst + 39), t0z);
    STOREU_CPX((dst + 55), t1z);
    t2z = ADD_CPX_CPX(t3y, s8e);
    t3z = SUB_CPX_CPX(t5y, s9e);
    t4z = SUB_CPX_CPX(t3y, s8e);
    t5z = ADD_CPX_CPX(t5y, s9e);
    STOREU_CPX((dst + 15), t2z);
    STOREU_CPX((dst + 31), t3z);
    STOREU_CPX((dst + 47), t4z);
    STOREU_CPX((dst + 63), t5z);
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_fftfwd_double_64)(const double *pSrc, double *pDst ) {
    if (!is_aligned(pSrc) || !is_aligned(pDst))
       	return spiral_fftfwd_double_64_unaligned(pSrc, pDst );
    else {
    const CPX  *src = (const CPX *) pSrc; 
    CPX        *dst = (CPX *) pDst;
    
    
    {const CPX  *a, *a01, *a02, *a03, *a04, *a05, *a06, *a11, *a12, *a13, *a14, *a15, *a16, *a2, *a21, *a22, *a23, *a25, *a26, *a3, *a31, *a32
            , *a33, *a35, *a36, *a4, *a41, *a42, *a43, *a44, *a45, *a46, *a5, *a51, *a52, *a53, *a54, *a55, *a56, *a6, *a61, *a62, *a63, *a64
            , *a65, *a66, *a7, *a71, *a72, *a73, *a74, *a75, *a76, *a81, *a82, *a83, *a84, *a85, *a91, *a92, *a93, *a94, *a95;
    CPX a07, a08, a09, a17, a18, a19, a24, a27, a28, a34, a37, a38, a47, a48, a57, a58, a67, a68, a77, a78, a8, a86
        , a87, a88, a9, a96, a97, a98, s, s01, s02, s03, s04, s05, s06, s07, s08, s11, s12, s13, s14, s15, s16, s17
        , s18, s2, s21, s22, s23, s24, s25, s26, s27, s28, s3, s31, s32, s33, s34, s35, s36, s37, s38, s4, s41, s42
        , s43, s44, s45, s46, s47, s48, s5, s51, s52, s53, s54, s55, s56, s57, s58, s6, s61, s62, s63, s64, s65, s66
        , s67, s7, s71, s72, s73, s74, s75, s76, s77, s8, s81, s82, s83, s84, s85, s86, s87, s9, s91, s92, s93, s94
        , s95, s96, s97, t, t01, t02, t03, t04, t05, t06, t07, t08, t09, t0a, t0b, t0c, t0d, t0e, t0f, t0g, t0h, t0i
        , t0j, t0k, t0l, t0m, t0n, t0o, t0p, t0q, t0r, t0s, t0t, t11, t12, t13, t14, t15, t16, t17, t18, t19, t1a, t1b
        , t1c, t1d, t1e, t1f, t1g, t1h, t1i, t1j, t1k, t1l, t1m, t1n, t1o, t1p, t1q, t1r, t1s, t1t, t2, t21, t22, t23
        , t24, t25, t26, t27, t28, t29, t2a, t2b, t2c, t2d, t2e, t2f, t2g, t2h, t2i, t2j, t2k, t2l, t2m, t2n, t2o, t2p
        , t2q, t2r, t2s, t3, t31, t32, t33, t34, t35, t36, t37, t38, t39, t3a, t3b, t3c, t3d, t3e, t3f, t3g, t3h, t3i
        , t3j, t3k, t3l, t3m, t3n, t3o, t3p, t3q, t3r, t3s, t4, t41, t42, t43, t44, t45, t46, t47, t48, t49, t4a, t4b
        , t4c, t4d, t4e, t4f, t4g, t4h, t4i, t4j, t4k, t4l, t4m, t4n, t4o, t4p, t4q, t4r, t4s, t5, t51, t52, t53, t54
        , t55, t56, t57, t58, t59, t5a, t5b, t5c, t5d, t5e, t5f, t5g, t5h, t5i, t5j, t5k, t5l, t5m, t5n, t5o, t5p, t5q
        , t5r, t5s, t6, t61, t62, t63, t64, t65, t66, t67, t68, t69, t6a, t6b, t6c, t6d, t6e, t6f, t6g, t6h, t6i, t6j
        , t6k, t6l, t6m, t6n, t6o, t6p, t6q, t6r, t6s, t7, t71, t72, t73, t74, t75, t76, t77, t78, t79, t7a, t7b, t7c
        , t7d, t7e, t7f, t7g, t7h, t7i, t7j, t7k, t7l, t7m, t7n, t7o, t7p, t7q, t7r, t7s, t8, t81, t82, t83, t84, t85
        , t86, t87, t88, t89, t8a, t8b, t8c, t8d, t8e, t8f, t8g, t8h, t8i, t8j, t8k, t8l, t8m, t8n, t8o, t8p, t8q, t8r
        , t8s, t9, t91, t92, t93, t94, t95, t96, t97, t98, t99, t9a, t9b, t9c, t9d, t9e, t9f, t9g, t9h, t9i, t9j, t9k
        , t9l, t9m, t9n, t9o, t9p, t9q, t9r, t9s;
    a = (src + 32);
    t = ADD_CPX_CPX(*(src), *(a));
    t2 = SUB_CPX_CPX(*(src), *(a));
    a2 = (src + 16);
    a3 = (src + 48);
    t3 = ADD_CPX_CPX(*(a2), *(a3));
    s = MUL_NI_CPX(SUB_CPX_CPX(*(a2), *(a3)));
    t4 = ADD_CPX_CPX(t, t3);
    t5 = SUB_CPX_CPX(t, t3);
    t6 = ADD_CPX_CPX(t2, s);
    t7 = SUB_CPX_CPX(t2, s);
    a4 = (src + 8);
    a5 = (src + 56);
    t8 = ADD_CPX_CPX(*(a4), *(a5));
    t9 = ADD_CPX_CPX(MUL_I_CPX(*(a4)), MUL_NI_CPX(*(a5)));
    a6 = (src + 40);
    a7 = (src + 24);
    t01 = ADD_CPX_CPX(*(a6), *(a7));
    t11 = ADD_CPX_CPX(MUL_I_CPX(*(a6)), MUL_NI_CPX(*(a7)));
    t21 = ADD_CPX_CPX(t8, t01);
    t31 = ADD_CPX_CPX(t9, t11);
    a8 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8, t01));
    a9 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9, t11));
    s2 = SUB_CPX_CPX(a8, a9);
    s3 = ADD_CPX_CPX(a8, a9);
    t41 = ADD_CPX_CPX(t4, t21);
    t51 = SUB_CPX_CPX(t5, t31);
    t61 = SUB_CPX_CPX(t4, t21);
    t71 = ADD_CPX_CPX(t5, t31);
    t81 = ADD_CPX_CPX(t6, s2);
    t91 = SUB_CPX_CPX(t7, s3);
    t02 = SUB_CPX_CPX(t6, s2);
    t12 = ADD_CPX_CPX(t7, s3);
    a01 = (src + 1);
    a11 = (src + 63);
    t22 = ADD_CPX_CPX(*(a01), *(a11));
    t32 = ADD_CPX_CPX(MUL_I_CPX(*(a01)), MUL_NI_CPX(*(a11)));
    a21 = (src + 17);
    a31 = (src + 47);
    t42 = ADD_CPX_CPX(*(a21), *(a31));
    t52 = ADD_CPX_CPX(MUL_I_CPX(*(a21)), MUL_NI_CPX(*(a31)));
    a41 = (src + 33);
    a51 = (src + 31);
    t62 = ADD_CPX_CPX(*(a41), *(a51));
    t72 = ADD_CPX_CPX(MUL_I_CPX(*(a41)), MUL_NI_CPX(*(a51)));
    a61 = (src + 49);
    a71 = (src + 15);
    t82 = ADD_CPX_CPX(*(a61), *(a71));
    t92 = ADD_CPX_CPX(MUL_I_CPX(*(a61)), MUL_NI_CPX(*(a71)));
    t03 = ADD_CPX_CPX(t22, t62);
    t13 = ADD_CPX_CPX(t32, t72);
    t23 = SUB_CPX_CPX(t22, t62);
    t33 = SUB_CPX_CPX(t32, t72);
    t43 = ADD_CPX_CPX(t42, t82);
    t53 = ADD_CPX_CPX(t52, t92);
    t63 = SUB_CPX_CPX(t42, t82);
    t73 = SUB_CPX_CPX(t52, t92);
    t83 = ADD_CPX_CPX(t03, t43);
    t93 = ADD_CPX_CPX(t13, t53);
    t04 = SUB_CPX_CPX(t03, t43);
    t14 = SUB_CPX_CPX(t13, t53);
    t24 = SUB_CPX_CPX(t23, t73);
    t34 = ADD_CPX_CPX(t33, t63);
    t44 = ADD_CPX_CPX(t23, t73);
    t54 = SUB_CPX_CPX(t33, t63);
    s4 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), t24), MUL_FLT_CPX(C_FLT(0.098017140329560604), t34));
    s5 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), t24), MUL_FLT_CPX(C_FLT(0.99518472667219693), t34));
    s6 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t04), MUL_FLT_CPX(C_FLT(0.19509032201612828), t14));
    s7 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), t04), MUL_FLT_CPX(C_FLT(0.98078528040323043), t14));
    s8 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), t44), MUL_FLT_CPX(C_FLT(0.29028467725446239), t54));
    s9 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.29028467725446239), t44), MUL_FLT_CPX(C_FLT(0.95694033573220882), t54));
    a81 = (src + 2);
    a91 = (src + 62);
    t64 = ADD_CPX_CPX(*(a81), *(a91));
    t74 = ADD_CPX_CPX(MUL_I_CPX(*(a81)), MUL_NI_CPX(*(a91)));
    a02 = (src + 18);
    a12 = (src + 46);
    t84 = ADD_CPX_CPX(*(a02), *(a12));
    t94 = ADD_CPX_CPX(MUL_I_CPX(*(a02)), MUL_NI_CPX(*(a12)));
    a22 = (src + 34);
    a32 = (src + 30);
    t05 = ADD_CPX_CPX(*(a22), *(a32));
    t15 = ADD_CPX_CPX(MUL_I_CPX(*(a22)), MUL_NI_CPX(*(a32)));
    a42 = (src + 50);
    a52 = (src + 14);
    t25 = ADD_CPX_CPX(*(a42), *(a52));
    t35 = ADD_CPX_CPX(MUL_I_CPX(*(a42)), MUL_NI_CPX(*(a52)));
    t45 = ADD_CPX_CPX(t64, t05);
    t55 = ADD_CPX_CPX(t74, t15);
    t65 = SUB_CPX_CPX(t64, t05);
    t75 = SUB_CPX_CPX(t74, t15);
    t85 = ADD_CPX_CPX(t84, t25);
    t95 = ADD_CPX_CPX(t94, t35);
    t06 = SUB_CPX_CPX(t84, t25);
    t16 = SUB_CPX_CPX(t94, t35);
    t26 = ADD_CPX_CPX(t45, t85);
    t36 = ADD_CPX_CPX(t55, t95);
    t46 = SUB_CPX_CPX(t45, t85);
    t56 = SUB_CPX_CPX(t55, t95);
    t66 = SUB_CPX_CPX(t65, t16);
    t76 = ADD_CPX_CPX(t75, t06);
    t86 = ADD_CPX_CPX(t65, t16);
    t96 = SUB_CPX_CPX(t75, t06);
    s01 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t66), MUL_FLT_CPX(C_FLT(0.19509032201612828), t76));
    s11 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), t66), MUL_FLT_CPX(C_FLT(0.98078528040323043), t76));
    s21 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t46), MUL_FLT_CPX(C_FLT(0.38268343236508978), t56));
    s31 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t46), MUL_FLT_CPX(C_FLT(0.92387953251128674), t56));
    s41 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t86), MUL_FLT_CPX(C_FLT(0.55557023301960218), t96));
    s51 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), t86), MUL_FLT_CPX(C_FLT(0.83146961230254524), t96));
    a62 = (src + 3);
    a72 = (src + 61);
    t07 = ADD_CPX_CPX(*(a62), *(a72));
    t17 = ADD_CPX_CPX(MUL_I_CPX(*(a62)), MUL_NI_CPX(*(a72)));
    a82 = (src + 19);
    a92 = (src + 45);
    t27 = ADD_CPX_CPX(*(a82), *(a92));
    t37 = ADD_CPX_CPX(MUL_I_CPX(*(a82)), MUL_NI_CPX(*(a92)));
    a03 = (src + 35);
    a13 = (src + 29);
    t47 = ADD_CPX_CPX(*(a03), *(a13));
    t57 = ADD_CPX_CPX(MUL_I_CPX(*(a03)), MUL_NI_CPX(*(a13)));
    a23 = (src + 51);
    a33 = (src + 13);
    t67 = ADD_CPX_CPX(*(a23), *(a33));
    t77 = ADD_CPX_CPX(MUL_I_CPX(*(a23)), MUL_NI_CPX(*(a33)));
    t87 = ADD_CPX_CPX(t07, t47);
    t97 = ADD_CPX_CPX(t17, t57);
    t08 = SUB_CPX_CPX(t07, t47);
    t18 = SUB_CPX_CPX(t17, t57);
    t28 = ADD_CPX_CPX(t27, t67);
    t38 = ADD_CPX_CPX(t37, t77);
    t48 = SUB_CPX_CPX(t27, t67);
    t58 = SUB_CPX_CPX(t37, t77);
    t68 = ADD_CPX_CPX(t87, t28);
    t78 = ADD_CPX_CPX(t97, t38);
    t88 = SUB_CPX_CPX(t87, t28);
    t98 = SUB_CPX_CPX(t97, t38);
    t09 = SUB_CPX_CPX(t08, t58);
    t19 = ADD_CPX_CPX(t18, t48);
    t29 = ADD_CPX_CPX(t08, t58);
    t39 = SUB_CPX_CPX(t18, t48);
    s61 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), t09), MUL_FLT_CPX(C_FLT(0.29028467725446239), t19));
    s71 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.29028467725446239), t09), MUL_FLT_CPX(C_FLT(0.95694033573220882), t19));
    s81 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t88), MUL_FLT_CPX(C_FLT(0.55557023301960218), t98));
    s91 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), t88), MUL_FLT_CPX(C_FLT(0.83146961230254524), t98));
    s02 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), t29), MUL_FLT_CPX(C_FLT(0.77301045336273699), t39));
    s12 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), t29), MUL_FLT_CPX(C_FLT(0.63439328416364549), t39));
    a43 = (src + 4);
    a53 = (src + 60);
    t49 = ADD_CPX_CPX(*(a43), *(a53));
    t59 = ADD_CPX_CPX(MUL_I_CPX(*(a43)), MUL_NI_CPX(*(a53)));
    a63 = (src + 20);
    a73 = (src + 44);
    t69 = ADD_CPX_CPX(*(a63), *(a73));
    t79 = ADD_CPX_CPX(MUL_I_CPX(*(a63)), MUL_NI_CPX(*(a73)));
    a83 = (src + 36);
    a93 = (src + 28);
    t89 = ADD_CPX_CPX(*(a83), *(a93));
    t99 = ADD_CPX_CPX(MUL_I_CPX(*(a83)), MUL_NI_CPX(*(a93)));
    a04 = (src + 52);
    a14 = (src + 12);
    t0a = ADD_CPX_CPX(*(a04), *(a14));
    t1a = ADD_CPX_CPX(MUL_I_CPX(*(a04)), MUL_NI_CPX(*(a14)));
    t2a = ADD_CPX_CPX(t49, t89);
    t3a = ADD_CPX_CPX(t59, t99);
    t4a = SUB_CPX_CPX(t49, t89);
    t5a = SUB_CPX_CPX(t59, t99);
    t6a = ADD_CPX_CPX(t69, t0a);
    t7a = ADD_CPX_CPX(t79, t1a);
    t8a = SUB_CPX_CPX(t69, t0a);
    t9a = SUB_CPX_CPX(t79, t1a);
    t0b = ADD_CPX_CPX(t2a, t6a);
    t1b = ADD_CPX_CPX(t3a, t7a);
    t2b = SUB_CPX_CPX(t4a, t9a);
    t3b = ADD_CPX_CPX(t5a, t8a);
    t4b = ADD_CPX_CPX(t4a, t9a);
    t5b = SUB_CPX_CPX(t5a, t8a);
    s22 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t2b), MUL_FLT_CPX(C_FLT(0.38268343236508978), t3b));
    s32 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t2b), MUL_FLT_CPX(C_FLT(0.92387953251128674), t3b));
    a24 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2a, t6a));
    a34 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3a, t7a));
    s42 = SUB_CPX_CPX(a24, a34);
    s52 = ADD_CPX_CPX(a24, a34);
    s62 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t4b), MUL_FLT_CPX(C_FLT(0.92387953251128674), t5b));
    s72 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t4b), MUL_FLT_CPX(C_FLT(0.38268343236508978), t5b));
    a44 = (src + 5);
    a54 = (src + 59);
    t6b = ADD_CPX_CPX(*(a44), *(a54));
    t7b = ADD_CPX_CPX(MUL_I_CPX(*(a44)), MUL_NI_CPX(*(a54)));
    a64 = (src + 21);
    a74 = (src + 43);
    t8b = ADD_CPX_CPX(*(a64), *(a74));
    t9b = ADD_CPX_CPX(MUL_I_CPX(*(a64)), MUL_NI_CPX(*(a74)));
    a84 = (src + 37);
    a94 = (src + 27);
    t0c = ADD_CPX_CPX(*(a84), *(a94));
    t1c = ADD_CPX_CPX(MUL_I_CPX(*(a84)), MUL_NI_CPX(*(a94)));
    a05 = (src + 53);
    a15 = (src + 11);
    t2c = ADD_CPX_CPX(*(a05), *(a15));
    t3c = ADD_CPX_CPX(MUL_I_CPX(*(a05)), MUL_NI_CPX(*(a15)));
    t4c = ADD_CPX_CPX(t6b, t0c);
    t5c = ADD_CPX_CPX(t7b, t1c);
    t6c = SUB_CPX_CPX(t6b, t0c);
    t7c = SUB_CPX_CPX(t7b, t1c);
    t8c = ADD_CPX_CPX(t8b, t2c);
    t9c = ADD_CPX_CPX(t9b, t3c);
    t0d = SUB_CPX_CPX(t8b, t2c);
    t1d = SUB_CPX_CPX(t9b, t3c);
    t2d = ADD_CPX_CPX(t4c, t8c);
    t3d = ADD_CPX_CPX(t5c, t9c);
    t4d = SUB_CPX_CPX(t4c, t8c);
    t5d = SUB_CPX_CPX(t5c, t9c);
    t6d = SUB_CPX_CPX(t6c, t1d);
    t7d = ADD_CPX_CPX(t7c, t0d);
    t8d = ADD_CPX_CPX(t6c, t1d);
    t9d = SUB_CPX_CPX(t7c, t0d);
    s82 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), t6d), MUL_FLT_CPX(C_FLT(0.47139673682599764), t7d));
    s92 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.47139673682599764), t6d), MUL_FLT_CPX(C_FLT(0.88192126434835505), t7d));
    s03 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), t4d), MUL_FLT_CPX(C_FLT(0.83146961230254524), t5d));
    s13 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t4d), MUL_FLT_CPX(C_FLT(0.55557023301960218), t5d));
    s23 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), t8d), MUL_FLT_CPX(C_FLT(0.99518472667219693), t9d));
    s33 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), t8d), MUL_FLT_CPX(C_FLT(0.098017140329560604), t9d));
    a25 = (src + 6);
    a35 = (src + 58);
    t0e = ADD_CPX_CPX(*(a25), *(a35));
    t1e = ADD_CPX_CPX(MUL_I_CPX(*(a25)), MUL_NI_CPX(*(a35)));
    a45 = (src + 22);
    a55 = (src + 42);
    t2e = ADD_CPX_CPX(*(a45), *(a55));
    t3e = ADD_CPX_CPX(MUL_I_CPX(*(a45)), MUL_NI_CPX(*(a55)));
    a65 = (src + 38);
    a75 = (src + 26);
    t4e = ADD_CPX_CPX(*(a65), *(a75));
    t5e = ADD_CPX_CPX(MUL_I_CPX(*(a65)), MUL_NI_CPX(*(a75)));
    a85 = (src + 54);
    a95 = (src + 10);
    t6e = ADD_CPX_CPX(*(a85), *(a95));
    t7e = ADD_CPX_CPX(MUL_I_CPX(*(a85)), MUL_NI_CPX(*(a95)));
    t8e = ADD_CPX_CPX(t0e, t4e);
    t9e = ADD_CPX_CPX(t1e, t5e);
    t0f = SUB_CPX_CPX(t0e, t4e);
    t1f = SUB_CPX_CPX(t1e, t5e);
    t2f = ADD_CPX_CPX(t2e, t6e);
    t3f = ADD_CPX_CPX(t3e, t7e);
    t4f = SUB_CPX_CPX(t2e, t6e);
    t5f = SUB_CPX_CPX(t3e, t7e);
    t6f = ADD_CPX_CPX(t8e, t2f);
    t7f = ADD_CPX_CPX(t9e, t3f);
    t8f = SUB_CPX_CPX(t8e, t2f);
    t9f = SUB_CPX_CPX(t9e, t3f);
    t0g = SUB_CPX_CPX(t0f, t5f);
    t1g = ADD_CPX_CPX(t1f, t4f);
    t2g = ADD_CPX_CPX(t0f, t5f);
    t3g = SUB_CPX_CPX(t1f, t4f);
    s43 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t0g), MUL_FLT_CPX(C_FLT(0.55557023301960218), t1g));
    s53 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), t0g), MUL_FLT_CPX(C_FLT(0.83146961230254524), t1g));
    s63 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t8f), MUL_FLT_CPX(C_FLT(0.92387953251128674), t9f));
    s73 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t8f), MUL_FLT_CPX(C_FLT(0.38268343236508978), t9f));
    s83 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), t2g), MUL_FLT_CPX(C_FLT(0.98078528040323043), t3g));
    s93 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t2g), MUL_FLT_CPX(C_FLT(0.19509032201612828), t3g));
    a06 = (src + 7);
    a16 = (src + 57);
    t4g = ADD_CPX_CPX(*(a06), *(a16));
    t5g = ADD_CPX_CPX(MUL_I_CPX(*(a06)), MUL_NI_CPX(*(a16)));
    a26 = (src + 23);
    a36 = (src + 41);
    t6g = ADD_CPX_CPX(*(a26), *(a36));
    t7g = ADD_CPX_CPX(MUL_I_CPX(*(a26)), MUL_NI_CPX(*(a36)));
    a46 = (src + 39);
    a56 = (src + 25);
    t8g = ADD_CPX_CPX(*(a46), *(a56));
    t9g = ADD_CPX_CPX(MUL_I_CPX(*(a46)), MUL_NI_CPX(*(a56)));
    a66 = (src + 55);
    a76 = (src + 9);
    t0h = ADD_CPX_CPX(*(a66), *(a76));
    t1h = ADD_CPX_CPX(MUL_I_CPX(*(a66)), MUL_NI_CPX(*(a76)));
    t2h = ADD_CPX_CPX(t4g, t8g);
    t3h = ADD_CPX_CPX(t5g, t9g);
    t4h = SUB_CPX_CPX(t4g, t8g);
    t5h = SUB_CPX_CPX(t5g, t9g);
    t6h = ADD_CPX_CPX(t6g, t0h);
    t7h = ADD_CPX_CPX(t7g, t1h);
    t8h = SUB_CPX_CPX(t6g, t0h);
    t9h = SUB_CPX_CPX(t7g, t1h);
    t0i = ADD_CPX_CPX(t2h, t6h);
    t1i = ADD_CPX_CPX(t3h, t7h);
    t2i = SUB_CPX_CPX(t2h, t6h);
    t3i = SUB_CPX_CPX(t3h, t7h);
    t4i = SUB_CPX_CPX(t4h, t9h);
    t5i = ADD_CPX_CPX(t5h, t8h);
    t6i = ADD_CPX_CPX(t4h, t9h);
    t7i = SUB_CPX_CPX(t5h, t8h);
    s04 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), t4i), MUL_FLT_CPX(C_FLT(0.63439328416364549), t5i));
    s14 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), t4i), MUL_FLT_CPX(C_FLT(0.77301045336273699), t5i));
    s24 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), t2i), MUL_FLT_CPX(C_FLT(0.98078528040323043), t3i));
    s34 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t2i), MUL_FLT_CPX(C_FLT(0.19509032201612828), t3i));
    s44 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.47139673682599764), t6i), MUL_FLT_CPX(C_FLT(0.88192126434835505), t7i));
    s54 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), t6i), MUL_FLT_CPX(C_FLT(0.47139673682599764), t7i));
    t8i = ADD_CPX_CPX(t41, t0b);
    t9i = SUB_CPX_CPX(t61, t1b);
    t0j = SUB_CPX_CPX(t41, t0b);
    t1j = ADD_CPX_CPX(t61, t1b);
    t2j = ADD_CPX_CPX(t83, t0i);
    t3j = SUB_CPX_CPX(t93, t1i);
    t4j = SUB_CPX_CPX(t83, t0i);
    t5j = ADD_CPX_CPX(t93, t1i);
    s64 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t4j), MUL_FLT_CPX(C_FLT(0.38268343236508978), t5j));
    s74 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t4j), MUL_FLT_CPX(C_FLT(0.92387953251128674), t5j));
    t6j = ADD_CPX_CPX(t26, t6f);
    t7j = SUB_CPX_CPX(t36, t7f);
    a86 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t26, t6f));
    a96 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t36, t7f));
    s84 = SUB_CPX_CPX(a86, a96);
    s94 = ADD_CPX_CPX(a86, a96);
    t8j = ADD_CPX_CPX(t68, t2d);
    t9j = SUB_CPX_CPX(t78, t3d);
    t0k = SUB_CPX_CPX(t68, t2d);
    t1k = ADD_CPX_CPX(t78, t3d);
    s05 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t0k), MUL_FLT_CPX(C_FLT(0.92387953251128674), t1k));
    s15 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t0k), MUL_FLT_CPX(C_FLT(0.38268343236508978), t1k));
    t2k = ADD_CPX_CPX(t8i, t6j);
    t3k = SUB_CPX_CPX(t0j, t7j);
    t4k = SUB_CPX_CPX(t8i, t6j);
    t5k = ADD_CPX_CPX(t0j, t7j);
    t6k = ADD_CPX_CPX(t2j, t8j);
    t7k = SUB_CPX_CPX(t3j, t9j);
    a07 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2j, t8j));
    a17 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t3j, t9j));
    s25 = SUB_CPX_CPX(a07, a17);
    s35 = ADD_CPX_CPX(a07, a17);
    *(dst) = ADD_CPX_CPX(t2k, t6k);
    *((dst + 16)) = SUB_CPX_CPX(t4k, t7k);
    *((dst + 32)) = SUB_CPX_CPX(t2k, t6k);
    *((dst + 48)) = ADD_CPX_CPX(t4k, t7k);
    *((dst + 8)) = ADD_CPX_CPX(t3k, s25);
    *((dst + 24)) = SUB_CPX_CPX(t5k, s35);
    *((dst + 40)) = SUB_CPX_CPX(t3k, s25);
    *((dst + 56)) = ADD_CPX_CPX(t5k, s35);
    t8k = ADD_CPX_CPX(t9i, s84);
    t9k = SUB_CPX_CPX(t1j, s94);
    t0l = SUB_CPX_CPX(t9i, s84);
    t1l = ADD_CPX_CPX(t1j, s94);
    t2l = ADD_CPX_CPX(s64, s05);
    t3l = SUB_CPX_CPX(s74, s15);
    a27 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s64, s05));
    a37 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s74, s15));
    s45 = SUB_CPX_CPX(a27, a37);
    s55 = ADD_CPX_CPX(a27, a37);
    *((dst + 4)) = ADD_CPX_CPX(t8k, t2l);
    *((dst + 20)) = SUB_CPX_CPX(t0l, t3l);
    *((dst + 36)) = SUB_CPX_CPX(t8k, t2l);
    *((dst + 52)) = ADD_CPX_CPX(t0l, t3l);
    *((dst + 12)) = ADD_CPX_CPX(t9k, s45);
    *((dst + 28)) = SUB_CPX_CPX(t1l, s55);
    *((dst + 44)) = SUB_CPX_CPX(t9k, s45);
    *((dst + 60)) = ADD_CPX_CPX(t1l, s55);
    t4l = ADD_CPX_CPX(t81, s22);
    t5l = SUB_CPX_CPX(t02, s32);
    t6l = SUB_CPX_CPX(t81, s22);
    t7l = ADD_CPX_CPX(t02, s32);
    t8l = ADD_CPX_CPX(s4, s04);
    t9l = SUB_CPX_CPX(s5, s14);
    t0m = SUB_CPX_CPX(s4, s04);
    t1m = ADD_CPX_CPX(s5, s14);
    s65 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t0m), MUL_FLT_CPX(C_FLT(0.38268343236508978), t1m));
    s75 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t0m), MUL_FLT_CPX(C_FLT(0.92387953251128674), t1m));
    t2m = ADD_CPX_CPX(s01, s43);
    t3m = SUB_CPX_CPX(s11, s53);
    a47 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s01, s43));
    a57 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s11, s53));
    s85 = SUB_CPX_CPX(a47, a57);
    s95 = ADD_CPX_CPX(a47, a57);
    t4m = ADD_CPX_CPX(s61, s82);
    t5m = SUB_CPX_CPX(s71, s92);
    t6m = SUB_CPX_CPX(s61, s82);
    t7m = ADD_CPX_CPX(s71, s92);
    s06 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t6m), MUL_FLT_CPX(C_FLT(0.92387953251128674), t7m));
    s16 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t6m), MUL_FLT_CPX(C_FLT(0.38268343236508978), t7m));
    t8m = ADD_CPX_CPX(t4l, t2m);
    t9m = SUB_CPX_CPX(t6l, t3m);
    t0n = SUB_CPX_CPX(t4l, t2m);
    t1n = ADD_CPX_CPX(t6l, t3m);
    t2n = ADD_CPX_CPX(t8l, t4m);
    t3n = SUB_CPX_CPX(t9l, t5m);
    a67 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8l, t4m));
    a77 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t9l, t5m));
    s26 = SUB_CPX_CPX(a67, a77);
    s36 = ADD_CPX_CPX(a67, a77);
    *((dst + 1)) = ADD_CPX_CPX(t8m, t2n);
    *((dst + 17)) = SUB_CPX_CPX(t0n, t3n);
    *((dst + 33)) = SUB_CPX_CPX(t8m, t2n);
    *((dst + 49)) = ADD_CPX_CPX(t0n, t3n);
    *((dst + 9)) = ADD_CPX_CPX(t9m, s26);
    *((dst + 25)) = SUB_CPX_CPX(t1n, s36);
    *((dst + 41)) = SUB_CPX_CPX(t9m, s26);
    *((dst + 57)) = ADD_CPX_CPX(t1n, s36);
    t4n = ADD_CPX_CPX(t5l, s85);
    t5n = SUB_CPX_CPX(t7l, s95);
    t6n = SUB_CPX_CPX(t5l, s85);
    t7n = ADD_CPX_CPX(t7l, s95);
    t8n = ADD_CPX_CPX(s65, s06);
    t9n = SUB_CPX_CPX(s75, s16);
    a87 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s65, s06));
    a97 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s75, s16));
    s46 = SUB_CPX_CPX(a87, a97);
    s56 = ADD_CPX_CPX(a87, a97);
    *((dst + 5)) = ADD_CPX_CPX(t4n, t8n);
    *((dst + 21)) = SUB_CPX_CPX(t6n, t9n);
    *((dst + 37)) = SUB_CPX_CPX(t4n, t8n);
    *((dst + 53)) = ADD_CPX_CPX(t6n, t9n);
    *((dst + 13)) = ADD_CPX_CPX(t5n, s46);
    *((dst + 29)) = SUB_CPX_CPX(t7n, s56);
    *((dst + 45)) = SUB_CPX_CPX(t5n, s46);
    *((dst + 61)) = ADD_CPX_CPX(t7n, s56);
    t0o = ADD_CPX_CPX(t51, s42);
    t1o = SUB_CPX_CPX(t71, s52);
    t2o = SUB_CPX_CPX(t51, s42);
    t3o = ADD_CPX_CPX(t71, s52);
    t4o = ADD_CPX_CPX(s6, s24);
    t5o = SUB_CPX_CPX(s7, s34);
    t6o = SUB_CPX_CPX(s6, s24);
    t7o = ADD_CPX_CPX(s7, s34);
    s66 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t6o), MUL_FLT_CPX(C_FLT(0.38268343236508978), t7o));
    s76 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t6o), MUL_FLT_CPX(C_FLT(0.92387953251128674), t7o));
    t8o = ADD_CPX_CPX(s21, s63);
    t9o = SUB_CPX_CPX(s31, s73);
    a08 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s21, s63));
    a18 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s31, s73));
    s86 = SUB_CPX_CPX(a08, a18);
    s96 = ADD_CPX_CPX(a08, a18);
    t0p = ADD_CPX_CPX(s81, s03);
    t1p = SUB_CPX_CPX(s91, s13);
    t2p = SUB_CPX_CPX(s81, s03);
    t3p = ADD_CPX_CPX(s91, s13);
    s07 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t2p), MUL_FLT_CPX(C_FLT(0.92387953251128674), t3p));
    s17 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t2p), MUL_FLT_CPX(C_FLT(0.38268343236508978), t3p));
    t4p = ADD_CPX_CPX(t0o, t8o);
    t5p = SUB_CPX_CPX(t2o, t9o);
    t6p = SUB_CPX_CPX(t0o, t8o);
    t7p = ADD_CPX_CPX(t2o, t9o);
    t8p = ADD_CPX_CPX(t4o, t0p);
    t9p = SUB_CPX_CPX(t5o, t1p);
    a28 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t4o, t0p));
    a38 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t5o, t1p));
    s27 = SUB_CPX_CPX(a28, a38);
    s37 = ADD_CPX_CPX(a28, a38);
    *((dst + 2)) = ADD_CPX_CPX(t4p, t8p);
    *((dst + 18)) = SUB_CPX_CPX(t6p, t9p);
    *((dst + 34)) = SUB_CPX_CPX(t4p, t8p);
    *((dst + 50)) = ADD_CPX_CPX(t6p, t9p);
    *((dst + 10)) = ADD_CPX_CPX(t5p, s27);
    *((dst + 26)) = SUB_CPX_CPX(t7p, s37);
    *((dst + 42)) = SUB_CPX_CPX(t5p, s27);
    *((dst + 58)) = ADD_CPX_CPX(t7p, s37);
    t0q = ADD_CPX_CPX(t1o, s86);
    t1q = SUB_CPX_CPX(t3o, s96);
    t2q = SUB_CPX_CPX(t1o, s86);
    t3q = ADD_CPX_CPX(t3o, s96);
    t4q = ADD_CPX_CPX(s66, s07);
    t5q = SUB_CPX_CPX(s76, s17);
    a48 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s66, s07));
    a58 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s76, s17));
    s47 = SUB_CPX_CPX(a48, a58);
    s57 = ADD_CPX_CPX(a48, a58);
    *((dst + 6)) = ADD_CPX_CPX(t0q, t4q);
    *((dst + 22)) = SUB_CPX_CPX(t2q, t5q);
    *((dst + 38)) = SUB_CPX_CPX(t0q, t4q);
    *((dst + 54)) = ADD_CPX_CPX(t2q, t5q);
    *((dst + 14)) = ADD_CPX_CPX(t1q, s47);
    *((dst + 30)) = SUB_CPX_CPX(t3q, s57);
    *((dst + 46)) = SUB_CPX_CPX(t1q, s47);
    *((dst + 62)) = ADD_CPX_CPX(t3q, s57);
    t6q = ADD_CPX_CPX(t91, s62);
    t7q = SUB_CPX_CPX(t12, s72);
    t8q = SUB_CPX_CPX(t91, s62);
    t9q = ADD_CPX_CPX(t12, s72);
    t0r = SUB_CPX_CPX(s8, s44);
    t1r = SUB_CPX_CPX(s9, s54);
    t2r = ADD_CPX_CPX(s8, s44);
    t3r = ADD_CPX_CPX(s9, s54);
    s67 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t2r), MUL_FLT_CPX(C_FLT(0.38268343236508978), t3r));
    s77 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t2r), MUL_FLT_CPX(C_FLT(0.92387953251128674), t3r));
    t4r = SUB_CPX_CPX(s41, s83);
    t5r = SUB_CPX_CPX(s51, s93);
    a68 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s41, s83));
    a78 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s51, s93));
    s87 = SUB_CPX_CPX(a68, a78);
    s97 = ADD_CPX_CPX(a68, a78);
    t6r = ADD_CPX_CPX(s02, s23);
    t7r = SUB_CPX_CPX(s12, s33);
    t8r = SUB_CPX_CPX(s02, s23);
    t9r = ADD_CPX_CPX(s12, s33);
    s08 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t8r), MUL_FLT_CPX(C_FLT(0.92387953251128674), t9r));
    s18 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t8r), MUL_FLT_CPX(C_FLT(0.38268343236508978), t9r));
    t0s = ADD_CPX_CPX(t6q, t4r);
    t1s = SUB_CPX_CPX(t8q, t5r);
    t2s = SUB_CPX_CPX(t6q, t4r);
    t3s = ADD_CPX_CPX(t8q, t5r);
    t4s = ADD_CPX_CPX(t0r, t6r);
    t5s = SUB_CPX_CPX(t1r, t7r);
    a88 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0r, t6r));
    a98 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t1r, t7r));
    s28 = SUB_CPX_CPX(a88, a98);
    s38 = ADD_CPX_CPX(a88, a98);
    *((dst + 3)) = ADD_CPX_CPX(t0s, t4s);
    *((dst + 19)) = SUB_CPX_CPX(t2s, t5s);
    *((dst + 35)) = SUB_CPX_CPX(t0s, t4s);
    *((dst + 51)) = ADD_CPX_CPX(t2s, t5s);
    *((dst + 11)) = ADD_CPX_CPX(t1s, s28);
    *((dst + 27)) = SUB_CPX_CPX(t3s, s38);
    *((dst + 43)) = SUB_CPX_CPX(t1s, s28);
    *((dst + 59)) = ADD_CPX_CPX(t3s, s38);
    t6s = ADD_CPX_CPX(t7q, s87);
    t7s = SUB_CPX_CPX(t9q, s97);
    t8s = SUB_CPX_CPX(t7q, s87);
    t9s = ADD_CPX_CPX(t9q, s97);
    t0t = ADD_CPX_CPX(s67, s08);
    t1t = SUB_CPX_CPX(s77, s18);
    a09 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s67, s08));
    a19 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s77, s18));
    s48 = SUB_CPX_CPX(a09, a19);
    s58 = ADD_CPX_CPX(a09, a19);
    *((dst + 7)) = ADD_CPX_CPX(t6s, t0t);
    *((dst + 23)) = SUB_CPX_CPX(t8s, t1t);
    *((dst + 39)) = SUB_CPX_CPX(t6s, t0t);
    *((dst + 55)) = ADD_CPX_CPX(t8s, t1t);
    *((dst + 15)) = ADD_CPX_CPX(t7s, s48);
    *((dst + 31)) = SUB_CPX_CPX(t9s, s58);
    *((dst + 47)) = SUB_CPX_CPX(t7s, s48);
    *((dst + 63)) = ADD_CPX_CPX(t9s, s58);
    }
    
    return SPIRAL_OK;
    }
}

SPIRAL_PRIV(spiral_status_t, spiral_fftfwd_double_128_unaligned)(const double *pSrc, double *pDst ) {
    const CPX  *src = (const CPX *) pSrc; 
    CPX        *dst = (CPX *) pDst;
    
    
    {CPX a, a01, a02, a03, a04, a05, a11, a12, a13, a14, a15, a2, a21, a22, a23, a24, a25, a3, a31, a32, a33, a34
        , a4, a41, a42, a43, a44, a5, a51, a52, a53, a54, a6, a61, a62, a63, a64, a7, a71, a72, a73, a74, a8, a81
        , a82, a83, a84, a9, a91, a92, a93, a94, s, s01, s02, s03, s04, s05, s06, s07, s08, s09, s0a, s0b, s0c, s0d
        , s0e, s0f, s0g, s0h, s0i, s0j, s0k, s0l, s0m, s0n, s0o, s0p, s0q, s0r, s0s, s0t, s0u, s0v, s0w, s0x, s11, s12
        , s13, s14, s15, s16, s17, s18, s19, s1a, s1b, s1c, s1d, s1e, s1f, s1g, s1h, s1i, s1j, s1k, s1l, s1m, s1n, s1o
        , s1p, s1q, s1r, s1s, s1t, s1u, s1v, s1w, s1x, s2, s21, s22, s23, s24, s25, s26, s27, s28, s29, s2a, s2b, s2c
        , s2d, s2e, s2f, s2g, s2h, s2i, s2j, s2k, s2l, s2m, s2n, s2o, s2p, s2q, s2r, s2s, s2t, s2u, s2v, s2w, s2x, s3
        , s31, s32, s33, s34, s35, s36, s37, s38, s39, s3a, s3b, s3c, s3d, s3e, s3f, s3g, s3h, s3i, s3j, s3k, s3l, s3m
        , s3n, s3o, s3p, s3q, s3r, s3s, s3t, s3u, s3v, s3w, s3x, s4, s41, s42, s43, s44, s45, s46, s47, s48, s49, s4a
        , s4b, s4c, s4d, s4e, s4f, s4g, s4h, s4i, s4j, s4k, s4l, s4m, s4n, s4o, s4p, s4q, s4r, s4s, s4t, s4u, s4v, s4w
        , s5, s51, s52, s53, s54, s55, s56, s57, s58, s59, s5a, s5b, s5c, s5d, s5e, s5f, s5g, s5h, s5i, s5j, s5k, s5l
        , s5m, s5n, s5o, s5p, s5q, s5r, s5s, s5t, s5u, s5v, s5w, s6, s61, s62, s63, s64, s65, s66, s67, s68, s69, s6a
        , s6b, s6c, s6d, s6e, s6f, s6g, s6h, s6i, s6j, s6k, s6l, s6m, s6n, s6o, s6p, s6q, s6r, s6s, s6t, s6u, s6v, s6w
        , s7, s71, s72, s73, s74, s75, s76, s77, s78, s79, s7a, s7b, s7c, s7d, s7e, s7f, s7g, s7h, s7i, s7j, s7k, s7l
        , s7m, s7n, s7o, s7p, s7q, s7r, s7s, s7t, s7u, s7v, s7w, s8, s81, s82, s83, s84, s85, s86, s87, s88, s89, s8a
        , s8b, s8c, s8d, s8e, s8f, s8g, s8h, s8i, s8j, s8k, s8l, s8m, s8n, s8o, s8p, s8q, s8r, s8s, s8t, s8u, s8v, s8w
        , s9, s91, s92, s93, s94, s95, s96, s97, s98, s99, s9a, s9b, s9c, s9d, s9e, s9f, s9g, s9h, s9i, s9j, s9k, s9l
        , s9m, s9n, s9o, s9p, s9q, s9r, s9s, s9t, s9u, s9v, s9w, t, t01, t010, t011, t012, t013, t014, t015, t016, t017, t018
        , t019, t01a, t01b, t01c, t01d, t01e, t01f, t01g, t01h, t01i, t01j, t01k, t01l, t01m, t02, t03, t04, t05, t06, t07, t08, t09
        , t0A, t0B, t0C, t0D, t0E, t0F, t0G, t0H, t0I, t0J, t0K, t0L, t0M, t0N, t0O, t0P, t0Q, t0R, t0S, t0T, t0U, t0V
        , t0W, t0X, t0Y, t0Z, t0a, t0b, t0c, t0d, t0e, t0f, t0g, t0h, t0i, t0j, t0k, t0l, t0m, t0n, t0o, t0p, t0q, t0r
        , t0s, t0t, t0u, t0v, t0w, t0x, t0y, t0z, t11, t110, t111, t112, t113, t114, t115, t116, t117, t118, t119, t11a, t11b, t11c
        , t11d, t11e, t11f, t11g, t11h, t11i, t11j, t11k, t11l, t11m, t12, t13, t14, t15, t16, t17, t18, t19, t1A, t1B, t1C, t1D
        , t1E, t1F, t1G, t1H, t1I, t1J, t1K, t1L, t1M, t1N, t1O, t1P, t1Q, t1R, t1S, t1T, t1U, t1V, t1W, t1X, t1Y, t1Z
        , t1a, t1b, t1c, t1d, t1e, t1f, t1g, t1h, t1i, t1j, t1k, t1l, t1m, t1n, t1o, t1p, t1q, t1r, t1s, t1t, t1u, t1v
        , t1w, t1x, t1y, t1z, t2, t21, t210, t211, t212, t213, t214, t215, t216, t217, t218, t219, t21a, t21b, t21c, t21d, t21e, t21f
        , t21g, t21h, t21i, t21j, t21k, t21l, t21m, t22, t23, t24, t25, t26, t27, t28, t29, t2A, t2B, t2C, t2D, t2E, t2F, t2G
        , t2H, t2I, t2J, t2K, t2L, t2M, t2N, t2O, t2P, t2Q, t2R, t2S, t2T, t2U, t2V, t2W, t2X, t2Y, t2Z, t2a, t2b, t2c
        , t2d, t2e, t2f, t2g, t2h, t2i, t2j, t2k, t2l, t2m, t2n, t2o, t2p, t2q, t2r, t2s, t2t, t2u, t2v, t2w, t2x, t2y
        , t2z, t3, t31, t310, t311, t312, t313, t314, t315, t316, t317, t318, t319, t31a, t31b, t31c, t31d, t31e, t31f, t31g, t31h, t31i
        , t31j, t31k, t31l, t31m, t32, t33, t34, t35, t36, t37, t38, t39, t3A, t3B, t3C, t3D, t3E, t3F, t3G, t3H, t3I, t3J
        , t3K, t3L, t3M, t3N, t3O, t3P, t3Q, t3R, t3S, t3T, t3U, t3V, t3W, t3X, t3Y, t3Z, t3a, t3b, t3c, t3d, t3e, t3f
        , t3g, t3h, t3i, t3j, t3k, t3l, t3m, t3n, t3o, t3p, t3q, t3r, t3s, t3t, t3u, t3v, t3w, t3x, t3y, t3z, t4, t41
        , t410, t411, t412, t413, t414, t415, t416, t417, t418, t419, t41a, t41b, t41c, t41d, t41e, t41f, t41g, t41h, t41i, t41j, t41k, t41l
        , t42, t43, t44, t45, t46, t47, t48, t49, t4A, t4B, t4C, t4D, t4E, t4F, t4G, t4H, t4I, t4J, t4K, t4L, t4M, t4N
        , t4O, t4P, t4Q, t4R, t4S, t4T, t4U, t4V, t4W, t4X, t4Y, t4Z, t4a, t4b, t4c, t4d, t4e, t4f, t4g, t4h, t4i, t4j
        , t4k, t4l, t4m, t4n, t4o, t4p, t4q, t4r, t4s, t4t, t4u, t4v, t4w, t4x, t4y, t4z, t5, t51, t510, t511, t512, t513
        , t514, t515, t516, t517, t518, t519, t51a, t51b, t51c, t51d, t51e, t51f, t51g, t51h, t51i, t51j, t51k, t51l, t52, t53, t54, t55
        , t56, t57, t58, t59, t5A, t5B, t5C, t5D, t5E, t5F, t5G, t5H, t5I, t5J, t5K, t5L, t5M, t5N, t5O, t5P, t5Q, t5R
        , t5S, t5T, t5U, t5V, t5W, t5X, t5Y, t5Z, t5a, t5b, t5c, t5d, t5e, t5f, t5g, t5h, t5i, t5j, t5k, t5l, t5m, t5n
        , t5o, t5p, t5q, t5r, t5s, t5t, t5u, t5v, t5w, t5x, t5y, t5z, t6, t61, t610, t611, t612, t613, t614, t615, t616, t617
        , t618, t619, t61a, t61b, t61c, t61d, t61e, t61f, t61g, t61h, t61i, t61j, t61k, t61l, t62, t63, t64, t65, t66, t67, t68, t69
        , t6A, t6B, t6C, t6D, t6E, t6F, t6G, t6H, t6I, t6J, t6K, t6L, t6M, t6N, t6O, t6P, t6Q, t6R, t6S, t6T, t6U, t6V
        , t6W, t6X, t6Y, t6Z, t6a, t6b, t6c, t6d, t6e, t6f, t6g, t6h, t6i, t6j, t6k, t6l, t6m, t6n, t6o, t6p, t6q, t6r
        , t6s, t6t, t6u, t6v, t6w, t6x, t6y, t6z, t7, t71, t710, t711, t712, t713, t714, t715, t716, t717, t718, t719, t71a, t71b
        , t71c, t71d, t71e, t71f, t71g, t71h, t71i, t71j, t71k, t71l, t72, t73, t74, t75, t76, t77, t78, t79, t7A, t7B, t7C, t7D
        , t7E, t7F, t7G, t7H, t7I, t7J, t7K, t7L, t7M, t7N, t7O, t7P, t7Q, t7R, t7S, t7T, t7U, t7V, t7W, t7X, t7Y, t7Z
        , t7a, t7b, t7c, t7d, t7e, t7f, t7g, t7h, t7i, t7j, t7k, t7l, t7m, t7n, t7o, t7p, t7q, t7r, t7s, t7t, t7u, t7v
        , t7w, t7x, t7y, t7z, t8, t81, t810, t811, t812, t813, t814, t815, t816, t817, t818, t819, t81a, t81b, t81c, t81d, t81e, t81f
        , t81g, t81h, t81i, t81j, t81k, t81l, t82, t83, t84, t85, t86, t87, t88, t89, t8A, t8B, t8C, t8D, t8E, t8F, t8G, t8H
        , t8I, t8J, t8K, t8L, t8M, t8N, t8O, t8P, t8Q, t8R, t8S, t8T, t8U, t8V, t8W, t8X, t8Y, t8Z, t8a, t8b, t8c, t8d
        , t8e, t8f, t8g, t8h, t8i, t8j, t8k, t8l, t8m, t8n, t8o, t8p, t8q, t8r, t8s, t8t, t8u, t8v, t8w, t8x, t8y, t8z
        , t9, t91, t910, t911, t912, t913, t914, t915, t916, t917, t918, t919, t91a, t91b, t91c, t91d, t91e, t91f, t91g, t91h, t91i, t91j
        , t91k, t91l, t92, t93, t94, t95, t96, t97, t98, t99, t9A, t9B, t9C, t9D, t9E, t9F, t9G, t9H, t9I, t9J, t9K, t9L
        , t9M, t9N, t9O, t9P, t9Q, t9R, t9S, t9T, t9U, t9V, t9W, t9X, t9Y, t9Z, t9a, t9b, t9c, t9d, t9e, t9f, t9g, t9h
        , t9i, t9j, t9k, t9l, t9m, t9n, t9o, t9p, t9q, t9r, t9s, t9t, t9u, t9v, t9w, t9x, t9y, t9z;
    s = LOADU_CPX(src);
    s2 = LOADU_CPX((src + 64));
    t = ADD_CPX_CPX(s, s2);
    t2 = SUB_CPX_CPX(s, s2);
    s3 = LOADU_CPX((src + 32));
    s4 = LOADU_CPX((src + 96));
    t3 = ADD_CPX_CPX(s3, s4);
    s5 = MUL_NI_CPX(SUB_CPX_CPX(s3, s4));
    t4 = ADD_CPX_CPX(t, t3);
    t5 = SUB_CPX_CPX(t, t3);
    t6 = ADD_CPX_CPX(t2, s5);
    t7 = SUB_CPX_CPX(t2, s5);
    s6 = LOADU_CPX((src + 16));
    s7 = LOADU_CPX((src + 112));
    t8 = ADD_CPX_CPX(s6, s7);
    t9 = ADD_CPX_CPX(MUL_I_CPX(s6), MUL_NI_CPX(s7));
    s8 = LOADU_CPX((src + 80));
    s9 = LOADU_CPX((src + 48));
    t01 = ADD_CPX_CPX(s8, s9);
    t11 = ADD_CPX_CPX(MUL_I_CPX(s8), MUL_NI_CPX(s9));
    t21 = ADD_CPX_CPX(t8, t01);
    t31 = ADD_CPX_CPX(t9, t11);
    a = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8, t01));
    a2 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9, t11));
    s01 = SUB_CPX_CPX(a, a2);
    s11 = ADD_CPX_CPX(a, a2);
    t41 = ADD_CPX_CPX(t4, t21);
    t51 = SUB_CPX_CPX(t5, t31);
    t61 = SUB_CPX_CPX(t4, t21);
    t71 = ADD_CPX_CPX(t5, t31);
    t81 = ADD_CPX_CPX(t6, s01);
    t91 = SUB_CPX_CPX(t7, s11);
    t02 = SUB_CPX_CPX(t6, s01);
    t12 = ADD_CPX_CPX(t7, s11);
    s21 = LOADU_CPX((src + 1));
    s31 = LOADU_CPX((src + 127));
    t22 = ADD_CPX_CPX(s21, s31);
    t32 = ADD_CPX_CPX(MUL_I_CPX(s21), MUL_NI_CPX(s31));
    s41 = LOADU_CPX((src + 33));
    s51 = LOADU_CPX((src + 95));
    t42 = ADD_CPX_CPX(s41, s51);
    t52 = ADD_CPX_CPX(MUL_I_CPX(s41), MUL_NI_CPX(s51));
    s61 = LOADU_CPX((src + 65));
    s71 = LOADU_CPX((src + 63));
    t62 = ADD_CPX_CPX(s61, s71);
    t72 = ADD_CPX_CPX(MUL_I_CPX(s61), MUL_NI_CPX(s71));
    s81 = LOADU_CPX((src + 97));
    s91 = LOADU_CPX((src + 31));
    t82 = ADD_CPX_CPX(s81, s91);
    t92 = ADD_CPX_CPX(MUL_I_CPX(s81), MUL_NI_CPX(s91));
    t03 = ADD_CPX_CPX(t22, t62);
    t13 = ADD_CPX_CPX(t32, t72);
    t23 = SUB_CPX_CPX(t22, t62);
    t33 = SUB_CPX_CPX(t32, t72);
    t43 = ADD_CPX_CPX(t42, t82);
    t53 = ADD_CPX_CPX(t52, t92);
    t63 = SUB_CPX_CPX(t42, t82);
    t73 = SUB_CPX_CPX(t52, t92);
    t83 = ADD_CPX_CPX(t03, t43);
    t93 = ADD_CPX_CPX(t13, t53);
    t04 = SUB_CPX_CPX(t03, t43);
    t14 = SUB_CPX_CPX(t13, t53);
    t24 = SUB_CPX_CPX(t23, t73);
    t34 = ADD_CPX_CPX(t33, t63);
    t44 = ADD_CPX_CPX(t23, t73);
    t54 = SUB_CPX_CPX(t33, t63);
    s02 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99879545620517241), t24), MUL_FLT_CPX(C_FLT(0.049067674327418015), t34));
    s12 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.049067674327418015), t24), MUL_FLT_CPX(C_FLT(0.99879545620517241), t34));
    s22 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), t04), MUL_FLT_CPX(C_FLT(0.098017140329560604), t14));
    s32 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), t04), MUL_FLT_CPX(C_FLT(0.99518472667219693), t14));
    s42 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), t44), MUL_FLT_CPX(C_FLT(0.14673047445536175), t54));
    s52 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.14673047445536175), t44), MUL_FLT_CPX(C_FLT(0.98917650996478101), t54));
    s62 = LOADU_CPX((src + 2));
    s72 = LOADU_CPX((src + 126));
    t64 = ADD_CPX_CPX(s62, s72);
    t74 = ADD_CPX_CPX(MUL_I_CPX(s62), MUL_NI_CPX(s72));
    s82 = LOADU_CPX((src + 34));
    s92 = LOADU_CPX((src + 94));
    t84 = ADD_CPX_CPX(s82, s92);
    t94 = ADD_CPX_CPX(MUL_I_CPX(s82), MUL_NI_CPX(s92));
    s03 = LOADU_CPX((src + 66));
    s13 = LOADU_CPX((src + 62));
    t05 = ADD_CPX_CPX(s03, s13);
    t15 = ADD_CPX_CPX(MUL_I_CPX(s03), MUL_NI_CPX(s13));
    s23 = LOADU_CPX((src + 98));
    s33 = LOADU_CPX((src + 30));
    t25 = ADD_CPX_CPX(s23, s33);
    t35 = ADD_CPX_CPX(MUL_I_CPX(s23), MUL_NI_CPX(s33));
    t45 = ADD_CPX_CPX(t64, t05);
    t55 = ADD_CPX_CPX(t74, t15);
    t65 = SUB_CPX_CPX(t64, t05);
    t75 = SUB_CPX_CPX(t74, t15);
    t85 = ADD_CPX_CPX(t84, t25);
    t95 = ADD_CPX_CPX(t94, t35);
    t06 = SUB_CPX_CPX(t84, t25);
    t16 = SUB_CPX_CPX(t94, t35);
    t26 = ADD_CPX_CPX(t45, t85);
    t36 = ADD_CPX_CPX(t55, t95);
    t46 = SUB_CPX_CPX(t45, t85);
    t56 = SUB_CPX_CPX(t55, t95);
    t66 = SUB_CPX_CPX(t65, t16);
    t76 = ADD_CPX_CPX(t75, t06);
    t86 = ADD_CPX_CPX(t65, t16);
    t96 = SUB_CPX_CPX(t75, t06);
    s43 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), t66), MUL_FLT_CPX(C_FLT(0.098017140329560604), t76));
    s53 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), t66), MUL_FLT_CPX(C_FLT(0.99518472667219693), t76));
    s63 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t46), MUL_FLT_CPX(C_FLT(0.19509032201612828), t56));
    s73 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), t46), MUL_FLT_CPX(C_FLT(0.98078528040323043), t56));
    s83 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), t86), MUL_FLT_CPX(C_FLT(0.29028467725446239), t96));
    s93 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.29028467725446239), t86), MUL_FLT_CPX(C_FLT(0.95694033573220882), t96));
    s04 = LOADU_CPX((src + 3));
    s14 = LOADU_CPX((src + 125));
    t07 = ADD_CPX_CPX(s04, s14);
    t17 = ADD_CPX_CPX(MUL_I_CPX(s04), MUL_NI_CPX(s14));
    s24 = LOADU_CPX((src + 35));
    s34 = LOADU_CPX((src + 93));
    t27 = ADD_CPX_CPX(s24, s34);
    t37 = ADD_CPX_CPX(MUL_I_CPX(s24), MUL_NI_CPX(s34));
    s44 = LOADU_CPX((src + 67));
    s54 = LOADU_CPX((src + 61));
    t47 = ADD_CPX_CPX(s44, s54);
    t57 = ADD_CPX_CPX(MUL_I_CPX(s44), MUL_NI_CPX(s54));
    s64 = LOADU_CPX((src + 99));
    s74 = LOADU_CPX((src + 29));
    t67 = ADD_CPX_CPX(s64, s74);
    t77 = ADD_CPX_CPX(MUL_I_CPX(s64), MUL_NI_CPX(s74));
    t87 = ADD_CPX_CPX(t07, t47);
    t97 = ADD_CPX_CPX(t17, t57);
    t08 = SUB_CPX_CPX(t07, t47);
    t18 = SUB_CPX_CPX(t17, t57);
    t28 = ADD_CPX_CPX(t27, t67);
    t38 = ADD_CPX_CPX(t37, t77);
    t48 = SUB_CPX_CPX(t27, t67);
    t58 = SUB_CPX_CPX(t37, t77);
    t68 = ADD_CPX_CPX(t87, t28);
    t78 = ADD_CPX_CPX(t97, t38);
    t88 = SUB_CPX_CPX(t87, t28);
    t98 = SUB_CPX_CPX(t97, t38);
    t09 = SUB_CPX_CPX(t08, t58);
    t19 = ADD_CPX_CPX(t18, t48);
    t29 = ADD_CPX_CPX(t08, t58);
    t39 = SUB_CPX_CPX(t18, t48);
    s84 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), t09), MUL_FLT_CPX(C_FLT(0.14673047445536175), t19));
    s94 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.14673047445536175), t09), MUL_FLT_CPX(C_FLT(0.98917650996478101), t19));
    s05 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), t88), MUL_FLT_CPX(C_FLT(0.29028467725446239), t98));
    s15 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.29028467725446239), t88), MUL_FLT_CPX(C_FLT(0.95694033573220882), t98));
    s25 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.90398929312344334), t29), MUL_FLT_CPX(C_FLT(0.42755509343028208), t39));
    s35 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.42755509343028208), t29), MUL_FLT_CPX(C_FLT(0.90398929312344334), t39));
    s45 = LOADU_CPX((src + 4));
    s55 = LOADU_CPX((src + 124));
    t49 = ADD_CPX_CPX(s45, s55);
    t59 = ADD_CPX_CPX(MUL_I_CPX(s45), MUL_NI_CPX(s55));
    s65 = LOADU_CPX((src + 36));
    s75 = LOADU_CPX((src + 92));
    t69 = ADD_CPX_CPX(s65, s75);
    t79 = ADD_CPX_CPX(MUL_I_CPX(s65), MUL_NI_CPX(s75));
    s85 = LOADU_CPX((src + 68));
    s95 = LOADU_CPX((src + 60));
    t89 = ADD_CPX_CPX(s85, s95);
    t99 = ADD_CPX_CPX(MUL_I_CPX(s85), MUL_NI_CPX(s95));
    s06 = LOADU_CPX((src + 100));
    s16 = LOADU_CPX((src + 28));
    t0a = ADD_CPX_CPX(s06, s16);
    t1a = ADD_CPX_CPX(MUL_I_CPX(s06), MUL_NI_CPX(s16));
    t2a = ADD_CPX_CPX(t49, t89);
    t3a = ADD_CPX_CPX(t59, t99);
    t4a = SUB_CPX_CPX(t49, t89);
    t5a = SUB_CPX_CPX(t59, t99);
    t6a = ADD_CPX_CPX(t69, t0a);
    t7a = ADD_CPX_CPX(t79, t1a);
    t8a = SUB_CPX_CPX(t69, t0a);
    t9a = SUB_CPX_CPX(t79, t1a);
    t0b = ADD_CPX_CPX(t2a, t6a);
    t1b = ADD_CPX_CPX(t3a, t7a);
    t2b = SUB_CPX_CPX(t2a, t6a);
    t3b = SUB_CPX_CPX(t3a, t7a);
    t4b = SUB_CPX_CPX(t4a, t9a);
    t5b = ADD_CPX_CPX(t5a, t8a);
    t6b = ADD_CPX_CPX(t4a, t9a);
    t7b = SUB_CPX_CPX(t5a, t8a);
    s26 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t4b), MUL_FLT_CPX(C_FLT(0.19509032201612828), t5b));
    s36 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), t4b), MUL_FLT_CPX(C_FLT(0.98078528040323043), t5b));
    s46 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t2b), MUL_FLT_CPX(C_FLT(0.38268343236508978), t3b));
    s56 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t2b), MUL_FLT_CPX(C_FLT(0.92387953251128674), t3b));
    s66 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t6b), MUL_FLT_CPX(C_FLT(0.55557023301960218), t7b));
    s76 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), t6b), MUL_FLT_CPX(C_FLT(0.83146961230254524), t7b));
    s86 = LOADU_CPX((src + 5));
    s96 = LOADU_CPX((src + 123));
    t8b = ADD_CPX_CPX(s86, s96);
    t9b = ADD_CPX_CPX(MUL_I_CPX(s86), MUL_NI_CPX(s96));
    s07 = LOADU_CPX((src + 37));
    s17 = LOADU_CPX((src + 91));
    t0c = ADD_CPX_CPX(s07, s17);
    t1c = ADD_CPX_CPX(MUL_I_CPX(s07), MUL_NI_CPX(s17));
    s27 = LOADU_CPX((src + 69));
    s37 = LOADU_CPX((src + 59));
    t2c = ADD_CPX_CPX(s27, s37);
    t3c = ADD_CPX_CPX(MUL_I_CPX(s27), MUL_NI_CPX(s37));
    s47 = LOADU_CPX((src + 101));
    s57 = LOADU_CPX((src + 27));
    t4c = ADD_CPX_CPX(s47, s57);
    t5c = ADD_CPX_CPX(MUL_I_CPX(s47), MUL_NI_CPX(s57));
    t6c = ADD_CPX_CPX(t8b, t2c);
    t7c = ADD_CPX_CPX(t9b, t3c);
    t8c = SUB_CPX_CPX(t8b, t2c);
    t9c = SUB_CPX_CPX(t9b, t3c);
    t0d = ADD_CPX_CPX(t0c, t4c);
    t1d = ADD_CPX_CPX(t1c, t5c);
    t2d = SUB_CPX_CPX(t0c, t4c);
    t3d = SUB_CPX_CPX(t1c, t5c);
    t4d = ADD_CPX_CPX(t6c, t0d);
    t5d = ADD_CPX_CPX(t7c, t1d);
    t6d = SUB_CPX_CPX(t6c, t0d);
    t7d = SUB_CPX_CPX(t7c, t1d);
    t8d = SUB_CPX_CPX(t8c, t3d);
    t9d = ADD_CPX_CPX(t9c, t2d);
    t0e = ADD_CPX_CPX(t8c, t3d);
    t1e = SUB_CPX_CPX(t9c, t2d);
    s67 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.97003125319454397), t8d), MUL_FLT_CPX(C_FLT(0.2429801799032639), t9d));
    s77 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.2429801799032639), t8d), MUL_FLT_CPX(C_FLT(0.97003125319454397), t9d));
    s87 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), t6d), MUL_FLT_CPX(C_FLT(0.47139673682599764), t7d));
    s97 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.47139673682599764), t6d), MUL_FLT_CPX(C_FLT(0.88192126434835505), t7d));
    s08 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), t0e), MUL_FLT_CPX(C_FLT(0.67155895484701844), t1e));
    s18 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.67155895484701844), t0e), MUL_FLT_CPX(C_FLT(0.74095112535495911), t1e));
    s28 = LOADU_CPX((src + 6));
    s38 = LOADU_CPX((src + 122));
    t2e = ADD_CPX_CPX(s28, s38);
    t3e = ADD_CPX_CPX(MUL_I_CPX(s28), MUL_NI_CPX(s38));
    s48 = LOADU_CPX((src + 38));
    s58 = LOADU_CPX((src + 90));
    t4e = ADD_CPX_CPX(s48, s58);
    t5e = ADD_CPX_CPX(MUL_I_CPX(s48), MUL_NI_CPX(s58));
    s68 = LOADU_CPX((src + 70));
    s78 = LOADU_CPX((src + 58));
    t6e = ADD_CPX_CPX(s68, s78);
    t7e = ADD_CPX_CPX(MUL_I_CPX(s68), MUL_NI_CPX(s78));
    s88 = LOADU_CPX((src + 102));
    s98 = LOADU_CPX((src + 26));
    t8e = ADD_CPX_CPX(s88, s98);
    t9e = ADD_CPX_CPX(MUL_I_CPX(s88), MUL_NI_CPX(s98));
    t0f = ADD_CPX_CPX(t2e, t6e);
    t1f = ADD_CPX_CPX(t3e, t7e);
    t2f = SUB_CPX_CPX(t2e, t6e);
    t3f = SUB_CPX_CPX(t3e, t7e);
    t4f = ADD_CPX_CPX(t4e, t8e);
    t5f = ADD_CPX_CPX(t5e, t9e);
    t6f = SUB_CPX_CPX(t4e, t8e);
    t7f = SUB_CPX_CPX(t5e, t9e);
    t8f = ADD_CPX_CPX(t0f, t4f);
    t9f = ADD_CPX_CPX(t1f, t5f);
    t0g = SUB_CPX_CPX(t0f, t4f);
    t1g = SUB_CPX_CPX(t1f, t5f);
    t2g = SUB_CPX_CPX(t2f, t7f);
    t3g = ADD_CPX_CPX(t3f, t6f);
    t4g = ADD_CPX_CPX(t2f, t7f);
    t5g = SUB_CPX_CPX(t3f, t6f);
    s09 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), t2g), MUL_FLT_CPX(C_FLT(0.29028467725446239), t3g));
    s19 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.29028467725446239), t2g), MUL_FLT_CPX(C_FLT(0.95694033573220882), t3g));
    s29 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t0g), MUL_FLT_CPX(C_FLT(0.55557023301960218), t1g));
    s39 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), t0g), MUL_FLT_CPX(C_FLT(0.83146961230254524), t1g));
    s49 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), t4g), MUL_FLT_CPX(C_FLT(0.77301045336273699), t5g));
    s59 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), t4g), MUL_FLT_CPX(C_FLT(0.63439328416364549), t5g));
    s69 = LOADU_CPX((src + 7));
    s79 = LOADU_CPX((src + 121));
    t6g = ADD_CPX_CPX(s69, s79);
    t7g = ADD_CPX_CPX(MUL_I_CPX(s69), MUL_NI_CPX(s79));
    s89 = LOADU_CPX((src + 39));
    s99 = LOADU_CPX((src + 89));
    t8g = ADD_CPX_CPX(s89, s99);
    t9g = ADD_CPX_CPX(MUL_I_CPX(s89), MUL_NI_CPX(s99));
    s0a = LOADU_CPX((src + 71));
    s1a = LOADU_CPX((src + 57));
    t0h = ADD_CPX_CPX(s0a, s1a);
    t1h = ADD_CPX_CPX(MUL_I_CPX(s0a), MUL_NI_CPX(s1a));
    s2a = LOADU_CPX((src + 103));
    s3a = LOADU_CPX((src + 25));
    t2h = ADD_CPX_CPX(s2a, s3a);
    t3h = ADD_CPX_CPX(MUL_I_CPX(s2a), MUL_NI_CPX(s3a));
    t4h = ADD_CPX_CPX(t6g, t0h);
    t5h = ADD_CPX_CPX(t7g, t1h);
    t6h = SUB_CPX_CPX(t6g, t0h);
    t7h = SUB_CPX_CPX(t7g, t1h);
    t8h = ADD_CPX_CPX(t8g, t2h);
    t9h = ADD_CPX_CPX(t9g, t3h);
    t0i = SUB_CPX_CPX(t8g, t2h);
    t1i = SUB_CPX_CPX(t9g, t3h);
    t2i = ADD_CPX_CPX(t4h, t8h);
    t3i = ADD_CPX_CPX(t5h, t9h);
    t4i = SUB_CPX_CPX(t4h, t8h);
    t5i = SUB_CPX_CPX(t5h, t9h);
    t6i = SUB_CPX_CPX(t6h, t1i);
    t7i = ADD_CPX_CPX(t7h, t0i);
    t8i = ADD_CPX_CPX(t6h, t1i);
    t9i = SUB_CPX_CPX(t7h, t0i);
    s4a = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), t6i), MUL_FLT_CPX(C_FLT(0.33688985339222005), t7i));
    s5a = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.33688985339222005), t6i), MUL_FLT_CPX(C_FLT(0.94154406518302081), t7i));
    s6a = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), t4i), MUL_FLT_CPX(C_FLT(0.63439328416364549), t5i));
    s7a = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), t4i), MUL_FLT_CPX(C_FLT(0.77301045336273699), t5i));
    s8a = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.51410274419322177), t8i), MUL_FLT_CPX(C_FLT(0.85772861000027212), t9i));
    s9a = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.85772861000027212), t8i), MUL_FLT_CPX(C_FLT(0.51410274419322177), t9i));
    s0b = LOADU_CPX((src + 8));
    s1b = LOADU_CPX((src + 120));
    t0j = ADD_CPX_CPX(s0b, s1b);
    t1j = ADD_CPX_CPX(MUL_I_CPX(s0b), MUL_NI_CPX(s1b));
    s2b = LOADU_CPX((src + 40));
    s3b = LOADU_CPX((src + 88));
    t2j = ADD_CPX_CPX(s2b, s3b);
    t3j = ADD_CPX_CPX(MUL_I_CPX(s2b), MUL_NI_CPX(s3b));
    s4b = LOADU_CPX((src + 72));
    s5b = LOADU_CPX((src + 56));
    t4j = ADD_CPX_CPX(s4b, s5b);
    t5j = ADD_CPX_CPX(MUL_I_CPX(s4b), MUL_NI_CPX(s5b));
    s6b = LOADU_CPX((src + 104));
    s7b = LOADU_CPX((src + 24));
    t6j = ADD_CPX_CPX(s6b, s7b);
    t7j = ADD_CPX_CPX(MUL_I_CPX(s6b), MUL_NI_CPX(s7b));
    t8j = ADD_CPX_CPX(t0j, t4j);
    t9j = ADD_CPX_CPX(t1j, t5j);
    t0k = SUB_CPX_CPX(t0j, t4j);
    t1k = SUB_CPX_CPX(t1j, t5j);
    t2k = ADD_CPX_CPX(t2j, t6j);
    t3k = ADD_CPX_CPX(t3j, t7j);
    t4k = SUB_CPX_CPX(t2j, t6j);
    t5k = SUB_CPX_CPX(t3j, t7j);
    t6k = ADD_CPX_CPX(t8j, t2k);
    t7k = ADD_CPX_CPX(t9j, t3k);
    t8k = SUB_CPX_CPX(t0k, t5k);
    t9k = ADD_CPX_CPX(t1k, t4k);
    t0l = ADD_CPX_CPX(t0k, t5k);
    t1l = SUB_CPX_CPX(t1k, t4k);
    s8b = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t8k), MUL_FLT_CPX(C_FLT(0.38268343236508978), t9k));
    s9b = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t8k), MUL_FLT_CPX(C_FLT(0.92387953251128674), t9k));
    a3 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8j, t2k));
    a4 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9j, t3k));
    s0c = SUB_CPX_CPX(a3, a4);
    s1c = ADD_CPX_CPX(a3, a4);
    s2c = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t0l), MUL_FLT_CPX(C_FLT(0.92387953251128674), t1l));
    s3c = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t0l), MUL_FLT_CPX(C_FLT(0.38268343236508978), t1l));
    s4c = LOADU_CPX((src + 9));
    s5c = LOADU_CPX((src + 119));
    t2l = ADD_CPX_CPX(s4c, s5c);
    t3l = ADD_CPX_CPX(MUL_I_CPX(s4c), MUL_NI_CPX(s5c));
    s6c = LOADU_CPX((src + 41));
    s7c = LOADU_CPX((src + 87));
    t4l = ADD_CPX_CPX(s6c, s7c);
    t5l = ADD_CPX_CPX(MUL_I_CPX(s6c), MUL_NI_CPX(s7c));
    s8c = LOADU_CPX((src + 73));
    s9c = LOADU_CPX((src + 55));
    t6l = ADD_CPX_CPX(s8c, s9c);
    t7l = ADD_CPX_CPX(MUL_I_CPX(s8c), MUL_NI_CPX(s9c));
    s0d = LOADU_CPX((src + 105));
    s1d = LOADU_CPX((src + 23));
    t8l = ADD_CPX_CPX(s0d, s1d);
    t9l = ADD_CPX_CPX(MUL_I_CPX(s0d), MUL_NI_CPX(s1d));
    t0m = ADD_CPX_CPX(t2l, t6l);
    t1m = ADD_CPX_CPX(t3l, t7l);
    t2m = SUB_CPX_CPX(t2l, t6l);
    t3m = SUB_CPX_CPX(t3l, t7l);
    t4m = ADD_CPX_CPX(t4l, t8l);
    t5m = ADD_CPX_CPX(t5l, t9l);
    t6m = SUB_CPX_CPX(t4l, t8l);
    t7m = SUB_CPX_CPX(t5l, t9l);
    t8m = ADD_CPX_CPX(t0m, t4m);
    t9m = ADD_CPX_CPX(t1m, t5m);
    t0n = SUB_CPX_CPX(t0m, t4m);
    t1n = SUB_CPX_CPX(t1m, t5m);
    t2n = SUB_CPX_CPX(t2m, t7m);
    t3n = ADD_CPX_CPX(t3m, t6m);
    t4n = ADD_CPX_CPX(t2m, t7m);
    t5n = SUB_CPX_CPX(t3m, t6m);
    s2d = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.90398929312344334), t2n), MUL_FLT_CPX(C_FLT(0.42755509343028208), t3n));
    s3d = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.42755509343028208), t2n), MUL_FLT_CPX(C_FLT(0.90398929312344334), t3n));
    s4d = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), t0n), MUL_FLT_CPX(C_FLT(0.77301045336273699), t1n));
    s5d = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), t0n), MUL_FLT_CPX(C_FLT(0.63439328416364549), t1n));
    s6d = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.2429801799032639), t4n), MUL_FLT_CPX(C_FLT(0.97003125319454397), t5n));
    s7d = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.97003125319454397), t4n), MUL_FLT_CPX(C_FLT(0.2429801799032639), t5n));
    s8d = LOADU_CPX((src + 10));
    s9d = LOADU_CPX((src + 118));
    t6n = ADD_CPX_CPX(s8d, s9d);
    t7n = ADD_CPX_CPX(MUL_I_CPX(s8d), MUL_NI_CPX(s9d));
    s0e = LOADU_CPX((src + 42));
    s1e = LOADU_CPX((src + 86));
    t8n = ADD_CPX_CPX(s0e, s1e);
    t9n = ADD_CPX_CPX(MUL_I_CPX(s0e), MUL_NI_CPX(s1e));
    s2e = LOADU_CPX((src + 74));
    s3e = LOADU_CPX((src + 54));
    t0o = ADD_CPX_CPX(s2e, s3e);
    t1o = ADD_CPX_CPX(MUL_I_CPX(s2e), MUL_NI_CPX(s3e));
    s4e = LOADU_CPX((src + 106));
    s5e = LOADU_CPX((src + 22));
    t2o = ADD_CPX_CPX(s4e, s5e);
    t3o = ADD_CPX_CPX(MUL_I_CPX(s4e), MUL_NI_CPX(s5e));
    t4o = ADD_CPX_CPX(t6n, t0o);
    t5o = ADD_CPX_CPX(t7n, t1o);
    t6o = SUB_CPX_CPX(t6n, t0o);
    t7o = SUB_CPX_CPX(t7n, t1o);
    t8o = ADD_CPX_CPX(t8n, t2o);
    t9o = ADD_CPX_CPX(t9n, t3o);
    t0p = SUB_CPX_CPX(t8n, t2o);
    t1p = SUB_CPX_CPX(t9n, t3o);
    t2p = ADD_CPX_CPX(t4o, t8o);
    t3p = ADD_CPX_CPX(t5o, t9o);
    t4p = SUB_CPX_CPX(t4o, t8o);
    t5p = SUB_CPX_CPX(t5o, t9o);
    t6p = SUB_CPX_CPX(t6o, t1p);
    t7p = ADD_CPX_CPX(t7o, t0p);
    t8p = ADD_CPX_CPX(t6o, t1p);
    t9p = SUB_CPX_CPX(t7o, t0p);
    s6e = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), t6p), MUL_FLT_CPX(C_FLT(0.47139673682599764), t7p));
    s7e = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.47139673682599764), t6p), MUL_FLT_CPX(C_FLT(0.88192126434835505), t7p));
    s8e = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), t4p), MUL_FLT_CPX(C_FLT(0.83146961230254524), t5p));
    s9e = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t4p), MUL_FLT_CPX(C_FLT(0.55557023301960218), t5p));
    s0f = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), t8p), MUL_FLT_CPX(C_FLT(0.99518472667219693), t9p));
    s1f = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), t8p), MUL_FLT_CPX(C_FLT(0.098017140329560604), t9p));
    s2f = LOADU_CPX((src + 11));
    s3f = LOADU_CPX((src + 117));
    t0q = ADD_CPX_CPX(s2f, s3f);
    t1q = ADD_CPX_CPX(MUL_I_CPX(s2f), MUL_NI_CPX(s3f));
    s4f = LOADU_CPX((src + 43));
    s5f = LOADU_CPX((src + 85));
    t2q = ADD_CPX_CPX(s4f, s5f);
    t3q = ADD_CPX_CPX(MUL_I_CPX(s4f), MUL_NI_CPX(s5f));
    s6f = LOADU_CPX((src + 75));
    s7f = LOADU_CPX((src + 53));
    t4q = ADD_CPX_CPX(s6f, s7f);
    t5q = ADD_CPX_CPX(MUL_I_CPX(s6f), MUL_NI_CPX(s7f));
    s8f = LOADU_CPX((src + 107));
    s9f = LOADU_CPX((src + 21));
    t6q = ADD_CPX_CPX(s8f, s9f);
    t7q = ADD_CPX_CPX(MUL_I_CPX(s8f), MUL_NI_CPX(s9f));
    t8q = ADD_CPX_CPX(t0q, t4q);
    t9q = ADD_CPX_CPX(t1q, t5q);
    t0r = SUB_CPX_CPX(t0q, t4q);
    t1r = SUB_CPX_CPX(t1q, t5q);
    t2r = ADD_CPX_CPX(t2q, t6q);
    t3r = ADD_CPX_CPX(t3q, t7q);
    t4r = SUB_CPX_CPX(t2q, t6q);
    t5r = SUB_CPX_CPX(t3q, t7q);
    t6r = ADD_CPX_CPX(t8q, t2r);
    t7r = ADD_CPX_CPX(t9q, t3r);
    t8r = SUB_CPX_CPX(t8q, t2r);
    t9r = SUB_CPX_CPX(t9q, t3r);
    t0s = SUB_CPX_CPX(t0r, t5r);
    t1s = ADD_CPX_CPX(t1r, t4r);
    t2s = ADD_CPX_CPX(t0r, t5r);
    t3s = SUB_CPX_CPX(t1r, t4r);
    s0g = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.85772861000027212), t0s), MUL_FLT_CPX(C_FLT(0.51410274419322177), t1s));
    s1g = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.51410274419322177), t0s), MUL_FLT_CPX(C_FLT(0.85772861000027212), t1s));
    s2g = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.47139673682599764), t8r), MUL_FLT_CPX(C_FLT(0.88192126434835505), t9r));
    s3g = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), t8r), MUL_FLT_CPX(C_FLT(0.47139673682599764), t9r));
    s4g = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.049067674327418015), t2s), MUL_FLT_CPX(C_FLT(0.99879545620517241), t3s));
    s5g = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99879545620517241), t2s), MUL_FLT_CPX(C_FLT(0.049067674327418015), t3s));
    s6g = LOADU_CPX((src + 12));
    s7g = LOADU_CPX((src + 116));
    t4s = ADD_CPX_CPX(s6g, s7g);
    t5s = ADD_CPX_CPX(MUL_I_CPX(s6g), MUL_NI_CPX(s7g));
    s8g = LOADU_CPX((src + 44));
    s9g = LOADU_CPX((src + 84));
    t6s = ADD_CPX_CPX(s8g, s9g);
    t7s = ADD_CPX_CPX(MUL_I_CPX(s8g), MUL_NI_CPX(s9g));
    s0h = LOADU_CPX((src + 76));
    s1h = LOADU_CPX((src + 52));
    t8s = ADD_CPX_CPX(s0h, s1h);
    t9s = ADD_CPX_CPX(MUL_I_CPX(s0h), MUL_NI_CPX(s1h));
    s2h = LOADU_CPX((src + 108));
    s3h = LOADU_CPX((src + 20));
    t0t = ADD_CPX_CPX(s2h, s3h);
    t1t = ADD_CPX_CPX(MUL_I_CPX(s2h), MUL_NI_CPX(s3h));
    t2t = ADD_CPX_CPX(t4s, t8s);
    t3t = ADD_CPX_CPX(t5s, t9s);
    t4t = SUB_CPX_CPX(t4s, t8s);
    t5t = SUB_CPX_CPX(t5s, t9s);
    t6t = ADD_CPX_CPX(t6s, t0t);
    t7t = ADD_CPX_CPX(t7s, t1t);
    t8t = SUB_CPX_CPX(t6s, t0t);
    t9t = SUB_CPX_CPX(t7s, t1t);
    t0u = ADD_CPX_CPX(t2t, t6t);
    t1u = ADD_CPX_CPX(t3t, t7t);
    t2u = SUB_CPX_CPX(t2t, t6t);
    t3u = SUB_CPX_CPX(t3t, t7t);
    t4u = SUB_CPX_CPX(t4t, t9t);
    t5u = ADD_CPX_CPX(t5t, t8t);
    t6u = ADD_CPX_CPX(t4t, t9t);
    t7u = SUB_CPX_CPX(t5t, t8t);
    s4h = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t4u), MUL_FLT_CPX(C_FLT(0.55557023301960218), t5u));
    s5h = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), t4u), MUL_FLT_CPX(C_FLT(0.83146961230254524), t5u));
    s6h = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t2u), MUL_FLT_CPX(C_FLT(0.92387953251128674), t3u));
    s7h = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t2u), MUL_FLT_CPX(C_FLT(0.38268343236508978), t3u));
    s8h = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), t6u), MUL_FLT_CPX(C_FLT(0.98078528040323043), t7u));
    s9h = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t6u), MUL_FLT_CPX(C_FLT(0.19509032201612828), t7u));
    s0i = LOADU_CPX((src + 13));
    s1i = LOADU_CPX((src + 115));
    t8u = ADD_CPX_CPX(s0i, s1i);
    t9u = ADD_CPX_CPX(MUL_I_CPX(s0i), MUL_NI_CPX(s1i));
    s2i = LOADU_CPX((src + 45));
    s3i = LOADU_CPX((src + 83));
    t0v = ADD_CPX_CPX(s2i, s3i);
    t1v = ADD_CPX_CPX(MUL_I_CPX(s2i), MUL_NI_CPX(s3i));
    s4i = LOADU_CPX((src + 77));
    s5i = LOADU_CPX((src + 51));
    t2v = ADD_CPX_CPX(s4i, s5i);
    t3v = ADD_CPX_CPX(MUL_I_CPX(s4i), MUL_NI_CPX(s5i));
    s6i = LOADU_CPX((src + 109));
    s7i = LOADU_CPX((src + 19));
    t4v = ADD_CPX_CPX(s6i, s7i);
    t5v = ADD_CPX_CPX(MUL_I_CPX(s6i), MUL_NI_CPX(s7i));
    t6v = ADD_CPX_CPX(t8u, t2v);
    t7v = ADD_CPX_CPX(t9u, t3v);
    t8v = SUB_CPX_CPX(t8u, t2v);
    t9v = SUB_CPX_CPX(t9u, t3v);
    t0w = ADD_CPX_CPX(t0v, t4v);
    t1w = ADD_CPX_CPX(t1v, t5v);
    t2w = SUB_CPX_CPX(t0v, t4v);
    t3w = SUB_CPX_CPX(t1v, t5v);
    t4w = ADD_CPX_CPX(t6v, t0w);
    t5w = ADD_CPX_CPX(t7v, t1w);
    t6w = SUB_CPX_CPX(t6v, t0w);
    t7w = SUB_CPX_CPX(t7v, t1w);
    t8w = SUB_CPX_CPX(t8v, t3w);
    t9w = ADD_CPX_CPX(t9v, t2w);
    t0x = ADD_CPX_CPX(t8v, t3w);
    t1x = SUB_CPX_CPX(t9v, t2w);
    s8i = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.80320753148064494), t8w), MUL_FLT_CPX(C_FLT(0.59569930449243336), t9w));
    s9i = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.59569930449243336), t8w), MUL_FLT_CPX(C_FLT(0.80320753148064494), t9w));
    s0j = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.29028467725446239), t6w), MUL_FLT_CPX(C_FLT(0.95694033573220882), t7w));
    s1j = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), t6w), MUL_FLT_CPX(C_FLT(0.29028467725446239), t7w));
    s2j = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.33688985339222005), t0x), MUL_FLT_CPX(C_FLT(0.94154406518302081), t1x));
    s3j = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), t0x), MUL_FLT_CPX(C_FLT(0.33688985339222005), t1x));
    s4j = LOADU_CPX((src + 14));
    s5j = LOADU_CPX((src + 114));
    t2x = ADD_CPX_CPX(s4j, s5j);
    t3x = ADD_CPX_CPX(MUL_I_CPX(s4j), MUL_NI_CPX(s5j));
    s6j = LOADU_CPX((src + 46));
    s7j = LOADU_CPX((src + 82));
    t4x = ADD_CPX_CPX(s6j, s7j);
    t5x = ADD_CPX_CPX(MUL_I_CPX(s6j), MUL_NI_CPX(s7j));
    s8j = LOADU_CPX((src + 78));
    s9j = LOADU_CPX((src + 50));
    t6x = ADD_CPX_CPX(s8j, s9j);
    t7x = ADD_CPX_CPX(MUL_I_CPX(s8j), MUL_NI_CPX(s9j));
    s0k = LOADU_CPX((src + 110));
    s1k = LOADU_CPX((src + 18));
    t8x = ADD_CPX_CPX(s0k, s1k);
    t9x = ADD_CPX_CPX(MUL_I_CPX(s0k), MUL_NI_CPX(s1k));
    t0y = ADD_CPX_CPX(t2x, t6x);
    t1y = ADD_CPX_CPX(t3x, t7x);
    t2y = SUB_CPX_CPX(t2x, t6x);
    t3y = SUB_CPX_CPX(t3x, t7x);
    t4y = ADD_CPX_CPX(t4x, t8x);
    t5y = ADD_CPX_CPX(t5x, t9x);
    t6y = SUB_CPX_CPX(t4x, t8x);
    t7y = SUB_CPX_CPX(t5x, t9x);
    t8y = ADD_CPX_CPX(t0y, t4y);
    t9y = ADD_CPX_CPX(t1y, t5y);
    t0z = SUB_CPX_CPX(t0y, t4y);
    t1z = SUB_CPX_CPX(t1y, t5y);
    t2z = SUB_CPX_CPX(t2y, t7y);
    t3z = ADD_CPX_CPX(t3y, t6y);
    t4z = ADD_CPX_CPX(t2y, t7y);
    t5z = SUB_CPX_CPX(t3y, t6y);
    s2k = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), t2z), MUL_FLT_CPX(C_FLT(0.63439328416364549), t3z));
    s3k = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), t2z), MUL_FLT_CPX(C_FLT(0.77301045336273699), t3z));
    s4k = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), t0z), MUL_FLT_CPX(C_FLT(0.98078528040323043), t1z));
    s5k = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t0z), MUL_FLT_CPX(C_FLT(0.19509032201612828), t1z));
    s6k = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.47139673682599764), t4z), MUL_FLT_CPX(C_FLT(0.88192126434835505), t5z));
    s7k = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), t4z), MUL_FLT_CPX(C_FLT(0.47139673682599764), t5z));
    s8k = LOADU_CPX((src + 15));
    s9k = LOADU_CPX((src + 113));
    t6z = ADD_CPX_CPX(s8k, s9k);
    t7z = ADD_CPX_CPX(MUL_I_CPX(s8k), MUL_NI_CPX(s9k));
    s0l = LOADU_CPX((src + 47));
    s1l = LOADU_CPX((src + 81));
    t8z = ADD_CPX_CPX(s0l, s1l);
    t9z = ADD_CPX_CPX(MUL_I_CPX(s0l), MUL_NI_CPX(s1l));
    s2l = LOADU_CPX((src + 79));
    s3l = LOADU_CPX((src + 49));
    t0A = ADD_CPX_CPX(s2l, s3l);
    t1A = ADD_CPX_CPX(MUL_I_CPX(s2l), MUL_NI_CPX(s3l));
    s4l = LOADU_CPX((src + 111));
    s5l = LOADU_CPX((src + 17));
    t2A = ADD_CPX_CPX(s4l, s5l);
    t3A = ADD_CPX_CPX(MUL_I_CPX(s4l), MUL_NI_CPX(s5l));
    t4A = ADD_CPX_CPX(t6z, t0A);
    t5A = ADD_CPX_CPX(t7z, t1A);
    t6A = SUB_CPX_CPX(t6z, t0A);
    t7A = SUB_CPX_CPX(t7z, t1A);
    t8A = ADD_CPX_CPX(t8z, t2A);
    t9A = ADD_CPX_CPX(t9z, t3A);
    t0B = SUB_CPX_CPX(t8z, t2A);
    t1B = SUB_CPX_CPX(t9z, t3A);
    t2B = ADD_CPX_CPX(t4A, t8A);
    t3B = ADD_CPX_CPX(t5A, t9A);
    t4B = SUB_CPX_CPX(t4A, t8A);
    t5B = SUB_CPX_CPX(t5A, t9A);
    t6B = SUB_CPX_CPX(t6A, t1B);
    t7B = ADD_CPX_CPX(t7A, t0B);
    t8B = ADD_CPX_CPX(t6A, t1B);
    t9B = SUB_CPX_CPX(t7A, t0B);
    s6l = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), t6B), MUL_FLT_CPX(C_FLT(0.67155895484701844), t7B));
    s7l = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.67155895484701844), t6B), MUL_FLT_CPX(C_FLT(0.74095112535495911), t7B));
    s8l = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), t4B), MUL_FLT_CPX(C_FLT(0.99518472667219693), t5B));
    s9l = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), t4B), MUL_FLT_CPX(C_FLT(0.098017140329560604), t5B));
    s0m = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.59569930449243336), t8B), MUL_FLT_CPX(C_FLT(0.80320753148064494), t9B));
    s1m = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.80320753148064494), t8B), MUL_FLT_CPX(C_FLT(0.59569930449243336), t9B));
    t0C = ADD_CPX_CPX(t41, t6k);
    t1C = SUB_CPX_CPX(t61, t7k);
    t2C = SUB_CPX_CPX(t41, t6k);
    t3C = ADD_CPX_CPX(t61, t7k);
    t4C = ADD_CPX_CPX(t0b, t0u);
    t5C = SUB_CPX_CPX(t1b, t1u);
    a5 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0b, t0u));
    a6 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t1b, t1u));
    s2m = SUB_CPX_CPX(a5, a6);
    s3m = ADD_CPX_CPX(a5, a6);
    t6C = ADD_CPX_CPX(t0C, t4C);
    t7C = SUB_CPX_CPX(t2C, t5C);
    t8C = SUB_CPX_CPX(t0C, t4C);
    t9C = ADD_CPX_CPX(t2C, t5C);
    t0D = ADD_CPX_CPX(t1C, s2m);
    t1D = SUB_CPX_CPX(t3C, s3m);
    t2D = SUB_CPX_CPX(t1C, s2m);
    t3D = ADD_CPX_CPX(t3C, s3m);
    t4D = ADD_CPX_CPX(t83, t2B);
    t5D = SUB_CPX_CPX(t93, t3B);
    t6D = SUB_CPX_CPX(t83, t2B);
    t7D = ADD_CPX_CPX(t93, t3B);
    t8D = ADD_CPX_CPX(t8m, t2i);
    t9D = SUB_CPX_CPX(t9m, t3i);
    t0E = SUB_CPX_CPX(t8m, t2i);
    t1E = ADD_CPX_CPX(t9m, t3i);
    t2E = ADD_CPX_CPX(t4D, t8D);
    t3E = ADD_CPX_CPX(t5D, t9D);
    t4E = SUB_CPX_CPX(t4D, t8D);
    t5E = SUB_CPX_CPX(t5D, t9D);
    t6E = SUB_CPX_CPX(t6D, t1E);
    t7E = ADD_CPX_CPX(t7D, t0E);
    t8E = ADD_CPX_CPX(t6D, t1E);
    t9E = SUB_CPX_CPX(t7D, t0E);
    s4m = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t6E), MUL_FLT_CPX(C_FLT(0.19509032201612828), t7E));
    s5m = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), t6E), MUL_FLT_CPX(C_FLT(0.98078528040323043), t7E));
    s6m = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t4E), MUL_FLT_CPX(C_FLT(0.38268343236508978), t5E));
    s7m = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t4E), MUL_FLT_CPX(C_FLT(0.92387953251128674), t5E));
    s8m = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t8E), MUL_FLT_CPX(C_FLT(0.55557023301960218), t9E));
    s9m = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), t8E), MUL_FLT_CPX(C_FLT(0.83146961230254524), t9E));
    t0F = ADD_CPX_CPX(t26, t8y);
    t1F = SUB_CPX_CPX(t36, t9y);
    t2F = SUB_CPX_CPX(t26, t8y);
    t3F = ADD_CPX_CPX(t36, t9y);
    t4F = ADD_CPX_CPX(t2p, t8f);
    t5F = SUB_CPX_CPX(t3p, t9f);
    t6F = SUB_CPX_CPX(t2p, t8f);
    t7F = ADD_CPX_CPX(t3p, t9f);
    t8F = ADD_CPX_CPX(t0F, t4F);
    t9F = ADD_CPX_CPX(t1F, t5F);
    t0G = SUB_CPX_CPX(t2F, t7F);
    t1G = ADD_CPX_CPX(t3F, t6F);
    t2G = ADD_CPX_CPX(t2F, t7F);
    t3G = SUB_CPX_CPX(t3F, t6F);
    s0n = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t0G), MUL_FLT_CPX(C_FLT(0.38268343236508978), t1G));
    s1n = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t0G), MUL_FLT_CPX(C_FLT(0.92387953251128674), t1G));
    a7 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0F, t4F));
    a8 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t1F, t5F));
    s2n = SUB_CPX_CPX(a7, a8);
    s3n = ADD_CPX_CPX(a7, a8);
    s4n = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t2G), MUL_FLT_CPX(C_FLT(0.92387953251128674), t3G));
    s5n = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t2G), MUL_FLT_CPX(C_FLT(0.38268343236508978), t3G));
    t4G = ADD_CPX_CPX(t68, t4w);
    t5G = SUB_CPX_CPX(t78, t5w);
    t6G = SUB_CPX_CPX(t68, t4w);
    t7G = ADD_CPX_CPX(t78, t5w);
    t8G = ADD_CPX_CPX(t6r, t4d);
    t9G = SUB_CPX_CPX(t7r, t5d);
    t0H = SUB_CPX_CPX(t6r, t4d);
    t1H = ADD_CPX_CPX(t7r, t5d);
    t2H = ADD_CPX_CPX(t4G, t8G);
    t3H = ADD_CPX_CPX(t5G, t9G);
    t4H = SUB_CPX_CPX(t4G, t8G);
    t5H = SUB_CPX_CPX(t5G, t9G);
    t6H = SUB_CPX_CPX(t6G, t1H);
    t7H = ADD_CPX_CPX(t7G, t0H);
    t8H = ADD_CPX_CPX(t6G, t1H);
    t9H = SUB_CPX_CPX(t7G, t0H);
    s6n = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t6H), MUL_FLT_CPX(C_FLT(0.55557023301960218), t7H));
    s7n = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), t6H), MUL_FLT_CPX(C_FLT(0.83146961230254524), t7H));
    s8n = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t4H), MUL_FLT_CPX(C_FLT(0.92387953251128674), t5H));
    s9n = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t4H), MUL_FLT_CPX(C_FLT(0.38268343236508978), t5H));
    s0o = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), t8H), MUL_FLT_CPX(C_FLT(0.98078528040323043), t9H));
    s1o = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t8H), MUL_FLT_CPX(C_FLT(0.19509032201612828), t9H));
    t0I = ADD_CPX_CPX(t6C, t8F);
    t1I = SUB_CPX_CPX(t8C, t9F);
    t2I = SUB_CPX_CPX(t6C, t8F);
    t3I = ADD_CPX_CPX(t8C, t9F);
    t4I = ADD_CPX_CPX(t2E, t2H);
    t5I = SUB_CPX_CPX(t3E, t3H);
    a9 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2E, t2H));
    a01 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t3E, t3H));
    s2o = SUB_CPX_CPX(a9, a01);
    s3o = ADD_CPX_CPX(a9, a01);
    t6I = ADD_CPX_CPX(t0I, t4I);
    t7I = SUB_CPX_CPX(t2I, t5I);
    t8I = SUB_CPX_CPX(t0I, t4I);
    t9I = ADD_CPX_CPX(t2I, t5I);
    STOREU_CPX(dst, t6I);
    STOREU_CPX((dst + 32), t7I);
    STOREU_CPX((dst + 64), t8I);
    STOREU_CPX((dst + 96), t9I);
    t0J = ADD_CPX_CPX(t1I, s2o);
    t1J = SUB_CPX_CPX(t3I, s3o);
    t2J = SUB_CPX_CPX(t1I, s2o);
    t3J = ADD_CPX_CPX(t3I, s3o);
    STOREU_CPX((dst + 16), t0J);
    STOREU_CPX((dst + 48), t1J);
    STOREU_CPX((dst + 80), t2J);
    STOREU_CPX((dst + 112), t3J);
    t4J = ADD_CPX_CPX(t0D, s0n);
    t5J = SUB_CPX_CPX(t2D, s1n);
    t6J = SUB_CPX_CPX(t0D, s0n);
    t7J = ADD_CPX_CPX(t2D, s1n);
    t8J = ADD_CPX_CPX(s4m, s6n);
    t9J = SUB_CPX_CPX(s5m, s7n);
    a11 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4m, s6n));
    a21 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5m, s7n));
    s4o = SUB_CPX_CPX(a11, a21);
    s5o = ADD_CPX_CPX(a11, a21);
    t0K = ADD_CPX_CPX(t4J, t8J);
    t1K = SUB_CPX_CPX(t6J, t9J);
    t2K = SUB_CPX_CPX(t4J, t8J);
    t3K = ADD_CPX_CPX(t6J, t9J);
    STOREU_CPX((dst + 4), t0K);
    STOREU_CPX((dst + 36), t1K);
    STOREU_CPX((dst + 68), t2K);
    STOREU_CPX((dst + 100), t3K);
    t4K = ADD_CPX_CPX(t5J, s4o);
    t5K = SUB_CPX_CPX(t7J, s5o);
    t6K = SUB_CPX_CPX(t5J, s4o);
    t7K = ADD_CPX_CPX(t7J, s5o);
    STOREU_CPX((dst + 20), t4K);
    STOREU_CPX((dst + 52), t5K);
    STOREU_CPX((dst + 84), t6K);
    STOREU_CPX((dst + 116), t7K);
    t8K = ADD_CPX_CPX(t7C, s2n);
    t9K = SUB_CPX_CPX(t9C, s3n);
    t0L = SUB_CPX_CPX(t7C, s2n);
    t1L = ADD_CPX_CPX(t9C, s3n);
    t2L = ADD_CPX_CPX(s6m, s8n);
    t3L = SUB_CPX_CPX(s7m, s9n);
    a31 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s6m, s8n));
    a41 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s7m, s9n));
    s6o = SUB_CPX_CPX(a31, a41);
    s7o = ADD_CPX_CPX(a31, a41);
    t4L = ADD_CPX_CPX(t8K, t2L);
    t5L = SUB_CPX_CPX(t0L, t3L);
    t6L = SUB_CPX_CPX(t8K, t2L);
    t7L = ADD_CPX_CPX(t0L, t3L);
    STOREU_CPX((dst + 8), t4L);
    STOREU_CPX((dst + 40), t5L);
    STOREU_CPX((dst + 72), t6L);
    STOREU_CPX((dst + 104), t7L);
    t8L = ADD_CPX_CPX(t9K, s6o);
    t9L = SUB_CPX_CPX(t1L, s7o);
    t0M = SUB_CPX_CPX(t9K, s6o);
    t1M = ADD_CPX_CPX(t1L, s7o);
    STOREU_CPX((dst + 24), t8L);
    STOREU_CPX((dst + 56), t9L);
    STOREU_CPX((dst + 88), t0M);
    STOREU_CPX((dst + 120), t1M);
    t2M = ADD_CPX_CPX(t1D, s4n);
    t3M = SUB_CPX_CPX(t3D, s5n);
    t4M = SUB_CPX_CPX(t1D, s4n);
    t5M = ADD_CPX_CPX(t3D, s5n);
    t6M = SUB_CPX_CPX(s8m, s0o);
    t7M = SUB_CPX_CPX(s9m, s1o);
    a51 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s8m, s0o));
    a61 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s9m, s1o));
    s8o = SUB_CPX_CPX(a51, a61);
    s9o = ADD_CPX_CPX(a51, a61);
    t8M = ADD_CPX_CPX(t2M, t6M);
    t9M = SUB_CPX_CPX(t4M, t7M);
    t0N = SUB_CPX_CPX(t2M, t6M);
    t1N = ADD_CPX_CPX(t4M, t7M);
    STOREU_CPX((dst + 12), t8M);
    STOREU_CPX((dst + 44), t9M);
    STOREU_CPX((dst + 76), t0N);
    STOREU_CPX((dst + 108), t1N);
    t2N = ADD_CPX_CPX(t3M, s8o);
    t3N = SUB_CPX_CPX(t5M, s9o);
    t4N = SUB_CPX_CPX(t3M, s8o);
    t5N = ADD_CPX_CPX(t5M, s9o);
    STOREU_CPX((dst + 28), t2N);
    STOREU_CPX((dst + 60), t3N);
    STOREU_CPX((dst + 92), t4N);
    STOREU_CPX((dst + 124), t5N);
    t6N = ADD_CPX_CPX(t81, s8b);
    t7N = SUB_CPX_CPX(t02, s9b);
    t8N = SUB_CPX_CPX(t81, s8b);
    t9N = ADD_CPX_CPX(t02, s9b);
    t0O = ADD_CPX_CPX(s26, s4h);
    t1O = SUB_CPX_CPX(s36, s5h);
    a71 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s26, s4h));
    a81 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s36, s5h));
    s0p = SUB_CPX_CPX(a71, a81);
    s1p = ADD_CPX_CPX(a71, a81);
    t2O = ADD_CPX_CPX(t6N, t0O);
    t3O = SUB_CPX_CPX(t8N, t1O);
    t4O = SUB_CPX_CPX(t6N, t0O);
    t5O = ADD_CPX_CPX(t8N, t1O);
    t6O = ADD_CPX_CPX(t7N, s0p);
    t7O = SUB_CPX_CPX(t9N, s1p);
    t8O = SUB_CPX_CPX(t7N, s0p);
    t9O = ADD_CPX_CPX(t9N, s1p);
    t0P = ADD_CPX_CPX(s02, s6l);
    t1P = SUB_CPX_CPX(s12, s7l);
    t2P = SUB_CPX_CPX(s02, s6l);
    t3P = ADD_CPX_CPX(s12, s7l);
    t4P = ADD_CPX_CPX(s2d, s4a);
    t5P = SUB_CPX_CPX(s3d, s5a);
    t6P = SUB_CPX_CPX(s2d, s4a);
    t7P = ADD_CPX_CPX(s3d, s5a);
    t8P = ADD_CPX_CPX(t0P, t4P);
    t9P = ADD_CPX_CPX(t1P, t5P);
    t0Q = SUB_CPX_CPX(t0P, t4P);
    t1Q = SUB_CPX_CPX(t1P, t5P);
    t2Q = SUB_CPX_CPX(t2P, t7P);
    t3Q = ADD_CPX_CPX(t3P, t6P);
    t4Q = ADD_CPX_CPX(t2P, t7P);
    t5Q = SUB_CPX_CPX(t3P, t6P);
    s2p = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t2Q), MUL_FLT_CPX(C_FLT(0.19509032201612828), t3Q));
    s3p = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), t2Q), MUL_FLT_CPX(C_FLT(0.98078528040323043), t3Q));
    s4p = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t0Q), MUL_FLT_CPX(C_FLT(0.38268343236508978), t1Q));
    s5p = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t0Q), MUL_FLT_CPX(C_FLT(0.92387953251128674), t1Q));
    s6p = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t4Q), MUL_FLT_CPX(C_FLT(0.55557023301960218), t5Q));
    s7p = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), t4Q), MUL_FLT_CPX(C_FLT(0.83146961230254524), t5Q));
    t6Q = ADD_CPX_CPX(s43, s2k);
    t7Q = SUB_CPX_CPX(s53, s3k);
    t8Q = SUB_CPX_CPX(s43, s2k);
    t9Q = ADD_CPX_CPX(s53, s3k);
    t0R = ADD_CPX_CPX(s6e, s09);
    t1R = SUB_CPX_CPX(s7e, s19);
    t2R = SUB_CPX_CPX(s6e, s09);
    t3R = ADD_CPX_CPX(s7e, s19);
    t4R = ADD_CPX_CPX(t6Q, t0R);
    t5R = ADD_CPX_CPX(t7Q, t1R);
    t6R = SUB_CPX_CPX(t8Q, t3R);
    t7R = ADD_CPX_CPX(t9Q, t2R);
    t8R = ADD_CPX_CPX(t8Q, t3R);
    t9R = SUB_CPX_CPX(t9Q, t2R);
    s8p = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t6R), MUL_FLT_CPX(C_FLT(0.38268343236508978), t7R));
    s9p = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t6R), MUL_FLT_CPX(C_FLT(0.92387953251128674), t7R));
    a91 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t6Q, t0R));
    a02 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t7Q, t1R));
    s0q = SUB_CPX_CPX(a91, a02);
    s1q = ADD_CPX_CPX(a91, a02);
    s2q = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t8R), MUL_FLT_CPX(C_FLT(0.92387953251128674), t9R));
    s3q = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t8R), MUL_FLT_CPX(C_FLT(0.38268343236508978), t9R));
    t0S = ADD_CPX_CPX(s84, s8i);
    t1S = SUB_CPX_CPX(s94, s9i);
    t2S = SUB_CPX_CPX(s84, s8i);
    t3S = ADD_CPX_CPX(s94, s9i);
    t4S = ADD_CPX_CPX(s0g, s67);
    t5S = SUB_CPX_CPX(s1g, s77);
    t6S = SUB_CPX_CPX(s0g, s67);
    t7S = ADD_CPX_CPX(s1g, s77);
    t8S = ADD_CPX_CPX(t0S, t4S);
    t9S = ADD_CPX_CPX(t1S, t5S);
    t0T = SUB_CPX_CPX(t0S, t4S);
    t1T = SUB_CPX_CPX(t1S, t5S);
    t2T = SUB_CPX_CPX(t2S, t7S);
    t3T = ADD_CPX_CPX(t3S, t6S);
    t4T = ADD_CPX_CPX(t2S, t7S);
    t5T = SUB_CPX_CPX(t3S, t6S);
    s4q = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t2T), MUL_FLT_CPX(C_FLT(0.55557023301960218), t3T));
    s5q = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), t2T), MUL_FLT_CPX(C_FLT(0.83146961230254524), t3T));
    s6q = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t0T), MUL_FLT_CPX(C_FLT(0.92387953251128674), t1T));
    s7q = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t0T), MUL_FLT_CPX(C_FLT(0.38268343236508978), t1T));
    s8q = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), t4T), MUL_FLT_CPX(C_FLT(0.98078528040323043), t5T));
    s9q = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t4T), MUL_FLT_CPX(C_FLT(0.19509032201612828), t5T));
    t6T = ADD_CPX_CPX(t2O, t4R);
    t7T = SUB_CPX_CPX(t4O, t5R);
    t8T = SUB_CPX_CPX(t2O, t4R);
    t9T = ADD_CPX_CPX(t4O, t5R);
    t0U = ADD_CPX_CPX(t8P, t8S);
    t1U = SUB_CPX_CPX(t9P, t9S);
    a12 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8P, t8S));
    a22 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t9P, t9S));
    s0r = SUB_CPX_CPX(a12, a22);
    s1r = ADD_CPX_CPX(a12, a22);
    t2U = ADD_CPX_CPX(t6T, t0U);
    t3U = SUB_CPX_CPX(t8T, t1U);
    t4U = SUB_CPX_CPX(t6T, t0U);
    t5U = ADD_CPX_CPX(t8T, t1U);
    STOREU_CPX((dst + 1), t2U);
    STOREU_CPX((dst + 33), t3U);
    STOREU_CPX((dst + 65), t4U);
    STOREU_CPX((dst + 97), t5U);
    t6U = ADD_CPX_CPX(t7T, s0r);
    t7U = SUB_CPX_CPX(t9T, s1r);
    t8U = SUB_CPX_CPX(t7T, s0r);
    t9U = ADD_CPX_CPX(t9T, s1r);
    STOREU_CPX((dst + 17), t6U);
    STOREU_CPX((dst + 49), t7U);
    STOREU_CPX((dst + 81), t8U);
    STOREU_CPX((dst + 113), t9U);
    t0V = ADD_CPX_CPX(t6O, s8p);
    t1V = SUB_CPX_CPX(t8O, s9p);
    t2V = SUB_CPX_CPX(t6O, s8p);
    t3V = ADD_CPX_CPX(t8O, s9p);
    t4V = ADD_CPX_CPX(s2p, s4q);
    t5V = SUB_CPX_CPX(s3p, s5q);
    a32 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s2p, s4q));
    a42 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s3p, s5q));
    s2r = SUB_CPX_CPX(a32, a42);
    s3r = ADD_CPX_CPX(a32, a42);
    t6V = ADD_CPX_CPX(t0V, t4V);
    t7V = SUB_CPX_CPX(t2V, t5V);
    t8V = SUB_CPX_CPX(t0V, t4V);
    t9V = ADD_CPX_CPX(t2V, t5V);
    STOREU_CPX((dst + 5), t6V);
    STOREU_CPX((dst + 37), t7V);
    STOREU_CPX((dst + 69), t8V);
    STOREU_CPX((dst + 101), t9V);
    t0W = ADD_CPX_CPX(t1V, s2r);
    t1W = SUB_CPX_CPX(t3V, s3r);
    t2W = SUB_CPX_CPX(t1V, s2r);
    t3W = ADD_CPX_CPX(t3V, s3r);
    STOREU_CPX((dst + 21), t0W);
    STOREU_CPX((dst + 53), t1W);
    STOREU_CPX((dst + 85), t2W);
    STOREU_CPX((dst + 117), t3W);
    t4W = ADD_CPX_CPX(t3O, s0q);
    t5W = SUB_CPX_CPX(t5O, s1q);
    t6W = SUB_CPX_CPX(t3O, s0q);
    t7W = ADD_CPX_CPX(t5O, s1q);
    t8W = ADD_CPX_CPX(s4p, s6q);
    t9W = SUB_CPX_CPX(s5p, s7q);
    a52 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4p, s6q));
    a62 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5p, s7q));
    s4r = SUB_CPX_CPX(a52, a62);
    s5r = ADD_CPX_CPX(a52, a62);
    t0X = ADD_CPX_CPX(t4W, t8W);
    t1X = SUB_CPX_CPX(t6W, t9W);
    t2X = SUB_CPX_CPX(t4W, t8W);
    t3X = ADD_CPX_CPX(t6W, t9W);
    STOREU_CPX((dst + 9), t0X);
    STOREU_CPX((dst + 41), t1X);
    STOREU_CPX((dst + 73), t2X);
    STOREU_CPX((dst + 105), t3X);
    t4X = ADD_CPX_CPX(t5W, s4r);
    t5X = SUB_CPX_CPX(t7W, s5r);
    t6X = SUB_CPX_CPX(t5W, s4r);
    t7X = ADD_CPX_CPX(t7W, s5r);
    STOREU_CPX((dst + 25), t4X);
    STOREU_CPX((dst + 57), t5X);
    STOREU_CPX((dst + 89), t6X);
    STOREU_CPX((dst + 121), t7X);
    t8X = ADD_CPX_CPX(t7O, s2q);
    t9X = SUB_CPX_CPX(t9O, s3q);
    t0Y = SUB_CPX_CPX(t7O, s2q);
    t1Y = ADD_CPX_CPX(t9O, s3q);
    t2Y = SUB_CPX_CPX(s6p, s8q);
    t3Y = SUB_CPX_CPX(s7p, s9q);
    a72 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s6p, s8q));
    a82 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s7p, s9q));
    s6r = SUB_CPX_CPX(a72, a82);
    s7r = ADD_CPX_CPX(a72, a82);
    t4Y = ADD_CPX_CPX(t8X, t2Y);
    t5Y = SUB_CPX_CPX(t0Y, t3Y);
    t6Y = SUB_CPX_CPX(t8X, t2Y);
    t7Y = ADD_CPX_CPX(t0Y, t3Y);
    STOREU_CPX((dst + 13), t4Y);
    STOREU_CPX((dst + 45), t5Y);
    STOREU_CPX((dst + 77), t6Y);
    STOREU_CPX((dst + 109), t7Y);
    t8Y = ADD_CPX_CPX(t9X, s6r);
    t9Y = SUB_CPX_CPX(t1Y, s7r);
    t0Z = SUB_CPX_CPX(t9X, s6r);
    t1Z = ADD_CPX_CPX(t1Y, s7r);
    STOREU_CPX((dst + 29), t8Y);
    STOREU_CPX((dst + 61), t9Y);
    STOREU_CPX((dst + 93), t0Z);
    STOREU_CPX((dst + 125), t1Z);
    t2Z = ADD_CPX_CPX(t51, s0c);
    t3Z = SUB_CPX_CPX(t71, s1c);
    t4Z = SUB_CPX_CPX(t51, s0c);
    t5Z = ADD_CPX_CPX(t71, s1c);
    t6Z = ADD_CPX_CPX(s46, s6h);
    t7Z = SUB_CPX_CPX(s56, s7h);
    a92 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s46, s6h));
    a03 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s56, s7h));
    s8r = SUB_CPX_CPX(a92, a03);
    s9r = ADD_CPX_CPX(a92, a03);
    t8Z = ADD_CPX_CPX(t2Z, t6Z);
    t9Z = SUB_CPX_CPX(t4Z, t7Z);
    t010 = SUB_CPX_CPX(t2Z, t6Z);
    t110 = ADD_CPX_CPX(t4Z, t7Z);
    t210 = ADD_CPX_CPX(t3Z, s8r);
    t310 = SUB_CPX_CPX(t5Z, s9r);
    t410 = SUB_CPX_CPX(t3Z, s8r);
    t510 = ADD_CPX_CPX(t5Z, s9r);
    t610 = ADD_CPX_CPX(s22, s8l);
    t710 = SUB_CPX_CPX(s32, s9l);
    t810 = SUB_CPX_CPX(s22, s8l);
    t910 = ADD_CPX_CPX(s32, s9l);
    t011 = ADD_CPX_CPX(s4d, s6a);
    t111 = SUB_CPX_CPX(s5d, s7a);
    t211 = SUB_CPX_CPX(s4d, s6a);
    t311 = ADD_CPX_CPX(s5d, s7a);
    t411 = ADD_CPX_CPX(t610, t011);
    t511 = ADD_CPX_CPX(t710, t111);
    t611 = SUB_CPX_CPX(t610, t011);
    t711 = SUB_CPX_CPX(t710, t111);
    t811 = SUB_CPX_CPX(t810, t311);
    t911 = ADD_CPX_CPX(t910, t211);
    t012 = ADD_CPX_CPX(t810, t311);
    t112 = SUB_CPX_CPX(t910, t211);
    s0s = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t811), MUL_FLT_CPX(C_FLT(0.19509032201612828), t911));
    s1s = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), t811), MUL_FLT_CPX(C_FLT(0.98078528040323043), t911));
    s2s = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t611), MUL_FLT_CPX(C_FLT(0.38268343236508978), t711));
    s3s = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t611), MUL_FLT_CPX(C_FLT(0.92387953251128674), t711));
    s4s = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t012), MUL_FLT_CPX(C_FLT(0.55557023301960218), t112));
    s5s = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), t012), MUL_FLT_CPX(C_FLT(0.83146961230254524), t112));
    t212 = ADD_CPX_CPX(s63, s4k);
    t312 = SUB_CPX_CPX(s73, s5k);
    t412 = SUB_CPX_CPX(s63, s4k);
    t512 = ADD_CPX_CPX(s73, s5k);
    t612 = ADD_CPX_CPX(s8e, s29);
    t712 = SUB_CPX_CPX(s9e, s39);
    t812 = SUB_CPX_CPX(s8e, s29);
    t912 = ADD_CPX_CPX(s9e, s39);
    t013 = ADD_CPX_CPX(t212, t612);
    t113 = ADD_CPX_CPX(t312, t712);
    t213 = SUB_CPX_CPX(t412, t912);
    t313 = ADD_CPX_CPX(t512, t812);
    t413 = ADD_CPX_CPX(t412, t912);
    t513 = SUB_CPX_CPX(t512, t812);
    s6s = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t213), MUL_FLT_CPX(C_FLT(0.38268343236508978), t313));
    s7s = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t213), MUL_FLT_CPX(C_FLT(0.92387953251128674), t313));
    a13 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t212, t612));
    a23 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t312, t712));
    s8s = SUB_CPX_CPX(a13, a23);
    s9s = ADD_CPX_CPX(a13, a23);
    s0t = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t413), MUL_FLT_CPX(C_FLT(0.92387953251128674), t513));
    s1t = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t413), MUL_FLT_CPX(C_FLT(0.38268343236508978), t513));
    t613 = ADD_CPX_CPX(s05, s0j);
    t713 = SUB_CPX_CPX(s15, s1j);
    t813 = SUB_CPX_CPX(s05, s0j);
    t913 = ADD_CPX_CPX(s15, s1j);
    t014 = ADD_CPX_CPX(s2g, s87);
    t114 = SUB_CPX_CPX(s3g, s97);
    t214 = SUB_CPX_CPX(s2g, s87);
    t314 = ADD_CPX_CPX(s3g, s97);
    t414 = ADD_CPX_CPX(t613, t014);
    t514 = ADD_CPX_CPX(t713, t114);
    t614 = SUB_CPX_CPX(t613, t014);
    t714 = SUB_CPX_CPX(t713, t114);
    t814 = SUB_CPX_CPX(t813, t314);
    t914 = ADD_CPX_CPX(t913, t214);
    t015 = ADD_CPX_CPX(t813, t314);
    t115 = SUB_CPX_CPX(t913, t214);
    s2t = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t814), MUL_FLT_CPX(C_FLT(0.55557023301960218), t914));
    s3t = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), t814), MUL_FLT_CPX(C_FLT(0.83146961230254524), t914));
    s4t = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t614), MUL_FLT_CPX(C_FLT(0.92387953251128674), t714));
    s5t = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t614), MUL_FLT_CPX(C_FLT(0.38268343236508978), t714));
    s6t = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), t015), MUL_FLT_CPX(C_FLT(0.98078528040323043), t115));
    s7t = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t015), MUL_FLT_CPX(C_FLT(0.19509032201612828), t115));
    t215 = ADD_CPX_CPX(t8Z, t013);
    t315 = SUB_CPX_CPX(t010, t113);
    t415 = SUB_CPX_CPX(t8Z, t013);
    t515 = ADD_CPX_CPX(t010, t113);
    t615 = ADD_CPX_CPX(t411, t414);
    t715 = SUB_CPX_CPX(t511, t514);
    a33 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t411, t414));
    a43 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t511, t514));
    s8t = SUB_CPX_CPX(a33, a43);
    s9t = ADD_CPX_CPX(a33, a43);
    t815 = ADD_CPX_CPX(t215, t615);
    t915 = SUB_CPX_CPX(t415, t715);
    t016 = SUB_CPX_CPX(t215, t615);
    t116 = ADD_CPX_CPX(t415, t715);
    STOREU_CPX((dst + 2), t815);
    STOREU_CPX((dst + 34), t915);
    STOREU_CPX((dst + 66), t016);
    STOREU_CPX((dst + 98), t116);
    t216 = ADD_CPX_CPX(t315, s8t);
    t316 = SUB_CPX_CPX(t515, s9t);
    t416 = SUB_CPX_CPX(t315, s8t);
    t516 = ADD_CPX_CPX(t515, s9t);
    STOREU_CPX((dst + 18), t216);
    STOREU_CPX((dst + 50), t316);
    STOREU_CPX((dst + 82), t416);
    STOREU_CPX((dst + 114), t516);
    t616 = ADD_CPX_CPX(t210, s6s);
    t716 = SUB_CPX_CPX(t410, s7s);
    t816 = SUB_CPX_CPX(t210, s6s);
    t916 = ADD_CPX_CPX(t410, s7s);
    t017 = ADD_CPX_CPX(s0s, s2t);
    t117 = SUB_CPX_CPX(s1s, s3t);
    a53 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s0s, s2t));
    a63 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s1s, s3t));
    s0u = SUB_CPX_CPX(a53, a63);
    s1u = ADD_CPX_CPX(a53, a63);
    t217 = ADD_CPX_CPX(t616, t017);
    t317 = SUB_CPX_CPX(t816, t117);
    t417 = SUB_CPX_CPX(t616, t017);
    t517 = ADD_CPX_CPX(t816, t117);
    STOREU_CPX((dst + 6), t217);
    STOREU_CPX((dst + 38), t317);
    STOREU_CPX((dst + 70), t417);
    STOREU_CPX((dst + 102), t517);
    t617 = ADD_CPX_CPX(t716, s0u);
    t717 = SUB_CPX_CPX(t916, s1u);
    t817 = SUB_CPX_CPX(t716, s0u);
    t917 = ADD_CPX_CPX(t916, s1u);
    STOREU_CPX((dst + 22), t617);
    STOREU_CPX((dst + 54), t717);
    STOREU_CPX((dst + 86), t817);
    STOREU_CPX((dst + 118), t917);
    t018 = ADD_CPX_CPX(t9Z, s8s);
    t118 = SUB_CPX_CPX(t110, s9s);
    t218 = SUB_CPX_CPX(t9Z, s8s);
    t318 = ADD_CPX_CPX(t110, s9s);
    t418 = ADD_CPX_CPX(s2s, s4t);
    t518 = SUB_CPX_CPX(s3s, s5t);
    a73 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s2s, s4t));
    a83 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s3s, s5t));
    s2u = SUB_CPX_CPX(a73, a83);
    s3u = ADD_CPX_CPX(a73, a83);
    t618 = ADD_CPX_CPX(t018, t418);
    t718 = SUB_CPX_CPX(t218, t518);
    t818 = SUB_CPX_CPX(t018, t418);
    t918 = ADD_CPX_CPX(t218, t518);
    STOREU_CPX((dst + 10), t618);
    STOREU_CPX((dst + 42), t718);
    STOREU_CPX((dst + 74), t818);
    STOREU_CPX((dst + 106), t918);
    t019 = ADD_CPX_CPX(t118, s2u);
    t119 = SUB_CPX_CPX(t318, s3u);
    t219 = SUB_CPX_CPX(t118, s2u);
    t319 = ADD_CPX_CPX(t318, s3u);
    STOREU_CPX((dst + 26), t019);
    STOREU_CPX((dst + 58), t119);
    STOREU_CPX((dst + 90), t219);
    STOREU_CPX((dst + 122), t319);
    t419 = ADD_CPX_CPX(t310, s0t);
    t519 = SUB_CPX_CPX(t510, s1t);
    t619 = SUB_CPX_CPX(t310, s0t);
    t719 = ADD_CPX_CPX(t510, s1t);
    t819 = SUB_CPX_CPX(s4s, s6t);
    t919 = SUB_CPX_CPX(s5s, s7t);
    a93 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s4s, s6t));
    a04 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5s, s7t));
    s4u = SUB_CPX_CPX(a93, a04);
    s5u = ADD_CPX_CPX(a93, a04);
    t01a = ADD_CPX_CPX(t419, t819);
    t11a = SUB_CPX_CPX(t619, t919);
    t21a = SUB_CPX_CPX(t419, t819);
    t31a = ADD_CPX_CPX(t619, t919);
    STOREU_CPX((dst + 14), t01a);
    STOREU_CPX((dst + 46), t11a);
    STOREU_CPX((dst + 78), t21a);
    STOREU_CPX((dst + 110), t31a);
    t41a = ADD_CPX_CPX(t519, s4u);
    t51a = SUB_CPX_CPX(t719, s5u);
    t61a = SUB_CPX_CPX(t519, s4u);
    t71a = ADD_CPX_CPX(t719, s5u);
    STOREU_CPX((dst + 30), t41a);
    STOREU_CPX((dst + 62), t51a);
    STOREU_CPX((dst + 94), t61a);
    STOREU_CPX((dst + 126), t71a);
    t81a = ADD_CPX_CPX(t91, s2c);
    t91a = SUB_CPX_CPX(t12, s3c);
    t01b = SUB_CPX_CPX(t91, s2c);
    t11b = ADD_CPX_CPX(t12, s3c);
    t21b = SUB_CPX_CPX(s66, s8h);
    t31b = SUB_CPX_CPX(s76, s9h);
    a14 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s66, s8h));
    a24 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s76, s9h));
    s6u = SUB_CPX_CPX(a14, a24);
    s7u = ADD_CPX_CPX(a14, a24);
    t41b = ADD_CPX_CPX(t81a, t21b);
    t51b = SUB_CPX_CPX(t01b, t31b);
    t61b = SUB_CPX_CPX(t81a, t21b);
    t71b = ADD_CPX_CPX(t01b, t31b);
    t81b = ADD_CPX_CPX(t91a, s6u);
    t91b = SUB_CPX_CPX(t11b, s7u);
    t01c = SUB_CPX_CPX(t91a, s6u);
    t11c = ADD_CPX_CPX(t11b, s7u);
    t21c = SUB_CPX_CPX(s42, s0m);
    t31c = SUB_CPX_CPX(s52, s1m);
    t41c = ADD_CPX_CPX(s42, s0m);
    t51c = ADD_CPX_CPX(s52, s1m);
    t61c = ADD_CPX_CPX(s6d, s8a);
    t71c = SUB_CPX_CPX(s7d, s9a);
    t81c = SUB_CPX_CPX(s6d, s8a);
    t91c = ADD_CPX_CPX(s7d, s9a);
    t01d = ADD_CPX_CPX(t21c, t61c);
    t11d = ADD_CPX_CPX(t31c, t71c);
    t21d = SUB_CPX_CPX(t21c, t61c);
    t31d = SUB_CPX_CPX(t31c, t71c);
    t41d = SUB_CPX_CPX(t41c, t91c);
    t51d = ADD_CPX_CPX(t51c, t81c);
    t61d = ADD_CPX_CPX(t41c, t91c);
    t71d = SUB_CPX_CPX(t51c, t81c);
    s8u = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t41d), MUL_FLT_CPX(C_FLT(0.19509032201612828), t51d));
    s9u = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), t41d), MUL_FLT_CPX(C_FLT(0.98078528040323043), t51d));
    s0v = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t21d), MUL_FLT_CPX(C_FLT(0.38268343236508978), t31d));
    s1v = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t21d), MUL_FLT_CPX(C_FLT(0.92387953251128674), t31d));
    s2v = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t61d), MUL_FLT_CPX(C_FLT(0.55557023301960218), t71d));
    s3v = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), t61d), MUL_FLT_CPX(C_FLT(0.83146961230254524), t71d));
    t81d = SUB_CPX_CPX(s83, s6k);
    t91d = SUB_CPX_CPX(s93, s7k);
    t01e = ADD_CPX_CPX(s83, s6k);
    t11e = ADD_CPX_CPX(s93, s7k);
    t21e = ADD_CPX_CPX(s0f, s49);
    t31e = SUB_CPX_CPX(s1f, s59);
    t41e = SUB_CPX_CPX(s0f, s49);
    t51e = ADD_CPX_CPX(s1f, s59);
    t61e = ADD_CPX_CPX(t81d, t21e);
    t71e = ADD_CPX_CPX(t91d, t31e);
    t81e = SUB_CPX_CPX(t01e, t51e);
    t91e = ADD_CPX_CPX(t11e, t41e);
    t01f = ADD_CPX_CPX(t01e, t51e);
    t11f = SUB_CPX_CPX(t11e, t41e);
    s4v = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t81e), MUL_FLT_CPX(C_FLT(0.38268343236508978), t91e));
    s5v = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t81e), MUL_FLT_CPX(C_FLT(0.92387953251128674), t91e));
    a34 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t81d, t21e));
    a44 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t91d, t31e));
    s6v = SUB_CPX_CPX(a34, a44);
    s7v = ADD_CPX_CPX(a34, a44);
    s8v = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t01f), MUL_FLT_CPX(C_FLT(0.92387953251128674), t11f));
    s9v = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t01f), MUL_FLT_CPX(C_FLT(0.38268343236508978), t11f));
    t21f = SUB_CPX_CPX(s25, s2j);
    t31f = SUB_CPX_CPX(s35, s3j);
    t41f = ADD_CPX_CPX(s25, s2j);
    t51f = ADD_CPX_CPX(s35, s3j);
    t61f = SUB_CPX_CPX(s08, s4g);
    t71f = SUB_CPX_CPX(s5g, s18);
    t81f = ADD_CPX_CPX(s4g, s08);
    t91f = ADD_CPX_CPX(s5g, s18);
    t01g = ADD_CPX_CPX(t21f, t61f);
    t11g = ADD_CPX_CPX(t31f, t71f);
    t21g = SUB_CPX_CPX(t21f, t61f);
    t31g = SUB_CPX_CPX(t31f, t71f);
    t41g = SUB_CPX_CPX(t41f, t91f);
    t51g = SUB_CPX_CPX(t51f, t81f);
    t61g = ADD_CPX_CPX(t41f, t91f);
    t71g = ADD_CPX_CPX(t51f, t81f);
    s0w = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t41g), MUL_FLT_CPX(C_FLT(0.55557023301960218), t51g));
    s1w = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), t41g), MUL_FLT_CPX(C_FLT(0.83146961230254524), t51g));
    s2w = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t21g), MUL_FLT_CPX(C_FLT(0.92387953251128674), t31g));
    s3w = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t21g), MUL_FLT_CPX(C_FLT(0.38268343236508978), t31g));
    s4w = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), t61g), MUL_FLT_CPX(C_FLT(0.98078528040323043), t71g));
    s5w = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t61g), MUL_FLT_CPX(C_FLT(0.19509032201612828), t71g));
    t81g = ADD_CPX_CPX(t41b, t61e);
    t91g = SUB_CPX_CPX(t61b, t71e);
    t01h = SUB_CPX_CPX(t41b, t61e);
    t11h = ADD_CPX_CPX(t61b, t71e);
    t21h = ADD_CPX_CPX(t01d, t01g);
    t31h = SUB_CPX_CPX(t11d, t11g);
    a54 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t01d, t01g));
    a64 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t11d, t11g));
    s6w = SUB_CPX_CPX(a54, a64);
    s7w = ADD_CPX_CPX(a54, a64);
    t41h = ADD_CPX_CPX(t81g, t21h);
    t51h = SUB_CPX_CPX(t01h, t31h);
    t61h = SUB_CPX_CPX(t81g, t21h);
    t71h = ADD_CPX_CPX(t01h, t31h);
    STOREU_CPX((dst + 3), t41h);
    STOREU_CPX((dst + 35), t51h);
    STOREU_CPX((dst + 67), t61h);
    STOREU_CPX((dst + 99), t71h);
    t81h = ADD_CPX_CPX(t91g, s6w);
    t91h = SUB_CPX_CPX(t11h, s7w);
    t01i = SUB_CPX_CPX(t91g, s6w);
    t11i = ADD_CPX_CPX(t11h, s7w);
    STOREU_CPX((dst + 19), t81h);
    STOREU_CPX((dst + 51), t91h);
    STOREU_CPX((dst + 83), t01i);
    STOREU_CPX((dst + 115), t11i);
    t21i = ADD_CPX_CPX(t81b, s4v);
    t31i = SUB_CPX_CPX(t01c, s5v);
    t41i = SUB_CPX_CPX(t81b, s4v);
    t51i = ADD_CPX_CPX(t01c, s5v);
    t61i = ADD_CPX_CPX(s8u, s0w);
    t71i = SUB_CPX_CPX(s9u, s1w);
    a74 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s8u, s0w));
    a84 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s9u, s1w));
    s8w = SUB_CPX_CPX(a74, a84);
    s9w = ADD_CPX_CPX(a74, a84);
    t81i = ADD_CPX_CPX(t21i, t61i);
    t91i = SUB_CPX_CPX(t41i, t71i);
    t01j = SUB_CPX_CPX(t21i, t61i);
    t11j = ADD_CPX_CPX(t41i, t71i);
    STOREU_CPX((dst + 7), t81i);
    STOREU_CPX((dst + 39), t91i);
    STOREU_CPX((dst + 71), t01j);
    STOREU_CPX((dst + 103), t11j);
    t21j = ADD_CPX_CPX(t31i, s8w);
    t31j = SUB_CPX_CPX(t51i, s9w);
    t41j = SUB_CPX_CPX(t31i, s8w);
    t51j = ADD_CPX_CPX(t51i, s9w);
    STOREU_CPX((dst + 23), t21j);
    STOREU_CPX((dst + 55), t31j);
    STOREU_CPX((dst + 87), t41j);
    STOREU_CPX((dst + 119), t51j);
    t61j = ADD_CPX_CPX(t51b, s6v);
    t71j = SUB_CPX_CPX(t71b, s7v);
    t81j = SUB_CPX_CPX(t51b, s6v);
    t91j = ADD_CPX_CPX(t71b, s7v);
    t01k = ADD_CPX_CPX(s0v, s2w);
    t11k = SUB_CPX_CPX(s1v, s3w);
    a94 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s0v, s2w));
    a05 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s1v, s3w));
    s0x = SUB_CPX_CPX(a94, a05);
    s1x = ADD_CPX_CPX(a94, a05);
    t21k = ADD_CPX_CPX(t61j, t01k);
    t31k = SUB_CPX_CPX(t81j, t11k);
    t41k = SUB_CPX_CPX(t61j, t01k);
    t51k = ADD_CPX_CPX(t81j, t11k);
    STOREU_CPX((dst + 11), t21k);
    STOREU_CPX((dst + 43), t31k);
    STOREU_CPX((dst + 75), t41k);
    STOREU_CPX((dst + 107), t51k);
    t61k = ADD_CPX_CPX(t71j, s0x);
    t71k = SUB_CPX_CPX(t91j, s1x);
    t81k = SUB_CPX_CPX(t71j, s0x);
    t91k = ADD_CPX_CPX(t91j, s1x);
    STOREU_CPX((dst + 27), t61k);
    STOREU_CPX((dst + 59), t71k);
    STOREU_CPX((dst + 91), t81k);
    STOREU_CPX((dst + 123), t91k);
    t01l = ADD_CPX_CPX(t91b, s8v);
    t11l = SUB_CPX_CPX(t11c, s9v);
    t21l = SUB_CPX_CPX(t91b, s8v);
    t31l = ADD_CPX_CPX(t11c, s9v);
    t41l = SUB_CPX_CPX(s2v, s4w);
    t51l = SUB_CPX_CPX(s3v, s5w);
    a15 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s2v, s4w));
    a25 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s3v, s5w));
    s2x = SUB_CPX_CPX(a15, a25);
    s3x = ADD_CPX_CPX(a15, a25);
    t61l = ADD_CPX_CPX(t01l, t41l);
    t71l = SUB_CPX_CPX(t21l, t51l);
    t81l = SUB_CPX_CPX(t01l, t41l);
    t91l = ADD_CPX_CPX(t21l, t51l);
    STOREU_CPX((dst + 15), t61l);
    STOREU_CPX((dst + 47), t71l);
    STOREU_CPX((dst + 79), t81l);
    STOREU_CPX((dst + 111), t91l);
    t01m = ADD_CPX_CPX(t11l, s2x);
    t11m = SUB_CPX_CPX(t31l, s3x);
    t21m = SUB_CPX_CPX(t11l, s2x);
    t31m = ADD_CPX_CPX(t31l, s3x);
    STOREU_CPX((dst + 31), t01m);
    STOREU_CPX((dst + 63), t11m);
    STOREU_CPX((dst + 95), t21m);
    STOREU_CPX((dst + 127), t31m);
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_fftfwd_double_128)(const double *pSrc, double *pDst ) {
    if (!is_aligned(pSrc) || !is_aligned(pDst))
       	return spiral_fftfwd_double_128_unaligned(pSrc, pDst );
    else {
    const CPX  *src = (const CPX *) pSrc; 
    CPX        *dst = (CPX *) pDst;
    
    
    {const CPX  *a, *a01, *a02, *a03, *a04, *a05, *a06, *a07, *a08, *a09, *a0a, *a0b, *a0c, *a0d, *a11, *a12, *a13, *a14, *a15, *a16, *a17, *a18
            , *a19, *a1a, *a1b, *a1c, *a1d, *a2, *a21, *a22, *a23, *a24, *a25, *a26, *a27, *a28, *a29, *a2a, *a2b, *a2c, *a3, *a31, *a32, *a33
            , *a34, *a35, *a36, *a37, *a38, *a39, *a3a, *a3b, *a3c, *a4, *a41, *a42, *a43, *a44, *a45, *a46, *a48, *a49, *a4a, *a4b, *a4c, *a5
            , *a51, *a52, *a53, *a54, *a55, *a56, *a58, *a59, *a5a, *a5b, *a5c, *a6, *a61, *a62, *a63, *a64, *a65, *a66, *a67, *a68, *a69, *a6a
            , *a6b, *a6c, *a7, *a71, *a72, *a73, *a74, *a75, *a76, *a77, *a78, *a79, *a7a, *a7b, *a7c, *a81, *a82, *a83, *a84, *a85, *a86, *a87
            , *a88, *a89, *a8a, *a8b, *a8c, *a91, *a92, *a93, *a94, *a95, *a96, *a97, *a98, *a99, *a9a, *a9b, *a9c;
    CPX a0e, a0f, a0g, a0h, a1e, a1f, a1g, a1h, a2d, a2e, a2f, a2g, a2h, a3d, a3e, a3f, a3g, a3h, a47, a4d, a4e, a4f
        , a4g, a4h, a57, a5d, a5e, a5f, a5g, a5h, a6d, a6e, a6f, a6g, a6h, a7d, a7e, a7f, a7g, a7h, a8, a8d, a8e, a8f
        , a8g, a8h, a9, a9d, a9e, a9f, a9g, a9h, s, s01, s02, s03, s04, s05, s06, s07, s08, s09, s0a, s0b, s0c, s0d
        , s0e, s0f, s0g, s0h, s0i, s0j, s0k, s11, s12, s13, s14, s15, s16, s17, s18, s19, s1a, s1b, s1c, s1d, s1e, s1f
        , s1g, s1h, s1i, s1j, s1k, s2, s21, s22, s23, s24, s25, s26, s27, s28, s29, s2a, s2b, s2c, s2d, s2e, s2f, s2g
        , s2h, s2i, s2j, s2k, s3, s31, s32, s33, s34, s35, s36, s37, s38, s39, s3a, s3b, s3c, s3d, s3e, s3f, s3g, s3h
        , s3i, s3j, s3k, s4, s41, s42, s43, s44, s45, s46, s47, s48, s49, s4a, s4b, s4c, s4d, s4e, s4f, s4g, s4h, s4i
        , s4j, s4k, s5, s51, s52, s53, s54, s55, s56, s57, s58, s59, s5a, s5b, s5c, s5d, s5e, s5f, s5g, s5h, s5i, s5j
        , s5k, s6, s61, s62, s63, s64, s65, s66, s67, s68, s69, s6a, s6b, s6c, s6d, s6e, s6f, s6g, s6h, s6i, s6j, s7
        , s71, s72, s73, s74, s75, s76, s77, s78, s79, s7a, s7b, s7c, s7d, s7e, s7f, s7g, s7h, s7i, s7j, s8, s81, s82
        , s83, s84, s85, s86, s87, s88, s89, s8a, s8b, s8c, s8d, s8e, s8f, s8g, s8h, s8i, s8j, s9, s91, s92, s93, s94
        , s95, s96, s97, s98, s99, s9a, s9b, s9c, s9d, s9e, s9f, s9g, s9h, s9i, s9j, t, t01, t010, t011, t012, t013, t014
        , t015, t016, t017, t018, t019, t02, t03, t04, t05, t06, t07, t08, t09, t0A, t0B, t0C, t0D, t0E, t0F, t0G, t0H, t0I
        , t0J, t0K, t0L, t0M, t0N, t0O, t0P, t0Q, t0R, t0S, t0T, t0U, t0V, t0W, t0X, t0Y, t0Z, t0a, t0b, t0c, t0d, t0e
        , t0f, t0g, t0h, t0i, t0j, t0k, t0l, t0m, t0n, t0o, t0p, t0q, t0r, t0s, t0t, t0u, t0v, t0w, t0x, t0y, t0z, t11
        , t110, t111, t112, t113, t114, t115, t116, t117, t118, t119, t12, t13, t14, t15, t16, t17, t18, t19, t1A, t1B, t1C, t1D
        , t1E, t1F, t1G, t1H, t1I, t1J, t1K, t1L, t1M, t1N, t1O, t1P, t1Q, t1R, t1S, t1T, t1U, t1V, t1W, t1X, t1Y, t1Z
        , t1a, t1b, t1c, t1d, t1e, t1f, t1g, t1h, t1i, t1j, t1k, t1l, t1m, t1n, t1o, t1p, t1q, t1r, t1s, t1t, t1u, t1v
        , t1w, t1x, t1y, t1z, t2, t21, t210, t211, t212, t213, t214, t215, t216, t217, t218, t219, t22, t23, t24, t25, t26, t27
        , t28, t29, t2A, t2B, t2C, t2D, t2E, t2F, t2G, t2H, t2I, t2J, t2K, t2L, t2M, t2N, t2O, t2P, t2Q, t2R, t2S, t2T
        , t2U, t2V, t2W, t2X, t2Y, t2Z, t2a, t2b, t2c, t2d, t2e, t2f, t2g, t2h, t2i, t2j, t2k, t2l, t2m, t2n, t2o, t2p
        , t2q, t2r, t2s, t2t, t2u, t2v, t2w, t2x, t2y, t2z, t3, t31, t310, t311, t312, t313, t314, t315, t316, t317, t318, t319
        , t32, t33, t34, t35, t36, t37, t38, t39, t3A, t3B, t3C, t3D, t3E, t3F, t3G, t3H, t3I, t3J, t3K, t3L, t3M, t3N
        , t3O, t3P, t3Q, t3R, t3S, t3T, t3U, t3V, t3W, t3X, t3Y, t3Z, t3a, t3b, t3c, t3d, t3e, t3f, t3g, t3h, t3i, t3j
        , t3k, t3l, t3m, t3n, t3o, t3p, t3q, t3r, t3s, t3t, t3u, t3v, t3w, t3x, t3y, t3z, t4, t41, t410, t411, t412, t413
        , t414, t415, t416, t417, t418, t419, t42, t43, t44, t45, t46, t47, t48, t49, t4A, t4B, t4C, t4D, t4E, t4F, t4G, t4H
        , t4I, t4J, t4K, t4L, t4M, t4N, t4O, t4P, t4Q, t4R, t4S, t4T, t4U, t4V, t4W, t4X, t4Y, t4Z, t4a, t4b, t4c, t4d
        , t4e, t4f, t4g, t4h, t4i, t4j, t4k, t4l, t4m, t4n, t4o, t4p, t4q, t4r, t4s, t4t, t4u, t4v, t4w, t4x, t4y, t4z
        , t5, t51, t510, t511, t512, t513, t514, t515, t516, t517, t518, t519, t52, t53, t54, t55, t56, t57, t58, t59, t5A, t5B
        , t5C, t5D, t5E, t5F, t5G, t5H, t5I, t5J, t5K, t5L, t5M, t5N, t5O, t5P, t5Q, t5R, t5S, t5T, t5U, t5V, t5W, t5X
        , t5Y, t5Z, t5a, t5b, t5c, t5d, t5e, t5f, t5g, t5h, t5i, t5j, t5k, t5l, t5m, t5n, t5o, t5p, t5q, t5r, t5s, t5t
        , t5u, t5v, t5w, t5x, t5y, t5z, t6, t61, t610, t611, t612, t613, t614, t615, t616, t617, t618, t62, t63, t64, t65, t66
        , t67, t68, t69, t6A, t6B, t6C, t6D, t6E, t6F, t6G, t6H, t6I, t6J, t6K, t6L, t6M, t6N, t6O, t6P, t6Q, t6R, t6S
        , t6T, t6U, t6V, t6W, t6X, t6Y, t6Z, t6a, t6b, t6c, t6d, t6e, t6f, t6g, t6h, t6i, t6j, t6k, t6l, t6m, t6n, t6o
        , t6p, t6q, t6r, t6s, t6t, t6u, t6v, t6w, t6x, t6y, t6z, t7, t71, t710, t711, t712, t713, t714, t715, t716, t717, t718
        , t72, t73, t74, t75, t76, t77, t78, t79, t7A, t7B, t7C, t7D, t7E, t7F, t7G, t7H, t7I, t7J, t7K, t7L, t7M, t7N
        , t7O, t7P, t7Q, t7R, t7S, t7T, t7U, t7V, t7W, t7X, t7Y, t7Z, t7a, t7b, t7c, t7d, t7e, t7f, t7g, t7h, t7i, t7j
        , t7k, t7l, t7m, t7n, t7o, t7p, t7q, t7r, t7s, t7t, t7u, t7v, t7w, t7x, t7y, t7z, t8, t81, t810, t811, t812, t813
        , t814, t815, t816, t817, t818, t82, t83, t84, t85, t86, t87, t88, t89, t8A, t8B, t8C, t8D, t8E, t8F, t8G, t8H, t8I
        , t8J, t8K, t8L, t8M, t8N, t8O, t8P, t8Q, t8R, t8S, t8T, t8U, t8V, t8W, t8X, t8Y, t8Z, t8a, t8b, t8c, t8d, t8e
        , t8f, t8g, t8h, t8i, t8j, t8k, t8l, t8m, t8n, t8o, t8p, t8q, t8r, t8s, t8t, t8u, t8v, t8w, t8x, t8y, t8z, t9
        , t91, t910, t911, t912, t913, t914, t915, t916, t917, t918, t92, t93, t94, t95, t96, t97, t98, t99, t9A, t9B, t9C, t9D
        , t9E, t9F, t9G, t9H, t9I, t9J, t9K, t9L, t9M, t9N, t9O, t9P, t9Q, t9R, t9S, t9T, t9U, t9V, t9W, t9X, t9Y, t9Z
        , t9a, t9b, t9c, t9d, t9e, t9f, t9g, t9h, t9i, t9j, t9k, t9l, t9m, t9n, t9o, t9p, t9q, t9r, t9s, t9t, t9u, t9v
        , t9w, t9x, t9y, t9z;
    a = (src + 64);
    t = ADD_CPX_CPX(*(src), *(a));
    t2 = SUB_CPX_CPX(*(src), *(a));
    a2 = (src + 32);
    a3 = (src + 96);
    t3 = ADD_CPX_CPX(*(a2), *(a3));
    s = MUL_NI_CPX(SUB_CPX_CPX(*(a2), *(a3)));
    t4 = ADD_CPX_CPX(t, t3);
    t5 = SUB_CPX_CPX(t, t3);
    t6 = ADD_CPX_CPX(t2, s);
    t7 = SUB_CPX_CPX(t2, s);
    a4 = (src + 16);
    a5 = (src + 112);
    t8 = ADD_CPX_CPX(*(a4), *(a5));
    t9 = ADD_CPX_CPX(MUL_I_CPX(*(a4)), MUL_NI_CPX(*(a5)));
    a6 = (src + 80);
    a7 = (src + 48);
    t01 = ADD_CPX_CPX(*(a6), *(a7));
    t11 = ADD_CPX_CPX(MUL_I_CPX(*(a6)), MUL_NI_CPX(*(a7)));
    t21 = ADD_CPX_CPX(t8, t01);
    t31 = ADD_CPX_CPX(t9, t11);
    a8 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8, t01));
    a9 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9, t11));
    s2 = SUB_CPX_CPX(a8, a9);
    s3 = ADD_CPX_CPX(a8, a9);
    t41 = ADD_CPX_CPX(t4, t21);
    t51 = SUB_CPX_CPX(t5, t31);
    t61 = SUB_CPX_CPX(t4, t21);
    t71 = ADD_CPX_CPX(t5, t31);
    t81 = ADD_CPX_CPX(t6, s2);
    t91 = SUB_CPX_CPX(t7, s3);
    t02 = SUB_CPX_CPX(t6, s2);
    t12 = ADD_CPX_CPX(t7, s3);
    a01 = (src + 1);
    a11 = (src + 127);
    t22 = ADD_CPX_CPX(*(a01), *(a11));
    t32 = ADD_CPX_CPX(MUL_I_CPX(*(a01)), MUL_NI_CPX(*(a11)));
    a21 = (src + 33);
    a31 = (src + 95);
    t42 = ADD_CPX_CPX(*(a21), *(a31));
    t52 = ADD_CPX_CPX(MUL_I_CPX(*(a21)), MUL_NI_CPX(*(a31)));
    a41 = (src + 65);
    a51 = (src + 63);
    t62 = ADD_CPX_CPX(*(a41), *(a51));
    t72 = ADD_CPX_CPX(MUL_I_CPX(*(a41)), MUL_NI_CPX(*(a51)));
    a61 = (src + 97);
    a71 = (src + 31);
    t82 = ADD_CPX_CPX(*(a61), *(a71));
    t92 = ADD_CPX_CPX(MUL_I_CPX(*(a61)), MUL_NI_CPX(*(a71)));
    t03 = ADD_CPX_CPX(t22, t62);
    t13 = ADD_CPX_CPX(t32, t72);
    t23 = SUB_CPX_CPX(t22, t62);
    t33 = SUB_CPX_CPX(t32, t72);
    t43 = ADD_CPX_CPX(t42, t82);
    t53 = ADD_CPX_CPX(t52, t92);
    t63 = SUB_CPX_CPX(t42, t82);
    t73 = SUB_CPX_CPX(t52, t92);
    t83 = ADD_CPX_CPX(t03, t43);
    t93 = ADD_CPX_CPX(t13, t53);
    t04 = SUB_CPX_CPX(t03, t43);
    t14 = SUB_CPX_CPX(t13, t53);
    t24 = SUB_CPX_CPX(t23, t73);
    t34 = ADD_CPX_CPX(t33, t63);
    t44 = ADD_CPX_CPX(t23, t73);
    t54 = SUB_CPX_CPX(t33, t63);
    s4 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99879545620517241), t24), MUL_FLT_CPX(C_FLT(0.049067674327418015), t34));
    s5 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.049067674327418015), t24), MUL_FLT_CPX(C_FLT(0.99879545620517241), t34));
    s6 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), t04), MUL_FLT_CPX(C_FLT(0.098017140329560604), t14));
    s7 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), t04), MUL_FLT_CPX(C_FLT(0.99518472667219693), t14));
    s8 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), t44), MUL_FLT_CPX(C_FLT(0.14673047445536175), t54));
    s9 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.14673047445536175), t44), MUL_FLT_CPX(C_FLT(0.98917650996478101), t54));
    a81 = (src + 2);
    a91 = (src + 126);
    t64 = ADD_CPX_CPX(*(a81), *(a91));
    t74 = ADD_CPX_CPX(MUL_I_CPX(*(a81)), MUL_NI_CPX(*(a91)));
    a02 = (src + 34);
    a12 = (src + 94);
    t84 = ADD_CPX_CPX(*(a02), *(a12));
    t94 = ADD_CPX_CPX(MUL_I_CPX(*(a02)), MUL_NI_CPX(*(a12)));
    a22 = (src + 66);
    a32 = (src + 62);
    t05 = ADD_CPX_CPX(*(a22), *(a32));
    t15 = ADD_CPX_CPX(MUL_I_CPX(*(a22)), MUL_NI_CPX(*(a32)));
    a42 = (src + 98);
    a52 = (src + 30);
    t25 = ADD_CPX_CPX(*(a42), *(a52));
    t35 = ADD_CPX_CPX(MUL_I_CPX(*(a42)), MUL_NI_CPX(*(a52)));
    t45 = ADD_CPX_CPX(t64, t05);
    t55 = ADD_CPX_CPX(t74, t15);
    t65 = SUB_CPX_CPX(t64, t05);
    t75 = SUB_CPX_CPX(t74, t15);
    t85 = ADD_CPX_CPX(t84, t25);
    t95 = ADD_CPX_CPX(t94, t35);
    t06 = SUB_CPX_CPX(t84, t25);
    t16 = SUB_CPX_CPX(t94, t35);
    t26 = ADD_CPX_CPX(t45, t85);
    t36 = ADD_CPX_CPX(t55, t95);
    t46 = SUB_CPX_CPX(t45, t85);
    t56 = SUB_CPX_CPX(t55, t95);
    t66 = SUB_CPX_CPX(t65, t16);
    t76 = ADD_CPX_CPX(t75, t06);
    t86 = ADD_CPX_CPX(t65, t16);
    t96 = SUB_CPX_CPX(t75, t06);
    s01 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), t66), MUL_FLT_CPX(C_FLT(0.098017140329560604), t76));
    s11 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), t66), MUL_FLT_CPX(C_FLT(0.99518472667219693), t76));
    s21 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t46), MUL_FLT_CPX(C_FLT(0.19509032201612828), t56));
    s31 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), t46), MUL_FLT_CPX(C_FLT(0.98078528040323043), t56));
    s41 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), t86), MUL_FLT_CPX(C_FLT(0.29028467725446239), t96));
    s51 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.29028467725446239), t86), MUL_FLT_CPX(C_FLT(0.95694033573220882), t96));
    a62 = (src + 3);
    a72 = (src + 125);
    t07 = ADD_CPX_CPX(*(a62), *(a72));
    t17 = ADD_CPX_CPX(MUL_I_CPX(*(a62)), MUL_NI_CPX(*(a72)));
    a82 = (src + 35);
    a92 = (src + 93);
    t27 = ADD_CPX_CPX(*(a82), *(a92));
    t37 = ADD_CPX_CPX(MUL_I_CPX(*(a82)), MUL_NI_CPX(*(a92)));
    a03 = (src + 67);
    a13 = (src + 61);
    t47 = ADD_CPX_CPX(*(a03), *(a13));
    t57 = ADD_CPX_CPX(MUL_I_CPX(*(a03)), MUL_NI_CPX(*(a13)));
    a23 = (src + 99);
    a33 = (src + 29);
    t67 = ADD_CPX_CPX(*(a23), *(a33));
    t77 = ADD_CPX_CPX(MUL_I_CPX(*(a23)), MUL_NI_CPX(*(a33)));
    t87 = ADD_CPX_CPX(t07, t47);
    t97 = ADD_CPX_CPX(t17, t57);
    t08 = SUB_CPX_CPX(t07, t47);
    t18 = SUB_CPX_CPX(t17, t57);
    t28 = ADD_CPX_CPX(t27, t67);
    t38 = ADD_CPX_CPX(t37, t77);
    t48 = SUB_CPX_CPX(t27, t67);
    t58 = SUB_CPX_CPX(t37, t77);
    t68 = ADD_CPX_CPX(t87, t28);
    t78 = ADD_CPX_CPX(t97, t38);
    t88 = SUB_CPX_CPX(t87, t28);
    t98 = SUB_CPX_CPX(t97, t38);
    t09 = SUB_CPX_CPX(t08, t58);
    t19 = ADD_CPX_CPX(t18, t48);
    t29 = ADD_CPX_CPX(t08, t58);
    t39 = SUB_CPX_CPX(t18, t48);
    s61 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), t09), MUL_FLT_CPX(C_FLT(0.14673047445536175), t19));
    s71 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.14673047445536175), t09), MUL_FLT_CPX(C_FLT(0.98917650996478101), t19));
    s81 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), t88), MUL_FLT_CPX(C_FLT(0.29028467725446239), t98));
    s91 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.29028467725446239), t88), MUL_FLT_CPX(C_FLT(0.95694033573220882), t98));
    s02 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.90398929312344334), t29), MUL_FLT_CPX(C_FLT(0.42755509343028208), t39));
    s12 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.42755509343028208), t29), MUL_FLT_CPX(C_FLT(0.90398929312344334), t39));
    a43 = (src + 4);
    a53 = (src + 124);
    t49 = ADD_CPX_CPX(*(a43), *(a53));
    t59 = ADD_CPX_CPX(MUL_I_CPX(*(a43)), MUL_NI_CPX(*(a53)));
    a63 = (src + 36);
    a73 = (src + 92);
    t69 = ADD_CPX_CPX(*(a63), *(a73));
    t79 = ADD_CPX_CPX(MUL_I_CPX(*(a63)), MUL_NI_CPX(*(a73)));
    a83 = (src + 68);
    a93 = (src + 60);
    t89 = ADD_CPX_CPX(*(a83), *(a93));
    t99 = ADD_CPX_CPX(MUL_I_CPX(*(a83)), MUL_NI_CPX(*(a93)));
    a04 = (src + 100);
    a14 = (src + 28);
    t0a = ADD_CPX_CPX(*(a04), *(a14));
    t1a = ADD_CPX_CPX(MUL_I_CPX(*(a04)), MUL_NI_CPX(*(a14)));
    t2a = ADD_CPX_CPX(t49, t89);
    t3a = ADD_CPX_CPX(t59, t99);
    t4a = SUB_CPX_CPX(t49, t89);
    t5a = SUB_CPX_CPX(t59, t99);
    t6a = ADD_CPX_CPX(t69, t0a);
    t7a = ADD_CPX_CPX(t79, t1a);
    t8a = SUB_CPX_CPX(t69, t0a);
    t9a = SUB_CPX_CPX(t79, t1a);
    t0b = ADD_CPX_CPX(t2a, t6a);
    t1b = ADD_CPX_CPX(t3a, t7a);
    t2b = SUB_CPX_CPX(t2a, t6a);
    t3b = SUB_CPX_CPX(t3a, t7a);
    t4b = SUB_CPX_CPX(t4a, t9a);
    t5b = ADD_CPX_CPX(t5a, t8a);
    t6b = ADD_CPX_CPX(t4a, t9a);
    t7b = SUB_CPX_CPX(t5a, t8a);
    s22 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t4b), MUL_FLT_CPX(C_FLT(0.19509032201612828), t5b));
    s32 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), t4b), MUL_FLT_CPX(C_FLT(0.98078528040323043), t5b));
    s42 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t2b), MUL_FLT_CPX(C_FLT(0.38268343236508978), t3b));
    s52 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t2b), MUL_FLT_CPX(C_FLT(0.92387953251128674), t3b));
    s62 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t6b), MUL_FLT_CPX(C_FLT(0.55557023301960218), t7b));
    s72 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), t6b), MUL_FLT_CPX(C_FLT(0.83146961230254524), t7b));
    a24 = (src + 5);
    a34 = (src + 123);
    t8b = ADD_CPX_CPX(*(a24), *(a34));
    t9b = ADD_CPX_CPX(MUL_I_CPX(*(a24)), MUL_NI_CPX(*(a34)));
    a44 = (src + 37);
    a54 = (src + 91);
    t0c = ADD_CPX_CPX(*(a44), *(a54));
    t1c = ADD_CPX_CPX(MUL_I_CPX(*(a44)), MUL_NI_CPX(*(a54)));
    a64 = (src + 69);
    a74 = (src + 59);
    t2c = ADD_CPX_CPX(*(a64), *(a74));
    t3c = ADD_CPX_CPX(MUL_I_CPX(*(a64)), MUL_NI_CPX(*(a74)));
    a84 = (src + 101);
    a94 = (src + 27);
    t4c = ADD_CPX_CPX(*(a84), *(a94));
    t5c = ADD_CPX_CPX(MUL_I_CPX(*(a84)), MUL_NI_CPX(*(a94)));
    t6c = ADD_CPX_CPX(t8b, t2c);
    t7c = ADD_CPX_CPX(t9b, t3c);
    t8c = SUB_CPX_CPX(t8b, t2c);
    t9c = SUB_CPX_CPX(t9b, t3c);
    t0d = ADD_CPX_CPX(t0c, t4c);
    t1d = ADD_CPX_CPX(t1c, t5c);
    t2d = SUB_CPX_CPX(t0c, t4c);
    t3d = SUB_CPX_CPX(t1c, t5c);
    t4d = ADD_CPX_CPX(t6c, t0d);
    t5d = ADD_CPX_CPX(t7c, t1d);
    t6d = SUB_CPX_CPX(t6c, t0d);
    t7d = SUB_CPX_CPX(t7c, t1d);
    t8d = SUB_CPX_CPX(t8c, t3d);
    t9d = ADD_CPX_CPX(t9c, t2d);
    t0e = ADD_CPX_CPX(t8c, t3d);
    t1e = SUB_CPX_CPX(t9c, t2d);
    s82 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.97003125319454397), t8d), MUL_FLT_CPX(C_FLT(0.2429801799032639), t9d));
    s92 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.2429801799032639), t8d), MUL_FLT_CPX(C_FLT(0.97003125319454397), t9d));
    s03 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), t6d), MUL_FLT_CPX(C_FLT(0.47139673682599764), t7d));
    s13 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.47139673682599764), t6d), MUL_FLT_CPX(C_FLT(0.88192126434835505), t7d));
    s23 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), t0e), MUL_FLT_CPX(C_FLT(0.67155895484701844), t1e));
    s33 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.67155895484701844), t0e), MUL_FLT_CPX(C_FLT(0.74095112535495911), t1e));
    a05 = (src + 6);
    a15 = (src + 122);
    t2e = ADD_CPX_CPX(*(a05), *(a15));
    t3e = ADD_CPX_CPX(MUL_I_CPX(*(a05)), MUL_NI_CPX(*(a15)));
    a25 = (src + 38);
    a35 = (src + 90);
    t4e = ADD_CPX_CPX(*(a25), *(a35));
    t5e = ADD_CPX_CPX(MUL_I_CPX(*(a25)), MUL_NI_CPX(*(a35)));
    a45 = (src + 70);
    a55 = (src + 58);
    t6e = ADD_CPX_CPX(*(a45), *(a55));
    t7e = ADD_CPX_CPX(MUL_I_CPX(*(a45)), MUL_NI_CPX(*(a55)));
    a65 = (src + 102);
    a75 = (src + 26);
    t8e = ADD_CPX_CPX(*(a65), *(a75));
    t9e = ADD_CPX_CPX(MUL_I_CPX(*(a65)), MUL_NI_CPX(*(a75)));
    t0f = ADD_CPX_CPX(t2e, t6e);
    t1f = ADD_CPX_CPX(t3e, t7e);
    t2f = SUB_CPX_CPX(t2e, t6e);
    t3f = SUB_CPX_CPX(t3e, t7e);
    t4f = ADD_CPX_CPX(t4e, t8e);
    t5f = ADD_CPX_CPX(t5e, t9e);
    t6f = SUB_CPX_CPX(t4e, t8e);
    t7f = SUB_CPX_CPX(t5e, t9e);
    t8f = ADD_CPX_CPX(t0f, t4f);
    t9f = ADD_CPX_CPX(t1f, t5f);
    t0g = SUB_CPX_CPX(t0f, t4f);
    t1g = SUB_CPX_CPX(t1f, t5f);
    t2g = SUB_CPX_CPX(t2f, t7f);
    t3g = ADD_CPX_CPX(t3f, t6f);
    t4g = ADD_CPX_CPX(t2f, t7f);
    t5g = SUB_CPX_CPX(t3f, t6f);
    s43 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), t2g), MUL_FLT_CPX(C_FLT(0.29028467725446239), t3g));
    s53 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.29028467725446239), t2g), MUL_FLT_CPX(C_FLT(0.95694033573220882), t3g));
    s63 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t0g), MUL_FLT_CPX(C_FLT(0.55557023301960218), t1g));
    s73 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), t0g), MUL_FLT_CPX(C_FLT(0.83146961230254524), t1g));
    s83 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), t4g), MUL_FLT_CPX(C_FLT(0.77301045336273699), t5g));
    s93 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), t4g), MUL_FLT_CPX(C_FLT(0.63439328416364549), t5g));
    a85 = (src + 7);
    a95 = (src + 121);
    t6g = ADD_CPX_CPX(*(a85), *(a95));
    t7g = ADD_CPX_CPX(MUL_I_CPX(*(a85)), MUL_NI_CPX(*(a95)));
    a06 = (src + 39);
    a16 = (src + 89);
    t8g = ADD_CPX_CPX(*(a06), *(a16));
    t9g = ADD_CPX_CPX(MUL_I_CPX(*(a06)), MUL_NI_CPX(*(a16)));
    a26 = (src + 71);
    a36 = (src + 57);
    t0h = ADD_CPX_CPX(*(a26), *(a36));
    t1h = ADD_CPX_CPX(MUL_I_CPX(*(a26)), MUL_NI_CPX(*(a36)));
    a46 = (src + 103);
    a56 = (src + 25);
    t2h = ADD_CPX_CPX(*(a46), *(a56));
    t3h = ADD_CPX_CPX(MUL_I_CPX(*(a46)), MUL_NI_CPX(*(a56)));
    t4h = ADD_CPX_CPX(t6g, t0h);
    t5h = ADD_CPX_CPX(t7g, t1h);
    t6h = SUB_CPX_CPX(t6g, t0h);
    t7h = SUB_CPX_CPX(t7g, t1h);
    t8h = ADD_CPX_CPX(t8g, t2h);
    t9h = ADD_CPX_CPX(t9g, t3h);
    t0i = SUB_CPX_CPX(t8g, t2h);
    t1i = SUB_CPX_CPX(t9g, t3h);
    t2i = ADD_CPX_CPX(t4h, t8h);
    t3i = ADD_CPX_CPX(t5h, t9h);
    t4i = SUB_CPX_CPX(t4h, t8h);
    t5i = SUB_CPX_CPX(t5h, t9h);
    t6i = SUB_CPX_CPX(t6h, t1i);
    t7i = ADD_CPX_CPX(t7h, t0i);
    t8i = ADD_CPX_CPX(t6h, t1i);
    t9i = SUB_CPX_CPX(t7h, t0i);
    s04 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), t6i), MUL_FLT_CPX(C_FLT(0.33688985339222005), t7i));
    s14 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.33688985339222005), t6i), MUL_FLT_CPX(C_FLT(0.94154406518302081), t7i));
    s24 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), t4i), MUL_FLT_CPX(C_FLT(0.63439328416364549), t5i));
    s34 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), t4i), MUL_FLT_CPX(C_FLT(0.77301045336273699), t5i));
    s44 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.51410274419322177), t8i), MUL_FLT_CPX(C_FLT(0.85772861000027212), t9i));
    s54 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.85772861000027212), t8i), MUL_FLT_CPX(C_FLT(0.51410274419322177), t9i));
    a66 = (src + 8);
    a76 = (src + 120);
    t0j = ADD_CPX_CPX(*(a66), *(a76));
    t1j = ADD_CPX_CPX(MUL_I_CPX(*(a66)), MUL_NI_CPX(*(a76)));
    a86 = (src + 40);
    a96 = (src + 88);
    t2j = ADD_CPX_CPX(*(a86), *(a96));
    t3j = ADD_CPX_CPX(MUL_I_CPX(*(a86)), MUL_NI_CPX(*(a96)));
    a07 = (src + 72);
    a17 = (src + 56);
    t4j = ADD_CPX_CPX(*(a07), *(a17));
    t5j = ADD_CPX_CPX(MUL_I_CPX(*(a07)), MUL_NI_CPX(*(a17)));
    a27 = (src + 104);
    a37 = (src + 24);
    t6j = ADD_CPX_CPX(*(a27), *(a37));
    t7j = ADD_CPX_CPX(MUL_I_CPX(*(a27)), MUL_NI_CPX(*(a37)));
    t8j = ADD_CPX_CPX(t0j, t4j);
    t9j = ADD_CPX_CPX(t1j, t5j);
    t0k = SUB_CPX_CPX(t0j, t4j);
    t1k = SUB_CPX_CPX(t1j, t5j);
    t2k = ADD_CPX_CPX(t2j, t6j);
    t3k = ADD_CPX_CPX(t3j, t7j);
    t4k = SUB_CPX_CPX(t2j, t6j);
    t5k = SUB_CPX_CPX(t3j, t7j);
    t6k = ADD_CPX_CPX(t8j, t2k);
    t7k = ADD_CPX_CPX(t9j, t3k);
    t8k = SUB_CPX_CPX(t0k, t5k);
    t9k = ADD_CPX_CPX(t1k, t4k);
    t0l = ADD_CPX_CPX(t0k, t5k);
    t1l = SUB_CPX_CPX(t1k, t4k);
    s64 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t8k), MUL_FLT_CPX(C_FLT(0.38268343236508978), t9k));
    s74 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t8k), MUL_FLT_CPX(C_FLT(0.92387953251128674), t9k));
    a47 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8j, t2k));
    a57 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9j, t3k));
    s84 = SUB_CPX_CPX(a47, a57);
    s94 = ADD_CPX_CPX(a47, a57);
    s05 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t0l), MUL_FLT_CPX(C_FLT(0.92387953251128674), t1l));
    s15 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t0l), MUL_FLT_CPX(C_FLT(0.38268343236508978), t1l));
    a67 = (src + 9);
    a77 = (src + 119);
    t2l = ADD_CPX_CPX(*(a67), *(a77));
    t3l = ADD_CPX_CPX(MUL_I_CPX(*(a67)), MUL_NI_CPX(*(a77)));
    a87 = (src + 41);
    a97 = (src + 87);
    t4l = ADD_CPX_CPX(*(a87), *(a97));
    t5l = ADD_CPX_CPX(MUL_I_CPX(*(a87)), MUL_NI_CPX(*(a97)));
    a08 = (src + 73);
    a18 = (src + 55);
    t6l = ADD_CPX_CPX(*(a08), *(a18));
    t7l = ADD_CPX_CPX(MUL_I_CPX(*(a08)), MUL_NI_CPX(*(a18)));
    a28 = (src + 105);
    a38 = (src + 23);
    t8l = ADD_CPX_CPX(*(a28), *(a38));
    t9l = ADD_CPX_CPX(MUL_I_CPX(*(a28)), MUL_NI_CPX(*(a38)));
    t0m = ADD_CPX_CPX(t2l, t6l);
    t1m = ADD_CPX_CPX(t3l, t7l);
    t2m = SUB_CPX_CPX(t2l, t6l);
    t3m = SUB_CPX_CPX(t3l, t7l);
    t4m = ADD_CPX_CPX(t4l, t8l);
    t5m = ADD_CPX_CPX(t5l, t9l);
    t6m = SUB_CPX_CPX(t4l, t8l);
    t7m = SUB_CPX_CPX(t5l, t9l);
    t8m = ADD_CPX_CPX(t0m, t4m);
    t9m = ADD_CPX_CPX(t1m, t5m);
    t0n = SUB_CPX_CPX(t0m, t4m);
    t1n = SUB_CPX_CPX(t1m, t5m);
    t2n = SUB_CPX_CPX(t2m, t7m);
    t3n = ADD_CPX_CPX(t3m, t6m);
    t4n = ADD_CPX_CPX(t2m, t7m);
    t5n = SUB_CPX_CPX(t3m, t6m);
    s25 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.90398929312344334), t2n), MUL_FLT_CPX(C_FLT(0.42755509343028208), t3n));
    s35 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.42755509343028208), t2n), MUL_FLT_CPX(C_FLT(0.90398929312344334), t3n));
    s45 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), t0n), MUL_FLT_CPX(C_FLT(0.77301045336273699), t1n));
    s55 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), t0n), MUL_FLT_CPX(C_FLT(0.63439328416364549), t1n));
    s65 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.2429801799032639), t4n), MUL_FLT_CPX(C_FLT(0.97003125319454397), t5n));
    s75 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.97003125319454397), t4n), MUL_FLT_CPX(C_FLT(0.2429801799032639), t5n));
    a48 = (src + 10);
    a58 = (src + 118);
    t6n = ADD_CPX_CPX(*(a48), *(a58));
    t7n = ADD_CPX_CPX(MUL_I_CPX(*(a48)), MUL_NI_CPX(*(a58)));
    a68 = (src + 42);
    a78 = (src + 86);
    t8n = ADD_CPX_CPX(*(a68), *(a78));
    t9n = ADD_CPX_CPX(MUL_I_CPX(*(a68)), MUL_NI_CPX(*(a78)));
    a88 = (src + 74);
    a98 = (src + 54);
    t0o = ADD_CPX_CPX(*(a88), *(a98));
    t1o = ADD_CPX_CPX(MUL_I_CPX(*(a88)), MUL_NI_CPX(*(a98)));
    a09 = (src + 106);
    a19 = (src + 22);
    t2o = ADD_CPX_CPX(*(a09), *(a19));
    t3o = ADD_CPX_CPX(MUL_I_CPX(*(a09)), MUL_NI_CPX(*(a19)));
    t4o = ADD_CPX_CPX(t6n, t0o);
    t5o = ADD_CPX_CPX(t7n, t1o);
    t6o = SUB_CPX_CPX(t6n, t0o);
    t7o = SUB_CPX_CPX(t7n, t1o);
    t8o = ADD_CPX_CPX(t8n, t2o);
    t9o = ADD_CPX_CPX(t9n, t3o);
    t0p = SUB_CPX_CPX(t8n, t2o);
    t1p = SUB_CPX_CPX(t9n, t3o);
    t2p = ADD_CPX_CPX(t4o, t8o);
    t3p = ADD_CPX_CPX(t5o, t9o);
    t4p = SUB_CPX_CPX(t4o, t8o);
    t5p = SUB_CPX_CPX(t5o, t9o);
    t6p = SUB_CPX_CPX(t6o, t1p);
    t7p = ADD_CPX_CPX(t7o, t0p);
    t8p = ADD_CPX_CPX(t6o, t1p);
    t9p = SUB_CPX_CPX(t7o, t0p);
    s85 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), t6p), MUL_FLT_CPX(C_FLT(0.47139673682599764), t7p));
    s95 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.47139673682599764), t6p), MUL_FLT_CPX(C_FLT(0.88192126434835505), t7p));
    s06 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), t4p), MUL_FLT_CPX(C_FLT(0.83146961230254524), t5p));
    s16 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t4p), MUL_FLT_CPX(C_FLT(0.55557023301960218), t5p));
    s26 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), t8p), MUL_FLT_CPX(C_FLT(0.99518472667219693), t9p));
    s36 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), t8p), MUL_FLT_CPX(C_FLT(0.098017140329560604), t9p));
    a29 = (src + 11);
    a39 = (src + 117);
    t0q = ADD_CPX_CPX(*(a29), *(a39));
    t1q = ADD_CPX_CPX(MUL_I_CPX(*(a29)), MUL_NI_CPX(*(a39)));
    a49 = (src + 43);
    a59 = (src + 85);
    t2q = ADD_CPX_CPX(*(a49), *(a59));
    t3q = ADD_CPX_CPX(MUL_I_CPX(*(a49)), MUL_NI_CPX(*(a59)));
    a69 = (src + 75);
    a79 = (src + 53);
    t4q = ADD_CPX_CPX(*(a69), *(a79));
    t5q = ADD_CPX_CPX(MUL_I_CPX(*(a69)), MUL_NI_CPX(*(a79)));
    a89 = (src + 107);
    a99 = (src + 21);
    t6q = ADD_CPX_CPX(*(a89), *(a99));
    t7q = ADD_CPX_CPX(MUL_I_CPX(*(a89)), MUL_NI_CPX(*(a99)));
    t8q = ADD_CPX_CPX(t0q, t4q);
    t9q = ADD_CPX_CPX(t1q, t5q);
    t0r = SUB_CPX_CPX(t0q, t4q);
    t1r = SUB_CPX_CPX(t1q, t5q);
    t2r = ADD_CPX_CPX(t2q, t6q);
    t3r = ADD_CPX_CPX(t3q, t7q);
    t4r = SUB_CPX_CPX(t2q, t6q);
    t5r = SUB_CPX_CPX(t3q, t7q);
    t6r = ADD_CPX_CPX(t8q, t2r);
    t7r = ADD_CPX_CPX(t9q, t3r);
    t8r = SUB_CPX_CPX(t8q, t2r);
    t9r = SUB_CPX_CPX(t9q, t3r);
    t0s = SUB_CPX_CPX(t0r, t5r);
    t1s = ADD_CPX_CPX(t1r, t4r);
    t2s = ADD_CPX_CPX(t0r, t5r);
    t3s = SUB_CPX_CPX(t1r, t4r);
    s46 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.85772861000027212), t0s), MUL_FLT_CPX(C_FLT(0.51410274419322177), t1s));
    s56 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.51410274419322177), t0s), MUL_FLT_CPX(C_FLT(0.85772861000027212), t1s));
    s66 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.47139673682599764), t8r), MUL_FLT_CPX(C_FLT(0.88192126434835505), t9r));
    s76 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), t8r), MUL_FLT_CPX(C_FLT(0.47139673682599764), t9r));
    s86 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.049067674327418015), t2s), MUL_FLT_CPX(C_FLT(0.99879545620517241), t3s));
    s96 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99879545620517241), t2s), MUL_FLT_CPX(C_FLT(0.049067674327418015), t3s));
    a0a = (src + 12);
    a1a = (src + 116);
    t4s = ADD_CPX_CPX(*(a0a), *(a1a));
    t5s = ADD_CPX_CPX(MUL_I_CPX(*(a0a)), MUL_NI_CPX(*(a1a)));
    a2a = (src + 44);
    a3a = (src + 84);
    t6s = ADD_CPX_CPX(*(a2a), *(a3a));
    t7s = ADD_CPX_CPX(MUL_I_CPX(*(a2a)), MUL_NI_CPX(*(a3a)));
    a4a = (src + 76);
    a5a = (src + 52);
    t8s = ADD_CPX_CPX(*(a4a), *(a5a));
    t9s = ADD_CPX_CPX(MUL_I_CPX(*(a4a)), MUL_NI_CPX(*(a5a)));
    a6a = (src + 108);
    a7a = (src + 20);
    t0t = ADD_CPX_CPX(*(a6a), *(a7a));
    t1t = ADD_CPX_CPX(MUL_I_CPX(*(a6a)), MUL_NI_CPX(*(a7a)));
    t2t = ADD_CPX_CPX(t4s, t8s);
    t3t = ADD_CPX_CPX(t5s, t9s);
    t4t = SUB_CPX_CPX(t4s, t8s);
    t5t = SUB_CPX_CPX(t5s, t9s);
    t6t = ADD_CPX_CPX(t6s, t0t);
    t7t = ADD_CPX_CPX(t7s, t1t);
    t8t = SUB_CPX_CPX(t6s, t0t);
    t9t = SUB_CPX_CPX(t7s, t1t);
    t0u = ADD_CPX_CPX(t2t, t6t);
    t1u = ADD_CPX_CPX(t3t, t7t);
    t2u = SUB_CPX_CPX(t2t, t6t);
    t3u = SUB_CPX_CPX(t3t, t7t);
    t4u = SUB_CPX_CPX(t4t, t9t);
    t5u = ADD_CPX_CPX(t5t, t8t);
    t6u = ADD_CPX_CPX(t4t, t9t);
    t7u = SUB_CPX_CPX(t5t, t8t);
    s07 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t4u), MUL_FLT_CPX(C_FLT(0.55557023301960218), t5u));
    s17 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), t4u), MUL_FLT_CPX(C_FLT(0.83146961230254524), t5u));
    s27 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t2u), MUL_FLT_CPX(C_FLT(0.92387953251128674), t3u));
    s37 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t2u), MUL_FLT_CPX(C_FLT(0.38268343236508978), t3u));
    s47 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), t6u), MUL_FLT_CPX(C_FLT(0.98078528040323043), t7u));
    s57 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t6u), MUL_FLT_CPX(C_FLT(0.19509032201612828), t7u));
    a8a = (src + 13);
    a9a = (src + 115);
    t8u = ADD_CPX_CPX(*(a8a), *(a9a));
    t9u = ADD_CPX_CPX(MUL_I_CPX(*(a8a)), MUL_NI_CPX(*(a9a)));
    a0b = (src + 45);
    a1b = (src + 83);
    t0v = ADD_CPX_CPX(*(a0b), *(a1b));
    t1v = ADD_CPX_CPX(MUL_I_CPX(*(a0b)), MUL_NI_CPX(*(a1b)));
    a2b = (src + 77);
    a3b = (src + 51);
    t2v = ADD_CPX_CPX(*(a2b), *(a3b));
    t3v = ADD_CPX_CPX(MUL_I_CPX(*(a2b)), MUL_NI_CPX(*(a3b)));
    a4b = (src + 109);
    a5b = (src + 19);
    t4v = ADD_CPX_CPX(*(a4b), *(a5b));
    t5v = ADD_CPX_CPX(MUL_I_CPX(*(a4b)), MUL_NI_CPX(*(a5b)));
    t6v = ADD_CPX_CPX(t8u, t2v);
    t7v = ADD_CPX_CPX(t9u, t3v);
    t8v = SUB_CPX_CPX(t8u, t2v);
    t9v = SUB_CPX_CPX(t9u, t3v);
    t0w = ADD_CPX_CPX(t0v, t4v);
    t1w = ADD_CPX_CPX(t1v, t5v);
    t2w = SUB_CPX_CPX(t0v, t4v);
    t3w = SUB_CPX_CPX(t1v, t5v);
    t4w = ADD_CPX_CPX(t6v, t0w);
    t5w = ADD_CPX_CPX(t7v, t1w);
    t6w = SUB_CPX_CPX(t6v, t0w);
    t7w = SUB_CPX_CPX(t7v, t1w);
    t8w = SUB_CPX_CPX(t8v, t3w);
    t9w = ADD_CPX_CPX(t9v, t2w);
    t0x = ADD_CPX_CPX(t8v, t3w);
    t1x = SUB_CPX_CPX(t9v, t2w);
    s67 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.80320753148064494), t8w), MUL_FLT_CPX(C_FLT(0.59569930449243336), t9w));
    s77 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.59569930449243336), t8w), MUL_FLT_CPX(C_FLT(0.80320753148064494), t9w));
    s87 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.29028467725446239), t6w), MUL_FLT_CPX(C_FLT(0.95694033573220882), t7w));
    s97 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), t6w), MUL_FLT_CPX(C_FLT(0.29028467725446239), t7w));
    s08 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.33688985339222005), t0x), MUL_FLT_CPX(C_FLT(0.94154406518302081), t1x));
    s18 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), t0x), MUL_FLT_CPX(C_FLT(0.33688985339222005), t1x));
    a6b = (src + 14);
    a7b = (src + 114);
    t2x = ADD_CPX_CPX(*(a6b), *(a7b));
    t3x = ADD_CPX_CPX(MUL_I_CPX(*(a6b)), MUL_NI_CPX(*(a7b)));
    a8b = (src + 46);
    a9b = (src + 82);
    t4x = ADD_CPX_CPX(*(a8b), *(a9b));
    t5x = ADD_CPX_CPX(MUL_I_CPX(*(a8b)), MUL_NI_CPX(*(a9b)));
    a0c = (src + 78);
    a1c = (src + 50);
    t6x = ADD_CPX_CPX(*(a0c), *(a1c));
    t7x = ADD_CPX_CPX(MUL_I_CPX(*(a0c)), MUL_NI_CPX(*(a1c)));
    a2c = (src + 110);
    a3c = (src + 18);
    t8x = ADD_CPX_CPX(*(a2c), *(a3c));
    t9x = ADD_CPX_CPX(MUL_I_CPX(*(a2c)), MUL_NI_CPX(*(a3c)));
    t0y = ADD_CPX_CPX(t2x, t6x);
    t1y = ADD_CPX_CPX(t3x, t7x);
    t2y = SUB_CPX_CPX(t2x, t6x);
    t3y = SUB_CPX_CPX(t3x, t7x);
    t4y = ADD_CPX_CPX(t4x, t8x);
    t5y = ADD_CPX_CPX(t5x, t9x);
    t6y = SUB_CPX_CPX(t4x, t8x);
    t7y = SUB_CPX_CPX(t5x, t9x);
    t8y = ADD_CPX_CPX(t0y, t4y);
    t9y = ADD_CPX_CPX(t1y, t5y);
    t0z = SUB_CPX_CPX(t0y, t4y);
    t1z = SUB_CPX_CPX(t1y, t5y);
    t2z = SUB_CPX_CPX(t2y, t7y);
    t3z = ADD_CPX_CPX(t3y, t6y);
    t4z = ADD_CPX_CPX(t2y, t7y);
    t5z = SUB_CPX_CPX(t3y, t6y);
    s28 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), t2z), MUL_FLT_CPX(C_FLT(0.63439328416364549), t3z));
    s38 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), t2z), MUL_FLT_CPX(C_FLT(0.77301045336273699), t3z));
    s48 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), t0z), MUL_FLT_CPX(C_FLT(0.98078528040323043), t1z));
    s58 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t0z), MUL_FLT_CPX(C_FLT(0.19509032201612828), t1z));
    s68 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.47139673682599764), t4z), MUL_FLT_CPX(C_FLT(0.88192126434835505), t5z));
    s78 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), t4z), MUL_FLT_CPX(C_FLT(0.47139673682599764), t5z));
    a4c = (src + 15);
    a5c = (src + 113);
    t6z = ADD_CPX_CPX(*(a4c), *(a5c));
    t7z = ADD_CPX_CPX(MUL_I_CPX(*(a4c)), MUL_NI_CPX(*(a5c)));
    a6c = (src + 47);
    a7c = (src + 81);
    t8z = ADD_CPX_CPX(*(a6c), *(a7c));
    t9z = ADD_CPX_CPX(MUL_I_CPX(*(a6c)), MUL_NI_CPX(*(a7c)));
    a8c = (src + 79);
    a9c = (src + 49);
    t0A = ADD_CPX_CPX(*(a8c), *(a9c));
    t1A = ADD_CPX_CPX(MUL_I_CPX(*(a8c)), MUL_NI_CPX(*(a9c)));
    a0d = (src + 111);
    a1d = (src + 17);
    t2A = ADD_CPX_CPX(*(a0d), *(a1d));
    t3A = ADD_CPX_CPX(MUL_I_CPX(*(a0d)), MUL_NI_CPX(*(a1d)));
    t4A = ADD_CPX_CPX(t6z, t0A);
    t5A = ADD_CPX_CPX(t7z, t1A);
    t6A = SUB_CPX_CPX(t6z, t0A);
    t7A = SUB_CPX_CPX(t7z, t1A);
    t8A = ADD_CPX_CPX(t8z, t2A);
    t9A = ADD_CPX_CPX(t9z, t3A);
    t0B = SUB_CPX_CPX(t8z, t2A);
    t1B = SUB_CPX_CPX(t9z, t3A);
    t2B = ADD_CPX_CPX(t4A, t8A);
    t3B = ADD_CPX_CPX(t5A, t9A);
    t4B = SUB_CPX_CPX(t4A, t8A);
    t5B = SUB_CPX_CPX(t5A, t9A);
    t6B = SUB_CPX_CPX(t6A, t1B);
    t7B = ADD_CPX_CPX(t7A, t0B);
    t8B = ADD_CPX_CPX(t6A, t1B);
    t9B = SUB_CPX_CPX(t7A, t0B);
    s88 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), t6B), MUL_FLT_CPX(C_FLT(0.67155895484701844), t7B));
    s98 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.67155895484701844), t6B), MUL_FLT_CPX(C_FLT(0.74095112535495911), t7B));
    s09 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), t4B), MUL_FLT_CPX(C_FLT(0.99518472667219693), t5B));
    s19 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), t4B), MUL_FLT_CPX(C_FLT(0.098017140329560604), t5B));
    s29 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.59569930449243336), t8B), MUL_FLT_CPX(C_FLT(0.80320753148064494), t9B));
    s39 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.80320753148064494), t8B), MUL_FLT_CPX(C_FLT(0.59569930449243336), t9B));
    t0C = ADD_CPX_CPX(t41, t6k);
    t1C = SUB_CPX_CPX(t61, t7k);
    t2C = SUB_CPX_CPX(t41, t6k);
    t3C = ADD_CPX_CPX(t61, t7k);
    t4C = ADD_CPX_CPX(t0b, t0u);
    t5C = SUB_CPX_CPX(t1b, t1u);
    a2d = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0b, t0u));
    a3d = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t1b, t1u));
    s49 = SUB_CPX_CPX(a2d, a3d);
    s59 = ADD_CPX_CPX(a2d, a3d);
    t6C = ADD_CPX_CPX(t0C, t4C);
    t7C = SUB_CPX_CPX(t2C, t5C);
    t8C = SUB_CPX_CPX(t0C, t4C);
    t9C = ADD_CPX_CPX(t2C, t5C);
    t0D = ADD_CPX_CPX(t1C, s49);
    t1D = SUB_CPX_CPX(t3C, s59);
    t2D = SUB_CPX_CPX(t1C, s49);
    t3D = ADD_CPX_CPX(t3C, s59);
    t4D = ADD_CPX_CPX(t83, t2B);
    t5D = SUB_CPX_CPX(t93, t3B);
    t6D = SUB_CPX_CPX(t83, t2B);
    t7D = ADD_CPX_CPX(t93, t3B);
    t8D = ADD_CPX_CPX(t8m, t2i);
    t9D = SUB_CPX_CPX(t9m, t3i);
    t0E = SUB_CPX_CPX(t8m, t2i);
    t1E = ADD_CPX_CPX(t9m, t3i);
    t2E = ADD_CPX_CPX(t4D, t8D);
    t3E = ADD_CPX_CPX(t5D, t9D);
    t4E = SUB_CPX_CPX(t4D, t8D);
    t5E = SUB_CPX_CPX(t5D, t9D);
    t6E = SUB_CPX_CPX(t6D, t1E);
    t7E = ADD_CPX_CPX(t7D, t0E);
    t8E = ADD_CPX_CPX(t6D, t1E);
    t9E = SUB_CPX_CPX(t7D, t0E);
    s69 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t6E), MUL_FLT_CPX(C_FLT(0.19509032201612828), t7E));
    s79 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), t6E), MUL_FLT_CPX(C_FLT(0.98078528040323043), t7E));
    s89 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t4E), MUL_FLT_CPX(C_FLT(0.38268343236508978), t5E));
    s99 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t4E), MUL_FLT_CPX(C_FLT(0.92387953251128674), t5E));
    s0a = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t8E), MUL_FLT_CPX(C_FLT(0.55557023301960218), t9E));
    s1a = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), t8E), MUL_FLT_CPX(C_FLT(0.83146961230254524), t9E));
    t0F = ADD_CPX_CPX(t26, t8y);
    t1F = SUB_CPX_CPX(t36, t9y);
    t2F = SUB_CPX_CPX(t26, t8y);
    t3F = ADD_CPX_CPX(t36, t9y);
    t4F = ADD_CPX_CPX(t2p, t8f);
    t5F = SUB_CPX_CPX(t3p, t9f);
    t6F = SUB_CPX_CPX(t2p, t8f);
    t7F = ADD_CPX_CPX(t3p, t9f);
    t8F = ADD_CPX_CPX(t0F, t4F);
    t9F = ADD_CPX_CPX(t1F, t5F);
    t0G = SUB_CPX_CPX(t2F, t7F);
    t1G = ADD_CPX_CPX(t3F, t6F);
    t2G = ADD_CPX_CPX(t2F, t7F);
    t3G = SUB_CPX_CPX(t3F, t6F);
    s2a = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t0G), MUL_FLT_CPX(C_FLT(0.38268343236508978), t1G));
    s3a = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t0G), MUL_FLT_CPX(C_FLT(0.92387953251128674), t1G));
    a4d = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0F, t4F));
    a5d = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t1F, t5F));
    s4a = SUB_CPX_CPX(a4d, a5d);
    s5a = ADD_CPX_CPX(a4d, a5d);
    s6a = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t2G), MUL_FLT_CPX(C_FLT(0.92387953251128674), t3G));
    s7a = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t2G), MUL_FLT_CPX(C_FLT(0.38268343236508978), t3G));
    t4G = ADD_CPX_CPX(t68, t4w);
    t5G = SUB_CPX_CPX(t78, t5w);
    t6G = SUB_CPX_CPX(t68, t4w);
    t7G = ADD_CPX_CPX(t78, t5w);
    t8G = ADD_CPX_CPX(t6r, t4d);
    t9G = SUB_CPX_CPX(t7r, t5d);
    t0H = SUB_CPX_CPX(t6r, t4d);
    t1H = ADD_CPX_CPX(t7r, t5d);
    t2H = ADD_CPX_CPX(t4G, t8G);
    t3H = ADD_CPX_CPX(t5G, t9G);
    t4H = SUB_CPX_CPX(t4G, t8G);
    t5H = SUB_CPX_CPX(t5G, t9G);
    t6H = SUB_CPX_CPX(t6G, t1H);
    t7H = ADD_CPX_CPX(t7G, t0H);
    t8H = ADD_CPX_CPX(t6G, t1H);
    t9H = SUB_CPX_CPX(t7G, t0H);
    s8a = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t6H), MUL_FLT_CPX(C_FLT(0.55557023301960218), t7H));
    s9a = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), t6H), MUL_FLT_CPX(C_FLT(0.83146961230254524), t7H));
    s0b = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t4H), MUL_FLT_CPX(C_FLT(0.92387953251128674), t5H));
    s1b = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t4H), MUL_FLT_CPX(C_FLT(0.38268343236508978), t5H));
    s2b = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), t8H), MUL_FLT_CPX(C_FLT(0.98078528040323043), t9H));
    s3b = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t8H), MUL_FLT_CPX(C_FLT(0.19509032201612828), t9H));
    t0I = ADD_CPX_CPX(t6C, t8F);
    t1I = SUB_CPX_CPX(t8C, t9F);
    t2I = SUB_CPX_CPX(t6C, t8F);
    t3I = ADD_CPX_CPX(t8C, t9F);
    t4I = ADD_CPX_CPX(t2E, t2H);
    t5I = SUB_CPX_CPX(t3E, t3H);
    a6d = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2E, t2H));
    a7d = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t3E, t3H));
    s4b = SUB_CPX_CPX(a6d, a7d);
    s5b = ADD_CPX_CPX(a6d, a7d);
    *(dst) = ADD_CPX_CPX(t0I, t4I);
    *((dst + 32)) = SUB_CPX_CPX(t2I, t5I);
    *((dst + 64)) = SUB_CPX_CPX(t0I, t4I);
    *((dst + 96)) = ADD_CPX_CPX(t2I, t5I);
    *((dst + 16)) = ADD_CPX_CPX(t1I, s4b);
    *((dst + 48)) = SUB_CPX_CPX(t3I, s5b);
    *((dst + 80)) = SUB_CPX_CPX(t1I, s4b);
    *((dst + 112)) = ADD_CPX_CPX(t3I, s5b);
    t6I = ADD_CPX_CPX(t0D, s2a);
    t7I = SUB_CPX_CPX(t2D, s3a);
    t8I = SUB_CPX_CPX(t0D, s2a);
    t9I = ADD_CPX_CPX(t2D, s3a);
    t0J = ADD_CPX_CPX(s69, s8a);
    t1J = SUB_CPX_CPX(s79, s9a);
    a8d = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s69, s8a));
    a9d = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s79, s9a));
    s6b = SUB_CPX_CPX(a8d, a9d);
    s7b = ADD_CPX_CPX(a8d, a9d);
    *((dst + 4)) = ADD_CPX_CPX(t6I, t0J);
    *((dst + 36)) = SUB_CPX_CPX(t8I, t1J);
    *((dst + 68)) = SUB_CPX_CPX(t6I, t0J);
    *((dst + 100)) = ADD_CPX_CPX(t8I, t1J);
    *((dst + 20)) = ADD_CPX_CPX(t7I, s6b);
    *((dst + 52)) = SUB_CPX_CPX(t9I, s7b);
    *((dst + 84)) = SUB_CPX_CPX(t7I, s6b);
    *((dst + 116)) = ADD_CPX_CPX(t9I, s7b);
    t2J = ADD_CPX_CPX(t7C, s4a);
    t3J = SUB_CPX_CPX(t9C, s5a);
    t4J = SUB_CPX_CPX(t7C, s4a);
    t5J = ADD_CPX_CPX(t9C, s5a);
    t6J = ADD_CPX_CPX(s89, s0b);
    t7J = SUB_CPX_CPX(s99, s1b);
    a0e = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s89, s0b));
    a1e = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s99, s1b));
    s8b = SUB_CPX_CPX(a0e, a1e);
    s9b = ADD_CPX_CPX(a0e, a1e);
    *((dst + 8)) = ADD_CPX_CPX(t2J, t6J);
    *((dst + 40)) = SUB_CPX_CPX(t4J, t7J);
    *((dst + 72)) = SUB_CPX_CPX(t2J, t6J);
    *((dst + 104)) = ADD_CPX_CPX(t4J, t7J);
    *((dst + 24)) = ADD_CPX_CPX(t3J, s8b);
    *((dst + 56)) = SUB_CPX_CPX(t5J, s9b);
    *((dst + 88)) = SUB_CPX_CPX(t3J, s8b);
    *((dst + 120)) = ADD_CPX_CPX(t5J, s9b);
    t8J = ADD_CPX_CPX(t1D, s6a);
    t9J = SUB_CPX_CPX(t3D, s7a);
    t0K = SUB_CPX_CPX(t1D, s6a);
    t1K = ADD_CPX_CPX(t3D, s7a);
    t2K = SUB_CPX_CPX(s0a, s2b);
    t3K = SUB_CPX_CPX(s1a, s3b);
    a2e = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s0a, s2b));
    a3e = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s1a, s3b));
    s0c = SUB_CPX_CPX(a2e, a3e);
    s1c = ADD_CPX_CPX(a2e, a3e);
    *((dst + 12)) = ADD_CPX_CPX(t8J, t2K);
    *((dst + 44)) = SUB_CPX_CPX(t0K, t3K);
    *((dst + 76)) = SUB_CPX_CPX(t8J, t2K);
    *((dst + 108)) = ADD_CPX_CPX(t0K, t3K);
    *((dst + 28)) = ADD_CPX_CPX(t9J, s0c);
    *((dst + 60)) = SUB_CPX_CPX(t1K, s1c);
    *((dst + 92)) = SUB_CPX_CPX(t9J, s0c);
    *((dst + 124)) = ADD_CPX_CPX(t1K, s1c);
    t4K = ADD_CPX_CPX(t81, s64);
    t5K = SUB_CPX_CPX(t02, s74);
    t6K = SUB_CPX_CPX(t81, s64);
    t7K = ADD_CPX_CPX(t02, s74);
    t8K = ADD_CPX_CPX(s22, s07);
    t9K = SUB_CPX_CPX(s32, s17);
    a4e = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s22, s07));
    a5e = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s32, s17));
    s2c = SUB_CPX_CPX(a4e, a5e);
    s3c = ADD_CPX_CPX(a4e, a5e);
    t0L = ADD_CPX_CPX(t4K, t8K);
    t1L = SUB_CPX_CPX(t6K, t9K);
    t2L = SUB_CPX_CPX(t4K, t8K);
    t3L = ADD_CPX_CPX(t6K, t9K);
    t4L = ADD_CPX_CPX(t5K, s2c);
    t5L = SUB_CPX_CPX(t7K, s3c);
    t6L = SUB_CPX_CPX(t5K, s2c);
    t7L = ADD_CPX_CPX(t7K, s3c);
    t8L = ADD_CPX_CPX(s4, s88);
    t9L = SUB_CPX_CPX(s5, s98);
    t0M = SUB_CPX_CPX(s4, s88);
    t1M = ADD_CPX_CPX(s5, s98);
    t2M = ADD_CPX_CPX(s25, s04);
    t3M = SUB_CPX_CPX(s35, s14);
    t4M = SUB_CPX_CPX(s25, s04);
    t5M = ADD_CPX_CPX(s35, s14);
    t6M = ADD_CPX_CPX(t8L, t2M);
    t7M = ADD_CPX_CPX(t9L, t3M);
    t8M = SUB_CPX_CPX(t8L, t2M);
    t9M = SUB_CPX_CPX(t9L, t3M);
    t0N = SUB_CPX_CPX(t0M, t5M);
    t1N = ADD_CPX_CPX(t1M, t4M);
    t2N = ADD_CPX_CPX(t0M, t5M);
    t3N = SUB_CPX_CPX(t1M, t4M);
    s4c = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t0N), MUL_FLT_CPX(C_FLT(0.19509032201612828), t1N));
    s5c = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), t0N), MUL_FLT_CPX(C_FLT(0.98078528040323043), t1N));
    s6c = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t8M), MUL_FLT_CPX(C_FLT(0.38268343236508978), t9M));
    s7c = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t8M), MUL_FLT_CPX(C_FLT(0.92387953251128674), t9M));
    s8c = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t2N), MUL_FLT_CPX(C_FLT(0.55557023301960218), t3N));
    s9c = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), t2N), MUL_FLT_CPX(C_FLT(0.83146961230254524), t3N));
    t4N = ADD_CPX_CPX(s01, s28);
    t5N = SUB_CPX_CPX(s11, s38);
    t6N = SUB_CPX_CPX(s01, s28);
    t7N = ADD_CPX_CPX(s11, s38);
    t8N = ADD_CPX_CPX(s85, s43);
    t9N = SUB_CPX_CPX(s95, s53);
    t0O = SUB_CPX_CPX(s85, s43);
    t1O = ADD_CPX_CPX(s95, s53);
    t2O = ADD_CPX_CPX(t4N, t8N);
    t3O = ADD_CPX_CPX(t5N, t9N);
    t4O = SUB_CPX_CPX(t6N, t1O);
    t5O = ADD_CPX_CPX(t7N, t0O);
    t6O = ADD_CPX_CPX(t6N, t1O);
    t7O = SUB_CPX_CPX(t7N, t0O);
    s0d = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t4O), MUL_FLT_CPX(C_FLT(0.38268343236508978), t5O));
    s1d = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t4O), MUL_FLT_CPX(C_FLT(0.92387953251128674), t5O));
    a6e = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t4N, t8N));
    a7e = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t5N, t9N));
    s2d = SUB_CPX_CPX(a6e, a7e);
    s3d = ADD_CPX_CPX(a6e, a7e);
    s4d = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t6O), MUL_FLT_CPX(C_FLT(0.92387953251128674), t7O));
    s5d = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t6O), MUL_FLT_CPX(C_FLT(0.38268343236508978), t7O));
    t8O = ADD_CPX_CPX(s61, s67);
    t9O = SUB_CPX_CPX(s71, s77);
    t0P = SUB_CPX_CPX(s61, s67);
    t1P = ADD_CPX_CPX(s71, s77);
    t2P = ADD_CPX_CPX(s46, s82);
    t3P = SUB_CPX_CPX(s56, s92);
    t4P = SUB_CPX_CPX(s46, s82);
    t5P = ADD_CPX_CPX(s56, s92);
    t6P = ADD_CPX_CPX(t8O, t2P);
    t7P = ADD_CPX_CPX(t9O, t3P);
    t8P = SUB_CPX_CPX(t8O, t2P);
    t9P = SUB_CPX_CPX(t9O, t3P);
    t0Q = SUB_CPX_CPX(t0P, t5P);
    t1Q = ADD_CPX_CPX(t1P, t4P);
    t2Q = ADD_CPX_CPX(t0P, t5P);
    t3Q = SUB_CPX_CPX(t1P, t4P);
    s6d = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t0Q), MUL_FLT_CPX(C_FLT(0.55557023301960218), t1Q));
    s7d = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), t0Q), MUL_FLT_CPX(C_FLT(0.83146961230254524), t1Q));
    s8d = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t8P), MUL_FLT_CPX(C_FLT(0.92387953251128674), t9P));
    s9d = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t8P), MUL_FLT_CPX(C_FLT(0.38268343236508978), t9P));
    s0e = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), t2Q), MUL_FLT_CPX(C_FLT(0.98078528040323043), t3Q));
    s1e = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t2Q), MUL_FLT_CPX(C_FLT(0.19509032201612828), t3Q));
    t4Q = ADD_CPX_CPX(t0L, t2O);
    t5Q = SUB_CPX_CPX(t2L, t3O);
    t6Q = SUB_CPX_CPX(t0L, t2O);
    t7Q = ADD_CPX_CPX(t2L, t3O);
    t8Q = ADD_CPX_CPX(t6M, t6P);
    t9Q = SUB_CPX_CPX(t7M, t7P);
    a8e = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t6M, t6P));
    a9e = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t7M, t7P));
    s2e = SUB_CPX_CPX(a8e, a9e);
    s3e = ADD_CPX_CPX(a8e, a9e);
    *((dst + 1)) = ADD_CPX_CPX(t4Q, t8Q);
    *((dst + 33)) = SUB_CPX_CPX(t6Q, t9Q);
    *((dst + 65)) = SUB_CPX_CPX(t4Q, t8Q);
    *((dst + 97)) = ADD_CPX_CPX(t6Q, t9Q);
    *((dst + 17)) = ADD_CPX_CPX(t5Q, s2e);
    *((dst + 49)) = SUB_CPX_CPX(t7Q, s3e);
    *((dst + 81)) = SUB_CPX_CPX(t5Q, s2e);
    *((dst + 113)) = ADD_CPX_CPX(t7Q, s3e);
    t0R = ADD_CPX_CPX(t4L, s0d);
    t1R = SUB_CPX_CPX(t6L, s1d);
    t2R = SUB_CPX_CPX(t4L, s0d);
    t3R = ADD_CPX_CPX(t6L, s1d);
    t4R = ADD_CPX_CPX(s4c, s6d);
    t5R = SUB_CPX_CPX(s5c, s7d);
    a0f = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4c, s6d));
    a1f = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5c, s7d));
    s4e = SUB_CPX_CPX(a0f, a1f);
    s5e = ADD_CPX_CPX(a0f, a1f);
    *((dst + 5)) = ADD_CPX_CPX(t0R, t4R);
    *((dst + 37)) = SUB_CPX_CPX(t2R, t5R);
    *((dst + 69)) = SUB_CPX_CPX(t0R, t4R);
    *((dst + 101)) = ADD_CPX_CPX(t2R, t5R);
    *((dst + 21)) = ADD_CPX_CPX(t1R, s4e);
    *((dst + 53)) = SUB_CPX_CPX(t3R, s5e);
    *((dst + 85)) = SUB_CPX_CPX(t1R, s4e);
    *((dst + 117)) = ADD_CPX_CPX(t3R, s5e);
    t6R = ADD_CPX_CPX(t1L, s2d);
    t7R = SUB_CPX_CPX(t3L, s3d);
    t8R = SUB_CPX_CPX(t1L, s2d);
    t9R = ADD_CPX_CPX(t3L, s3d);
    t0S = ADD_CPX_CPX(s6c, s8d);
    t1S = SUB_CPX_CPX(s7c, s9d);
    a2f = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s6c, s8d));
    a3f = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s7c, s9d));
    s6e = SUB_CPX_CPX(a2f, a3f);
    s7e = ADD_CPX_CPX(a2f, a3f);
    *((dst + 9)) = ADD_CPX_CPX(t6R, t0S);
    *((dst + 41)) = SUB_CPX_CPX(t8R, t1S);
    *((dst + 73)) = SUB_CPX_CPX(t6R, t0S);
    *((dst + 105)) = ADD_CPX_CPX(t8R, t1S);
    *((dst + 25)) = ADD_CPX_CPX(t7R, s6e);
    *((dst + 57)) = SUB_CPX_CPX(t9R, s7e);
    *((dst + 89)) = SUB_CPX_CPX(t7R, s6e);
    *((dst + 121)) = ADD_CPX_CPX(t9R, s7e);
    t2S = ADD_CPX_CPX(t5L, s4d);
    t3S = SUB_CPX_CPX(t7L, s5d);
    t4S = SUB_CPX_CPX(t5L, s4d);
    t5S = ADD_CPX_CPX(t7L, s5d);
    t6S = SUB_CPX_CPX(s8c, s0e);
    t7S = SUB_CPX_CPX(s9c, s1e);
    a4f = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s8c, s0e));
    a5f = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s9c, s1e));
    s8e = SUB_CPX_CPX(a4f, a5f);
    s9e = ADD_CPX_CPX(a4f, a5f);
    *((dst + 13)) = ADD_CPX_CPX(t2S, t6S);
    *((dst + 45)) = SUB_CPX_CPX(t4S, t7S);
    *((dst + 77)) = SUB_CPX_CPX(t2S, t6S);
    *((dst + 109)) = ADD_CPX_CPX(t4S, t7S);
    *((dst + 29)) = ADD_CPX_CPX(t3S, s8e);
    *((dst + 61)) = SUB_CPX_CPX(t5S, s9e);
    *((dst + 93)) = SUB_CPX_CPX(t3S, s8e);
    *((dst + 125)) = ADD_CPX_CPX(t5S, s9e);
    t8S = ADD_CPX_CPX(t51, s84);
    t9S = SUB_CPX_CPX(t71, s94);
    t0T = SUB_CPX_CPX(t51, s84);
    t1T = ADD_CPX_CPX(t71, s94);
    t2T = ADD_CPX_CPX(s42, s27);
    t3T = SUB_CPX_CPX(s52, s37);
    a6f = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s42, s27));
    a7f = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s52, s37));
    s0f = SUB_CPX_CPX(a6f, a7f);
    s1f = ADD_CPX_CPX(a6f, a7f);
    t4T = ADD_CPX_CPX(t8S, t2T);
    t5T = SUB_CPX_CPX(t0T, t3T);
    t6T = SUB_CPX_CPX(t8S, t2T);
    t7T = ADD_CPX_CPX(t0T, t3T);
    t8T = ADD_CPX_CPX(t9S, s0f);
    t9T = SUB_CPX_CPX(t1T, s1f);
    t0U = SUB_CPX_CPX(t9S, s0f);
    t1U = ADD_CPX_CPX(t1T, s1f);
    t2U = ADD_CPX_CPX(s6, s09);
    t3U = SUB_CPX_CPX(s7, s19);
    t4U = SUB_CPX_CPX(s6, s09);
    t5U = ADD_CPX_CPX(s7, s19);
    t6U = ADD_CPX_CPX(s45, s24);
    t7U = SUB_CPX_CPX(s55, s34);
    t8U = SUB_CPX_CPX(s45, s24);
    t9U = ADD_CPX_CPX(s55, s34);
    t0V = ADD_CPX_CPX(t2U, t6U);
    t1V = ADD_CPX_CPX(t3U, t7U);
    t2V = SUB_CPX_CPX(t2U, t6U);
    t3V = SUB_CPX_CPX(t3U, t7U);
    t4V = SUB_CPX_CPX(t4U, t9U);
    t5V = ADD_CPX_CPX(t5U, t8U);
    t6V = ADD_CPX_CPX(t4U, t9U);
    t7V = SUB_CPX_CPX(t5U, t8U);
    s2f = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t4V), MUL_FLT_CPX(C_FLT(0.19509032201612828), t5V));
    s3f = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), t4V), MUL_FLT_CPX(C_FLT(0.98078528040323043), t5V));
    s4f = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t2V), MUL_FLT_CPX(C_FLT(0.38268343236508978), t3V));
    s5f = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t2V), MUL_FLT_CPX(C_FLT(0.92387953251128674), t3V));
    s6f = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t6V), MUL_FLT_CPX(C_FLT(0.55557023301960218), t7V));
    s7f = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), t6V), MUL_FLT_CPX(C_FLT(0.83146961230254524), t7V));
    t8V = ADD_CPX_CPX(s21, s48);
    t9V = SUB_CPX_CPX(s31, s58);
    t0W = SUB_CPX_CPX(s21, s48);
    t1W = ADD_CPX_CPX(s31, s58);
    t2W = ADD_CPX_CPX(s06, s63);
    t3W = SUB_CPX_CPX(s16, s73);
    t4W = SUB_CPX_CPX(s06, s63);
    t5W = ADD_CPX_CPX(s16, s73);
    t6W = ADD_CPX_CPX(t8V, t2W);
    t7W = ADD_CPX_CPX(t9V, t3W);
    t8W = SUB_CPX_CPX(t0W, t5W);
    t9W = ADD_CPX_CPX(t1W, t4W);
    t0X = ADD_CPX_CPX(t0W, t5W);
    t1X = SUB_CPX_CPX(t1W, t4W);
    s8f = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t8W), MUL_FLT_CPX(C_FLT(0.38268343236508978), t9W));
    s9f = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t8W), MUL_FLT_CPX(C_FLT(0.92387953251128674), t9W));
    a8f = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8V, t2W));
    a9f = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9V, t3W));
    s0g = SUB_CPX_CPX(a8f, a9f);
    s1g = ADD_CPX_CPX(a8f, a9f);
    s2g = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t0X), MUL_FLT_CPX(C_FLT(0.92387953251128674), t1X));
    s3g = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t0X), MUL_FLT_CPX(C_FLT(0.38268343236508978), t1X));
    t2X = ADD_CPX_CPX(s81, s87);
    t3X = SUB_CPX_CPX(s91, s97);
    t4X = SUB_CPX_CPX(s81, s87);
    t5X = ADD_CPX_CPX(s91, s97);
    t6X = ADD_CPX_CPX(s66, s03);
    t7X = SUB_CPX_CPX(s76, s13);
    t8X = SUB_CPX_CPX(s66, s03);
    t9X = ADD_CPX_CPX(s76, s13);
    t0Y = ADD_CPX_CPX(t2X, t6X);
    t1Y = ADD_CPX_CPX(t3X, t7X);
    t2Y = SUB_CPX_CPX(t2X, t6X);
    t3Y = SUB_CPX_CPX(t3X, t7X);
    t4Y = SUB_CPX_CPX(t4X, t9X);
    t5Y = ADD_CPX_CPX(t5X, t8X);
    t6Y = ADD_CPX_CPX(t4X, t9X);
    t7Y = SUB_CPX_CPX(t5X, t8X);
    s4g = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t4Y), MUL_FLT_CPX(C_FLT(0.55557023301960218), t5Y));
    s5g = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), t4Y), MUL_FLT_CPX(C_FLT(0.83146961230254524), t5Y));
    s6g = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t2Y), MUL_FLT_CPX(C_FLT(0.92387953251128674), t3Y));
    s7g = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t2Y), MUL_FLT_CPX(C_FLT(0.38268343236508978), t3Y));
    s8g = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), t6Y), MUL_FLT_CPX(C_FLT(0.98078528040323043), t7Y));
    s9g = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t6Y), MUL_FLT_CPX(C_FLT(0.19509032201612828), t7Y));
    t8Y = ADD_CPX_CPX(t4T, t6W);
    t9Y = SUB_CPX_CPX(t6T, t7W);
    t0Z = SUB_CPX_CPX(t4T, t6W);
    t1Z = ADD_CPX_CPX(t6T, t7W);
    t2Z = ADD_CPX_CPX(t0V, t0Y);
    t3Z = SUB_CPX_CPX(t1V, t1Y);
    a0g = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0V, t0Y));
    a1g = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t1V, t1Y));
    s0h = SUB_CPX_CPX(a0g, a1g);
    s1h = ADD_CPX_CPX(a0g, a1g);
    *((dst + 2)) = ADD_CPX_CPX(t8Y, t2Z);
    *((dst + 34)) = SUB_CPX_CPX(t0Z, t3Z);
    *((dst + 66)) = SUB_CPX_CPX(t8Y, t2Z);
    *((dst + 98)) = ADD_CPX_CPX(t0Z, t3Z);
    *((dst + 18)) = ADD_CPX_CPX(t9Y, s0h);
    *((dst + 50)) = SUB_CPX_CPX(t1Z, s1h);
    *((dst + 82)) = SUB_CPX_CPX(t9Y, s0h);
    *((dst + 114)) = ADD_CPX_CPX(t1Z, s1h);
    t4Z = ADD_CPX_CPX(t8T, s8f);
    t5Z = SUB_CPX_CPX(t0U, s9f);
    t6Z = SUB_CPX_CPX(t8T, s8f);
    t7Z = ADD_CPX_CPX(t0U, s9f);
    t8Z = ADD_CPX_CPX(s2f, s4g);
    t9Z = SUB_CPX_CPX(s3f, s5g);
    a2g = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s2f, s4g));
    a3g = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s3f, s5g));
    s2h = SUB_CPX_CPX(a2g, a3g);
    s3h = ADD_CPX_CPX(a2g, a3g);
    *((dst + 6)) = ADD_CPX_CPX(t4Z, t8Z);
    *((dst + 38)) = SUB_CPX_CPX(t6Z, t9Z);
    *((dst + 70)) = SUB_CPX_CPX(t4Z, t8Z);
    *((dst + 102)) = ADD_CPX_CPX(t6Z, t9Z);
    *((dst + 22)) = ADD_CPX_CPX(t5Z, s2h);
    *((dst + 54)) = SUB_CPX_CPX(t7Z, s3h);
    *((dst + 86)) = SUB_CPX_CPX(t5Z, s2h);
    *((dst + 118)) = ADD_CPX_CPX(t7Z, s3h);
    t010 = ADD_CPX_CPX(t5T, s0g);
    t110 = SUB_CPX_CPX(t7T, s1g);
    t210 = SUB_CPX_CPX(t5T, s0g);
    t310 = ADD_CPX_CPX(t7T, s1g);
    t410 = ADD_CPX_CPX(s4f, s6g);
    t510 = SUB_CPX_CPX(s5f, s7g);
    a4g = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4f, s6g));
    a5g = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5f, s7g));
    s4h = SUB_CPX_CPX(a4g, a5g);
    s5h = ADD_CPX_CPX(a4g, a5g);
    *((dst + 10)) = ADD_CPX_CPX(t010, t410);
    *((dst + 42)) = SUB_CPX_CPX(t210, t510);
    *((dst + 74)) = SUB_CPX_CPX(t010, t410);
    *((dst + 106)) = ADD_CPX_CPX(t210, t510);
    *((dst + 26)) = ADD_CPX_CPX(t110, s4h);
    *((dst + 58)) = SUB_CPX_CPX(t310, s5h);
    *((dst + 90)) = SUB_CPX_CPX(t110, s4h);
    *((dst + 122)) = ADD_CPX_CPX(t310, s5h);
    t610 = ADD_CPX_CPX(t9T, s2g);
    t710 = SUB_CPX_CPX(t1U, s3g);
    t810 = SUB_CPX_CPX(t9T, s2g);
    t910 = ADD_CPX_CPX(t1U, s3g);
    t011 = SUB_CPX_CPX(s6f, s8g);
    t111 = SUB_CPX_CPX(s7f, s9g);
    a6g = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s6f, s8g));
    a7g = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s7f, s9g));
    s6h = SUB_CPX_CPX(a6g, a7g);
    s7h = ADD_CPX_CPX(a6g, a7g);
    *((dst + 14)) = ADD_CPX_CPX(t610, t011);
    *((dst + 46)) = SUB_CPX_CPX(t810, t111);
    *((dst + 78)) = SUB_CPX_CPX(t610, t011);
    *((dst + 110)) = ADD_CPX_CPX(t810, t111);
    *((dst + 30)) = ADD_CPX_CPX(t710, s6h);
    *((dst + 62)) = SUB_CPX_CPX(t910, s7h);
    *((dst + 94)) = SUB_CPX_CPX(t710, s6h);
    *((dst + 126)) = ADD_CPX_CPX(t910, s7h);
    t211 = ADD_CPX_CPX(t91, s05);
    t311 = SUB_CPX_CPX(t12, s15);
    t411 = SUB_CPX_CPX(t91, s05);
    t511 = ADD_CPX_CPX(t12, s15);
    t611 = SUB_CPX_CPX(s62, s47);
    t711 = SUB_CPX_CPX(s72, s57);
    a8g = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s62, s47));
    a9g = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s72, s57));
    s8h = SUB_CPX_CPX(a8g, a9g);
    s9h = ADD_CPX_CPX(a8g, a9g);
    t811 = ADD_CPX_CPX(t211, t611);
    t911 = SUB_CPX_CPX(t411, t711);
    t012 = SUB_CPX_CPX(t211, t611);
    t112 = ADD_CPX_CPX(t411, t711);
    t212 = ADD_CPX_CPX(t311, s8h);
    t312 = SUB_CPX_CPX(t511, s9h);
    t412 = SUB_CPX_CPX(t311, s8h);
    t512 = ADD_CPX_CPX(t511, s9h);
    t612 = SUB_CPX_CPX(s8, s29);
    t712 = SUB_CPX_CPX(s9, s39);
    t812 = ADD_CPX_CPX(s8, s29);
    t912 = ADD_CPX_CPX(s9, s39);
    t013 = ADD_CPX_CPX(s65, s44);
    t113 = SUB_CPX_CPX(s75, s54);
    t213 = SUB_CPX_CPX(s65, s44);
    t313 = ADD_CPX_CPX(s75, s54);
    t413 = ADD_CPX_CPX(t612, t013);
    t513 = ADD_CPX_CPX(t712, t113);
    t613 = SUB_CPX_CPX(t612, t013);
    t713 = SUB_CPX_CPX(t712, t113);
    t813 = SUB_CPX_CPX(t812, t313);
    t913 = ADD_CPX_CPX(t912, t213);
    t014 = ADD_CPX_CPX(t812, t313);
    t114 = SUB_CPX_CPX(t912, t213);
    s0i = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t813), MUL_FLT_CPX(C_FLT(0.19509032201612828), t913));
    s1i = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), t813), MUL_FLT_CPX(C_FLT(0.98078528040323043), t913));
    s2i = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t613), MUL_FLT_CPX(C_FLT(0.38268343236508978), t713));
    s3i = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t613), MUL_FLT_CPX(C_FLT(0.92387953251128674), t713));
    s4i = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t014), MUL_FLT_CPX(C_FLT(0.55557023301960218), t114));
    s5i = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), t014), MUL_FLT_CPX(C_FLT(0.83146961230254524), t114));
    t214 = SUB_CPX_CPX(s41, s68);
    t314 = SUB_CPX_CPX(s51, s78);
    t414 = ADD_CPX_CPX(s41, s68);
    t514 = ADD_CPX_CPX(s51, s78);
    t614 = ADD_CPX_CPX(s26, s83);
    t714 = SUB_CPX_CPX(s36, s93);
    t814 = SUB_CPX_CPX(s26, s83);
    t914 = ADD_CPX_CPX(s36, s93);
    t015 = ADD_CPX_CPX(t214, t614);
    t115 = ADD_CPX_CPX(t314, t714);
    t215 = SUB_CPX_CPX(t414, t914);
    t315 = ADD_CPX_CPX(t514, t814);
    t415 = ADD_CPX_CPX(t414, t914);
    t515 = SUB_CPX_CPX(t514, t814);
    s6i = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t215), MUL_FLT_CPX(C_FLT(0.38268343236508978), t315));
    s7i = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t215), MUL_FLT_CPX(C_FLT(0.92387953251128674), t315));
    a0h = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t214, t614));
    a1h = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t314, t714));
    s8i = SUB_CPX_CPX(a0h, a1h);
    s9i = ADD_CPX_CPX(a0h, a1h);
    s0j = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t415), MUL_FLT_CPX(C_FLT(0.92387953251128674), t515));
    s1j = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t415), MUL_FLT_CPX(C_FLT(0.38268343236508978), t515));
    t615 = SUB_CPX_CPX(s02, s08);
    t715 = SUB_CPX_CPX(s12, s18);
    t815 = ADD_CPX_CPX(s02, s08);
    t915 = ADD_CPX_CPX(s12, s18);
    t016 = SUB_CPX_CPX(s23, s86);
    t116 = SUB_CPX_CPX(s96, s33);
    t216 = ADD_CPX_CPX(s86, s23);
    t316 = ADD_CPX_CPX(s96, s33);
    t416 = ADD_CPX_CPX(t615, t016);
    t516 = ADD_CPX_CPX(t715, t116);
    t616 = SUB_CPX_CPX(t615, t016);
    t716 = SUB_CPX_CPX(t715, t116);
    t816 = SUB_CPX_CPX(t815, t316);
    t916 = SUB_CPX_CPX(t915, t216);
    t017 = ADD_CPX_CPX(t815, t316);
    t117 = ADD_CPX_CPX(t915, t216);
    s2j = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t816), MUL_FLT_CPX(C_FLT(0.55557023301960218), t916));
    s3j = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), t816), MUL_FLT_CPX(C_FLT(0.83146961230254524), t916));
    s4j = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t616), MUL_FLT_CPX(C_FLT(0.92387953251128674), t716));
    s5j = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t616), MUL_FLT_CPX(C_FLT(0.38268343236508978), t716));
    s6j = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), t017), MUL_FLT_CPX(C_FLT(0.98078528040323043), t117));
    s7j = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t017), MUL_FLT_CPX(C_FLT(0.19509032201612828), t117));
    t217 = ADD_CPX_CPX(t811, t015);
    t317 = SUB_CPX_CPX(t012, t115);
    t417 = SUB_CPX_CPX(t811, t015);
    t517 = ADD_CPX_CPX(t012, t115);
    t617 = ADD_CPX_CPX(t413, t416);
    t717 = SUB_CPX_CPX(t513, t516);
    a2h = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t413, t416));
    a3h = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t513, t516));
    s8j = SUB_CPX_CPX(a2h, a3h);
    s9j = ADD_CPX_CPX(a2h, a3h);
    *((dst + 3)) = ADD_CPX_CPX(t217, t617);
    *((dst + 35)) = SUB_CPX_CPX(t417, t717);
    *((dst + 67)) = SUB_CPX_CPX(t217, t617);
    *((dst + 99)) = ADD_CPX_CPX(t417, t717);
    *((dst + 19)) = ADD_CPX_CPX(t317, s8j);
    *((dst + 51)) = SUB_CPX_CPX(t517, s9j);
    *((dst + 83)) = SUB_CPX_CPX(t317, s8j);
    *((dst + 115)) = ADD_CPX_CPX(t517, s9j);
    t817 = ADD_CPX_CPX(t212, s6i);
    t917 = SUB_CPX_CPX(t412, s7i);
    t018 = SUB_CPX_CPX(t212, s6i);
    t118 = ADD_CPX_CPX(t412, s7i);
    t218 = ADD_CPX_CPX(s0i, s2j);
    t318 = SUB_CPX_CPX(s1i, s3j);
    a4h = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s0i, s2j));
    a5h = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s1i, s3j));
    s0k = SUB_CPX_CPX(a4h, a5h);
    s1k = ADD_CPX_CPX(a4h, a5h);
    *((dst + 7)) = ADD_CPX_CPX(t817, t218);
    *((dst + 39)) = SUB_CPX_CPX(t018, t318);
    *((dst + 71)) = SUB_CPX_CPX(t817, t218);
    *((dst + 103)) = ADD_CPX_CPX(t018, t318);
    *((dst + 23)) = ADD_CPX_CPX(t917, s0k);
    *((dst + 55)) = SUB_CPX_CPX(t118, s1k);
    *((dst + 87)) = SUB_CPX_CPX(t917, s0k);
    *((dst + 119)) = ADD_CPX_CPX(t118, s1k);
    t418 = ADD_CPX_CPX(t911, s8i);
    t518 = SUB_CPX_CPX(t112, s9i);
    t618 = SUB_CPX_CPX(t911, s8i);
    t718 = ADD_CPX_CPX(t112, s9i);
    t818 = ADD_CPX_CPX(s2i, s4j);
    t918 = SUB_CPX_CPX(s3i, s5j);
    a6h = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s2i, s4j));
    a7h = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s3i, s5j));
    s2k = SUB_CPX_CPX(a6h, a7h);
    s3k = ADD_CPX_CPX(a6h, a7h);
    *((dst + 11)) = ADD_CPX_CPX(t418, t818);
    *((dst + 43)) = SUB_CPX_CPX(t618, t918);
    *((dst + 75)) = SUB_CPX_CPX(t418, t818);
    *((dst + 107)) = ADD_CPX_CPX(t618, t918);
    *((dst + 27)) = ADD_CPX_CPX(t518, s2k);
    *((dst + 59)) = SUB_CPX_CPX(t718, s3k);
    *((dst + 91)) = SUB_CPX_CPX(t518, s2k);
    *((dst + 123)) = ADD_CPX_CPX(t718, s3k);
    t019 = ADD_CPX_CPX(t312, s0j);
    t119 = SUB_CPX_CPX(t512, s1j);
    t219 = SUB_CPX_CPX(t312, s0j);
    t319 = ADD_CPX_CPX(t512, s1j);
    t419 = SUB_CPX_CPX(s4i, s6j);
    t519 = SUB_CPX_CPX(s5i, s7j);
    a8h = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s4i, s6j));
    a9h = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5i, s7j));
    s4k = SUB_CPX_CPX(a8h, a9h);
    s5k = ADD_CPX_CPX(a8h, a9h);
    *((dst + 15)) = ADD_CPX_CPX(t019, t419);
    *((dst + 47)) = SUB_CPX_CPX(t219, t519);
    *((dst + 79)) = SUB_CPX_CPX(t019, t419);
    *((dst + 111)) = ADD_CPX_CPX(t219, t519);
    *((dst + 31)) = ADD_CPX_CPX(t119, s4k);
    *((dst + 63)) = SUB_CPX_CPX(t319, s5k);
    *((dst + 95)) = SUB_CPX_CPX(t119, s4k);
    *((dst + 127)) = ADD_CPX_CPX(t319, s5k);
    }
    
    return SPIRAL_OK;
    }
}

SPIRAL_PRIV(spiral_status_t, spiral_fftfwd_double_256_unaligned)(const double *pSrc, double *pDst ) {
    const CPX  *src = (const CPX *) pSrc; 
    CPX        *dst = (CPX *) pDst;
    
    
    { SPIRAL_ALIGNED(CPX T[256]);
    CPX  *a03, *a04, *a13, *a14, *a24, *a25, *a34, *a35, *a42, *a43, *a44, *a45, *a52, *a53, *a54, *a55, *a62, *a63, *a64, *a65, *a72, *a73
            , *a74, *a75, *a82, *a83, *a84, *a85, *a92, *a93, *a94, *a95, *b2;
    const CPX  *b;
    FLT  *a01, *a02, *a11, *a12, *a21, *a22, *a31, *a32, *a41, *a51, *a61, *a71, *a81, *a91;
    int a5;
    CPX a, a05, a06, a15, a16, a2, a23, a26, a3, a33, a36, a4, a46, a56, a6, a66, a7, a76, a8, a9, s, s01
        , s02, s03, s04, s05, s06, s07, s08, s11, s12, s13, s14, s15, s16, s17, s18, s2, s21, s22, s23, s24, s25, s26
        , s27, s28, s3, s31, s32, s33, s34, s35, s36, s37, s38, s4, s41, s42, s43, s44, s45, s46, s47, s48, s5, s51
        , s52, s53, s54, s55, s56, s57, s58, s6, s61, s62, s63, s64, s65, s66, s67, s68, s7, s71, s72, s73, s74, s75
        , s76, s77, s78, s8, s81, s82, s83, s84, s85, s86, s87, s9, s91, s92, s93, s94, s95, s96, s97, t, t01, t02
        , t03, t04, t05, t06, t07, t08, t09, t0a, t0b, t0c, t0d, t0e, t0f, t0g, t0h, t0i, t0j, t0k, t11, t12, t13, t14
        , t15, t16, t17, t18, t19, t1a, t1b, t1c, t1d, t1e, t1f, t1g, t1h, t1i, t1j, t1k, t2, t21, t22, t23, t24, t25
        , t26, t27, t28, t29, t2a, t2b, t2c, t2d, t2e, t2f, t2g, t2h, t2i, t2j, t2k, t3, t31, t32, t33, t34, t35, t36
        , t37, t38, t39, t3a, t3b, t3c, t3d, t3e, t3f, t3g, t3h, t3i, t3j, t3k, t4, t41, t42, t43, t44, t45, t46, t47
        , t48, t49, t4a, t4b, t4c, t4d, t4e, t4f, t4g, t4h, t4i, t4j, t5, t51, t52, t53, t54, t55, t56, t57, t58, t59
        , t5a, t5b, t5c, t5d, t5e, t5f, t5g, t5h, t5i, t5j, t6, t61, t62, t63, t64, t65, t66, t67, t68, t69, t6a, t6b
        , t6c, t6d, t6e, t6f, t6g, t6h, t6i, t6j, t7, t71, t72, t73, t74, t75, t76, t77, t78, t79, t7a, t7b, t7c, t7d
        , t7e, t7f, t7g, t7h, t7i, t7j, t8, t81, t82, t83, t84, t85, t86, t87, t88, t89, t8a, t8b, t8c, t8d, t8e, t8f
        , t8g, t8h, t8i, t8j, t9, t91, t92, t93, t94, t95, t96, t97, t98, t99, t9a, t9b, t9c, t9d, t9e, t9f, t9g, t9h
        , t9i, t9j;
    s = LOADU_CPX(src);
    s2 = LOADU_CPX((src + 128));
    t = ADD_CPX_CPX(s, s2);
    t2 = SUB_CPX_CPX(s, s2);
    s3 = LOADU_CPX((src + 64));
    s4 = LOADU_CPX((src + 192));
    t3 = ADD_CPX_CPX(s3, s4);
    s5 = MUL_NI_CPX(SUB_CPX_CPX(s3, s4));
    t4 = ADD_CPX_CPX(t, t3);
    t5 = SUB_CPX_CPX(t, t3);
    t6 = ADD_CPX_CPX(t2, s5);
    t7 = SUB_CPX_CPX(t2, s5);
    s6 = LOADU_CPX((src + 32));
    s7 = LOADU_CPX((src + 224));
    t8 = ADD_CPX_CPX(s6, s7);
    t9 = ADD_CPX_CPX(MUL_I_CPX(s6), MUL_NI_CPX(s7));
    s8 = LOADU_CPX((src + 160));
    s9 = LOADU_CPX((src + 96));
    t01 = ADD_CPX_CPX(s8, s9);
    t11 = ADD_CPX_CPX(MUL_I_CPX(s8), MUL_NI_CPX(s9));
    t21 = ADD_CPX_CPX(t8, t01);
    t31 = ADD_CPX_CPX(t9, t11);
    a = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8, t01));
    a2 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9, t11));
    s01 = SUB_CPX_CPX(a, a2);
    s11 = ADD_CPX_CPX(a, a2);
    t41 = ADD_CPX_CPX(t4, t21);
    t51 = SUB_CPX_CPX(t5, t31);
    t61 = SUB_CPX_CPX(t4, t21);
    t71 = ADD_CPX_CPX(t5, t31);
    t81 = ADD_CPX_CPX(t6, s01);
    t91 = SUB_CPX_CPX(t7, s11);
    t02 = SUB_CPX_CPX(t6, s01);
    t12 = ADD_CPX_CPX(t7, s11);
    s21 = LOADU_CPX((src + 16));
    s31 = LOADU_CPX((src + 240));
    t22 = ADD_CPX_CPX(s21, s31);
    t32 = ADD_CPX_CPX(MUL_I_CPX(s21), MUL_NI_CPX(s31));
    s41 = LOADU_CPX((src + 80));
    s51 = LOADU_CPX((src + 176));
    t42 = ADD_CPX_CPX(s41, s51);
    t52 = ADD_CPX_CPX(MUL_I_CPX(s41), MUL_NI_CPX(s51));
    s61 = LOADU_CPX((src + 144));
    s71 = LOADU_CPX((src + 112));
    t62 = ADD_CPX_CPX(s61, s71);
    t72 = ADD_CPX_CPX(MUL_I_CPX(s61), MUL_NI_CPX(s71));
    s81 = LOADU_CPX((src + 208));
    s91 = LOADU_CPX((src + 48));
    t82 = ADD_CPX_CPX(s81, s91);
    t92 = ADD_CPX_CPX(MUL_I_CPX(s81), MUL_NI_CPX(s91));
    t03 = ADD_CPX_CPX(t22, t62);
    t13 = ADD_CPX_CPX(t32, t72);
    t23 = SUB_CPX_CPX(t22, t62);
    t33 = SUB_CPX_CPX(t32, t72);
    t43 = ADD_CPX_CPX(t42, t82);
    t53 = ADD_CPX_CPX(t52, t92);
    t63 = SUB_CPX_CPX(t42, t82);
    t73 = SUB_CPX_CPX(t52, t92);
    t83 = ADD_CPX_CPX(t03, t43);
    t93 = ADD_CPX_CPX(t13, t53);
    t04 = SUB_CPX_CPX(t23, t73);
    t14 = ADD_CPX_CPX(t33, t63);
    t24 = ADD_CPX_CPX(t23, t73);
    t34 = SUB_CPX_CPX(t33, t63);
    s02 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t04), MUL_FLT_CPX(C_FLT(0.38268343236508978), t14));
    s12 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t04), MUL_FLT_CPX(C_FLT(0.92387953251128674), t14));
    a3 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t03, t43));
    a4 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t13, t53));
    s22 = SUB_CPX_CPX(a3, a4);
    s32 = ADD_CPX_CPX(a3, a4);
    s42 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t24), MUL_FLT_CPX(C_FLT(0.92387953251128674), t34));
    s52 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t24), MUL_FLT_CPX(C_FLT(0.38268343236508978), t34));
    *(T) = ADD_CPX_CPX(t41, t83);
    *((T + 4)) = SUB_CPX_CPX(t61, t93);
    *((T + 8)) = SUB_CPX_CPX(t41, t83);
    *((T + 12)) = ADD_CPX_CPX(t61, t93);
    *((T + 1)) = ADD_CPX_CPX(t81, s02);
    *((T + 5)) = SUB_CPX_CPX(t02, s12);
    *((T + 9)) = SUB_CPX_CPX(t81, s02);
    *((T + 13)) = ADD_CPX_CPX(t02, s12);
    *((T + 2)) = ADD_CPX_CPX(t51, s22);
    *((T + 6)) = SUB_CPX_CPX(t71, s32);
    *((T + 10)) = SUB_CPX_CPX(t51, s22);
    *((T + 14)) = ADD_CPX_CPX(t71, s32);
    *((T + 3)) = ADD_CPX_CPX(t91, s42);
    *((T + 7)) = SUB_CPX_CPX(t12, s52);
    *((T + 11)) = SUB_CPX_CPX(t91, s42);
    *((T + 15)) = ADD_CPX_CPX(t12, s52);
    {long i; for(i = 0; i <= 14; i++) {
        b = (src + i);
        s62 = LOADU_CPX((b + 1));
        a5 = (1 + i);
        s72 = LOADU_CPX((src + (256 - a5)));
        t44 = ADD_CPX_CPX(s62, s72);
        t54 = ADD_CPX_CPX(MUL_I_CPX(s62), MUL_NI_CPX(s72));
        s82 = LOADU_CPX((b + 33));
        s92 = LOADU_CPX((src + (224 - a5)));
        t64 = ADD_CPX_CPX(s82, s92);
        t74 = ADD_CPX_CPX(MUL_I_CPX(s82), MUL_NI_CPX(s92));
        s03 = LOADU_CPX((b + 65));
        s13 = LOADU_CPX((src + (192 - a5)));
        t84 = ADD_CPX_CPX(s03, s13);
        t94 = ADD_CPX_CPX(MUL_I_CPX(s03), MUL_NI_CPX(s13));
        s23 = LOADU_CPX((b + 97));
        s33 = LOADU_CPX((src + (160 - a5)));
        t05 = ADD_CPX_CPX(s23, s33);
        t15 = ADD_CPX_CPX(MUL_I_CPX(s23), MUL_NI_CPX(s33));
        s43 = LOADU_CPX((b + 129));
        s53 = LOADU_CPX((src + (128 - a5)));
        t25 = ADD_CPX_CPX(s43, s53);
        t35 = ADD_CPX_CPX(MUL_I_CPX(s43), MUL_NI_CPX(s53));
        s63 = LOADU_CPX((b + 161));
        s73 = LOADU_CPX((src + (96 - a5)));
        t45 = ADD_CPX_CPX(s63, s73);
        t55 = ADD_CPX_CPX(MUL_I_CPX(s63), MUL_NI_CPX(s73));
        s83 = LOADU_CPX((b + 193));
        s93 = LOADU_CPX((src + (64 - a5)));
        t65 = ADD_CPX_CPX(s83, s93);
        t75 = ADD_CPX_CPX(MUL_I_CPX(s83), MUL_NI_CPX(s93));
        s04 = LOADU_CPX((b + 225));
        s14 = LOADU_CPX((src + (32 - a5)));
        t85 = ADD_CPX_CPX(s04, s14);
        t95 = ADD_CPX_CPX(MUL_I_CPX(s04), MUL_NI_CPX(s14));
        t06 = ADD_CPX_CPX(t44, t25);
        t16 = ADD_CPX_CPX(t54, t35);
        t26 = SUB_CPX_CPX(t44, t25);
        t36 = SUB_CPX_CPX(t54, t35);
        t46 = ADD_CPX_CPX(t84, t65);
        t56 = ADD_CPX_CPX(t94, t75);
        t66 = SUB_CPX_CPX(t84, t65);
        t76 = SUB_CPX_CPX(t94, t75);
        t86 = ADD_CPX_CPX(t06, t46);
        t96 = ADD_CPX_CPX(t16, t56);
        t07 = SUB_CPX_CPX(t06, t46);
        t17 = SUB_CPX_CPX(t16, t56);
        t27 = SUB_CPX_CPX(t26, t76);
        t37 = ADD_CPX_CPX(t36, t66);
        t47 = ADD_CPX_CPX(t26, t76);
        t57 = SUB_CPX_CPX(t36, t66);
        t67 = ADD_CPX_CPX(t64, t85);
        t77 = ADD_CPX_CPX(t74, t95);
        t87 = SUB_CPX_CPX(t74, t95);
        t97 = SUB_CPX_CPX(t85, t64);
        t08 = ADD_CPX_CPX(t45, t05);
        t18 = ADD_CPX_CPX(t55, t15);
        t28 = SUB_CPX_CPX(t55, t15);
        t38 = SUB_CPX_CPX(t05, t45);
        s24 = ADD_CPX_CPX(t67, t08);
        s34 = ADD_CPX_CPX(t77, t18);
        s44 = ADD_CPX_CPX(t87, t28);
        s54 = ADD_CPX_CPX(t97, t38);
        a6 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t67, t08));
        a7 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t87, t28));
        t48 = SUB_CPX_CPX(a6, a7);
        a8 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t77, t18));
        a9 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t97, t38));
        t58 = SUB_CPX_CPX(a8, a9);
        t68 = ADD_CPX_CPX(a6, a7);
        t78 = ADD_CPX_CPX(a8, a9);
        s64 = SUB_CPX_CPX(t07, s44);
        s74 = SUB_CPX_CPX(t17, s54);
        s84 = SUB_CPX_CPX(t86, s24);
        s94 = SUB_CPX_CPX(t96, s34);
        s05 = ADD_CPX_CPX(t07, s44);
        s15 = ADD_CPX_CPX(t17, s54);
        s25 = ADD_CPX_CPX(t27, t48);
        s35 = ADD_CPX_CPX(t37, t58);
        s45 = SUB_CPX_CPX(t47, t68);
        s55 = SUB_CPX_CPX(t57, t78);
        s65 = SUB_CPX_CPX(t27, t48);
        s75 = SUB_CPX_CPX(t37, t58);
        s85 = ADD_CPX_CPX(t47, t68);
        s95 = ADD_CPX_CPX(t57, t78);
        b2 = (T + (16*i));
        *((b2 + 16)) = ADD_CPX_CPX(t86, s24);
        *((b2 + 24)) = ADD_CPX_CPX(t96, s34);
        a01 = (D989 + (14*i));
        a11 = (a01 + 1);
        a21 = (a01 + 2);
        a31 = (a01 + 3);
        a41 = (a01 + 4);
        a51 = (a01 + 5);
        a61 = (a01 + 6);
        a71 = (a01 + 7);
        a81 = (a01 + 8);
        a91 = (a01 + 9);
        a02 = (a01 + 10);
        a12 = (a01 + 11);
        a22 = (a01 + 12);
        a32 = (a01 + 13);
        *((b2 + 17)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a01), s25), MUL_FLT_CPX(*(a11), s35));
        *((b2 + 25)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a11), s25), MUL_FLT_CPX(*(a01), s35));
        *((b2 + 18)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a21), s64), MUL_FLT_CPX(*(a31), s74));
        *((b2 + 26)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a31), s64), MUL_FLT_CPX(*(a21), s74));
        *((b2 + 19)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a41), s45), MUL_FLT_CPX(*(a51), s55));
        *((b2 + 27)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a51), s45), MUL_FLT_CPX(*(a41), s55));
        *((b2 + 20)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a61), s84), MUL_FLT_CPX(*(a71), s94));
        *((b2 + 28)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a71), s84), MUL_FLT_CPX(*(a61), s94));
        *((b2 + 21)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a81), s65), MUL_FLT_CPX(*(a91), s75));
        *((b2 + 29)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a91), s65), MUL_FLT_CPX(*(a81), s75));
        *((b2 + 22)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a02), s05), MUL_FLT_CPX(*(a12), s15));
        *((b2 + 30)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a12), s05), MUL_FLT_CPX(*(a02), s15));
        *((b2 + 23)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a22), s85), MUL_FLT_CPX(*(a32), s95));
        *((b2 + 31)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a32), s85), MUL_FLT_CPX(*(a22), s95));
    }}
    {long i2; for(i2 = 0; i2 <= 7; i2++) {
        a42 = (T + i2);
        a52 = (a42 + 8);
        a62 = (a42 + 128);
        a72 = (a42 + 136);
        t88 = ADD_CPX_CPX(*(a42), *(a62));
        t98 = SUB_CPX_CPX(*(a52), *(a72));
        t09 = SUB_CPX_CPX(*(a42), *(a62));
        t19 = ADD_CPX_CPX(*(a52), *(a72));
        a82 = (a42 + 64);
        a92 = (a42 + 72);
        a03 = (a42 + 192);
        a13 = (a42 + 200);
        t29 = ADD_CPX_CPX(*(a82), *(a03));
        t39 = SUB_CPX_CPX(*(a92), *(a13));
        a23 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a82), *(a03)));
        a33 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(*(a92), *(a13)));
        s06 = SUB_CPX_CPX(a23, a33);
        s16 = ADD_CPX_CPX(a23, a33);
        t49 = ADD_CPX_CPX(t88, t29);
        t59 = SUB_CPX_CPX(t09, t39);
        t69 = SUB_CPX_CPX(t88, t29);
        t79 = ADD_CPX_CPX(t09, t39);
        t89 = ADD_CPX_CPX(t98, s06);
        t99 = SUB_CPX_CPX(t19, s16);
        t0a = SUB_CPX_CPX(t98, s06);
        t1a = ADD_CPX_CPX(t19, s16);
        a43 = (a42 + 16);
        a53 = (a42 + 24);
        a63 = (a42 + 240);
        a73 = (a42 + 248);
        t2a = ADD_CPX_CPX(*(a43), *(a63));
        t3a = SUB_CPX_CPX(*(a53), *(a73));
        t4a = SUB_CPX_CPX(*(a43), *(a63));
        t5a = ADD_CPX_CPX(*(a53), *(a73));
        a83 = (a42 + 144);
        a93 = (a42 + 152);
        a04 = (a42 + 112);
        a14 = (a42 + 120);
        t6a = ADD_CPX_CPX(*(a83), *(a04));
        t7a = SUB_CPX_CPX(*(a93), *(a14));
        t8a = SUB_CPX_CPX(*(a83), *(a04));
        t9a = ADD_CPX_CPX(*(a93), *(a14));
        t0b = ADD_CPX_CPX(t2a, t6a);
        t1b = ADD_CPX_CPX(t3a, t7a);
        t2b = SUB_CPX_CPX(t2a, t6a);
        t3b = SUB_CPX_CPX(t3a, t7a);
        t4b = SUB_CPX_CPX(t4a, t9a);
        t5b = ADD_CPX_CPX(t5a, t8a);
        t6b = ADD_CPX_CPX(t4a, t9a);
        t7b = SUB_CPX_CPX(t5a, t8a);
        s26 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t4b), MUL_FLT_CPX(C_FLT(0.19509032201612828), t5b));
        s36 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), t4b), MUL_FLT_CPX(C_FLT(0.98078528040323043), t5b));
        s46 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t2b), MUL_FLT_CPX(C_FLT(0.38268343236508978), t3b));
        s56 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t2b), MUL_FLT_CPX(C_FLT(0.92387953251128674), t3b));
        s66 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t6b), MUL_FLT_CPX(C_FLT(0.55557023301960218), t7b));
        s76 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), t6b), MUL_FLT_CPX(C_FLT(0.83146961230254524), t7b));
        a24 = (a42 + 32);
        a34 = (a42 + 40);
        a44 = (a42 + 224);
        a54 = (a42 + 232);
        t8b = ADD_CPX_CPX(*(a24), *(a44));
        t9b = SUB_CPX_CPX(*(a34), *(a54));
        t0c = SUB_CPX_CPX(*(a24), *(a44));
        t1c = ADD_CPX_CPX(*(a34), *(a54));
        a64 = (a42 + 160);
        a74 = (a42 + 168);
        a84 = (a42 + 96);
        a94 = (a42 + 104);
        t2c = ADD_CPX_CPX(*(a64), *(a84));
        t3c = SUB_CPX_CPX(*(a74), *(a94));
        t4c = SUB_CPX_CPX(*(a64), *(a84));
        t5c = ADD_CPX_CPX(*(a74), *(a94));
        t6c = ADD_CPX_CPX(t8b, t2c);
        t7c = ADD_CPX_CPX(t9b, t3c);
        t8c = SUB_CPX_CPX(t0c, t5c);
        t9c = ADD_CPX_CPX(t1c, t4c);
        t0d = ADD_CPX_CPX(t0c, t5c);
        t1d = SUB_CPX_CPX(t1c, t4c);
        s86 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t8c), MUL_FLT_CPX(C_FLT(0.38268343236508978), t9c));
        s96 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t8c), MUL_FLT_CPX(C_FLT(0.92387953251128674), t9c));
        a05 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8b, t2c));
        a15 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9b, t3c));
        s07 = SUB_CPX_CPX(a05, a15);
        s17 = ADD_CPX_CPX(a05, a15);
        s27 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t0d), MUL_FLT_CPX(C_FLT(0.92387953251128674), t1d));
        s37 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t0d), MUL_FLT_CPX(C_FLT(0.38268343236508978), t1d));
        a25 = (a42 + 48);
        a35 = (a42 + 56);
        a45 = (a42 + 208);
        a55 = (a42 + 216);
        t2d = ADD_CPX_CPX(*(a25), *(a45));
        t3d = SUB_CPX_CPX(*(a35), *(a55));
        t4d = SUB_CPX_CPX(*(a25), *(a45));
        t5d = ADD_CPX_CPX(*(a35), *(a55));
        a65 = (a42 + 176);
        a75 = (a42 + 184);
        a85 = (a42 + 80);
        a95 = (a42 + 88);
        t6d = ADD_CPX_CPX(*(a65), *(a85));
        t7d = SUB_CPX_CPX(*(a75), *(a95));
        t8d = SUB_CPX_CPX(*(a65), *(a85));
        t9d = ADD_CPX_CPX(*(a75), *(a95));
        t0e = ADD_CPX_CPX(t2d, t6d);
        t1e = ADD_CPX_CPX(t3d, t7d);
        t2e = SUB_CPX_CPX(t2d, t6d);
        t3e = SUB_CPX_CPX(t3d, t7d);
        t4e = SUB_CPX_CPX(t4d, t9d);
        t5e = ADD_CPX_CPX(t5d, t8d);
        t6e = ADD_CPX_CPX(t4d, t9d);
        t7e = SUB_CPX_CPX(t5d, t8d);
        s47 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t4e), MUL_FLT_CPX(C_FLT(0.55557023301960218), t5e));
        s57 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), t4e), MUL_FLT_CPX(C_FLT(0.83146961230254524), t5e));
        s67 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t2e), MUL_FLT_CPX(C_FLT(0.92387953251128674), t3e));
        s77 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t2e), MUL_FLT_CPX(C_FLT(0.38268343236508978), t3e));
        s87 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), t6e), MUL_FLT_CPX(C_FLT(0.98078528040323043), t7e));
        s97 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t6e), MUL_FLT_CPX(C_FLT(0.19509032201612828), t7e));
        t8e = ADD_CPX_CPX(t49, t6c);
        t9e = SUB_CPX_CPX(t69, t7c);
        t0f = SUB_CPX_CPX(t49, t6c);
        t1f = ADD_CPX_CPX(t69, t7c);
        t2f = ADD_CPX_CPX(t0b, t0e);
        t3f = SUB_CPX_CPX(t1b, t1e);
        a06 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0b, t0e));
        a16 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t1b, t1e));
        s08 = SUB_CPX_CPX(a06, a16);
        s18 = ADD_CPX_CPX(a06, a16);
        t4f = ADD_CPX_CPX(t8e, t2f);
        t5f = SUB_CPX_CPX(t0f, t3f);
        t6f = SUB_CPX_CPX(t8e, t2f);
        t7f = ADD_CPX_CPX(t0f, t3f);
        STOREU_CPX((dst + i2), t4f);
        STOREU_CPX((64 + dst + i2), t5f);
        STOREU_CPX((128 + dst + i2), t6f);
        STOREU_CPX((192 + dst + i2), t7f);
        t8f = ADD_CPX_CPX(t9e, s08);
        t9f = SUB_CPX_CPX(t1f, s18);
        t0g = SUB_CPX_CPX(t9e, s08);
        t1g = ADD_CPX_CPX(t1f, s18);
        STOREU_CPX((32 + dst + i2), t8f);
        STOREU_CPX((96 + dst + i2), t9f);
        STOREU_CPX((160 + dst + i2), t0g);
        STOREU_CPX((224 + dst + i2), t1g);
        t2g = ADD_CPX_CPX(t89, s86);
        t3g = SUB_CPX_CPX(t0a, s96);
        t4g = SUB_CPX_CPX(t89, s86);
        t5g = ADD_CPX_CPX(t0a, s96);
        t6g = ADD_CPX_CPX(s26, s47);
        t7g = SUB_CPX_CPX(s36, s57);
        a26 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s26, s47));
        a36 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s36, s57));
        s28 = SUB_CPX_CPX(a26, a36);
        s38 = ADD_CPX_CPX(a26, a36);
        t8g = ADD_CPX_CPX(t2g, t6g);
        t9g = SUB_CPX_CPX(t4g, t7g);
        t0h = SUB_CPX_CPX(t2g, t6g);
        t1h = ADD_CPX_CPX(t4g, t7g);
        STOREU_CPX((8 + dst + i2), t8g);
        STOREU_CPX((72 + dst + i2), t9g);
        STOREU_CPX((136 + dst + i2), t0h);
        STOREU_CPX((200 + dst + i2), t1h);
        t2h = ADD_CPX_CPX(t3g, s28);
        t3h = SUB_CPX_CPX(t5g, s38);
        t4h = SUB_CPX_CPX(t3g, s28);
        t5h = ADD_CPX_CPX(t5g, s38);
        STOREU_CPX((40 + dst + i2), t2h);
        STOREU_CPX((104 + dst + i2), t3h);
        STOREU_CPX((168 + dst + i2), t4h);
        STOREU_CPX((232 + dst + i2), t5h);
        t6h = ADD_CPX_CPX(t59, s07);
        t7h = SUB_CPX_CPX(t79, s17);
        t8h = SUB_CPX_CPX(t59, s07);
        t9h = ADD_CPX_CPX(t79, s17);
        t0i = ADD_CPX_CPX(s46, s67);
        t1i = SUB_CPX_CPX(s56, s77);
        a46 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s46, s67));
        a56 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s56, s77));
        s48 = SUB_CPX_CPX(a46, a56);
        s58 = ADD_CPX_CPX(a46, a56);
        t2i = ADD_CPX_CPX(t6h, t0i);
        t3i = SUB_CPX_CPX(t8h, t1i);
        t4i = SUB_CPX_CPX(t6h, t0i);
        t5i = ADD_CPX_CPX(t8h, t1i);
        STOREU_CPX((16 + dst + i2), t2i);
        STOREU_CPX((80 + dst + i2), t3i);
        STOREU_CPX((144 + dst + i2), t4i);
        STOREU_CPX((208 + dst + i2), t5i);
        t6i = ADD_CPX_CPX(t7h, s48);
        t7i = SUB_CPX_CPX(t9h, s58);
        t8i = SUB_CPX_CPX(t7h, s48);
        t9i = ADD_CPX_CPX(t9h, s58);
        STOREU_CPX((48 + dst + i2), t6i);
        STOREU_CPX((112 + dst + i2), t7i);
        STOREU_CPX((176 + dst + i2), t8i);
        STOREU_CPX((240 + dst + i2), t9i);
        t0j = ADD_CPX_CPX(t99, s27);
        t1j = SUB_CPX_CPX(t1a, s37);
        t2j = SUB_CPX_CPX(t99, s27);
        t3j = ADD_CPX_CPX(t1a, s37);
        t4j = SUB_CPX_CPX(s66, s87);
        t5j = SUB_CPX_CPX(s76, s97);
        a66 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s66, s87));
        a76 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s76, s97));
        s68 = SUB_CPX_CPX(a66, a76);
        s78 = ADD_CPX_CPX(a66, a76);
        t6j = ADD_CPX_CPX(t0j, t4j);
        t7j = SUB_CPX_CPX(t2j, t5j);
        t8j = SUB_CPX_CPX(t0j, t4j);
        t9j = ADD_CPX_CPX(t2j, t5j);
        STOREU_CPX((24 + dst + i2), t6j);
        STOREU_CPX((88 + dst + i2), t7j);
        STOREU_CPX((152 + dst + i2), t8j);
        STOREU_CPX((216 + dst + i2), t9j);
        t0k = ADD_CPX_CPX(t1j, s68);
        t1k = SUB_CPX_CPX(t3j, s78);
        t2k = SUB_CPX_CPX(t1j, s68);
        t3k = ADD_CPX_CPX(t3j, s78);
        STOREU_CPX((56 + dst + i2), t0k);
        STOREU_CPX((120 + dst + i2), t1k);
        STOREU_CPX((184 + dst + i2), t2k);
        STOREU_CPX((248 + dst + i2), t3k);
    }}
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_fftfwd_double_256)(const double *pSrc, double *pDst ) {
    if (!is_aligned(pSrc) || !is_aligned(pDst))
       	return spiral_fftfwd_double_256_unaligned(pSrc, pDst );
    else {
    const CPX  *src = (const CPX *) pSrc; 
    CPX        *dst = (CPX *) pDst;
    
    
    { SPIRAL_ALIGNED(CPX T[256]);
    CPX  *a06, *a07, *a16, *a17, *a27, *a28, *a29, *a37, *a38, *a45, *a46, *a47, *a48, *a55, *a56, *a57, *a58, *a65, *a66, *a67, *a68, *a75
            , *a76, *a77, *a78, *a85, *a86, *a87, *a88, *a95, *a96, *a97, *a98, *b2;
    const CPX  *a, *a01, *a02, *a03, *a11, *a12, *a13, *a2, *a21, *a22, *a23, *a3, *a31, *a32, *a33, *a4, *a41, *a42, *a43, *a5, *a51, *a52
            , *a53, *a6, *a61, *a62, *a7, *a71, *a72, *a82, *a92, *b;
    FLT  *a04, *a05, *a14, *a15, *a24, *a25, *a34, *a35, *a44, *a54, *a64, *a74, *a84, *a94;
    CPX a08, a09, a18, a19, a26, a36, a39, a49, a59, a63, a69, a73, a79, a8, a81, a83, a89, a9, a91, a93, s, s01
        , s02, s03, s04, s05, s11, s12, s13, s14, s15, s2, s21, s22, s23, s24, s25, s3, s31, s32, s33, s34, s35, s4
        , s41, s42, s43, s44, s45, s5, s51, s52, s53, s54, s55, s6, s61, s62, s63, s64, s7, s71, s72, s73, s74, s8
        , s81, s82, s83, s84, s9, s91, s92, s93, s94, t, t01, t02, t03, t04, t05, t06, t07, t08, t09, t0a, t0b, t0c
        , t0d, t0e, t0f, t0g, t0h, t11, t12, t13, t14, t15, t16, t17, t18, t19, t1a, t1b, t1c, t1d, t1e, t1f, t1g, t1h
        , t2, t21, t22, t23, t24, t25, t26, t27, t28, t29, t2a, t2b, t2c, t2d, t2e, t2f, t2g, t3, t31, t32, t33, t34
        , t35, t36, t37, t38, t39, t3a, t3b, t3c, t3d, t3e, t3f, t3g, t4, t41, t42, t43, t44, t45, t46, t47, t48, t49
        , t4a, t4b, t4c, t4d, t4e, t4f, t4g, t5, t51, t52, t53, t54, t55, t56, t57, t58, t59, t5a, t5b, t5c, t5d, t5e
        , t5f, t5g, t6, t61, t62, t63, t64, t65, t66, t67, t68, t69, t6a, t6b, t6c, t6d, t6e, t6f, t6g, t7, t71, t72
        , t73, t74, t75, t76, t77, t78, t79, t7a, t7b, t7c, t7d, t7e, t7f, t7g, t8, t81, t82, t83, t84, t85, t86, t87
        , t88, t89, t8a, t8b, t8c, t8d, t8e, t8f, t8g, t9, t91, t92, t93, t94, t95, t96, t97, t98, t99, t9a, t9b, t9c
        , t9d, t9e, t9f, t9g;
    a = (src + 128);
    t = ADD_CPX_CPX(*(src), *(a));
    t2 = SUB_CPX_CPX(*(src), *(a));
    a2 = (src + 64);
    a3 = (src + 192);
    t3 = ADD_CPX_CPX(*(a2), *(a3));
    s = MUL_NI_CPX(SUB_CPX_CPX(*(a2), *(a3)));
    t4 = ADD_CPX_CPX(t, t3);
    t5 = SUB_CPX_CPX(t, t3);
    t6 = ADD_CPX_CPX(t2, s);
    t7 = SUB_CPX_CPX(t2, s);
    a4 = (src + 32);
    a5 = (src + 224);
    t8 = ADD_CPX_CPX(*(a4), *(a5));
    t9 = ADD_CPX_CPX(MUL_I_CPX(*(a4)), MUL_NI_CPX(*(a5)));
    a6 = (src + 160);
    a7 = (src + 96);
    t01 = ADD_CPX_CPX(*(a6), *(a7));
    t11 = ADD_CPX_CPX(MUL_I_CPX(*(a6)), MUL_NI_CPX(*(a7)));
    t21 = ADD_CPX_CPX(t8, t01);
    t31 = ADD_CPX_CPX(t9, t11);
    a8 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8, t01));
    a9 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9, t11));
    s2 = SUB_CPX_CPX(a8, a9);
    s3 = ADD_CPX_CPX(a8, a9);
    t41 = ADD_CPX_CPX(t4, t21);
    t51 = SUB_CPX_CPX(t5, t31);
    t61 = SUB_CPX_CPX(t4, t21);
    t71 = ADD_CPX_CPX(t5, t31);
    t81 = ADD_CPX_CPX(t6, s2);
    t91 = SUB_CPX_CPX(t7, s3);
    t02 = SUB_CPX_CPX(t6, s2);
    t12 = ADD_CPX_CPX(t7, s3);
    a01 = (src + 16);
    a11 = (src + 240);
    t22 = ADD_CPX_CPX(*(a01), *(a11));
    t32 = ADD_CPX_CPX(MUL_I_CPX(*(a01)), MUL_NI_CPX(*(a11)));
    a21 = (src + 80);
    a31 = (src + 176);
    t42 = ADD_CPX_CPX(*(a21), *(a31));
    t52 = ADD_CPX_CPX(MUL_I_CPX(*(a21)), MUL_NI_CPX(*(a31)));
    a41 = (src + 144);
    a51 = (src + 112);
    t62 = ADD_CPX_CPX(*(a41), *(a51));
    t72 = ADD_CPX_CPX(MUL_I_CPX(*(a41)), MUL_NI_CPX(*(a51)));
    a61 = (src + 208);
    a71 = (src + 48);
    t82 = ADD_CPX_CPX(*(a61), *(a71));
    t92 = ADD_CPX_CPX(MUL_I_CPX(*(a61)), MUL_NI_CPX(*(a71)));
    t03 = ADD_CPX_CPX(t22, t62);
    t13 = ADD_CPX_CPX(t32, t72);
    t23 = SUB_CPX_CPX(t22, t62);
    t33 = SUB_CPX_CPX(t32, t72);
    t43 = ADD_CPX_CPX(t42, t82);
    t53 = ADD_CPX_CPX(t52, t92);
    t63 = SUB_CPX_CPX(t42, t82);
    t73 = SUB_CPX_CPX(t52, t92);
    t83 = ADD_CPX_CPX(t03, t43);
    t93 = ADD_CPX_CPX(t13, t53);
    t04 = SUB_CPX_CPX(t23, t73);
    t14 = ADD_CPX_CPX(t33, t63);
    t24 = ADD_CPX_CPX(t23, t73);
    t34 = SUB_CPX_CPX(t33, t63);
    s4 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t04), MUL_FLT_CPX(C_FLT(0.38268343236508978), t14));
    s5 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t04), MUL_FLT_CPX(C_FLT(0.92387953251128674), t14));
    a81 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t03, t43));
    a91 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t13, t53));
    s6 = SUB_CPX_CPX(a81, a91);
    s7 = ADD_CPX_CPX(a81, a91);
    s8 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t24), MUL_FLT_CPX(C_FLT(0.92387953251128674), t34));
    s9 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t24), MUL_FLT_CPX(C_FLT(0.38268343236508978), t34));
    *(T) = ADD_CPX_CPX(t41, t83);
    *((T + 4)) = SUB_CPX_CPX(t61, t93);
    *((T + 8)) = SUB_CPX_CPX(t41, t83);
    *((T + 12)) = ADD_CPX_CPX(t61, t93);
    *((T + 1)) = ADD_CPX_CPX(t81, s4);
    *((T + 5)) = SUB_CPX_CPX(t02, s5);
    *((T + 9)) = SUB_CPX_CPX(t81, s4);
    *((T + 13)) = ADD_CPX_CPX(t02, s5);
    *((T + 2)) = ADD_CPX_CPX(t51, s6);
    *((T + 6)) = SUB_CPX_CPX(t71, s7);
    *((T + 10)) = SUB_CPX_CPX(t51, s6);
    *((T + 14)) = ADD_CPX_CPX(t71, s7);
    *((T + 3)) = ADD_CPX_CPX(t91, s8);
    *((T + 7)) = SUB_CPX_CPX(t12, s9);
    *((T + 11)) = SUB_CPX_CPX(t91, s8);
    *((T + 15)) = ADD_CPX_CPX(t12, s9);
    {long i; for(i = 0; i <= 14; i++) {
        b = (src + i);
        a02 = (b + 1);
        a12 = (src + (255 - i));
        t44 = ADD_CPX_CPX(*(a02), *(a12));
        t54 = ADD_CPX_CPX(MUL_I_CPX(*(a02)), MUL_NI_CPX(*(a12)));
        a22 = (b + 33);
        a32 = (src + (223 - i));
        t64 = ADD_CPX_CPX(*(a22), *(a32));
        t74 = ADD_CPX_CPX(MUL_I_CPX(*(a22)), MUL_NI_CPX(*(a32)));
        a42 = (b + 65);
        a52 = (src + (191 - i));
        t84 = ADD_CPX_CPX(*(a42), *(a52));
        t94 = ADD_CPX_CPX(MUL_I_CPX(*(a42)), MUL_NI_CPX(*(a52)));
        a62 = (b + 97);
        a72 = (src + (159 - i));
        t05 = ADD_CPX_CPX(*(a62), *(a72));
        t15 = ADD_CPX_CPX(MUL_I_CPX(*(a62)), MUL_NI_CPX(*(a72)));
        a82 = (b + 129);
        a92 = (src + (127 - i));
        t25 = ADD_CPX_CPX(*(a82), *(a92));
        t35 = ADD_CPX_CPX(MUL_I_CPX(*(a82)), MUL_NI_CPX(*(a92)));
        a03 = (b + 161);
        a13 = (src + (95 - i));
        t45 = ADD_CPX_CPX(*(a03), *(a13));
        t55 = ADD_CPX_CPX(MUL_I_CPX(*(a03)), MUL_NI_CPX(*(a13)));
        a23 = (b + 193);
        a33 = (src + (63 - i));
        t65 = ADD_CPX_CPX(*(a23), *(a33));
        t75 = ADD_CPX_CPX(MUL_I_CPX(*(a23)), MUL_NI_CPX(*(a33)));
        a43 = (b + 225);
        a53 = (src + (31 - i));
        t85 = ADD_CPX_CPX(*(a43), *(a53));
        t95 = ADD_CPX_CPX(MUL_I_CPX(*(a43)), MUL_NI_CPX(*(a53)));
        t06 = ADD_CPX_CPX(t44, t25);
        t16 = ADD_CPX_CPX(t54, t35);
        t26 = SUB_CPX_CPX(t44, t25);
        t36 = SUB_CPX_CPX(t54, t35);
        t46 = ADD_CPX_CPX(t84, t65);
        t56 = ADD_CPX_CPX(t94, t75);
        t66 = SUB_CPX_CPX(t84, t65);
        t76 = SUB_CPX_CPX(t94, t75);
        t86 = ADD_CPX_CPX(t06, t46);
        t96 = ADD_CPX_CPX(t16, t56);
        t07 = SUB_CPX_CPX(t06, t46);
        t17 = SUB_CPX_CPX(t16, t56);
        t27 = SUB_CPX_CPX(t26, t76);
        t37 = ADD_CPX_CPX(t36, t66);
        t47 = ADD_CPX_CPX(t26, t76);
        t57 = SUB_CPX_CPX(t36, t66);
        t67 = ADD_CPX_CPX(t64, t85);
        t77 = ADD_CPX_CPX(t74, t95);
        t87 = SUB_CPX_CPX(t74, t95);
        t97 = SUB_CPX_CPX(t85, t64);
        t08 = ADD_CPX_CPX(t45, t05);
        t18 = ADD_CPX_CPX(t55, t15);
        t28 = SUB_CPX_CPX(t55, t15);
        t38 = SUB_CPX_CPX(t05, t45);
        s01 = ADD_CPX_CPX(t67, t08);
        s11 = ADD_CPX_CPX(t77, t18);
        s21 = ADD_CPX_CPX(t87, t28);
        s31 = ADD_CPX_CPX(t97, t38);
        a63 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t67, t08));
        a73 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t87, t28));
        t48 = SUB_CPX_CPX(a63, a73);
        a83 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t77, t18));
        a93 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t97, t38));
        t58 = SUB_CPX_CPX(a83, a93);
        t68 = ADD_CPX_CPX(a63, a73);
        t78 = ADD_CPX_CPX(a83, a93);
        s41 = SUB_CPX_CPX(t07, s21);
        s51 = SUB_CPX_CPX(t17, s31);
        s61 = SUB_CPX_CPX(t86, s01);
        s71 = SUB_CPX_CPX(t96, s11);
        s81 = ADD_CPX_CPX(t07, s21);
        s91 = ADD_CPX_CPX(t17, s31);
        s02 = ADD_CPX_CPX(t27, t48);
        s12 = ADD_CPX_CPX(t37, t58);
        s22 = SUB_CPX_CPX(t47, t68);
        s32 = SUB_CPX_CPX(t57, t78);
        s42 = SUB_CPX_CPX(t27, t48);
        s52 = SUB_CPX_CPX(t37, t58);
        s62 = ADD_CPX_CPX(t47, t68);
        s72 = ADD_CPX_CPX(t57, t78);
        b2 = (T + (16*i));
        *((b2 + 16)) = ADD_CPX_CPX(t86, s01);
        *((b2 + 24)) = ADD_CPX_CPX(t96, s11);
        a04 = (D989 + (14*i));
        a14 = (a04 + 1);
        a24 = (a04 + 2);
        a34 = (a04 + 3);
        a44 = (a04 + 4);
        a54 = (a04 + 5);
        a64 = (a04 + 6);
        a74 = (a04 + 7);
        a84 = (a04 + 8);
        a94 = (a04 + 9);
        a05 = (a04 + 10);
        a15 = (a04 + 11);
        a25 = (a04 + 12);
        a35 = (a04 + 13);
        *((b2 + 17)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a04), s02), MUL_FLT_CPX(*(a14), s12));
        *((b2 + 25)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a14), s02), MUL_FLT_CPX(*(a04), s12));
        *((b2 + 18)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a24), s41), MUL_FLT_CPX(*(a34), s51));
        *((b2 + 26)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a34), s41), MUL_FLT_CPX(*(a24), s51));
        *((b2 + 19)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a44), s22), MUL_FLT_CPX(*(a54), s32));
        *((b2 + 27)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a54), s22), MUL_FLT_CPX(*(a44), s32));
        *((b2 + 20)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a64), s61), MUL_FLT_CPX(*(a74), s71));
        *((b2 + 28)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a74), s61), MUL_FLT_CPX(*(a64), s71));
        *((b2 + 21)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a84), s42), MUL_FLT_CPX(*(a94), s52));
        *((b2 + 29)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a94), s42), MUL_FLT_CPX(*(a84), s52));
        *((b2 + 22)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a05), s81), MUL_FLT_CPX(*(a15), s91));
        *((b2 + 30)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a15), s81), MUL_FLT_CPX(*(a05), s91));
        *((b2 + 23)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a25), s62), MUL_FLT_CPX(*(a35), s72));
        *((b2 + 31)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a35), s62), MUL_FLT_CPX(*(a25), s72));
    }}
    {long i2; for(i2 = 0; i2 <= 7; i2++) {
        a45 = (T + i2);
        a55 = (a45 + 8);
        a65 = (a45 + 128);
        a75 = (a45 + 136);
        t88 = ADD_CPX_CPX(*(a45), *(a65));
        t98 = SUB_CPX_CPX(*(a55), *(a75));
        t09 = SUB_CPX_CPX(*(a45), *(a65));
        t19 = ADD_CPX_CPX(*(a55), *(a75));
        a85 = (a45 + 64);
        a95 = (a45 + 72);
        a06 = (a45 + 192);
        a16 = (a45 + 200);
        t29 = ADD_CPX_CPX(*(a85), *(a06));
        t39 = SUB_CPX_CPX(*(a95), *(a16));
        a26 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a85), *(a06)));
        a36 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(*(a95), *(a16)));
        s82 = SUB_CPX_CPX(a26, a36);
        s92 = ADD_CPX_CPX(a26, a36);
        t49 = ADD_CPX_CPX(t88, t29);
        t59 = SUB_CPX_CPX(t09, t39);
        t69 = SUB_CPX_CPX(t88, t29);
        t79 = ADD_CPX_CPX(t09, t39);
        t89 = ADD_CPX_CPX(t98, s82);
        t99 = SUB_CPX_CPX(t19, s92);
        t0a = SUB_CPX_CPX(t98, s82);
        t1a = ADD_CPX_CPX(t19, s92);
        a46 = (a45 + 16);
        a56 = (a45 + 24);
        a66 = (a45 + 240);
        a76 = (a45 + 248);
        t2a = ADD_CPX_CPX(*(a46), *(a66));
        t3a = SUB_CPX_CPX(*(a56), *(a76));
        t4a = SUB_CPX_CPX(*(a46), *(a66));
        t5a = ADD_CPX_CPX(*(a56), *(a76));
        a86 = (a45 + 144);
        a96 = (a45 + 152);
        a07 = (a45 + 112);
        a17 = (a45 + 120);
        t6a = ADD_CPX_CPX(*(a86), *(a07));
        t7a = SUB_CPX_CPX(*(a96), *(a17));
        t8a = SUB_CPX_CPX(*(a86), *(a07));
        t9a = ADD_CPX_CPX(*(a96), *(a17));
        t0b = ADD_CPX_CPX(t2a, t6a);
        t1b = ADD_CPX_CPX(t3a, t7a);
        t2b = SUB_CPX_CPX(t2a, t6a);
        t3b = SUB_CPX_CPX(t3a, t7a);
        t4b = SUB_CPX_CPX(t4a, t9a);
        t5b = ADD_CPX_CPX(t5a, t8a);
        t6b = ADD_CPX_CPX(t4a, t9a);
        t7b = SUB_CPX_CPX(t5a, t8a);
        s03 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t4b), MUL_FLT_CPX(C_FLT(0.19509032201612828), t5b));
        s13 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), t4b), MUL_FLT_CPX(C_FLT(0.98078528040323043), t5b));
        s23 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t2b), MUL_FLT_CPX(C_FLT(0.38268343236508978), t3b));
        s33 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t2b), MUL_FLT_CPX(C_FLT(0.92387953251128674), t3b));
        s43 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t6b), MUL_FLT_CPX(C_FLT(0.55557023301960218), t7b));
        s53 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), t6b), MUL_FLT_CPX(C_FLT(0.83146961230254524), t7b));
        a27 = (a45 + 32);
        a37 = (a45 + 40);
        a47 = (a45 + 224);
        a57 = (a45 + 232);
        t8b = ADD_CPX_CPX(*(a27), *(a47));
        t9b = SUB_CPX_CPX(*(a37), *(a57));
        t0c = SUB_CPX_CPX(*(a27), *(a47));
        t1c = ADD_CPX_CPX(*(a37), *(a57));
        a67 = (a45 + 160);
        a77 = (a45 + 168);
        a87 = (a45 + 96);
        a97 = (a45 + 104);
        t2c = ADD_CPX_CPX(*(a67), *(a87));
        t3c = SUB_CPX_CPX(*(a77), *(a97));
        t4c = SUB_CPX_CPX(*(a67), *(a87));
        t5c = ADD_CPX_CPX(*(a77), *(a97));
        t6c = ADD_CPX_CPX(t8b, t2c);
        t7c = ADD_CPX_CPX(t9b, t3c);
        t8c = SUB_CPX_CPX(t0c, t5c);
        t9c = ADD_CPX_CPX(t1c, t4c);
        t0d = ADD_CPX_CPX(t0c, t5c);
        t1d = SUB_CPX_CPX(t1c, t4c);
        s63 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t8c), MUL_FLT_CPX(C_FLT(0.38268343236508978), t9c));
        s73 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t8c), MUL_FLT_CPX(C_FLT(0.92387953251128674), t9c));
        a08 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8b, t2c));
        a18 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9b, t3c));
        s83 = SUB_CPX_CPX(a08, a18);
        s93 = ADD_CPX_CPX(a08, a18);
        s04 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t0d), MUL_FLT_CPX(C_FLT(0.92387953251128674), t1d));
        s14 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t0d), MUL_FLT_CPX(C_FLT(0.38268343236508978), t1d));
        a28 = (a45 + 48);
        a38 = (a45 + 56);
        a48 = (a45 + 208);
        a58 = (a45 + 216);
        t2d = ADD_CPX_CPX(*(a28), *(a48));
        t3d = SUB_CPX_CPX(*(a38), *(a58));
        t4d = SUB_CPX_CPX(*(a28), *(a48));
        t5d = ADD_CPX_CPX(*(a38), *(a58));
        a68 = (a45 + 176);
        a78 = (a45 + 184);
        a88 = (a45 + 80);
        a98 = (a45 + 88);
        t6d = ADD_CPX_CPX(*(a68), *(a88));
        t7d = SUB_CPX_CPX(*(a78), *(a98));
        t8d = SUB_CPX_CPX(*(a68), *(a88));
        t9d = ADD_CPX_CPX(*(a78), *(a98));
        t0e = ADD_CPX_CPX(t2d, t6d);
        t1e = ADD_CPX_CPX(t3d, t7d);
        t2e = SUB_CPX_CPX(t2d, t6d);
        t3e = SUB_CPX_CPX(t3d, t7d);
        t4e = SUB_CPX_CPX(t4d, t9d);
        t5e = ADD_CPX_CPX(t5d, t8d);
        t6e = ADD_CPX_CPX(t4d, t9d);
        t7e = SUB_CPX_CPX(t5d, t8d);
        s24 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t4e), MUL_FLT_CPX(C_FLT(0.55557023301960218), t5e));
        s34 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), t4e), MUL_FLT_CPX(C_FLT(0.83146961230254524), t5e));
        s44 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t2e), MUL_FLT_CPX(C_FLT(0.92387953251128674), t3e));
        s54 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t2e), MUL_FLT_CPX(C_FLT(0.38268343236508978), t3e));
        s64 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), t6e), MUL_FLT_CPX(C_FLT(0.98078528040323043), t7e));
        s74 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t6e), MUL_FLT_CPX(C_FLT(0.19509032201612828), t7e));
        t8e = ADD_CPX_CPX(t49, t6c);
        t9e = SUB_CPX_CPX(t69, t7c);
        t0f = SUB_CPX_CPX(t49, t6c);
        t1f = ADD_CPX_CPX(t69, t7c);
        t2f = ADD_CPX_CPX(t0b, t0e);
        t3f = SUB_CPX_CPX(t1b, t1e);
        a09 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0b, t0e));
        a19 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t1b, t1e));
        s84 = SUB_CPX_CPX(a09, a19);
        s94 = ADD_CPX_CPX(a09, a19);
        a29 = (dst + i2);
        *(a29) = ADD_CPX_CPX(t8e, t2f);
        *((a29 + 64)) = SUB_CPX_CPX(t0f, t3f);
        *((a29 + 128)) = SUB_CPX_CPX(t8e, t2f);
        *((a29 + 192)) = ADD_CPX_CPX(t0f, t3f);
        *((a29 + 32)) = ADD_CPX_CPX(t9e, s84);
        *((a29 + 96)) = SUB_CPX_CPX(t1f, s94);
        *((a29 + 160)) = SUB_CPX_CPX(t9e, s84);
        *((a29 + 224)) = ADD_CPX_CPX(t1f, s94);
        t4f = ADD_CPX_CPX(t89, s63);
        t5f = SUB_CPX_CPX(t0a, s73);
        t6f = SUB_CPX_CPX(t89, s63);
        t7f = ADD_CPX_CPX(t0a, s73);
        t8f = ADD_CPX_CPX(s03, s24);
        t9f = SUB_CPX_CPX(s13, s34);
        a39 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s03, s24));
        a49 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s13, s34));
        s05 = SUB_CPX_CPX(a39, a49);
        s15 = ADD_CPX_CPX(a39, a49);
        *((a29 + 8)) = ADD_CPX_CPX(t4f, t8f);
        *((a29 + 72)) = SUB_CPX_CPX(t6f, t9f);
        *((a29 + 136)) = SUB_CPX_CPX(t4f, t8f);
        *((a29 + 200)) = ADD_CPX_CPX(t6f, t9f);
        *((a29 + 40)) = ADD_CPX_CPX(t5f, s05);
        *((a29 + 104)) = SUB_CPX_CPX(t7f, s15);
        *((a29 + 168)) = SUB_CPX_CPX(t5f, s05);
        *((a29 + 232)) = ADD_CPX_CPX(t7f, s15);
        t0g = ADD_CPX_CPX(t59, s83);
        t1g = SUB_CPX_CPX(t79, s93);
        t2g = SUB_CPX_CPX(t59, s83);
        t3g = ADD_CPX_CPX(t79, s93);
        t4g = ADD_CPX_CPX(s23, s44);
        t5g = SUB_CPX_CPX(s33, s54);
        a59 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s23, s44));
        a69 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s33, s54));
        s25 = SUB_CPX_CPX(a59, a69);
        s35 = ADD_CPX_CPX(a59, a69);
        *((a29 + 16)) = ADD_CPX_CPX(t0g, t4g);
        *((a29 + 80)) = SUB_CPX_CPX(t2g, t5g);
        *((a29 + 144)) = SUB_CPX_CPX(t0g, t4g);
        *((a29 + 208)) = ADD_CPX_CPX(t2g, t5g);
        *((a29 + 48)) = ADD_CPX_CPX(t1g, s25);
        *((a29 + 112)) = SUB_CPX_CPX(t3g, s35);
        *((a29 + 176)) = SUB_CPX_CPX(t1g, s25);
        *((a29 + 240)) = ADD_CPX_CPX(t3g, s35);
        t6g = ADD_CPX_CPX(t99, s04);
        t7g = SUB_CPX_CPX(t1a, s14);
        t8g = SUB_CPX_CPX(t99, s04);
        t9g = ADD_CPX_CPX(t1a, s14);
        t0h = SUB_CPX_CPX(s43, s64);
        t1h = SUB_CPX_CPX(s53, s74);
        a79 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s43, s64));
        a89 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s53, s74));
        s45 = SUB_CPX_CPX(a79, a89);
        s55 = ADD_CPX_CPX(a79, a89);
        *((a29 + 24)) = ADD_CPX_CPX(t6g, t0h);
        *((a29 + 88)) = SUB_CPX_CPX(t8g, t1h);
        *((a29 + 152)) = SUB_CPX_CPX(t6g, t0h);
        *((a29 + 216)) = ADD_CPX_CPX(t8g, t1h);
        *((a29 + 56)) = ADD_CPX_CPX(t7g, s45);
        *((a29 + 120)) = SUB_CPX_CPX(t9g, s55);
        *((a29 + 184)) = SUB_CPX_CPX(t7g, s45);
        *((a29 + 248)) = ADD_CPX_CPX(t9g, s55);
    }}
    }
    
    return SPIRAL_OK;
    }
}

SPIRAL_PRIV(spiral_status_t, spiral_fftfwd_double_512_unaligned)(const double *pSrc, double *pDst ) {
    const CPX  *src = (const CPX *) pSrc; 
    CPX        *dst = (CPX *) pDst;
    
    
    { SPIRAL_ALIGNED(CPX T[512]);
    CPX  *a01, *a02, *a04, *a06, *a08, *a0a, *a0c, *a0e, *a0g, *a11, *a12, *a14, *a16, *a18, *a1a, *a1c, *a1e, *a1g, *a21, *a23, *a24, *a25
            , *a26, *a27, *a28, *a29, *a2a, *a2c, *a2e, *a2g, *a31, *a33, *a34, *a35, *a36, *a37, *a38, *a39, *a3a, *a3c, *a3e, *a3g, *a41, *a42
            , *a43, *a44, *a45, *a46, *a47, *a48, *a49, *a4a, *a4b, *a4c, *a4d, *a4e, *a4f, *a4g, *a51, *a52, *a53, *a54, *a55, *a56, *a57, *a58
            , *a59, *a5a, *a5b, *a5c, *a5d, *a5e, *a5f, *a5g, *a61, *a62, *a63, *a64, *a65, *a66, *a67, *a68, *a69, *a6a, *a6b, *a6c, *a6d, *a6e
            , *a6f, *a6g, *a71, *a72, *a73, *a74, *a75, *a76, *a77, *a78, *a79, *a7a, *a7b, *a7c, *a7d, *a7e, *a7f, *a7g, *a81, *a83, *a85, *a87
            , *a89, *a8b, *a8c, *a8d, *a8e, *a8f, *a8g, *a91, *a93, *a95, *a97, *a99, *a9b, *a9c, *a9d, *a9e, *a9f, *a9g, *b2;
    const CPX  *b;
    FLT  *a4, *a5, *a6, *a7, *a8, *a9;
    int a3;
    CPX a, a03, a05, a07, a09, a0b, a0d, a0f, a0h, a0i, a0j, a0k, a0l, a0m, a13, a15, a17, a19, a1b, a1d, a1f, a1h
        , a1i, a1j, a1k, a1l, a1m, a2, a22, a2b, a2d, a2f, a2h, a2i, a2j, a2k, a2l, a32, a3b, a3d, a3f, a3h, a3i, a3j
        , a3k, a3l, a4h, a4i, a4j, a4k, a4l, a5h, a5i, a5j, a5k, a5l, a6h, a6i, a6j, a6k, a6l, a7h, a7i, a7j, a7k, a7l
        , a82, a84, a86, a88, a8a, a8h, a8i, a8j, a8k, a8l, a92, a94, a96, a98, a9a, a9h, a9i, a9j, a9k, a9l, s, s01
        , s02, s03, s04, s05, s06, s07, s08, s09, s0a, s0b, s0c, s0d, s0e, s0f, s0g, s0h, s0i, s0j, s0k, s0l, s0m, s0n
        , s0o, s0p, s0q, s0r, s0s, s0t, s0u, s0v, s0w, s0x, s0y, s11, s12, s13, s14, s15, s16, s17, s18, s19, s1a, s1b
        , s1c, s1d, s1e, s1f, s1g, s1h, s1i, s1j, s1k, s1l, s1m, s1n, s1o, s1p, s1q, s1r, s1s, s1t, s1u, s1v, s1w, s1x
        , s1y, s2, s21, s22, s23, s24, s25, s26, s27, s28, s29, s2a, s2b, s2c, s2d, s2e, s2f, s2g, s2h, s2i, s2j, s2k
        , s2l, s2m, s2n, s2o, s2p, s2q, s2r, s2s, s2t, s2u, s2v, s2w, s2x, s2y, s3, s31, s32, s33, s34, s35, s36, s37
        , s38, s39, s3a, s3b, s3c, s3d, s3e, s3f, s3g, s3h, s3i, s3j, s3k, s3l, s3m, s3n, s3o, s3p, s3q, s3r, s3s, s3t
        , s3u, s3v, s3w, s3x, s3y, s4, s41, s42, s43, s44, s45, s46, s47, s48, s49, s4a, s4b, s4c, s4d, s4e, s4f, s4g
        , s4h, s4i, s4j, s4k, s4l, s4m, s4n, s4o, s4p, s4q, s4r, s4s, s4t, s4u, s4v, s4w, s4x, s4y, s5, s51, s52, s53
        , s54, s55, s56, s57, s58, s59, s5a, s5b, s5c, s5d, s5e, s5f, s5g, s5h, s5i, s5j, s5k, s5l, s5m, s5n, s5o, s5p
        , s5q, s5r, s5s, s5t, s5u, s5v, s5w, s5x, s5y, s6, s61, s62, s63, s64, s65, s66, s67, s68, s69, s6a, s6b, s6c
        , s6d, s6e, s6f, s6g, s6h, s6i, s6j, s6k, s6l, s6m, s6n, s6o, s6p, s6q, s6r, s6s, s6t, s6u, s6v, s6w, s6x, s7
        , s71, s72, s73, s74, s75, s76, s77, s78, s79, s7a, s7b, s7c, s7d, s7e, s7f, s7g, s7h, s7i, s7j, s7k, s7l, s7m
        , s7n, s7o, s7p, s7q, s7r, s7s, s7t, s7u, s7v, s7w, s7x, s8, s81, s82, s83, s84, s85, s86, s87, s88, s89, s8a
        , s8b, s8c, s8d, s8e, s8f, s8g, s8h, s8i, s8j, s8k, s8l, s8m, s8n, s8o, s8p, s8q, s8r, s8s, s8t, s8u, s8v, s8w
        , s8x, s9, s91, s92, s93, s94, s95, s96, s97, s98, s99, s9a, s9b, s9c, s9d, s9e, s9f, s9g, s9h, s9i, s9j, s9k
        , s9l, s9m, s9n, s9o, s9p, s9q, s9r, s9s, s9t, s9u, s9v, s9w, s9x, t, t01, t02, t03, t04, t05, t06, t07, t08
        , t09, t0A, t0B, t0C, t0D, t0E, t0F, t0G, t0H, t0I, t0J, t0K, t0L, t0M, t0N, t0O, t0P, t0Q, t0R, t0S, t0T, t0U
        , t0V, t0W, t0X, t0Y, t0a, t0b, t0c, t0d, t0e, t0f, t0g, t0h, t0i, t0j, t0k, t0l, t0m, t0n, t0o, t0p, t0q, t0r
        , t0s, t0t, t0u, t0v, t0w, t0x, t0y, t0z, t11, t12, t13, t14, t15, t16, t17, t18, t19, t1A, t1B, t1C, t1D, t1E
        , t1F, t1G, t1H, t1I, t1J, t1K, t1L, t1M, t1N, t1O, t1P, t1Q, t1R, t1S, t1T, t1U, t1V, t1W, t1X, t1Y, t1a, t1b
        , t1c, t1d, t1e, t1f, t1g, t1h, t1i, t1j, t1k, t1l, t1m, t1n, t1o, t1p, t1q, t1r, t1s, t1t, t1u, t1v, t1w, t1x
        , t1y, t1z, t2, t21, t22, t23, t24, t25, t26, t27, t28, t29, t2A, t2B, t2C, t2D, t2E, t2F, t2G, t2H, t2I, t2J
        , t2K, t2L, t2M, t2N, t2O, t2P, t2Q, t2R, t2S, t2T, t2U, t2V, t2W, t2X, t2Y, t2a, t2b, t2c, t2d, t2e, t2f, t2g
        , t2h, t2i, t2j, t2k, t2l, t2m, t2n, t2o, t2p, t2q, t2r, t2s, t2t, t2u, t2v, t2w, t2x, t2y, t2z, t3, t31, t32
        , t33, t34, t35, t36, t37, t38, t39, t3A, t3B, t3C, t3D, t3E, t3F, t3G, t3H, t3I, t3J, t3K, t3L, t3M, t3N, t3O
        , t3P, t3Q, t3R, t3S, t3T, t3U, t3V, t3W, t3X, t3Y, t3a, t3b, t3c, t3d, t3e, t3f, t3g, t3h, t3i, t3j, t3k, t3l
        , t3m, t3n, t3o, t3p, t3q, t3r, t3s, t3t, t3u, t3v, t3w, t3x, t3y, t3z, t4, t41, t42, t43, t44, t45, t46, t47
        , t48, t49, t4A, t4B, t4C, t4D, t4E, t4F, t4G, t4H, t4I, t4J, t4K, t4L, t4M, t4N, t4O, t4P, t4Q, t4R, t4S, t4T
        , t4U, t4V, t4W, t4X, t4Y, t4a, t4b, t4c, t4d, t4e, t4f, t4g, t4h, t4i, t4j, t4k, t4l, t4m, t4n, t4o, t4p, t4q
        , t4r, t4s, t4t, t4u, t4v, t4w, t4x, t4y, t4z, t5, t51, t52, t53, t54, t55, t56, t57, t58, t59, t5A, t5B, t5C
        , t5D, t5E, t5F, t5G, t5H, t5I, t5J, t5K, t5L, t5M, t5N, t5O, t5P, t5Q, t5R, t5S, t5T, t5U, t5V, t5W, t5X, t5Y
        , t5a, t5b, t5c, t5d, t5e, t5f, t5g, t5h, t5i, t5j, t5k, t5l, t5m, t5n, t5o, t5p, t5q, t5r, t5s, t5t, t5u, t5v
        , t5w, t5x, t5y, t5z, t6, t61, t62, t63, t64, t65, t66, t67, t68, t69, t6A, t6B, t6C, t6D, t6E, t6F, t6G, t6H
        , t6I, t6J, t6K, t6L, t6M, t6N, t6O, t6P, t6Q, t6R, t6S, t6T, t6U, t6V, t6W, t6X, t6Y, t6a, t6b, t6c, t6d, t6e
        , t6f, t6g, t6h, t6i, t6j, t6k, t6l, t6m, t6n, t6o, t6p, t6q, t6r, t6s, t6t, t6u, t6v, t6w, t6x, t6y, t6z, t7
        , t71, t72, t73, t74, t75, t76, t77, t78, t79, t7A, t7B, t7C, t7D, t7E, t7F, t7G, t7H, t7I, t7J, t7K, t7L, t7M
        , t7N, t7O, t7P, t7Q, t7R, t7S, t7T, t7U, t7V, t7W, t7X, t7Y, t7a, t7b, t7c, t7d, t7e, t7f, t7g, t7h, t7i, t7j
        , t7k, t7l, t7m, t7n, t7o, t7p, t7q, t7r, t7s, t7t, t7u, t7v, t7w, t7x, t7y, t7z, t8, t81, t82, t83, t84, t85
        , t86, t87, t88, t89, t8A, t8B, t8C, t8D, t8E, t8F, t8G, t8H, t8I, t8J, t8K, t8L, t8M, t8N, t8O, t8P, t8Q, t8R
        , t8S, t8T, t8U, t8V, t8W, t8X, t8Y, t8a, t8b, t8c, t8d, t8e, t8f, t8g, t8h, t8i, t8j, t8k, t8l, t8m, t8n, t8o
        , t8p, t8q, t8r, t8s, t8t, t8u, t8v, t8w, t8x, t8y, t8z, t9, t91, t92, t93, t94, t95, t96, t97, t98, t99, t9A
        , t9B, t9C, t9D, t9E, t9F, t9G, t9H, t9I, t9J, t9K, t9L, t9M, t9N, t9O, t9P, t9Q, t9R, t9S, t9T, t9U, t9V, t9W
        , t9X, t9Y, t9a, t9b, t9c, t9d, t9e, t9f, t9g, t9h, t9i, t9j, t9k, t9l, t9m, t9n, t9o, t9p, t9q, t9r, t9s, t9t
        , t9u, t9v, t9w, t9x, t9y, t9z;
    s = LOADU_CPX(src);
    s2 = LOADU_CPX((src + 256));
    t = ADD_CPX_CPX(s, s2);
    t2 = SUB_CPX_CPX(s, s2);
    s3 = LOADU_CPX((src + 128));
    s4 = LOADU_CPX((src + 384));
    t3 = ADD_CPX_CPX(s3, s4);
    s5 = MUL_NI_CPX(SUB_CPX_CPX(s3, s4));
    t4 = ADD_CPX_CPX(t, t3);
    t5 = SUB_CPX_CPX(t, t3);
    t6 = ADD_CPX_CPX(t2, s5);
    t7 = SUB_CPX_CPX(t2, s5);
    s6 = LOADU_CPX((src + 64));
    s7 = LOADU_CPX((src + 448));
    t8 = ADD_CPX_CPX(s6, s7);
    t9 = ADD_CPX_CPX(MUL_I_CPX(s6), MUL_NI_CPX(s7));
    s8 = LOADU_CPX((src + 320));
    s9 = LOADU_CPX((src + 192));
    t01 = ADD_CPX_CPX(s8, s9);
    t11 = ADD_CPX_CPX(MUL_I_CPX(s8), MUL_NI_CPX(s9));
    t21 = ADD_CPX_CPX(t8, t01);
    t31 = ADD_CPX_CPX(t9, t11);
    a = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8, t01));
    a2 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9, t11));
    s01 = SUB_CPX_CPX(a, a2);
    s11 = ADD_CPX_CPX(a, a2);
    *(T) = ADD_CPX_CPX(t4, t21);
    *((T + 2)) = SUB_CPX_CPX(t5, t31);
    *((T + 4)) = SUB_CPX_CPX(t4, t21);
    *((T + 6)) = ADD_CPX_CPX(t5, t31);
    *((T + 1)) = ADD_CPX_CPX(t6, s01);
    *((T + 3)) = SUB_CPX_CPX(t7, s11);
    *((T + 5)) = SUB_CPX_CPX(t6, s01);
    *((T + 7)) = ADD_CPX_CPX(t7, s11);
    {long i; for(i = 0; i <= 62; i++) {
        b = (src + i);
        s21 = LOADU_CPX((b + 1));
        a3 = (1 + i);
        s31 = LOADU_CPX((src + (512 - a3)));
        t41 = ADD_CPX_CPX(s21, s31);
        t51 = ADD_CPX_CPX(MUL_I_CPX(s21), MUL_NI_CPX(s31));
        s41 = LOADU_CPX((b + 129));
        s51 = LOADU_CPX((src + (384 - a3)));
        t61 = ADD_CPX_CPX(s41, s51);
        t71 = ADD_CPX_CPX(MUL_I_CPX(s41), MUL_NI_CPX(s51));
        s61 = LOADU_CPX((b + 257));
        s71 = LOADU_CPX((src + (256 - a3)));
        t81 = ADD_CPX_CPX(s61, s71);
        t91 = ADD_CPX_CPX(MUL_I_CPX(s61), MUL_NI_CPX(s71));
        s81 = LOADU_CPX((b + 385));
        s91 = LOADU_CPX((src + (128 - a3)));
        t02 = ADD_CPX_CPX(s81, s91);
        t12 = ADD_CPX_CPX(MUL_I_CPX(s81), MUL_NI_CPX(s91));
        t22 = ADD_CPX_CPX(t41, t81);
        t32 = ADD_CPX_CPX(t51, t91);
        t42 = SUB_CPX_CPX(t41, t81);
        t52 = SUB_CPX_CPX(t51, t91);
        t62 = ADD_CPX_CPX(t61, t02);
        t72 = ADD_CPX_CPX(t71, t12);
        t82 = SUB_CPX_CPX(t61, t02);
        t92 = SUB_CPX_CPX(t71, t12);
        t03 = SUB_CPX_CPX(t22, t62);
        t13 = SUB_CPX_CPX(t32, t72);
        t23 = SUB_CPX_CPX(t42, t92);
        t33 = ADD_CPX_CPX(t52, t82);
        t43 = ADD_CPX_CPX(t42, t92);
        t53 = SUB_CPX_CPX(t52, t82);
        b2 = (T + (8*i));
        *((b2 + 8)) = ADD_CPX_CPX(t22, t62);
        *((b2 + 12)) = ADD_CPX_CPX(t32, t72);
        a4 = (D992 + (6*i));
        a5 = (a4 + 1);
        a6 = (a4 + 2);
        a7 = (a4 + 3);
        a8 = (a4 + 4);
        a9 = (a4 + 5);
        *((b2 + 9)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a4), t23), MUL_FLT_CPX(*(a5), t33));
        *((b2 + 13)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a5), t23), MUL_FLT_CPX(*(a4), t33));
        *((b2 + 10)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a6), t03), MUL_FLT_CPX(*(a7), t13));
        *((b2 + 14)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a7), t03), MUL_FLT_CPX(*(a6), t13));
        *((b2 + 11)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a8), t43), MUL_FLT_CPX(*(a9), t53));
        *((b2 + 15)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a9), t43), MUL_FLT_CPX(*(a8), t53));
    }}
    {long i2; for(i2 = 0; i2 <= 3; i2++) {
        a01 = (T + i2);
        a11 = (a01 + 4);
        a21 = (a01 + 256);
        a31 = (a01 + 260);
        t63 = ADD_CPX_CPX(*(a01), *(a21));
        t73 = SUB_CPX_CPX(*(a11), *(a31));
        t83 = SUB_CPX_CPX(*(a01), *(a21));
        t93 = ADD_CPX_CPX(*(a11), *(a31));
        a41 = (a01 + 64);
        a51 = (a01 + 68);
        a61 = (a01 + 448);
        a71 = (a01 + 452);
        t04 = ADD_CPX_CPX(*(a41), *(a61));
        t14 = SUB_CPX_CPX(*(a51), *(a71));
        t24 = SUB_CPX_CPX(*(a41), *(a61));
        t34 = ADD_CPX_CPX(*(a51), *(a71));
        s02 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t24), MUL_FLT_CPX(C_FLT(0.38268343236508978), t34));
        s12 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t24), MUL_FLT_CPX(C_FLT(0.92387953251128674), t34));
        a81 = (a01 + 128);
        a91 = (a01 + 132);
        a02 = (a01 + 384);
        a12 = (a01 + 388);
        t44 = ADD_CPX_CPX(*(a81), *(a02));
        t54 = SUB_CPX_CPX(*(a91), *(a12));
        a22 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a81), *(a02)));
        a32 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(*(a91), *(a12)));
        s22 = SUB_CPX_CPX(a22, a32);
        s32 = ADD_CPX_CPX(a22, a32);
        a42 = (a01 + 192);
        a52 = (a01 + 196);
        a62 = (a01 + 320);
        a72 = (a01 + 324);
        t64 = ADD_CPX_CPX(*(a42), *(a62));
        t74 = SUB_CPX_CPX(*(a52), *(a72));
        t84 = SUB_CPX_CPX(*(a42), *(a62));
        t94 = ADD_CPX_CPX(*(a52), *(a72));
        s42 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t84), MUL_FLT_CPX(C_FLT(0.92387953251128674), t94));
        s52 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t84), MUL_FLT_CPX(C_FLT(0.38268343236508978), t94));
        t05 = ADD_CPX_CPX(t63, t44);
        t15 = SUB_CPX_CPX(t83, t54);
        t25 = SUB_CPX_CPX(t63, t44);
        t35 = ADD_CPX_CPX(t83, t54);
        t45 = ADD_CPX_CPX(t04, t64);
        t55 = SUB_CPX_CPX(t14, t74);
        a82 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t04, t64));
        a92 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t14, t74));
        s62 = SUB_CPX_CPX(a82, a92);
        s72 = ADD_CPX_CPX(a82, a92);
        t65 = ADD_CPX_CPX(t05, t45);
        t75 = SUB_CPX_CPX(t25, t55);
        t85 = SUB_CPX_CPX(t05, t45);
        t95 = ADD_CPX_CPX(t25, t55);
        t06 = ADD_CPX_CPX(t15, s62);
        t16 = SUB_CPX_CPX(t35, s72);
        t26 = SUB_CPX_CPX(t15, s62);
        t36 = ADD_CPX_CPX(t35, s72);
        t46 = ADD_CPX_CPX(t73, s22);
        t56 = SUB_CPX_CPX(t93, s32);
        t66 = SUB_CPX_CPX(t73, s22);
        t76 = ADD_CPX_CPX(t93, s32);
        t86 = ADD_CPX_CPX(s02, s42);
        t96 = SUB_CPX_CPX(s12, s52);
        a03 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s02, s42));
        a13 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s12, s52));
        s82 = SUB_CPX_CPX(a03, a13);
        s92 = ADD_CPX_CPX(a03, a13);
        t07 = ADD_CPX_CPX(t46, t86);
        t17 = SUB_CPX_CPX(t66, t96);
        t27 = SUB_CPX_CPX(t46, t86);
        t37 = ADD_CPX_CPX(t66, t96);
        t47 = ADD_CPX_CPX(t56, s82);
        t57 = SUB_CPX_CPX(t76, s92);
        t67 = SUB_CPX_CPX(t56, s82);
        t77 = ADD_CPX_CPX(t76, s92);
        a23 = (a01 + 8);
        a33 = (a01 + 12);
        a43 = (a01 + 504);
        a53 = (a01 + 508);
        t87 = ADD_CPX_CPX(*(a23), *(a43));
        t97 = SUB_CPX_CPX(*(a33), *(a53));
        t08 = SUB_CPX_CPX(*(a23), *(a43));
        t18 = ADD_CPX_CPX(*(a33), *(a53));
        a63 = (a01 + 264);
        a73 = (a01 + 268);
        a83 = (a01 + 248);
        a93 = (a01 + 252);
        t28 = ADD_CPX_CPX(*(a63), *(a83));
        t38 = SUB_CPX_CPX(*(a73), *(a93));
        t48 = SUB_CPX_CPX(*(a63), *(a83));
        t58 = ADD_CPX_CPX(*(a73), *(a93));
        t68 = ADD_CPX_CPX(t87, t28);
        t78 = ADD_CPX_CPX(t97, t38);
        t88 = SUB_CPX_CPX(t87, t28);
        t98 = SUB_CPX_CPX(t97, t38);
        t09 = SUB_CPX_CPX(t08, t58);
        t19 = ADD_CPX_CPX(t18, t48);
        t29 = ADD_CPX_CPX(t08, t58);
        t39 = SUB_CPX_CPX(t18, t48);
        a04 = (a01 + 136);
        a14 = (a01 + 140);
        a24 = (a01 + 120);
        a34 = (a01 + 124);
        t49 = ADD_CPX_CPX(*(a04), *(a24));
        t59 = SUB_CPX_CPX(*(a14), *(a34));
        t69 = ADD_CPX_CPX(*(a14), *(a34));
        t79 = SUB_CPX_CPX(*(a24), *(a04));
        a44 = (a01 + 376);
        a54 = (a01 + 380);
        a64 = (a01 + 392);
        a74 = (a01 + 396);
        t89 = ADD_CPX_CPX(*(a44), *(a64));
        t99 = SUB_CPX_CPX(*(a74), *(a54));
        t0a = ADD_CPX_CPX(*(a54), *(a74));
        t1a = SUB_CPX_CPX(*(a64), *(a44));
        s03 = ADD_CPX_CPX(t49, t89);
        s13 = ADD_CPX_CPX(t59, t99);
        s23 = SUB_CPX_CPX(t69, t0a);
        s33 = ADD_CPX_CPX(t79, t1a);
        a84 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t49, t89));
        a94 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t69, t0a));
        t2a = SUB_CPX_CPX(a84, a94);
        a05 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t59, t99));
        a15 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t79, t1a));
        t3a = SUB_CPX_CPX(a05, a15);
        t4a = ADD_CPX_CPX(a84, a94);
        t5a = ADD_CPX_CPX(a05, a15);
        s43 = ADD_CPX_CPX(t68, s03);
        s53 = ADD_CPX_CPX(t78, s13);
        s63 = SUB_CPX_CPX(t88, s23);
        s73 = SUB_CPX_CPX(t98, s33);
        s83 = SUB_CPX_CPX(t68, s03);
        s93 = SUB_CPX_CPX(t78, s13);
        s04 = ADD_CPX_CPX(t88, s23);
        s14 = ADD_CPX_CPX(t98, s33);
        s24 = ADD_CPX_CPX(t09, t2a);
        s34 = ADD_CPX_CPX(t19, t3a);
        s44 = SUB_CPX_CPX(t29, t4a);
        s54 = SUB_CPX_CPX(t39, t5a);
        s64 = SUB_CPX_CPX(t09, t2a);
        s74 = SUB_CPX_CPX(t19, t3a);
        s84 = ADD_CPX_CPX(t29, t4a);
        s94 = ADD_CPX_CPX(t39, t5a);
        s05 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99879545620517241), s24), MUL_FLT_CPX(C_FLT(0.049067674327418015), s34));
        s15 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.049067674327418015), s24), MUL_FLT_CPX(C_FLT(0.99879545620517241), s34));
        s25 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), s63), MUL_FLT_CPX(C_FLT(0.098017140329560604), s73));
        s35 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), s63), MUL_FLT_CPX(C_FLT(0.99518472667219693), s73));
        s45 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s44), MUL_FLT_CPX(C_FLT(0.14673047445536175), s54));
        s55 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.14673047445536175), s44), MUL_FLT_CPX(C_FLT(0.98917650996478101), s54));
        s65 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s83), MUL_FLT_CPX(C_FLT(0.19509032201612828), s93));
        s75 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s83), MUL_FLT_CPX(C_FLT(0.98078528040323043), s93));
        s85 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.97003125319454397), s64), MUL_FLT_CPX(C_FLT(0.2429801799032639), s74));
        s95 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.2429801799032639), s64), MUL_FLT_CPX(C_FLT(0.97003125319454397), s74));
        s06 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s04), MUL_FLT_CPX(C_FLT(0.29028467725446239), s14));
        s16 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.29028467725446239), s04), MUL_FLT_CPX(C_FLT(0.95694033573220882), s14));
        s26 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), s84), MUL_FLT_CPX(C_FLT(0.33688985339222005), s94));
        s36 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.33688985339222005), s84), MUL_FLT_CPX(C_FLT(0.94154406518302081), s94));
        a25 = (a01 + 16);
        a35 = (a01 + 20);
        a45 = (a01 + 496);
        a55 = (a01 + 500);
        t6a = ADD_CPX_CPX(*(a25), *(a45));
        t7a = SUB_CPX_CPX(*(a35), *(a55));
        t8a = SUB_CPX_CPX(*(a25), *(a45));
        t9a = ADD_CPX_CPX(*(a35), *(a55));
        a65 = (a01 + 272);
        a75 = (a01 + 276);
        a85 = (a01 + 240);
        a95 = (a01 + 244);
        t0b = ADD_CPX_CPX(*(a65), *(a85));
        t1b = SUB_CPX_CPX(*(a75), *(a95));
        t2b = SUB_CPX_CPX(*(a65), *(a85));
        t3b = ADD_CPX_CPX(*(a75), *(a95));
        t4b = ADD_CPX_CPX(t6a, t0b);
        t5b = ADD_CPX_CPX(t7a, t1b);
        t6b = SUB_CPX_CPX(t6a, t0b);
        t7b = SUB_CPX_CPX(t7a, t1b);
        t8b = SUB_CPX_CPX(t8a, t3b);
        t9b = ADD_CPX_CPX(t9a, t2b);
        t0c = ADD_CPX_CPX(t8a, t3b);
        t1c = SUB_CPX_CPX(t9a, t2b);
        a06 = (a01 + 144);
        a16 = (a01 + 148);
        a26 = (a01 + 112);
        a36 = (a01 + 116);
        t2c = ADD_CPX_CPX(*(a06), *(a26));
        t3c = SUB_CPX_CPX(*(a16), *(a36));
        t4c = ADD_CPX_CPX(*(a16), *(a36));
        t5c = SUB_CPX_CPX(*(a26), *(a06));
        a46 = (a01 + 368);
        a56 = (a01 + 372);
        a66 = (a01 + 400);
        a76 = (a01 + 404);
        t6c = ADD_CPX_CPX(*(a46), *(a66));
        t7c = SUB_CPX_CPX(*(a76), *(a56));
        t8c = ADD_CPX_CPX(*(a56), *(a76));
        t9c = SUB_CPX_CPX(*(a66), *(a46));
        s46 = ADD_CPX_CPX(t2c, t6c);
        s56 = ADD_CPX_CPX(t3c, t7c);
        s66 = SUB_CPX_CPX(t4c, t8c);
        s76 = ADD_CPX_CPX(t5c, t9c);
        a86 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2c, t6c));
        a96 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t4c, t8c));
        t0d = SUB_CPX_CPX(a86, a96);
        a07 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3c, t7c));
        a17 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t5c, t9c));
        t1d = SUB_CPX_CPX(a07, a17);
        t2d = ADD_CPX_CPX(a86, a96);
        t3d = ADD_CPX_CPX(a07, a17);
        s86 = ADD_CPX_CPX(t4b, s46);
        s96 = ADD_CPX_CPX(t5b, s56);
        s07 = SUB_CPX_CPX(t6b, s66);
        s17 = SUB_CPX_CPX(t7b, s76);
        s27 = SUB_CPX_CPX(t4b, s46);
        s37 = SUB_CPX_CPX(t5b, s56);
        s47 = ADD_CPX_CPX(t6b, s66);
        s57 = ADD_CPX_CPX(t7b, s76);
        s67 = ADD_CPX_CPX(t8b, t0d);
        s77 = ADD_CPX_CPX(t9b, t1d);
        s87 = SUB_CPX_CPX(t0c, t2d);
        s97 = SUB_CPX_CPX(t1c, t3d);
        s08 = SUB_CPX_CPX(t8b, t0d);
        s18 = SUB_CPX_CPX(t9b, t1d);
        s28 = ADD_CPX_CPX(t0c, t2d);
        s38 = ADD_CPX_CPX(t1c, t3d);
        s48 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), s67), MUL_FLT_CPX(C_FLT(0.098017140329560604), s77));
        s58 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), s67), MUL_FLT_CPX(C_FLT(0.99518472667219693), s77));
        s68 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s07), MUL_FLT_CPX(C_FLT(0.19509032201612828), s17));
        s78 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s07), MUL_FLT_CPX(C_FLT(0.98078528040323043), s17));
        s88 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s87), MUL_FLT_CPX(C_FLT(0.29028467725446239), s97));
        s98 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.29028467725446239), s87), MUL_FLT_CPX(C_FLT(0.95694033573220882), s97));
        s09 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s27), MUL_FLT_CPX(C_FLT(0.38268343236508978), s37));
        s19 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s27), MUL_FLT_CPX(C_FLT(0.92387953251128674), s37));
        s29 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s08), MUL_FLT_CPX(C_FLT(0.47139673682599764), s18));
        s39 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.47139673682599764), s08), MUL_FLT_CPX(C_FLT(0.88192126434835505), s18));
        s49 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s47), MUL_FLT_CPX(C_FLT(0.55557023301960218), s57));
        s59 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s47), MUL_FLT_CPX(C_FLT(0.83146961230254524), s57));
        s69 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), s28), MUL_FLT_CPX(C_FLT(0.63439328416364549), s38));
        s79 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), s28), MUL_FLT_CPX(C_FLT(0.77301045336273699), s38));
        a27 = (a01 + 24);
        a37 = (a01 + 28);
        a47 = (a01 + 488);
        a57 = (a01 + 492);
        t4d = ADD_CPX_CPX(*(a27), *(a47));
        t5d = SUB_CPX_CPX(*(a37), *(a57));
        t6d = SUB_CPX_CPX(*(a27), *(a47));
        t7d = ADD_CPX_CPX(*(a37), *(a57));
        a67 = (a01 + 280);
        a77 = (a01 + 284);
        a87 = (a01 + 232);
        a97 = (a01 + 236);
        t8d = ADD_CPX_CPX(*(a67), *(a87));
        t9d = SUB_CPX_CPX(*(a77), *(a97));
        t0e = SUB_CPX_CPX(*(a67), *(a87));
        t1e = ADD_CPX_CPX(*(a77), *(a97));
        t2e = ADD_CPX_CPX(t4d, t8d);
        t3e = ADD_CPX_CPX(t5d, t9d);
        t4e = SUB_CPX_CPX(t4d, t8d);
        t5e = SUB_CPX_CPX(t5d, t9d);
        t6e = SUB_CPX_CPX(t6d, t1e);
        t7e = ADD_CPX_CPX(t7d, t0e);
        t8e = ADD_CPX_CPX(t6d, t1e);
        t9e = SUB_CPX_CPX(t7d, t0e);
        a08 = (a01 + 152);
        a18 = (a01 + 156);
        a28 = (a01 + 104);
        a38 = (a01 + 108);
        t0f = ADD_CPX_CPX(*(a08), *(a28));
        t1f = SUB_CPX_CPX(*(a18), *(a38));
        t2f = ADD_CPX_CPX(*(a18), *(a38));
        t3f = SUB_CPX_CPX(*(a28), *(a08));
        a48 = (a01 + 360);
        a58 = (a01 + 364);
        a68 = (a01 + 408);
        a78 = (a01 + 412);
        t4f = ADD_CPX_CPX(*(a48), *(a68));
        t5f = SUB_CPX_CPX(*(a78), *(a58));
        t6f = ADD_CPX_CPX(*(a58), *(a78));
        t7f = SUB_CPX_CPX(*(a68), *(a48));
        s89 = ADD_CPX_CPX(t0f, t4f);
        s99 = ADD_CPX_CPX(t1f, t5f);
        s0a = SUB_CPX_CPX(t2f, t6f);
        s1a = ADD_CPX_CPX(t3f, t7f);
        a88 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0f, t4f));
        a98 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t2f, t6f));
        t8f = SUB_CPX_CPX(a88, a98);
        a09 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t1f, t5f));
        a19 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3f, t7f));
        t9f = SUB_CPX_CPX(a09, a19);
        t0g = ADD_CPX_CPX(a88, a98);
        t1g = ADD_CPX_CPX(a09, a19);
        s2a = ADD_CPX_CPX(t2e, s89);
        s3a = ADD_CPX_CPX(t3e, s99);
        s4a = SUB_CPX_CPX(t4e, s0a);
        s5a = SUB_CPX_CPX(t5e, s1a);
        s6a = SUB_CPX_CPX(t2e, s89);
        s7a = SUB_CPX_CPX(t3e, s99);
        s8a = ADD_CPX_CPX(t4e, s0a);
        s9a = ADD_CPX_CPX(t5e, s1a);
        s0b = ADD_CPX_CPX(t6e, t8f);
        s1b = ADD_CPX_CPX(t7e, t9f);
        s2b = SUB_CPX_CPX(t8e, t0g);
        s3b = SUB_CPX_CPX(t9e, t1g);
        s4b = SUB_CPX_CPX(t6e, t8f);
        s5b = SUB_CPX_CPX(t7e, t9f);
        s6b = ADD_CPX_CPX(t8e, t0g);
        s7b = ADD_CPX_CPX(t9e, t1g);
        s8b = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s0b), MUL_FLT_CPX(C_FLT(0.14673047445536175), s1b));
        s9b = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.14673047445536175), s0b), MUL_FLT_CPX(C_FLT(0.98917650996478101), s1b));
        s0c = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s4a), MUL_FLT_CPX(C_FLT(0.29028467725446239), s5a));
        s1c = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.29028467725446239), s4a), MUL_FLT_CPX(C_FLT(0.95694033573220882), s5a));
        s2c = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.90398929312344334), s2b), MUL_FLT_CPX(C_FLT(0.42755509343028208), s3b));
        s3c = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.42755509343028208), s2b), MUL_FLT_CPX(C_FLT(0.90398929312344334), s3b));
        s4c = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s6a), MUL_FLT_CPX(C_FLT(0.55557023301960218), s7a));
        s5c = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s6a), MUL_FLT_CPX(C_FLT(0.83146961230254524), s7a));
        s6c = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), s4b), MUL_FLT_CPX(C_FLT(0.67155895484701844), s5b));
        s7c = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.67155895484701844), s4b), MUL_FLT_CPX(C_FLT(0.74095112535495911), s5b));
        s8c = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), s8a), MUL_FLT_CPX(C_FLT(0.77301045336273699), s9a));
        s9c = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), s8a), MUL_FLT_CPX(C_FLT(0.63439328416364549), s9a));
        s0d = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.51410274419322177), s6b), MUL_FLT_CPX(C_FLT(0.85772861000027212), s7b));
        s1d = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.85772861000027212), s6b), MUL_FLT_CPX(C_FLT(0.51410274419322177), s7b));
        a29 = (a01 + 32);
        a39 = (a01 + 36);
        a49 = (a01 + 480);
        a59 = (a01 + 484);
        t2g = ADD_CPX_CPX(*(a29), *(a49));
        t3g = SUB_CPX_CPX(*(a39), *(a59));
        t4g = SUB_CPX_CPX(*(a29), *(a49));
        t5g = ADD_CPX_CPX(*(a39), *(a59));
        a69 = (a01 + 288);
        a79 = (a01 + 292);
        a89 = (a01 + 224);
        a99 = (a01 + 228);
        t6g = ADD_CPX_CPX(*(a69), *(a89));
        t7g = SUB_CPX_CPX(*(a79), *(a99));
        t8g = SUB_CPX_CPX(*(a69), *(a89));
        t9g = ADD_CPX_CPX(*(a79), *(a99));
        t0h = ADD_CPX_CPX(t2g, t6g);
        t1h = ADD_CPX_CPX(t3g, t7g);
        t2h = SUB_CPX_CPX(t2g, t6g);
        t3h = SUB_CPX_CPX(t3g, t7g);
        t4h = SUB_CPX_CPX(t4g, t9g);
        t5h = ADD_CPX_CPX(t5g, t8g);
        t6h = ADD_CPX_CPX(t4g, t9g);
        t7h = SUB_CPX_CPX(t5g, t8g);
        a0a = (a01 + 160);
        a1a = (a01 + 164);
        a2a = (a01 + 96);
        a3a = (a01 + 100);
        t8h = ADD_CPX_CPX(*(a0a), *(a2a));
        t9h = SUB_CPX_CPX(*(a1a), *(a3a));
        t0i = ADD_CPX_CPX(*(a1a), *(a3a));
        t1i = SUB_CPX_CPX(*(a2a), *(a0a));
        a4a = (a01 + 352);
        a5a = (a01 + 356);
        a6a = (a01 + 416);
        a7a = (a01 + 420);
        t2i = ADD_CPX_CPX(*(a4a), *(a6a));
        t3i = SUB_CPX_CPX(*(a7a), *(a5a));
        t4i = ADD_CPX_CPX(*(a5a), *(a7a));
        t5i = SUB_CPX_CPX(*(a6a), *(a4a));
        s2d = ADD_CPX_CPX(t8h, t2i);
        s3d = ADD_CPX_CPX(t9h, t3i);
        s4d = SUB_CPX_CPX(t0i, t4i);
        s5d = ADD_CPX_CPX(t1i, t5i);
        a8a = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8h, t2i));
        a9a = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t0i, t4i));
        t6i = SUB_CPX_CPX(a8a, a9a);
        a0b = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9h, t3i));
        a1b = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t1i, t5i));
        t7i = SUB_CPX_CPX(a0b, a1b);
        t8i = ADD_CPX_CPX(a8a, a9a);
        t9i = ADD_CPX_CPX(a0b, a1b);
        s6d = ADD_CPX_CPX(t0h, s2d);
        s7d = ADD_CPX_CPX(t1h, s3d);
        s8d = SUB_CPX_CPX(t2h, s4d);
        s9d = SUB_CPX_CPX(t3h, s5d);
        s0e = ADD_CPX_CPX(t2h, s4d);
        s1e = ADD_CPX_CPX(t3h, s5d);
        s2e = ADD_CPX_CPX(t4h, t6i);
        s3e = ADD_CPX_CPX(t5h, t7i);
        s4e = SUB_CPX_CPX(t6h, t8i);
        s5e = SUB_CPX_CPX(t7h, t9i);
        s6e = SUB_CPX_CPX(t4h, t6i);
        s7e = SUB_CPX_CPX(t5h, t7i);
        s8e = ADD_CPX_CPX(t6h, t8i);
        s9e = ADD_CPX_CPX(t7h, t9i);
        s0f = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s2e), MUL_FLT_CPX(C_FLT(0.19509032201612828), s3e));
        s1f = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s2e), MUL_FLT_CPX(C_FLT(0.98078528040323043), s3e));
        s2f = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s8d), MUL_FLT_CPX(C_FLT(0.38268343236508978), s9d));
        s3f = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s8d), MUL_FLT_CPX(C_FLT(0.92387953251128674), s9d));
        s4f = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s4e), MUL_FLT_CPX(C_FLT(0.55557023301960218), s5e));
        s5f = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s4e), MUL_FLT_CPX(C_FLT(0.83146961230254524), s5e));
        a2b = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0h, s2d));
        a3b = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t1h, s3d));
        s6f = SUB_CPX_CPX(a2b, a3b);
        s7f = ADD_CPX_CPX(a2b, a3b);
        s8f = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s6e), MUL_FLT_CPX(C_FLT(0.83146961230254524), s7e));
        s9f = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s6e), MUL_FLT_CPX(C_FLT(0.55557023301960218), s7e));
        s0g = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s0e), MUL_FLT_CPX(C_FLT(0.92387953251128674), s1e));
        s1g = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s0e), MUL_FLT_CPX(C_FLT(0.38268343236508978), s1e));
        s2g = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s8e), MUL_FLT_CPX(C_FLT(0.98078528040323043), s9e));
        s3g = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s8e), MUL_FLT_CPX(C_FLT(0.19509032201612828), s9e));
        a4b = (a01 + 40);
        a5b = (a01 + 44);
        a6b = (a01 + 472);
        a7b = (a01 + 476);
        t0j = ADD_CPX_CPX(*(a4b), *(a6b));
        t1j = SUB_CPX_CPX(*(a5b), *(a7b));
        t2j = SUB_CPX_CPX(*(a4b), *(a6b));
        t3j = ADD_CPX_CPX(*(a5b), *(a7b));
        a8b = (a01 + 296);
        a9b = (a01 + 300);
        a0c = (a01 + 216);
        a1c = (a01 + 220);
        t4j = ADD_CPX_CPX(*(a8b), *(a0c));
        t5j = SUB_CPX_CPX(*(a9b), *(a1c));
        t6j = SUB_CPX_CPX(*(a8b), *(a0c));
        t7j = ADD_CPX_CPX(*(a9b), *(a1c));
        t8j = ADD_CPX_CPX(t0j, t4j);
        t9j = ADD_CPX_CPX(t1j, t5j);
        t0k = SUB_CPX_CPX(t0j, t4j);
        t1k = SUB_CPX_CPX(t1j, t5j);
        t2k = SUB_CPX_CPX(t2j, t7j);
        t3k = ADD_CPX_CPX(t3j, t6j);
        t4k = ADD_CPX_CPX(t2j, t7j);
        t5k = SUB_CPX_CPX(t3j, t6j);
        a2c = (a01 + 168);
        a3c = (a01 + 172);
        a4c = (a01 + 88);
        a5c = (a01 + 92);
        t6k = ADD_CPX_CPX(*(a2c), *(a4c));
        t7k = SUB_CPX_CPX(*(a3c), *(a5c));
        t8k = ADD_CPX_CPX(*(a3c), *(a5c));
        t9k = SUB_CPX_CPX(*(a4c), *(a2c));
        a6c = (a01 + 344);
        a7c = (a01 + 348);
        a8c = (a01 + 424);
        a9c = (a01 + 428);
        t0l = ADD_CPX_CPX(*(a6c), *(a8c));
        t1l = SUB_CPX_CPX(*(a9c), *(a7c));
        t2l = ADD_CPX_CPX(*(a7c), *(a9c));
        t3l = SUB_CPX_CPX(*(a8c), *(a6c));
        s4g = ADD_CPX_CPX(t6k, t0l);
        s5g = ADD_CPX_CPX(t7k, t1l);
        s6g = SUB_CPX_CPX(t8k, t2l);
        s7g = ADD_CPX_CPX(t9k, t3l);
        a0d = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t6k, t0l));
        a1d = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t8k, t2l));
        t4l = SUB_CPX_CPX(a0d, a1d);
        a2d = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t7k, t1l));
        a3d = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9k, t3l));
        t5l = SUB_CPX_CPX(a2d, a3d);
        t6l = ADD_CPX_CPX(a0d, a1d);
        t7l = ADD_CPX_CPX(a2d, a3d);
        s8g = ADD_CPX_CPX(t8j, s4g);
        s9g = ADD_CPX_CPX(t9j, s5g);
        s0h = SUB_CPX_CPX(t0k, s6g);
        s1h = SUB_CPX_CPX(t1k, s7g);
        s2h = SUB_CPX_CPX(t8j, s4g);
        s3h = SUB_CPX_CPX(t9j, s5g);
        s4h = ADD_CPX_CPX(t0k, s6g);
        s5h = ADD_CPX_CPX(t1k, s7g);
        s6h = ADD_CPX_CPX(t2k, t4l);
        s7h = ADD_CPX_CPX(t3k, t5l);
        s8h = SUB_CPX_CPX(t4k, t6l);
        s9h = SUB_CPX_CPX(t5k, t7l);
        s0i = SUB_CPX_CPX(t2k, t4l);
        s1i = SUB_CPX_CPX(t3k, t5l);
        s2i = ADD_CPX_CPX(t4k, t6l);
        s3i = ADD_CPX_CPX(t5k, t7l);
        s4i = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.97003125319454397), s6h), MUL_FLT_CPX(C_FLT(0.2429801799032639), s7h));
        s5i = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.2429801799032639), s6h), MUL_FLT_CPX(C_FLT(0.97003125319454397), s7h));
        s6i = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s0h), MUL_FLT_CPX(C_FLT(0.47139673682599764), s1h));
        s7i = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.47139673682599764), s0h), MUL_FLT_CPX(C_FLT(0.88192126434835505), s1h));
        s8i = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), s8h), MUL_FLT_CPX(C_FLT(0.67155895484701844), s9h));
        s9i = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.67155895484701844), s8h), MUL_FLT_CPX(C_FLT(0.74095112535495911), s9h));
        s0j = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s2h), MUL_FLT_CPX(C_FLT(0.83146961230254524), s3h));
        s1j = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s2h), MUL_FLT_CPX(C_FLT(0.55557023301960218), s3h));
        s2j = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.33688985339222005), s0i), MUL_FLT_CPX(C_FLT(0.94154406518302081), s1i));
        s3j = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), s0i), MUL_FLT_CPX(C_FLT(0.33688985339222005), s1i));
        s4j = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), s4h), MUL_FLT_CPX(C_FLT(0.99518472667219693), s5h));
        s5j = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), s4h), MUL_FLT_CPX(C_FLT(0.098017140329560604), s5h));
        s6j = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.14673047445536175), s2i), MUL_FLT_CPX(C_FLT(0.98917650996478101), s3i));
        s7j = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s2i), MUL_FLT_CPX(C_FLT(0.14673047445536175), s3i));
        a4d = (a01 + 48);
        a5d = (a01 + 52);
        a6d = (a01 + 464);
        a7d = (a01 + 468);
        t8l = ADD_CPX_CPX(*(a4d), *(a6d));
        t9l = SUB_CPX_CPX(*(a5d), *(a7d));
        t0m = SUB_CPX_CPX(*(a4d), *(a6d));
        t1m = ADD_CPX_CPX(*(a5d), *(a7d));
        a8d = (a01 + 304);
        a9d = (a01 + 308);
        a0e = (a01 + 208);
        a1e = (a01 + 212);
        t2m = ADD_CPX_CPX(*(a8d), *(a0e));
        t3m = SUB_CPX_CPX(*(a9d), *(a1e));
        t4m = SUB_CPX_CPX(*(a8d), *(a0e));
        t5m = ADD_CPX_CPX(*(a9d), *(a1e));
        t6m = ADD_CPX_CPX(t8l, t2m);
        t7m = ADD_CPX_CPX(t9l, t3m);
        t8m = SUB_CPX_CPX(t8l, t2m);
        t9m = SUB_CPX_CPX(t9l, t3m);
        t0n = SUB_CPX_CPX(t0m, t5m);
        t1n = ADD_CPX_CPX(t1m, t4m);
        t2n = ADD_CPX_CPX(t0m, t5m);
        t3n = SUB_CPX_CPX(t1m, t4m);
        a2e = (a01 + 176);
        a3e = (a01 + 180);
        a4e = (a01 + 80);
        a5e = (a01 + 84);
        t4n = ADD_CPX_CPX(*(a2e), *(a4e));
        t5n = SUB_CPX_CPX(*(a3e), *(a5e));
        t6n = ADD_CPX_CPX(*(a3e), *(a5e));
        t7n = SUB_CPX_CPX(*(a4e), *(a2e));
        a6e = (a01 + 336);
        a7e = (a01 + 340);
        a8e = (a01 + 432);
        a9e = (a01 + 436);
        t8n = ADD_CPX_CPX(*(a6e), *(a8e));
        t9n = SUB_CPX_CPX(*(a9e), *(a7e));
        t0o = ADD_CPX_CPX(*(a7e), *(a9e));
        t1o = SUB_CPX_CPX(*(a8e), *(a6e));
        s8j = ADD_CPX_CPX(t4n, t8n);
        s9j = ADD_CPX_CPX(t5n, t9n);
        s0k = SUB_CPX_CPX(t6n, t0o);
        s1k = ADD_CPX_CPX(t7n, t1o);
        a0f = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t4n, t8n));
        a1f = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t6n, t0o));
        t2o = SUB_CPX_CPX(a0f, a1f);
        a2f = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t5n, t9n));
        a3f = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t7n, t1o));
        t3o = SUB_CPX_CPX(a2f, a3f);
        t4o = ADD_CPX_CPX(a0f, a1f);
        t5o = ADD_CPX_CPX(a2f, a3f);
        s2k = ADD_CPX_CPX(t6m, s8j);
        s3k = ADD_CPX_CPX(t7m, s9j);
        s4k = SUB_CPX_CPX(t8m, s0k);
        s5k = SUB_CPX_CPX(t9m, s1k);
        s6k = SUB_CPX_CPX(t6m, s8j);
        s7k = SUB_CPX_CPX(t7m, s9j);
        s8k = ADD_CPX_CPX(t8m, s0k);
        s9k = ADD_CPX_CPX(t9m, s1k);
        s0l = ADD_CPX_CPX(t0n, t2o);
        s1l = ADD_CPX_CPX(t1n, t3o);
        s2l = SUB_CPX_CPX(t2n, t4o);
        s3l = SUB_CPX_CPX(t3n, t5o);
        s4l = SUB_CPX_CPX(t0n, t2o);
        s5l = SUB_CPX_CPX(t1n, t3o);
        s6l = ADD_CPX_CPX(t2n, t4o);
        s7l = ADD_CPX_CPX(t3n, t5o);
        s8l = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s0l), MUL_FLT_CPX(C_FLT(0.29028467725446239), s1l));
        s9l = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.29028467725446239), s0l), MUL_FLT_CPX(C_FLT(0.95694033573220882), s1l));
        s0m = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s4k), MUL_FLT_CPX(C_FLT(0.55557023301960218), s5k));
        s1m = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s4k), MUL_FLT_CPX(C_FLT(0.83146961230254524), s5k));
        s2m = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), s2l), MUL_FLT_CPX(C_FLT(0.77301045336273699), s3l));
        s3m = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), s2l), MUL_FLT_CPX(C_FLT(0.63439328416364549), s3l));
        s4m = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s6k), MUL_FLT_CPX(C_FLT(0.92387953251128674), s7k));
        s5m = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s6k), MUL_FLT_CPX(C_FLT(0.38268343236508978), s7k));
        s6m = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), s4l), MUL_FLT_CPX(C_FLT(0.99518472667219693), s5l));
        s7m = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), s4l), MUL_FLT_CPX(C_FLT(0.098017140329560604), s5l));
        s8m = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s8k), MUL_FLT_CPX(C_FLT(0.98078528040323043), s9k));
        s9m = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s8k), MUL_FLT_CPX(C_FLT(0.19509032201612828), s9k));
        s0n = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.47139673682599764), s6l), MUL_FLT_CPX(C_FLT(0.88192126434835505), s7l));
        s1n = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s6l), MUL_FLT_CPX(C_FLT(0.47139673682599764), s7l));
        a4f = (a01 + 56);
        a5f = (a01 + 60);
        a6f = (a01 + 456);
        a7f = (a01 + 460);
        t6o = ADD_CPX_CPX(*(a4f), *(a6f));
        t7o = SUB_CPX_CPX(*(a5f), *(a7f));
        t8o = SUB_CPX_CPX(*(a4f), *(a6f));
        t9o = ADD_CPX_CPX(*(a5f), *(a7f));
        a8f = (a01 + 312);
        a9f = (a01 + 316);
        a0g = (a01 + 200);
        a1g = (a01 + 204);
        t0p = ADD_CPX_CPX(*(a8f), *(a0g));
        t1p = SUB_CPX_CPX(*(a9f), *(a1g));
        t2p = SUB_CPX_CPX(*(a8f), *(a0g));
        t3p = ADD_CPX_CPX(*(a9f), *(a1g));
        t4p = ADD_CPX_CPX(t6o, t0p);
        t5p = ADD_CPX_CPX(t7o, t1p);
        t6p = SUB_CPX_CPX(t6o, t0p);
        t7p = SUB_CPX_CPX(t7o, t1p);
        t8p = SUB_CPX_CPX(t8o, t3p);
        t9p = ADD_CPX_CPX(t9o, t2p);
        t0q = ADD_CPX_CPX(t8o, t3p);
        t1q = SUB_CPX_CPX(t9o, t2p);
        a2g = (a01 + 184);
        a3g = (a01 + 188);
        a4g = (a01 + 72);
        a5g = (a01 + 76);
        t2q = ADD_CPX_CPX(*(a2g), *(a4g));
        t3q = SUB_CPX_CPX(*(a3g), *(a5g));
        t4q = ADD_CPX_CPX(*(a3g), *(a5g));
        t5q = SUB_CPX_CPX(*(a4g), *(a2g));
        a6g = (a01 + 328);
        a7g = (a01 + 332);
        a8g = (a01 + 440);
        a9g = (a01 + 444);
        t6q = ADD_CPX_CPX(*(a6g), *(a8g));
        t7q = SUB_CPX_CPX(*(a9g), *(a7g));
        t8q = ADD_CPX_CPX(*(a7g), *(a9g));
        t9q = SUB_CPX_CPX(*(a8g), *(a6g));
        s2n = ADD_CPX_CPX(t2q, t6q);
        s3n = ADD_CPX_CPX(t3q, t7q);
        s4n = SUB_CPX_CPX(t4q, t8q);
        s5n = ADD_CPX_CPX(t5q, t9q);
        a0h = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2q, t6q));
        a1h = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t4q, t8q));
        t0r = SUB_CPX_CPX(a0h, a1h);
        a2h = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3q, t7q));
        a3h = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t5q, t9q));
        t1r = SUB_CPX_CPX(a2h, a3h);
        t2r = ADD_CPX_CPX(a0h, a1h);
        t3r = ADD_CPX_CPX(a2h, a3h);
        s6n = ADD_CPX_CPX(t4p, s2n);
        s7n = ADD_CPX_CPX(t5p, s3n);
        s8n = SUB_CPX_CPX(t6p, s4n);
        s9n = SUB_CPX_CPX(t7p, s5n);
        s0o = SUB_CPX_CPX(t4p, s2n);
        s1o = SUB_CPX_CPX(t5p, s3n);
        s2o = ADD_CPX_CPX(t6p, s4n);
        s3o = ADD_CPX_CPX(t7p, s5n);
        s4o = ADD_CPX_CPX(t8p, t0r);
        s5o = ADD_CPX_CPX(t9p, t1r);
        s6o = SUB_CPX_CPX(t0q, t2r);
        s7o = SUB_CPX_CPX(t1q, t3r);
        s8o = SUB_CPX_CPX(t8p, t0r);
        s9o = SUB_CPX_CPX(t9p, t1r);
        s0p = ADD_CPX_CPX(t0q, t2r);
        s1p = ADD_CPX_CPX(t1q, t3r);
        s2p = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), s4o), MUL_FLT_CPX(C_FLT(0.33688985339222005), s5o));
        s3p = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.33688985339222005), s4o), MUL_FLT_CPX(C_FLT(0.94154406518302081), s5o));
        s4p = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), s8n), MUL_FLT_CPX(C_FLT(0.63439328416364549), s9n));
        s5p = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), s8n), MUL_FLT_CPX(C_FLT(0.77301045336273699), s9n));
        s6p = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.51410274419322177), s6o), MUL_FLT_CPX(C_FLT(0.85772861000027212), s7o));
        s7p = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.85772861000027212), s6o), MUL_FLT_CPX(C_FLT(0.51410274419322177), s7o));
        s8p = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s0o), MUL_FLT_CPX(C_FLT(0.98078528040323043), s1o));
        s9p = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s0o), MUL_FLT_CPX(C_FLT(0.19509032201612828), s1o));
        s0q = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.14673047445536175), s8o), MUL_FLT_CPX(C_FLT(0.98917650996478101), s9o));
        s1q = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s8o), MUL_FLT_CPX(C_FLT(0.14673047445536175), s9o));
        s2q = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.47139673682599764), s2o), MUL_FLT_CPX(C_FLT(0.88192126434835505), s3o));
        s3q = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s2o), MUL_FLT_CPX(C_FLT(0.47139673682599764), s3o));
        s4q = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), s0p), MUL_FLT_CPX(C_FLT(0.67155895484701844), s1p));
        s5q = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.67155895484701844), s0p), MUL_FLT_CPX(C_FLT(0.74095112535495911), s1p));
        t4r = ADD_CPX_CPX(t65, s6d);
        t5r = SUB_CPX_CPX(t85, s7d);
        t6r = SUB_CPX_CPX(t65, s6d);
        t7r = ADD_CPX_CPX(t85, s7d);
        t8r = ADD_CPX_CPX(s43, s6n);
        t9r = SUB_CPX_CPX(s53, s7n);
        t0s = SUB_CPX_CPX(s43, s6n);
        t1s = ADD_CPX_CPX(s53, s7n);
        s6q = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t0s), MUL_FLT_CPX(C_FLT(0.38268343236508978), t1s));
        s7q = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t0s), MUL_FLT_CPX(C_FLT(0.92387953251128674), t1s));
        t2s = ADD_CPX_CPX(s86, s2k);
        t3s = SUB_CPX_CPX(s96, s3k);
        a4h = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s86, s2k));
        a5h = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s96, s3k));
        s8q = SUB_CPX_CPX(a4h, a5h);
        s9q = ADD_CPX_CPX(a4h, a5h);
        t4s = ADD_CPX_CPX(s2a, s8g);
        t5s = SUB_CPX_CPX(s3a, s9g);
        t6s = SUB_CPX_CPX(s2a, s8g);
        t7s = ADD_CPX_CPX(s3a, s9g);
        s0r = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t6s), MUL_FLT_CPX(C_FLT(0.92387953251128674), t7s));
        s1r = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t6s), MUL_FLT_CPX(C_FLT(0.38268343236508978), t7s));
        t8s = ADD_CPX_CPX(t4r, t2s);
        t9s = SUB_CPX_CPX(t6r, t3s);
        t0t = SUB_CPX_CPX(t4r, t2s);
        t1t = ADD_CPX_CPX(t6r, t3s);
        t2t = ADD_CPX_CPX(t8r, t4s);
        t3t = SUB_CPX_CPX(t9r, t5s);
        a6h = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8r, t4s));
        a7h = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t9r, t5s));
        s2r = SUB_CPX_CPX(a6h, a7h);
        s3r = ADD_CPX_CPX(a6h, a7h);
        t4t = ADD_CPX_CPX(t8s, t2t);
        t5t = SUB_CPX_CPX(t0t, t3t);
        t6t = SUB_CPX_CPX(t8s, t2t);
        t7t = ADD_CPX_CPX(t0t, t3t);
        STOREU_CPX((dst + i2), t4t);
        STOREU_CPX((128 + dst + i2), t5t);
        STOREU_CPX((256 + dst + i2), t6t);
        STOREU_CPX((384 + dst + i2), t7t);
        t8t = ADD_CPX_CPX(t9s, s2r);
        t9t = SUB_CPX_CPX(t1t, s3r);
        t0u = SUB_CPX_CPX(t9s, s2r);
        t1u = ADD_CPX_CPX(t1t, s3r);
        STOREU_CPX((64 + dst + i2), t8t);
        STOREU_CPX((192 + dst + i2), t9t);
        STOREU_CPX((320 + dst + i2), t0u);
        STOREU_CPX((448 + dst + i2), t1u);
        t2u = ADD_CPX_CPX(t5r, s8q);
        t3u = SUB_CPX_CPX(t7r, s9q);
        t4u = SUB_CPX_CPX(t5r, s8q);
        t5u = ADD_CPX_CPX(t7r, s9q);
        t6u = ADD_CPX_CPX(s6q, s0r);
        t7u = SUB_CPX_CPX(s7q, s1r);
        a8h = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s6q, s0r));
        a9h = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s7q, s1r));
        s4r = SUB_CPX_CPX(a8h, a9h);
        s5r = ADD_CPX_CPX(a8h, a9h);
        t8u = ADD_CPX_CPX(t2u, t6u);
        t9u = SUB_CPX_CPX(t4u, t7u);
        t0v = SUB_CPX_CPX(t2u, t6u);
        t1v = ADD_CPX_CPX(t4u, t7u);
        STOREU_CPX((32 + dst + i2), t8u);
        STOREU_CPX((160 + dst + i2), t9u);
        STOREU_CPX((288 + dst + i2), t0v);
        STOREU_CPX((416 + dst + i2), t1v);
        t2v = ADD_CPX_CPX(t3u, s4r);
        t3v = SUB_CPX_CPX(t5u, s5r);
        t4v = SUB_CPX_CPX(t3u, s4r);
        t5v = ADD_CPX_CPX(t5u, s5r);
        STOREU_CPX((96 + dst + i2), t2v);
        STOREU_CPX((224 + dst + i2), t3v);
        STOREU_CPX((352 + dst + i2), t4v);
        STOREU_CPX((480 + dst + i2), t5v);
        t6v = ADD_CPX_CPX(t07, s0f);
        t7v = SUB_CPX_CPX(t27, s1f);
        t8v = SUB_CPX_CPX(t07, s0f);
        t9v = ADD_CPX_CPX(t27, s1f);
        t0w = ADD_CPX_CPX(s05, s2p);
        t1w = SUB_CPX_CPX(s15, s3p);
        t2w = SUB_CPX_CPX(s05, s2p);
        t3w = ADD_CPX_CPX(s15, s3p);
        s6r = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t2w), MUL_FLT_CPX(C_FLT(0.38268343236508978), t3w));
        s7r = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t2w), MUL_FLT_CPX(C_FLT(0.92387953251128674), t3w));
        t4w = ADD_CPX_CPX(s48, s8l);
        t5w = SUB_CPX_CPX(s58, s9l);
        a0i = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s48, s8l));
        a1i = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s58, s9l));
        s8r = SUB_CPX_CPX(a0i, a1i);
        s9r = ADD_CPX_CPX(a0i, a1i);
        t6w = ADD_CPX_CPX(s8b, s4i);
        t7w = SUB_CPX_CPX(s9b, s5i);
        t8w = SUB_CPX_CPX(s8b, s4i);
        t9w = ADD_CPX_CPX(s9b, s5i);
        s0s = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t8w), MUL_FLT_CPX(C_FLT(0.92387953251128674), t9w));
        s1s = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t8w), MUL_FLT_CPX(C_FLT(0.38268343236508978), t9w));
        t0x = ADD_CPX_CPX(t6v, t4w);
        t1x = SUB_CPX_CPX(t8v, t5w);
        t2x = SUB_CPX_CPX(t6v, t4w);
        t3x = ADD_CPX_CPX(t8v, t5w);
        t4x = ADD_CPX_CPX(t0w, t6w);
        t5x = SUB_CPX_CPX(t1w, t7w);
        a2i = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0w, t6w));
        a3i = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t1w, t7w));
        s2s = SUB_CPX_CPX(a2i, a3i);
        s3s = ADD_CPX_CPX(a2i, a3i);
        t6x = ADD_CPX_CPX(t0x, t4x);
        t7x = SUB_CPX_CPX(t2x, t5x);
        t8x = SUB_CPX_CPX(t0x, t4x);
        t9x = ADD_CPX_CPX(t2x, t5x);
        STOREU_CPX((4 + dst + i2), t6x);
        STOREU_CPX((132 + dst + i2), t7x);
        STOREU_CPX((260 + dst + i2), t8x);
        STOREU_CPX((388 + dst + i2), t9x);
        t0y = ADD_CPX_CPX(t1x, s2s);
        t1y = SUB_CPX_CPX(t3x, s3s);
        t2y = SUB_CPX_CPX(t1x, s2s);
        t3y = ADD_CPX_CPX(t3x, s3s);
        STOREU_CPX((68 + dst + i2), t0y);
        STOREU_CPX((196 + dst + i2), t1y);
        STOREU_CPX((324 + dst + i2), t2y);
        STOREU_CPX((452 + dst + i2), t3y);
        t4y = ADD_CPX_CPX(t7v, s8r);
        t5y = SUB_CPX_CPX(t9v, s9r);
        t6y = SUB_CPX_CPX(t7v, s8r);
        t7y = ADD_CPX_CPX(t9v, s9r);
        t8y = ADD_CPX_CPX(s6r, s0s);
        t9y = SUB_CPX_CPX(s7r, s1s);
        a4i = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s6r, s0s));
        a5i = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s7r, s1s));
        s4s = SUB_CPX_CPX(a4i, a5i);
        s5s = ADD_CPX_CPX(a4i, a5i);
        t0z = ADD_CPX_CPX(t4y, t8y);
        t1z = SUB_CPX_CPX(t6y, t9y);
        t2z = SUB_CPX_CPX(t4y, t8y);
        t3z = ADD_CPX_CPX(t6y, t9y);
        STOREU_CPX((36 + dst + i2), t0z);
        STOREU_CPX((164 + dst + i2), t1z);
        STOREU_CPX((292 + dst + i2), t2z);
        STOREU_CPX((420 + dst + i2), t3z);
        t4z = ADD_CPX_CPX(t5y, s4s);
        t5z = SUB_CPX_CPX(t7y, s5s);
        t6z = SUB_CPX_CPX(t5y, s4s);
        t7z = ADD_CPX_CPX(t7y, s5s);
        STOREU_CPX((100 + dst + i2), t4z);
        STOREU_CPX((228 + dst + i2), t5z);
        STOREU_CPX((356 + dst + i2), t6z);
        STOREU_CPX((484 + dst + i2), t7z);
        t8z = ADD_CPX_CPX(t06, s2f);
        t9z = SUB_CPX_CPX(t26, s3f);
        t0A = SUB_CPX_CPX(t06, s2f);
        t1A = ADD_CPX_CPX(t26, s3f);
        t2A = ADD_CPX_CPX(s25, s4p);
        t3A = SUB_CPX_CPX(s35, s5p);
        t4A = SUB_CPX_CPX(s25, s4p);
        t5A = ADD_CPX_CPX(s35, s5p);
        s6s = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t4A), MUL_FLT_CPX(C_FLT(0.38268343236508978), t5A));
        s7s = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t4A), MUL_FLT_CPX(C_FLT(0.92387953251128674), t5A));
        t6A = ADD_CPX_CPX(s68, s0m);
        t7A = SUB_CPX_CPX(s78, s1m);
        a6i = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s68, s0m));
        a7i = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s78, s1m));
        s8s = SUB_CPX_CPX(a6i, a7i);
        s9s = ADD_CPX_CPX(a6i, a7i);
        t8A = ADD_CPX_CPX(s0c, s6i);
        t9A = SUB_CPX_CPX(s1c, s7i);
        t0B = SUB_CPX_CPX(s0c, s6i);
        t1B = ADD_CPX_CPX(s1c, s7i);
        s0t = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t0B), MUL_FLT_CPX(C_FLT(0.92387953251128674), t1B));
        s1t = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t0B), MUL_FLT_CPX(C_FLT(0.38268343236508978), t1B));
        t2B = ADD_CPX_CPX(t8z, t6A);
        t3B = SUB_CPX_CPX(t0A, t7A);
        t4B = SUB_CPX_CPX(t8z, t6A);
        t5B = ADD_CPX_CPX(t0A, t7A);
        t6B = ADD_CPX_CPX(t2A, t8A);
        t7B = SUB_CPX_CPX(t3A, t9A);
        a8i = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2A, t8A));
        a9i = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t3A, t9A));
        s2t = SUB_CPX_CPX(a8i, a9i);
        s3t = ADD_CPX_CPX(a8i, a9i);
        t8B = ADD_CPX_CPX(t2B, t6B);
        t9B = SUB_CPX_CPX(t4B, t7B);
        t0C = SUB_CPX_CPX(t2B, t6B);
        t1C = ADD_CPX_CPX(t4B, t7B);
        STOREU_CPX((8 + dst + i2), t8B);
        STOREU_CPX((136 + dst + i2), t9B);
        STOREU_CPX((264 + dst + i2), t0C);
        STOREU_CPX((392 + dst + i2), t1C);
        t2C = ADD_CPX_CPX(t3B, s2t);
        t3C = SUB_CPX_CPX(t5B, s3t);
        t4C = SUB_CPX_CPX(t3B, s2t);
        t5C = ADD_CPX_CPX(t5B, s3t);
        STOREU_CPX((72 + dst + i2), t2C);
        STOREU_CPX((200 + dst + i2), t3C);
        STOREU_CPX((328 + dst + i2), t4C);
        STOREU_CPX((456 + dst + i2), t5C);
        t6C = ADD_CPX_CPX(t9z, s8s);
        t7C = SUB_CPX_CPX(t1A, s9s);
        t8C = SUB_CPX_CPX(t9z, s8s);
        t9C = ADD_CPX_CPX(t1A, s9s);
        t0D = ADD_CPX_CPX(s6s, s0t);
        t1D = SUB_CPX_CPX(s7s, s1t);
        a0j = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s6s, s0t));
        a1j = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s7s, s1t));
        s4t = SUB_CPX_CPX(a0j, a1j);
        s5t = ADD_CPX_CPX(a0j, a1j);
        t2D = ADD_CPX_CPX(t6C, t0D);
        t3D = SUB_CPX_CPX(t8C, t1D);
        t4D = SUB_CPX_CPX(t6C, t0D);
        t5D = ADD_CPX_CPX(t8C, t1D);
        STOREU_CPX((40 + dst + i2), t2D);
        STOREU_CPX((168 + dst + i2), t3D);
        STOREU_CPX((296 + dst + i2), t4D);
        STOREU_CPX((424 + dst + i2), t5D);
        t6D = ADD_CPX_CPX(t7C, s4t);
        t7D = SUB_CPX_CPX(t9C, s5t);
        t8D = SUB_CPX_CPX(t7C, s4t);
        t9D = ADD_CPX_CPX(t9C, s5t);
        STOREU_CPX((104 + dst + i2), t6D);
        STOREU_CPX((232 + dst + i2), t7D);
        STOREU_CPX((360 + dst + i2), t8D);
        STOREU_CPX((488 + dst + i2), t9D);
        t0E = ADD_CPX_CPX(t47, s4f);
        t1E = SUB_CPX_CPX(t67, s5f);
        t2E = SUB_CPX_CPX(t47, s4f);
        t3E = ADD_CPX_CPX(t67, s5f);
        t4E = ADD_CPX_CPX(s45, s6p);
        t5E = SUB_CPX_CPX(s55, s7p);
        t6E = SUB_CPX_CPX(s45, s6p);
        t7E = ADD_CPX_CPX(s55, s7p);
        s6t = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t6E), MUL_FLT_CPX(C_FLT(0.38268343236508978), t7E));
        s7t = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t6E), MUL_FLT_CPX(C_FLT(0.92387953251128674), t7E));
        t8E = ADD_CPX_CPX(s88, s2m);
        t9E = SUB_CPX_CPX(s98, s3m);
        a2j = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s88, s2m));
        a3j = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s98, s3m));
        s8t = SUB_CPX_CPX(a2j, a3j);
        s9t = ADD_CPX_CPX(a2j, a3j);
        t0F = ADD_CPX_CPX(s2c, s8i);
        t1F = SUB_CPX_CPX(s3c, s9i);
        t2F = SUB_CPX_CPX(s2c, s8i);
        t3F = ADD_CPX_CPX(s3c, s9i);
        s0u = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t2F), MUL_FLT_CPX(C_FLT(0.92387953251128674), t3F));
        s1u = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t2F), MUL_FLT_CPX(C_FLT(0.38268343236508978), t3F));
        t4F = ADD_CPX_CPX(t0E, t8E);
        t5F = SUB_CPX_CPX(t2E, t9E);
        t6F = SUB_CPX_CPX(t0E, t8E);
        t7F = ADD_CPX_CPX(t2E, t9E);
        t8F = ADD_CPX_CPX(t4E, t0F);
        t9F = SUB_CPX_CPX(t5E, t1F);
        a4j = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t4E, t0F));
        a5j = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t5E, t1F));
        s2u = SUB_CPX_CPX(a4j, a5j);
        s3u = ADD_CPX_CPX(a4j, a5j);
        t0G = ADD_CPX_CPX(t4F, t8F);
        t1G = SUB_CPX_CPX(t6F, t9F);
        t2G = SUB_CPX_CPX(t4F, t8F);
        t3G = ADD_CPX_CPX(t6F, t9F);
        STOREU_CPX((12 + dst + i2), t0G);
        STOREU_CPX((140 + dst + i2), t1G);
        STOREU_CPX((268 + dst + i2), t2G);
        STOREU_CPX((396 + dst + i2), t3G);
        t4G = ADD_CPX_CPX(t5F, s2u);
        t5G = SUB_CPX_CPX(t7F, s3u);
        t6G = SUB_CPX_CPX(t5F, s2u);
        t7G = ADD_CPX_CPX(t7F, s3u);
        STOREU_CPX((76 + dst + i2), t4G);
        STOREU_CPX((204 + dst + i2), t5G);
        STOREU_CPX((332 + dst + i2), t6G);
        STOREU_CPX((460 + dst + i2), t7G);
        t8G = ADD_CPX_CPX(t1E, s8t);
        t9G = SUB_CPX_CPX(t3E, s9t);
        t0H = SUB_CPX_CPX(t1E, s8t);
        t1H = ADD_CPX_CPX(t3E, s9t);
        t2H = ADD_CPX_CPX(s6t, s0u);
        t3H = SUB_CPX_CPX(s7t, s1u);
        a6j = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s6t, s0u));
        a7j = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s7t, s1u));
        s4u = SUB_CPX_CPX(a6j, a7j);
        s5u = ADD_CPX_CPX(a6j, a7j);
        t4H = ADD_CPX_CPX(t8G, t2H);
        t5H = SUB_CPX_CPX(t0H, t3H);
        t6H = SUB_CPX_CPX(t8G, t2H);
        t7H = ADD_CPX_CPX(t0H, t3H);
        STOREU_CPX((44 + dst + i2), t4H);
        STOREU_CPX((172 + dst + i2), t5H);
        STOREU_CPX((300 + dst + i2), t6H);
        STOREU_CPX((428 + dst + i2), t7H);
        t8H = ADD_CPX_CPX(t9G, s4u);
        t9H = SUB_CPX_CPX(t1H, s5u);
        t0I = SUB_CPX_CPX(t9G, s4u);
        t1I = ADD_CPX_CPX(t1H, s5u);
        STOREU_CPX((108 + dst + i2), t8H);
        STOREU_CPX((236 + dst + i2), t9H);
        STOREU_CPX((364 + dst + i2), t0I);
        STOREU_CPX((492 + dst + i2), t1I);
        t2I = ADD_CPX_CPX(t75, s6f);
        t3I = SUB_CPX_CPX(t95, s7f);
        t4I = SUB_CPX_CPX(t75, s6f);
        t5I = ADD_CPX_CPX(t95, s7f);
        t6I = ADD_CPX_CPX(s65, s8p);
        t7I = SUB_CPX_CPX(s75, s9p);
        t8I = SUB_CPX_CPX(s65, s8p);
        t9I = ADD_CPX_CPX(s75, s9p);
        s6u = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t8I), MUL_FLT_CPX(C_FLT(0.38268343236508978), t9I));
        s7u = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t8I), MUL_FLT_CPX(C_FLT(0.92387953251128674), t9I));
        t0J = ADD_CPX_CPX(s09, s4m);
        t1J = SUB_CPX_CPX(s19, s5m);
        a8j = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s09, s4m));
        a9j = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s19, s5m));
        s8u = SUB_CPX_CPX(a8j, a9j);
        s9u = ADD_CPX_CPX(a8j, a9j);
        t2J = ADD_CPX_CPX(s4c, s0j);
        t3J = SUB_CPX_CPX(s5c, s1j);
        t4J = SUB_CPX_CPX(s4c, s0j);
        t5J = ADD_CPX_CPX(s5c, s1j);
        s0v = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t4J), MUL_FLT_CPX(C_FLT(0.92387953251128674), t5J));
        s1v = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t4J), MUL_FLT_CPX(C_FLT(0.38268343236508978), t5J));
        t6J = ADD_CPX_CPX(t2I, t0J);
        t7J = SUB_CPX_CPX(t4I, t1J);
        t8J = SUB_CPX_CPX(t2I, t0J);
        t9J = ADD_CPX_CPX(t4I, t1J);
        t0K = ADD_CPX_CPX(t6I, t2J);
        t1K = SUB_CPX_CPX(t7I, t3J);
        a0k = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t6I, t2J));
        a1k = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t7I, t3J));
        s2v = SUB_CPX_CPX(a0k, a1k);
        s3v = ADD_CPX_CPX(a0k, a1k);
        t2K = ADD_CPX_CPX(t6J, t0K);
        t3K = SUB_CPX_CPX(t8J, t1K);
        t4K = SUB_CPX_CPX(t6J, t0K);
        t5K = ADD_CPX_CPX(t8J, t1K);
        STOREU_CPX((16 + dst + i2), t2K);
        STOREU_CPX((144 + dst + i2), t3K);
        STOREU_CPX((272 + dst + i2), t4K);
        STOREU_CPX((400 + dst + i2), t5K);
        t6K = ADD_CPX_CPX(t7J, s2v);
        t7K = SUB_CPX_CPX(t9J, s3v);
        t8K = SUB_CPX_CPX(t7J, s2v);
        t9K = ADD_CPX_CPX(t9J, s3v);
        STOREU_CPX((80 + dst + i2), t6K);
        STOREU_CPX((208 + dst + i2), t7K);
        STOREU_CPX((336 + dst + i2), t8K);
        STOREU_CPX((464 + dst + i2), t9K);
        t0L = ADD_CPX_CPX(t3I, s8u);
        t1L = SUB_CPX_CPX(t5I, s9u);
        t2L = SUB_CPX_CPX(t3I, s8u);
        t3L = ADD_CPX_CPX(t5I, s9u);
        t4L = ADD_CPX_CPX(s6u, s0v);
        t5L = SUB_CPX_CPX(s7u, s1v);
        a2k = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s6u, s0v));
        a3k = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s7u, s1v));
        s4v = SUB_CPX_CPX(a2k, a3k);
        s5v = ADD_CPX_CPX(a2k, a3k);
        t6L = ADD_CPX_CPX(t0L, t4L);
        t7L = SUB_CPX_CPX(t2L, t5L);
        t8L = SUB_CPX_CPX(t0L, t4L);
        t9L = ADD_CPX_CPX(t2L, t5L);
        STOREU_CPX((48 + dst + i2), t6L);
        STOREU_CPX((176 + dst + i2), t7L);
        STOREU_CPX((304 + dst + i2), t8L);
        STOREU_CPX((432 + dst + i2), t9L);
        t0M = ADD_CPX_CPX(t1L, s4v);
        t1M = SUB_CPX_CPX(t3L, s5v);
        t2M = SUB_CPX_CPX(t1L, s4v);
        t3M = ADD_CPX_CPX(t3L, s5v);
        STOREU_CPX((112 + dst + i2), t0M);
        STOREU_CPX((240 + dst + i2), t1M);
        STOREU_CPX((368 + dst + i2), t2M);
        STOREU_CPX((496 + dst + i2), t3M);
        t4M = ADD_CPX_CPX(t17, s8f);
        t5M = SUB_CPX_CPX(t37, s9f);
        t6M = SUB_CPX_CPX(t17, s8f);
        t7M = ADD_CPX_CPX(t37, s9f);
        t8M = SUB_CPX_CPX(s85, s0q);
        t9M = SUB_CPX_CPX(s95, s1q);
        t0N = ADD_CPX_CPX(s85, s0q);
        t1N = ADD_CPX_CPX(s95, s1q);
        s6v = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t0N), MUL_FLT_CPX(C_FLT(0.38268343236508978), t1N));
        s7v = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t0N), MUL_FLT_CPX(C_FLT(0.92387953251128674), t1N));
        t2N = ADD_CPX_CPX(s29, s6m);
        t3N = SUB_CPX_CPX(s39, s7m);
        a4k = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s29, s6m));
        a5k = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s39, s7m));
        s8v = SUB_CPX_CPX(a4k, a5k);
        s9v = ADD_CPX_CPX(a4k, a5k);
        t4N = ADD_CPX_CPX(s6c, s2j);
        t5N = SUB_CPX_CPX(s7c, s3j);
        t6N = SUB_CPX_CPX(s6c, s2j);
        t7N = ADD_CPX_CPX(s7c, s3j);
        s0w = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t6N), MUL_FLT_CPX(C_FLT(0.92387953251128674), t7N));
        s1w = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t6N), MUL_FLT_CPX(C_FLT(0.38268343236508978), t7N));
        t8N = ADD_CPX_CPX(t4M, t2N);
        t9N = SUB_CPX_CPX(t6M, t3N);
        t0O = SUB_CPX_CPX(t4M, t2N);
        t1O = ADD_CPX_CPX(t6M, t3N);
        t2O = ADD_CPX_CPX(t8M, t4N);
        t3O = SUB_CPX_CPX(t9M, t5N);
        a6k = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8M, t4N));
        a7k = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t9M, t5N));
        s2w = SUB_CPX_CPX(a6k, a7k);
        s3w = ADD_CPX_CPX(a6k, a7k);
        t4O = ADD_CPX_CPX(t8N, t2O);
        t5O = SUB_CPX_CPX(t0O, t3O);
        t6O = SUB_CPX_CPX(t8N, t2O);
        t7O = ADD_CPX_CPX(t0O, t3O);
        STOREU_CPX((20 + dst + i2), t4O);
        STOREU_CPX((148 + dst + i2), t5O);
        STOREU_CPX((276 + dst + i2), t6O);
        STOREU_CPX((404 + dst + i2), t7O);
        t8O = ADD_CPX_CPX(t9N, s2w);
        t9O = SUB_CPX_CPX(t1O, s3w);
        t0P = SUB_CPX_CPX(t9N, s2w);
        t1P = ADD_CPX_CPX(t1O, s3w);
        STOREU_CPX((84 + dst + i2), t8O);
        STOREU_CPX((212 + dst + i2), t9O);
        STOREU_CPX((340 + dst + i2), t0P);
        STOREU_CPX((468 + dst + i2), t1P);
        t2P = ADD_CPX_CPX(t5M, s8v);
        t3P = SUB_CPX_CPX(t7M, s9v);
        t4P = SUB_CPX_CPX(t5M, s8v);
        t5P = ADD_CPX_CPX(t7M, s9v);
        t6P = ADD_CPX_CPX(s6v, s0w);
        t7P = SUB_CPX_CPX(s7v, s1w);
        a8k = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s6v, s0w));
        a9k = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s7v, s1w));
        s4w = SUB_CPX_CPX(a8k, a9k);
        s5w = ADD_CPX_CPX(a8k, a9k);
        t8P = ADD_CPX_CPX(t2P, t6P);
        t9P = SUB_CPX_CPX(t4P, t7P);
        t0Q = SUB_CPX_CPX(t2P, t6P);
        t1Q = ADD_CPX_CPX(t4P, t7P);
        STOREU_CPX((52 + dst + i2), t8P);
        STOREU_CPX((180 + dst + i2), t9P);
        STOREU_CPX((308 + dst + i2), t0Q);
        STOREU_CPX((436 + dst + i2), t1Q);
        t2Q = ADD_CPX_CPX(t3P, s4w);
        t3Q = SUB_CPX_CPX(t5P, s5w);
        t4Q = SUB_CPX_CPX(t3P, s4w);
        t5Q = ADD_CPX_CPX(t5P, s5w);
        STOREU_CPX((116 + dst + i2), t2Q);
        STOREU_CPX((244 + dst + i2), t3Q);
        STOREU_CPX((372 + dst + i2), t4Q);
        STOREU_CPX((500 + dst + i2), t5Q);
        t6Q = ADD_CPX_CPX(t16, s0g);
        t7Q = SUB_CPX_CPX(t36, s1g);
        t8Q = SUB_CPX_CPX(t16, s0g);
        t9Q = ADD_CPX_CPX(t36, s1g);
        t0R = SUB_CPX_CPX(s06, s2q);
        t1R = SUB_CPX_CPX(s16, s3q);
        t2R = ADD_CPX_CPX(s06, s2q);
        t3R = ADD_CPX_CPX(s16, s3q);
        s6w = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t2R), MUL_FLT_CPX(C_FLT(0.38268343236508978), t3R));
        s7w = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t2R), MUL_FLT_CPX(C_FLT(0.92387953251128674), t3R));
        t4R = SUB_CPX_CPX(s49, s8m);
        t5R = SUB_CPX_CPX(s59, s9m);
        a0l = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s49, s8m));
        a1l = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s59, s9m));
        s8w = SUB_CPX_CPX(a0l, a1l);
        s9w = ADD_CPX_CPX(a0l, a1l);
        t6R = ADD_CPX_CPX(s8c, s4j);
        t7R = SUB_CPX_CPX(s9c, s5j);
        t8R = SUB_CPX_CPX(s8c, s4j);
        t9R = ADD_CPX_CPX(s9c, s5j);
        s0x = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t8R), MUL_FLT_CPX(C_FLT(0.92387953251128674), t9R));
        s1x = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t8R), MUL_FLT_CPX(C_FLT(0.38268343236508978), t9R));
        t0S = ADD_CPX_CPX(t6Q, t4R);
        t1S = SUB_CPX_CPX(t8Q, t5R);
        t2S = SUB_CPX_CPX(t6Q, t4R);
        t3S = ADD_CPX_CPX(t8Q, t5R);
        t4S = ADD_CPX_CPX(t0R, t6R);
        t5S = SUB_CPX_CPX(t1R, t7R);
        a2l = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0R, t6R));
        a3l = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t1R, t7R));
        s2x = SUB_CPX_CPX(a2l, a3l);
        s3x = ADD_CPX_CPX(a2l, a3l);
        t6S = ADD_CPX_CPX(t0S, t4S);
        t7S = SUB_CPX_CPX(t2S, t5S);
        t8S = SUB_CPX_CPX(t0S, t4S);
        t9S = ADD_CPX_CPX(t2S, t5S);
        STOREU_CPX((24 + dst + i2), t6S);
        STOREU_CPX((152 + dst + i2), t7S);
        STOREU_CPX((280 + dst + i2), t8S);
        STOREU_CPX((408 + dst + i2), t9S);
        t0T = ADD_CPX_CPX(t1S, s2x);
        t1T = SUB_CPX_CPX(t3S, s3x);
        t2T = SUB_CPX_CPX(t1S, s2x);
        t3T = ADD_CPX_CPX(t3S, s3x);
        STOREU_CPX((88 + dst + i2), t0T);
        STOREU_CPX((216 + dst + i2), t1T);
        STOREU_CPX((344 + dst + i2), t2T);
        STOREU_CPX((472 + dst + i2), t3T);
        t4T = ADD_CPX_CPX(t7Q, s8w);
        t5T = SUB_CPX_CPX(t9Q, s9w);
        t6T = SUB_CPX_CPX(t7Q, s8w);
        t7T = ADD_CPX_CPX(t9Q, s9w);
        t8T = ADD_CPX_CPX(s6w, s0x);
        t9T = SUB_CPX_CPX(s7w, s1x);
        a4l = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s6w, s0x));
        a5l = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s7w, s1x));
        s4x = SUB_CPX_CPX(a4l, a5l);
        s5x = ADD_CPX_CPX(a4l, a5l);
        t0U = ADD_CPX_CPX(t4T, t8T);
        t1U = SUB_CPX_CPX(t6T, t9T);
        t2U = SUB_CPX_CPX(t4T, t8T);
        t3U = ADD_CPX_CPX(t6T, t9T);
        STOREU_CPX((56 + dst + i2), t0U);
        STOREU_CPX((184 + dst + i2), t1U);
        STOREU_CPX((312 + dst + i2), t2U);
        STOREU_CPX((440 + dst + i2), t3U);
        t4U = ADD_CPX_CPX(t5T, s4x);
        t5U = SUB_CPX_CPX(t7T, s5x);
        t6U = SUB_CPX_CPX(t5T, s4x);
        t7U = ADD_CPX_CPX(t7T, s5x);
        STOREU_CPX((120 + dst + i2), t4U);
        STOREU_CPX((248 + dst + i2), t5U);
        STOREU_CPX((376 + dst + i2), t6U);
        STOREU_CPX((504 + dst + i2), t7U);
        t8U = ADD_CPX_CPX(t57, s2g);
        t9U = SUB_CPX_CPX(t77, s3g);
        t0V = SUB_CPX_CPX(t57, s2g);
        t1V = ADD_CPX_CPX(t77, s3g);
        t2V = SUB_CPX_CPX(s26, s4q);
        t3V = SUB_CPX_CPX(s36, s5q);
        t4V = ADD_CPX_CPX(s26, s4q);
        t5V = ADD_CPX_CPX(s36, s5q);
        s6x = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t4V), MUL_FLT_CPX(C_FLT(0.38268343236508978), t5V));
        s7x = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t4V), MUL_FLT_CPX(C_FLT(0.92387953251128674), t5V));
        t6V = SUB_CPX_CPX(s69, s0n);
        t7V = SUB_CPX_CPX(s79, s1n);
        a6l = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s69, s0n));
        a7l = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s79, s1n));
        s8x = SUB_CPX_CPX(a6l, a7l);
        s9x = ADD_CPX_CPX(a6l, a7l);
        t8V = SUB_CPX_CPX(s0d, s6j);
        t9V = SUB_CPX_CPX(s1d, s7j);
        t0W = ADD_CPX_CPX(s0d, s6j);
        t1W = ADD_CPX_CPX(s1d, s7j);
        s0y = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t0W), MUL_FLT_CPX(C_FLT(0.92387953251128674), t1W));
        s1y = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t0W), MUL_FLT_CPX(C_FLT(0.38268343236508978), t1W));
        t2W = ADD_CPX_CPX(t8U, t6V);
        t3W = SUB_CPX_CPX(t0V, t7V);
        t4W = SUB_CPX_CPX(t8U, t6V);
        t5W = ADD_CPX_CPX(t0V, t7V);
        t6W = ADD_CPX_CPX(t2V, t8V);
        t7W = SUB_CPX_CPX(t3V, t9V);
        a8l = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2V, t8V));
        a9l = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t3V, t9V));
        s2y = SUB_CPX_CPX(a8l, a9l);
        s3y = ADD_CPX_CPX(a8l, a9l);
        t8W = ADD_CPX_CPX(t2W, t6W);
        t9W = SUB_CPX_CPX(t4W, t7W);
        t0X = SUB_CPX_CPX(t2W, t6W);
        t1X = ADD_CPX_CPX(t4W, t7W);
        STOREU_CPX((28 + dst + i2), t8W);
        STOREU_CPX((156 + dst + i2), t9W);
        STOREU_CPX((284 + dst + i2), t0X);
        STOREU_CPX((412 + dst + i2), t1X);
        t2X = ADD_CPX_CPX(t3W, s2y);
        t3X = SUB_CPX_CPX(t5W, s3y);
        t4X = SUB_CPX_CPX(t3W, s2y);
        t5X = ADD_CPX_CPX(t5W, s3y);
        STOREU_CPX((92 + dst + i2), t2X);
        STOREU_CPX((220 + dst + i2), t3X);
        STOREU_CPX((348 + dst + i2), t4X);
        STOREU_CPX((476 + dst + i2), t5X);
        t6X = ADD_CPX_CPX(t9U, s8x);
        t7X = SUB_CPX_CPX(t1V, s9x);
        t8X = SUB_CPX_CPX(t9U, s8x);
        t9X = ADD_CPX_CPX(t1V, s9x);
        t0Y = ADD_CPX_CPX(s6x, s0y);
        t1Y = SUB_CPX_CPX(s7x, s1y);
        a0m = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s6x, s0y));
        a1m = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s7x, s1y));
        s4y = SUB_CPX_CPX(a0m, a1m);
        s5y = ADD_CPX_CPX(a0m, a1m);
        t2Y = ADD_CPX_CPX(t6X, t0Y);
        t3Y = SUB_CPX_CPX(t8X, t1Y);
        t4Y = SUB_CPX_CPX(t6X, t0Y);
        t5Y = ADD_CPX_CPX(t8X, t1Y);
        STOREU_CPX((60 + dst + i2), t2Y);
        STOREU_CPX((188 + dst + i2), t3Y);
        STOREU_CPX((316 + dst + i2), t4Y);
        STOREU_CPX((444 + dst + i2), t5Y);
        t6Y = ADD_CPX_CPX(t7X, s4y);
        t7Y = SUB_CPX_CPX(t9X, s5y);
        t8Y = SUB_CPX_CPX(t7X, s4y);
        t9Y = ADD_CPX_CPX(t9X, s5y);
        STOREU_CPX((124 + dst + i2), t6Y);
        STOREU_CPX((252 + dst + i2), t7Y);
        STOREU_CPX((380 + dst + i2), t8Y);
        STOREU_CPX((508 + dst + i2), t9Y);
    }}
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_fftfwd_double_512)(const double *pSrc, double *pDst ) {
    if (!is_aligned(pSrc) || !is_aligned(pDst))
       	return spiral_fftfwd_double_512_unaligned(pSrc, pDst );
    else {
    const CPX  *src = (const CPX *) pSrc; 
    CPX        *dst = (CPX *) pDst;
    
    
    { SPIRAL_ALIGNED(CPX T[512]);
    CPX  *a03, *a04, *a05, *a06, *a07, *a08, *a09, *a0a, *a0b, *a0c, *a0d, *a0e, *a0f, *a0g, *a0h, *a0i, *a13, *a14, *a15, *a16, *a17, *a18
            , *a19, *a1a, *a1b, *a1c, *a1d, *a1e, *a1f, *a1g, *a1h, *a1i, *a23, *a25, *a27, *a29, *a2b, *a2d, *a2e, *a2f, *a2g, *a2h, *a2i, *a2j
            , *a33, *a35, *a37, *a39, *a3b, *a3d, *a3e, *a3f, *a3g, *a3h, *a3i, *a42, *a43, *a45, *a47, *a49, *a4b, *a4d, *a4f, *a4h, *a52, *a53
            , *a55, *a57, *a59, *a5b, *a5d, *a5f, *a5h, *a62, *a64, *a65, *a66, *a67, *a68, *a69, *a6a, *a6b, *a6d, *a6f, *a6h, *a72, *a74, *a75
            , *a76, *a77, *a78, *a79, *a7a, *a7b, *a7d, *a7f, *a7h, *a82, *a83, *a84, *a85, *a86, *a87, *a88, *a89, *a8a, *a8b, *a8c, *a8d, *a8e
            , *a8f, *a8g, *a8h, *a92, *a93, *a94, *a95, *a96, *a97, *a98, *a99, *a9a, *a9b, *a9c, *a9d, *a9e, *a9f, *a9g, *a9h, *b2;
    const CPX  *a, *a01, *a11, *a2, *a21, *a3, *a31, *a4, *a41, *a5, *a51, *a6, *a61, *a7, *a71, *b;
    FLT  *a02, *a12, *a22, *a32, *a81, *a91;
    CPX a0j, a0k, a0l, a0m, a0n, a1j, a1k, a1l, a1m, a1n, a24, a26, a28, a2a, a2c, a2k, a2l, a2m, a2n, a34, a36, a38
        , a3a, a3c, a3j, a3k, a3l, a3m, a3n, a44, a46, a48, a4a, a4c, a4e, a4g, a4i, a4j, a4k, a4l, a4m, a4n, a54, a56
        , a58, a5a, a5c, a5e, a5g, a5i, a5j, a5k, a5l, a5m, a5n, a63, a6c, a6e, a6g, a6i, a6j, a6k, a6l, a6m, a6n, a73
        , a7c, a7e, a7g, a7i, a7j, a7k, a7l, a7m, a8, a8i, a8j, a8k, a8l, a8m, a9, a9i, a9j, a9k, a9l, a9m, s, s01
        , s02, s03, s04, s05, s06, s07, s08, s09, s0a, s0b, s0c, s0d, s0e, s0f, s0g, s0h, s0i, s0j, s0k, s0l, s0m, s0n
        , s0o, s0p, s0q, s0r, s0s, s0t, s0u, s0v, s0w, s11, s12, s13, s14, s15, s16, s17, s18, s19, s1a, s1b, s1c, s1d
        , s1e, s1f, s1g, s1h, s1i, s1j, s1k, s1l, s1m, s1n, s1o, s1p, s1q, s1r, s1s, s1t, s1u, s1v, s1w, s2, s21, s22
        , s23, s24, s25, s26, s27, s28, s29, s2a, s2b, s2c, s2d, s2e, s2f, s2g, s2h, s2i, s2j, s2k, s2l, s2m, s2n, s2o
        , s2p, s2q, s2r, s2s, s2t, s2u, s2v, s2w, s3, s31, s32, s33, s34, s35, s36, s37, s38, s39, s3a, s3b, s3c, s3d
        , s3e, s3f, s3g, s3h, s3i, s3j, s3k, s3l, s3m, s3n, s3o, s3p, s3q, s3r, s3s, s3t, s3u, s3v, s3w, s4, s41, s42
        , s43, s44, s45, s46, s47, s48, s49, s4a, s4b, s4c, s4d, s4e, s4f, s4g, s4h, s4i, s4j, s4k, s4l, s4m, s4n, s4o
        , s4p, s4q, s4r, s4s, s4t, s4u, s4v, s4w, s5, s51, s52, s53, s54, s55, s56, s57, s58, s59, s5a, s5b, s5c, s5d
        , s5e, s5f, s5g, s5h, s5i, s5j, s5k, s5l, s5m, s5n, s5o, s5p, s5q, s5r, s5s, s5t, s5u, s5v, s5w, s6, s61, s62
        , s63, s64, s65, s66, s67, s68, s69, s6a, s6b, s6c, s6d, s6e, s6f, s6g, s6h, s6i, s6j, s6k, s6l, s6m, s6n, s6o
        , s6p, s6q, s6r, s6s, s6t, s6u, s6v, s6w, s7, s71, s72, s73, s74, s75, s76, s77, s78, s79, s7a, s7b, s7c, s7d
        , s7e, s7f, s7g, s7h, s7i, s7j, s7k, s7l, s7m, s7n, s7o, s7p, s7q, s7r, s7s, s7t, s7u, s7v, s7w, s8, s81, s82
        , s83, s84, s85, s86, s87, s88, s89, s8a, s8b, s8c, s8d, s8e, s8f, s8g, s8h, s8i, s8j, s8k, s8l, s8m, s8n, s8o
        , s8p, s8q, s8r, s8s, s8t, s8u, s8v, s8w, s9, s91, s92, s93, s94, s95, s96, s97, s98, s99, s9a, s9b, s9c, s9d
        , s9e, s9f, s9g, s9h, s9i, s9j, s9k, s9l, s9m, s9n, s9o, s9p, s9q, s9r, s9s, s9t, s9u, s9v, s9w, t, t01, t02
        , t03, t04, t05, t06, t07, t08, t09, t0A, t0B, t0C, t0D, t0E, t0F, t0G, t0H, t0I, t0J, t0K, t0L, t0M, t0a, t0b
        , t0c, t0d, t0e, t0f, t0g, t0h, t0i, t0j, t0k, t0l, t0m, t0n, t0o, t0p, t0q, t0r, t0s, t0t, t0u, t0v, t0w, t0x
        , t0y, t0z, t11, t12, t13, t14, t15, t16, t17, t18, t19, t1A, t1B, t1C, t1D, t1E, t1F, t1G, t1H, t1I, t1J, t1K
        , t1L, t1M, t1a, t1b, t1c, t1d, t1e, t1f, t1g, t1h, t1i, t1j, t1k, t1l, t1m, t1n, t1o, t1p, t1q, t1r, t1s, t1t
        , t1u, t1v, t1w, t1x, t1y, t1z, t2, t21, t22, t23, t24, t25, t26, t27, t28, t29, t2A, t2B, t2C, t2D, t2E, t2F
        , t2G, t2H, t2I, t2J, t2K, t2L, t2a, t2b, t2c, t2d, t2e, t2f, t2g, t2h, t2i, t2j, t2k, t2l, t2m, t2n, t2o, t2p
        , t2q, t2r, t2s, t2t, t2u, t2v, t2w, t2x, t2y, t2z, t3, t31, t32, t33, t34, t35, t36, t37, t38, t39, t3A, t3B
        , t3C, t3D, t3E, t3F, t3G, t3H, t3I, t3J, t3K, t3L, t3a, t3b, t3c, t3d, t3e, t3f, t3g, t3h, t3i, t3j, t3k, t3l
        , t3m, t3n, t3o, t3p, t3q, t3r, t3s, t3t, t3u, t3v, t3w, t3x, t3y, t3z, t4, t41, t42, t43, t44, t45, t46, t47
        , t48, t49, t4A, t4B, t4C, t4D, t4E, t4F, t4G, t4H, t4I, t4J, t4K, t4L, t4a, t4b, t4c, t4d, t4e, t4f, t4g, t4h
        , t4i, t4j, t4k, t4l, t4m, t4n, t4o, t4p, t4q, t4r, t4s, t4t, t4u, t4v, t4w, t4x, t4y, t4z, t5, t51, t52, t53
        , t54, t55, t56, t57, t58, t59, t5A, t5B, t5C, t5D, t5E, t5F, t5G, t5H, t5I, t5J, t5K, t5L, t5a, t5b, t5c, t5d
        , t5e, t5f, t5g, t5h, t5i, t5j, t5k, t5l, t5m, t5n, t5o, t5p, t5q, t5r, t5s, t5t, t5u, t5v, t5w, t5x, t5y, t5z
        , t6, t61, t62, t63, t64, t65, t66, t67, t68, t69, t6A, t6B, t6C, t6D, t6E, t6F, t6G, t6H, t6I, t6J, t6K, t6L
        , t6a, t6b, t6c, t6d, t6e, t6f, t6g, t6h, t6i, t6j, t6k, t6l, t6m, t6n, t6o, t6p, t6q, t6r, t6s, t6t, t6u, t6v
        , t6w, t6x, t6y, t6z, t7, t71, t72, t73, t74, t75, t76, t77, t78, t79, t7A, t7B, t7C, t7D, t7E, t7F, t7G, t7H
        , t7I, t7J, t7K, t7L, t7a, t7b, t7c, t7d, t7e, t7f, t7g, t7h, t7i, t7j, t7k, t7l, t7m, t7n, t7o, t7p, t7q, t7r
        , t7s, t7t, t7u, t7v, t7w, t7x, t7y, t7z, t8, t81, t82, t83, t84, t85, t86, t87, t88, t89, t8A, t8B, t8C, t8D
        , t8E, t8F, t8G, t8H, t8I, t8J, t8K, t8L, t8a, t8b, t8c, t8d, t8e, t8f, t8g, t8h, t8i, t8j, t8k, t8l, t8m, t8n
        , t8o, t8p, t8q, t8r, t8s, t8t, t8u, t8v, t8w, t8x, t8y, t8z, t9, t91, t92, t93, t94, t95, t96, t97, t98, t99
        , t9A, t9B, t9C, t9D, t9E, t9F, t9G, t9H, t9I, t9J, t9K, t9L, t9a, t9b, t9c, t9d, t9e, t9f, t9g, t9h, t9i, t9j
        , t9k, t9l, t9m, t9n, t9o, t9p, t9q, t9r, t9s, t9t, t9u, t9v, t9w, t9x, t9y, t9z;
    a = (src + 256);
    t = ADD_CPX_CPX(*(src), *(a));
    t2 = SUB_CPX_CPX(*(src), *(a));
    a2 = (src + 128);
    a3 = (src + 384);
    t3 = ADD_CPX_CPX(*(a2), *(a3));
    s = MUL_NI_CPX(SUB_CPX_CPX(*(a2), *(a3)));
    t4 = ADD_CPX_CPX(t, t3);
    t5 = SUB_CPX_CPX(t, t3);
    t6 = ADD_CPX_CPX(t2, s);
    t7 = SUB_CPX_CPX(t2, s);
    a4 = (src + 64);
    a5 = (src + 448);
    t8 = ADD_CPX_CPX(*(a4), *(a5));
    t9 = ADD_CPX_CPX(MUL_I_CPX(*(a4)), MUL_NI_CPX(*(a5)));
    a6 = (src + 320);
    a7 = (src + 192);
    t01 = ADD_CPX_CPX(*(a6), *(a7));
    t11 = ADD_CPX_CPX(MUL_I_CPX(*(a6)), MUL_NI_CPX(*(a7)));
    t21 = ADD_CPX_CPX(t8, t01);
    t31 = ADD_CPX_CPX(t9, t11);
    a8 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8, t01));
    a9 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9, t11));
    s2 = SUB_CPX_CPX(a8, a9);
    s3 = ADD_CPX_CPX(a8, a9);
    *(T) = ADD_CPX_CPX(t4, t21);
    *((T + 2)) = SUB_CPX_CPX(t5, t31);
    *((T + 4)) = SUB_CPX_CPX(t4, t21);
    *((T + 6)) = ADD_CPX_CPX(t5, t31);
    *((T + 1)) = ADD_CPX_CPX(t6, s2);
    *((T + 3)) = SUB_CPX_CPX(t7, s3);
    *((T + 5)) = SUB_CPX_CPX(t6, s2);
    *((T + 7)) = ADD_CPX_CPX(t7, s3);
    {long i; for(i = 0; i <= 62; i++) {
        b = (src + i);
        a01 = (b + 1);
        a11 = (src + (511 - i));
        t41 = ADD_CPX_CPX(*(a01), *(a11));
        t51 = ADD_CPX_CPX(MUL_I_CPX(*(a01)), MUL_NI_CPX(*(a11)));
        a21 = (b + 129);
        a31 = (src + (383 - i));
        t61 = ADD_CPX_CPX(*(a21), *(a31));
        t71 = ADD_CPX_CPX(MUL_I_CPX(*(a21)), MUL_NI_CPX(*(a31)));
        a41 = (b + 257);
        a51 = (src + (255 - i));
        t81 = ADD_CPX_CPX(*(a41), *(a51));
        t91 = ADD_CPX_CPX(MUL_I_CPX(*(a41)), MUL_NI_CPX(*(a51)));
        a61 = (b + 385);
        a71 = (src + (127 - i));
        t02 = ADD_CPX_CPX(*(a61), *(a71));
        t12 = ADD_CPX_CPX(MUL_I_CPX(*(a61)), MUL_NI_CPX(*(a71)));
        t22 = ADD_CPX_CPX(t41, t81);
        t32 = ADD_CPX_CPX(t51, t91);
        t42 = SUB_CPX_CPX(t41, t81);
        t52 = SUB_CPX_CPX(t51, t91);
        t62 = ADD_CPX_CPX(t61, t02);
        t72 = ADD_CPX_CPX(t71, t12);
        t82 = SUB_CPX_CPX(t61, t02);
        t92 = SUB_CPX_CPX(t71, t12);
        t03 = SUB_CPX_CPX(t22, t62);
        t13 = SUB_CPX_CPX(t32, t72);
        t23 = SUB_CPX_CPX(t42, t92);
        t33 = ADD_CPX_CPX(t52, t82);
        t43 = ADD_CPX_CPX(t42, t92);
        t53 = SUB_CPX_CPX(t52, t82);
        b2 = (T + (8*i));
        *((b2 + 8)) = ADD_CPX_CPX(t22, t62);
        *((b2 + 12)) = ADD_CPX_CPX(t32, t72);
        a81 = (D992 + (6*i));
        a91 = (a81 + 1);
        a02 = (a81 + 2);
        a12 = (a81 + 3);
        a22 = (a81 + 4);
        a32 = (a81 + 5);
        *((b2 + 9)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a81), t23), MUL_FLT_CPX(*(a91), t33));
        *((b2 + 13)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a91), t23), MUL_FLT_CPX(*(a81), t33));
        *((b2 + 10)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a02), t03), MUL_FLT_CPX(*(a12), t13));
        *((b2 + 14)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a12), t03), MUL_FLT_CPX(*(a02), t13));
        *((b2 + 11)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a22), t43), MUL_FLT_CPX(*(a32), t53));
        *((b2 + 15)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a32), t43), MUL_FLT_CPX(*(a22), t53));
    }}
    {long i2; for(i2 = 0; i2 <= 3; i2++) {
        a42 = (T + i2);
        a52 = (a42 + 4);
        a62 = (a42 + 256);
        a72 = (a42 + 260);
        t63 = ADD_CPX_CPX(*(a42), *(a62));
        t73 = SUB_CPX_CPX(*(a52), *(a72));
        t83 = SUB_CPX_CPX(*(a42), *(a62));
        t93 = ADD_CPX_CPX(*(a52), *(a72));
        a82 = (a42 + 64);
        a92 = (a42 + 68);
        a03 = (a42 + 448);
        a13 = (a42 + 452);
        t04 = ADD_CPX_CPX(*(a82), *(a03));
        t14 = SUB_CPX_CPX(*(a92), *(a13));
        t24 = SUB_CPX_CPX(*(a82), *(a03));
        t34 = ADD_CPX_CPX(*(a92), *(a13));
        s4 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t24), MUL_FLT_CPX(C_FLT(0.38268343236508978), t34));
        s5 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t24), MUL_FLT_CPX(C_FLT(0.92387953251128674), t34));
        a23 = (a42 + 128);
        a33 = (a42 + 132);
        a43 = (a42 + 384);
        a53 = (a42 + 388);
        t44 = ADD_CPX_CPX(*(a23), *(a43));
        t54 = SUB_CPX_CPX(*(a33), *(a53));
        a63 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a23), *(a43)));
        a73 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(*(a33), *(a53)));
        s6 = SUB_CPX_CPX(a63, a73);
        s7 = ADD_CPX_CPX(a63, a73);
        a83 = (a42 + 192);
        a93 = (a42 + 196);
        a04 = (a42 + 320);
        a14 = (a42 + 324);
        t64 = ADD_CPX_CPX(*(a83), *(a04));
        t74 = SUB_CPX_CPX(*(a93), *(a14));
        t84 = SUB_CPX_CPX(*(a83), *(a04));
        t94 = ADD_CPX_CPX(*(a93), *(a14));
        s8 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t84), MUL_FLT_CPX(C_FLT(0.92387953251128674), t94));
        s9 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t84), MUL_FLT_CPX(C_FLT(0.38268343236508978), t94));
        t05 = ADD_CPX_CPX(t63, t44);
        t15 = SUB_CPX_CPX(t83, t54);
        t25 = SUB_CPX_CPX(t63, t44);
        t35 = ADD_CPX_CPX(t83, t54);
        t45 = ADD_CPX_CPX(t04, t64);
        t55 = SUB_CPX_CPX(t14, t74);
        a24 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t04, t64));
        a34 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t14, t74));
        s01 = SUB_CPX_CPX(a24, a34);
        s11 = ADD_CPX_CPX(a24, a34);
        t65 = ADD_CPX_CPX(t05, t45);
        t75 = SUB_CPX_CPX(t25, t55);
        t85 = SUB_CPX_CPX(t05, t45);
        t95 = ADD_CPX_CPX(t25, t55);
        t06 = ADD_CPX_CPX(t15, s01);
        t16 = SUB_CPX_CPX(t35, s11);
        t26 = SUB_CPX_CPX(t15, s01);
        t36 = ADD_CPX_CPX(t35, s11);
        t46 = ADD_CPX_CPX(t73, s6);
        t56 = SUB_CPX_CPX(t93, s7);
        t66 = SUB_CPX_CPX(t73, s6);
        t76 = ADD_CPX_CPX(t93, s7);
        t86 = ADD_CPX_CPX(s4, s8);
        t96 = SUB_CPX_CPX(s5, s9);
        a44 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4, s8));
        a54 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5, s9));
        s21 = SUB_CPX_CPX(a44, a54);
        s31 = ADD_CPX_CPX(a44, a54);
        t07 = ADD_CPX_CPX(t46, t86);
        t17 = SUB_CPX_CPX(t66, t96);
        t27 = SUB_CPX_CPX(t46, t86);
        t37 = ADD_CPX_CPX(t66, t96);
        t47 = ADD_CPX_CPX(t56, s21);
        t57 = SUB_CPX_CPX(t76, s31);
        t67 = SUB_CPX_CPX(t56, s21);
        t77 = ADD_CPX_CPX(t76, s31);
        a64 = (a42 + 8);
        a74 = (a42 + 12);
        a84 = (a42 + 504);
        a94 = (a42 + 508);
        t87 = ADD_CPX_CPX(*(a64), *(a84));
        t97 = SUB_CPX_CPX(*(a74), *(a94));
        t08 = SUB_CPX_CPX(*(a64), *(a84));
        t18 = ADD_CPX_CPX(*(a74), *(a94));
        a05 = (a42 + 264);
        a15 = (a42 + 268);
        a25 = (a42 + 248);
        a35 = (a42 + 252);
        t28 = ADD_CPX_CPX(*(a05), *(a25));
        t38 = SUB_CPX_CPX(*(a15), *(a35));
        t48 = SUB_CPX_CPX(*(a05), *(a25));
        t58 = ADD_CPX_CPX(*(a15), *(a35));
        t68 = ADD_CPX_CPX(t87, t28);
        t78 = ADD_CPX_CPX(t97, t38);
        t88 = SUB_CPX_CPX(t87, t28);
        t98 = SUB_CPX_CPX(t97, t38);
        t09 = SUB_CPX_CPX(t08, t58);
        t19 = ADD_CPX_CPX(t18, t48);
        t29 = ADD_CPX_CPX(t08, t58);
        t39 = SUB_CPX_CPX(t18, t48);
        a45 = (a42 + 136);
        a55 = (a42 + 140);
        a65 = (a42 + 120);
        a75 = (a42 + 124);
        t49 = ADD_CPX_CPX(*(a45), *(a65));
        t59 = SUB_CPX_CPX(*(a55), *(a75));
        t69 = ADD_CPX_CPX(*(a55), *(a75));
        t79 = SUB_CPX_CPX(*(a65), *(a45));
        a85 = (a42 + 376);
        a95 = (a42 + 380);
        a06 = (a42 + 392);
        a16 = (a42 + 396);
        t89 = ADD_CPX_CPX(*(a85), *(a06));
        t99 = SUB_CPX_CPX(*(a16), *(a95));
        t0a = ADD_CPX_CPX(*(a95), *(a16));
        t1a = SUB_CPX_CPX(*(a06), *(a85));
        s41 = ADD_CPX_CPX(t49, t89);
        s51 = ADD_CPX_CPX(t59, t99);
        s61 = SUB_CPX_CPX(t69, t0a);
        s71 = ADD_CPX_CPX(t79, t1a);
        a26 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t49, t89));
        a36 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t69, t0a));
        t2a = SUB_CPX_CPX(a26, a36);
        a46 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t59, t99));
        a56 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t79, t1a));
        t3a = SUB_CPX_CPX(a46, a56);
        t4a = ADD_CPX_CPX(a26, a36);
        t5a = ADD_CPX_CPX(a46, a56);
        s81 = ADD_CPX_CPX(t68, s41);
        s91 = ADD_CPX_CPX(t78, s51);
        s02 = SUB_CPX_CPX(t88, s61);
        s12 = SUB_CPX_CPX(t98, s71);
        s22 = SUB_CPX_CPX(t68, s41);
        s32 = SUB_CPX_CPX(t78, s51);
        s42 = ADD_CPX_CPX(t88, s61);
        s52 = ADD_CPX_CPX(t98, s71);
        s62 = ADD_CPX_CPX(t09, t2a);
        s72 = ADD_CPX_CPX(t19, t3a);
        s82 = SUB_CPX_CPX(t29, t4a);
        s92 = SUB_CPX_CPX(t39, t5a);
        s03 = SUB_CPX_CPX(t09, t2a);
        s13 = SUB_CPX_CPX(t19, t3a);
        s23 = ADD_CPX_CPX(t29, t4a);
        s33 = ADD_CPX_CPX(t39, t5a);
        s43 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99879545620517241), s62), MUL_FLT_CPX(C_FLT(0.049067674327418015), s72));
        s53 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.049067674327418015), s62), MUL_FLT_CPX(C_FLT(0.99879545620517241), s72));
        s63 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), s02), MUL_FLT_CPX(C_FLT(0.098017140329560604), s12));
        s73 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), s02), MUL_FLT_CPX(C_FLT(0.99518472667219693), s12));
        s83 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s82), MUL_FLT_CPX(C_FLT(0.14673047445536175), s92));
        s93 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.14673047445536175), s82), MUL_FLT_CPX(C_FLT(0.98917650996478101), s92));
        s04 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s22), MUL_FLT_CPX(C_FLT(0.19509032201612828), s32));
        s14 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s22), MUL_FLT_CPX(C_FLT(0.98078528040323043), s32));
        s24 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.97003125319454397), s03), MUL_FLT_CPX(C_FLT(0.2429801799032639), s13));
        s34 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.2429801799032639), s03), MUL_FLT_CPX(C_FLT(0.97003125319454397), s13));
        s44 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s42), MUL_FLT_CPX(C_FLT(0.29028467725446239), s52));
        s54 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.29028467725446239), s42), MUL_FLT_CPX(C_FLT(0.95694033573220882), s52));
        s64 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), s23), MUL_FLT_CPX(C_FLT(0.33688985339222005), s33));
        s74 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.33688985339222005), s23), MUL_FLT_CPX(C_FLT(0.94154406518302081), s33));
        a66 = (a42 + 16);
        a76 = (a42 + 20);
        a86 = (a42 + 496);
        a96 = (a42 + 500);
        t6a = ADD_CPX_CPX(*(a66), *(a86));
        t7a = SUB_CPX_CPX(*(a76), *(a96));
        t8a = SUB_CPX_CPX(*(a66), *(a86));
        t9a = ADD_CPX_CPX(*(a76), *(a96));
        a07 = (a42 + 272);
        a17 = (a42 + 276);
        a27 = (a42 + 240);
        a37 = (a42 + 244);
        t0b = ADD_CPX_CPX(*(a07), *(a27));
        t1b = SUB_CPX_CPX(*(a17), *(a37));
        t2b = SUB_CPX_CPX(*(a07), *(a27));
        t3b = ADD_CPX_CPX(*(a17), *(a37));
        t4b = ADD_CPX_CPX(t6a, t0b);
        t5b = ADD_CPX_CPX(t7a, t1b);
        t6b = SUB_CPX_CPX(t6a, t0b);
        t7b = SUB_CPX_CPX(t7a, t1b);
        t8b = SUB_CPX_CPX(t8a, t3b);
        t9b = ADD_CPX_CPX(t9a, t2b);
        t0c = ADD_CPX_CPX(t8a, t3b);
        t1c = SUB_CPX_CPX(t9a, t2b);
        a47 = (a42 + 144);
        a57 = (a42 + 148);
        a67 = (a42 + 112);
        a77 = (a42 + 116);
        t2c = ADD_CPX_CPX(*(a47), *(a67));
        t3c = SUB_CPX_CPX(*(a57), *(a77));
        t4c = ADD_CPX_CPX(*(a57), *(a77));
        t5c = SUB_CPX_CPX(*(a67), *(a47));
        a87 = (a42 + 368);
        a97 = (a42 + 372);
        a08 = (a42 + 400);
        a18 = (a42 + 404);
        t6c = ADD_CPX_CPX(*(a87), *(a08));
        t7c = SUB_CPX_CPX(*(a18), *(a97));
        t8c = ADD_CPX_CPX(*(a97), *(a18));
        t9c = SUB_CPX_CPX(*(a08), *(a87));
        s84 = ADD_CPX_CPX(t2c, t6c);
        s94 = ADD_CPX_CPX(t3c, t7c);
        s05 = SUB_CPX_CPX(t4c, t8c);
        s15 = ADD_CPX_CPX(t5c, t9c);
        a28 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2c, t6c));
        a38 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t4c, t8c));
        t0d = SUB_CPX_CPX(a28, a38);
        a48 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3c, t7c));
        a58 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t5c, t9c));
        t1d = SUB_CPX_CPX(a48, a58);
        t2d = ADD_CPX_CPX(a28, a38);
        t3d = ADD_CPX_CPX(a48, a58);
        s25 = ADD_CPX_CPX(t4b, s84);
        s35 = ADD_CPX_CPX(t5b, s94);
        s45 = SUB_CPX_CPX(t6b, s05);
        s55 = SUB_CPX_CPX(t7b, s15);
        s65 = SUB_CPX_CPX(t4b, s84);
        s75 = SUB_CPX_CPX(t5b, s94);
        s85 = ADD_CPX_CPX(t6b, s05);
        s95 = ADD_CPX_CPX(t7b, s15);
        s06 = ADD_CPX_CPX(t8b, t0d);
        s16 = ADD_CPX_CPX(t9b, t1d);
        s26 = SUB_CPX_CPX(t0c, t2d);
        s36 = SUB_CPX_CPX(t1c, t3d);
        s46 = SUB_CPX_CPX(t8b, t0d);
        s56 = SUB_CPX_CPX(t9b, t1d);
        s66 = ADD_CPX_CPX(t0c, t2d);
        s76 = ADD_CPX_CPX(t1c, t3d);
        s86 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), s06), MUL_FLT_CPX(C_FLT(0.098017140329560604), s16));
        s96 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), s06), MUL_FLT_CPX(C_FLT(0.99518472667219693), s16));
        s07 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s45), MUL_FLT_CPX(C_FLT(0.19509032201612828), s55));
        s17 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s45), MUL_FLT_CPX(C_FLT(0.98078528040323043), s55));
        s27 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s26), MUL_FLT_CPX(C_FLT(0.29028467725446239), s36));
        s37 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.29028467725446239), s26), MUL_FLT_CPX(C_FLT(0.95694033573220882), s36));
        s47 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s65), MUL_FLT_CPX(C_FLT(0.38268343236508978), s75));
        s57 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s65), MUL_FLT_CPX(C_FLT(0.92387953251128674), s75));
        s67 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s46), MUL_FLT_CPX(C_FLT(0.47139673682599764), s56));
        s77 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.47139673682599764), s46), MUL_FLT_CPX(C_FLT(0.88192126434835505), s56));
        s87 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s85), MUL_FLT_CPX(C_FLT(0.55557023301960218), s95));
        s97 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s85), MUL_FLT_CPX(C_FLT(0.83146961230254524), s95));
        s08 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), s66), MUL_FLT_CPX(C_FLT(0.63439328416364549), s76));
        s18 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), s66), MUL_FLT_CPX(C_FLT(0.77301045336273699), s76));
        a68 = (a42 + 24);
        a78 = (a42 + 28);
        a88 = (a42 + 488);
        a98 = (a42 + 492);
        t4d = ADD_CPX_CPX(*(a68), *(a88));
        t5d = SUB_CPX_CPX(*(a78), *(a98));
        t6d = SUB_CPX_CPX(*(a68), *(a88));
        t7d = ADD_CPX_CPX(*(a78), *(a98));
        a09 = (a42 + 280);
        a19 = (a42 + 284);
        a29 = (a42 + 232);
        a39 = (a42 + 236);
        t8d = ADD_CPX_CPX(*(a09), *(a29));
        t9d = SUB_CPX_CPX(*(a19), *(a39));
        t0e = SUB_CPX_CPX(*(a09), *(a29));
        t1e = ADD_CPX_CPX(*(a19), *(a39));
        t2e = ADD_CPX_CPX(t4d, t8d);
        t3e = ADD_CPX_CPX(t5d, t9d);
        t4e = SUB_CPX_CPX(t4d, t8d);
        t5e = SUB_CPX_CPX(t5d, t9d);
        t6e = SUB_CPX_CPX(t6d, t1e);
        t7e = ADD_CPX_CPX(t7d, t0e);
        t8e = ADD_CPX_CPX(t6d, t1e);
        t9e = SUB_CPX_CPX(t7d, t0e);
        a49 = (a42 + 152);
        a59 = (a42 + 156);
        a69 = (a42 + 104);
        a79 = (a42 + 108);
        t0f = ADD_CPX_CPX(*(a49), *(a69));
        t1f = SUB_CPX_CPX(*(a59), *(a79));
        t2f = ADD_CPX_CPX(*(a59), *(a79));
        t3f = SUB_CPX_CPX(*(a69), *(a49));
        a89 = (a42 + 360);
        a99 = (a42 + 364);
        a0a = (a42 + 408);
        a1a = (a42 + 412);
        t4f = ADD_CPX_CPX(*(a89), *(a0a));
        t5f = SUB_CPX_CPX(*(a1a), *(a99));
        t6f = ADD_CPX_CPX(*(a99), *(a1a));
        t7f = SUB_CPX_CPX(*(a0a), *(a89));
        s28 = ADD_CPX_CPX(t0f, t4f);
        s38 = ADD_CPX_CPX(t1f, t5f);
        s48 = SUB_CPX_CPX(t2f, t6f);
        s58 = ADD_CPX_CPX(t3f, t7f);
        a2a = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0f, t4f));
        a3a = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t2f, t6f));
        t8f = SUB_CPX_CPX(a2a, a3a);
        a4a = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t1f, t5f));
        a5a = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3f, t7f));
        t9f = SUB_CPX_CPX(a4a, a5a);
        t0g = ADD_CPX_CPX(a2a, a3a);
        t1g = ADD_CPX_CPX(a4a, a5a);
        s68 = ADD_CPX_CPX(t2e, s28);
        s78 = ADD_CPX_CPX(t3e, s38);
        s88 = SUB_CPX_CPX(t4e, s48);
        s98 = SUB_CPX_CPX(t5e, s58);
        s09 = SUB_CPX_CPX(t2e, s28);
        s19 = SUB_CPX_CPX(t3e, s38);
        s29 = ADD_CPX_CPX(t4e, s48);
        s39 = ADD_CPX_CPX(t5e, s58);
        s49 = ADD_CPX_CPX(t6e, t8f);
        s59 = ADD_CPX_CPX(t7e, t9f);
        s69 = SUB_CPX_CPX(t8e, t0g);
        s79 = SUB_CPX_CPX(t9e, t1g);
        s89 = SUB_CPX_CPX(t6e, t8f);
        s99 = SUB_CPX_CPX(t7e, t9f);
        s0a = ADD_CPX_CPX(t8e, t0g);
        s1a = ADD_CPX_CPX(t9e, t1g);
        s2a = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s49), MUL_FLT_CPX(C_FLT(0.14673047445536175), s59));
        s3a = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.14673047445536175), s49), MUL_FLT_CPX(C_FLT(0.98917650996478101), s59));
        s4a = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s88), MUL_FLT_CPX(C_FLT(0.29028467725446239), s98));
        s5a = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.29028467725446239), s88), MUL_FLT_CPX(C_FLT(0.95694033573220882), s98));
        s6a = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.90398929312344334), s69), MUL_FLT_CPX(C_FLT(0.42755509343028208), s79));
        s7a = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.42755509343028208), s69), MUL_FLT_CPX(C_FLT(0.90398929312344334), s79));
        s8a = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s09), MUL_FLT_CPX(C_FLT(0.55557023301960218), s19));
        s9a = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s09), MUL_FLT_CPX(C_FLT(0.83146961230254524), s19));
        s0b = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), s89), MUL_FLT_CPX(C_FLT(0.67155895484701844), s99));
        s1b = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.67155895484701844), s89), MUL_FLT_CPX(C_FLT(0.74095112535495911), s99));
        s2b = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), s29), MUL_FLT_CPX(C_FLT(0.77301045336273699), s39));
        s3b = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), s29), MUL_FLT_CPX(C_FLT(0.63439328416364549), s39));
        s4b = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.51410274419322177), s0a), MUL_FLT_CPX(C_FLT(0.85772861000027212), s1a));
        s5b = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.85772861000027212), s0a), MUL_FLT_CPX(C_FLT(0.51410274419322177), s1a));
        a6a = (a42 + 32);
        a7a = (a42 + 36);
        a8a = (a42 + 480);
        a9a = (a42 + 484);
        t2g = ADD_CPX_CPX(*(a6a), *(a8a));
        t3g = SUB_CPX_CPX(*(a7a), *(a9a));
        t4g = SUB_CPX_CPX(*(a6a), *(a8a));
        t5g = ADD_CPX_CPX(*(a7a), *(a9a));
        a0b = (a42 + 288);
        a1b = (a42 + 292);
        a2b = (a42 + 224);
        a3b = (a42 + 228);
        t6g = ADD_CPX_CPX(*(a0b), *(a2b));
        t7g = SUB_CPX_CPX(*(a1b), *(a3b));
        t8g = SUB_CPX_CPX(*(a0b), *(a2b));
        t9g = ADD_CPX_CPX(*(a1b), *(a3b));
        t0h = ADD_CPX_CPX(t2g, t6g);
        t1h = ADD_CPX_CPX(t3g, t7g);
        t2h = SUB_CPX_CPX(t2g, t6g);
        t3h = SUB_CPX_CPX(t3g, t7g);
        t4h = SUB_CPX_CPX(t4g, t9g);
        t5h = ADD_CPX_CPX(t5g, t8g);
        t6h = ADD_CPX_CPX(t4g, t9g);
        t7h = SUB_CPX_CPX(t5g, t8g);
        a4b = (a42 + 160);
        a5b = (a42 + 164);
        a6b = (a42 + 96);
        a7b = (a42 + 100);
        t8h = ADD_CPX_CPX(*(a4b), *(a6b));
        t9h = SUB_CPX_CPX(*(a5b), *(a7b));
        t0i = ADD_CPX_CPX(*(a5b), *(a7b));
        t1i = SUB_CPX_CPX(*(a6b), *(a4b));
        a8b = (a42 + 352);
        a9b = (a42 + 356);
        a0c = (a42 + 416);
        a1c = (a42 + 420);
        t2i = ADD_CPX_CPX(*(a8b), *(a0c));
        t3i = SUB_CPX_CPX(*(a1c), *(a9b));
        t4i = ADD_CPX_CPX(*(a9b), *(a1c));
        t5i = SUB_CPX_CPX(*(a0c), *(a8b));
        s6b = ADD_CPX_CPX(t8h, t2i);
        s7b = ADD_CPX_CPX(t9h, t3i);
        s8b = SUB_CPX_CPX(t0i, t4i);
        s9b = ADD_CPX_CPX(t1i, t5i);
        a2c = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8h, t2i));
        a3c = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t0i, t4i));
        t6i = SUB_CPX_CPX(a2c, a3c);
        a4c = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9h, t3i));
        a5c = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t1i, t5i));
        t7i = SUB_CPX_CPX(a4c, a5c);
        t8i = ADD_CPX_CPX(a2c, a3c);
        t9i = ADD_CPX_CPX(a4c, a5c);
        s0c = ADD_CPX_CPX(t0h, s6b);
        s1c = ADD_CPX_CPX(t1h, s7b);
        s2c = SUB_CPX_CPX(t2h, s8b);
        s3c = SUB_CPX_CPX(t3h, s9b);
        s4c = ADD_CPX_CPX(t2h, s8b);
        s5c = ADD_CPX_CPX(t3h, s9b);
        s6c = ADD_CPX_CPX(t4h, t6i);
        s7c = ADD_CPX_CPX(t5h, t7i);
        s8c = SUB_CPX_CPX(t6h, t8i);
        s9c = SUB_CPX_CPX(t7h, t9i);
        s0d = SUB_CPX_CPX(t4h, t6i);
        s1d = SUB_CPX_CPX(t5h, t7i);
        s2d = ADD_CPX_CPX(t6h, t8i);
        s3d = ADD_CPX_CPX(t7h, t9i);
        s4d = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s6c), MUL_FLT_CPX(C_FLT(0.19509032201612828), s7c));
        s5d = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s6c), MUL_FLT_CPX(C_FLT(0.98078528040323043), s7c));
        s6d = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s2c), MUL_FLT_CPX(C_FLT(0.38268343236508978), s3c));
        s7d = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s2c), MUL_FLT_CPX(C_FLT(0.92387953251128674), s3c));
        s8d = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s8c), MUL_FLT_CPX(C_FLT(0.55557023301960218), s9c));
        s9d = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s8c), MUL_FLT_CPX(C_FLT(0.83146961230254524), s9c));
        a6c = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0h, s6b));
        a7c = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t1h, s7b));
        s0e = SUB_CPX_CPX(a6c, a7c);
        s1e = ADD_CPX_CPX(a6c, a7c);
        s2e = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s0d), MUL_FLT_CPX(C_FLT(0.83146961230254524), s1d));
        s3e = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s0d), MUL_FLT_CPX(C_FLT(0.55557023301960218), s1d));
        s4e = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s4c), MUL_FLT_CPX(C_FLT(0.92387953251128674), s5c));
        s5e = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s4c), MUL_FLT_CPX(C_FLT(0.38268343236508978), s5c));
        s6e = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s2d), MUL_FLT_CPX(C_FLT(0.98078528040323043), s3d));
        s7e = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s2d), MUL_FLT_CPX(C_FLT(0.19509032201612828), s3d));
        a8c = (a42 + 40);
        a9c = (a42 + 44);
        a0d = (a42 + 472);
        a1d = (a42 + 476);
        t0j = ADD_CPX_CPX(*(a8c), *(a0d));
        t1j = SUB_CPX_CPX(*(a9c), *(a1d));
        t2j = SUB_CPX_CPX(*(a8c), *(a0d));
        t3j = ADD_CPX_CPX(*(a9c), *(a1d));
        a2d = (a42 + 296);
        a3d = (a42 + 300);
        a4d = (a42 + 216);
        a5d = (a42 + 220);
        t4j = ADD_CPX_CPX(*(a2d), *(a4d));
        t5j = SUB_CPX_CPX(*(a3d), *(a5d));
        t6j = SUB_CPX_CPX(*(a2d), *(a4d));
        t7j = ADD_CPX_CPX(*(a3d), *(a5d));
        t8j = ADD_CPX_CPX(t0j, t4j);
        t9j = ADD_CPX_CPX(t1j, t5j);
        t0k = SUB_CPX_CPX(t0j, t4j);
        t1k = SUB_CPX_CPX(t1j, t5j);
        t2k = SUB_CPX_CPX(t2j, t7j);
        t3k = ADD_CPX_CPX(t3j, t6j);
        t4k = ADD_CPX_CPX(t2j, t7j);
        t5k = SUB_CPX_CPX(t3j, t6j);
        a6d = (a42 + 168);
        a7d = (a42 + 172);
        a8d = (a42 + 88);
        a9d = (a42 + 92);
        t6k = ADD_CPX_CPX(*(a6d), *(a8d));
        t7k = SUB_CPX_CPX(*(a7d), *(a9d));
        t8k = ADD_CPX_CPX(*(a7d), *(a9d));
        t9k = SUB_CPX_CPX(*(a8d), *(a6d));
        a0e = (a42 + 344);
        a1e = (a42 + 348);
        a2e = (a42 + 424);
        a3e = (a42 + 428);
        t0l = ADD_CPX_CPX(*(a0e), *(a2e));
        t1l = SUB_CPX_CPX(*(a3e), *(a1e));
        t2l = ADD_CPX_CPX(*(a1e), *(a3e));
        t3l = SUB_CPX_CPX(*(a2e), *(a0e));
        s8e = ADD_CPX_CPX(t6k, t0l);
        s9e = ADD_CPX_CPX(t7k, t1l);
        s0f = SUB_CPX_CPX(t8k, t2l);
        s1f = ADD_CPX_CPX(t9k, t3l);
        a4e = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t6k, t0l));
        a5e = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t8k, t2l));
        t4l = SUB_CPX_CPX(a4e, a5e);
        a6e = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t7k, t1l));
        a7e = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9k, t3l));
        t5l = SUB_CPX_CPX(a6e, a7e);
        t6l = ADD_CPX_CPX(a4e, a5e);
        t7l = ADD_CPX_CPX(a6e, a7e);
        s2f = ADD_CPX_CPX(t8j, s8e);
        s3f = ADD_CPX_CPX(t9j, s9e);
        s4f = SUB_CPX_CPX(t0k, s0f);
        s5f = SUB_CPX_CPX(t1k, s1f);
        s6f = SUB_CPX_CPX(t8j, s8e);
        s7f = SUB_CPX_CPX(t9j, s9e);
        s8f = ADD_CPX_CPX(t0k, s0f);
        s9f = ADD_CPX_CPX(t1k, s1f);
        s0g = ADD_CPX_CPX(t2k, t4l);
        s1g = ADD_CPX_CPX(t3k, t5l);
        s2g = SUB_CPX_CPX(t4k, t6l);
        s3g = SUB_CPX_CPX(t5k, t7l);
        s4g = SUB_CPX_CPX(t2k, t4l);
        s5g = SUB_CPX_CPX(t3k, t5l);
        s6g = ADD_CPX_CPX(t4k, t6l);
        s7g = ADD_CPX_CPX(t5k, t7l);
        s8g = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.97003125319454397), s0g), MUL_FLT_CPX(C_FLT(0.2429801799032639), s1g));
        s9g = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.2429801799032639), s0g), MUL_FLT_CPX(C_FLT(0.97003125319454397), s1g));
        s0h = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s4f), MUL_FLT_CPX(C_FLT(0.47139673682599764), s5f));
        s1h = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.47139673682599764), s4f), MUL_FLT_CPX(C_FLT(0.88192126434835505), s5f));
        s2h = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), s2g), MUL_FLT_CPX(C_FLT(0.67155895484701844), s3g));
        s3h = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.67155895484701844), s2g), MUL_FLT_CPX(C_FLT(0.74095112535495911), s3g));
        s4h = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s6f), MUL_FLT_CPX(C_FLT(0.83146961230254524), s7f));
        s5h = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s6f), MUL_FLT_CPX(C_FLT(0.55557023301960218), s7f));
        s6h = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.33688985339222005), s4g), MUL_FLT_CPX(C_FLT(0.94154406518302081), s5g));
        s7h = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), s4g), MUL_FLT_CPX(C_FLT(0.33688985339222005), s5g));
        s8h = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), s8f), MUL_FLT_CPX(C_FLT(0.99518472667219693), s9f));
        s9h = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), s8f), MUL_FLT_CPX(C_FLT(0.098017140329560604), s9f));
        s0i = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.14673047445536175), s6g), MUL_FLT_CPX(C_FLT(0.98917650996478101), s7g));
        s1i = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s6g), MUL_FLT_CPX(C_FLT(0.14673047445536175), s7g));
        a8e = (a42 + 48);
        a9e = (a42 + 52);
        a0f = (a42 + 464);
        a1f = (a42 + 468);
        t8l = ADD_CPX_CPX(*(a8e), *(a0f));
        t9l = SUB_CPX_CPX(*(a9e), *(a1f));
        t0m = SUB_CPX_CPX(*(a8e), *(a0f));
        t1m = ADD_CPX_CPX(*(a9e), *(a1f));
        a2f = (a42 + 304);
        a3f = (a42 + 308);
        a4f = (a42 + 208);
        a5f = (a42 + 212);
        t2m = ADD_CPX_CPX(*(a2f), *(a4f));
        t3m = SUB_CPX_CPX(*(a3f), *(a5f));
        t4m = SUB_CPX_CPX(*(a2f), *(a4f));
        t5m = ADD_CPX_CPX(*(a3f), *(a5f));
        t6m = ADD_CPX_CPX(t8l, t2m);
        t7m = ADD_CPX_CPX(t9l, t3m);
        t8m = SUB_CPX_CPX(t8l, t2m);
        t9m = SUB_CPX_CPX(t9l, t3m);
        t0n = SUB_CPX_CPX(t0m, t5m);
        t1n = ADD_CPX_CPX(t1m, t4m);
        t2n = ADD_CPX_CPX(t0m, t5m);
        t3n = SUB_CPX_CPX(t1m, t4m);
        a6f = (a42 + 176);
        a7f = (a42 + 180);
        a8f = (a42 + 80);
        a9f = (a42 + 84);
        t4n = ADD_CPX_CPX(*(a6f), *(a8f));
        t5n = SUB_CPX_CPX(*(a7f), *(a9f));
        t6n = ADD_CPX_CPX(*(a7f), *(a9f));
        t7n = SUB_CPX_CPX(*(a8f), *(a6f));
        a0g = (a42 + 336);
        a1g = (a42 + 340);
        a2g = (a42 + 432);
        a3g = (a42 + 436);
        t8n = ADD_CPX_CPX(*(a0g), *(a2g));
        t9n = SUB_CPX_CPX(*(a3g), *(a1g));
        t0o = ADD_CPX_CPX(*(a1g), *(a3g));
        t1o = SUB_CPX_CPX(*(a2g), *(a0g));
        s2i = ADD_CPX_CPX(t4n, t8n);
        s3i = ADD_CPX_CPX(t5n, t9n);
        s4i = SUB_CPX_CPX(t6n, t0o);
        s5i = ADD_CPX_CPX(t7n, t1o);
        a4g = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t4n, t8n));
        a5g = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t6n, t0o));
        t2o = SUB_CPX_CPX(a4g, a5g);
        a6g = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t5n, t9n));
        a7g = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t7n, t1o));
        t3o = SUB_CPX_CPX(a6g, a7g);
        t4o = ADD_CPX_CPX(a4g, a5g);
        t5o = ADD_CPX_CPX(a6g, a7g);
        s6i = ADD_CPX_CPX(t6m, s2i);
        s7i = ADD_CPX_CPX(t7m, s3i);
        s8i = SUB_CPX_CPX(t8m, s4i);
        s9i = SUB_CPX_CPX(t9m, s5i);
        s0j = SUB_CPX_CPX(t6m, s2i);
        s1j = SUB_CPX_CPX(t7m, s3i);
        s2j = ADD_CPX_CPX(t8m, s4i);
        s3j = ADD_CPX_CPX(t9m, s5i);
        s4j = ADD_CPX_CPX(t0n, t2o);
        s5j = ADD_CPX_CPX(t1n, t3o);
        s6j = SUB_CPX_CPX(t2n, t4o);
        s7j = SUB_CPX_CPX(t3n, t5o);
        s8j = SUB_CPX_CPX(t0n, t2o);
        s9j = SUB_CPX_CPX(t1n, t3o);
        s0k = ADD_CPX_CPX(t2n, t4o);
        s1k = ADD_CPX_CPX(t3n, t5o);
        s2k = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s4j), MUL_FLT_CPX(C_FLT(0.29028467725446239), s5j));
        s3k = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.29028467725446239), s4j), MUL_FLT_CPX(C_FLT(0.95694033573220882), s5j));
        s4k = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s8i), MUL_FLT_CPX(C_FLT(0.55557023301960218), s9i));
        s5k = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s8i), MUL_FLT_CPX(C_FLT(0.83146961230254524), s9i));
        s6k = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), s6j), MUL_FLT_CPX(C_FLT(0.77301045336273699), s7j));
        s7k = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), s6j), MUL_FLT_CPX(C_FLT(0.63439328416364549), s7j));
        s8k = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s0j), MUL_FLT_CPX(C_FLT(0.92387953251128674), s1j));
        s9k = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s0j), MUL_FLT_CPX(C_FLT(0.38268343236508978), s1j));
        s0l = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), s8j), MUL_FLT_CPX(C_FLT(0.99518472667219693), s9j));
        s1l = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), s8j), MUL_FLT_CPX(C_FLT(0.098017140329560604), s9j));
        s2l = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s2j), MUL_FLT_CPX(C_FLT(0.98078528040323043), s3j));
        s3l = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s2j), MUL_FLT_CPX(C_FLT(0.19509032201612828), s3j));
        s4l = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.47139673682599764), s0k), MUL_FLT_CPX(C_FLT(0.88192126434835505), s1k));
        s5l = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s0k), MUL_FLT_CPX(C_FLT(0.47139673682599764), s1k));
        a8g = (a42 + 56);
        a9g = (a42 + 60);
        a0h = (a42 + 456);
        a1h = (a42 + 460);
        t6o = ADD_CPX_CPX(*(a8g), *(a0h));
        t7o = SUB_CPX_CPX(*(a9g), *(a1h));
        t8o = SUB_CPX_CPX(*(a8g), *(a0h));
        t9o = ADD_CPX_CPX(*(a9g), *(a1h));
        a2h = (a42 + 312);
        a3h = (a42 + 316);
        a4h = (a42 + 200);
        a5h = (a42 + 204);
        t0p = ADD_CPX_CPX(*(a2h), *(a4h));
        t1p = SUB_CPX_CPX(*(a3h), *(a5h));
        t2p = SUB_CPX_CPX(*(a2h), *(a4h));
        t3p = ADD_CPX_CPX(*(a3h), *(a5h));
        t4p = ADD_CPX_CPX(t6o, t0p);
        t5p = ADD_CPX_CPX(t7o, t1p);
        t6p = SUB_CPX_CPX(t6o, t0p);
        t7p = SUB_CPX_CPX(t7o, t1p);
        t8p = SUB_CPX_CPX(t8o, t3p);
        t9p = ADD_CPX_CPX(t9o, t2p);
        t0q = ADD_CPX_CPX(t8o, t3p);
        t1q = SUB_CPX_CPX(t9o, t2p);
        a6h = (a42 + 184);
        a7h = (a42 + 188);
        a8h = (a42 + 72);
        a9h = (a42 + 76);
        t2q = ADD_CPX_CPX(*(a6h), *(a8h));
        t3q = SUB_CPX_CPX(*(a7h), *(a9h));
        t4q = ADD_CPX_CPX(*(a7h), *(a9h));
        t5q = SUB_CPX_CPX(*(a8h), *(a6h));
        a0i = (a42 + 328);
        a1i = (a42 + 332);
        a2i = (a42 + 440);
        a3i = (a42 + 444);
        t6q = ADD_CPX_CPX(*(a0i), *(a2i));
        t7q = SUB_CPX_CPX(*(a3i), *(a1i));
        t8q = ADD_CPX_CPX(*(a1i), *(a3i));
        t9q = SUB_CPX_CPX(*(a2i), *(a0i));
        s6l = ADD_CPX_CPX(t2q, t6q);
        s7l = ADD_CPX_CPX(t3q, t7q);
        s8l = SUB_CPX_CPX(t4q, t8q);
        s9l = ADD_CPX_CPX(t5q, t9q);
        a4i = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2q, t6q));
        a5i = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t4q, t8q));
        t0r = SUB_CPX_CPX(a4i, a5i);
        a6i = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3q, t7q));
        a7i = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t5q, t9q));
        t1r = SUB_CPX_CPX(a6i, a7i);
        t2r = ADD_CPX_CPX(a4i, a5i);
        t3r = ADD_CPX_CPX(a6i, a7i);
        s0m = ADD_CPX_CPX(t4p, s6l);
        s1m = ADD_CPX_CPX(t5p, s7l);
        s2m = SUB_CPX_CPX(t6p, s8l);
        s3m = SUB_CPX_CPX(t7p, s9l);
        s4m = SUB_CPX_CPX(t4p, s6l);
        s5m = SUB_CPX_CPX(t5p, s7l);
        s6m = ADD_CPX_CPX(t6p, s8l);
        s7m = ADD_CPX_CPX(t7p, s9l);
        s8m = ADD_CPX_CPX(t8p, t0r);
        s9m = ADD_CPX_CPX(t9p, t1r);
        s0n = SUB_CPX_CPX(t0q, t2r);
        s1n = SUB_CPX_CPX(t1q, t3r);
        s2n = SUB_CPX_CPX(t8p, t0r);
        s3n = SUB_CPX_CPX(t9p, t1r);
        s4n = ADD_CPX_CPX(t0q, t2r);
        s5n = ADD_CPX_CPX(t1q, t3r);
        s6n = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), s8m), MUL_FLT_CPX(C_FLT(0.33688985339222005), s9m));
        s7n = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.33688985339222005), s8m), MUL_FLT_CPX(C_FLT(0.94154406518302081), s9m));
        s8n = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), s2m), MUL_FLT_CPX(C_FLT(0.63439328416364549), s3m));
        s9n = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), s2m), MUL_FLT_CPX(C_FLT(0.77301045336273699), s3m));
        s0o = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.51410274419322177), s0n), MUL_FLT_CPX(C_FLT(0.85772861000027212), s1n));
        s1o = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.85772861000027212), s0n), MUL_FLT_CPX(C_FLT(0.51410274419322177), s1n));
        s2o = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s4m), MUL_FLT_CPX(C_FLT(0.98078528040323043), s5m));
        s3o = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s4m), MUL_FLT_CPX(C_FLT(0.19509032201612828), s5m));
        s4o = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.14673047445536175), s2n), MUL_FLT_CPX(C_FLT(0.98917650996478101), s3n));
        s5o = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s2n), MUL_FLT_CPX(C_FLT(0.14673047445536175), s3n));
        s6o = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.47139673682599764), s6m), MUL_FLT_CPX(C_FLT(0.88192126434835505), s7m));
        s7o = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s6m), MUL_FLT_CPX(C_FLT(0.47139673682599764), s7m));
        s8o = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), s4n), MUL_FLT_CPX(C_FLT(0.67155895484701844), s5n));
        s9o = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.67155895484701844), s4n), MUL_FLT_CPX(C_FLT(0.74095112535495911), s5n));
        t4r = ADD_CPX_CPX(t65, s0c);
        t5r = SUB_CPX_CPX(t85, s1c);
        t6r = SUB_CPX_CPX(t65, s0c);
        t7r = ADD_CPX_CPX(t85, s1c);
        t8r = ADD_CPX_CPX(s81, s0m);
        t9r = SUB_CPX_CPX(s91, s1m);
        t0s = SUB_CPX_CPX(s81, s0m);
        t1s = ADD_CPX_CPX(s91, s1m);
        s0p = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t0s), MUL_FLT_CPX(C_FLT(0.38268343236508978), t1s));
        s1p = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t0s), MUL_FLT_CPX(C_FLT(0.92387953251128674), t1s));
        t2s = ADD_CPX_CPX(s25, s6i);
        t3s = SUB_CPX_CPX(s35, s7i);
        a8i = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s25, s6i));
        a9i = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s35, s7i));
        s2p = SUB_CPX_CPX(a8i, a9i);
        s3p = ADD_CPX_CPX(a8i, a9i);
        t4s = ADD_CPX_CPX(s68, s2f);
        t5s = SUB_CPX_CPX(s78, s3f);
        t6s = SUB_CPX_CPX(s68, s2f);
        t7s = ADD_CPX_CPX(s78, s3f);
        s4p = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t6s), MUL_FLT_CPX(C_FLT(0.92387953251128674), t7s));
        s5p = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t6s), MUL_FLT_CPX(C_FLT(0.38268343236508978), t7s));
        t8s = ADD_CPX_CPX(t4r, t2s);
        t9s = SUB_CPX_CPX(t6r, t3s);
        t0t = SUB_CPX_CPX(t4r, t2s);
        t1t = ADD_CPX_CPX(t6r, t3s);
        t2t = ADD_CPX_CPX(t8r, t4s);
        t3t = SUB_CPX_CPX(t9r, t5s);
        a0j = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8r, t4s));
        a1j = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t9r, t5s));
        s6p = SUB_CPX_CPX(a0j, a1j);
        s7p = ADD_CPX_CPX(a0j, a1j);
        a2j = (dst + i2);
        *(a2j) = ADD_CPX_CPX(t8s, t2t);
        *((a2j + 128)) = SUB_CPX_CPX(t0t, t3t);
        *((a2j + 256)) = SUB_CPX_CPX(t8s, t2t);
        *((a2j + 384)) = ADD_CPX_CPX(t0t, t3t);
        *((a2j + 64)) = ADD_CPX_CPX(t9s, s6p);
        *((a2j + 192)) = SUB_CPX_CPX(t1t, s7p);
        *((a2j + 320)) = SUB_CPX_CPX(t9s, s6p);
        *((a2j + 448)) = ADD_CPX_CPX(t1t, s7p);
        t4t = ADD_CPX_CPX(t5r, s2p);
        t5t = SUB_CPX_CPX(t7r, s3p);
        t6t = SUB_CPX_CPX(t5r, s2p);
        t7t = ADD_CPX_CPX(t7r, s3p);
        t8t = ADD_CPX_CPX(s0p, s4p);
        t9t = SUB_CPX_CPX(s1p, s5p);
        a3j = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s0p, s4p));
        a4j = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s1p, s5p));
        s8p = SUB_CPX_CPX(a3j, a4j);
        s9p = ADD_CPX_CPX(a3j, a4j);
        *((a2j + 32)) = ADD_CPX_CPX(t4t, t8t);
        *((a2j + 160)) = SUB_CPX_CPX(t6t, t9t);
        *((a2j + 288)) = SUB_CPX_CPX(t4t, t8t);
        *((a2j + 416)) = ADD_CPX_CPX(t6t, t9t);
        *((a2j + 96)) = ADD_CPX_CPX(t5t, s8p);
        *((a2j + 224)) = SUB_CPX_CPX(t7t, s9p);
        *((a2j + 352)) = SUB_CPX_CPX(t5t, s8p);
        *((a2j + 480)) = ADD_CPX_CPX(t7t, s9p);
        t0u = ADD_CPX_CPX(t07, s4d);
        t1u = SUB_CPX_CPX(t27, s5d);
        t2u = SUB_CPX_CPX(t07, s4d);
        t3u = ADD_CPX_CPX(t27, s5d);
        t4u = ADD_CPX_CPX(s43, s6n);
        t5u = SUB_CPX_CPX(s53, s7n);
        t6u = SUB_CPX_CPX(s43, s6n);
        t7u = ADD_CPX_CPX(s53, s7n);
        s0q = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t6u), MUL_FLT_CPX(C_FLT(0.38268343236508978), t7u));
        s1q = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t6u), MUL_FLT_CPX(C_FLT(0.92387953251128674), t7u));
        t8u = ADD_CPX_CPX(s86, s2k);
        t9u = SUB_CPX_CPX(s96, s3k);
        a5j = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s86, s2k));
        a6j = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s96, s3k));
        s2q = SUB_CPX_CPX(a5j, a6j);
        s3q = ADD_CPX_CPX(a5j, a6j);
        t0v = ADD_CPX_CPX(s2a, s8g);
        t1v = SUB_CPX_CPX(s3a, s9g);
        t2v = SUB_CPX_CPX(s2a, s8g);
        t3v = ADD_CPX_CPX(s3a, s9g);
        s4q = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t2v), MUL_FLT_CPX(C_FLT(0.92387953251128674), t3v));
        s5q = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t2v), MUL_FLT_CPX(C_FLT(0.38268343236508978), t3v));
        t4v = ADD_CPX_CPX(t0u, t8u);
        t5v = SUB_CPX_CPX(t2u, t9u);
        t6v = SUB_CPX_CPX(t0u, t8u);
        t7v = ADD_CPX_CPX(t2u, t9u);
        t8v = ADD_CPX_CPX(t4u, t0v);
        t9v = SUB_CPX_CPX(t5u, t1v);
        a7j = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t4u, t0v));
        a8j = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t5u, t1v));
        s6q = SUB_CPX_CPX(a7j, a8j);
        s7q = ADD_CPX_CPX(a7j, a8j);
        *((a2j + 4)) = ADD_CPX_CPX(t4v, t8v);
        *((a2j + 132)) = SUB_CPX_CPX(t6v, t9v);
        *((a2j + 260)) = SUB_CPX_CPX(t4v, t8v);
        *((a2j + 388)) = ADD_CPX_CPX(t6v, t9v);
        *((a2j + 68)) = ADD_CPX_CPX(t5v, s6q);
        *((a2j + 196)) = SUB_CPX_CPX(t7v, s7q);
        *((a2j + 324)) = SUB_CPX_CPX(t5v, s6q);
        *((a2j + 452)) = ADD_CPX_CPX(t7v, s7q);
        t0w = ADD_CPX_CPX(t1u, s2q);
        t1w = SUB_CPX_CPX(t3u, s3q);
        t2w = SUB_CPX_CPX(t1u, s2q);
        t3w = ADD_CPX_CPX(t3u, s3q);
        t4w = ADD_CPX_CPX(s0q, s4q);
        t5w = SUB_CPX_CPX(s1q, s5q);
        a9j = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s0q, s4q));
        a0k = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s1q, s5q));
        s8q = SUB_CPX_CPX(a9j, a0k);
        s9q = ADD_CPX_CPX(a9j, a0k);
        *((a2j + 36)) = ADD_CPX_CPX(t0w, t4w);
        *((a2j + 164)) = SUB_CPX_CPX(t2w, t5w);
        *((a2j + 292)) = SUB_CPX_CPX(t0w, t4w);
        *((a2j + 420)) = ADD_CPX_CPX(t2w, t5w);
        *((a2j + 100)) = ADD_CPX_CPX(t1w, s8q);
        *((a2j + 228)) = SUB_CPX_CPX(t3w, s9q);
        *((a2j + 356)) = SUB_CPX_CPX(t1w, s8q);
        *((a2j + 484)) = ADD_CPX_CPX(t3w, s9q);
        t6w = ADD_CPX_CPX(t06, s6d);
        t7w = SUB_CPX_CPX(t26, s7d);
        t8w = SUB_CPX_CPX(t06, s6d);
        t9w = ADD_CPX_CPX(t26, s7d);
        t0x = ADD_CPX_CPX(s63, s8n);
        t1x = SUB_CPX_CPX(s73, s9n);
        t2x = SUB_CPX_CPX(s63, s8n);
        t3x = ADD_CPX_CPX(s73, s9n);
        s0r = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t2x), MUL_FLT_CPX(C_FLT(0.38268343236508978), t3x));
        s1r = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t2x), MUL_FLT_CPX(C_FLT(0.92387953251128674), t3x));
        t4x = ADD_CPX_CPX(s07, s4k);
        t5x = SUB_CPX_CPX(s17, s5k);
        a1k = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s07, s4k));
        a2k = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s17, s5k));
        s2r = SUB_CPX_CPX(a1k, a2k);
        s3r = ADD_CPX_CPX(a1k, a2k);
        t6x = ADD_CPX_CPX(s4a, s0h);
        t7x = SUB_CPX_CPX(s5a, s1h);
        t8x = SUB_CPX_CPX(s4a, s0h);
        t9x = ADD_CPX_CPX(s5a, s1h);
        s4r = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t8x), MUL_FLT_CPX(C_FLT(0.92387953251128674), t9x));
        s5r = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t8x), MUL_FLT_CPX(C_FLT(0.38268343236508978), t9x));
        t0y = ADD_CPX_CPX(t6w, t4x);
        t1y = SUB_CPX_CPX(t8w, t5x);
        t2y = SUB_CPX_CPX(t6w, t4x);
        t3y = ADD_CPX_CPX(t8w, t5x);
        t4y = ADD_CPX_CPX(t0x, t6x);
        t5y = SUB_CPX_CPX(t1x, t7x);
        a3k = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0x, t6x));
        a4k = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t1x, t7x));
        s6r = SUB_CPX_CPX(a3k, a4k);
        s7r = ADD_CPX_CPX(a3k, a4k);
        *((a2j + 8)) = ADD_CPX_CPX(t0y, t4y);
        *((a2j + 136)) = SUB_CPX_CPX(t2y, t5y);
        *((a2j + 264)) = SUB_CPX_CPX(t0y, t4y);
        *((a2j + 392)) = ADD_CPX_CPX(t2y, t5y);
        *((a2j + 72)) = ADD_CPX_CPX(t1y, s6r);
        *((a2j + 200)) = SUB_CPX_CPX(t3y, s7r);
        *((a2j + 328)) = SUB_CPX_CPX(t1y, s6r);
        *((a2j + 456)) = ADD_CPX_CPX(t3y, s7r);
        t6y = ADD_CPX_CPX(t7w, s2r);
        t7y = SUB_CPX_CPX(t9w, s3r);
        t8y = SUB_CPX_CPX(t7w, s2r);
        t9y = ADD_CPX_CPX(t9w, s3r);
        t0z = ADD_CPX_CPX(s0r, s4r);
        t1z = SUB_CPX_CPX(s1r, s5r);
        a5k = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s0r, s4r));
        a6k = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s1r, s5r));
        s8r = SUB_CPX_CPX(a5k, a6k);
        s9r = ADD_CPX_CPX(a5k, a6k);
        *((a2j + 40)) = ADD_CPX_CPX(t6y, t0z);
        *((a2j + 168)) = SUB_CPX_CPX(t8y, t1z);
        *((a2j + 296)) = SUB_CPX_CPX(t6y, t0z);
        *((a2j + 424)) = ADD_CPX_CPX(t8y, t1z);
        *((a2j + 104)) = ADD_CPX_CPX(t7y, s8r);
        *((a2j + 232)) = SUB_CPX_CPX(t9y, s9r);
        *((a2j + 360)) = SUB_CPX_CPX(t7y, s8r);
        *((a2j + 488)) = ADD_CPX_CPX(t9y, s9r);
        t2z = ADD_CPX_CPX(t47, s8d);
        t3z = SUB_CPX_CPX(t67, s9d);
        t4z = SUB_CPX_CPX(t47, s8d);
        t5z = ADD_CPX_CPX(t67, s9d);
        t6z = ADD_CPX_CPX(s83, s0o);
        t7z = SUB_CPX_CPX(s93, s1o);
        t8z = SUB_CPX_CPX(s83, s0o);
        t9z = ADD_CPX_CPX(s93, s1o);
        s0s = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t8z), MUL_FLT_CPX(C_FLT(0.38268343236508978), t9z));
        s1s = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t8z), MUL_FLT_CPX(C_FLT(0.92387953251128674), t9z));
        t0A = ADD_CPX_CPX(s27, s6k);
        t1A = SUB_CPX_CPX(s37, s7k);
        a7k = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s27, s6k));
        a8k = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s37, s7k));
        s2s = SUB_CPX_CPX(a7k, a8k);
        s3s = ADD_CPX_CPX(a7k, a8k);
        t2A = ADD_CPX_CPX(s6a, s2h);
        t3A = SUB_CPX_CPX(s7a, s3h);
        t4A = SUB_CPX_CPX(s6a, s2h);
        t5A = ADD_CPX_CPX(s7a, s3h);
        s4s = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t4A), MUL_FLT_CPX(C_FLT(0.92387953251128674), t5A));
        s5s = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t4A), MUL_FLT_CPX(C_FLT(0.38268343236508978), t5A));
        t6A = ADD_CPX_CPX(t2z, t0A);
        t7A = SUB_CPX_CPX(t4z, t1A);
        t8A = SUB_CPX_CPX(t2z, t0A);
        t9A = ADD_CPX_CPX(t4z, t1A);
        t0B = ADD_CPX_CPX(t6z, t2A);
        t1B = SUB_CPX_CPX(t7z, t3A);
        a9k = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t6z, t2A));
        a0l = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t7z, t3A));
        s6s = SUB_CPX_CPX(a9k, a0l);
        s7s = ADD_CPX_CPX(a9k, a0l);
        *((a2j + 12)) = ADD_CPX_CPX(t6A, t0B);
        *((a2j + 140)) = SUB_CPX_CPX(t8A, t1B);
        *((a2j + 268)) = SUB_CPX_CPX(t6A, t0B);
        *((a2j + 396)) = ADD_CPX_CPX(t8A, t1B);
        *((a2j + 76)) = ADD_CPX_CPX(t7A, s6s);
        *((a2j + 204)) = SUB_CPX_CPX(t9A, s7s);
        *((a2j + 332)) = SUB_CPX_CPX(t7A, s6s);
        *((a2j + 460)) = ADD_CPX_CPX(t9A, s7s);
        t2B = ADD_CPX_CPX(t3z, s2s);
        t3B = SUB_CPX_CPX(t5z, s3s);
        t4B = SUB_CPX_CPX(t3z, s2s);
        t5B = ADD_CPX_CPX(t5z, s3s);
        t6B = ADD_CPX_CPX(s0s, s4s);
        t7B = SUB_CPX_CPX(s1s, s5s);
        a1l = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s0s, s4s));
        a2l = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s1s, s5s));
        s8s = SUB_CPX_CPX(a1l, a2l);
        s9s = ADD_CPX_CPX(a1l, a2l);
        *((a2j + 44)) = ADD_CPX_CPX(t2B, t6B);
        *((a2j + 172)) = SUB_CPX_CPX(t4B, t7B);
        *((a2j + 300)) = SUB_CPX_CPX(t2B, t6B);
        *((a2j + 428)) = ADD_CPX_CPX(t4B, t7B);
        *((a2j + 108)) = ADD_CPX_CPX(t3B, s8s);
        *((a2j + 236)) = SUB_CPX_CPX(t5B, s9s);
        *((a2j + 364)) = SUB_CPX_CPX(t3B, s8s);
        *((a2j + 492)) = ADD_CPX_CPX(t5B, s9s);
        t8B = ADD_CPX_CPX(t75, s0e);
        t9B = SUB_CPX_CPX(t95, s1e);
        t0C = SUB_CPX_CPX(t75, s0e);
        t1C = ADD_CPX_CPX(t95, s1e);
        t2C = ADD_CPX_CPX(s04, s2o);
        t3C = SUB_CPX_CPX(s14, s3o);
        t4C = SUB_CPX_CPX(s04, s2o);
        t5C = ADD_CPX_CPX(s14, s3o);
        s0t = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t4C), MUL_FLT_CPX(C_FLT(0.38268343236508978), t5C));
        s1t = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t4C), MUL_FLT_CPX(C_FLT(0.92387953251128674), t5C));
        t6C = ADD_CPX_CPX(s47, s8k);
        t7C = SUB_CPX_CPX(s57, s9k);
        a3l = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s47, s8k));
        a4l = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s57, s9k));
        s2t = SUB_CPX_CPX(a3l, a4l);
        s3t = ADD_CPX_CPX(a3l, a4l);
        t8C = ADD_CPX_CPX(s8a, s4h);
        t9C = SUB_CPX_CPX(s9a, s5h);
        t0D = SUB_CPX_CPX(s8a, s4h);
        t1D = ADD_CPX_CPX(s9a, s5h);
        s4t = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t0D), MUL_FLT_CPX(C_FLT(0.92387953251128674), t1D));
        s5t = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t0D), MUL_FLT_CPX(C_FLT(0.38268343236508978), t1D));
        t2D = ADD_CPX_CPX(t8B, t6C);
        t3D = SUB_CPX_CPX(t0C, t7C);
        t4D = SUB_CPX_CPX(t8B, t6C);
        t5D = ADD_CPX_CPX(t0C, t7C);
        t6D = ADD_CPX_CPX(t2C, t8C);
        t7D = SUB_CPX_CPX(t3C, t9C);
        a5l = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2C, t8C));
        a6l = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t3C, t9C));
        s6t = SUB_CPX_CPX(a5l, a6l);
        s7t = ADD_CPX_CPX(a5l, a6l);
        *((a2j + 16)) = ADD_CPX_CPX(t2D, t6D);
        *((a2j + 144)) = SUB_CPX_CPX(t4D, t7D);
        *((a2j + 272)) = SUB_CPX_CPX(t2D, t6D);
        *((a2j + 400)) = ADD_CPX_CPX(t4D, t7D);
        *((a2j + 80)) = ADD_CPX_CPX(t3D, s6t);
        *((a2j + 208)) = SUB_CPX_CPX(t5D, s7t);
        *((a2j + 336)) = SUB_CPX_CPX(t3D, s6t);
        *((a2j + 464)) = ADD_CPX_CPX(t5D, s7t);
        t8D = ADD_CPX_CPX(t9B, s2t);
        t9D = SUB_CPX_CPX(t1C, s3t);
        t0E = SUB_CPX_CPX(t9B, s2t);
        t1E = ADD_CPX_CPX(t1C, s3t);
        t2E = ADD_CPX_CPX(s0t, s4t);
        t3E = SUB_CPX_CPX(s1t, s5t);
        a7l = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s0t, s4t));
        a8l = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s1t, s5t));
        s8t = SUB_CPX_CPX(a7l, a8l);
        s9t = ADD_CPX_CPX(a7l, a8l);
        *((a2j + 48)) = ADD_CPX_CPX(t8D, t2E);
        *((a2j + 176)) = SUB_CPX_CPX(t0E, t3E);
        *((a2j + 304)) = SUB_CPX_CPX(t8D, t2E);
        *((a2j + 432)) = ADD_CPX_CPX(t0E, t3E);
        *((a2j + 112)) = ADD_CPX_CPX(t9D, s8t);
        *((a2j + 240)) = SUB_CPX_CPX(t1E, s9t);
        *((a2j + 368)) = SUB_CPX_CPX(t9D, s8t);
        *((a2j + 496)) = ADD_CPX_CPX(t1E, s9t);
        t4E = ADD_CPX_CPX(t17, s2e);
        t5E = SUB_CPX_CPX(t37, s3e);
        t6E = SUB_CPX_CPX(t17, s2e);
        t7E = ADD_CPX_CPX(t37, s3e);
        t8E = SUB_CPX_CPX(s24, s4o);
        t9E = SUB_CPX_CPX(s34, s5o);
        t0F = ADD_CPX_CPX(s24, s4o);
        t1F = ADD_CPX_CPX(s34, s5o);
        s0u = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t0F), MUL_FLT_CPX(C_FLT(0.38268343236508978), t1F));
        s1u = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t0F), MUL_FLT_CPX(C_FLT(0.92387953251128674), t1F));
        t2F = ADD_CPX_CPX(s67, s0l);
        t3F = SUB_CPX_CPX(s77, s1l);
        a9l = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s67, s0l));
        a0m = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s77, s1l));
        s2u = SUB_CPX_CPX(a9l, a0m);
        s3u = ADD_CPX_CPX(a9l, a0m);
        t4F = ADD_CPX_CPX(s0b, s6h);
        t5F = SUB_CPX_CPX(s1b, s7h);
        t6F = SUB_CPX_CPX(s0b, s6h);
        t7F = ADD_CPX_CPX(s1b, s7h);
        s4u = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t6F), MUL_FLT_CPX(C_FLT(0.92387953251128674), t7F));
        s5u = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t6F), MUL_FLT_CPX(C_FLT(0.38268343236508978), t7F));
        t8F = ADD_CPX_CPX(t4E, t2F);
        t9F = SUB_CPX_CPX(t6E, t3F);
        t0G = SUB_CPX_CPX(t4E, t2F);
        t1G = ADD_CPX_CPX(t6E, t3F);
        t2G = ADD_CPX_CPX(t8E, t4F);
        t3G = SUB_CPX_CPX(t9E, t5F);
        a1m = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8E, t4F));
        a2m = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t9E, t5F));
        s6u = SUB_CPX_CPX(a1m, a2m);
        s7u = ADD_CPX_CPX(a1m, a2m);
        *((a2j + 20)) = ADD_CPX_CPX(t8F, t2G);
        *((a2j + 148)) = SUB_CPX_CPX(t0G, t3G);
        *((a2j + 276)) = SUB_CPX_CPX(t8F, t2G);
        *((a2j + 404)) = ADD_CPX_CPX(t0G, t3G);
        *((a2j + 84)) = ADD_CPX_CPX(t9F, s6u);
        *((a2j + 212)) = SUB_CPX_CPX(t1G, s7u);
        *((a2j + 340)) = SUB_CPX_CPX(t9F, s6u);
        *((a2j + 468)) = ADD_CPX_CPX(t1G, s7u);
        t4G = ADD_CPX_CPX(t5E, s2u);
        t5G = SUB_CPX_CPX(t7E, s3u);
        t6G = SUB_CPX_CPX(t5E, s2u);
        t7G = ADD_CPX_CPX(t7E, s3u);
        t8G = ADD_CPX_CPX(s0u, s4u);
        t9G = SUB_CPX_CPX(s1u, s5u);
        a3m = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s0u, s4u));
        a4m = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s1u, s5u));
        s8u = SUB_CPX_CPX(a3m, a4m);
        s9u = ADD_CPX_CPX(a3m, a4m);
        *((a2j + 52)) = ADD_CPX_CPX(t4G, t8G);
        *((a2j + 180)) = SUB_CPX_CPX(t6G, t9G);
        *((a2j + 308)) = SUB_CPX_CPX(t4G, t8G);
        *((a2j + 436)) = ADD_CPX_CPX(t6G, t9G);
        *((a2j + 116)) = ADD_CPX_CPX(t5G, s8u);
        *((a2j + 244)) = SUB_CPX_CPX(t7G, s9u);
        *((a2j + 372)) = SUB_CPX_CPX(t5G, s8u);
        *((a2j + 500)) = ADD_CPX_CPX(t7G, s9u);
        t0H = ADD_CPX_CPX(t16, s4e);
        t1H = SUB_CPX_CPX(t36, s5e);
        t2H = SUB_CPX_CPX(t16, s4e);
        t3H = ADD_CPX_CPX(t36, s5e);
        t4H = SUB_CPX_CPX(s44, s6o);
        t5H = SUB_CPX_CPX(s54, s7o);
        t6H = ADD_CPX_CPX(s44, s6o);
        t7H = ADD_CPX_CPX(s54, s7o);
        s0v = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t6H), MUL_FLT_CPX(C_FLT(0.38268343236508978), t7H));
        s1v = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t6H), MUL_FLT_CPX(C_FLT(0.92387953251128674), t7H));
        t8H = SUB_CPX_CPX(s87, s2l);
        t9H = SUB_CPX_CPX(s97, s3l);
        a5m = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s87, s2l));
        a6m = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s97, s3l));
        s2v = SUB_CPX_CPX(a5m, a6m);
        s3v = ADD_CPX_CPX(a5m, a6m);
        t0I = ADD_CPX_CPX(s2b, s8h);
        t1I = SUB_CPX_CPX(s3b, s9h);
        t2I = SUB_CPX_CPX(s2b, s8h);
        t3I = ADD_CPX_CPX(s3b, s9h);
        s4v = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t2I), MUL_FLT_CPX(C_FLT(0.92387953251128674), t3I));
        s5v = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t2I), MUL_FLT_CPX(C_FLT(0.38268343236508978), t3I));
        t4I = ADD_CPX_CPX(t0H, t8H);
        t5I = SUB_CPX_CPX(t2H, t9H);
        t6I = SUB_CPX_CPX(t0H, t8H);
        t7I = ADD_CPX_CPX(t2H, t9H);
        t8I = ADD_CPX_CPX(t4H, t0I);
        t9I = SUB_CPX_CPX(t5H, t1I);
        a7m = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t4H, t0I));
        a8m = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t5H, t1I));
        s6v = SUB_CPX_CPX(a7m, a8m);
        s7v = ADD_CPX_CPX(a7m, a8m);
        *((a2j + 24)) = ADD_CPX_CPX(t4I, t8I);
        *((a2j + 152)) = SUB_CPX_CPX(t6I, t9I);
        *((a2j + 280)) = SUB_CPX_CPX(t4I, t8I);
        *((a2j + 408)) = ADD_CPX_CPX(t6I, t9I);
        *((a2j + 88)) = ADD_CPX_CPX(t5I, s6v);
        *((a2j + 216)) = SUB_CPX_CPX(t7I, s7v);
        *((a2j + 344)) = SUB_CPX_CPX(t5I, s6v);
        *((a2j + 472)) = ADD_CPX_CPX(t7I, s7v);
        t0J = ADD_CPX_CPX(t1H, s2v);
        t1J = SUB_CPX_CPX(t3H, s3v);
        t2J = SUB_CPX_CPX(t1H, s2v);
        t3J = ADD_CPX_CPX(t3H, s3v);
        t4J = ADD_CPX_CPX(s0v, s4v);
        t5J = SUB_CPX_CPX(s1v, s5v);
        a9m = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s0v, s4v));
        a0n = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s1v, s5v));
        s8v = SUB_CPX_CPX(a9m, a0n);
        s9v = ADD_CPX_CPX(a9m, a0n);
        *((a2j + 56)) = ADD_CPX_CPX(t0J, t4J);
        *((a2j + 184)) = SUB_CPX_CPX(t2J, t5J);
        *((a2j + 312)) = SUB_CPX_CPX(t0J, t4J);
        *((a2j + 440)) = ADD_CPX_CPX(t2J, t5J);
        *((a2j + 120)) = ADD_CPX_CPX(t1J, s8v);
        *((a2j + 248)) = SUB_CPX_CPX(t3J, s9v);
        *((a2j + 376)) = SUB_CPX_CPX(t1J, s8v);
        *((a2j + 504)) = ADD_CPX_CPX(t3J, s9v);
        t6J = ADD_CPX_CPX(t57, s6e);
        t7J = SUB_CPX_CPX(t77, s7e);
        t8J = SUB_CPX_CPX(t57, s6e);
        t9J = ADD_CPX_CPX(t77, s7e);
        t0K = SUB_CPX_CPX(s64, s8o);
        t1K = SUB_CPX_CPX(s74, s9o);
        t2K = ADD_CPX_CPX(s64, s8o);
        t3K = ADD_CPX_CPX(s74, s9o);
        s0w = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t2K), MUL_FLT_CPX(C_FLT(0.38268343236508978), t3K));
        s1w = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t2K), MUL_FLT_CPX(C_FLT(0.92387953251128674), t3K));
        t4K = SUB_CPX_CPX(s08, s4l);
        t5K = SUB_CPX_CPX(s18, s5l);
        a1n = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s08, s4l));
        a2n = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s18, s5l));
        s2w = SUB_CPX_CPX(a1n, a2n);
        s3w = ADD_CPX_CPX(a1n, a2n);
        t6K = SUB_CPX_CPX(s4b, s0i);
        t7K = SUB_CPX_CPX(s5b, s1i);
        t8K = ADD_CPX_CPX(s4b, s0i);
        t9K = ADD_CPX_CPX(s5b, s1i);
        s4w = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t8K), MUL_FLT_CPX(C_FLT(0.92387953251128674), t9K));
        s5w = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t8K), MUL_FLT_CPX(C_FLT(0.38268343236508978), t9K));
        t0L = ADD_CPX_CPX(t6J, t4K);
        t1L = SUB_CPX_CPX(t8J, t5K);
        t2L = SUB_CPX_CPX(t6J, t4K);
        t3L = ADD_CPX_CPX(t8J, t5K);
        t4L = ADD_CPX_CPX(t0K, t6K);
        t5L = SUB_CPX_CPX(t1K, t7K);
        a3n = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0K, t6K));
        a4n = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t1K, t7K));
        s6w = SUB_CPX_CPX(a3n, a4n);
        s7w = ADD_CPX_CPX(a3n, a4n);
        *((a2j + 28)) = ADD_CPX_CPX(t0L, t4L);
        *((a2j + 156)) = SUB_CPX_CPX(t2L, t5L);
        *((a2j + 284)) = SUB_CPX_CPX(t0L, t4L);
        *((a2j + 412)) = ADD_CPX_CPX(t2L, t5L);
        *((a2j + 92)) = ADD_CPX_CPX(t1L, s6w);
        *((a2j + 220)) = SUB_CPX_CPX(t3L, s7w);
        *((a2j + 348)) = SUB_CPX_CPX(t1L, s6w);
        *((a2j + 476)) = ADD_CPX_CPX(t3L, s7w);
        t6L = ADD_CPX_CPX(t7J, s2w);
        t7L = SUB_CPX_CPX(t9J, s3w);
        t8L = SUB_CPX_CPX(t7J, s2w);
        t9L = ADD_CPX_CPX(t9J, s3w);
        t0M = ADD_CPX_CPX(s0w, s4w);
        t1M = SUB_CPX_CPX(s1w, s5w);
        a5n = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s0w, s4w));
        a6n = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s1w, s5w));
        s8w = SUB_CPX_CPX(a5n, a6n);
        s9w = ADD_CPX_CPX(a5n, a6n);
        *((a2j + 60)) = ADD_CPX_CPX(t6L, t0M);
        *((a2j + 188)) = SUB_CPX_CPX(t8L, t1M);
        *((a2j + 316)) = SUB_CPX_CPX(t6L, t0M);
        *((a2j + 444)) = ADD_CPX_CPX(t8L, t1M);
        *((a2j + 124)) = ADD_CPX_CPX(t7L, s8w);
        *((a2j + 252)) = SUB_CPX_CPX(t9L, s9w);
        *((a2j + 380)) = SUB_CPX_CPX(t7L, s8w);
        *((a2j + 508)) = ADD_CPX_CPX(t9L, s9w);
    }}
    }
    
    return SPIRAL_OK;
    }
}

SPIRAL_PRIV(spiral_status_t, spiral_fftfwd_double_1024_unaligned)(const double *pSrc, double *pDst ) {
    const CPX  *src = (const CPX *) pSrc; 
    CPX        *dst = (CPX *) pDst;
    
    
    { SPIRAL_ALIGNED(CPX T[1024]);
    CPX  *a03, *a04, *a05, *a06, *a07, *a08, *a09, *a0a, *a0b, *a0c, *a0d, *a0e, *a0f, *a0g, *a0h, *a0i, *a13, *a14, *a15, *a16, *a17, *a18
            , *a19, *a1a, *a1b, *a1c, *a1d, *a1e, *a1f, *a1g, *a1h, *a1i, *a23, *a25, *a27, *a29, *a2b, *a2d, *a2e, *a2f, *a2g, *a2h, *a2i, *a33
            , *a35, *a37, *a39, *a3b, *a3d, *a3e, *a3f, *a3g, *a3h, *a3i, *a42, *a43, *a45, *a47, *a49, *a4b, *a4d, *a4f, *a4h, *a52, *a53, *a55
            , *a57, *a59, *a5b, *a5d, *a5f, *a5h, *a62, *a64, *a65, *a66, *a67, *a68, *a69, *a6a, *a6b, *a6d, *a6f, *a6h, *a72, *a74, *a75, *a76
            , *a77, *a78, *a79, *a7a, *a7b, *a7d, *a7f, *a7h, *a82, *a83, *a84, *a85, *a86, *a87, *a88, *a89, *a8a, *a8b, *a8c, *a8d, *a8e, *a8f
            , *a8g, *a8h, *a92, *a93, *a94, *a95, *a96, *a97, *a98, *a99, *a9a, *a9b, *a9c, *a9d, *a9e, *a9f, *a9g, *a9h, *b2;
    const CPX  *b;
    FLT  *a01, *a02, *a11, *a12, *a21, *a22, *a31, *a32, *a41, *a51, *a61, *a71, *a81, *a91;
    int a5;
    CPX a, a0j, a0k, a0l, a0m, a0n, a1j, a1k, a1l, a1m, a1n, a2, a24, a26, a28, a2a, a2c, a2j, a2k, a2l, a2m, a2n
        , a3, a34, a36, a38, a3a, a3c, a3j, a3k, a3l, a3m, a3n, a4, a44, a46, a48, a4a, a4c, a4e, a4g, a4i, a4j, a4k
        , a4l, a4m, a4n, a54, a56, a58, a5a, a5c, a5e, a5g, a5i, a5j, a5k, a5l, a5m, a5n, a6, a63, a6c, a6e, a6g, a6i
        , a6j, a6k, a6l, a6m, a7, a73, a7c, a7e, a7g, a7i, a7j, a7k, a7l, a7m, a8, a8i, a8j, a8k, a8l, a8m, a9, a9i
        , a9j, a9k, a9l, a9m, s, s01, s02, s03, s04, s05, s06, s07, s08, s09, s0A, s0B, s0C, s0a, s0b, s0c, s0d, s0e
        , s0f, s0g, s0h, s0i, s0j, s0k, s0l, s0m, s0n, s0o, s0p, s0q, s0r, s0s, s0t, s0u, s0v, s0w, s0x, s0y, s0z, s11
        , s12, s13, s14, s15, s16, s17, s18, s19, s1A, s1B, s1C, s1a, s1b, s1c, s1d, s1e, s1f, s1g, s1h, s1i, s1j, s1k
        , s1l, s1m, s1n, s1o, s1p, s1q, s1r, s1s, s1t, s1u, s1v, s1w, s1x, s1y, s1z, s2, s21, s22, s23, s24, s25, s26
        , s27, s28, s29, s2A, s2B, s2C, s2a, s2b, s2c, s2d, s2e, s2f, s2g, s2h, s2i, s2j, s2k, s2l, s2m, s2n, s2o, s2p
        , s2q, s2r, s2s, s2t, s2u, s2v, s2w, s2x, s2y, s2z, s3, s31, s32, s33, s34, s35, s36, s37, s38, s39, s3A, s3B
        , s3C, s3a, s3b, s3c, s3d, s3e, s3f, s3g, s3h, s3i, s3j, s3k, s3l, s3m, s3n, s3o, s3p, s3q, s3r, s3s, s3t, s3u
        , s3v, s3w, s3x, s3y, s3z, s4, s41, s42, s43, s44, s45, s46, s47, s48, s49, s4A, s4B, s4C, s4a, s4b, s4c, s4d
        , s4e, s4f, s4g, s4h, s4i, s4j, s4k, s4l, s4m, s4n, s4o, s4p, s4q, s4r, s4s, s4t, s4u, s4v, s4w, s4x, s4y, s4z
        , s5, s51, s52, s53, s54, s55, s56, s57, s58, s59, s5A, s5B, s5C, s5a, s5b, s5c, s5d, s5e, s5f, s5g, s5h, s5i
        , s5j, s5k, s5l, s5m, s5n, s5o, s5p, s5q, s5r, s5s, s5t, s5u, s5v, s5w, s5x, s5y, s5z, s6, s61, s62, s63, s64
        , s65, s66, s67, s68, s69, s6A, s6B, s6a, s6b, s6c, s6d, s6e, s6f, s6g, s6h, s6i, s6j, s6k, s6l, s6m, s6n, s6o
        , s6p, s6q, s6r, s6s, s6t, s6u, s6v, s6w, s6x, s6y, s6z, s7, s71, s72, s73, s74, s75, s76, s77, s78, s79, s7A
        , s7B, s7a, s7b, s7c, s7d, s7e, s7f, s7g, s7h, s7i, s7j, s7k, s7l, s7m, s7n, s7o, s7p, s7q, s7r, s7s, s7t, s7u
        , s7v, s7w, s7x, s7y, s7z, s8, s81, s82, s83, s84, s85, s86, s87, s88, s89, s8A, s8B, s8a, s8b, s8c, s8d, s8e
        , s8f, s8g, s8h, s8i, s8j, s8k, s8l, s8m, s8n, s8o, s8p, s8q, s8r, s8s, s8t, s8u, s8v, s8w, s8x, s8y, s8z, s9
        , s91, s92, s93, s94, s95, s96, s97, s98, s99, s9A, s9B, s9a, s9b, s9c, s9d, s9e, s9f, s9g, s9h, s9i, s9j, s9k
        , s9l, s9m, s9n, s9o, s9p, s9q, s9r, s9s, s9t, s9u, s9v, s9w, s9x, s9y, s9z, t, t01, t010, t011, t012, t013, t014
        , t02, t03, t04, t05, t06, t07, t08, t09, t0A, t0B, t0C, t0D, t0E, t0F, t0G, t0H, t0I, t0J, t0K, t0L, t0M, t0N
        , t0O, t0P, t0Q, t0R, t0S, t0T, t0U, t0V, t0W, t0X, t0Y, t0Z, t0a, t0b, t0c, t0d, t0e, t0f, t0g, t0h, t0i, t0j
        , t0k, t0l, t0m, t0n, t0o, t0p, t0q, t0r, t0s, t0t, t0u, t0v, t0w, t0x, t0y, t0z, t11, t110, t111, t112, t113, t114
        , t12, t13, t14, t15, t16, t17, t18, t19, t1A, t1B, t1C, t1D, t1E, t1F, t1G, t1H, t1I, t1J, t1K, t1L, t1M, t1N
        , t1O, t1P, t1Q, t1R, t1S, t1T, t1U, t1V, t1W, t1X, t1Y, t1Z, t1a, t1b, t1c, t1d, t1e, t1f, t1g, t1h, t1i, t1j
        , t1k, t1l, t1m, t1n, t1o, t1p, t1q, t1r, t1s, t1t, t1u, t1v, t1w, t1x, t1y, t1z, t2, t21, t210, t211, t212, t213
        , t22, t23, t24, t25, t26, t27, t28, t29, t2A, t2B, t2C, t2D, t2E, t2F, t2G, t2H, t2I, t2J, t2K, t2L, t2M, t2N
        , t2O, t2P, t2Q, t2R, t2S, t2T, t2U, t2V, t2W, t2X, t2Y, t2Z, t2a, t2b, t2c, t2d, t2e, t2f, t2g, t2h, t2i, t2j
        , t2k, t2l, t2m, t2n, t2o, t2p, t2q, t2r, t2s, t2t, t2u, t2v, t2w, t2x, t2y, t2z, t3, t31, t310, t311, t312, t313
        , t32, t33, t34, t35, t36, t37, t38, t39, t3A, t3B, t3C, t3D, t3E, t3F, t3G, t3H, t3I, t3J, t3K, t3L, t3M, t3N
        , t3O, t3P, t3Q, t3R, t3S, t3T, t3U, t3V, t3W, t3X, t3Y, t3Z, t3a, t3b, t3c, t3d, t3e, t3f, t3g, t3h, t3i, t3j
        , t3k, t3l, t3m, t3n, t3o, t3p, t3q, t3r, t3s, t3t, t3u, t3v, t3w, t3x, t3y, t3z, t4, t41, t410, t411, t412, t413
        , t42, t43, t44, t45, t46, t47, t48, t49, t4A, t4B, t4C, t4D, t4E, t4F, t4G, t4H, t4I, t4J, t4K, t4L, t4M, t4N
        , t4O, t4P, t4Q, t4R, t4S, t4T, t4U, t4V, t4W, t4X, t4Y, t4Z, t4a, t4b, t4c, t4d, t4e, t4f, t4g, t4h, t4i, t4j
        , t4k, t4l, t4m, t4n, t4o, t4p, t4q, t4r, t4s, t4t, t4u, t4v, t4w, t4x, t4y, t4z, t5, t51, t510, t511, t512, t513
        , t52, t53, t54, t55, t56, t57, t58, t59, t5A, t5B, t5C, t5D, t5E, t5F, t5G, t5H, t5I, t5J, t5K, t5L, t5M, t5N
        , t5O, t5P, t5Q, t5R, t5S, t5T, t5U, t5V, t5W, t5X, t5Y, t5Z, t5a, t5b, t5c, t5d, t5e, t5f, t5g, t5h, t5i, t5j
        , t5k, t5l, t5m, t5n, t5o, t5p, t5q, t5r, t5s, t5t, t5u, t5v, t5w, t5x, t5y, t5z, t6, t61, t610, t611, t612, t613
        , t62, t63, t64, t65, t66, t67, t68, t69, t6A, t6B, t6C, t6D, t6E, t6F, t6G, t6H, t6I, t6J, t6K, t6L, t6M, t6N
        , t6O, t6P, t6Q, t6R, t6S, t6T, t6U, t6V, t6W, t6X, t6Y, t6Z, t6a, t6b, t6c, t6d, t6e, t6f, t6g, t6h, t6i, t6j
        , t6k, t6l, t6m, t6n, t6o, t6p, t6q, t6r, t6s, t6t, t6u, t6v, t6w, t6x, t6y, t6z, t7, t71, t710, t711, t712, t713
        , t72, t73, t74, t75, t76, t77, t78, t79, t7A, t7B, t7C, t7D, t7E, t7F, t7G, t7H, t7I, t7J, t7K, t7L, t7M, t7N
        , t7O, t7P, t7Q, t7R, t7S, t7T, t7U, t7V, t7W, t7X, t7Y, t7Z, t7a, t7b, t7c, t7d, t7e, t7f, t7g, t7h, t7i, t7j
        , t7k, t7l, t7m, t7n, t7o, t7p, t7q, t7r, t7s, t7t, t7u, t7v, t7w, t7x, t7y, t7z, t8, t81, t810, t811, t812, t813
        , t82, t83, t84, t85, t86, t87, t88, t89, t8A, t8B, t8C, t8D, t8E, t8F, t8G, t8H, t8I, t8J, t8K, t8L, t8M, t8N
        , t8O, t8P, t8Q, t8R, t8S, t8T, t8U, t8V, t8W, t8X, t8Y, t8Z, t8a, t8b, t8c, t8d, t8e, t8f, t8g, t8h, t8i, t8j
        , t8k, t8l, t8m, t8n, t8o, t8p, t8q, t8r, t8s, t8t, t8u, t8v, t8w, t8x, t8y, t8z, t9, t91, t910, t911, t912, t913
        , t92, t93, t94, t95, t96, t97, t98, t99, t9A, t9B, t9C, t9D, t9E, t9F, t9G, t9H, t9I, t9J, t9K, t9L, t9M, t9N
        , t9O, t9P, t9Q, t9R, t9S, t9T, t9U, t9V, t9W, t9X, t9Y, t9Z, t9a, t9b, t9c, t9d, t9e, t9f, t9g, t9h, t9i, t9j
        , t9k, t9l, t9m, t9n, t9o, t9p, t9q, t9r, t9s, t9t, t9u, t9v, t9w, t9x, t9y, t9z;
    s = LOADU_CPX(src);
    s2 = LOADU_CPX((src + 512));
    t = ADD_CPX_CPX(s, s2);
    t2 = SUB_CPX_CPX(s, s2);
    s3 = LOADU_CPX((src + 256));
    s4 = LOADU_CPX((src + 768));
    t3 = ADD_CPX_CPX(s3, s4);
    s5 = MUL_NI_CPX(SUB_CPX_CPX(s3, s4));
    t4 = ADD_CPX_CPX(t, t3);
    t5 = SUB_CPX_CPX(t, t3);
    t6 = ADD_CPX_CPX(t2, s5);
    t7 = SUB_CPX_CPX(t2, s5);
    s6 = LOADU_CPX((src + 128));
    s7 = LOADU_CPX((src + 896));
    t8 = ADD_CPX_CPX(s6, s7);
    t9 = ADD_CPX_CPX(MUL_I_CPX(s6), MUL_NI_CPX(s7));
    s8 = LOADU_CPX((src + 640));
    s9 = LOADU_CPX((src + 384));
    t01 = ADD_CPX_CPX(s8, s9);
    t11 = ADD_CPX_CPX(MUL_I_CPX(s8), MUL_NI_CPX(s9));
    t21 = ADD_CPX_CPX(t8, t01);
    t31 = ADD_CPX_CPX(t9, t11);
    a = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8, t01));
    a2 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9, t11));
    s01 = SUB_CPX_CPX(a, a2);
    s11 = ADD_CPX_CPX(a, a2);
    t41 = ADD_CPX_CPX(t4, t21);
    t51 = SUB_CPX_CPX(t5, t31);
    t61 = SUB_CPX_CPX(t4, t21);
    t71 = ADD_CPX_CPX(t5, t31);
    t81 = ADD_CPX_CPX(t6, s01);
    t91 = SUB_CPX_CPX(t7, s11);
    t02 = SUB_CPX_CPX(t6, s01);
    t12 = ADD_CPX_CPX(t7, s11);
    s21 = LOADU_CPX((src + 64));
    s31 = LOADU_CPX((src + 960));
    t22 = ADD_CPX_CPX(s21, s31);
    t32 = ADD_CPX_CPX(MUL_I_CPX(s21), MUL_NI_CPX(s31));
    s41 = LOADU_CPX((src + 320));
    s51 = LOADU_CPX((src + 704));
    t42 = ADD_CPX_CPX(s41, s51);
    t52 = ADD_CPX_CPX(MUL_I_CPX(s41), MUL_NI_CPX(s51));
    s61 = LOADU_CPX((src + 576));
    s71 = LOADU_CPX((src + 448));
    t62 = ADD_CPX_CPX(s61, s71);
    t72 = ADD_CPX_CPX(MUL_I_CPX(s61), MUL_NI_CPX(s71));
    s81 = LOADU_CPX((src + 832));
    s91 = LOADU_CPX((src + 192));
    t82 = ADD_CPX_CPX(s81, s91);
    t92 = ADD_CPX_CPX(MUL_I_CPX(s81), MUL_NI_CPX(s91));
    t03 = ADD_CPX_CPX(t22, t62);
    t13 = ADD_CPX_CPX(t32, t72);
    t23 = SUB_CPX_CPX(t22, t62);
    t33 = SUB_CPX_CPX(t32, t72);
    t43 = ADD_CPX_CPX(t42, t82);
    t53 = ADD_CPX_CPX(t52, t92);
    t63 = SUB_CPX_CPX(t42, t82);
    t73 = SUB_CPX_CPX(t52, t92);
    t83 = ADD_CPX_CPX(t03, t43);
    t93 = ADD_CPX_CPX(t13, t53);
    t04 = SUB_CPX_CPX(t23, t73);
    t14 = ADD_CPX_CPX(t33, t63);
    t24 = ADD_CPX_CPX(t23, t73);
    t34 = SUB_CPX_CPX(t33, t63);
    s02 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t04), MUL_FLT_CPX(C_FLT(0.38268343236508978), t14));
    s12 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t04), MUL_FLT_CPX(C_FLT(0.92387953251128674), t14));
    a3 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t03, t43));
    a4 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t13, t53));
    s22 = SUB_CPX_CPX(a3, a4);
    s32 = ADD_CPX_CPX(a3, a4);
    s42 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t24), MUL_FLT_CPX(C_FLT(0.92387953251128674), t34));
    s52 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t24), MUL_FLT_CPX(C_FLT(0.38268343236508978), t34));
    *(T) = ADD_CPX_CPX(t41, t83);
    *((T + 4)) = SUB_CPX_CPX(t61, t93);
    *((T + 8)) = SUB_CPX_CPX(t41, t83);
    *((T + 12)) = ADD_CPX_CPX(t61, t93);
    *((T + 1)) = ADD_CPX_CPX(t81, s02);
    *((T + 5)) = SUB_CPX_CPX(t02, s12);
    *((T + 9)) = SUB_CPX_CPX(t81, s02);
    *((T + 13)) = ADD_CPX_CPX(t02, s12);
    *((T + 2)) = ADD_CPX_CPX(t51, s22);
    *((T + 6)) = SUB_CPX_CPX(t71, s32);
    *((T + 10)) = SUB_CPX_CPX(t51, s22);
    *((T + 14)) = ADD_CPX_CPX(t71, s32);
    *((T + 3)) = ADD_CPX_CPX(t91, s42);
    *((T + 7)) = SUB_CPX_CPX(t12, s52);
    *((T + 11)) = SUB_CPX_CPX(t91, s42);
    *((T + 15)) = ADD_CPX_CPX(t12, s52);
    {long i; for(i = 0; i <= 62; i++) {
        b = (src + i);
        s62 = LOADU_CPX((b + 1));
        a5 = (1 + i);
        s72 = LOADU_CPX((src + (1024 - a5)));
        t44 = ADD_CPX_CPX(s62, s72);
        t54 = ADD_CPX_CPX(MUL_I_CPX(s62), MUL_NI_CPX(s72));
        s82 = LOADU_CPX((b + 129));
        s92 = LOADU_CPX((src + (896 - a5)));
        t64 = ADD_CPX_CPX(s82, s92);
        t74 = ADD_CPX_CPX(MUL_I_CPX(s82), MUL_NI_CPX(s92));
        s03 = LOADU_CPX((b + 257));
        s13 = LOADU_CPX((src + (768 - a5)));
        t84 = ADD_CPX_CPX(s03, s13);
        t94 = ADD_CPX_CPX(MUL_I_CPX(s03), MUL_NI_CPX(s13));
        s23 = LOADU_CPX((b + 385));
        s33 = LOADU_CPX((src + (640 - a5)));
        t05 = ADD_CPX_CPX(s23, s33);
        t15 = ADD_CPX_CPX(MUL_I_CPX(s23), MUL_NI_CPX(s33));
        s43 = LOADU_CPX((b + 513));
        s53 = LOADU_CPX((src + (512 - a5)));
        t25 = ADD_CPX_CPX(s43, s53);
        t35 = ADD_CPX_CPX(MUL_I_CPX(s43), MUL_NI_CPX(s53));
        s63 = LOADU_CPX((b + 641));
        s73 = LOADU_CPX((src + (384 - a5)));
        t45 = ADD_CPX_CPX(s63, s73);
        t55 = ADD_CPX_CPX(MUL_I_CPX(s63), MUL_NI_CPX(s73));
        s83 = LOADU_CPX((b + 769));
        s93 = LOADU_CPX((src + (256 - a5)));
        t65 = ADD_CPX_CPX(s83, s93);
        t75 = ADD_CPX_CPX(MUL_I_CPX(s83), MUL_NI_CPX(s93));
        s04 = LOADU_CPX((b + 897));
        s14 = LOADU_CPX((src + (128 - a5)));
        t85 = ADD_CPX_CPX(s04, s14);
        t95 = ADD_CPX_CPX(MUL_I_CPX(s04), MUL_NI_CPX(s14));
        t06 = ADD_CPX_CPX(t44, t25);
        t16 = ADD_CPX_CPX(t54, t35);
        t26 = SUB_CPX_CPX(t44, t25);
        t36 = SUB_CPX_CPX(t54, t35);
        t46 = ADD_CPX_CPX(t84, t65);
        t56 = ADD_CPX_CPX(t94, t75);
        t66 = SUB_CPX_CPX(t84, t65);
        t76 = SUB_CPX_CPX(t94, t75);
        t86 = ADD_CPX_CPX(t06, t46);
        t96 = ADD_CPX_CPX(t16, t56);
        t07 = SUB_CPX_CPX(t06, t46);
        t17 = SUB_CPX_CPX(t16, t56);
        t27 = SUB_CPX_CPX(t26, t76);
        t37 = ADD_CPX_CPX(t36, t66);
        t47 = ADD_CPX_CPX(t26, t76);
        t57 = SUB_CPX_CPX(t36, t66);
        t67 = ADD_CPX_CPX(t64, t85);
        t77 = ADD_CPX_CPX(t74, t95);
        t87 = SUB_CPX_CPX(t74, t95);
        t97 = SUB_CPX_CPX(t85, t64);
        t08 = ADD_CPX_CPX(t45, t05);
        t18 = ADD_CPX_CPX(t55, t15);
        t28 = SUB_CPX_CPX(t55, t15);
        t38 = SUB_CPX_CPX(t05, t45);
        s24 = ADD_CPX_CPX(t67, t08);
        s34 = ADD_CPX_CPX(t77, t18);
        s44 = ADD_CPX_CPX(t87, t28);
        s54 = ADD_CPX_CPX(t97, t38);
        a6 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t67, t08));
        a7 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t87, t28));
        t48 = SUB_CPX_CPX(a6, a7);
        a8 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t77, t18));
        a9 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t97, t38));
        t58 = SUB_CPX_CPX(a8, a9);
        t68 = ADD_CPX_CPX(a6, a7);
        t78 = ADD_CPX_CPX(a8, a9);
        s64 = SUB_CPX_CPX(t07, s44);
        s74 = SUB_CPX_CPX(t17, s54);
        s84 = SUB_CPX_CPX(t86, s24);
        s94 = SUB_CPX_CPX(t96, s34);
        s05 = ADD_CPX_CPX(t07, s44);
        s15 = ADD_CPX_CPX(t17, s54);
        s25 = ADD_CPX_CPX(t27, t48);
        s35 = ADD_CPX_CPX(t37, t58);
        s45 = SUB_CPX_CPX(t47, t68);
        s55 = SUB_CPX_CPX(t57, t78);
        s65 = SUB_CPX_CPX(t27, t48);
        s75 = SUB_CPX_CPX(t37, t58);
        s85 = ADD_CPX_CPX(t47, t68);
        s95 = ADD_CPX_CPX(t57, t78);
        b2 = (T + (16*i));
        *((b2 + 16)) = ADD_CPX_CPX(t86, s24);
        *((b2 + 24)) = ADD_CPX_CPX(t96, s34);
        a01 = (D996 + (14*i));
        a11 = (a01 + 1);
        a21 = (a01 + 2);
        a31 = (a01 + 3);
        a41 = (a01 + 4);
        a51 = (a01 + 5);
        a61 = (a01 + 6);
        a71 = (a01 + 7);
        a81 = (a01 + 8);
        a91 = (a01 + 9);
        a02 = (a01 + 10);
        a12 = (a01 + 11);
        a22 = (a01 + 12);
        a32 = (a01 + 13);
        *((b2 + 17)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a01), s25), MUL_FLT_CPX(*(a11), s35));
        *((b2 + 25)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a11), s25), MUL_FLT_CPX(*(a01), s35));
        *((b2 + 18)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a21), s64), MUL_FLT_CPX(*(a31), s74));
        *((b2 + 26)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a31), s64), MUL_FLT_CPX(*(a21), s74));
        *((b2 + 19)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a41), s45), MUL_FLT_CPX(*(a51), s55));
        *((b2 + 27)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a51), s45), MUL_FLT_CPX(*(a41), s55));
        *((b2 + 20)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a61), s84), MUL_FLT_CPX(*(a71), s94));
        *((b2 + 28)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a71), s84), MUL_FLT_CPX(*(a61), s94));
        *((b2 + 21)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a81), s65), MUL_FLT_CPX(*(a91), s75));
        *((b2 + 29)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a91), s65), MUL_FLT_CPX(*(a81), s75));
        *((b2 + 22)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a02), s05), MUL_FLT_CPX(*(a12), s15));
        *((b2 + 30)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a12), s05), MUL_FLT_CPX(*(a02), s15));
        *((b2 + 23)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a22), s85), MUL_FLT_CPX(*(a32), s95));
        *((b2 + 31)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a32), s85), MUL_FLT_CPX(*(a22), s95));
    }}
    {long i2; for(i2 = 0; i2 <= 7; i2++) {
        a42 = (T + i2);
        a52 = (a42 + 8);
        a62 = (a42 + 512);
        a72 = (a42 + 520);
        t88 = ADD_CPX_CPX(*(a42), *(a62));
        t98 = SUB_CPX_CPX(*(a52), *(a72));
        t09 = SUB_CPX_CPX(*(a42), *(a62));
        t19 = ADD_CPX_CPX(*(a52), *(a72));
        a82 = (a42 + 128);
        a92 = (a42 + 136);
        a03 = (a42 + 896);
        a13 = (a42 + 904);
        t29 = ADD_CPX_CPX(*(a82), *(a03));
        t39 = SUB_CPX_CPX(*(a92), *(a13));
        t49 = SUB_CPX_CPX(*(a82), *(a03));
        t59 = ADD_CPX_CPX(*(a92), *(a13));
        s06 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t49), MUL_FLT_CPX(C_FLT(0.38268343236508978), t59));
        s16 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t49), MUL_FLT_CPX(C_FLT(0.92387953251128674), t59));
        a23 = (a42 + 256);
        a33 = (a42 + 264);
        a43 = (a42 + 768);
        a53 = (a42 + 776);
        t69 = ADD_CPX_CPX(*(a23), *(a43));
        t79 = SUB_CPX_CPX(*(a33), *(a53));
        a63 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a23), *(a43)));
        a73 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(*(a33), *(a53)));
        s26 = SUB_CPX_CPX(a63, a73);
        s36 = ADD_CPX_CPX(a63, a73);
        a83 = (a42 + 384);
        a93 = (a42 + 392);
        a04 = (a42 + 640);
        a14 = (a42 + 648);
        t89 = ADD_CPX_CPX(*(a83), *(a04));
        t99 = SUB_CPX_CPX(*(a93), *(a14));
        t0a = SUB_CPX_CPX(*(a83), *(a04));
        t1a = ADD_CPX_CPX(*(a93), *(a14));
        s46 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t0a), MUL_FLT_CPX(C_FLT(0.92387953251128674), t1a));
        s56 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t0a), MUL_FLT_CPX(C_FLT(0.38268343236508978), t1a));
        t2a = ADD_CPX_CPX(t88, t69);
        t3a = SUB_CPX_CPX(t09, t79);
        t4a = SUB_CPX_CPX(t88, t69);
        t5a = ADD_CPX_CPX(t09, t79);
        t6a = ADD_CPX_CPX(t29, t89);
        t7a = SUB_CPX_CPX(t39, t99);
        a24 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t29, t89));
        a34 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t39, t99));
        s66 = SUB_CPX_CPX(a24, a34);
        s76 = ADD_CPX_CPX(a24, a34);
        t8a = ADD_CPX_CPX(t2a, t6a);
        t9a = SUB_CPX_CPX(t4a, t7a);
        t0b = SUB_CPX_CPX(t2a, t6a);
        t1b = ADD_CPX_CPX(t4a, t7a);
        t2b = ADD_CPX_CPX(t3a, s66);
        t3b = SUB_CPX_CPX(t5a, s76);
        t4b = SUB_CPX_CPX(t3a, s66);
        t5b = ADD_CPX_CPX(t5a, s76);
        t6b = ADD_CPX_CPX(t98, s26);
        t7b = SUB_CPX_CPX(t19, s36);
        t8b = SUB_CPX_CPX(t98, s26);
        t9b = ADD_CPX_CPX(t19, s36);
        t0c = ADD_CPX_CPX(s06, s46);
        t1c = SUB_CPX_CPX(s16, s56);
        a44 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s06, s46));
        a54 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s16, s56));
        s86 = SUB_CPX_CPX(a44, a54);
        s96 = ADD_CPX_CPX(a44, a54);
        t2c = ADD_CPX_CPX(t6b, t0c);
        t3c = SUB_CPX_CPX(t8b, t1c);
        t4c = SUB_CPX_CPX(t6b, t0c);
        t5c = ADD_CPX_CPX(t8b, t1c);
        t6c = ADD_CPX_CPX(t7b, s86);
        t7c = SUB_CPX_CPX(t9b, s96);
        t8c = SUB_CPX_CPX(t7b, s86);
        t9c = ADD_CPX_CPX(t9b, s96);
        a64 = (a42 + 16);
        a74 = (a42 + 24);
        a84 = (a42 + 1008);
        a94 = (a42 + 1016);
        t0d = ADD_CPX_CPX(*(a64), *(a84));
        t1d = SUB_CPX_CPX(*(a74), *(a94));
        t2d = SUB_CPX_CPX(*(a64), *(a84));
        t3d = ADD_CPX_CPX(*(a74), *(a94));
        a05 = (a42 + 528);
        a15 = (a42 + 536);
        a25 = (a42 + 496);
        a35 = (a42 + 504);
        t4d = ADD_CPX_CPX(*(a05), *(a25));
        t5d = SUB_CPX_CPX(*(a15), *(a35));
        t6d = SUB_CPX_CPX(*(a05), *(a25));
        t7d = ADD_CPX_CPX(*(a15), *(a35));
        t8d = ADD_CPX_CPX(t0d, t4d);
        t9d = ADD_CPX_CPX(t1d, t5d);
        t0e = SUB_CPX_CPX(t0d, t4d);
        t1e = SUB_CPX_CPX(t1d, t5d);
        t2e = SUB_CPX_CPX(t2d, t7d);
        t3e = ADD_CPX_CPX(t3d, t6d);
        t4e = ADD_CPX_CPX(t2d, t7d);
        t5e = SUB_CPX_CPX(t3d, t6d);
        a45 = (a42 + 272);
        a55 = (a42 + 280);
        a65 = (a42 + 240);
        a75 = (a42 + 248);
        t6e = ADD_CPX_CPX(*(a45), *(a65));
        t7e = SUB_CPX_CPX(*(a55), *(a75));
        t8e = ADD_CPX_CPX(*(a55), *(a75));
        t9e = SUB_CPX_CPX(*(a65), *(a45));
        a85 = (a42 + 752);
        a95 = (a42 + 760);
        a06 = (a42 + 784);
        a16 = (a42 + 792);
        t0f = ADD_CPX_CPX(*(a85), *(a06));
        t1f = SUB_CPX_CPX(*(a16), *(a95));
        t2f = ADD_CPX_CPX(*(a95), *(a16));
        t3f = SUB_CPX_CPX(*(a06), *(a85));
        s07 = ADD_CPX_CPX(t6e, t0f);
        s17 = ADD_CPX_CPX(t7e, t1f);
        s27 = SUB_CPX_CPX(t8e, t2f);
        s37 = ADD_CPX_CPX(t9e, t3f);
        a26 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t6e, t0f));
        a36 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t8e, t2f));
        t4f = SUB_CPX_CPX(a26, a36);
        a46 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t7e, t1f));
        a56 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9e, t3f));
        t5f = SUB_CPX_CPX(a46, a56);
        t6f = ADD_CPX_CPX(a26, a36);
        t7f = ADD_CPX_CPX(a46, a56);
        s47 = ADD_CPX_CPX(t8d, s07);
        s57 = ADD_CPX_CPX(t9d, s17);
        s67 = SUB_CPX_CPX(t0e, s27);
        s77 = SUB_CPX_CPX(t1e, s37);
        s87 = SUB_CPX_CPX(t8d, s07);
        s97 = SUB_CPX_CPX(t9d, s17);
        s08 = ADD_CPX_CPX(t0e, s27);
        s18 = ADD_CPX_CPX(t1e, s37);
        s28 = ADD_CPX_CPX(t2e, t4f);
        s38 = ADD_CPX_CPX(t3e, t5f);
        s48 = SUB_CPX_CPX(t4e, t6f);
        s58 = SUB_CPX_CPX(t5e, t7f);
        s68 = SUB_CPX_CPX(t2e, t4f);
        s78 = SUB_CPX_CPX(t3e, t5f);
        s88 = ADD_CPX_CPX(t4e, t6f);
        s98 = ADD_CPX_CPX(t5e, t7f);
        s09 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99879545620517241), s28), MUL_FLT_CPX(C_FLT(0.049067674327418015), s38));
        s19 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.049067674327418015), s28), MUL_FLT_CPX(C_FLT(0.99879545620517241), s38));
        s29 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), s67), MUL_FLT_CPX(C_FLT(0.098017140329560604), s77));
        s39 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), s67), MUL_FLT_CPX(C_FLT(0.99518472667219693), s77));
        s49 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s48), MUL_FLT_CPX(C_FLT(0.14673047445536175), s58));
        s59 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.14673047445536175), s48), MUL_FLT_CPX(C_FLT(0.98917650996478101), s58));
        s69 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s87), MUL_FLT_CPX(C_FLT(0.19509032201612828), s97));
        s79 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s87), MUL_FLT_CPX(C_FLT(0.98078528040323043), s97));
        s89 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.97003125319454397), s68), MUL_FLT_CPX(C_FLT(0.2429801799032639), s78));
        s99 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.2429801799032639), s68), MUL_FLT_CPX(C_FLT(0.97003125319454397), s78));
        s0a = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s08), MUL_FLT_CPX(C_FLT(0.29028467725446239), s18));
        s1a = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.29028467725446239), s08), MUL_FLT_CPX(C_FLT(0.95694033573220882), s18));
        s2a = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), s88), MUL_FLT_CPX(C_FLT(0.33688985339222005), s98));
        s3a = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.33688985339222005), s88), MUL_FLT_CPX(C_FLT(0.94154406518302081), s98));
        a66 = (a42 + 32);
        a76 = (a42 + 40);
        a86 = (a42 + 992);
        a96 = (a42 + 1000);
        t8f = ADD_CPX_CPX(*(a66), *(a86));
        t9f = SUB_CPX_CPX(*(a76), *(a96));
        t0g = SUB_CPX_CPX(*(a66), *(a86));
        t1g = ADD_CPX_CPX(*(a76), *(a96));
        a07 = (a42 + 544);
        a17 = (a42 + 552);
        a27 = (a42 + 480);
        a37 = (a42 + 488);
        t2g = ADD_CPX_CPX(*(a07), *(a27));
        t3g = SUB_CPX_CPX(*(a17), *(a37));
        t4g = SUB_CPX_CPX(*(a07), *(a27));
        t5g = ADD_CPX_CPX(*(a17), *(a37));
        t6g = ADD_CPX_CPX(t8f, t2g);
        t7g = ADD_CPX_CPX(t9f, t3g);
        t8g = SUB_CPX_CPX(t8f, t2g);
        t9g = SUB_CPX_CPX(t9f, t3g);
        t0h = SUB_CPX_CPX(t0g, t5g);
        t1h = ADD_CPX_CPX(t1g, t4g);
        t2h = ADD_CPX_CPX(t0g, t5g);
        t3h = SUB_CPX_CPX(t1g, t4g);
        a47 = (a42 + 288);
        a57 = (a42 + 296);
        a67 = (a42 + 224);
        a77 = (a42 + 232);
        t4h = ADD_CPX_CPX(*(a47), *(a67));
        t5h = SUB_CPX_CPX(*(a57), *(a77));
        t6h = ADD_CPX_CPX(*(a57), *(a77));
        t7h = SUB_CPX_CPX(*(a67), *(a47));
        a87 = (a42 + 736);
        a97 = (a42 + 744);
        a08 = (a42 + 800);
        a18 = (a42 + 808);
        t8h = ADD_CPX_CPX(*(a87), *(a08));
        t9h = SUB_CPX_CPX(*(a18), *(a97));
        t0i = ADD_CPX_CPX(*(a97), *(a18));
        t1i = SUB_CPX_CPX(*(a08), *(a87));
        s4a = ADD_CPX_CPX(t4h, t8h);
        s5a = ADD_CPX_CPX(t5h, t9h);
        s6a = SUB_CPX_CPX(t6h, t0i);
        s7a = ADD_CPX_CPX(t7h, t1i);
        a28 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t4h, t8h));
        a38 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t6h, t0i));
        t2i = SUB_CPX_CPX(a28, a38);
        a48 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t5h, t9h));
        a58 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t7h, t1i));
        t3i = SUB_CPX_CPX(a48, a58);
        t4i = ADD_CPX_CPX(a28, a38);
        t5i = ADD_CPX_CPX(a48, a58);
        s8a = ADD_CPX_CPX(t6g, s4a);
        s9a = ADD_CPX_CPX(t7g, s5a);
        s0b = SUB_CPX_CPX(t8g, s6a);
        s1b = SUB_CPX_CPX(t9g, s7a);
        s2b = SUB_CPX_CPX(t6g, s4a);
        s3b = SUB_CPX_CPX(t7g, s5a);
        s4b = ADD_CPX_CPX(t8g, s6a);
        s5b = ADD_CPX_CPX(t9g, s7a);
        s6b = ADD_CPX_CPX(t0h, t2i);
        s7b = ADD_CPX_CPX(t1h, t3i);
        s8b = SUB_CPX_CPX(t2h, t4i);
        s9b = SUB_CPX_CPX(t3h, t5i);
        s0c = SUB_CPX_CPX(t0h, t2i);
        s1c = SUB_CPX_CPX(t1h, t3i);
        s2c = ADD_CPX_CPX(t2h, t4i);
        s3c = ADD_CPX_CPX(t3h, t5i);
        s4c = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), s6b), MUL_FLT_CPX(C_FLT(0.098017140329560604), s7b));
        s5c = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), s6b), MUL_FLT_CPX(C_FLT(0.99518472667219693), s7b));
        s6c = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s0b), MUL_FLT_CPX(C_FLT(0.19509032201612828), s1b));
        s7c = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s0b), MUL_FLT_CPX(C_FLT(0.98078528040323043), s1b));
        s8c = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s8b), MUL_FLT_CPX(C_FLT(0.29028467725446239), s9b));
        s9c = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.29028467725446239), s8b), MUL_FLT_CPX(C_FLT(0.95694033573220882), s9b));
        s0d = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s2b), MUL_FLT_CPX(C_FLT(0.38268343236508978), s3b));
        s1d = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s2b), MUL_FLT_CPX(C_FLT(0.92387953251128674), s3b));
        s2d = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s0c), MUL_FLT_CPX(C_FLT(0.47139673682599764), s1c));
        s3d = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.47139673682599764), s0c), MUL_FLT_CPX(C_FLT(0.88192126434835505), s1c));
        s4d = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s4b), MUL_FLT_CPX(C_FLT(0.55557023301960218), s5b));
        s5d = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s4b), MUL_FLT_CPX(C_FLT(0.83146961230254524), s5b));
        s6d = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), s2c), MUL_FLT_CPX(C_FLT(0.63439328416364549), s3c));
        s7d = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), s2c), MUL_FLT_CPX(C_FLT(0.77301045336273699), s3c));
        a68 = (a42 + 48);
        a78 = (a42 + 56);
        a88 = (a42 + 976);
        a98 = (a42 + 984);
        t6i = ADD_CPX_CPX(*(a68), *(a88));
        t7i = SUB_CPX_CPX(*(a78), *(a98));
        t8i = SUB_CPX_CPX(*(a68), *(a88));
        t9i = ADD_CPX_CPX(*(a78), *(a98));
        a09 = (a42 + 560);
        a19 = (a42 + 568);
        a29 = (a42 + 464);
        a39 = (a42 + 472);
        t0j = ADD_CPX_CPX(*(a09), *(a29));
        t1j = SUB_CPX_CPX(*(a19), *(a39));
        t2j = SUB_CPX_CPX(*(a09), *(a29));
        t3j = ADD_CPX_CPX(*(a19), *(a39));
        t4j = ADD_CPX_CPX(t6i, t0j);
        t5j = ADD_CPX_CPX(t7i, t1j);
        t6j = SUB_CPX_CPX(t6i, t0j);
        t7j = SUB_CPX_CPX(t7i, t1j);
        t8j = SUB_CPX_CPX(t8i, t3j);
        t9j = ADD_CPX_CPX(t9i, t2j);
        t0k = ADD_CPX_CPX(t8i, t3j);
        t1k = SUB_CPX_CPX(t9i, t2j);
        a49 = (a42 + 304);
        a59 = (a42 + 312);
        a69 = (a42 + 208);
        a79 = (a42 + 216);
        t2k = ADD_CPX_CPX(*(a49), *(a69));
        t3k = SUB_CPX_CPX(*(a59), *(a79));
        t4k = ADD_CPX_CPX(*(a59), *(a79));
        t5k = SUB_CPX_CPX(*(a69), *(a49));
        a89 = (a42 + 720);
        a99 = (a42 + 728);
        a0a = (a42 + 816);
        a1a = (a42 + 824);
        t6k = ADD_CPX_CPX(*(a89), *(a0a));
        t7k = SUB_CPX_CPX(*(a1a), *(a99));
        t8k = ADD_CPX_CPX(*(a99), *(a1a));
        t9k = SUB_CPX_CPX(*(a0a), *(a89));
        s8d = ADD_CPX_CPX(t2k, t6k);
        s9d = ADD_CPX_CPX(t3k, t7k);
        s0e = SUB_CPX_CPX(t4k, t8k);
        s1e = ADD_CPX_CPX(t5k, t9k);
        a2a = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2k, t6k));
        a3a = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t4k, t8k));
        t0l = SUB_CPX_CPX(a2a, a3a);
        a4a = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3k, t7k));
        a5a = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t5k, t9k));
        t1l = SUB_CPX_CPX(a4a, a5a);
        t2l = ADD_CPX_CPX(a2a, a3a);
        t3l = ADD_CPX_CPX(a4a, a5a);
        s2e = ADD_CPX_CPX(t4j, s8d);
        s3e = ADD_CPX_CPX(t5j, s9d);
        s4e = SUB_CPX_CPX(t6j, s0e);
        s5e = SUB_CPX_CPX(t7j, s1e);
        s6e = SUB_CPX_CPX(t4j, s8d);
        s7e = SUB_CPX_CPX(t5j, s9d);
        s8e = ADD_CPX_CPX(t6j, s0e);
        s9e = ADD_CPX_CPX(t7j, s1e);
        s0f = ADD_CPX_CPX(t8j, t0l);
        s1f = ADD_CPX_CPX(t9j, t1l);
        s2f = SUB_CPX_CPX(t0k, t2l);
        s3f = SUB_CPX_CPX(t1k, t3l);
        s4f = SUB_CPX_CPX(t8j, t0l);
        s5f = SUB_CPX_CPX(t9j, t1l);
        s6f = ADD_CPX_CPX(t0k, t2l);
        s7f = ADD_CPX_CPX(t1k, t3l);
        s8f = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s0f), MUL_FLT_CPX(C_FLT(0.14673047445536175), s1f));
        s9f = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.14673047445536175), s0f), MUL_FLT_CPX(C_FLT(0.98917650996478101), s1f));
        s0g = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s4e), MUL_FLT_CPX(C_FLT(0.29028467725446239), s5e));
        s1g = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.29028467725446239), s4e), MUL_FLT_CPX(C_FLT(0.95694033573220882), s5e));
        s2g = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.90398929312344334), s2f), MUL_FLT_CPX(C_FLT(0.42755509343028208), s3f));
        s3g = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.42755509343028208), s2f), MUL_FLT_CPX(C_FLT(0.90398929312344334), s3f));
        s4g = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s6e), MUL_FLT_CPX(C_FLT(0.55557023301960218), s7e));
        s5g = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s6e), MUL_FLT_CPX(C_FLT(0.83146961230254524), s7e));
        s6g = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), s4f), MUL_FLT_CPX(C_FLT(0.67155895484701844), s5f));
        s7g = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.67155895484701844), s4f), MUL_FLT_CPX(C_FLT(0.74095112535495911), s5f));
        s8g = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), s8e), MUL_FLT_CPX(C_FLT(0.77301045336273699), s9e));
        s9g = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), s8e), MUL_FLT_CPX(C_FLT(0.63439328416364549), s9e));
        s0h = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.51410274419322177), s6f), MUL_FLT_CPX(C_FLT(0.85772861000027212), s7f));
        s1h = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.85772861000027212), s6f), MUL_FLT_CPX(C_FLT(0.51410274419322177), s7f));
        a6a = (a42 + 64);
        a7a = (a42 + 72);
        a8a = (a42 + 960);
        a9a = (a42 + 968);
        t4l = ADD_CPX_CPX(*(a6a), *(a8a));
        t5l = SUB_CPX_CPX(*(a7a), *(a9a));
        t6l = SUB_CPX_CPX(*(a6a), *(a8a));
        t7l = ADD_CPX_CPX(*(a7a), *(a9a));
        a0b = (a42 + 576);
        a1b = (a42 + 584);
        a2b = (a42 + 448);
        a3b = (a42 + 456);
        t8l = ADD_CPX_CPX(*(a0b), *(a2b));
        t9l = SUB_CPX_CPX(*(a1b), *(a3b));
        t0m = SUB_CPX_CPX(*(a0b), *(a2b));
        t1m = ADD_CPX_CPX(*(a1b), *(a3b));
        t2m = ADD_CPX_CPX(t4l, t8l);
        t3m = ADD_CPX_CPX(t5l, t9l);
        t4m = SUB_CPX_CPX(t4l, t8l);
        t5m = SUB_CPX_CPX(t5l, t9l);
        t6m = SUB_CPX_CPX(t6l, t1m);
        t7m = ADD_CPX_CPX(t7l, t0m);
        t8m = ADD_CPX_CPX(t6l, t1m);
        t9m = SUB_CPX_CPX(t7l, t0m);
        a4b = (a42 + 320);
        a5b = (a42 + 328);
        a6b = (a42 + 192);
        a7b = (a42 + 200);
        t0n = ADD_CPX_CPX(*(a4b), *(a6b));
        t1n = SUB_CPX_CPX(*(a5b), *(a7b));
        t2n = ADD_CPX_CPX(*(a5b), *(a7b));
        t3n = SUB_CPX_CPX(*(a6b), *(a4b));
        a8b = (a42 + 704);
        a9b = (a42 + 712);
        a0c = (a42 + 832);
        a1c = (a42 + 840);
        t4n = ADD_CPX_CPX(*(a8b), *(a0c));
        t5n = SUB_CPX_CPX(*(a1c), *(a9b));
        t6n = ADD_CPX_CPX(*(a9b), *(a1c));
        t7n = SUB_CPX_CPX(*(a0c), *(a8b));
        s2h = ADD_CPX_CPX(t0n, t4n);
        s3h = ADD_CPX_CPX(t1n, t5n);
        s4h = SUB_CPX_CPX(t2n, t6n);
        s5h = ADD_CPX_CPX(t3n, t7n);
        a2c = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0n, t4n));
        a3c = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t2n, t6n));
        t8n = SUB_CPX_CPX(a2c, a3c);
        a4c = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t1n, t5n));
        a5c = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3n, t7n));
        t9n = SUB_CPX_CPX(a4c, a5c);
        t0o = ADD_CPX_CPX(a2c, a3c);
        t1o = ADD_CPX_CPX(a4c, a5c);
        s6h = ADD_CPX_CPX(t2m, s2h);
        s7h = ADD_CPX_CPX(t3m, s3h);
        s8h = SUB_CPX_CPX(t4m, s4h);
        s9h = SUB_CPX_CPX(t5m, s5h);
        s0i = ADD_CPX_CPX(t4m, s4h);
        s1i = ADD_CPX_CPX(t5m, s5h);
        s2i = ADD_CPX_CPX(t6m, t8n);
        s3i = ADD_CPX_CPX(t7m, t9n);
        s4i = SUB_CPX_CPX(t8m, t0o);
        s5i = SUB_CPX_CPX(t9m, t1o);
        s6i = SUB_CPX_CPX(t6m, t8n);
        s7i = SUB_CPX_CPX(t7m, t9n);
        s8i = ADD_CPX_CPX(t8m, t0o);
        s9i = ADD_CPX_CPX(t9m, t1o);
        s0j = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s2i), MUL_FLT_CPX(C_FLT(0.19509032201612828), s3i));
        s1j = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s2i), MUL_FLT_CPX(C_FLT(0.98078528040323043), s3i));
        s2j = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s8h), MUL_FLT_CPX(C_FLT(0.38268343236508978), s9h));
        s3j = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s8h), MUL_FLT_CPX(C_FLT(0.92387953251128674), s9h));
        s4j = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s4i), MUL_FLT_CPX(C_FLT(0.55557023301960218), s5i));
        s5j = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s4i), MUL_FLT_CPX(C_FLT(0.83146961230254524), s5i));
        a6c = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2m, s2h));
        a7c = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3m, s3h));
        s6j = SUB_CPX_CPX(a6c, a7c);
        s7j = ADD_CPX_CPX(a6c, a7c);
        s8j = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s6i), MUL_FLT_CPX(C_FLT(0.83146961230254524), s7i));
        s9j = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s6i), MUL_FLT_CPX(C_FLT(0.55557023301960218), s7i));
        s0k = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s0i), MUL_FLT_CPX(C_FLT(0.92387953251128674), s1i));
        s1k = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s0i), MUL_FLT_CPX(C_FLT(0.38268343236508978), s1i));
        s2k = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s8i), MUL_FLT_CPX(C_FLT(0.98078528040323043), s9i));
        s3k = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s8i), MUL_FLT_CPX(C_FLT(0.19509032201612828), s9i));
        a8c = (a42 + 80);
        a9c = (a42 + 88);
        a0d = (a42 + 944);
        a1d = (a42 + 952);
        t2o = ADD_CPX_CPX(*(a8c), *(a0d));
        t3o = SUB_CPX_CPX(*(a9c), *(a1d));
        t4o = SUB_CPX_CPX(*(a8c), *(a0d));
        t5o = ADD_CPX_CPX(*(a9c), *(a1d));
        a2d = (a42 + 592);
        a3d = (a42 + 600);
        a4d = (a42 + 432);
        a5d = (a42 + 440);
        t6o = ADD_CPX_CPX(*(a2d), *(a4d));
        t7o = SUB_CPX_CPX(*(a3d), *(a5d));
        t8o = SUB_CPX_CPX(*(a2d), *(a4d));
        t9o = ADD_CPX_CPX(*(a3d), *(a5d));
        t0p = ADD_CPX_CPX(t2o, t6o);
        t1p = ADD_CPX_CPX(t3o, t7o);
        t2p = SUB_CPX_CPX(t2o, t6o);
        t3p = SUB_CPX_CPX(t3o, t7o);
        t4p = SUB_CPX_CPX(t4o, t9o);
        t5p = ADD_CPX_CPX(t5o, t8o);
        t6p = ADD_CPX_CPX(t4o, t9o);
        t7p = SUB_CPX_CPX(t5o, t8o);
        a6d = (a42 + 336);
        a7d = (a42 + 344);
        a8d = (a42 + 176);
        a9d = (a42 + 184);
        t8p = ADD_CPX_CPX(*(a6d), *(a8d));
        t9p = SUB_CPX_CPX(*(a7d), *(a9d));
        t0q = ADD_CPX_CPX(*(a7d), *(a9d));
        t1q = SUB_CPX_CPX(*(a8d), *(a6d));
        a0e = (a42 + 688);
        a1e = (a42 + 696);
        a2e = (a42 + 848);
        a3e = (a42 + 856);
        t2q = ADD_CPX_CPX(*(a0e), *(a2e));
        t3q = SUB_CPX_CPX(*(a3e), *(a1e));
        t4q = ADD_CPX_CPX(*(a1e), *(a3e));
        t5q = SUB_CPX_CPX(*(a2e), *(a0e));
        s4k = ADD_CPX_CPX(t8p, t2q);
        s5k = ADD_CPX_CPX(t9p, t3q);
        s6k = SUB_CPX_CPX(t0q, t4q);
        s7k = ADD_CPX_CPX(t1q, t5q);
        a4e = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8p, t2q));
        a5e = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t0q, t4q));
        t6q = SUB_CPX_CPX(a4e, a5e);
        a6e = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9p, t3q));
        a7e = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t1q, t5q));
        t7q = SUB_CPX_CPX(a6e, a7e);
        t8q = ADD_CPX_CPX(a4e, a5e);
        t9q = ADD_CPX_CPX(a6e, a7e);
        s8k = ADD_CPX_CPX(t0p, s4k);
        s9k = ADD_CPX_CPX(t1p, s5k);
        s0l = SUB_CPX_CPX(t2p, s6k);
        s1l = SUB_CPX_CPX(t3p, s7k);
        s2l = SUB_CPX_CPX(t0p, s4k);
        s3l = SUB_CPX_CPX(t1p, s5k);
        s4l = ADD_CPX_CPX(t2p, s6k);
        s5l = ADD_CPX_CPX(t3p, s7k);
        s6l = ADD_CPX_CPX(t4p, t6q);
        s7l = ADD_CPX_CPX(t5p, t7q);
        s8l = SUB_CPX_CPX(t6p, t8q);
        s9l = SUB_CPX_CPX(t7p, t9q);
        s0m = SUB_CPX_CPX(t4p, t6q);
        s1m = SUB_CPX_CPX(t5p, t7q);
        s2m = ADD_CPX_CPX(t6p, t8q);
        s3m = ADD_CPX_CPX(t7p, t9q);
        s4m = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.97003125319454397), s6l), MUL_FLT_CPX(C_FLT(0.2429801799032639), s7l));
        s5m = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.2429801799032639), s6l), MUL_FLT_CPX(C_FLT(0.97003125319454397), s7l));
        s6m = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s0l), MUL_FLT_CPX(C_FLT(0.47139673682599764), s1l));
        s7m = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.47139673682599764), s0l), MUL_FLT_CPX(C_FLT(0.88192126434835505), s1l));
        s8m = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), s8l), MUL_FLT_CPX(C_FLT(0.67155895484701844), s9l));
        s9m = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.67155895484701844), s8l), MUL_FLT_CPX(C_FLT(0.74095112535495911), s9l));
        s0n = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s2l), MUL_FLT_CPX(C_FLT(0.83146961230254524), s3l));
        s1n = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s2l), MUL_FLT_CPX(C_FLT(0.55557023301960218), s3l));
        s2n = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.33688985339222005), s0m), MUL_FLT_CPX(C_FLT(0.94154406518302081), s1m));
        s3n = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), s0m), MUL_FLT_CPX(C_FLT(0.33688985339222005), s1m));
        s4n = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), s4l), MUL_FLT_CPX(C_FLT(0.99518472667219693), s5l));
        s5n = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), s4l), MUL_FLT_CPX(C_FLT(0.098017140329560604), s5l));
        s6n = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.14673047445536175), s2m), MUL_FLT_CPX(C_FLT(0.98917650996478101), s3m));
        s7n = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s2m), MUL_FLT_CPX(C_FLT(0.14673047445536175), s3m));
        a8e = (a42 + 96);
        a9e = (a42 + 104);
        a0f = (a42 + 928);
        a1f = (a42 + 936);
        t0r = ADD_CPX_CPX(*(a8e), *(a0f));
        t1r = SUB_CPX_CPX(*(a9e), *(a1f));
        t2r = SUB_CPX_CPX(*(a8e), *(a0f));
        t3r = ADD_CPX_CPX(*(a9e), *(a1f));
        a2f = (a42 + 608);
        a3f = (a42 + 616);
        a4f = (a42 + 416);
        a5f = (a42 + 424);
        t4r = ADD_CPX_CPX(*(a2f), *(a4f));
        t5r = SUB_CPX_CPX(*(a3f), *(a5f));
        t6r = SUB_CPX_CPX(*(a2f), *(a4f));
        t7r = ADD_CPX_CPX(*(a3f), *(a5f));
        t8r = ADD_CPX_CPX(t0r, t4r);
        t9r = ADD_CPX_CPX(t1r, t5r);
        t0s = SUB_CPX_CPX(t0r, t4r);
        t1s = SUB_CPX_CPX(t1r, t5r);
        t2s = SUB_CPX_CPX(t2r, t7r);
        t3s = ADD_CPX_CPX(t3r, t6r);
        t4s = ADD_CPX_CPX(t2r, t7r);
        t5s = SUB_CPX_CPX(t3r, t6r);
        a6f = (a42 + 352);
        a7f = (a42 + 360);
        a8f = (a42 + 160);
        a9f = (a42 + 168);
        t6s = ADD_CPX_CPX(*(a6f), *(a8f));
        t7s = SUB_CPX_CPX(*(a7f), *(a9f));
        t8s = ADD_CPX_CPX(*(a7f), *(a9f));
        t9s = SUB_CPX_CPX(*(a8f), *(a6f));
        a0g = (a42 + 672);
        a1g = (a42 + 680);
        a2g = (a42 + 864);
        a3g = (a42 + 872);
        t0t = ADD_CPX_CPX(*(a0g), *(a2g));
        t1t = SUB_CPX_CPX(*(a3g), *(a1g));
        t2t = ADD_CPX_CPX(*(a1g), *(a3g));
        t3t = SUB_CPX_CPX(*(a2g), *(a0g));
        s8n = ADD_CPX_CPX(t6s, t0t);
        s9n = ADD_CPX_CPX(t7s, t1t);
        s0o = SUB_CPX_CPX(t8s, t2t);
        s1o = ADD_CPX_CPX(t9s, t3t);
        a4g = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t6s, t0t));
        a5g = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t8s, t2t));
        t4t = SUB_CPX_CPX(a4g, a5g);
        a6g = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t7s, t1t));
        a7g = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9s, t3t));
        t5t = SUB_CPX_CPX(a6g, a7g);
        t6t = ADD_CPX_CPX(a4g, a5g);
        t7t = ADD_CPX_CPX(a6g, a7g);
        s2o = ADD_CPX_CPX(t8r, s8n);
        s3o = ADD_CPX_CPX(t9r, s9n);
        s4o = SUB_CPX_CPX(t0s, s0o);
        s5o = SUB_CPX_CPX(t1s, s1o);
        s6o = SUB_CPX_CPX(t8r, s8n);
        s7o = SUB_CPX_CPX(t9r, s9n);
        s8o = ADD_CPX_CPX(t0s, s0o);
        s9o = ADD_CPX_CPX(t1s, s1o);
        s0p = ADD_CPX_CPX(t2s, t4t);
        s1p = ADD_CPX_CPX(t3s, t5t);
        s2p = SUB_CPX_CPX(t4s, t6t);
        s3p = SUB_CPX_CPX(t5s, t7t);
        s4p = SUB_CPX_CPX(t2s, t4t);
        s5p = SUB_CPX_CPX(t3s, t5t);
        s6p = ADD_CPX_CPX(t4s, t6t);
        s7p = ADD_CPX_CPX(t5s, t7t);
        s8p = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s0p), MUL_FLT_CPX(C_FLT(0.29028467725446239), s1p));
        s9p = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.29028467725446239), s0p), MUL_FLT_CPX(C_FLT(0.95694033573220882), s1p));
        s0q = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s4o), MUL_FLT_CPX(C_FLT(0.55557023301960218), s5o));
        s1q = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s4o), MUL_FLT_CPX(C_FLT(0.83146961230254524), s5o));
        s2q = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), s2p), MUL_FLT_CPX(C_FLT(0.77301045336273699), s3p));
        s3q = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), s2p), MUL_FLT_CPX(C_FLT(0.63439328416364549), s3p));
        s4q = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s6o), MUL_FLT_CPX(C_FLT(0.92387953251128674), s7o));
        s5q = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s6o), MUL_FLT_CPX(C_FLT(0.38268343236508978), s7o));
        s6q = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), s4p), MUL_FLT_CPX(C_FLT(0.99518472667219693), s5p));
        s7q = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), s4p), MUL_FLT_CPX(C_FLT(0.098017140329560604), s5p));
        s8q = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s8o), MUL_FLT_CPX(C_FLT(0.98078528040323043), s9o));
        s9q = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s8o), MUL_FLT_CPX(C_FLT(0.19509032201612828), s9o));
        s0r = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.47139673682599764), s6p), MUL_FLT_CPX(C_FLT(0.88192126434835505), s7p));
        s1r = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s6p), MUL_FLT_CPX(C_FLT(0.47139673682599764), s7p));
        a8g = (a42 + 112);
        a9g = (a42 + 120);
        a0h = (a42 + 912);
        a1h = (a42 + 920);
        t8t = ADD_CPX_CPX(*(a8g), *(a0h));
        t9t = SUB_CPX_CPX(*(a9g), *(a1h));
        t0u = SUB_CPX_CPX(*(a8g), *(a0h));
        t1u = ADD_CPX_CPX(*(a9g), *(a1h));
        a2h = (a42 + 624);
        a3h = (a42 + 632);
        a4h = (a42 + 400);
        a5h = (a42 + 408);
        t2u = ADD_CPX_CPX(*(a2h), *(a4h));
        t3u = SUB_CPX_CPX(*(a3h), *(a5h));
        t4u = SUB_CPX_CPX(*(a2h), *(a4h));
        t5u = ADD_CPX_CPX(*(a3h), *(a5h));
        t6u = ADD_CPX_CPX(t8t, t2u);
        t7u = ADD_CPX_CPX(t9t, t3u);
        t8u = SUB_CPX_CPX(t8t, t2u);
        t9u = SUB_CPX_CPX(t9t, t3u);
        t0v = SUB_CPX_CPX(t0u, t5u);
        t1v = ADD_CPX_CPX(t1u, t4u);
        t2v = ADD_CPX_CPX(t0u, t5u);
        t3v = SUB_CPX_CPX(t1u, t4u);
        a6h = (a42 + 368);
        a7h = (a42 + 376);
        a8h = (a42 + 144);
        a9h = (a42 + 152);
        t4v = ADD_CPX_CPX(*(a6h), *(a8h));
        t5v = SUB_CPX_CPX(*(a7h), *(a9h));
        t6v = ADD_CPX_CPX(*(a7h), *(a9h));
        t7v = SUB_CPX_CPX(*(a8h), *(a6h));
        a0i = (a42 + 656);
        a1i = (a42 + 664);
        a2i = (a42 + 880);
        a3i = (a42 + 888);
        t8v = ADD_CPX_CPX(*(a0i), *(a2i));
        t9v = SUB_CPX_CPX(*(a3i), *(a1i));
        t0w = ADD_CPX_CPX(*(a1i), *(a3i));
        t1w = SUB_CPX_CPX(*(a2i), *(a0i));
        s2r = ADD_CPX_CPX(t4v, t8v);
        s3r = ADD_CPX_CPX(t5v, t9v);
        s4r = SUB_CPX_CPX(t6v, t0w);
        s5r = ADD_CPX_CPX(t7v, t1w);
        a4i = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t4v, t8v));
        a5i = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t6v, t0w));
        t2w = SUB_CPX_CPX(a4i, a5i);
        a6i = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t5v, t9v));
        a7i = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t7v, t1w));
        t3w = SUB_CPX_CPX(a6i, a7i);
        t4w = ADD_CPX_CPX(a4i, a5i);
        t5w = ADD_CPX_CPX(a6i, a7i);
        s6r = ADD_CPX_CPX(t6u, s2r);
        s7r = ADD_CPX_CPX(t7u, s3r);
        s8r = SUB_CPX_CPX(t8u, s4r);
        s9r = SUB_CPX_CPX(t9u, s5r);
        s0s = SUB_CPX_CPX(t6u, s2r);
        s1s = SUB_CPX_CPX(t7u, s3r);
        s2s = ADD_CPX_CPX(t8u, s4r);
        s3s = ADD_CPX_CPX(t9u, s5r);
        s4s = ADD_CPX_CPX(t0v, t2w);
        s5s = ADD_CPX_CPX(t1v, t3w);
        s6s = SUB_CPX_CPX(t2v, t4w);
        s7s = SUB_CPX_CPX(t3v, t5w);
        s8s = SUB_CPX_CPX(t0v, t2w);
        s9s = SUB_CPX_CPX(t1v, t3w);
        s0t = ADD_CPX_CPX(t2v, t4w);
        s1t = ADD_CPX_CPX(t3v, t5w);
        s2t = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), s4s), MUL_FLT_CPX(C_FLT(0.33688985339222005), s5s));
        s3t = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.33688985339222005), s4s), MUL_FLT_CPX(C_FLT(0.94154406518302081), s5s));
        s4t = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), s8r), MUL_FLT_CPX(C_FLT(0.63439328416364549), s9r));
        s5t = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), s8r), MUL_FLT_CPX(C_FLT(0.77301045336273699), s9r));
        s6t = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.51410274419322177), s6s), MUL_FLT_CPX(C_FLT(0.85772861000027212), s7s));
        s7t = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.85772861000027212), s6s), MUL_FLT_CPX(C_FLT(0.51410274419322177), s7s));
        s8t = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s0s), MUL_FLT_CPX(C_FLT(0.98078528040323043), s1s));
        s9t = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s0s), MUL_FLT_CPX(C_FLT(0.19509032201612828), s1s));
        s0u = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.14673047445536175), s8s), MUL_FLT_CPX(C_FLT(0.98917650996478101), s9s));
        s1u = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s8s), MUL_FLT_CPX(C_FLT(0.14673047445536175), s9s));
        s2u = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.47139673682599764), s2s), MUL_FLT_CPX(C_FLT(0.88192126434835505), s3s));
        s3u = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s2s), MUL_FLT_CPX(C_FLT(0.47139673682599764), s3s));
        s4u = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), s0t), MUL_FLT_CPX(C_FLT(0.67155895484701844), s1t));
        s5u = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.67155895484701844), s0t), MUL_FLT_CPX(C_FLT(0.74095112535495911), s1t));
        t6w = ADD_CPX_CPX(t8a, s6h);
        t7w = SUB_CPX_CPX(t0b, s7h);
        t8w = SUB_CPX_CPX(t8a, s6h);
        t9w = ADD_CPX_CPX(t0b, s7h);
        t0x = ADD_CPX_CPX(s47, s6r);
        t1x = SUB_CPX_CPX(s57, s7r);
        t2x = SUB_CPX_CPX(s47, s6r);
        t3x = ADD_CPX_CPX(s57, s7r);
        s6u = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t2x), MUL_FLT_CPX(C_FLT(0.38268343236508978), t3x));
        s7u = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t2x), MUL_FLT_CPX(C_FLT(0.92387953251128674), t3x));
        t4x = ADD_CPX_CPX(s8a, s2o);
        t5x = SUB_CPX_CPX(s9a, s3o);
        a8i = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s8a, s2o));
        a9i = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s9a, s3o));
        s8u = SUB_CPX_CPX(a8i, a9i);
        s9u = ADD_CPX_CPX(a8i, a9i);
        t6x = ADD_CPX_CPX(s2e, s8k);
        t7x = SUB_CPX_CPX(s3e, s9k);
        t8x = SUB_CPX_CPX(s2e, s8k);
        t9x = ADD_CPX_CPX(s3e, s9k);
        s0v = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t8x), MUL_FLT_CPX(C_FLT(0.92387953251128674), t9x));
        s1v = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t8x), MUL_FLT_CPX(C_FLT(0.38268343236508978), t9x));
        t0y = ADD_CPX_CPX(t6w, t4x);
        t1y = SUB_CPX_CPX(t8w, t5x);
        t2y = SUB_CPX_CPX(t6w, t4x);
        t3y = ADD_CPX_CPX(t8w, t5x);
        t4y = ADD_CPX_CPX(t0x, t6x);
        t5y = SUB_CPX_CPX(t1x, t7x);
        a0j = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0x, t6x));
        a1j = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t1x, t7x));
        s2v = SUB_CPX_CPX(a0j, a1j);
        s3v = ADD_CPX_CPX(a0j, a1j);
        t6y = ADD_CPX_CPX(t0y, t4y);
        t7y = SUB_CPX_CPX(t2y, t5y);
        t8y = SUB_CPX_CPX(t0y, t4y);
        t9y = ADD_CPX_CPX(t2y, t5y);
        STOREU_CPX((dst + i2), t6y);
        STOREU_CPX((256 + dst + i2), t7y);
        STOREU_CPX((512 + dst + i2), t8y);
        STOREU_CPX((768 + dst + i2), t9y);
        t0z = ADD_CPX_CPX(t1y, s2v);
        t1z = SUB_CPX_CPX(t3y, s3v);
        t2z = SUB_CPX_CPX(t1y, s2v);
        t3z = ADD_CPX_CPX(t3y, s3v);
        STOREU_CPX((128 + dst + i2), t0z);
        STOREU_CPX((384 + dst + i2), t1z);
        STOREU_CPX((640 + dst + i2), t2z);
        STOREU_CPX((896 + dst + i2), t3z);
        t4z = ADD_CPX_CPX(t7w, s8u);
        t5z = SUB_CPX_CPX(t9w, s9u);
        t6z = SUB_CPX_CPX(t7w, s8u);
        t7z = ADD_CPX_CPX(t9w, s9u);
        t8z = ADD_CPX_CPX(s6u, s0v);
        t9z = SUB_CPX_CPX(s7u, s1v);
        a2j = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s6u, s0v));
        a3j = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s7u, s1v));
        s4v = SUB_CPX_CPX(a2j, a3j);
        s5v = ADD_CPX_CPX(a2j, a3j);
        t0A = ADD_CPX_CPX(t4z, t8z);
        t1A = SUB_CPX_CPX(t6z, t9z);
        t2A = SUB_CPX_CPX(t4z, t8z);
        t3A = ADD_CPX_CPX(t6z, t9z);
        STOREU_CPX((64 + dst + i2), t0A);
        STOREU_CPX((320 + dst + i2), t1A);
        STOREU_CPX((576 + dst + i2), t2A);
        STOREU_CPX((832 + dst + i2), t3A);
        t4A = ADD_CPX_CPX(t5z, s4v);
        t5A = SUB_CPX_CPX(t7z, s5v);
        t6A = SUB_CPX_CPX(t5z, s4v);
        t7A = ADD_CPX_CPX(t7z, s5v);
        STOREU_CPX((192 + dst + i2), t4A);
        STOREU_CPX((448 + dst + i2), t5A);
        STOREU_CPX((704 + dst + i2), t6A);
        STOREU_CPX((960 + dst + i2), t7A);
        t8A = ADD_CPX_CPX(t2c, s0j);
        t9A = SUB_CPX_CPX(t4c, s1j);
        t0B = SUB_CPX_CPX(t2c, s0j);
        t1B = ADD_CPX_CPX(t4c, s1j);
        t2B = ADD_CPX_CPX(s09, s2t);
        t3B = SUB_CPX_CPX(s19, s3t);
        t4B = SUB_CPX_CPX(s09, s2t);
        t5B = ADD_CPX_CPX(s19, s3t);
        s6v = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t4B), MUL_FLT_CPX(C_FLT(0.38268343236508978), t5B));
        s7v = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t4B), MUL_FLT_CPX(C_FLT(0.92387953251128674), t5B));
        t6B = ADD_CPX_CPX(s4c, s8p);
        t7B = SUB_CPX_CPX(s5c, s9p);
        a4j = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4c, s8p));
        a5j = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5c, s9p));
        s8v = SUB_CPX_CPX(a4j, a5j);
        s9v = ADD_CPX_CPX(a4j, a5j);
        t8B = ADD_CPX_CPX(s8f, s4m);
        t9B = SUB_CPX_CPX(s9f, s5m);
        t0C = SUB_CPX_CPX(s8f, s4m);
        t1C = ADD_CPX_CPX(s9f, s5m);
        s0w = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t0C), MUL_FLT_CPX(C_FLT(0.92387953251128674), t1C));
        s1w = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t0C), MUL_FLT_CPX(C_FLT(0.38268343236508978), t1C));
        t2C = ADD_CPX_CPX(t8A, t6B);
        t3C = SUB_CPX_CPX(t0B, t7B);
        t4C = SUB_CPX_CPX(t8A, t6B);
        t5C = ADD_CPX_CPX(t0B, t7B);
        t6C = ADD_CPX_CPX(t2B, t8B);
        t7C = SUB_CPX_CPX(t3B, t9B);
        a6j = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2B, t8B));
        a7j = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t3B, t9B));
        s2w = SUB_CPX_CPX(a6j, a7j);
        s3w = ADD_CPX_CPX(a6j, a7j);
        t8C = ADD_CPX_CPX(t2C, t6C);
        t9C = SUB_CPX_CPX(t4C, t7C);
        t0D = SUB_CPX_CPX(t2C, t6C);
        t1D = ADD_CPX_CPX(t4C, t7C);
        STOREU_CPX((8 + dst + i2), t8C);
        STOREU_CPX((264 + dst + i2), t9C);
        STOREU_CPX((520 + dst + i2), t0D);
        STOREU_CPX((776 + dst + i2), t1D);
        t2D = ADD_CPX_CPX(t3C, s2w);
        t3D = SUB_CPX_CPX(t5C, s3w);
        t4D = SUB_CPX_CPX(t3C, s2w);
        t5D = ADD_CPX_CPX(t5C, s3w);
        STOREU_CPX((136 + dst + i2), t2D);
        STOREU_CPX((392 + dst + i2), t3D);
        STOREU_CPX((648 + dst + i2), t4D);
        STOREU_CPX((904 + dst + i2), t5D);
        t6D = ADD_CPX_CPX(t9A, s8v);
        t7D = SUB_CPX_CPX(t1B, s9v);
        t8D = SUB_CPX_CPX(t9A, s8v);
        t9D = ADD_CPX_CPX(t1B, s9v);
        t0E = ADD_CPX_CPX(s6v, s0w);
        t1E = SUB_CPX_CPX(s7v, s1w);
        a8j = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s6v, s0w));
        a9j = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s7v, s1w));
        s4w = SUB_CPX_CPX(a8j, a9j);
        s5w = ADD_CPX_CPX(a8j, a9j);
        t2E = ADD_CPX_CPX(t6D, t0E);
        t3E = SUB_CPX_CPX(t8D, t1E);
        t4E = SUB_CPX_CPX(t6D, t0E);
        t5E = ADD_CPX_CPX(t8D, t1E);
        STOREU_CPX((72 + dst + i2), t2E);
        STOREU_CPX((328 + dst + i2), t3E);
        STOREU_CPX((584 + dst + i2), t4E);
        STOREU_CPX((840 + dst + i2), t5E);
        t6E = ADD_CPX_CPX(t7D, s4w);
        t7E = SUB_CPX_CPX(t9D, s5w);
        t8E = SUB_CPX_CPX(t7D, s4w);
        t9E = ADD_CPX_CPX(t9D, s5w);
        STOREU_CPX((200 + dst + i2), t6E);
        STOREU_CPX((456 + dst + i2), t7E);
        STOREU_CPX((712 + dst + i2), t8E);
        STOREU_CPX((968 + dst + i2), t9E);
        t0F = ADD_CPX_CPX(t2b, s2j);
        t1F = SUB_CPX_CPX(t4b, s3j);
        t2F = SUB_CPX_CPX(t2b, s2j);
        t3F = ADD_CPX_CPX(t4b, s3j);
        t4F = ADD_CPX_CPX(s29, s4t);
        t5F = SUB_CPX_CPX(s39, s5t);
        t6F = SUB_CPX_CPX(s29, s4t);
        t7F = ADD_CPX_CPX(s39, s5t);
        s6w = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t6F), MUL_FLT_CPX(C_FLT(0.38268343236508978), t7F));
        s7w = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t6F), MUL_FLT_CPX(C_FLT(0.92387953251128674), t7F));
        t8F = ADD_CPX_CPX(s6c, s0q);
        t9F = SUB_CPX_CPX(s7c, s1q);
        a0k = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s6c, s0q));
        a1k = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s7c, s1q));
        s8w = SUB_CPX_CPX(a0k, a1k);
        s9w = ADD_CPX_CPX(a0k, a1k);
        t0G = ADD_CPX_CPX(s0g, s6m);
        t1G = SUB_CPX_CPX(s1g, s7m);
        t2G = SUB_CPX_CPX(s0g, s6m);
        t3G = ADD_CPX_CPX(s1g, s7m);
        s0x = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t2G), MUL_FLT_CPX(C_FLT(0.92387953251128674), t3G));
        s1x = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t2G), MUL_FLT_CPX(C_FLT(0.38268343236508978), t3G));
        t4G = ADD_CPX_CPX(t0F, t8F);
        t5G = SUB_CPX_CPX(t2F, t9F);
        t6G = SUB_CPX_CPX(t0F, t8F);
        t7G = ADD_CPX_CPX(t2F, t9F);
        t8G = ADD_CPX_CPX(t4F, t0G);
        t9G = SUB_CPX_CPX(t5F, t1G);
        a2k = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t4F, t0G));
        a3k = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t5F, t1G));
        s2x = SUB_CPX_CPX(a2k, a3k);
        s3x = ADD_CPX_CPX(a2k, a3k);
        t0H = ADD_CPX_CPX(t4G, t8G);
        t1H = SUB_CPX_CPX(t6G, t9G);
        t2H = SUB_CPX_CPX(t4G, t8G);
        t3H = ADD_CPX_CPX(t6G, t9G);
        STOREU_CPX((16 + dst + i2), t0H);
        STOREU_CPX((272 + dst + i2), t1H);
        STOREU_CPX((528 + dst + i2), t2H);
        STOREU_CPX((784 + dst + i2), t3H);
        t4H = ADD_CPX_CPX(t5G, s2x);
        t5H = SUB_CPX_CPX(t7G, s3x);
        t6H = SUB_CPX_CPX(t5G, s2x);
        t7H = ADD_CPX_CPX(t7G, s3x);
        STOREU_CPX((144 + dst + i2), t4H);
        STOREU_CPX((400 + dst + i2), t5H);
        STOREU_CPX((656 + dst + i2), t6H);
        STOREU_CPX((912 + dst + i2), t7H);
        t8H = ADD_CPX_CPX(t1F, s8w);
        t9H = SUB_CPX_CPX(t3F, s9w);
        t0I = SUB_CPX_CPX(t1F, s8w);
        t1I = ADD_CPX_CPX(t3F, s9w);
        t2I = ADD_CPX_CPX(s6w, s0x);
        t3I = SUB_CPX_CPX(s7w, s1x);
        a4k = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s6w, s0x));
        a5k = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s7w, s1x));
        s4x = SUB_CPX_CPX(a4k, a5k);
        s5x = ADD_CPX_CPX(a4k, a5k);
        t4I = ADD_CPX_CPX(t8H, t2I);
        t5I = SUB_CPX_CPX(t0I, t3I);
        t6I = SUB_CPX_CPX(t8H, t2I);
        t7I = ADD_CPX_CPX(t0I, t3I);
        STOREU_CPX((80 + dst + i2), t4I);
        STOREU_CPX((336 + dst + i2), t5I);
        STOREU_CPX((592 + dst + i2), t6I);
        STOREU_CPX((848 + dst + i2), t7I);
        t8I = ADD_CPX_CPX(t9H, s4x);
        t9I = SUB_CPX_CPX(t1I, s5x);
        t0J = SUB_CPX_CPX(t9H, s4x);
        t1J = ADD_CPX_CPX(t1I, s5x);
        STOREU_CPX((208 + dst + i2), t8I);
        STOREU_CPX((464 + dst + i2), t9I);
        STOREU_CPX((720 + dst + i2), t0J);
        STOREU_CPX((976 + dst + i2), t1J);
        t2J = ADD_CPX_CPX(t6c, s4j);
        t3J = SUB_CPX_CPX(t8c, s5j);
        t4J = SUB_CPX_CPX(t6c, s4j);
        t5J = ADD_CPX_CPX(t8c, s5j);
        t6J = ADD_CPX_CPX(s49, s6t);
        t7J = SUB_CPX_CPX(s59, s7t);
        t8J = SUB_CPX_CPX(s49, s6t);
        t9J = ADD_CPX_CPX(s59, s7t);
        s6x = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t8J), MUL_FLT_CPX(C_FLT(0.38268343236508978), t9J));
        s7x = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t8J), MUL_FLT_CPX(C_FLT(0.92387953251128674), t9J));
        t0K = ADD_CPX_CPX(s8c, s2q);
        t1K = SUB_CPX_CPX(s9c, s3q);
        a6k = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s8c, s2q));
        a7k = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s9c, s3q));
        s8x = SUB_CPX_CPX(a6k, a7k);
        s9x = ADD_CPX_CPX(a6k, a7k);
        t2K = ADD_CPX_CPX(s2g, s8m);
        t3K = SUB_CPX_CPX(s3g, s9m);
        t4K = SUB_CPX_CPX(s2g, s8m);
        t5K = ADD_CPX_CPX(s3g, s9m);
        s0y = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t4K), MUL_FLT_CPX(C_FLT(0.92387953251128674), t5K));
        s1y = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t4K), MUL_FLT_CPX(C_FLT(0.38268343236508978), t5K));
        t6K = ADD_CPX_CPX(t2J, t0K);
        t7K = SUB_CPX_CPX(t4J, t1K);
        t8K = SUB_CPX_CPX(t2J, t0K);
        t9K = ADD_CPX_CPX(t4J, t1K);
        t0L = ADD_CPX_CPX(t6J, t2K);
        t1L = SUB_CPX_CPX(t7J, t3K);
        a8k = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t6J, t2K));
        a9k = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t7J, t3K));
        s2y = SUB_CPX_CPX(a8k, a9k);
        s3y = ADD_CPX_CPX(a8k, a9k);
        t2L = ADD_CPX_CPX(t6K, t0L);
        t3L = SUB_CPX_CPX(t8K, t1L);
        t4L = SUB_CPX_CPX(t6K, t0L);
        t5L = ADD_CPX_CPX(t8K, t1L);
        STOREU_CPX((24 + dst + i2), t2L);
        STOREU_CPX((280 + dst + i2), t3L);
        STOREU_CPX((536 + dst + i2), t4L);
        STOREU_CPX((792 + dst + i2), t5L);
        t6L = ADD_CPX_CPX(t7K, s2y);
        t7L = SUB_CPX_CPX(t9K, s3y);
        t8L = SUB_CPX_CPX(t7K, s2y);
        t9L = ADD_CPX_CPX(t9K, s3y);
        STOREU_CPX((152 + dst + i2), t6L);
        STOREU_CPX((408 + dst + i2), t7L);
        STOREU_CPX((664 + dst + i2), t8L);
        STOREU_CPX((920 + dst + i2), t9L);
        t0M = ADD_CPX_CPX(t3J, s8x);
        t1M = SUB_CPX_CPX(t5J, s9x);
        t2M = SUB_CPX_CPX(t3J, s8x);
        t3M = ADD_CPX_CPX(t5J, s9x);
        t4M = ADD_CPX_CPX(s6x, s0y);
        t5M = SUB_CPX_CPX(s7x, s1y);
        a0l = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s6x, s0y));
        a1l = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s7x, s1y));
        s4y = SUB_CPX_CPX(a0l, a1l);
        s5y = ADD_CPX_CPX(a0l, a1l);
        t6M = ADD_CPX_CPX(t0M, t4M);
        t7M = SUB_CPX_CPX(t2M, t5M);
        t8M = SUB_CPX_CPX(t0M, t4M);
        t9M = ADD_CPX_CPX(t2M, t5M);
        STOREU_CPX((88 + dst + i2), t6M);
        STOREU_CPX((344 + dst + i2), t7M);
        STOREU_CPX((600 + dst + i2), t8M);
        STOREU_CPX((856 + dst + i2), t9M);
        t0N = ADD_CPX_CPX(t1M, s4y);
        t1N = SUB_CPX_CPX(t3M, s5y);
        t2N = SUB_CPX_CPX(t1M, s4y);
        t3N = ADD_CPX_CPX(t3M, s5y);
        STOREU_CPX((216 + dst + i2), t0N);
        STOREU_CPX((472 + dst + i2), t1N);
        STOREU_CPX((728 + dst + i2), t2N);
        STOREU_CPX((984 + dst + i2), t3N);
        t4N = ADD_CPX_CPX(t9a, s6j);
        t5N = SUB_CPX_CPX(t1b, s7j);
        t6N = SUB_CPX_CPX(t9a, s6j);
        t7N = ADD_CPX_CPX(t1b, s7j);
        t8N = ADD_CPX_CPX(s69, s8t);
        t9N = SUB_CPX_CPX(s79, s9t);
        t0O = SUB_CPX_CPX(s69, s8t);
        t1O = ADD_CPX_CPX(s79, s9t);
        s6y = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t0O), MUL_FLT_CPX(C_FLT(0.38268343236508978), t1O));
        s7y = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t0O), MUL_FLT_CPX(C_FLT(0.92387953251128674), t1O));
        t2O = ADD_CPX_CPX(s0d, s4q);
        t3O = SUB_CPX_CPX(s1d, s5q);
        a2l = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s0d, s4q));
        a3l = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s1d, s5q));
        s8y = SUB_CPX_CPX(a2l, a3l);
        s9y = ADD_CPX_CPX(a2l, a3l);
        t4O = ADD_CPX_CPX(s4g, s0n);
        t5O = SUB_CPX_CPX(s5g, s1n);
        t6O = SUB_CPX_CPX(s4g, s0n);
        t7O = ADD_CPX_CPX(s5g, s1n);
        s0z = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t6O), MUL_FLT_CPX(C_FLT(0.92387953251128674), t7O));
        s1z = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t6O), MUL_FLT_CPX(C_FLT(0.38268343236508978), t7O));
        t8O = ADD_CPX_CPX(t4N, t2O);
        t9O = SUB_CPX_CPX(t6N, t3O);
        t0P = SUB_CPX_CPX(t4N, t2O);
        t1P = ADD_CPX_CPX(t6N, t3O);
        t2P = ADD_CPX_CPX(t8N, t4O);
        t3P = SUB_CPX_CPX(t9N, t5O);
        a4l = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8N, t4O));
        a5l = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t9N, t5O));
        s2z = SUB_CPX_CPX(a4l, a5l);
        s3z = ADD_CPX_CPX(a4l, a5l);
        t4P = ADD_CPX_CPX(t8O, t2P);
        t5P = SUB_CPX_CPX(t0P, t3P);
        t6P = SUB_CPX_CPX(t8O, t2P);
        t7P = ADD_CPX_CPX(t0P, t3P);
        STOREU_CPX((32 + dst + i2), t4P);
        STOREU_CPX((288 + dst + i2), t5P);
        STOREU_CPX((544 + dst + i2), t6P);
        STOREU_CPX((800 + dst + i2), t7P);
        t8P = ADD_CPX_CPX(t9O, s2z);
        t9P = SUB_CPX_CPX(t1P, s3z);
        t0Q = SUB_CPX_CPX(t9O, s2z);
        t1Q = ADD_CPX_CPX(t1P, s3z);
        STOREU_CPX((160 + dst + i2), t8P);
        STOREU_CPX((416 + dst + i2), t9P);
        STOREU_CPX((672 + dst + i2), t0Q);
        STOREU_CPX((928 + dst + i2), t1Q);
        t2Q = ADD_CPX_CPX(t5N, s8y);
        t3Q = SUB_CPX_CPX(t7N, s9y);
        t4Q = SUB_CPX_CPX(t5N, s8y);
        t5Q = ADD_CPX_CPX(t7N, s9y);
        t6Q = ADD_CPX_CPX(s6y, s0z);
        t7Q = SUB_CPX_CPX(s7y, s1z);
        a6l = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s6y, s0z));
        a7l = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s7y, s1z));
        s4z = SUB_CPX_CPX(a6l, a7l);
        s5z = ADD_CPX_CPX(a6l, a7l);
        t8Q = ADD_CPX_CPX(t2Q, t6Q);
        t9Q = SUB_CPX_CPX(t4Q, t7Q);
        t0R = SUB_CPX_CPX(t2Q, t6Q);
        t1R = ADD_CPX_CPX(t4Q, t7Q);
        STOREU_CPX((96 + dst + i2), t8Q);
        STOREU_CPX((352 + dst + i2), t9Q);
        STOREU_CPX((608 + dst + i2), t0R);
        STOREU_CPX((864 + dst + i2), t1R);
        t2R = ADD_CPX_CPX(t3Q, s4z);
        t3R = SUB_CPX_CPX(t5Q, s5z);
        t4R = SUB_CPX_CPX(t3Q, s4z);
        t5R = ADD_CPX_CPX(t5Q, s5z);
        STOREU_CPX((224 + dst + i2), t2R);
        STOREU_CPX((480 + dst + i2), t3R);
        STOREU_CPX((736 + dst + i2), t4R);
        STOREU_CPX((992 + dst + i2), t5R);
        t6R = ADD_CPX_CPX(t3c, s8j);
        t7R = SUB_CPX_CPX(t5c, s9j);
        t8R = SUB_CPX_CPX(t3c, s8j);
        t9R = ADD_CPX_CPX(t5c, s9j);
        t0S = SUB_CPX_CPX(s89, s0u);
        t1S = SUB_CPX_CPX(s99, s1u);
        t2S = ADD_CPX_CPX(s89, s0u);
        t3S = ADD_CPX_CPX(s99, s1u);
        s6z = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t2S), MUL_FLT_CPX(C_FLT(0.38268343236508978), t3S));
        s7z = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t2S), MUL_FLT_CPX(C_FLT(0.92387953251128674), t3S));
        t4S = ADD_CPX_CPX(s2d, s6q);
        t5S = SUB_CPX_CPX(s3d, s7q);
        a8l = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s2d, s6q));
        a9l = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s3d, s7q));
        s8z = SUB_CPX_CPX(a8l, a9l);
        s9z = ADD_CPX_CPX(a8l, a9l);
        t6S = ADD_CPX_CPX(s6g, s2n);
        t7S = SUB_CPX_CPX(s7g, s3n);
        t8S = SUB_CPX_CPX(s6g, s2n);
        t9S = ADD_CPX_CPX(s7g, s3n);
        s0A = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t8S), MUL_FLT_CPX(C_FLT(0.92387953251128674), t9S));
        s1A = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t8S), MUL_FLT_CPX(C_FLT(0.38268343236508978), t9S));
        t0T = ADD_CPX_CPX(t6R, t4S);
        t1T = SUB_CPX_CPX(t8R, t5S);
        t2T = SUB_CPX_CPX(t6R, t4S);
        t3T = ADD_CPX_CPX(t8R, t5S);
        t4T = ADD_CPX_CPX(t0S, t6S);
        t5T = SUB_CPX_CPX(t1S, t7S);
        a0m = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0S, t6S));
        a1m = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t1S, t7S));
        s2A = SUB_CPX_CPX(a0m, a1m);
        s3A = ADD_CPX_CPX(a0m, a1m);
        t6T = ADD_CPX_CPX(t0T, t4T);
        t7T = SUB_CPX_CPX(t2T, t5T);
        t8T = SUB_CPX_CPX(t0T, t4T);
        t9T = ADD_CPX_CPX(t2T, t5T);
        STOREU_CPX((40 + dst + i2), t6T);
        STOREU_CPX((296 + dst + i2), t7T);
        STOREU_CPX((552 + dst + i2), t8T);
        STOREU_CPX((808 + dst + i2), t9T);
        t0U = ADD_CPX_CPX(t1T, s2A);
        t1U = SUB_CPX_CPX(t3T, s3A);
        t2U = SUB_CPX_CPX(t1T, s2A);
        t3U = ADD_CPX_CPX(t3T, s3A);
        STOREU_CPX((168 + dst + i2), t0U);
        STOREU_CPX((424 + dst + i2), t1U);
        STOREU_CPX((680 + dst + i2), t2U);
        STOREU_CPX((936 + dst + i2), t3U);
        t4U = ADD_CPX_CPX(t7R, s8z);
        t5U = SUB_CPX_CPX(t9R, s9z);
        t6U = SUB_CPX_CPX(t7R, s8z);
        t7U = ADD_CPX_CPX(t9R, s9z);
        t8U = ADD_CPX_CPX(s6z, s0A);
        t9U = SUB_CPX_CPX(s7z, s1A);
        a2m = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s6z, s0A));
        a3m = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s7z, s1A));
        s4A = SUB_CPX_CPX(a2m, a3m);
        s5A = ADD_CPX_CPX(a2m, a3m);
        t0V = ADD_CPX_CPX(t4U, t8U);
        t1V = SUB_CPX_CPX(t6U, t9U);
        t2V = SUB_CPX_CPX(t4U, t8U);
        t3V = ADD_CPX_CPX(t6U, t9U);
        STOREU_CPX((104 + dst + i2), t0V);
        STOREU_CPX((360 + dst + i2), t1V);
        STOREU_CPX((616 + dst + i2), t2V);
        STOREU_CPX((872 + dst + i2), t3V);
        t4V = ADD_CPX_CPX(t5U, s4A);
        t5V = SUB_CPX_CPX(t7U, s5A);
        t6V = SUB_CPX_CPX(t5U, s4A);
        t7V = ADD_CPX_CPX(t7U, s5A);
        STOREU_CPX((232 + dst + i2), t4V);
        STOREU_CPX((488 + dst + i2), t5V);
        STOREU_CPX((744 + dst + i2), t6V);
        STOREU_CPX((1000 + dst + i2), t7V);
        t8V = ADD_CPX_CPX(t3b, s0k);
        t9V = SUB_CPX_CPX(t5b, s1k);
        t0W = SUB_CPX_CPX(t3b, s0k);
        t1W = ADD_CPX_CPX(t5b, s1k);
        t2W = SUB_CPX_CPX(s0a, s2u);
        t3W = SUB_CPX_CPX(s1a, s3u);
        t4W = ADD_CPX_CPX(s0a, s2u);
        t5W = ADD_CPX_CPX(s1a, s3u);
        s6A = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t4W), MUL_FLT_CPX(C_FLT(0.38268343236508978), t5W));
        s7A = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t4W), MUL_FLT_CPX(C_FLT(0.92387953251128674), t5W));
        t6W = SUB_CPX_CPX(s4d, s8q);
        t7W = SUB_CPX_CPX(s5d, s9q);
        a4m = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s4d, s8q));
        a5m = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5d, s9q));
        s8A = SUB_CPX_CPX(a4m, a5m);
        s9A = ADD_CPX_CPX(a4m, a5m);
        t8W = ADD_CPX_CPX(s8g, s4n);
        t9W = SUB_CPX_CPX(s9g, s5n);
        t0X = SUB_CPX_CPX(s8g, s4n);
        t1X = ADD_CPX_CPX(s9g, s5n);
        s0B = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t0X), MUL_FLT_CPX(C_FLT(0.92387953251128674), t1X));
        s1B = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t0X), MUL_FLT_CPX(C_FLT(0.38268343236508978), t1X));
        t2X = ADD_CPX_CPX(t8V, t6W);
        t3X = SUB_CPX_CPX(t0W, t7W);
        t4X = SUB_CPX_CPX(t8V, t6W);
        t5X = ADD_CPX_CPX(t0W, t7W);
        t6X = ADD_CPX_CPX(t2W, t8W);
        t7X = SUB_CPX_CPX(t3W, t9W);
        a6m = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2W, t8W));
        a7m = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t3W, t9W));
        s2B = SUB_CPX_CPX(a6m, a7m);
        s3B = ADD_CPX_CPX(a6m, a7m);
        t8X = ADD_CPX_CPX(t2X, t6X);
        t9X = SUB_CPX_CPX(t4X, t7X);
        t0Y = SUB_CPX_CPX(t2X, t6X);
        t1Y = ADD_CPX_CPX(t4X, t7X);
        STOREU_CPX((48 + dst + i2), t8X);
        STOREU_CPX((304 + dst + i2), t9X);
        STOREU_CPX((560 + dst + i2), t0Y);
        STOREU_CPX((816 + dst + i2), t1Y);
        t2Y = ADD_CPX_CPX(t3X, s2B);
        t3Y = SUB_CPX_CPX(t5X, s3B);
        t4Y = SUB_CPX_CPX(t3X, s2B);
        t5Y = ADD_CPX_CPX(t5X, s3B);
        STOREU_CPX((176 + dst + i2), t2Y);
        STOREU_CPX((432 + dst + i2), t3Y);
        STOREU_CPX((688 + dst + i2), t4Y);
        STOREU_CPX((944 + dst + i2), t5Y);
        t6Y = ADD_CPX_CPX(t9V, s8A);
        t7Y = SUB_CPX_CPX(t1W, s9A);
        t8Y = SUB_CPX_CPX(t9V, s8A);
        t9Y = ADD_CPX_CPX(t1W, s9A);
        t0Z = ADD_CPX_CPX(s6A, s0B);
        t1Z = SUB_CPX_CPX(s7A, s1B);
        a8m = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s6A, s0B));
        a9m = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s7A, s1B));
        s4B = SUB_CPX_CPX(a8m, a9m);
        s5B = ADD_CPX_CPX(a8m, a9m);
        t2Z = ADD_CPX_CPX(t6Y, t0Z);
        t3Z = SUB_CPX_CPX(t8Y, t1Z);
        t4Z = SUB_CPX_CPX(t6Y, t0Z);
        t5Z = ADD_CPX_CPX(t8Y, t1Z);
        STOREU_CPX((112 + dst + i2), t2Z);
        STOREU_CPX((368 + dst + i2), t3Z);
        STOREU_CPX((624 + dst + i2), t4Z);
        STOREU_CPX((880 + dst + i2), t5Z);
        t6Z = ADD_CPX_CPX(t7Y, s4B);
        t7Z = SUB_CPX_CPX(t9Y, s5B);
        t8Z = SUB_CPX_CPX(t7Y, s4B);
        t9Z = ADD_CPX_CPX(t9Y, s5B);
        STOREU_CPX((240 + dst + i2), t6Z);
        STOREU_CPX((496 + dst + i2), t7Z);
        STOREU_CPX((752 + dst + i2), t8Z);
        STOREU_CPX((1008 + dst + i2), t9Z);
        t010 = ADD_CPX_CPX(t7c, s2k);
        t110 = SUB_CPX_CPX(t9c, s3k);
        t210 = SUB_CPX_CPX(t7c, s2k);
        t310 = ADD_CPX_CPX(t9c, s3k);
        t410 = SUB_CPX_CPX(s2a, s4u);
        t510 = SUB_CPX_CPX(s3a, s5u);
        t610 = ADD_CPX_CPX(s2a, s4u);
        t710 = ADD_CPX_CPX(s3a, s5u);
        s6B = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t610), MUL_FLT_CPX(C_FLT(0.38268343236508978), t710));
        s7B = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t610), MUL_FLT_CPX(C_FLT(0.92387953251128674), t710));
        t810 = SUB_CPX_CPX(s6d, s0r);
        t910 = SUB_CPX_CPX(s7d, s1r);
        a0n = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s6d, s0r));
        a1n = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s7d, s1r));
        s8B = SUB_CPX_CPX(a0n, a1n);
        s9B = ADD_CPX_CPX(a0n, a1n);
        t011 = SUB_CPX_CPX(s0h, s6n);
        t111 = SUB_CPX_CPX(s1h, s7n);
        t211 = ADD_CPX_CPX(s0h, s6n);
        t311 = ADD_CPX_CPX(s1h, s7n);
        s0C = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t211), MUL_FLT_CPX(C_FLT(0.92387953251128674), t311));
        s1C = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t211), MUL_FLT_CPX(C_FLT(0.38268343236508978), t311));
        t411 = ADD_CPX_CPX(t010, t810);
        t511 = SUB_CPX_CPX(t210, t910);
        t611 = SUB_CPX_CPX(t010, t810);
        t711 = ADD_CPX_CPX(t210, t910);
        t811 = ADD_CPX_CPX(t410, t011);
        t911 = SUB_CPX_CPX(t510, t111);
        a2n = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t410, t011));
        a3n = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t510, t111));
        s2C = SUB_CPX_CPX(a2n, a3n);
        s3C = ADD_CPX_CPX(a2n, a3n);
        t012 = ADD_CPX_CPX(t411, t811);
        t112 = SUB_CPX_CPX(t611, t911);
        t212 = SUB_CPX_CPX(t411, t811);
        t312 = ADD_CPX_CPX(t611, t911);
        STOREU_CPX((56 + dst + i2), t012);
        STOREU_CPX((312 + dst + i2), t112);
        STOREU_CPX((568 + dst + i2), t212);
        STOREU_CPX((824 + dst + i2), t312);
        t412 = ADD_CPX_CPX(t511, s2C);
        t512 = SUB_CPX_CPX(t711, s3C);
        t612 = SUB_CPX_CPX(t511, s2C);
        t712 = ADD_CPX_CPX(t711, s3C);
        STOREU_CPX((184 + dst + i2), t412);
        STOREU_CPX((440 + dst + i2), t512);
        STOREU_CPX((696 + dst + i2), t612);
        STOREU_CPX((952 + dst + i2), t712);
        t812 = ADD_CPX_CPX(t110, s8B);
        t912 = SUB_CPX_CPX(t310, s9B);
        t013 = SUB_CPX_CPX(t110, s8B);
        t113 = ADD_CPX_CPX(t310, s9B);
        t213 = ADD_CPX_CPX(s6B, s0C);
        t313 = SUB_CPX_CPX(s7B, s1C);
        a4n = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s6B, s0C));
        a5n = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s7B, s1C));
        s4C = SUB_CPX_CPX(a4n, a5n);
        s5C = ADD_CPX_CPX(a4n, a5n);
        t413 = ADD_CPX_CPX(t812, t213);
        t513 = SUB_CPX_CPX(t013, t313);
        t613 = SUB_CPX_CPX(t812, t213);
        t713 = ADD_CPX_CPX(t013, t313);
        STOREU_CPX((120 + dst + i2), t413);
        STOREU_CPX((376 + dst + i2), t513);
        STOREU_CPX((632 + dst + i2), t613);
        STOREU_CPX((888 + dst + i2), t713);
        t813 = ADD_CPX_CPX(t912, s4C);
        t913 = SUB_CPX_CPX(t113, s5C);
        t014 = SUB_CPX_CPX(t912, s4C);
        t114 = ADD_CPX_CPX(t113, s5C);
        STOREU_CPX((248 + dst + i2), t813);
        STOREU_CPX((504 + dst + i2), t913);
        STOREU_CPX((760 + dst + i2), t014);
        STOREU_CPX((1016 + dst + i2), t114);
    }}
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_fftfwd_double_1024)(const double *pSrc, double *pDst ) {
    if (!is_aligned(pSrc) || !is_aligned(pDst))
       	return spiral_fftfwd_double_1024_unaligned(pSrc, pDst );
    else {
    const CPX  *src = (const CPX *) pSrc; 
    CPX        *dst = (CPX *) pDst;
    
    
    { SPIRAL_ALIGNED(CPX T[1024]);
    CPX  *a06, *a07, *a08, *a09, *a0a, *a0b, *a0c, *a0d, *a0e, *a0f, *a0g, *a0h, *a0i, *a0j, *a0k, *a0l, *a16, *a17, *a18, *a19, *a1a, *a1b
            , *a1c, *a1d, *a1e, *a1f, *a1g, *a1h, *a1i, *a1j, *a1k, *a1l, *a26, *a28, *a2a, *a2c, *a2e, *a2g, *a2h, *a2i, *a2j, *a2k, *a2l, *a2m
            , *a36, *a38, *a3a, *a3c, *a3e, *a3g, *a3h, *a3i, *a3j, *a3k, *a3l, *a45, *a46, *a48, *a4a, *a4c, *a4e, *a4g, *a4i, *a4k, *a55, *a56
            , *a58, *a5a, *a5c, *a5e, *a5g, *a5i, *a5k, *a65, *a67, *a68, *a69, *a6a, *a6b, *a6c, *a6d, *a6e, *a6g, *a6i, *a6k, *a75, *a77, *a78
            , *a79, *a7a, *a7b, *a7c, *a7d, *a7e, *a7g, *a7i, *a7k, *a85, *a86, *a87, *a88, *a89, *a8a, *a8b, *a8c, *a8d, *a8e, *a8f, *a8g, *a8h
            , *a8i, *a8j, *a8k, *a95, *a96, *a97, *a98, *a99, *a9a, *a9b, *a9c, *a9d, *a9e, *a9f, *a9g, *a9h, *a9i, *a9j, *a9k, *b2;
    const CPX  *a, *a01, *a02, *a03, *a11, *a12, *a13, *a2, *a21, *a22, *a23, *a3, *a31, *a32, *a33, *a4, *a41, *a42, *a43, *a5, *a51, *a52
            , *a53, *a6, *a61, *a62, *a7, *a71, *a72, *a82, *a92, *b;
    FLT  *a04, *a05, *a14, *a15, *a24, *a25, *a34, *a35, *a44, *a54, *a64, *a74, *a84, *a94;
    CPX a0m, a0n, a0o, a0p, a0q, a1m, a1n, a1o, a1p, a1q, a27, a29, a2b, a2d, a2f, a2n, a2o, a2p, a2q, a37, a39, a3b
        , a3d, a3f, a3m, a3n, a3o, a3p, a3q, a47, a49, a4b, a4d, a4f, a4h, a4j, a4l, a4m, a4n, a4o, a4p, a4q, a57, a59
        , a5b, a5d, a5f, a5h, a5j, a5l, a5m, a5n, a5o, a5p, a5q, a63, a66, a6f, a6h, a6j, a6l, a6m, a6n, a6o, a6p, a6q
        , a73, a76, a7f, a7h, a7j, a7l, a7m, a7n, a7o, a7p, a8, a81, a83, a8l, a8m, a8n, a8o, a8p, a9, a91, a93, a9l
        , a9m, a9n, a9o, a9p, s, s01, s02, s03, s04, s05, s06, s07, s08, s09, s0a, s0b, s0c, s0d, s0e, s0f, s0g, s0h
        , s0i, s0j, s0k, s0l, s0m, s0n, s0o, s0p, s0q, s0r, s0s, s0t, s0u, s0v, s0w, s0x, s0y, s0z, s11, s12, s13, s14
        , s15, s16, s17, s18, s19, s1a, s1b, s1c, s1d, s1e, s1f, s1g, s1h, s1i, s1j, s1k, s1l, s1m, s1n, s1o, s1p, s1q
        , s1r, s1s, s1t, s1u, s1v, s1w, s1x, s1y, s1z, s2, s21, s22, s23, s24, s25, s26, s27, s28, s29, s2a, s2b, s2c
        , s2d, s2e, s2f, s2g, s2h, s2i, s2j, s2k, s2l, s2m, s2n, s2o, s2p, s2q, s2r, s2s, s2t, s2u, s2v, s2w, s2x, s2y
        , s2z, s3, s31, s32, s33, s34, s35, s36, s37, s38, s39, s3a, s3b, s3c, s3d, s3e, s3f, s3g, s3h, s3i, s3j, s3k
        , s3l, s3m, s3n, s3o, s3p, s3q, s3r, s3s, s3t, s3u, s3v, s3w, s3x, s3y, s3z, s4, s41, s42, s43, s44, s45, s46
        , s47, s48, s49, s4a, s4b, s4c, s4d, s4e, s4f, s4g, s4h, s4i, s4j, s4k, s4l, s4m, s4n, s4o, s4p, s4q, s4r, s4s
        , s4t, s4u, s4v, s4w, s4x, s4y, s5, s51, s52, s53, s54, s55, s56, s57, s58, s59, s5a, s5b, s5c, s5d, s5e, s5f
        , s5g, s5h, s5i, s5j, s5k, s5l, s5m, s5n, s5o, s5p, s5q, s5r, s5s, s5t, s5u, s5v, s5w, s5x, s5y, s6, s61, s62
        , s63, s64, s65, s66, s67, s68, s69, s6a, s6b, s6c, s6d, s6e, s6f, s6g, s6h, s6i, s6j, s6k, s6l, s6m, s6n, s6o
        , s6p, s6q, s6r, s6s, s6t, s6u, s6v, s6w, s6x, s6y, s7, s71, s72, s73, s74, s75, s76, s77, s78, s79, s7a, s7b
        , s7c, s7d, s7e, s7f, s7g, s7h, s7i, s7j, s7k, s7l, s7m, s7n, s7o, s7p, s7q, s7r, s7s, s7t, s7u, s7v, s7w, s7x
        , s7y, s8, s81, s82, s83, s84, s85, s86, s87, s88, s89, s8a, s8b, s8c, s8d, s8e, s8f, s8g, s8h, s8i, s8j, s8k
        , s8l, s8m, s8n, s8o, s8p, s8q, s8r, s8s, s8t, s8u, s8v, s8w, s8x, s8y, s9, s91, s92, s93, s94, s95, s96, s97
        , s98, s99, s9a, s9b, s9c, s9d, s9e, s9f, s9g, s9h, s9i, s9j, s9k, s9l, s9m, s9n, s9o, s9p, s9q, s9r, s9s, s9t
        , s9u, s9v, s9w, s9x, s9y, t, t01, t02, t03, t04, t05, t06, t07, t08, t09, t0A, t0B, t0C, t0D, t0E, t0F, t0G
        , t0H, t0I, t0J, t0K, t0L, t0M, t0N, t0O, t0P, t0Q, t0R, t0a, t0b, t0c, t0d, t0e, t0f, t0g, t0h, t0i, t0j, t0k
        , t0l, t0m, t0n, t0o, t0p, t0q, t0r, t0s, t0t, t0u, t0v, t0w, t0x, t0y, t0z, t11, t12, t13, t14, t15, t16, t17
        , t18, t19, t1A, t1B, t1C, t1D, t1E, t1F, t1G, t1H, t1I, t1J, t1K, t1L, t1M, t1N, t1O, t1P, t1Q, t1R, t1a, t1b
        , t1c, t1d, t1e, t1f, t1g, t1h, t1i, t1j, t1k, t1l, t1m, t1n, t1o, t1p, t1q, t1r, t1s, t1t, t1u, t1v, t1w, t1x
        , t1y, t1z, t2, t21, t22, t23, t24, t25, t26, t27, t28, t29, t2A, t2B, t2C, t2D, t2E, t2F, t2G, t2H, t2I, t2J
        , t2K, t2L, t2M, t2N, t2O, t2P, t2Q, t2R, t2a, t2b, t2c, t2d, t2e, t2f, t2g, t2h, t2i, t2j, t2k, t2l, t2m, t2n
        , t2o, t2p, t2q, t2r, t2s, t2t, t2u, t2v, t2w, t2x, t2y, t2z, t3, t31, t32, t33, t34, t35, t36, t37, t38, t39
        , t3A, t3B, t3C, t3D, t3E, t3F, t3G, t3H, t3I, t3J, t3K, t3L, t3M, t3N, t3O, t3P, t3Q, t3R, t3a, t3b, t3c, t3d
        , t3e, t3f, t3g, t3h, t3i, t3j, t3k, t3l, t3m, t3n, t3o, t3p, t3q, t3r, t3s, t3t, t3u, t3v, t3w, t3x, t3y, t3z
        , t4, t41, t42, t43, t44, t45, t46, t47, t48, t49, t4A, t4B, t4C, t4D, t4E, t4F, t4G, t4H, t4I, t4J, t4K, t4L
        , t4M, t4N, t4O, t4P, t4Q, t4a, t4b, t4c, t4d, t4e, t4f, t4g, t4h, t4i, t4j, t4k, t4l, t4m, t4n, t4o, t4p, t4q
        , t4r, t4s, t4t, t4u, t4v, t4w, t4x, t4y, t4z, t5, t51, t52, t53, t54, t55, t56, t57, t58, t59, t5A, t5B, t5C
        , t5D, t5E, t5F, t5G, t5H, t5I, t5J, t5K, t5L, t5M, t5N, t5O, t5P, t5Q, t5a, t5b, t5c, t5d, t5e, t5f, t5g, t5h
        , t5i, t5j, t5k, t5l, t5m, t5n, t5o, t5p, t5q, t5r, t5s, t5t, t5u, t5v, t5w, t5x, t5y, t5z, t6, t61, t62, t63
        , t64, t65, t66, t67, t68, t69, t6A, t6B, t6C, t6D, t6E, t6F, t6G, t6H, t6I, t6J, t6K, t6L, t6M, t6N, t6O, t6P
        , t6Q, t6a, t6b, t6c, t6d, t6e, t6f, t6g, t6h, t6i, t6j, t6k, t6l, t6m, t6n, t6o, t6p, t6q, t6r, t6s, t6t, t6u
        , t6v, t6w, t6x, t6y, t6z, t7, t71, t72, t73, t74, t75, t76, t77, t78, t79, t7A, t7B, t7C, t7D, t7E, t7F, t7G
        , t7H, t7I, t7J, t7K, t7L, t7M, t7N, t7O, t7P, t7Q, t7a, t7b, t7c, t7d, t7e, t7f, t7g, t7h, t7i, t7j, t7k, t7l
        , t7m, t7n, t7o, t7p, t7q, t7r, t7s, t7t, t7u, t7v, t7w, t7x, t7y, t7z, t8, t81, t82, t83, t84, t85, t86, t87
        , t88, t89, t8A, t8B, t8C, t8D, t8E, t8F, t8G, t8H, t8I, t8J, t8K, t8L, t8M, t8N, t8O, t8P, t8Q, t8a, t8b, t8c
        , t8d, t8e, t8f, t8g, t8h, t8i, t8j, t8k, t8l, t8m, t8n, t8o, t8p, t8q, t8r, t8s, t8t, t8u, t8v, t8w, t8x, t8y
        , t8z, t9, t91, t92, t93, t94, t95, t96, t97, t98, t99, t9A, t9B, t9C, t9D, t9E, t9F, t9G, t9H, t9I, t9J, t9K
        , t9L, t9M, t9N, t9O, t9P, t9Q, t9a, t9b, t9c, t9d, t9e, t9f, t9g, t9h, t9i, t9j, t9k, t9l, t9m, t9n, t9o, t9p
        , t9q, t9r, t9s, t9t, t9u, t9v, t9w, t9x, t9y, t9z;
    a = (src + 512);
    t = ADD_CPX_CPX(*(src), *(a));
    t2 = SUB_CPX_CPX(*(src), *(a));
    a2 = (src + 256);
    a3 = (src + 768);
    t3 = ADD_CPX_CPX(*(a2), *(a3));
    s = MUL_NI_CPX(SUB_CPX_CPX(*(a2), *(a3)));
    t4 = ADD_CPX_CPX(t, t3);
    t5 = SUB_CPX_CPX(t, t3);
    t6 = ADD_CPX_CPX(t2, s);
    t7 = SUB_CPX_CPX(t2, s);
    a4 = (src + 128);
    a5 = (src + 896);
    t8 = ADD_CPX_CPX(*(a4), *(a5));
    t9 = ADD_CPX_CPX(MUL_I_CPX(*(a4)), MUL_NI_CPX(*(a5)));
    a6 = (src + 640);
    a7 = (src + 384);
    t01 = ADD_CPX_CPX(*(a6), *(a7));
    t11 = ADD_CPX_CPX(MUL_I_CPX(*(a6)), MUL_NI_CPX(*(a7)));
    t21 = ADD_CPX_CPX(t8, t01);
    t31 = ADD_CPX_CPX(t9, t11);
    a8 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8, t01));
    a9 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9, t11));
    s2 = SUB_CPX_CPX(a8, a9);
    s3 = ADD_CPX_CPX(a8, a9);
    t41 = ADD_CPX_CPX(t4, t21);
    t51 = SUB_CPX_CPX(t5, t31);
    t61 = SUB_CPX_CPX(t4, t21);
    t71 = ADD_CPX_CPX(t5, t31);
    t81 = ADD_CPX_CPX(t6, s2);
    t91 = SUB_CPX_CPX(t7, s3);
    t02 = SUB_CPX_CPX(t6, s2);
    t12 = ADD_CPX_CPX(t7, s3);
    a01 = (src + 64);
    a11 = (src + 960);
    t22 = ADD_CPX_CPX(*(a01), *(a11));
    t32 = ADD_CPX_CPX(MUL_I_CPX(*(a01)), MUL_NI_CPX(*(a11)));
    a21 = (src + 320);
    a31 = (src + 704);
    t42 = ADD_CPX_CPX(*(a21), *(a31));
    t52 = ADD_CPX_CPX(MUL_I_CPX(*(a21)), MUL_NI_CPX(*(a31)));
    a41 = (src + 576);
    a51 = (src + 448);
    t62 = ADD_CPX_CPX(*(a41), *(a51));
    t72 = ADD_CPX_CPX(MUL_I_CPX(*(a41)), MUL_NI_CPX(*(a51)));
    a61 = (src + 832);
    a71 = (src + 192);
    t82 = ADD_CPX_CPX(*(a61), *(a71));
    t92 = ADD_CPX_CPX(MUL_I_CPX(*(a61)), MUL_NI_CPX(*(a71)));
    t03 = ADD_CPX_CPX(t22, t62);
    t13 = ADD_CPX_CPX(t32, t72);
    t23 = SUB_CPX_CPX(t22, t62);
    t33 = SUB_CPX_CPX(t32, t72);
    t43 = ADD_CPX_CPX(t42, t82);
    t53 = ADD_CPX_CPX(t52, t92);
    t63 = SUB_CPX_CPX(t42, t82);
    t73 = SUB_CPX_CPX(t52, t92);
    t83 = ADD_CPX_CPX(t03, t43);
    t93 = ADD_CPX_CPX(t13, t53);
    t04 = SUB_CPX_CPX(t23, t73);
    t14 = ADD_CPX_CPX(t33, t63);
    t24 = ADD_CPX_CPX(t23, t73);
    t34 = SUB_CPX_CPX(t33, t63);
    s4 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t04), MUL_FLT_CPX(C_FLT(0.38268343236508978), t14));
    s5 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t04), MUL_FLT_CPX(C_FLT(0.92387953251128674), t14));
    a81 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t03, t43));
    a91 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t13, t53));
    s6 = SUB_CPX_CPX(a81, a91);
    s7 = ADD_CPX_CPX(a81, a91);
    s8 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t24), MUL_FLT_CPX(C_FLT(0.92387953251128674), t34));
    s9 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t24), MUL_FLT_CPX(C_FLT(0.38268343236508978), t34));
    *(T) = ADD_CPX_CPX(t41, t83);
    *((T + 4)) = SUB_CPX_CPX(t61, t93);
    *((T + 8)) = SUB_CPX_CPX(t41, t83);
    *((T + 12)) = ADD_CPX_CPX(t61, t93);
    *((T + 1)) = ADD_CPX_CPX(t81, s4);
    *((T + 5)) = SUB_CPX_CPX(t02, s5);
    *((T + 9)) = SUB_CPX_CPX(t81, s4);
    *((T + 13)) = ADD_CPX_CPX(t02, s5);
    *((T + 2)) = ADD_CPX_CPX(t51, s6);
    *((T + 6)) = SUB_CPX_CPX(t71, s7);
    *((T + 10)) = SUB_CPX_CPX(t51, s6);
    *((T + 14)) = ADD_CPX_CPX(t71, s7);
    *((T + 3)) = ADD_CPX_CPX(t91, s8);
    *((T + 7)) = SUB_CPX_CPX(t12, s9);
    *((T + 11)) = SUB_CPX_CPX(t91, s8);
    *((T + 15)) = ADD_CPX_CPX(t12, s9);
    {long i; for(i = 0; i <= 62; i++) {
        b = (src + i);
        a02 = (b + 1);
        a12 = (src + (1023 - i));
        t44 = ADD_CPX_CPX(*(a02), *(a12));
        t54 = ADD_CPX_CPX(MUL_I_CPX(*(a02)), MUL_NI_CPX(*(a12)));
        a22 = (b + 129);
        a32 = (src + (895 - i));
        t64 = ADD_CPX_CPX(*(a22), *(a32));
        t74 = ADD_CPX_CPX(MUL_I_CPX(*(a22)), MUL_NI_CPX(*(a32)));
        a42 = (b + 257);
        a52 = (src + (767 - i));
        t84 = ADD_CPX_CPX(*(a42), *(a52));
        t94 = ADD_CPX_CPX(MUL_I_CPX(*(a42)), MUL_NI_CPX(*(a52)));
        a62 = (b + 385);
        a72 = (src + (639 - i));
        t05 = ADD_CPX_CPX(*(a62), *(a72));
        t15 = ADD_CPX_CPX(MUL_I_CPX(*(a62)), MUL_NI_CPX(*(a72)));
        a82 = (b + 513);
        a92 = (src + (511 - i));
        t25 = ADD_CPX_CPX(*(a82), *(a92));
        t35 = ADD_CPX_CPX(MUL_I_CPX(*(a82)), MUL_NI_CPX(*(a92)));
        a03 = (b + 641);
        a13 = (src + (383 - i));
        t45 = ADD_CPX_CPX(*(a03), *(a13));
        t55 = ADD_CPX_CPX(MUL_I_CPX(*(a03)), MUL_NI_CPX(*(a13)));
        a23 = (b + 769);
        a33 = (src + (255 - i));
        t65 = ADD_CPX_CPX(*(a23), *(a33));
        t75 = ADD_CPX_CPX(MUL_I_CPX(*(a23)), MUL_NI_CPX(*(a33)));
        a43 = (b + 897);
        a53 = (src + (127 - i));
        t85 = ADD_CPX_CPX(*(a43), *(a53));
        t95 = ADD_CPX_CPX(MUL_I_CPX(*(a43)), MUL_NI_CPX(*(a53)));
        t06 = ADD_CPX_CPX(t44, t25);
        t16 = ADD_CPX_CPX(t54, t35);
        t26 = SUB_CPX_CPX(t44, t25);
        t36 = SUB_CPX_CPX(t54, t35);
        t46 = ADD_CPX_CPX(t84, t65);
        t56 = ADD_CPX_CPX(t94, t75);
        t66 = SUB_CPX_CPX(t84, t65);
        t76 = SUB_CPX_CPX(t94, t75);
        t86 = ADD_CPX_CPX(t06, t46);
        t96 = ADD_CPX_CPX(t16, t56);
        t07 = SUB_CPX_CPX(t06, t46);
        t17 = SUB_CPX_CPX(t16, t56);
        t27 = SUB_CPX_CPX(t26, t76);
        t37 = ADD_CPX_CPX(t36, t66);
        t47 = ADD_CPX_CPX(t26, t76);
        t57 = SUB_CPX_CPX(t36, t66);
        t67 = ADD_CPX_CPX(t64, t85);
        t77 = ADD_CPX_CPX(t74, t95);
        t87 = SUB_CPX_CPX(t74, t95);
        t97 = SUB_CPX_CPX(t85, t64);
        t08 = ADD_CPX_CPX(t45, t05);
        t18 = ADD_CPX_CPX(t55, t15);
        t28 = SUB_CPX_CPX(t55, t15);
        t38 = SUB_CPX_CPX(t05, t45);
        s01 = ADD_CPX_CPX(t67, t08);
        s11 = ADD_CPX_CPX(t77, t18);
        s21 = ADD_CPX_CPX(t87, t28);
        s31 = ADD_CPX_CPX(t97, t38);
        a63 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t67, t08));
        a73 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t87, t28));
        t48 = SUB_CPX_CPX(a63, a73);
        a83 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t77, t18));
        a93 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t97, t38));
        t58 = SUB_CPX_CPX(a83, a93);
        t68 = ADD_CPX_CPX(a63, a73);
        t78 = ADD_CPX_CPX(a83, a93);
        s41 = SUB_CPX_CPX(t07, s21);
        s51 = SUB_CPX_CPX(t17, s31);
        s61 = SUB_CPX_CPX(t86, s01);
        s71 = SUB_CPX_CPX(t96, s11);
        s81 = ADD_CPX_CPX(t07, s21);
        s91 = ADD_CPX_CPX(t17, s31);
        s02 = ADD_CPX_CPX(t27, t48);
        s12 = ADD_CPX_CPX(t37, t58);
        s22 = SUB_CPX_CPX(t47, t68);
        s32 = SUB_CPX_CPX(t57, t78);
        s42 = SUB_CPX_CPX(t27, t48);
        s52 = SUB_CPX_CPX(t37, t58);
        s62 = ADD_CPX_CPX(t47, t68);
        s72 = ADD_CPX_CPX(t57, t78);
        b2 = (T + (16*i));
        *((b2 + 16)) = ADD_CPX_CPX(t86, s01);
        *((b2 + 24)) = ADD_CPX_CPX(t96, s11);
        a04 = (D996 + (14*i));
        a14 = (a04 + 1);
        a24 = (a04 + 2);
        a34 = (a04 + 3);
        a44 = (a04 + 4);
        a54 = (a04 + 5);
        a64 = (a04 + 6);
        a74 = (a04 + 7);
        a84 = (a04 + 8);
        a94 = (a04 + 9);
        a05 = (a04 + 10);
        a15 = (a04 + 11);
        a25 = (a04 + 12);
        a35 = (a04 + 13);
        *((b2 + 17)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a04), s02), MUL_FLT_CPX(*(a14), s12));
        *((b2 + 25)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a14), s02), MUL_FLT_CPX(*(a04), s12));
        *((b2 + 18)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a24), s41), MUL_FLT_CPX(*(a34), s51));
        *((b2 + 26)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a34), s41), MUL_FLT_CPX(*(a24), s51));
        *((b2 + 19)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a44), s22), MUL_FLT_CPX(*(a54), s32));
        *((b2 + 27)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a54), s22), MUL_FLT_CPX(*(a44), s32));
        *((b2 + 20)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a64), s61), MUL_FLT_CPX(*(a74), s71));
        *((b2 + 28)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a74), s61), MUL_FLT_CPX(*(a64), s71));
        *((b2 + 21)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a84), s42), MUL_FLT_CPX(*(a94), s52));
        *((b2 + 29)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a94), s42), MUL_FLT_CPX(*(a84), s52));
        *((b2 + 22)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a05), s81), MUL_FLT_CPX(*(a15), s91));
        *((b2 + 30)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a15), s81), MUL_FLT_CPX(*(a05), s91));
        *((b2 + 23)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a25), s62), MUL_FLT_CPX(*(a35), s72));
        *((b2 + 31)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a35), s62), MUL_FLT_CPX(*(a25), s72));
    }}
    {long i2; for(i2 = 0; i2 <= 7; i2++) {
        a45 = (T + i2);
        a55 = (a45 + 8);
        a65 = (a45 + 512);
        a75 = (a45 + 520);
        t88 = ADD_CPX_CPX(*(a45), *(a65));
        t98 = SUB_CPX_CPX(*(a55), *(a75));
        t09 = SUB_CPX_CPX(*(a45), *(a65));
        t19 = ADD_CPX_CPX(*(a55), *(a75));
        a85 = (a45 + 128);
        a95 = (a45 + 136);
        a06 = (a45 + 896);
        a16 = (a45 + 904);
        t29 = ADD_CPX_CPX(*(a85), *(a06));
        t39 = SUB_CPX_CPX(*(a95), *(a16));
        t49 = SUB_CPX_CPX(*(a85), *(a06));
        t59 = ADD_CPX_CPX(*(a95), *(a16));
        s82 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t49), MUL_FLT_CPX(C_FLT(0.38268343236508978), t59));
        s92 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t49), MUL_FLT_CPX(C_FLT(0.92387953251128674), t59));
        a26 = (a45 + 256);
        a36 = (a45 + 264);
        a46 = (a45 + 768);
        a56 = (a45 + 776);
        t69 = ADD_CPX_CPX(*(a26), *(a46));
        t79 = SUB_CPX_CPX(*(a36), *(a56));
        a66 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a26), *(a46)));
        a76 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(*(a36), *(a56)));
        s03 = SUB_CPX_CPX(a66, a76);
        s13 = ADD_CPX_CPX(a66, a76);
        a86 = (a45 + 384);
        a96 = (a45 + 392);
        a07 = (a45 + 640);
        a17 = (a45 + 648);
        t89 = ADD_CPX_CPX(*(a86), *(a07));
        t99 = SUB_CPX_CPX(*(a96), *(a17));
        t0a = SUB_CPX_CPX(*(a86), *(a07));
        t1a = ADD_CPX_CPX(*(a96), *(a17));
        s23 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t0a), MUL_FLT_CPX(C_FLT(0.92387953251128674), t1a));
        s33 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t0a), MUL_FLT_CPX(C_FLT(0.38268343236508978), t1a));
        t2a = ADD_CPX_CPX(t88, t69);
        t3a = SUB_CPX_CPX(t09, t79);
        t4a = SUB_CPX_CPX(t88, t69);
        t5a = ADD_CPX_CPX(t09, t79);
        t6a = ADD_CPX_CPX(t29, t89);
        t7a = SUB_CPX_CPX(t39, t99);
        a27 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t29, t89));
        a37 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t39, t99));
        s43 = SUB_CPX_CPX(a27, a37);
        s53 = ADD_CPX_CPX(a27, a37);
        t8a = ADD_CPX_CPX(t2a, t6a);
        t9a = SUB_CPX_CPX(t4a, t7a);
        t0b = SUB_CPX_CPX(t2a, t6a);
        t1b = ADD_CPX_CPX(t4a, t7a);
        t2b = ADD_CPX_CPX(t3a, s43);
        t3b = SUB_CPX_CPX(t5a, s53);
        t4b = SUB_CPX_CPX(t3a, s43);
        t5b = ADD_CPX_CPX(t5a, s53);
        t6b = ADD_CPX_CPX(t98, s03);
        t7b = SUB_CPX_CPX(t19, s13);
        t8b = SUB_CPX_CPX(t98, s03);
        t9b = ADD_CPX_CPX(t19, s13);
        t0c = ADD_CPX_CPX(s82, s23);
        t1c = SUB_CPX_CPX(s92, s33);
        a47 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s82, s23));
        a57 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s92, s33));
        s63 = SUB_CPX_CPX(a47, a57);
        s73 = ADD_CPX_CPX(a47, a57);
        t2c = ADD_CPX_CPX(t6b, t0c);
        t3c = SUB_CPX_CPX(t8b, t1c);
        t4c = SUB_CPX_CPX(t6b, t0c);
        t5c = ADD_CPX_CPX(t8b, t1c);
        t6c = ADD_CPX_CPX(t7b, s63);
        t7c = SUB_CPX_CPX(t9b, s73);
        t8c = SUB_CPX_CPX(t7b, s63);
        t9c = ADD_CPX_CPX(t9b, s73);
        a67 = (a45 + 16);
        a77 = (a45 + 24);
        a87 = (a45 + 1008);
        a97 = (a45 + 1016);
        t0d = ADD_CPX_CPX(*(a67), *(a87));
        t1d = SUB_CPX_CPX(*(a77), *(a97));
        t2d = SUB_CPX_CPX(*(a67), *(a87));
        t3d = ADD_CPX_CPX(*(a77), *(a97));
        a08 = (a45 + 528);
        a18 = (a45 + 536);
        a28 = (a45 + 496);
        a38 = (a45 + 504);
        t4d = ADD_CPX_CPX(*(a08), *(a28));
        t5d = SUB_CPX_CPX(*(a18), *(a38));
        t6d = SUB_CPX_CPX(*(a08), *(a28));
        t7d = ADD_CPX_CPX(*(a18), *(a38));
        t8d = ADD_CPX_CPX(t0d, t4d);
        t9d = ADD_CPX_CPX(t1d, t5d);
        t0e = SUB_CPX_CPX(t0d, t4d);
        t1e = SUB_CPX_CPX(t1d, t5d);
        t2e = SUB_CPX_CPX(t2d, t7d);
        t3e = ADD_CPX_CPX(t3d, t6d);
        t4e = ADD_CPX_CPX(t2d, t7d);
        t5e = SUB_CPX_CPX(t3d, t6d);
        a48 = (a45 + 272);
        a58 = (a45 + 280);
        a68 = (a45 + 240);
        a78 = (a45 + 248);
        t6e = ADD_CPX_CPX(*(a48), *(a68));
        t7e = SUB_CPX_CPX(*(a58), *(a78));
        t8e = ADD_CPX_CPX(*(a58), *(a78));
        t9e = SUB_CPX_CPX(*(a68), *(a48));
        a88 = (a45 + 752);
        a98 = (a45 + 760);
        a09 = (a45 + 784);
        a19 = (a45 + 792);
        t0f = ADD_CPX_CPX(*(a88), *(a09));
        t1f = SUB_CPX_CPX(*(a19), *(a98));
        t2f = ADD_CPX_CPX(*(a98), *(a19));
        t3f = SUB_CPX_CPX(*(a09), *(a88));
        s83 = ADD_CPX_CPX(t6e, t0f);
        s93 = ADD_CPX_CPX(t7e, t1f);
        s04 = SUB_CPX_CPX(t8e, t2f);
        s14 = ADD_CPX_CPX(t9e, t3f);
        a29 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t6e, t0f));
        a39 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t8e, t2f));
        t4f = SUB_CPX_CPX(a29, a39);
        a49 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t7e, t1f));
        a59 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9e, t3f));
        t5f = SUB_CPX_CPX(a49, a59);
        t6f = ADD_CPX_CPX(a29, a39);
        t7f = ADD_CPX_CPX(a49, a59);
        s24 = ADD_CPX_CPX(t8d, s83);
        s34 = ADD_CPX_CPX(t9d, s93);
        s44 = SUB_CPX_CPX(t0e, s04);
        s54 = SUB_CPX_CPX(t1e, s14);
        s64 = SUB_CPX_CPX(t8d, s83);
        s74 = SUB_CPX_CPX(t9d, s93);
        s84 = ADD_CPX_CPX(t0e, s04);
        s94 = ADD_CPX_CPX(t1e, s14);
        s05 = ADD_CPX_CPX(t2e, t4f);
        s15 = ADD_CPX_CPX(t3e, t5f);
        s25 = SUB_CPX_CPX(t4e, t6f);
        s35 = SUB_CPX_CPX(t5e, t7f);
        s45 = SUB_CPX_CPX(t2e, t4f);
        s55 = SUB_CPX_CPX(t3e, t5f);
        s65 = ADD_CPX_CPX(t4e, t6f);
        s75 = ADD_CPX_CPX(t5e, t7f);
        s85 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99879545620517241), s05), MUL_FLT_CPX(C_FLT(0.049067674327418015), s15));
        s95 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.049067674327418015), s05), MUL_FLT_CPX(C_FLT(0.99879545620517241), s15));
        s06 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), s44), MUL_FLT_CPX(C_FLT(0.098017140329560604), s54));
        s16 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), s44), MUL_FLT_CPX(C_FLT(0.99518472667219693), s54));
        s26 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s25), MUL_FLT_CPX(C_FLT(0.14673047445536175), s35));
        s36 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.14673047445536175), s25), MUL_FLT_CPX(C_FLT(0.98917650996478101), s35));
        s46 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s64), MUL_FLT_CPX(C_FLT(0.19509032201612828), s74));
        s56 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s64), MUL_FLT_CPX(C_FLT(0.98078528040323043), s74));
        s66 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.97003125319454397), s45), MUL_FLT_CPX(C_FLT(0.2429801799032639), s55));
        s76 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.2429801799032639), s45), MUL_FLT_CPX(C_FLT(0.97003125319454397), s55));
        s86 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s84), MUL_FLT_CPX(C_FLT(0.29028467725446239), s94));
        s96 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.29028467725446239), s84), MUL_FLT_CPX(C_FLT(0.95694033573220882), s94));
        s07 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), s65), MUL_FLT_CPX(C_FLT(0.33688985339222005), s75));
        s17 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.33688985339222005), s65), MUL_FLT_CPX(C_FLT(0.94154406518302081), s75));
        a69 = (a45 + 32);
        a79 = (a45 + 40);
        a89 = (a45 + 992);
        a99 = (a45 + 1000);
        t8f = ADD_CPX_CPX(*(a69), *(a89));
        t9f = SUB_CPX_CPX(*(a79), *(a99));
        t0g = SUB_CPX_CPX(*(a69), *(a89));
        t1g = ADD_CPX_CPX(*(a79), *(a99));
        a0a = (a45 + 544);
        a1a = (a45 + 552);
        a2a = (a45 + 480);
        a3a = (a45 + 488);
        t2g = ADD_CPX_CPX(*(a0a), *(a2a));
        t3g = SUB_CPX_CPX(*(a1a), *(a3a));
        t4g = SUB_CPX_CPX(*(a0a), *(a2a));
        t5g = ADD_CPX_CPX(*(a1a), *(a3a));
        t6g = ADD_CPX_CPX(t8f, t2g);
        t7g = ADD_CPX_CPX(t9f, t3g);
        t8g = SUB_CPX_CPX(t8f, t2g);
        t9g = SUB_CPX_CPX(t9f, t3g);
        t0h = SUB_CPX_CPX(t0g, t5g);
        t1h = ADD_CPX_CPX(t1g, t4g);
        t2h = ADD_CPX_CPX(t0g, t5g);
        t3h = SUB_CPX_CPX(t1g, t4g);
        a4a = (a45 + 288);
        a5a = (a45 + 296);
        a6a = (a45 + 224);
        a7a = (a45 + 232);
        t4h = ADD_CPX_CPX(*(a4a), *(a6a));
        t5h = SUB_CPX_CPX(*(a5a), *(a7a));
        t6h = ADD_CPX_CPX(*(a5a), *(a7a));
        t7h = SUB_CPX_CPX(*(a6a), *(a4a));
        a8a = (a45 + 736);
        a9a = (a45 + 744);
        a0b = (a45 + 800);
        a1b = (a45 + 808);
        t8h = ADD_CPX_CPX(*(a8a), *(a0b));
        t9h = SUB_CPX_CPX(*(a1b), *(a9a));
        t0i = ADD_CPX_CPX(*(a9a), *(a1b));
        t1i = SUB_CPX_CPX(*(a0b), *(a8a));
        s27 = ADD_CPX_CPX(t4h, t8h);
        s37 = ADD_CPX_CPX(t5h, t9h);
        s47 = SUB_CPX_CPX(t6h, t0i);
        s57 = ADD_CPX_CPX(t7h, t1i);
        a2b = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t4h, t8h));
        a3b = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t6h, t0i));
        t2i = SUB_CPX_CPX(a2b, a3b);
        a4b = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t5h, t9h));
        a5b = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t7h, t1i));
        t3i = SUB_CPX_CPX(a4b, a5b);
        t4i = ADD_CPX_CPX(a2b, a3b);
        t5i = ADD_CPX_CPX(a4b, a5b);
        s67 = ADD_CPX_CPX(t6g, s27);
        s77 = ADD_CPX_CPX(t7g, s37);
        s87 = SUB_CPX_CPX(t8g, s47);
        s97 = SUB_CPX_CPX(t9g, s57);
        s08 = SUB_CPX_CPX(t6g, s27);
        s18 = SUB_CPX_CPX(t7g, s37);
        s28 = ADD_CPX_CPX(t8g, s47);
        s38 = ADD_CPX_CPX(t9g, s57);
        s48 = ADD_CPX_CPX(t0h, t2i);
        s58 = ADD_CPX_CPX(t1h, t3i);
        s68 = SUB_CPX_CPX(t2h, t4i);
        s78 = SUB_CPX_CPX(t3h, t5i);
        s88 = SUB_CPX_CPX(t0h, t2i);
        s98 = SUB_CPX_CPX(t1h, t3i);
        s09 = ADD_CPX_CPX(t2h, t4i);
        s19 = ADD_CPX_CPX(t3h, t5i);
        s29 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), s48), MUL_FLT_CPX(C_FLT(0.098017140329560604), s58));
        s39 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), s48), MUL_FLT_CPX(C_FLT(0.99518472667219693), s58));
        s49 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s87), MUL_FLT_CPX(C_FLT(0.19509032201612828), s97));
        s59 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s87), MUL_FLT_CPX(C_FLT(0.98078528040323043), s97));
        s69 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s68), MUL_FLT_CPX(C_FLT(0.29028467725446239), s78));
        s79 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.29028467725446239), s68), MUL_FLT_CPX(C_FLT(0.95694033573220882), s78));
        s89 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s08), MUL_FLT_CPX(C_FLT(0.38268343236508978), s18));
        s99 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s08), MUL_FLT_CPX(C_FLT(0.92387953251128674), s18));
        s0a = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s88), MUL_FLT_CPX(C_FLT(0.47139673682599764), s98));
        s1a = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.47139673682599764), s88), MUL_FLT_CPX(C_FLT(0.88192126434835505), s98));
        s2a = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s28), MUL_FLT_CPX(C_FLT(0.55557023301960218), s38));
        s3a = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s28), MUL_FLT_CPX(C_FLT(0.83146961230254524), s38));
        s4a = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), s09), MUL_FLT_CPX(C_FLT(0.63439328416364549), s19));
        s5a = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), s09), MUL_FLT_CPX(C_FLT(0.77301045336273699), s19));
        a6b = (a45 + 48);
        a7b = (a45 + 56);
        a8b = (a45 + 976);
        a9b = (a45 + 984);
        t6i = ADD_CPX_CPX(*(a6b), *(a8b));
        t7i = SUB_CPX_CPX(*(a7b), *(a9b));
        t8i = SUB_CPX_CPX(*(a6b), *(a8b));
        t9i = ADD_CPX_CPX(*(a7b), *(a9b));
        a0c = (a45 + 560);
        a1c = (a45 + 568);
        a2c = (a45 + 464);
        a3c = (a45 + 472);
        t0j = ADD_CPX_CPX(*(a0c), *(a2c));
        t1j = SUB_CPX_CPX(*(a1c), *(a3c));
        t2j = SUB_CPX_CPX(*(a0c), *(a2c));
        t3j = ADD_CPX_CPX(*(a1c), *(a3c));
        t4j = ADD_CPX_CPX(t6i, t0j);
        t5j = ADD_CPX_CPX(t7i, t1j);
        t6j = SUB_CPX_CPX(t6i, t0j);
        t7j = SUB_CPX_CPX(t7i, t1j);
        t8j = SUB_CPX_CPX(t8i, t3j);
        t9j = ADD_CPX_CPX(t9i, t2j);
        t0k = ADD_CPX_CPX(t8i, t3j);
        t1k = SUB_CPX_CPX(t9i, t2j);
        a4c = (a45 + 304);
        a5c = (a45 + 312);
        a6c = (a45 + 208);
        a7c = (a45 + 216);
        t2k = ADD_CPX_CPX(*(a4c), *(a6c));
        t3k = SUB_CPX_CPX(*(a5c), *(a7c));
        t4k = ADD_CPX_CPX(*(a5c), *(a7c));
        t5k = SUB_CPX_CPX(*(a6c), *(a4c));
        a8c = (a45 + 720);
        a9c = (a45 + 728);
        a0d = (a45 + 816);
        a1d = (a45 + 824);
        t6k = ADD_CPX_CPX(*(a8c), *(a0d));
        t7k = SUB_CPX_CPX(*(a1d), *(a9c));
        t8k = ADD_CPX_CPX(*(a9c), *(a1d));
        t9k = SUB_CPX_CPX(*(a0d), *(a8c));
        s6a = ADD_CPX_CPX(t2k, t6k);
        s7a = ADD_CPX_CPX(t3k, t7k);
        s8a = SUB_CPX_CPX(t4k, t8k);
        s9a = ADD_CPX_CPX(t5k, t9k);
        a2d = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2k, t6k));
        a3d = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t4k, t8k));
        t0l = SUB_CPX_CPX(a2d, a3d);
        a4d = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3k, t7k));
        a5d = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t5k, t9k));
        t1l = SUB_CPX_CPX(a4d, a5d);
        t2l = ADD_CPX_CPX(a2d, a3d);
        t3l = ADD_CPX_CPX(a4d, a5d);
        s0b = ADD_CPX_CPX(t4j, s6a);
        s1b = ADD_CPX_CPX(t5j, s7a);
        s2b = SUB_CPX_CPX(t6j, s8a);
        s3b = SUB_CPX_CPX(t7j, s9a);
        s4b = SUB_CPX_CPX(t4j, s6a);
        s5b = SUB_CPX_CPX(t5j, s7a);
        s6b = ADD_CPX_CPX(t6j, s8a);
        s7b = ADD_CPX_CPX(t7j, s9a);
        s8b = ADD_CPX_CPX(t8j, t0l);
        s9b = ADD_CPX_CPX(t9j, t1l);
        s0c = SUB_CPX_CPX(t0k, t2l);
        s1c = SUB_CPX_CPX(t1k, t3l);
        s2c = SUB_CPX_CPX(t8j, t0l);
        s3c = SUB_CPX_CPX(t9j, t1l);
        s4c = ADD_CPX_CPX(t0k, t2l);
        s5c = ADD_CPX_CPX(t1k, t3l);
        s6c = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s8b), MUL_FLT_CPX(C_FLT(0.14673047445536175), s9b));
        s7c = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.14673047445536175), s8b), MUL_FLT_CPX(C_FLT(0.98917650996478101), s9b));
        s8c = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s2b), MUL_FLT_CPX(C_FLT(0.29028467725446239), s3b));
        s9c = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.29028467725446239), s2b), MUL_FLT_CPX(C_FLT(0.95694033573220882), s3b));
        s0d = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.90398929312344334), s0c), MUL_FLT_CPX(C_FLT(0.42755509343028208), s1c));
        s1d = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.42755509343028208), s0c), MUL_FLT_CPX(C_FLT(0.90398929312344334), s1c));
        s2d = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s4b), MUL_FLT_CPX(C_FLT(0.55557023301960218), s5b));
        s3d = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s4b), MUL_FLT_CPX(C_FLT(0.83146961230254524), s5b));
        s4d = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), s2c), MUL_FLT_CPX(C_FLT(0.67155895484701844), s3c));
        s5d = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.67155895484701844), s2c), MUL_FLT_CPX(C_FLT(0.74095112535495911), s3c));
        s6d = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), s6b), MUL_FLT_CPX(C_FLT(0.77301045336273699), s7b));
        s7d = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), s6b), MUL_FLT_CPX(C_FLT(0.63439328416364549), s7b));
        s8d = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.51410274419322177), s4c), MUL_FLT_CPX(C_FLT(0.85772861000027212), s5c));
        s9d = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.85772861000027212), s4c), MUL_FLT_CPX(C_FLT(0.51410274419322177), s5c));
        a6d = (a45 + 64);
        a7d = (a45 + 72);
        a8d = (a45 + 960);
        a9d = (a45 + 968);
        t4l = ADD_CPX_CPX(*(a6d), *(a8d));
        t5l = SUB_CPX_CPX(*(a7d), *(a9d));
        t6l = SUB_CPX_CPX(*(a6d), *(a8d));
        t7l = ADD_CPX_CPX(*(a7d), *(a9d));
        a0e = (a45 + 576);
        a1e = (a45 + 584);
        a2e = (a45 + 448);
        a3e = (a45 + 456);
        t8l = ADD_CPX_CPX(*(a0e), *(a2e));
        t9l = SUB_CPX_CPX(*(a1e), *(a3e));
        t0m = SUB_CPX_CPX(*(a0e), *(a2e));
        t1m = ADD_CPX_CPX(*(a1e), *(a3e));
        t2m = ADD_CPX_CPX(t4l, t8l);
        t3m = ADD_CPX_CPX(t5l, t9l);
        t4m = SUB_CPX_CPX(t4l, t8l);
        t5m = SUB_CPX_CPX(t5l, t9l);
        t6m = SUB_CPX_CPX(t6l, t1m);
        t7m = ADD_CPX_CPX(t7l, t0m);
        t8m = ADD_CPX_CPX(t6l, t1m);
        t9m = SUB_CPX_CPX(t7l, t0m);
        a4e = (a45 + 320);
        a5e = (a45 + 328);
        a6e = (a45 + 192);
        a7e = (a45 + 200);
        t0n = ADD_CPX_CPX(*(a4e), *(a6e));
        t1n = SUB_CPX_CPX(*(a5e), *(a7e));
        t2n = ADD_CPX_CPX(*(a5e), *(a7e));
        t3n = SUB_CPX_CPX(*(a6e), *(a4e));
        a8e = (a45 + 704);
        a9e = (a45 + 712);
        a0f = (a45 + 832);
        a1f = (a45 + 840);
        t4n = ADD_CPX_CPX(*(a8e), *(a0f));
        t5n = SUB_CPX_CPX(*(a1f), *(a9e));
        t6n = ADD_CPX_CPX(*(a9e), *(a1f));
        t7n = SUB_CPX_CPX(*(a0f), *(a8e));
        s0e = ADD_CPX_CPX(t0n, t4n);
        s1e = ADD_CPX_CPX(t1n, t5n);
        s2e = SUB_CPX_CPX(t2n, t6n);
        s3e = ADD_CPX_CPX(t3n, t7n);
        a2f = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0n, t4n));
        a3f = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t2n, t6n));
        t8n = SUB_CPX_CPX(a2f, a3f);
        a4f = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t1n, t5n));
        a5f = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3n, t7n));
        t9n = SUB_CPX_CPX(a4f, a5f);
        t0o = ADD_CPX_CPX(a2f, a3f);
        t1o = ADD_CPX_CPX(a4f, a5f);
        s4e = ADD_CPX_CPX(t2m, s0e);
        s5e = ADD_CPX_CPX(t3m, s1e);
        s6e = SUB_CPX_CPX(t4m, s2e);
        s7e = SUB_CPX_CPX(t5m, s3e);
        s8e = ADD_CPX_CPX(t4m, s2e);
        s9e = ADD_CPX_CPX(t5m, s3e);
        s0f = ADD_CPX_CPX(t6m, t8n);
        s1f = ADD_CPX_CPX(t7m, t9n);
        s2f = SUB_CPX_CPX(t8m, t0o);
        s3f = SUB_CPX_CPX(t9m, t1o);
        s4f = SUB_CPX_CPX(t6m, t8n);
        s5f = SUB_CPX_CPX(t7m, t9n);
        s6f = ADD_CPX_CPX(t8m, t0o);
        s7f = ADD_CPX_CPX(t9m, t1o);
        s8f = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s0f), MUL_FLT_CPX(C_FLT(0.19509032201612828), s1f));
        s9f = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s0f), MUL_FLT_CPX(C_FLT(0.98078528040323043), s1f));
        s0g = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s6e), MUL_FLT_CPX(C_FLT(0.38268343236508978), s7e));
        s1g = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s6e), MUL_FLT_CPX(C_FLT(0.92387953251128674), s7e));
        s2g = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s2f), MUL_FLT_CPX(C_FLT(0.55557023301960218), s3f));
        s3g = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s2f), MUL_FLT_CPX(C_FLT(0.83146961230254524), s3f));
        a6f = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2m, s0e));
        a7f = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3m, s1e));
        s4g = SUB_CPX_CPX(a6f, a7f);
        s5g = ADD_CPX_CPX(a6f, a7f);
        s6g = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s4f), MUL_FLT_CPX(C_FLT(0.83146961230254524), s5f));
        s7g = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s4f), MUL_FLT_CPX(C_FLT(0.55557023301960218), s5f));
        s8g = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s8e), MUL_FLT_CPX(C_FLT(0.92387953251128674), s9e));
        s9g = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s8e), MUL_FLT_CPX(C_FLT(0.38268343236508978), s9e));
        s0h = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s6f), MUL_FLT_CPX(C_FLT(0.98078528040323043), s7f));
        s1h = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s6f), MUL_FLT_CPX(C_FLT(0.19509032201612828), s7f));
        a8f = (a45 + 80);
        a9f = (a45 + 88);
        a0g = (a45 + 944);
        a1g = (a45 + 952);
        t2o = ADD_CPX_CPX(*(a8f), *(a0g));
        t3o = SUB_CPX_CPX(*(a9f), *(a1g));
        t4o = SUB_CPX_CPX(*(a8f), *(a0g));
        t5o = ADD_CPX_CPX(*(a9f), *(a1g));
        a2g = (a45 + 592);
        a3g = (a45 + 600);
        a4g = (a45 + 432);
        a5g = (a45 + 440);
        t6o = ADD_CPX_CPX(*(a2g), *(a4g));
        t7o = SUB_CPX_CPX(*(a3g), *(a5g));
        t8o = SUB_CPX_CPX(*(a2g), *(a4g));
        t9o = ADD_CPX_CPX(*(a3g), *(a5g));
        t0p = ADD_CPX_CPX(t2o, t6o);
        t1p = ADD_CPX_CPX(t3o, t7o);
        t2p = SUB_CPX_CPX(t2o, t6o);
        t3p = SUB_CPX_CPX(t3o, t7o);
        t4p = SUB_CPX_CPX(t4o, t9o);
        t5p = ADD_CPX_CPX(t5o, t8o);
        t6p = ADD_CPX_CPX(t4o, t9o);
        t7p = SUB_CPX_CPX(t5o, t8o);
        a6g = (a45 + 336);
        a7g = (a45 + 344);
        a8g = (a45 + 176);
        a9g = (a45 + 184);
        t8p = ADD_CPX_CPX(*(a6g), *(a8g));
        t9p = SUB_CPX_CPX(*(a7g), *(a9g));
        t0q = ADD_CPX_CPX(*(a7g), *(a9g));
        t1q = SUB_CPX_CPX(*(a8g), *(a6g));
        a0h = (a45 + 688);
        a1h = (a45 + 696);
        a2h = (a45 + 848);
        a3h = (a45 + 856);
        t2q = ADD_CPX_CPX(*(a0h), *(a2h));
        t3q = SUB_CPX_CPX(*(a3h), *(a1h));
        t4q = ADD_CPX_CPX(*(a1h), *(a3h));
        t5q = SUB_CPX_CPX(*(a2h), *(a0h));
        s2h = ADD_CPX_CPX(t8p, t2q);
        s3h = ADD_CPX_CPX(t9p, t3q);
        s4h = SUB_CPX_CPX(t0q, t4q);
        s5h = ADD_CPX_CPX(t1q, t5q);
        a4h = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8p, t2q));
        a5h = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t0q, t4q));
        t6q = SUB_CPX_CPX(a4h, a5h);
        a6h = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9p, t3q));
        a7h = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t1q, t5q));
        t7q = SUB_CPX_CPX(a6h, a7h);
        t8q = ADD_CPX_CPX(a4h, a5h);
        t9q = ADD_CPX_CPX(a6h, a7h);
        s6h = ADD_CPX_CPX(t0p, s2h);
        s7h = ADD_CPX_CPX(t1p, s3h);
        s8h = SUB_CPX_CPX(t2p, s4h);
        s9h = SUB_CPX_CPX(t3p, s5h);
        s0i = SUB_CPX_CPX(t0p, s2h);
        s1i = SUB_CPX_CPX(t1p, s3h);
        s2i = ADD_CPX_CPX(t2p, s4h);
        s3i = ADD_CPX_CPX(t3p, s5h);
        s4i = ADD_CPX_CPX(t4p, t6q);
        s5i = ADD_CPX_CPX(t5p, t7q);
        s6i = SUB_CPX_CPX(t6p, t8q);
        s7i = SUB_CPX_CPX(t7p, t9q);
        s8i = SUB_CPX_CPX(t4p, t6q);
        s9i = SUB_CPX_CPX(t5p, t7q);
        s0j = ADD_CPX_CPX(t6p, t8q);
        s1j = ADD_CPX_CPX(t7p, t9q);
        s2j = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.97003125319454397), s4i), MUL_FLT_CPX(C_FLT(0.2429801799032639), s5i));
        s3j = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.2429801799032639), s4i), MUL_FLT_CPX(C_FLT(0.97003125319454397), s5i));
        s4j = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s8h), MUL_FLT_CPX(C_FLT(0.47139673682599764), s9h));
        s5j = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.47139673682599764), s8h), MUL_FLT_CPX(C_FLT(0.88192126434835505), s9h));
        s6j = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), s6i), MUL_FLT_CPX(C_FLT(0.67155895484701844), s7i));
        s7j = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.67155895484701844), s6i), MUL_FLT_CPX(C_FLT(0.74095112535495911), s7i));
        s8j = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s0i), MUL_FLT_CPX(C_FLT(0.83146961230254524), s1i));
        s9j = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s0i), MUL_FLT_CPX(C_FLT(0.55557023301960218), s1i));
        s0k = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.33688985339222005), s8i), MUL_FLT_CPX(C_FLT(0.94154406518302081), s9i));
        s1k = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), s8i), MUL_FLT_CPX(C_FLT(0.33688985339222005), s9i));
        s2k = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), s2i), MUL_FLT_CPX(C_FLT(0.99518472667219693), s3i));
        s3k = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), s2i), MUL_FLT_CPX(C_FLT(0.098017140329560604), s3i));
        s4k = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.14673047445536175), s0j), MUL_FLT_CPX(C_FLT(0.98917650996478101), s1j));
        s5k = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s0j), MUL_FLT_CPX(C_FLT(0.14673047445536175), s1j));
        a8h = (a45 + 96);
        a9h = (a45 + 104);
        a0i = (a45 + 928);
        a1i = (a45 + 936);
        t0r = ADD_CPX_CPX(*(a8h), *(a0i));
        t1r = SUB_CPX_CPX(*(a9h), *(a1i));
        t2r = SUB_CPX_CPX(*(a8h), *(a0i));
        t3r = ADD_CPX_CPX(*(a9h), *(a1i));
        a2i = (a45 + 608);
        a3i = (a45 + 616);
        a4i = (a45 + 416);
        a5i = (a45 + 424);
        t4r = ADD_CPX_CPX(*(a2i), *(a4i));
        t5r = SUB_CPX_CPX(*(a3i), *(a5i));
        t6r = SUB_CPX_CPX(*(a2i), *(a4i));
        t7r = ADD_CPX_CPX(*(a3i), *(a5i));
        t8r = ADD_CPX_CPX(t0r, t4r);
        t9r = ADD_CPX_CPX(t1r, t5r);
        t0s = SUB_CPX_CPX(t0r, t4r);
        t1s = SUB_CPX_CPX(t1r, t5r);
        t2s = SUB_CPX_CPX(t2r, t7r);
        t3s = ADD_CPX_CPX(t3r, t6r);
        t4s = ADD_CPX_CPX(t2r, t7r);
        t5s = SUB_CPX_CPX(t3r, t6r);
        a6i = (a45 + 352);
        a7i = (a45 + 360);
        a8i = (a45 + 160);
        a9i = (a45 + 168);
        t6s = ADD_CPX_CPX(*(a6i), *(a8i));
        t7s = SUB_CPX_CPX(*(a7i), *(a9i));
        t8s = ADD_CPX_CPX(*(a7i), *(a9i));
        t9s = SUB_CPX_CPX(*(a8i), *(a6i));
        a0j = (a45 + 672);
        a1j = (a45 + 680);
        a2j = (a45 + 864);
        a3j = (a45 + 872);
        t0t = ADD_CPX_CPX(*(a0j), *(a2j));
        t1t = SUB_CPX_CPX(*(a3j), *(a1j));
        t2t = ADD_CPX_CPX(*(a1j), *(a3j));
        t3t = SUB_CPX_CPX(*(a2j), *(a0j));
        s6k = ADD_CPX_CPX(t6s, t0t);
        s7k = ADD_CPX_CPX(t7s, t1t);
        s8k = SUB_CPX_CPX(t8s, t2t);
        s9k = ADD_CPX_CPX(t9s, t3t);
        a4j = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t6s, t0t));
        a5j = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t8s, t2t));
        t4t = SUB_CPX_CPX(a4j, a5j);
        a6j = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t7s, t1t));
        a7j = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9s, t3t));
        t5t = SUB_CPX_CPX(a6j, a7j);
        t6t = ADD_CPX_CPX(a4j, a5j);
        t7t = ADD_CPX_CPX(a6j, a7j);
        s0l = ADD_CPX_CPX(t8r, s6k);
        s1l = ADD_CPX_CPX(t9r, s7k);
        s2l = SUB_CPX_CPX(t0s, s8k);
        s3l = SUB_CPX_CPX(t1s, s9k);
        s4l = SUB_CPX_CPX(t8r, s6k);
        s5l = SUB_CPX_CPX(t9r, s7k);
        s6l = ADD_CPX_CPX(t0s, s8k);
        s7l = ADD_CPX_CPX(t1s, s9k);
        s8l = ADD_CPX_CPX(t2s, t4t);
        s9l = ADD_CPX_CPX(t3s, t5t);
        s0m = SUB_CPX_CPX(t4s, t6t);
        s1m = SUB_CPX_CPX(t5s, t7t);
        s2m = SUB_CPX_CPX(t2s, t4t);
        s3m = SUB_CPX_CPX(t3s, t5t);
        s4m = ADD_CPX_CPX(t4s, t6t);
        s5m = ADD_CPX_CPX(t5s, t7t);
        s6m = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s8l), MUL_FLT_CPX(C_FLT(0.29028467725446239), s9l));
        s7m = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.29028467725446239), s8l), MUL_FLT_CPX(C_FLT(0.95694033573220882), s9l));
        s8m = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s2l), MUL_FLT_CPX(C_FLT(0.55557023301960218), s3l));
        s9m = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s2l), MUL_FLT_CPX(C_FLT(0.83146961230254524), s3l));
        s0n = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), s0m), MUL_FLT_CPX(C_FLT(0.77301045336273699), s1m));
        s1n = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), s0m), MUL_FLT_CPX(C_FLT(0.63439328416364549), s1m));
        s2n = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s4l), MUL_FLT_CPX(C_FLT(0.92387953251128674), s5l));
        s3n = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s4l), MUL_FLT_CPX(C_FLT(0.38268343236508978), s5l));
        s4n = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), s2m), MUL_FLT_CPX(C_FLT(0.99518472667219693), s3m));
        s5n = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), s2m), MUL_FLT_CPX(C_FLT(0.098017140329560604), s3m));
        s6n = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s6l), MUL_FLT_CPX(C_FLT(0.98078528040323043), s7l));
        s7n = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s6l), MUL_FLT_CPX(C_FLT(0.19509032201612828), s7l));
        s8n = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.47139673682599764), s4m), MUL_FLT_CPX(C_FLT(0.88192126434835505), s5m));
        s9n = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s4m), MUL_FLT_CPX(C_FLT(0.47139673682599764), s5m));
        a8j = (a45 + 112);
        a9j = (a45 + 120);
        a0k = (a45 + 912);
        a1k = (a45 + 920);
        t8t = ADD_CPX_CPX(*(a8j), *(a0k));
        t9t = SUB_CPX_CPX(*(a9j), *(a1k));
        t0u = SUB_CPX_CPX(*(a8j), *(a0k));
        t1u = ADD_CPX_CPX(*(a9j), *(a1k));
        a2k = (a45 + 624);
        a3k = (a45 + 632);
        a4k = (a45 + 400);
        a5k = (a45 + 408);
        t2u = ADD_CPX_CPX(*(a2k), *(a4k));
        t3u = SUB_CPX_CPX(*(a3k), *(a5k));
        t4u = SUB_CPX_CPX(*(a2k), *(a4k));
        t5u = ADD_CPX_CPX(*(a3k), *(a5k));
        t6u = ADD_CPX_CPX(t8t, t2u);
        t7u = ADD_CPX_CPX(t9t, t3u);
        t8u = SUB_CPX_CPX(t8t, t2u);
        t9u = SUB_CPX_CPX(t9t, t3u);
        t0v = SUB_CPX_CPX(t0u, t5u);
        t1v = ADD_CPX_CPX(t1u, t4u);
        t2v = ADD_CPX_CPX(t0u, t5u);
        t3v = SUB_CPX_CPX(t1u, t4u);
        a6k = (a45 + 368);
        a7k = (a45 + 376);
        a8k = (a45 + 144);
        a9k = (a45 + 152);
        t4v = ADD_CPX_CPX(*(a6k), *(a8k));
        t5v = SUB_CPX_CPX(*(a7k), *(a9k));
        t6v = ADD_CPX_CPX(*(a7k), *(a9k));
        t7v = SUB_CPX_CPX(*(a8k), *(a6k));
        a0l = (a45 + 656);
        a1l = (a45 + 664);
        a2l = (a45 + 880);
        a3l = (a45 + 888);
        t8v = ADD_CPX_CPX(*(a0l), *(a2l));
        t9v = SUB_CPX_CPX(*(a3l), *(a1l));
        t0w = ADD_CPX_CPX(*(a1l), *(a3l));
        t1w = SUB_CPX_CPX(*(a2l), *(a0l));
        s0o = ADD_CPX_CPX(t4v, t8v);
        s1o = ADD_CPX_CPX(t5v, t9v);
        s2o = SUB_CPX_CPX(t6v, t0w);
        s3o = ADD_CPX_CPX(t7v, t1w);
        a4l = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t4v, t8v));
        a5l = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t6v, t0w));
        t2w = SUB_CPX_CPX(a4l, a5l);
        a6l = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t5v, t9v));
        a7l = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t7v, t1w));
        t3w = SUB_CPX_CPX(a6l, a7l);
        t4w = ADD_CPX_CPX(a4l, a5l);
        t5w = ADD_CPX_CPX(a6l, a7l);
        s4o = ADD_CPX_CPX(t6u, s0o);
        s5o = ADD_CPX_CPX(t7u, s1o);
        s6o = SUB_CPX_CPX(t8u, s2o);
        s7o = SUB_CPX_CPX(t9u, s3o);
        s8o = SUB_CPX_CPX(t6u, s0o);
        s9o = SUB_CPX_CPX(t7u, s1o);
        s0p = ADD_CPX_CPX(t8u, s2o);
        s1p = ADD_CPX_CPX(t9u, s3o);
        s2p = ADD_CPX_CPX(t0v, t2w);
        s3p = ADD_CPX_CPX(t1v, t3w);
        s4p = SUB_CPX_CPX(t2v, t4w);
        s5p = SUB_CPX_CPX(t3v, t5w);
        s6p = SUB_CPX_CPX(t0v, t2w);
        s7p = SUB_CPX_CPX(t1v, t3w);
        s8p = ADD_CPX_CPX(t2v, t4w);
        s9p = ADD_CPX_CPX(t3v, t5w);
        s0q = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), s2p), MUL_FLT_CPX(C_FLT(0.33688985339222005), s3p));
        s1q = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.33688985339222005), s2p), MUL_FLT_CPX(C_FLT(0.94154406518302081), s3p));
        s2q = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), s6o), MUL_FLT_CPX(C_FLT(0.63439328416364549), s7o));
        s3q = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), s6o), MUL_FLT_CPX(C_FLT(0.77301045336273699), s7o));
        s4q = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.51410274419322177), s4p), MUL_FLT_CPX(C_FLT(0.85772861000027212), s5p));
        s5q = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.85772861000027212), s4p), MUL_FLT_CPX(C_FLT(0.51410274419322177), s5p));
        s6q = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s8o), MUL_FLT_CPX(C_FLT(0.98078528040323043), s9o));
        s7q = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s8o), MUL_FLT_CPX(C_FLT(0.19509032201612828), s9o));
        s8q = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.14673047445536175), s6p), MUL_FLT_CPX(C_FLT(0.98917650996478101), s7p));
        s9q = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s6p), MUL_FLT_CPX(C_FLT(0.14673047445536175), s7p));
        s0r = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.47139673682599764), s0p), MUL_FLT_CPX(C_FLT(0.88192126434835505), s1p));
        s1r = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s0p), MUL_FLT_CPX(C_FLT(0.47139673682599764), s1p));
        s2r = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), s8p), MUL_FLT_CPX(C_FLT(0.67155895484701844), s9p));
        s3r = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.67155895484701844), s8p), MUL_FLT_CPX(C_FLT(0.74095112535495911), s9p));
        t6w = ADD_CPX_CPX(t8a, s4e);
        t7w = SUB_CPX_CPX(t0b, s5e);
        t8w = SUB_CPX_CPX(t8a, s4e);
        t9w = ADD_CPX_CPX(t0b, s5e);
        t0x = ADD_CPX_CPX(s24, s4o);
        t1x = SUB_CPX_CPX(s34, s5o);
        t2x = SUB_CPX_CPX(s24, s4o);
        t3x = ADD_CPX_CPX(s34, s5o);
        s4r = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t2x), MUL_FLT_CPX(C_FLT(0.38268343236508978), t3x));
        s5r = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t2x), MUL_FLT_CPX(C_FLT(0.92387953251128674), t3x));
        t4x = ADD_CPX_CPX(s67, s0l);
        t5x = SUB_CPX_CPX(s77, s1l);
        a8l = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s67, s0l));
        a9l = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s77, s1l));
        s6r = SUB_CPX_CPX(a8l, a9l);
        s7r = ADD_CPX_CPX(a8l, a9l);
        t6x = ADD_CPX_CPX(s0b, s6h);
        t7x = SUB_CPX_CPX(s1b, s7h);
        t8x = SUB_CPX_CPX(s0b, s6h);
        t9x = ADD_CPX_CPX(s1b, s7h);
        s8r = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t8x), MUL_FLT_CPX(C_FLT(0.92387953251128674), t9x));
        s9r = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t8x), MUL_FLT_CPX(C_FLT(0.38268343236508978), t9x));
        t0y = ADD_CPX_CPX(t6w, t4x);
        t1y = SUB_CPX_CPX(t8w, t5x);
        t2y = SUB_CPX_CPX(t6w, t4x);
        t3y = ADD_CPX_CPX(t8w, t5x);
        t4y = ADD_CPX_CPX(t0x, t6x);
        t5y = SUB_CPX_CPX(t1x, t7x);
        a0m = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0x, t6x));
        a1m = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t1x, t7x));
        s0s = SUB_CPX_CPX(a0m, a1m);
        s1s = ADD_CPX_CPX(a0m, a1m);
        a2m = (dst + i2);
        *(a2m) = ADD_CPX_CPX(t0y, t4y);
        *((a2m + 256)) = SUB_CPX_CPX(t2y, t5y);
        *((a2m + 512)) = SUB_CPX_CPX(t0y, t4y);
        *((a2m + 768)) = ADD_CPX_CPX(t2y, t5y);
        *((a2m + 128)) = ADD_CPX_CPX(t1y, s0s);
        *((a2m + 384)) = SUB_CPX_CPX(t3y, s1s);
        *((a2m + 640)) = SUB_CPX_CPX(t1y, s0s);
        *((a2m + 896)) = ADD_CPX_CPX(t3y, s1s);
        t6y = ADD_CPX_CPX(t7w, s6r);
        t7y = SUB_CPX_CPX(t9w, s7r);
        t8y = SUB_CPX_CPX(t7w, s6r);
        t9y = ADD_CPX_CPX(t9w, s7r);
        t0z = ADD_CPX_CPX(s4r, s8r);
        t1z = SUB_CPX_CPX(s5r, s9r);
        a3m = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4r, s8r));
        a4m = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5r, s9r));
        s2s = SUB_CPX_CPX(a3m, a4m);
        s3s = ADD_CPX_CPX(a3m, a4m);
        *((a2m + 64)) = ADD_CPX_CPX(t6y, t0z);
        *((a2m + 320)) = SUB_CPX_CPX(t8y, t1z);
        *((a2m + 576)) = SUB_CPX_CPX(t6y, t0z);
        *((a2m + 832)) = ADD_CPX_CPX(t8y, t1z);
        *((a2m + 192)) = ADD_CPX_CPX(t7y, s2s);
        *((a2m + 448)) = SUB_CPX_CPX(t9y, s3s);
        *((a2m + 704)) = SUB_CPX_CPX(t7y, s2s);
        *((a2m + 960)) = ADD_CPX_CPX(t9y, s3s);
        t2z = ADD_CPX_CPX(t2c, s8f);
        t3z = SUB_CPX_CPX(t4c, s9f);
        t4z = SUB_CPX_CPX(t2c, s8f);
        t5z = ADD_CPX_CPX(t4c, s9f);
        t6z = ADD_CPX_CPX(s85, s0q);
        t7z = SUB_CPX_CPX(s95, s1q);
        t8z = SUB_CPX_CPX(s85, s0q);
        t9z = ADD_CPX_CPX(s95, s1q);
        s4s = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t8z), MUL_FLT_CPX(C_FLT(0.38268343236508978), t9z));
        s5s = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t8z), MUL_FLT_CPX(C_FLT(0.92387953251128674), t9z));
        t0A = ADD_CPX_CPX(s29, s6m);
        t1A = SUB_CPX_CPX(s39, s7m);
        a5m = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s29, s6m));
        a6m = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s39, s7m));
        s6s = SUB_CPX_CPX(a5m, a6m);
        s7s = ADD_CPX_CPX(a5m, a6m);
        t2A = ADD_CPX_CPX(s6c, s2j);
        t3A = SUB_CPX_CPX(s7c, s3j);
        t4A = SUB_CPX_CPX(s6c, s2j);
        t5A = ADD_CPX_CPX(s7c, s3j);
        s8s = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t4A), MUL_FLT_CPX(C_FLT(0.92387953251128674), t5A));
        s9s = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t4A), MUL_FLT_CPX(C_FLT(0.38268343236508978), t5A));
        t6A = ADD_CPX_CPX(t2z, t0A);
        t7A = SUB_CPX_CPX(t4z, t1A);
        t8A = SUB_CPX_CPX(t2z, t0A);
        t9A = ADD_CPX_CPX(t4z, t1A);
        t0B = ADD_CPX_CPX(t6z, t2A);
        t1B = SUB_CPX_CPX(t7z, t3A);
        a7m = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t6z, t2A));
        a8m = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t7z, t3A));
        s0t = SUB_CPX_CPX(a7m, a8m);
        s1t = ADD_CPX_CPX(a7m, a8m);
        *((a2m + 8)) = ADD_CPX_CPX(t6A, t0B);
        *((a2m + 264)) = SUB_CPX_CPX(t8A, t1B);
        *((a2m + 520)) = SUB_CPX_CPX(t6A, t0B);
        *((a2m + 776)) = ADD_CPX_CPX(t8A, t1B);
        *((a2m + 136)) = ADD_CPX_CPX(t7A, s0t);
        *((a2m + 392)) = SUB_CPX_CPX(t9A, s1t);
        *((a2m + 648)) = SUB_CPX_CPX(t7A, s0t);
        *((a2m + 904)) = ADD_CPX_CPX(t9A, s1t);
        t2B = ADD_CPX_CPX(t3z, s6s);
        t3B = SUB_CPX_CPX(t5z, s7s);
        t4B = SUB_CPX_CPX(t3z, s6s);
        t5B = ADD_CPX_CPX(t5z, s7s);
        t6B = ADD_CPX_CPX(s4s, s8s);
        t7B = SUB_CPX_CPX(s5s, s9s);
        a9m = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4s, s8s));
        a0n = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5s, s9s));
        s2t = SUB_CPX_CPX(a9m, a0n);
        s3t = ADD_CPX_CPX(a9m, a0n);
        *((a2m + 72)) = ADD_CPX_CPX(t2B, t6B);
        *((a2m + 328)) = SUB_CPX_CPX(t4B, t7B);
        *((a2m + 584)) = SUB_CPX_CPX(t2B, t6B);
        *((a2m + 840)) = ADD_CPX_CPX(t4B, t7B);
        *((a2m + 200)) = ADD_CPX_CPX(t3B, s2t);
        *((a2m + 456)) = SUB_CPX_CPX(t5B, s3t);
        *((a2m + 712)) = SUB_CPX_CPX(t3B, s2t);
        *((a2m + 968)) = ADD_CPX_CPX(t5B, s3t);
        t8B = ADD_CPX_CPX(t2b, s0g);
        t9B = SUB_CPX_CPX(t4b, s1g);
        t0C = SUB_CPX_CPX(t2b, s0g);
        t1C = ADD_CPX_CPX(t4b, s1g);
        t2C = ADD_CPX_CPX(s06, s2q);
        t3C = SUB_CPX_CPX(s16, s3q);
        t4C = SUB_CPX_CPX(s06, s2q);
        t5C = ADD_CPX_CPX(s16, s3q);
        s4t = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t4C), MUL_FLT_CPX(C_FLT(0.38268343236508978), t5C));
        s5t = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t4C), MUL_FLT_CPX(C_FLT(0.92387953251128674), t5C));
        t6C = ADD_CPX_CPX(s49, s8m);
        t7C = SUB_CPX_CPX(s59, s9m);
        a1n = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s49, s8m));
        a2n = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s59, s9m));
        s6t = SUB_CPX_CPX(a1n, a2n);
        s7t = ADD_CPX_CPX(a1n, a2n);
        t8C = ADD_CPX_CPX(s8c, s4j);
        t9C = SUB_CPX_CPX(s9c, s5j);
        t0D = SUB_CPX_CPX(s8c, s4j);
        t1D = ADD_CPX_CPX(s9c, s5j);
        s8t = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t0D), MUL_FLT_CPX(C_FLT(0.92387953251128674), t1D));
        s9t = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t0D), MUL_FLT_CPX(C_FLT(0.38268343236508978), t1D));
        t2D = ADD_CPX_CPX(t8B, t6C);
        t3D = SUB_CPX_CPX(t0C, t7C);
        t4D = SUB_CPX_CPX(t8B, t6C);
        t5D = ADD_CPX_CPX(t0C, t7C);
        t6D = ADD_CPX_CPX(t2C, t8C);
        t7D = SUB_CPX_CPX(t3C, t9C);
        a3n = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2C, t8C));
        a4n = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t3C, t9C));
        s0u = SUB_CPX_CPX(a3n, a4n);
        s1u = ADD_CPX_CPX(a3n, a4n);
        *((a2m + 16)) = ADD_CPX_CPX(t2D, t6D);
        *((a2m + 272)) = SUB_CPX_CPX(t4D, t7D);
        *((a2m + 528)) = SUB_CPX_CPX(t2D, t6D);
        *((a2m + 784)) = ADD_CPX_CPX(t4D, t7D);
        *((a2m + 144)) = ADD_CPX_CPX(t3D, s0u);
        *((a2m + 400)) = SUB_CPX_CPX(t5D, s1u);
        *((a2m + 656)) = SUB_CPX_CPX(t3D, s0u);
        *((a2m + 912)) = ADD_CPX_CPX(t5D, s1u);
        t8D = ADD_CPX_CPX(t9B, s6t);
        t9D = SUB_CPX_CPX(t1C, s7t);
        t0E = SUB_CPX_CPX(t9B, s6t);
        t1E = ADD_CPX_CPX(t1C, s7t);
        t2E = ADD_CPX_CPX(s4t, s8t);
        t3E = SUB_CPX_CPX(s5t, s9t);
        a5n = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4t, s8t));
        a6n = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5t, s9t));
        s2u = SUB_CPX_CPX(a5n, a6n);
        s3u = ADD_CPX_CPX(a5n, a6n);
        *((a2m + 80)) = ADD_CPX_CPX(t8D, t2E);
        *((a2m + 336)) = SUB_CPX_CPX(t0E, t3E);
        *((a2m + 592)) = SUB_CPX_CPX(t8D, t2E);
        *((a2m + 848)) = ADD_CPX_CPX(t0E, t3E);
        *((a2m + 208)) = ADD_CPX_CPX(t9D, s2u);
        *((a2m + 464)) = SUB_CPX_CPX(t1E, s3u);
        *((a2m + 720)) = SUB_CPX_CPX(t9D, s2u);
        *((a2m + 976)) = ADD_CPX_CPX(t1E, s3u);
        t4E = ADD_CPX_CPX(t6c, s2g);
        t5E = SUB_CPX_CPX(t8c, s3g);
        t6E = SUB_CPX_CPX(t6c, s2g);
        t7E = ADD_CPX_CPX(t8c, s3g);
        t8E = ADD_CPX_CPX(s26, s4q);
        t9E = SUB_CPX_CPX(s36, s5q);
        t0F = SUB_CPX_CPX(s26, s4q);
        t1F = ADD_CPX_CPX(s36, s5q);
        s4u = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t0F), MUL_FLT_CPX(C_FLT(0.38268343236508978), t1F));
        s5u = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t0F), MUL_FLT_CPX(C_FLT(0.92387953251128674), t1F));
        t2F = ADD_CPX_CPX(s69, s0n);
        t3F = SUB_CPX_CPX(s79, s1n);
        a7n = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s69, s0n));
        a8n = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s79, s1n));
        s6u = SUB_CPX_CPX(a7n, a8n);
        s7u = ADD_CPX_CPX(a7n, a8n);
        t4F = ADD_CPX_CPX(s0d, s6j);
        t5F = SUB_CPX_CPX(s1d, s7j);
        t6F = SUB_CPX_CPX(s0d, s6j);
        t7F = ADD_CPX_CPX(s1d, s7j);
        s8u = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t6F), MUL_FLT_CPX(C_FLT(0.92387953251128674), t7F));
        s9u = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t6F), MUL_FLT_CPX(C_FLT(0.38268343236508978), t7F));
        t8F = ADD_CPX_CPX(t4E, t2F);
        t9F = SUB_CPX_CPX(t6E, t3F);
        t0G = SUB_CPX_CPX(t4E, t2F);
        t1G = ADD_CPX_CPX(t6E, t3F);
        t2G = ADD_CPX_CPX(t8E, t4F);
        t3G = SUB_CPX_CPX(t9E, t5F);
        a9n = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8E, t4F));
        a0o = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t9E, t5F));
        s0v = SUB_CPX_CPX(a9n, a0o);
        s1v = ADD_CPX_CPX(a9n, a0o);
        *((a2m + 24)) = ADD_CPX_CPX(t8F, t2G);
        *((a2m + 280)) = SUB_CPX_CPX(t0G, t3G);
        *((a2m + 536)) = SUB_CPX_CPX(t8F, t2G);
        *((a2m + 792)) = ADD_CPX_CPX(t0G, t3G);
        *((a2m + 152)) = ADD_CPX_CPX(t9F, s0v);
        *((a2m + 408)) = SUB_CPX_CPX(t1G, s1v);
        *((a2m + 664)) = SUB_CPX_CPX(t9F, s0v);
        *((a2m + 920)) = ADD_CPX_CPX(t1G, s1v);
        t4G = ADD_CPX_CPX(t5E, s6u);
        t5G = SUB_CPX_CPX(t7E, s7u);
        t6G = SUB_CPX_CPX(t5E, s6u);
        t7G = ADD_CPX_CPX(t7E, s7u);
        t8G = ADD_CPX_CPX(s4u, s8u);
        t9G = SUB_CPX_CPX(s5u, s9u);
        a1o = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4u, s8u));
        a2o = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5u, s9u));
        s2v = SUB_CPX_CPX(a1o, a2o);
        s3v = ADD_CPX_CPX(a1o, a2o);
        *((a2m + 88)) = ADD_CPX_CPX(t4G, t8G);
        *((a2m + 344)) = SUB_CPX_CPX(t6G, t9G);
        *((a2m + 600)) = SUB_CPX_CPX(t4G, t8G);
        *((a2m + 856)) = ADD_CPX_CPX(t6G, t9G);
        *((a2m + 216)) = ADD_CPX_CPX(t5G, s2v);
        *((a2m + 472)) = SUB_CPX_CPX(t7G, s3v);
        *((a2m + 728)) = SUB_CPX_CPX(t5G, s2v);
        *((a2m + 984)) = ADD_CPX_CPX(t7G, s3v);
        t0H = ADD_CPX_CPX(t9a, s4g);
        t1H = SUB_CPX_CPX(t1b, s5g);
        t2H = SUB_CPX_CPX(t9a, s4g);
        t3H = ADD_CPX_CPX(t1b, s5g);
        t4H = ADD_CPX_CPX(s46, s6q);
        t5H = SUB_CPX_CPX(s56, s7q);
        t6H = SUB_CPX_CPX(s46, s6q);
        t7H = ADD_CPX_CPX(s56, s7q);
        s4v = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t6H), MUL_FLT_CPX(C_FLT(0.38268343236508978), t7H));
        s5v = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t6H), MUL_FLT_CPX(C_FLT(0.92387953251128674), t7H));
        t8H = ADD_CPX_CPX(s89, s2n);
        t9H = SUB_CPX_CPX(s99, s3n);
        a3o = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s89, s2n));
        a4o = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s99, s3n));
        s6v = SUB_CPX_CPX(a3o, a4o);
        s7v = ADD_CPX_CPX(a3o, a4o);
        t0I = ADD_CPX_CPX(s2d, s8j);
        t1I = SUB_CPX_CPX(s3d, s9j);
        t2I = SUB_CPX_CPX(s2d, s8j);
        t3I = ADD_CPX_CPX(s3d, s9j);
        s8v = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t2I), MUL_FLT_CPX(C_FLT(0.92387953251128674), t3I));
        s9v = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t2I), MUL_FLT_CPX(C_FLT(0.38268343236508978), t3I));
        t4I = ADD_CPX_CPX(t0H, t8H);
        t5I = SUB_CPX_CPX(t2H, t9H);
        t6I = SUB_CPX_CPX(t0H, t8H);
        t7I = ADD_CPX_CPX(t2H, t9H);
        t8I = ADD_CPX_CPX(t4H, t0I);
        t9I = SUB_CPX_CPX(t5H, t1I);
        a5o = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t4H, t0I));
        a6o = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t5H, t1I));
        s0w = SUB_CPX_CPX(a5o, a6o);
        s1w = ADD_CPX_CPX(a5o, a6o);
        *((a2m + 32)) = ADD_CPX_CPX(t4I, t8I);
        *((a2m + 288)) = SUB_CPX_CPX(t6I, t9I);
        *((a2m + 544)) = SUB_CPX_CPX(t4I, t8I);
        *((a2m + 800)) = ADD_CPX_CPX(t6I, t9I);
        *((a2m + 160)) = ADD_CPX_CPX(t5I, s0w);
        *((a2m + 416)) = SUB_CPX_CPX(t7I, s1w);
        *((a2m + 672)) = SUB_CPX_CPX(t5I, s0w);
        *((a2m + 928)) = ADD_CPX_CPX(t7I, s1w);
        t0J = ADD_CPX_CPX(t1H, s6v);
        t1J = SUB_CPX_CPX(t3H, s7v);
        t2J = SUB_CPX_CPX(t1H, s6v);
        t3J = ADD_CPX_CPX(t3H, s7v);
        t4J = ADD_CPX_CPX(s4v, s8v);
        t5J = SUB_CPX_CPX(s5v, s9v);
        a7o = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4v, s8v));
        a8o = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5v, s9v));
        s2w = SUB_CPX_CPX(a7o, a8o);
        s3w = ADD_CPX_CPX(a7o, a8o);
        *((a2m + 96)) = ADD_CPX_CPX(t0J, t4J);
        *((a2m + 352)) = SUB_CPX_CPX(t2J, t5J);
        *((a2m + 608)) = SUB_CPX_CPX(t0J, t4J);
        *((a2m + 864)) = ADD_CPX_CPX(t2J, t5J);
        *((a2m + 224)) = ADD_CPX_CPX(t1J, s2w);
        *((a2m + 480)) = SUB_CPX_CPX(t3J, s3w);
        *((a2m + 736)) = SUB_CPX_CPX(t1J, s2w);
        *((a2m + 992)) = ADD_CPX_CPX(t3J, s3w);
        t6J = ADD_CPX_CPX(t3c, s6g);
        t7J = SUB_CPX_CPX(t5c, s7g);
        t8J = SUB_CPX_CPX(t3c, s6g);
        t9J = ADD_CPX_CPX(t5c, s7g);
        t0K = SUB_CPX_CPX(s66, s8q);
        t1K = SUB_CPX_CPX(s76, s9q);
        t2K = ADD_CPX_CPX(s66, s8q);
        t3K = ADD_CPX_CPX(s76, s9q);
        s4w = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t2K), MUL_FLT_CPX(C_FLT(0.38268343236508978), t3K));
        s5w = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t2K), MUL_FLT_CPX(C_FLT(0.92387953251128674), t3K));
        t4K = ADD_CPX_CPX(s0a, s4n);
        t5K = SUB_CPX_CPX(s1a, s5n);
        a9o = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s0a, s4n));
        a0p = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s1a, s5n));
        s6w = SUB_CPX_CPX(a9o, a0p);
        s7w = ADD_CPX_CPX(a9o, a0p);
        t6K = ADD_CPX_CPX(s4d, s0k);
        t7K = SUB_CPX_CPX(s5d, s1k);
        t8K = SUB_CPX_CPX(s4d, s0k);
        t9K = ADD_CPX_CPX(s5d, s1k);
        s8w = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t8K), MUL_FLT_CPX(C_FLT(0.92387953251128674), t9K));
        s9w = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t8K), MUL_FLT_CPX(C_FLT(0.38268343236508978), t9K));
        t0L = ADD_CPX_CPX(t6J, t4K);
        t1L = SUB_CPX_CPX(t8J, t5K);
        t2L = SUB_CPX_CPX(t6J, t4K);
        t3L = ADD_CPX_CPX(t8J, t5K);
        t4L = ADD_CPX_CPX(t0K, t6K);
        t5L = SUB_CPX_CPX(t1K, t7K);
        a1p = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0K, t6K));
        a2p = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t1K, t7K));
        s0x = SUB_CPX_CPX(a1p, a2p);
        s1x = ADD_CPX_CPX(a1p, a2p);
        *((a2m + 40)) = ADD_CPX_CPX(t0L, t4L);
        *((a2m + 296)) = SUB_CPX_CPX(t2L, t5L);
        *((a2m + 552)) = SUB_CPX_CPX(t0L, t4L);
        *((a2m + 808)) = ADD_CPX_CPX(t2L, t5L);
        *((a2m + 168)) = ADD_CPX_CPX(t1L, s0x);
        *((a2m + 424)) = SUB_CPX_CPX(t3L, s1x);
        *((a2m + 680)) = SUB_CPX_CPX(t1L, s0x);
        *((a2m + 936)) = ADD_CPX_CPX(t3L, s1x);
        t6L = ADD_CPX_CPX(t7J, s6w);
        t7L = SUB_CPX_CPX(t9J, s7w);
        t8L = SUB_CPX_CPX(t7J, s6w);
        t9L = ADD_CPX_CPX(t9J, s7w);
        t0M = ADD_CPX_CPX(s4w, s8w);
        t1M = SUB_CPX_CPX(s5w, s9w);
        a3p = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4w, s8w));
        a4p = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5w, s9w));
        s2x = SUB_CPX_CPX(a3p, a4p);
        s3x = ADD_CPX_CPX(a3p, a4p);
        *((a2m + 104)) = ADD_CPX_CPX(t6L, t0M);
        *((a2m + 360)) = SUB_CPX_CPX(t8L, t1M);
        *((a2m + 616)) = SUB_CPX_CPX(t6L, t0M);
        *((a2m + 872)) = ADD_CPX_CPX(t8L, t1M);
        *((a2m + 232)) = ADD_CPX_CPX(t7L, s2x);
        *((a2m + 488)) = SUB_CPX_CPX(t9L, s3x);
        *((a2m + 744)) = SUB_CPX_CPX(t7L, s2x);
        *((a2m + 1000)) = ADD_CPX_CPX(t9L, s3x);
        t2M = ADD_CPX_CPX(t3b, s8g);
        t3M = SUB_CPX_CPX(t5b, s9g);
        t4M = SUB_CPX_CPX(t3b, s8g);
        t5M = ADD_CPX_CPX(t5b, s9g);
        t6M = SUB_CPX_CPX(s86, s0r);
        t7M = SUB_CPX_CPX(s96, s1r);
        t8M = ADD_CPX_CPX(s86, s0r);
        t9M = ADD_CPX_CPX(s96, s1r);
        s4x = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t8M), MUL_FLT_CPX(C_FLT(0.38268343236508978), t9M));
        s5x = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t8M), MUL_FLT_CPX(C_FLT(0.92387953251128674), t9M));
        t0N = SUB_CPX_CPX(s2a, s6n);
        t1N = SUB_CPX_CPX(s3a, s7n);
        a5p = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s2a, s6n));
        a6p = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s3a, s7n));
        s6x = SUB_CPX_CPX(a5p, a6p);
        s7x = ADD_CPX_CPX(a5p, a6p);
        t2N = ADD_CPX_CPX(s6d, s2k);
        t3N = SUB_CPX_CPX(s7d, s3k);
        t4N = SUB_CPX_CPX(s6d, s2k);
        t5N = ADD_CPX_CPX(s7d, s3k);
        s8x = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t4N), MUL_FLT_CPX(C_FLT(0.92387953251128674), t5N));
        s9x = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t4N), MUL_FLT_CPX(C_FLT(0.38268343236508978), t5N));
        t6N = ADD_CPX_CPX(t2M, t0N);
        t7N = SUB_CPX_CPX(t4M, t1N);
        t8N = SUB_CPX_CPX(t2M, t0N);
        t9N = ADD_CPX_CPX(t4M, t1N);
        t0O = ADD_CPX_CPX(t6M, t2N);
        t1O = SUB_CPX_CPX(t7M, t3N);
        a7p = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t6M, t2N));
        a8p = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t7M, t3N));
        s0y = SUB_CPX_CPX(a7p, a8p);
        s1y = ADD_CPX_CPX(a7p, a8p);
        *((a2m + 48)) = ADD_CPX_CPX(t6N, t0O);
        *((a2m + 304)) = SUB_CPX_CPX(t8N, t1O);
        *((a2m + 560)) = SUB_CPX_CPX(t6N, t0O);
        *((a2m + 816)) = ADD_CPX_CPX(t8N, t1O);
        *((a2m + 176)) = ADD_CPX_CPX(t7N, s0y);
        *((a2m + 432)) = SUB_CPX_CPX(t9N, s1y);
        *((a2m + 688)) = SUB_CPX_CPX(t7N, s0y);
        *((a2m + 944)) = ADD_CPX_CPX(t9N, s1y);
        t2O = ADD_CPX_CPX(t3M, s6x);
        t3O = SUB_CPX_CPX(t5M, s7x);
        t4O = SUB_CPX_CPX(t3M, s6x);
        t5O = ADD_CPX_CPX(t5M, s7x);
        t6O = ADD_CPX_CPX(s4x, s8x);
        t7O = SUB_CPX_CPX(s5x, s9x);
        a9p = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4x, s8x));
        a0q = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5x, s9x));
        s2y = SUB_CPX_CPX(a9p, a0q);
        s3y = ADD_CPX_CPX(a9p, a0q);
        *((a2m + 112)) = ADD_CPX_CPX(t2O, t6O);
        *((a2m + 368)) = SUB_CPX_CPX(t4O, t7O);
        *((a2m + 624)) = SUB_CPX_CPX(t2O, t6O);
        *((a2m + 880)) = ADD_CPX_CPX(t4O, t7O);
        *((a2m + 240)) = ADD_CPX_CPX(t3O, s2y);
        *((a2m + 496)) = SUB_CPX_CPX(t5O, s3y);
        *((a2m + 752)) = SUB_CPX_CPX(t3O, s2y);
        *((a2m + 1008)) = ADD_CPX_CPX(t5O, s3y);
        t8O = ADD_CPX_CPX(t7c, s0h);
        t9O = SUB_CPX_CPX(t9c, s1h);
        t0P = SUB_CPX_CPX(t7c, s0h);
        t1P = ADD_CPX_CPX(t9c, s1h);
        t2P = SUB_CPX_CPX(s07, s2r);
        t3P = SUB_CPX_CPX(s17, s3r);
        t4P = ADD_CPX_CPX(s07, s2r);
        t5P = ADD_CPX_CPX(s17, s3r);
        s4y = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t4P), MUL_FLT_CPX(C_FLT(0.38268343236508978), t5P));
        s5y = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t4P), MUL_FLT_CPX(C_FLT(0.92387953251128674), t5P));
        t6P = SUB_CPX_CPX(s4a, s8n);
        t7P = SUB_CPX_CPX(s5a, s9n);
        a1q = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s4a, s8n));
        a2q = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5a, s9n));
        s6y = SUB_CPX_CPX(a1q, a2q);
        s7y = ADD_CPX_CPX(a1q, a2q);
        t8P = SUB_CPX_CPX(s8d, s4k);
        t9P = SUB_CPX_CPX(s9d, s5k);
        t0Q = ADD_CPX_CPX(s8d, s4k);
        t1Q = ADD_CPX_CPX(s9d, s5k);
        s8y = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t0Q), MUL_FLT_CPX(C_FLT(0.92387953251128674), t1Q));
        s9y = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t0Q), MUL_FLT_CPX(C_FLT(0.38268343236508978), t1Q));
        t2Q = ADD_CPX_CPX(t8O, t6P);
        t3Q = SUB_CPX_CPX(t0P, t7P);
        t4Q = SUB_CPX_CPX(t8O, t6P);
        t5Q = ADD_CPX_CPX(t0P, t7P);
        t6Q = ADD_CPX_CPX(t2P, t8P);
        t7Q = SUB_CPX_CPX(t3P, t9P);
        a3q = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2P, t8P));
        a4q = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t3P, t9P));
        s0z = SUB_CPX_CPX(a3q, a4q);
        s1z = ADD_CPX_CPX(a3q, a4q);
        *((a2m + 56)) = ADD_CPX_CPX(t2Q, t6Q);
        *((a2m + 312)) = SUB_CPX_CPX(t4Q, t7Q);
        *((a2m + 568)) = SUB_CPX_CPX(t2Q, t6Q);
        *((a2m + 824)) = ADD_CPX_CPX(t4Q, t7Q);
        *((a2m + 184)) = ADD_CPX_CPX(t3Q, s0z);
        *((a2m + 440)) = SUB_CPX_CPX(t5Q, s1z);
        *((a2m + 696)) = SUB_CPX_CPX(t3Q, s0z);
        *((a2m + 952)) = ADD_CPX_CPX(t5Q, s1z);
        t8Q = ADD_CPX_CPX(t9O, s6y);
        t9Q = SUB_CPX_CPX(t1P, s7y);
        t0R = SUB_CPX_CPX(t9O, s6y);
        t1R = ADD_CPX_CPX(t1P, s7y);
        t2R = ADD_CPX_CPX(s4y, s8y);
        t3R = SUB_CPX_CPX(s5y, s9y);
        a5q = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4y, s8y));
        a6q = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5y, s9y));
        s2z = SUB_CPX_CPX(a5q, a6q);
        s3z = ADD_CPX_CPX(a5q, a6q);
        *((a2m + 120)) = ADD_CPX_CPX(t8Q, t2R);
        *((a2m + 376)) = SUB_CPX_CPX(t0R, t3R);
        *((a2m + 632)) = SUB_CPX_CPX(t8Q, t2R);
        *((a2m + 888)) = ADD_CPX_CPX(t0R, t3R);
        *((a2m + 248)) = ADD_CPX_CPX(t9Q, s2z);
        *((a2m + 504)) = SUB_CPX_CPX(t1R, s3z);
        *((a2m + 760)) = SUB_CPX_CPX(t9Q, s2z);
        *((a2m + 1016)) = ADD_CPX_CPX(t1R, s3z);
    }}
    }
    
    return SPIRAL_OK;
    }
}

SPIRAL_PRIV(spiral_status_t, spiral_fftfwd_double_2048_unaligned)(const double *pSrc, double *pDst ) {
    const CPX  *src = (const CPX *) pSrc; 
    CPX        *dst = (CPX *) pDst;
    
    
    { SPIRAL_ALIGNED(CPX T[2048]);
    CPX  *a06, *a08, *a0a, *a0c, *a0e, *a0g, *a0h, *a0i, *a0j, *a0k, *a0l, *a16, *a18, *a1a, *a1c, *a1e, *a1g, *a1h, *a1i, *a1j, *a1k, *a1l
            , *a25, *a26, *a28, *a2a, *a2c, *a2e, *a2g, *a2i, *a2k, *a35, *a36, *a38, *a3a, *a3c, *a3e, *a3g, *a3i, *a3k, *a45, *a47, *a48, *a49
            , *a4a, *a4b, *a4c, *a4d, *a4e, *a4g, *a4i, *a4k, *a55, *a57, *a58, *a59, *a5a, *a5b, *a5c, *a5d, *a5e, *a5g, *a5i, *a5k, *a65, *a66
            , *a67, *a68, *a69, *a6a, *a6b, *a6c, *a6d, *a6e, *a6f, *a6g, *a6h, *a6i, *a6j, *a6k, *a75, *a76, *a77, *a78, *a79, *a7a, *a7b, *a7c
            , *a7d, *a7e, *a7f, *a7g, *a7h, *a7i, *a7j, *a7k, *a85, *a86, *a87, *a88, *a89, *a8a, *a8b, *a8c, *a8d, *a8e, *a8f, *a8g, *a8h, *a8i
            , *a8j, *a8k, *a95, *a96, *a97, *a98, *a99, *a9a, *a9b, *a9c, *a9d, *a9e, *a9f, *a9g, *a9h, *a9i, *a9j, *a9k, *b2;
    const CPX  *b;
    FLT  *a03, *a04, *a05, *a13, *a14, *a15, *a22, *a23, *a24, *a32, *a33, *a34, *a42, *a43, *a44, *a52, *a53, *a54, *a62, *a63, *a64, *a72
            , *a73, *a74, *a82, *a83, *a84, *a92, *a93, *a94;
    int a31;
    CPX a, a01, a02, a07, a09, a0b, a0d, a0f, a0m, a0n, a0o, a0p, a0q, a11, a12, a17, a19, a1b, a1d, a1f, a1m, a1n
        , a1o, a1p, a1q, a2, a21, a27, a29, a2b, a2d, a2f, a2h, a2j, a2l, a2m, a2n, a2o, a2p, a2q, a3, a37, a39, a3b
        , a3d, a3f, a3h, a3j, a3l, a3m, a3n, a3o, a3p, a3q, a4, a41, a46, a4f, a4h, a4j, a4l, a4m, a4n, a4o, a4p, a5
        , a51, a56, a5f, a5h, a5j, a5l, a5m, a5n, a5o, a5p, a6, a61, a6l, a6m, a6n, a6o, a6p, a7, a71, a7l, a7m, a7n
        , a7o, a7p, a8, a81, a8l, a8m, a8n, a8o, a8p, a9, a91, a9l, a9m, a9n, a9o, a9p, s, s01, s02, s03, s04, s05
        , s06, s07, s08, s09, s0A, s0B, s0C, s0D, s0E, s0F, s0G, s0H, s0I, s0J, s0K, s0L, s0M, s0N, s0a, s0b, s0c, s0d
        , s0e, s0f, s0g, s0h, s0i, s0j, s0k, s0l, s0m, s0n, s0o, s0p, s0q, s0r, s0s, s0t, s0u, s0v, s0w, s0x, s0y, s0z
        , s11, s12, s13, s14, s15, s16, s17, s18, s19, s1A, s1B, s1C, s1D, s1E, s1F, s1G, s1H, s1I, s1J, s1K, s1L, s1M
        , s1N, s1a, s1b, s1c, s1d, s1e, s1f, s1g, s1h, s1i, s1j, s1k, s1l, s1m, s1n, s1o, s1p, s1q, s1r, s1s, s1t, s1u
        , s1v, s1w, s1x, s1y, s1z, s2, s21, s22, s23, s24, s25, s26, s27, s28, s29, s2A, s2B, s2C, s2D, s2E, s2F, s2G
        , s2H, s2I, s2J, s2K, s2L, s2M, s2N, s2a, s2b, s2c, s2d, s2e, s2f, s2g, s2h, s2i, s2j, s2k, s2l, s2m, s2n, s2o
        , s2p, s2q, s2r, s2s, s2t, s2u, s2v, s2w, s2x, s2y, s2z, s3, s31, s32, s33, s34, s35, s36, s37, s38, s39, s3A
        , s3B, s3C, s3D, s3E, s3F, s3G, s3H, s3I, s3J, s3K, s3L, s3M, s3N, s3a, s3b, s3c, s3d, s3e, s3f, s3g, s3h, s3i
        , s3j, s3k, s3l, s3m, s3n, s3o, s3p, s3q, s3r, s3s, s3t, s3u, s3v, s3w, s3x, s3y, s3z, s4, s41, s42, s43, s44
        , s45, s46, s47, s48, s49, s4A, s4B, s4C, s4D, s4E, s4F, s4G, s4H, s4I, s4J, s4K, s4L, s4M, s4N, s4a, s4b, s4c
        , s4d, s4e, s4f, s4g, s4h, s4i, s4j, s4k, s4l, s4m, s4n, s4o, s4p, s4q, s4r, s4s, s4t, s4u, s4v, s4w, s4x, s4y
        , s4z, s5, s51, s52, s53, s54, s55, s56, s57, s58, s59, s5A, s5B, s5C, s5D, s5E, s5F, s5G, s5H, s5I, s5J, s5K
        , s5L, s5M, s5N, s5a, s5b, s5c, s5d, s5e, s5f, s5g, s5h, s5i, s5j, s5k, s5l, s5m, s5n, s5o, s5p, s5q, s5r, s5s
        , s5t, s5u, s5v, s5w, s5x, s5y, s5z, s6, s61, s62, s63, s64, s65, s66, s67, s68, s69, s6A, s6B, s6C, s6D, s6E
        , s6F, s6G, s6H, s6I, s6J, s6K, s6L, s6M, s6N, s6a, s6b, s6c, s6d, s6e, s6f, s6g, s6h, s6i, s6j, s6k, s6l, s6m
        , s6n, s6o, s6p, s6q, s6r, s6s, s6t, s6u, s6v, s6w, s6x, s6y, s6z, s7, s71, s72, s73, s74, s75, s76, s77, s78
        , s79, s7A, s7B, s7C, s7D, s7E, s7F, s7G, s7H, s7I, s7J, s7K, s7L, s7M, s7N, s7a, s7b, s7c, s7d, s7e, s7f, s7g
        , s7h, s7i, s7j, s7k, s7l, s7m, s7n, s7o, s7p, s7q, s7r, s7s, s7t, s7u, s7v, s7w, s7x, s7y, s7z, s8, s81, s82
        , s83, s84, s85, s86, s87, s88, s89, s8A, s8B, s8C, s8D, s8E, s8F, s8G, s8H, s8I, s8J, s8K, s8L, s8M, s8a, s8b
        , s8c, s8d, s8e, s8f, s8g, s8h, s8i, s8j, s8k, s8l, s8m, s8n, s8o, s8p, s8q, s8r, s8s, s8t, s8u, s8v, s8w, s8x
        , s8y, s8z, s9, s91, s92, s93, s94, s95, s96, s97, s98, s99, s9A, s9B, s9C, s9D, s9E, s9F, s9G, s9H, s9I, s9J
        , s9K, s9L, s9M, s9a, s9b, s9c, s9d, s9e, s9f, s9g, s9h, s9i, s9j, s9k, s9l, s9m, s9n, s9o, s9p, s9q, s9r, s9s
        , s9t, s9u, s9v, s9w, s9x, s9y, s9z, t, t01, t010, t011, t012, t013, t014, t015, t016, t017, t018, t019, t01a, t01b, t01c
        , t01d, t01e, t01f, t02, t03, t04, t05, t06, t07, t08, t09, t0A, t0B, t0C, t0D, t0E, t0F, t0G, t0H, t0I, t0J, t0K
        , t0L, t0M, t0N, t0O, t0P, t0Q, t0R, t0S, t0T, t0U, t0V, t0W, t0X, t0Y, t0Z, t0a, t0b, t0c, t0d, t0e, t0f, t0g
        , t0h, t0i, t0j, t0k, t0l, t0m, t0n, t0o, t0p, t0q, t0r, t0s, t0t, t0u, t0v, t0w, t0x, t0y, t0z, t11, t110, t111
        , t112, t113, t114, t115, t116, t117, t118, t119, t11a, t11b, t11c, t11d, t11e, t11f, t12, t13, t14, t15, t16, t17, t18, t19
        , t1A, t1B, t1C, t1D, t1E, t1F, t1G, t1H, t1I, t1J, t1K, t1L, t1M, t1N, t1O, t1P, t1Q, t1R, t1S, t1T, t1U, t1V
        , t1W, t1X, t1Y, t1Z, t1a, t1b, t1c, t1d, t1e, t1f, t1g, t1h, t1i, t1j, t1k, t1l, t1m, t1n, t1o, t1p, t1q, t1r
        , t1s, t1t, t1u, t1v, t1w, t1x, t1y, t1z, t2, t21, t210, t211, t212, t213, t214, t215, t216, t217, t218, t219, t21a, t21b
        , t21c, t21d, t21e, t21f, t22, t23, t24, t25, t26, t27, t28, t29, t2A, t2B, t2C, t2D, t2E, t2F, t2G, t2H, t2I, t2J
        , t2K, t2L, t2M, t2N, t2O, t2P, t2Q, t2R, t2S, t2T, t2U, t2V, t2W, t2X, t2Y, t2Z, t2a, t2b, t2c, t2d, t2e, t2f
        , t2g, t2h, t2i, t2j, t2k, t2l, t2m, t2n, t2o, t2p, t2q, t2r, t2s, t2t, t2u, t2v, t2w, t2x, t2y, t2z, t3, t31
        , t310, t311, t312, t313, t314, t315, t316, t317, t318, t319, t31a, t31b, t31c, t31d, t31e, t31f, t32, t33, t34, t35, t36, t37
        , t38, t39, t3A, t3B, t3C, t3D, t3E, t3F, t3G, t3H, t3I, t3J, t3K, t3L, t3M, t3N, t3O, t3P, t3Q, t3R, t3S, t3T
        , t3U, t3V, t3W, t3X, t3Y, t3Z, t3a, t3b, t3c, t3d, t3e, t3f, t3g, t3h, t3i, t3j, t3k, t3l, t3m, t3n, t3o, t3p
        , t3q, t3r, t3s, t3t, t3u, t3v, t3w, t3x, t3y, t3z, t4, t41, t410, t411, t412, t413, t414, t415, t416, t417, t418, t419
        , t41a, t41b, t41c, t41d, t41e, t41f, t42, t43, t44, t45, t46, t47, t48, t49, t4A, t4B, t4C, t4D, t4E, t4F, t4G, t4H
        , t4I, t4J, t4K, t4L, t4M, t4N, t4O, t4P, t4Q, t4R, t4S, t4T, t4U, t4V, t4W, t4X, t4Y, t4Z, t4a, t4b, t4c, t4d
        , t4e, t4f, t4g, t4h, t4i, t4j, t4k, t4l, t4m, t4n, t4o, t4p, t4q, t4r, t4s, t4t, t4u, t4v, t4w, t4x, t4y, t4z
        , t5, t51, t510, t511, t512, t513, t514, t515, t516, t517, t518, t519, t51a, t51b, t51c, t51d, t51e, t51f, t52, t53, t54, t55
        , t56, t57, t58, t59, t5A, t5B, t5C, t5D, t5E, t5F, t5G, t5H, t5I, t5J, t5K, t5L, t5M, t5N, t5O, t5P, t5Q, t5R
        , t5S, t5T, t5U, t5V, t5W, t5X, t5Y, t5Z, t5a, t5b, t5c, t5d, t5e, t5f, t5g, t5h, t5i, t5j, t5k, t5l, t5m, t5n
        , t5o, t5p, t5q, t5r, t5s, t5t, t5u, t5v, t5w, t5x, t5y, t5z, t6, t61, t610, t611, t612, t613, t614, t615, t616, t617
        , t618, t619, t61a, t61b, t61c, t61d, t61e, t61f, t62, t63, t64, t65, t66, t67, t68, t69, t6A, t6B, t6C, t6D, t6E, t6F
        , t6G, t6H, t6I, t6J, t6K, t6L, t6M, t6N, t6O, t6P, t6Q, t6R, t6S, t6T, t6U, t6V, t6W, t6X, t6Y, t6Z, t6a, t6b
        , t6c, t6d, t6e, t6f, t6g, t6h, t6i, t6j, t6k, t6l, t6m, t6n, t6o, t6p, t6q, t6r, t6s, t6t, t6u, t6v, t6w, t6x
        , t6y, t6z, t7, t71, t710, t711, t712, t713, t714, t715, t716, t717, t718, t719, t71a, t71b, t71c, t71d, t71e, t71f, t72, t73
        , t74, t75, t76, t77, t78, t79, t7A, t7B, t7C, t7D, t7E, t7F, t7G, t7H, t7I, t7J, t7K, t7L, t7M, t7N, t7O, t7P
        , t7Q, t7R, t7S, t7T, t7U, t7V, t7W, t7X, t7Y, t7Z, t7a, t7b, t7c, t7d, t7e, t7f, t7g, t7h, t7i, t7j, t7k, t7l
        , t7m, t7n, t7o, t7p, t7q, t7r, t7s, t7t, t7u, t7v, t7w, t7x, t7y, t7z, t8, t81, t810, t811, t812, t813, t814, t815
        , t816, t817, t818, t819, t81a, t81b, t81c, t81d, t81e, t82, t83, t84, t85, t86, t87, t88, t89, t8A, t8B, t8C, t8D, t8E
        , t8F, t8G, t8H, t8I, t8J, t8K, t8L, t8M, t8N, t8O, t8P, t8Q, t8R, t8S, t8T, t8U, t8V, t8W, t8X, t8Y, t8Z, t8a
        , t8b, t8c, t8d, t8e, t8f, t8g, t8h, t8i, t8j, t8k, t8l, t8m, t8n, t8o, t8p, t8q, t8r, t8s, t8t, t8u, t8v, t8w
        , t8x, t8y, t8z, t9, t91, t910, t911, t912, t913, t914, t915, t916, t917, t918, t919, t91a, t91b, t91c, t91d, t91e, t92, t93
        , t94, t95, t96, t97, t98, t99, t9A, t9B, t9C, t9D, t9E, t9F, t9G, t9H, t9I, t9J, t9K, t9L, t9M, t9N, t9O, t9P
        , t9Q, t9R, t9S, t9T, t9U, t9V, t9W, t9X, t9Y, t9Z, t9a, t9b, t9c, t9d, t9e, t9f, t9g, t9h, t9i, t9j, t9k, t9l
        , t9m, t9n, t9o, t9p, t9q, t9r, t9s, t9t, t9u, t9v, t9w, t9x, t9y, t9z;
    s = LOADU_CPX(src);
    s2 = LOADU_CPX((src + 1024));
    t = ADD_CPX_CPX(s, s2);
    t2 = SUB_CPX_CPX(s, s2);
    s3 = LOADU_CPX((src + 512));
    s4 = LOADU_CPX((src + 1536));
    t3 = ADD_CPX_CPX(s3, s4);
    s5 = MUL_NI_CPX(SUB_CPX_CPX(s3, s4));
    t4 = ADD_CPX_CPX(t, t3);
    t5 = SUB_CPX_CPX(t, t3);
    t6 = ADD_CPX_CPX(t2, s5);
    t7 = SUB_CPX_CPX(t2, s5);
    s6 = LOADU_CPX((src + 256));
    s7 = LOADU_CPX((src + 1792));
    t8 = ADD_CPX_CPX(s6, s7);
    t9 = ADD_CPX_CPX(MUL_I_CPX(s6), MUL_NI_CPX(s7));
    s8 = LOADU_CPX((src + 1280));
    s9 = LOADU_CPX((src + 768));
    t01 = ADD_CPX_CPX(s8, s9);
    t11 = ADD_CPX_CPX(MUL_I_CPX(s8), MUL_NI_CPX(s9));
    t21 = ADD_CPX_CPX(t8, t01);
    t31 = ADD_CPX_CPX(t9, t11);
    a = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8, t01));
    a2 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9, t11));
    s01 = SUB_CPX_CPX(a, a2);
    s11 = ADD_CPX_CPX(a, a2);
    t41 = ADD_CPX_CPX(t4, t21);
    t51 = SUB_CPX_CPX(t5, t31);
    t61 = SUB_CPX_CPX(t4, t21);
    t71 = ADD_CPX_CPX(t5, t31);
    t81 = ADD_CPX_CPX(t6, s01);
    t91 = SUB_CPX_CPX(t7, s11);
    t02 = SUB_CPX_CPX(t6, s01);
    t12 = ADD_CPX_CPX(t7, s11);
    s21 = LOADU_CPX((src + 64));
    s31 = LOADU_CPX((src + 1984));
    t22 = ADD_CPX_CPX(s21, s31);
    t32 = ADD_CPX_CPX(MUL_I_CPX(s21), MUL_NI_CPX(s31));
    s41 = LOADU_CPX((src + 576));
    s51 = LOADU_CPX((src + 1472));
    t42 = ADD_CPX_CPX(s41, s51);
    t52 = ADD_CPX_CPX(MUL_I_CPX(s41), MUL_NI_CPX(s51));
    s61 = LOADU_CPX((src + 1088));
    s71 = LOADU_CPX((src + 960));
    t62 = ADD_CPX_CPX(s61, s71);
    t72 = ADD_CPX_CPX(MUL_I_CPX(s61), MUL_NI_CPX(s71));
    s81 = LOADU_CPX((src + 1600));
    s91 = LOADU_CPX((src + 448));
    t82 = ADD_CPX_CPX(s81, s91);
    t92 = ADD_CPX_CPX(MUL_I_CPX(s81), MUL_NI_CPX(s91));
    t03 = ADD_CPX_CPX(t22, t62);
    t13 = ADD_CPX_CPX(t32, t72);
    t23 = SUB_CPX_CPX(t22, t62);
    t33 = SUB_CPX_CPX(t32, t72);
    t43 = ADD_CPX_CPX(t42, t82);
    t53 = ADD_CPX_CPX(t52, t92);
    t63 = SUB_CPX_CPX(t42, t82);
    t73 = SUB_CPX_CPX(t52, t92);
    t83 = ADD_CPX_CPX(t03, t43);
    t93 = ADD_CPX_CPX(t13, t53);
    t04 = SUB_CPX_CPX(t03, t43);
    t14 = SUB_CPX_CPX(t13, t53);
    t24 = SUB_CPX_CPX(t23, t73);
    t34 = ADD_CPX_CPX(t33, t63);
    t44 = ADD_CPX_CPX(t23, t73);
    t54 = SUB_CPX_CPX(t33, t63);
    s02 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t24), MUL_FLT_CPX(C_FLT(0.19509032201612828), t34));
    s12 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), t24), MUL_FLT_CPX(C_FLT(0.98078528040323043), t34));
    s22 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t04), MUL_FLT_CPX(C_FLT(0.38268343236508978), t14));
    s32 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t04), MUL_FLT_CPX(C_FLT(0.92387953251128674), t14));
    s42 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t44), MUL_FLT_CPX(C_FLT(0.55557023301960218), t54));
    s52 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), t44), MUL_FLT_CPX(C_FLT(0.83146961230254524), t54));
    s62 = LOADU_CPX((src + 128));
    s72 = LOADU_CPX((src + 1920));
    t64 = ADD_CPX_CPX(s62, s72);
    t74 = ADD_CPX_CPX(MUL_I_CPX(s62), MUL_NI_CPX(s72));
    s82 = LOADU_CPX((src + 640));
    s92 = LOADU_CPX((src + 1408));
    t84 = ADD_CPX_CPX(s82, s92);
    t94 = ADD_CPX_CPX(MUL_I_CPX(s82), MUL_NI_CPX(s92));
    s03 = LOADU_CPX((src + 1152));
    s13 = LOADU_CPX((src + 896));
    t05 = ADD_CPX_CPX(s03, s13);
    t15 = ADD_CPX_CPX(MUL_I_CPX(s03), MUL_NI_CPX(s13));
    s23 = LOADU_CPX((src + 1664));
    s33 = LOADU_CPX((src + 384));
    t25 = ADD_CPX_CPX(s23, s33);
    t35 = ADD_CPX_CPX(MUL_I_CPX(s23), MUL_NI_CPX(s33));
    t45 = ADD_CPX_CPX(t64, t05);
    t55 = ADD_CPX_CPX(t74, t15);
    t65 = SUB_CPX_CPX(t64, t05);
    t75 = SUB_CPX_CPX(t74, t15);
    t85 = ADD_CPX_CPX(t84, t25);
    t95 = ADD_CPX_CPX(t94, t35);
    t06 = SUB_CPX_CPX(t84, t25);
    t16 = SUB_CPX_CPX(t94, t35);
    t26 = ADD_CPX_CPX(t45, t85);
    t36 = ADD_CPX_CPX(t55, t95);
    t46 = SUB_CPX_CPX(t65, t16);
    t56 = ADD_CPX_CPX(t75, t06);
    t66 = ADD_CPX_CPX(t65, t16);
    t76 = SUB_CPX_CPX(t75, t06);
    s43 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t46), MUL_FLT_CPX(C_FLT(0.38268343236508978), t56));
    s53 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t46), MUL_FLT_CPX(C_FLT(0.92387953251128674), t56));
    a3 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t45, t85));
    a4 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t55, t95));
    s63 = SUB_CPX_CPX(a3, a4);
    s73 = ADD_CPX_CPX(a3, a4);
    s83 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t66), MUL_FLT_CPX(C_FLT(0.92387953251128674), t76));
    s93 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t66), MUL_FLT_CPX(C_FLT(0.38268343236508978), t76));
    s04 = LOADU_CPX((src + 192));
    s14 = LOADU_CPX((src + 1856));
    t86 = ADD_CPX_CPX(s04, s14);
    t96 = ADD_CPX_CPX(MUL_I_CPX(s04), MUL_NI_CPX(s14));
    s24 = LOADU_CPX((src + 704));
    s34 = LOADU_CPX((src + 1344));
    t07 = ADD_CPX_CPX(s24, s34);
    t17 = ADD_CPX_CPX(MUL_I_CPX(s24), MUL_NI_CPX(s34));
    s44 = LOADU_CPX((src + 1216));
    s54 = LOADU_CPX((src + 832));
    t27 = ADD_CPX_CPX(s44, s54);
    t37 = ADD_CPX_CPX(MUL_I_CPX(s44), MUL_NI_CPX(s54));
    s64 = LOADU_CPX((src + 1728));
    s74 = LOADU_CPX((src + 320));
    t47 = ADD_CPX_CPX(s64, s74);
    t57 = ADD_CPX_CPX(MUL_I_CPX(s64), MUL_NI_CPX(s74));
    t67 = ADD_CPX_CPX(t86, t27);
    t77 = ADD_CPX_CPX(t96, t37);
    t87 = SUB_CPX_CPX(t86, t27);
    t97 = SUB_CPX_CPX(t96, t37);
    t08 = ADD_CPX_CPX(t07, t47);
    t18 = ADD_CPX_CPX(t17, t57);
    t28 = SUB_CPX_CPX(t07, t47);
    t38 = SUB_CPX_CPX(t17, t57);
    t48 = ADD_CPX_CPX(t67, t08);
    t58 = ADD_CPX_CPX(t77, t18);
    t68 = SUB_CPX_CPX(t67, t08);
    t78 = SUB_CPX_CPX(t77, t18);
    t88 = SUB_CPX_CPX(t87, t38);
    t98 = ADD_CPX_CPX(t97, t28);
    t09 = ADD_CPX_CPX(t87, t38);
    t19 = SUB_CPX_CPX(t97, t28);
    s84 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t88), MUL_FLT_CPX(C_FLT(0.55557023301960218), t98));
    s94 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), t88), MUL_FLT_CPX(C_FLT(0.83146961230254524), t98));
    s05 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t68), MUL_FLT_CPX(C_FLT(0.92387953251128674), t78));
    s15 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t68), MUL_FLT_CPX(C_FLT(0.38268343236508978), t78));
    s25 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), t09), MUL_FLT_CPX(C_FLT(0.98078528040323043), t19));
    s35 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t09), MUL_FLT_CPX(C_FLT(0.19509032201612828), t19));
    t29 = ADD_CPX_CPX(t41, t26);
    t39 = SUB_CPX_CPX(t61, t36);
    t49 = SUB_CPX_CPX(t41, t26);
    t59 = ADD_CPX_CPX(t61, t36);
    t69 = ADD_CPX_CPX(t83, t48);
    t79 = SUB_CPX_CPX(t93, t58);
    a5 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t83, t48));
    a6 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t93, t58));
    s45 = SUB_CPX_CPX(a5, a6);
    s55 = ADD_CPX_CPX(a5, a6);
    *(T) = ADD_CPX_CPX(t29, t69);
    *((T + 8)) = SUB_CPX_CPX(t49, t79);
    *((T + 16)) = SUB_CPX_CPX(t29, t69);
    *((T + 24)) = ADD_CPX_CPX(t49, t79);
    *((T + 4)) = ADD_CPX_CPX(t39, s45);
    *((T + 12)) = SUB_CPX_CPX(t59, s55);
    *((T + 20)) = SUB_CPX_CPX(t39, s45);
    *((T + 28)) = ADD_CPX_CPX(t59, s55);
    t89 = ADD_CPX_CPX(t81, s43);
    t99 = SUB_CPX_CPX(t02, s53);
    t0a = SUB_CPX_CPX(t81, s43);
    t1a = ADD_CPX_CPX(t02, s53);
    t2a = ADD_CPX_CPX(s02, s84);
    t3a = SUB_CPX_CPX(s12, s94);
    a7 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s02, s84));
    a8 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s12, s94));
    s65 = SUB_CPX_CPX(a7, a8);
    s75 = ADD_CPX_CPX(a7, a8);
    *((T + 1)) = ADD_CPX_CPX(t89, t2a);
    *((T + 9)) = SUB_CPX_CPX(t0a, t3a);
    *((T + 17)) = SUB_CPX_CPX(t89, t2a);
    *((T + 25)) = ADD_CPX_CPX(t0a, t3a);
    *((T + 5)) = ADD_CPX_CPX(t99, s65);
    *((T + 13)) = SUB_CPX_CPX(t1a, s75);
    *((T + 21)) = SUB_CPX_CPX(t99, s65);
    *((T + 29)) = ADD_CPX_CPX(t1a, s75);
    t4a = ADD_CPX_CPX(t51, s63);
    t5a = SUB_CPX_CPX(t71, s73);
    t6a = SUB_CPX_CPX(t51, s63);
    t7a = ADD_CPX_CPX(t71, s73);
    t8a = ADD_CPX_CPX(s22, s05);
    t9a = SUB_CPX_CPX(s32, s15);
    a9 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s22, s05));
    a01 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s32, s15));
    s85 = SUB_CPX_CPX(a9, a01);
    s95 = ADD_CPX_CPX(a9, a01);
    *((T + 2)) = ADD_CPX_CPX(t4a, t8a);
    *((T + 10)) = SUB_CPX_CPX(t6a, t9a);
    *((T + 18)) = SUB_CPX_CPX(t4a, t8a);
    *((T + 26)) = ADD_CPX_CPX(t6a, t9a);
    *((T + 6)) = ADD_CPX_CPX(t5a, s85);
    *((T + 14)) = SUB_CPX_CPX(t7a, s95);
    *((T + 22)) = SUB_CPX_CPX(t5a, s85);
    *((T + 30)) = ADD_CPX_CPX(t7a, s95);
    t0b = ADD_CPX_CPX(t91, s83);
    t1b = SUB_CPX_CPX(t12, s93);
    t2b = SUB_CPX_CPX(t91, s83);
    t3b = ADD_CPX_CPX(t12, s93);
    t4b = SUB_CPX_CPX(s42, s25);
    t5b = SUB_CPX_CPX(s52, s35);
    a11 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s42, s25));
    a21 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s52, s35));
    s06 = SUB_CPX_CPX(a11, a21);
    s16 = ADD_CPX_CPX(a11, a21);
    *((T + 3)) = ADD_CPX_CPX(t0b, t4b);
    *((T + 11)) = SUB_CPX_CPX(t2b, t5b);
    *((T + 19)) = SUB_CPX_CPX(t0b, t4b);
    *((T + 27)) = ADD_CPX_CPX(t2b, t5b);
    *((T + 7)) = ADD_CPX_CPX(t1b, s06);
    *((T + 15)) = SUB_CPX_CPX(t3b, s16);
    *((T + 23)) = SUB_CPX_CPX(t1b, s06);
    *((T + 31)) = ADD_CPX_CPX(t3b, s16);
    {long i; for(i = 0; i <= 62; i++) {
        b = (src + i);
        s26 = LOADU_CPX((b + 1));
        a31 = (1 + i);
        s36 = LOADU_CPX((src + (2048 - a31)));
        t6b = ADD_CPX_CPX(s26, s36);
        t7b = ADD_CPX_CPX(MUL_I_CPX(s26), MUL_NI_CPX(s36));
        s46 = LOADU_CPX((b + 129));
        s56 = LOADU_CPX((src + (1920 - a31)));
        t8b = ADD_CPX_CPX(s46, s56);
        t9b = ADD_CPX_CPX(MUL_I_CPX(s46), MUL_NI_CPX(s56));
        s66 = LOADU_CPX((b + 257));
        s76 = LOADU_CPX((src + (1792 - a31)));
        t0c = ADD_CPX_CPX(s66, s76);
        t1c = ADD_CPX_CPX(MUL_I_CPX(s66), MUL_NI_CPX(s76));
        s86 = LOADU_CPX((b + 385));
        s96 = LOADU_CPX((src + (1664 - a31)));
        t2c = ADD_CPX_CPX(s86, s96);
        t3c = ADD_CPX_CPX(MUL_I_CPX(s86), MUL_NI_CPX(s96));
        s07 = LOADU_CPX((b + 513));
        s17 = LOADU_CPX((src + (1536 - a31)));
        t4c = ADD_CPX_CPX(s07, s17);
        t5c = ADD_CPX_CPX(MUL_I_CPX(s07), MUL_NI_CPX(s17));
        s27 = LOADU_CPX((b + 641));
        s37 = LOADU_CPX((src + (1408 - a31)));
        t6c = ADD_CPX_CPX(s27, s37);
        t7c = ADD_CPX_CPX(MUL_I_CPX(s27), MUL_NI_CPX(s37));
        s47 = LOADU_CPX((b + 769));
        s57 = LOADU_CPX((src + (1280 - a31)));
        t8c = ADD_CPX_CPX(s47, s57);
        t9c = ADD_CPX_CPX(MUL_I_CPX(s47), MUL_NI_CPX(s57));
        s67 = LOADU_CPX((b + 897));
        s77 = LOADU_CPX((src + (1152 - a31)));
        t0d = ADD_CPX_CPX(s67, s77);
        t1d = ADD_CPX_CPX(MUL_I_CPX(s67), MUL_NI_CPX(s77));
        s87 = LOADU_CPX((b + 1025));
        s97 = LOADU_CPX((src + (1024 - a31)));
        t2d = ADD_CPX_CPX(s87, s97);
        t3d = ADD_CPX_CPX(MUL_I_CPX(s87), MUL_NI_CPX(s97));
        s08 = LOADU_CPX((b + 1153));
        s18 = LOADU_CPX((src + (896 - a31)));
        t4d = ADD_CPX_CPX(s08, s18);
        t5d = ADD_CPX_CPX(MUL_I_CPX(s08), MUL_NI_CPX(s18));
        s28 = LOADU_CPX((b + 1281));
        s38 = LOADU_CPX((src + (768 - a31)));
        t6d = ADD_CPX_CPX(s28, s38);
        t7d = ADD_CPX_CPX(MUL_I_CPX(s28), MUL_NI_CPX(s38));
        s48 = LOADU_CPX((b + 1409));
        s58 = LOADU_CPX((src + (640 - a31)));
        t8d = ADD_CPX_CPX(s48, s58);
        t9d = ADD_CPX_CPX(MUL_I_CPX(s48), MUL_NI_CPX(s58));
        s68 = LOADU_CPX((b + 1537));
        s78 = LOADU_CPX((src + (512 - a31)));
        t0e = ADD_CPX_CPX(s68, s78);
        t1e = ADD_CPX_CPX(MUL_I_CPX(s68), MUL_NI_CPX(s78));
        s88 = LOADU_CPX((b + 1665));
        s98 = LOADU_CPX((src + (384 - a31)));
        t2e = ADD_CPX_CPX(s88, s98);
        t3e = ADD_CPX_CPX(MUL_I_CPX(s88), MUL_NI_CPX(s98));
        s09 = LOADU_CPX((b + 1793));
        s19 = LOADU_CPX((src + (256 - a31)));
        t4e = ADD_CPX_CPX(s09, s19);
        t5e = ADD_CPX_CPX(MUL_I_CPX(s09), MUL_NI_CPX(s19));
        s29 = LOADU_CPX((b + 1921));
        s39 = LOADU_CPX((src + (128 - a31)));
        t6e = ADD_CPX_CPX(s29, s39);
        t7e = ADD_CPX_CPX(MUL_I_CPX(s29), MUL_NI_CPX(s39));
        t8e = ADD_CPX_CPX(t6b, t2d);
        t9e = ADD_CPX_CPX(t7b, t3d);
        t0f = SUB_CPX_CPX(t6b, t2d);
        t1f = SUB_CPX_CPX(t7b, t3d);
        t2f = ADD_CPX_CPX(t4c, t0e);
        t3f = ADD_CPX_CPX(t5c, t1e);
        t4f = SUB_CPX_CPX(t4c, t0e);
        t5f = SUB_CPX_CPX(t5c, t1e);
        t6f = ADD_CPX_CPX(t8e, t2f);
        t7f = ADD_CPX_CPX(t9e, t3f);
        t8f = SUB_CPX_CPX(t8e, t2f);
        t9f = SUB_CPX_CPX(t9e, t3f);
        t0g = SUB_CPX_CPX(t0f, t5f);
        t1g = ADD_CPX_CPX(t1f, t4f);
        t2g = ADD_CPX_CPX(t0f, t5f);
        t3g = SUB_CPX_CPX(t1f, t4f);
        t4g = ADD_CPX_CPX(t0c, t4e);
        t5g = ADD_CPX_CPX(t1c, t5e);
        t6g = SUB_CPX_CPX(t1c, t5e);
        t7g = SUB_CPX_CPX(t4e, t0c);
        t8g = ADD_CPX_CPX(t6d, t8c);
        t9g = ADD_CPX_CPX(t7d, t9c);
        t0h = SUB_CPX_CPX(t7d, t9c);
        t1h = SUB_CPX_CPX(t8c, t6d);
        s49 = ADD_CPX_CPX(t4g, t8g);
        s59 = ADD_CPX_CPX(t5g, t9g);
        s69 = ADD_CPX_CPX(t6g, t0h);
        s79 = ADD_CPX_CPX(t7g, t1h);
        a41 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t4g, t8g));
        a51 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t6g, t0h));
        t2h = SUB_CPX_CPX(a41, a51);
        a61 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t5g, t9g));
        a71 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t7g, t1h));
        t3h = SUB_CPX_CPX(a61, a71);
        t4h = ADD_CPX_CPX(a41, a51);
        t5h = ADD_CPX_CPX(a61, a71);
        s89 = ADD_CPX_CPX(t6f, s49);
        s99 = ADD_CPX_CPX(t7f, s59);
        s0a = SUB_CPX_CPX(t8f, s69);
        s1a = SUB_CPX_CPX(t9f, s79);
        s2a = SUB_CPX_CPX(t6f, s49);
        s3a = SUB_CPX_CPX(t7f, s59);
        s4a = ADD_CPX_CPX(t8f, s69);
        s5a = ADD_CPX_CPX(t9f, s79);
        s6a = ADD_CPX_CPX(t0g, t2h);
        s7a = ADD_CPX_CPX(t1g, t3h);
        s8a = SUB_CPX_CPX(t2g, t4h);
        s9a = SUB_CPX_CPX(t3g, t5h);
        s0b = SUB_CPX_CPX(t0g, t2h);
        s1b = SUB_CPX_CPX(t1g, t3h);
        s2b = ADD_CPX_CPX(t2g, t4h);
        s3b = ADD_CPX_CPX(t3g, t5h);
        t6h = ADD_CPX_CPX(t8b, t6e);
        t7h = ADD_CPX_CPX(t9b, t7e);
        t8h = SUB_CPX_CPX(t9b, t7e);
        t9h = SUB_CPX_CPX(t6e, t8b);
        t0i = ADD_CPX_CPX(t6c, t8d);
        t1i = ADD_CPX_CPX(t7c, t9d);
        t2i = SUB_CPX_CPX(t7c, t9d);
        t3i = SUB_CPX_CPX(t8d, t6c);
        t4i = ADD_CPX_CPX(t4d, t0d);
        t5i = ADD_CPX_CPX(t5d, t1d);
        t6i = SUB_CPX_CPX(t5d, t1d);
        t7i = SUB_CPX_CPX(t0d, t4d);
        t8i = ADD_CPX_CPX(t2e, t2c);
        t9i = ADD_CPX_CPX(t3e, t3c);
        t0j = SUB_CPX_CPX(t3e, t3c);
        t1j = SUB_CPX_CPX(t2c, t2e);
        s4b = ADD_CPX_CPX(t6h, t4i);
        s5b = ADD_CPX_CPX(t7h, t5i);
        s6b = ADD_CPX_CPX(t8h, t6i);
        s7b = ADD_CPX_CPX(t9h, t7i);
        s8b = SUB_CPX_CPX(t6h, t4i);
        s9b = SUB_CPX_CPX(t7h, t5i);
        s0c = SUB_CPX_CPX(t8h, t6i);
        s1c = SUB_CPX_CPX(t9h, t7i);
        s2c = ADD_CPX_CPX(t0i, t8i);
        s3c = ADD_CPX_CPX(t1i, t9i);
        s4c = ADD_CPX_CPX(t2i, t0j);
        s5c = ADD_CPX_CPX(t3i, t1j);
        s6c = SUB_CPX_CPX(t0i, t8i);
        s7c = SUB_CPX_CPX(t1i, t9i);
        s8c = SUB_CPX_CPX(t2i, t0j);
        s9c = SUB_CPX_CPX(t3i, t1j);
        s0d = ADD_CPX_CPX(s4b, s2c);
        s1d = ADD_CPX_CPX(s5b, s3c);
        s2d = ADD_CPX_CPX(s6b, s4c);
        s3d = ADD_CPX_CPX(s7b, s5c);
        s4d = SUB_CPX_CPX(s8b, s8c);
        s5d = SUB_CPX_CPX(s9b, s9c);
        s6d = ADD_CPX_CPX(s0c, s6c);
        s7d = ADD_CPX_CPX(s1c, s7c);
        s8d = ADD_CPX_CPX(s8b, s8c);
        s9d = ADD_CPX_CPX(s9b, s9c);
        s0e = SUB_CPX_CPX(s0c, s6c);
        s1e = SUB_CPX_CPX(s1c, s7c);
        t2j = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s4d), MUL_FLT_CPX(C_FLT(0.38268343236508978), s6d));
        t3j = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s5d), MUL_FLT_CPX(C_FLT(0.38268343236508978), s7d));
        t4j = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s4d), MUL_FLT_CPX(C_FLT(0.92387953251128674), s6d));
        t5j = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s5d), MUL_FLT_CPX(C_FLT(0.92387953251128674), s7d));
        a81 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4b, s2c));
        a91 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s6b, s4c));
        t6j = SUB_CPX_CPX(a81, a91);
        a02 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s5b, s3c));
        a12 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s7b, s5c));
        t7j = SUB_CPX_CPX(a02, a12);
        t8j = ADD_CPX_CPX(a81, a91);
        t9j = ADD_CPX_CPX(a02, a12);
        t0k = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s8d), MUL_FLT_CPX(C_FLT(0.92387953251128674), s0e));
        t1k = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s9d), MUL_FLT_CPX(C_FLT(0.92387953251128674), s1e));
        t2k = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s8d), MUL_FLT_CPX(C_FLT(0.38268343236508978), s0e));
        t3k = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s9d), MUL_FLT_CPX(C_FLT(0.38268343236508978), s1e));
        s2e = SUB_CPX_CPX(s2a, s2d);
        s3e = SUB_CPX_CPX(s3a, s3d);
        s4e = SUB_CPX_CPX(s89, s0d);
        s5e = SUB_CPX_CPX(s99, s1d);
        s6e = ADD_CPX_CPX(s2a, s2d);
        s7e = ADD_CPX_CPX(s3a, s3d);
        s8e = ADD_CPX_CPX(s6a, t2j);
        s9e = ADD_CPX_CPX(s7a, t3j);
        s0f = SUB_CPX_CPX(s0b, t4j);
        s1f = SUB_CPX_CPX(s1b, t5j);
        s2f = SUB_CPX_CPX(s6a, t2j);
        s3f = SUB_CPX_CPX(s7a, t3j);
        s4f = ADD_CPX_CPX(s0b, t4j);
        s5f = ADD_CPX_CPX(s1b, t5j);
        s6f = ADD_CPX_CPX(s0a, t6j);
        s7f = ADD_CPX_CPX(s1a, t7j);
        s8f = SUB_CPX_CPX(s4a, t8j);
        s9f = SUB_CPX_CPX(s5a, t9j);
        s0g = SUB_CPX_CPX(s0a, t6j);
        s1g = SUB_CPX_CPX(s1a, t7j);
        s2g = ADD_CPX_CPX(s4a, t8j);
        s3g = ADD_CPX_CPX(s5a, t9j);
        s4g = ADD_CPX_CPX(s8a, t0k);
        s5g = ADD_CPX_CPX(s9a, t1k);
        s6g = SUB_CPX_CPX(s2b, t2k);
        s7g = SUB_CPX_CPX(s3b, t3k);
        s8g = SUB_CPX_CPX(s8a, t0k);
        s9g = SUB_CPX_CPX(s9a, t1k);
        s0h = ADD_CPX_CPX(s2b, t2k);
        s1h = ADD_CPX_CPX(s3b, t3k);
        b2 = (T + (32*i));
        *((b2 + 32)) = ADD_CPX_CPX(s89, s0d);
        *((b2 + 48)) = ADD_CPX_CPX(s99, s1d);
        a22 = (D1003 + (30*i));
        a32 = (a22 + 1);
        a42 = (a22 + 2);
        a52 = (a22 + 3);
        a62 = (a22 + 4);
        a72 = (a22 + 5);
        a82 = (a22 + 6);
        a92 = (a22 + 7);
        a03 = (a22 + 8);
        a13 = (a22 + 9);
        a23 = (a22 + 10);
        a33 = (a22 + 11);
        a43 = (a22 + 12);
        a53 = (a22 + 13);
        a63 = (a22 + 14);
        a73 = (a22 + 15);
        a83 = (a22 + 16);
        a93 = (a22 + 17);
        a04 = (a22 + 18);
        a14 = (a22 + 19);
        a24 = (a22 + 20);
        a34 = (a22 + 21);
        a44 = (a22 + 22);
        a54 = (a22 + 23);
        a64 = (a22 + 24);
        a74 = (a22 + 25);
        a84 = (a22 + 26);
        a94 = (a22 + 27);
        a05 = (a22 + 28);
        a15 = (a22 + 29);
        *((b2 + 33)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a22), s8e), MUL_FLT_CPX(*(a32), s9e));
        *((b2 + 49)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a32), s8e), MUL_FLT_CPX(*(a22), s9e));
        *((b2 + 34)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a42), s6f), MUL_FLT_CPX(*(a52), s7f));
        *((b2 + 50)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a52), s6f), MUL_FLT_CPX(*(a42), s7f));
        *((b2 + 35)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a62), s4g), MUL_FLT_CPX(*(a72), s5g));
        *((b2 + 51)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a72), s4g), MUL_FLT_CPX(*(a62), s5g));
        *((b2 + 36)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a82), s2e), MUL_FLT_CPX(*(a92), s3e));
        *((b2 + 52)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a92), s2e), MUL_FLT_CPX(*(a82), s3e));
        *((b2 + 37)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a03), s0f), MUL_FLT_CPX(*(a13), s1f));
        *((b2 + 53)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a13), s0f), MUL_FLT_CPX(*(a03), s1f));
        *((b2 + 38)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a23), s8f), MUL_FLT_CPX(*(a33), s9f));
        *((b2 + 54)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a33), s8f), MUL_FLT_CPX(*(a23), s9f));
        *((b2 + 39)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a43), s6g), MUL_FLT_CPX(*(a53), s7g));
        *((b2 + 55)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a53), s6g), MUL_FLT_CPX(*(a43), s7g));
        *((b2 + 40)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a63), s4e), MUL_FLT_CPX(*(a73), s5e));
        *((b2 + 56)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a73), s4e), MUL_FLT_CPX(*(a63), s5e));
        *((b2 + 41)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a83), s2f), MUL_FLT_CPX(*(a93), s3f));
        *((b2 + 57)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a93), s2f), MUL_FLT_CPX(*(a83), s3f));
        *((b2 + 42)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a04), s0g), MUL_FLT_CPX(*(a14), s1g));
        *((b2 + 58)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a14), s0g), MUL_FLT_CPX(*(a04), s1g));
        *((b2 + 43)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a24), s8g), MUL_FLT_CPX(*(a34), s9g));
        *((b2 + 59)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a34), s8g), MUL_FLT_CPX(*(a24), s9g));
        *((b2 + 44)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a44), s6e), MUL_FLT_CPX(*(a54), s7e));
        *((b2 + 60)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a54), s6e), MUL_FLT_CPX(*(a44), s7e));
        *((b2 + 45)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a64), s4f), MUL_FLT_CPX(*(a74), s5f));
        *((b2 + 61)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a74), s4f), MUL_FLT_CPX(*(a64), s5f));
        *((b2 + 46)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a84), s2g), MUL_FLT_CPX(*(a94), s3g));
        *((b2 + 62)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a94), s2g), MUL_FLT_CPX(*(a84), s3g));
        *((b2 + 47)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a05), s0h), MUL_FLT_CPX(*(a15), s1h));
        *((b2 + 63)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a15), s0h), MUL_FLT_CPX(*(a05), s1h));
    }}
    {long i2; for(i2 = 0; i2 <= 15; i2++) {
        a25 = (T + i2);
        a35 = (a25 + 16);
        a45 = (a25 + 1024);
        a55 = (a25 + 1040);
        t4k = ADD_CPX_CPX(*(a25), *(a45));
        t5k = SUB_CPX_CPX(*(a35), *(a55));
        t6k = SUB_CPX_CPX(*(a25), *(a45));
        t7k = ADD_CPX_CPX(*(a35), *(a55));
        a65 = (a25 + 256);
        a75 = (a25 + 272);
        a85 = (a25 + 1792);
        a95 = (a25 + 1808);
        t8k = ADD_CPX_CPX(*(a65), *(a85));
        t9k = SUB_CPX_CPX(*(a75), *(a95));
        t0l = SUB_CPX_CPX(*(a65), *(a85));
        t1l = ADD_CPX_CPX(*(a75), *(a95));
        s2h = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t0l), MUL_FLT_CPX(C_FLT(0.38268343236508978), t1l));
        s3h = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t0l), MUL_FLT_CPX(C_FLT(0.92387953251128674), t1l));
        a06 = (a25 + 512);
        a16 = (a25 + 528);
        a26 = (a25 + 1536);
        a36 = (a25 + 1552);
        t2l = ADD_CPX_CPX(*(a06), *(a26));
        t3l = SUB_CPX_CPX(*(a16), *(a36));
        a46 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a06), *(a26)));
        a56 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(*(a16), *(a36)));
        s4h = SUB_CPX_CPX(a46, a56);
        s5h = ADD_CPX_CPX(a46, a56);
        a66 = (a25 + 768);
        a76 = (a25 + 784);
        a86 = (a25 + 1280);
        a96 = (a25 + 1296);
        t4l = ADD_CPX_CPX(*(a66), *(a86));
        t5l = SUB_CPX_CPX(*(a76), *(a96));
        t6l = SUB_CPX_CPX(*(a66), *(a86));
        t7l = ADD_CPX_CPX(*(a76), *(a96));
        s6h = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t6l), MUL_FLT_CPX(C_FLT(0.92387953251128674), t7l));
        s7h = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t6l), MUL_FLT_CPX(C_FLT(0.38268343236508978), t7l));
        t8l = ADD_CPX_CPX(t4k, t2l);
        t9l = SUB_CPX_CPX(t6k, t3l);
        t0m = SUB_CPX_CPX(t4k, t2l);
        t1m = ADD_CPX_CPX(t6k, t3l);
        t2m = ADD_CPX_CPX(t8k, t4l);
        t3m = SUB_CPX_CPX(t9k, t5l);
        a07 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8k, t4l));
        a17 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t9k, t5l));
        s8h = SUB_CPX_CPX(a07, a17);
        s9h = ADD_CPX_CPX(a07, a17);
        t4m = ADD_CPX_CPX(t8l, t2m);
        t5m = SUB_CPX_CPX(t0m, t3m);
        t6m = SUB_CPX_CPX(t8l, t2m);
        t7m = ADD_CPX_CPX(t0m, t3m);
        t8m = ADD_CPX_CPX(t9l, s8h);
        t9m = SUB_CPX_CPX(t1m, s9h);
        t0n = SUB_CPX_CPX(t9l, s8h);
        t1n = ADD_CPX_CPX(t1m, s9h);
        t2n = ADD_CPX_CPX(t5k, s4h);
        t3n = SUB_CPX_CPX(t7k, s5h);
        t4n = SUB_CPX_CPX(t5k, s4h);
        t5n = ADD_CPX_CPX(t7k, s5h);
        t6n = ADD_CPX_CPX(s2h, s6h);
        t7n = SUB_CPX_CPX(s3h, s7h);
        a27 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s2h, s6h));
        a37 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s3h, s7h));
        s0i = SUB_CPX_CPX(a27, a37);
        s1i = ADD_CPX_CPX(a27, a37);
        t8n = ADD_CPX_CPX(t2n, t6n);
        t9n = SUB_CPX_CPX(t4n, t7n);
        t0o = SUB_CPX_CPX(t2n, t6n);
        t1o = ADD_CPX_CPX(t4n, t7n);
        t2o = ADD_CPX_CPX(t3n, s0i);
        t3o = SUB_CPX_CPX(t5n, s1i);
        t4o = SUB_CPX_CPX(t3n, s0i);
        t5o = ADD_CPX_CPX(t5n, s1i);
        a47 = (a25 + 32);
        a57 = (a25 + 48);
        a67 = (a25 + 2016);
        a77 = (a25 + 2032);
        t6o = ADD_CPX_CPX(*(a47), *(a67));
        t7o = SUB_CPX_CPX(*(a57), *(a77));
        t8o = SUB_CPX_CPX(*(a47), *(a67));
        t9o = ADD_CPX_CPX(*(a57), *(a77));
        a87 = (a25 + 1056);
        a97 = (a25 + 1072);
        a08 = (a25 + 992);
        a18 = (a25 + 1008);
        t0p = ADD_CPX_CPX(*(a87), *(a08));
        t1p = SUB_CPX_CPX(*(a97), *(a18));
        t2p = SUB_CPX_CPX(*(a87), *(a08));
        t3p = ADD_CPX_CPX(*(a97), *(a18));
        t4p = ADD_CPX_CPX(t6o, t0p);
        t5p = ADD_CPX_CPX(t7o, t1p);
        t6p = SUB_CPX_CPX(t6o, t0p);
        t7p = SUB_CPX_CPX(t7o, t1p);
        t8p = SUB_CPX_CPX(t8o, t3p);
        t9p = ADD_CPX_CPX(t9o, t2p);
        t0q = ADD_CPX_CPX(t8o, t3p);
        t1q = SUB_CPX_CPX(t9o, t2p);
        a28 = (a25 + 544);
        a38 = (a25 + 560);
        a48 = (a25 + 480);
        a58 = (a25 + 496);
        t2q = ADD_CPX_CPX(*(a28), *(a48));
        t3q = SUB_CPX_CPX(*(a38), *(a58));
        t4q = ADD_CPX_CPX(*(a38), *(a58));
        t5q = SUB_CPX_CPX(*(a48), *(a28));
        a68 = (a25 + 1504);
        a78 = (a25 + 1520);
        a88 = (a25 + 1568);
        a98 = (a25 + 1584);
        t6q = ADD_CPX_CPX(*(a68), *(a88));
        t7q = SUB_CPX_CPX(*(a98), *(a78));
        t8q = ADD_CPX_CPX(*(a78), *(a98));
        t9q = SUB_CPX_CPX(*(a88), *(a68));
        s2i = ADD_CPX_CPX(t2q, t6q);
        s3i = ADD_CPX_CPX(t3q, t7q);
        s4i = SUB_CPX_CPX(t4q, t8q);
        s5i = ADD_CPX_CPX(t5q, t9q);
        a09 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2q, t6q));
        a19 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t4q, t8q));
        t0r = SUB_CPX_CPX(a09, a19);
        a29 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3q, t7q));
        a39 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t5q, t9q));
        t1r = SUB_CPX_CPX(a29, a39);
        t2r = ADD_CPX_CPX(a09, a19);
        t3r = ADD_CPX_CPX(a29, a39);
        s6i = ADD_CPX_CPX(t4p, s2i);
        s7i = ADD_CPX_CPX(t5p, s3i);
        s8i = SUB_CPX_CPX(t6p, s4i);
        s9i = SUB_CPX_CPX(t7p, s5i);
        s0j = SUB_CPX_CPX(t4p, s2i);
        s1j = SUB_CPX_CPX(t5p, s3i);
        s2j = ADD_CPX_CPX(t6p, s4i);
        s3j = ADD_CPX_CPX(t7p, s5i);
        s4j = ADD_CPX_CPX(t8p, t0r);
        s5j = ADD_CPX_CPX(t9p, t1r);
        s6j = SUB_CPX_CPX(t0q, t2r);
        s7j = SUB_CPX_CPX(t1q, t3r);
        s8j = SUB_CPX_CPX(t8p, t0r);
        s9j = SUB_CPX_CPX(t9p, t1r);
        s0k = ADD_CPX_CPX(t0q, t2r);
        s1k = ADD_CPX_CPX(t1q, t3r);
        s2k = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99879545620517241), s4j), MUL_FLT_CPX(C_FLT(0.049067674327418015), s5j));
        s3k = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.049067674327418015), s4j), MUL_FLT_CPX(C_FLT(0.99879545620517241), s5j));
        s4k = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), s8i), MUL_FLT_CPX(C_FLT(0.098017140329560604), s9i));
        s5k = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), s8i), MUL_FLT_CPX(C_FLT(0.99518472667219693), s9i));
        s6k = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s6j), MUL_FLT_CPX(C_FLT(0.14673047445536175), s7j));
        s7k = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.14673047445536175), s6j), MUL_FLT_CPX(C_FLT(0.98917650996478101), s7j));
        s8k = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s0j), MUL_FLT_CPX(C_FLT(0.19509032201612828), s1j));
        s9k = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s0j), MUL_FLT_CPX(C_FLT(0.98078528040323043), s1j));
        s0l = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.97003125319454397), s8j), MUL_FLT_CPX(C_FLT(0.2429801799032639), s9j));
        s1l = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.2429801799032639), s8j), MUL_FLT_CPX(C_FLT(0.97003125319454397), s9j));
        s2l = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s2j), MUL_FLT_CPX(C_FLT(0.29028467725446239), s3j));
        s3l = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.29028467725446239), s2j), MUL_FLT_CPX(C_FLT(0.95694033573220882), s3j));
        s4l = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), s0k), MUL_FLT_CPX(C_FLT(0.33688985339222005), s1k));
        s5l = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.33688985339222005), s0k), MUL_FLT_CPX(C_FLT(0.94154406518302081), s1k));
        a49 = (a25 + 64);
        a59 = (a25 + 80);
        a69 = (a25 + 1984);
        a79 = (a25 + 2000);
        t4r = ADD_CPX_CPX(*(a49), *(a69));
        t5r = SUB_CPX_CPX(*(a59), *(a79));
        t6r = SUB_CPX_CPX(*(a49), *(a69));
        t7r = ADD_CPX_CPX(*(a59), *(a79));
        a89 = (a25 + 1088);
        a99 = (a25 + 1104);
        a0a = (a25 + 960);
        a1a = (a25 + 976);
        t8r = ADD_CPX_CPX(*(a89), *(a0a));
        t9r = SUB_CPX_CPX(*(a99), *(a1a));
        t0s = SUB_CPX_CPX(*(a89), *(a0a));
        t1s = ADD_CPX_CPX(*(a99), *(a1a));
        t2s = ADD_CPX_CPX(t4r, t8r);
        t3s = ADD_CPX_CPX(t5r, t9r);
        t4s = SUB_CPX_CPX(t4r, t8r);
        t5s = SUB_CPX_CPX(t5r, t9r);
        t6s = SUB_CPX_CPX(t6r, t1s);
        t7s = ADD_CPX_CPX(t7r, t0s);
        t8s = ADD_CPX_CPX(t6r, t1s);
        t9s = SUB_CPX_CPX(t7r, t0s);
        a2a = (a25 + 576);
        a3a = (a25 + 592);
        a4a = (a25 + 448);
        a5a = (a25 + 464);
        t0t = ADD_CPX_CPX(*(a2a), *(a4a));
        t1t = SUB_CPX_CPX(*(a3a), *(a5a));
        t2t = ADD_CPX_CPX(*(a3a), *(a5a));
        t3t = SUB_CPX_CPX(*(a4a), *(a2a));
        a6a = (a25 + 1472);
        a7a = (a25 + 1488);
        a8a = (a25 + 1600);
        a9a = (a25 + 1616);
        t4t = ADD_CPX_CPX(*(a6a), *(a8a));
        t5t = SUB_CPX_CPX(*(a9a), *(a7a));
        t6t = ADD_CPX_CPX(*(a7a), *(a9a));
        t7t = SUB_CPX_CPX(*(a8a), *(a6a));
        s6l = ADD_CPX_CPX(t0t, t4t);
        s7l = ADD_CPX_CPX(t1t, t5t);
        s8l = SUB_CPX_CPX(t2t, t6t);
        s9l = ADD_CPX_CPX(t3t, t7t);
        a0b = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0t, t4t));
        a1b = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t2t, t6t));
        t8t = SUB_CPX_CPX(a0b, a1b);
        a2b = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t1t, t5t));
        a3b = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3t, t7t));
        t9t = SUB_CPX_CPX(a2b, a3b);
        t0u = ADD_CPX_CPX(a0b, a1b);
        t1u = ADD_CPX_CPX(a2b, a3b);
        s0m = ADD_CPX_CPX(t2s, s6l);
        s1m = ADD_CPX_CPX(t3s, s7l);
        s2m = SUB_CPX_CPX(t4s, s8l);
        s3m = SUB_CPX_CPX(t5s, s9l);
        s4m = SUB_CPX_CPX(t2s, s6l);
        s5m = SUB_CPX_CPX(t3s, s7l);
        s6m = ADD_CPX_CPX(t4s, s8l);
        s7m = ADD_CPX_CPX(t5s, s9l);
        s8m = ADD_CPX_CPX(t6s, t8t);
        s9m = ADD_CPX_CPX(t7s, t9t);
        s0n = SUB_CPX_CPX(t8s, t0u);
        s1n = SUB_CPX_CPX(t9s, t1u);
        s2n = SUB_CPX_CPX(t6s, t8t);
        s3n = SUB_CPX_CPX(t7s, t9t);
        s4n = ADD_CPX_CPX(t8s, t0u);
        s5n = ADD_CPX_CPX(t9s, t1u);
        s6n = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), s8m), MUL_FLT_CPX(C_FLT(0.098017140329560604), s9m));
        s7n = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), s8m), MUL_FLT_CPX(C_FLT(0.99518472667219693), s9m));
        s8n = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s2m), MUL_FLT_CPX(C_FLT(0.19509032201612828), s3m));
        s9n = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s2m), MUL_FLT_CPX(C_FLT(0.98078528040323043), s3m));
        s0o = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s0n), MUL_FLT_CPX(C_FLT(0.29028467725446239), s1n));
        s1o = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.29028467725446239), s0n), MUL_FLT_CPX(C_FLT(0.95694033573220882), s1n));
        s2o = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s4m), MUL_FLT_CPX(C_FLT(0.38268343236508978), s5m));
        s3o = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s4m), MUL_FLT_CPX(C_FLT(0.92387953251128674), s5m));
        s4o = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s2n), MUL_FLT_CPX(C_FLT(0.47139673682599764), s3n));
        s5o = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.47139673682599764), s2n), MUL_FLT_CPX(C_FLT(0.88192126434835505), s3n));
        s6o = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s6m), MUL_FLT_CPX(C_FLT(0.55557023301960218), s7m));
        s7o = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s6m), MUL_FLT_CPX(C_FLT(0.83146961230254524), s7m));
        s8o = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), s4n), MUL_FLT_CPX(C_FLT(0.63439328416364549), s5n));
        s9o = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), s4n), MUL_FLT_CPX(C_FLT(0.77301045336273699), s5n));
        a4b = (a25 + 96);
        a5b = (a25 + 112);
        a6b = (a25 + 1952);
        a7b = (a25 + 1968);
        t2u = ADD_CPX_CPX(*(a4b), *(a6b));
        t3u = SUB_CPX_CPX(*(a5b), *(a7b));
        t4u = SUB_CPX_CPX(*(a4b), *(a6b));
        t5u = ADD_CPX_CPX(*(a5b), *(a7b));
        a8b = (a25 + 1120);
        a9b = (a25 + 1136);
        a0c = (a25 + 928);
        a1c = (a25 + 944);
        t6u = ADD_CPX_CPX(*(a8b), *(a0c));
        t7u = SUB_CPX_CPX(*(a9b), *(a1c));
        t8u = SUB_CPX_CPX(*(a8b), *(a0c));
        t9u = ADD_CPX_CPX(*(a9b), *(a1c));
        t0v = ADD_CPX_CPX(t2u, t6u);
        t1v = ADD_CPX_CPX(t3u, t7u);
        t2v = SUB_CPX_CPX(t2u, t6u);
        t3v = SUB_CPX_CPX(t3u, t7u);
        t4v = SUB_CPX_CPX(t4u, t9u);
        t5v = ADD_CPX_CPX(t5u, t8u);
        t6v = ADD_CPX_CPX(t4u, t9u);
        t7v = SUB_CPX_CPX(t5u, t8u);
        a2c = (a25 + 608);
        a3c = (a25 + 624);
        a4c = (a25 + 416);
        a5c = (a25 + 432);
        t8v = ADD_CPX_CPX(*(a2c), *(a4c));
        t9v = SUB_CPX_CPX(*(a3c), *(a5c));
        t0w = ADD_CPX_CPX(*(a3c), *(a5c));
        t1w = SUB_CPX_CPX(*(a4c), *(a2c));
        a6c = (a25 + 1440);
        a7c = (a25 + 1456);
        a8c = (a25 + 1632);
        a9c = (a25 + 1648);
        t2w = ADD_CPX_CPX(*(a6c), *(a8c));
        t3w = SUB_CPX_CPX(*(a9c), *(a7c));
        t4w = ADD_CPX_CPX(*(a7c), *(a9c));
        t5w = SUB_CPX_CPX(*(a8c), *(a6c));
        s0p = ADD_CPX_CPX(t8v, t2w);
        s1p = ADD_CPX_CPX(t9v, t3w);
        s2p = SUB_CPX_CPX(t0w, t4w);
        s3p = ADD_CPX_CPX(t1w, t5w);
        a0d = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8v, t2w));
        a1d = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t0w, t4w));
        t6w = SUB_CPX_CPX(a0d, a1d);
        a2d = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9v, t3w));
        a3d = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t1w, t5w));
        t7w = SUB_CPX_CPX(a2d, a3d);
        t8w = ADD_CPX_CPX(a0d, a1d);
        t9w = ADD_CPX_CPX(a2d, a3d);
        s4p = ADD_CPX_CPX(t0v, s0p);
        s5p = ADD_CPX_CPX(t1v, s1p);
        s6p = SUB_CPX_CPX(t2v, s2p);
        s7p = SUB_CPX_CPX(t3v, s3p);
        s8p = SUB_CPX_CPX(t0v, s0p);
        s9p = SUB_CPX_CPX(t1v, s1p);
        s0q = ADD_CPX_CPX(t2v, s2p);
        s1q = ADD_CPX_CPX(t3v, s3p);
        s2q = ADD_CPX_CPX(t4v, t6w);
        s3q = ADD_CPX_CPX(t5v, t7w);
        s4q = SUB_CPX_CPX(t6v, t8w);
        s5q = SUB_CPX_CPX(t7v, t9w);
        s6q = SUB_CPX_CPX(t4v, t6w);
        s7q = SUB_CPX_CPX(t5v, t7w);
        s8q = ADD_CPX_CPX(t6v, t8w);
        s9q = ADD_CPX_CPX(t7v, t9w);
        s0r = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s2q), MUL_FLT_CPX(C_FLT(0.14673047445536175), s3q));
        s1r = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.14673047445536175), s2q), MUL_FLT_CPX(C_FLT(0.98917650996478101), s3q));
        s2r = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s6p), MUL_FLT_CPX(C_FLT(0.29028467725446239), s7p));
        s3r = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.29028467725446239), s6p), MUL_FLT_CPX(C_FLT(0.95694033573220882), s7p));
        s4r = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.90398929312344334), s4q), MUL_FLT_CPX(C_FLT(0.42755509343028208), s5q));
        s5r = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.42755509343028208), s4q), MUL_FLT_CPX(C_FLT(0.90398929312344334), s5q));
        s6r = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s8p), MUL_FLT_CPX(C_FLT(0.55557023301960218), s9p));
        s7r = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s8p), MUL_FLT_CPX(C_FLT(0.83146961230254524), s9p));
        s8r = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), s6q), MUL_FLT_CPX(C_FLT(0.67155895484701844), s7q));
        s9r = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.67155895484701844), s6q), MUL_FLT_CPX(C_FLT(0.74095112535495911), s7q));
        s0s = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), s0q), MUL_FLT_CPX(C_FLT(0.77301045336273699), s1q));
        s1s = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), s0q), MUL_FLT_CPX(C_FLT(0.63439328416364549), s1q));
        s2s = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.51410274419322177), s8q), MUL_FLT_CPX(C_FLT(0.85772861000027212), s9q));
        s3s = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.85772861000027212), s8q), MUL_FLT_CPX(C_FLT(0.51410274419322177), s9q));
        a4d = (a25 + 128);
        a5d = (a25 + 144);
        a6d = (a25 + 1920);
        a7d = (a25 + 1936);
        t0x = ADD_CPX_CPX(*(a4d), *(a6d));
        t1x = SUB_CPX_CPX(*(a5d), *(a7d));
        t2x = SUB_CPX_CPX(*(a4d), *(a6d));
        t3x = ADD_CPX_CPX(*(a5d), *(a7d));
        a8d = (a25 + 1152);
        a9d = (a25 + 1168);
        a0e = (a25 + 896);
        a1e = (a25 + 912);
        t4x = ADD_CPX_CPX(*(a8d), *(a0e));
        t5x = SUB_CPX_CPX(*(a9d), *(a1e));
        t6x = SUB_CPX_CPX(*(a8d), *(a0e));
        t7x = ADD_CPX_CPX(*(a9d), *(a1e));
        t8x = ADD_CPX_CPX(t0x, t4x);
        t9x = ADD_CPX_CPX(t1x, t5x);
        t0y = SUB_CPX_CPX(t0x, t4x);
        t1y = SUB_CPX_CPX(t1x, t5x);
        t2y = SUB_CPX_CPX(t2x, t7x);
        t3y = ADD_CPX_CPX(t3x, t6x);
        t4y = ADD_CPX_CPX(t2x, t7x);
        t5y = SUB_CPX_CPX(t3x, t6x);
        a2e = (a25 + 640);
        a3e = (a25 + 656);
        a4e = (a25 + 384);
        a5e = (a25 + 400);
        t6y = ADD_CPX_CPX(*(a2e), *(a4e));
        t7y = SUB_CPX_CPX(*(a3e), *(a5e));
        t8y = ADD_CPX_CPX(*(a3e), *(a5e));
        t9y = SUB_CPX_CPX(*(a4e), *(a2e));
        a6e = (a25 + 1408);
        a7e = (a25 + 1424);
        a8e = (a25 + 1664);
        a9e = (a25 + 1680);
        t0z = ADD_CPX_CPX(*(a6e), *(a8e));
        t1z = SUB_CPX_CPX(*(a9e), *(a7e));
        t2z = ADD_CPX_CPX(*(a7e), *(a9e));
        t3z = SUB_CPX_CPX(*(a8e), *(a6e));
        s4s = ADD_CPX_CPX(t6y, t0z);
        s5s = ADD_CPX_CPX(t7y, t1z);
        s6s = SUB_CPX_CPX(t8y, t2z);
        s7s = ADD_CPX_CPX(t9y, t3z);
        a0f = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t6y, t0z));
        a1f = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t8y, t2z));
        t4z = SUB_CPX_CPX(a0f, a1f);
        a2f = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t7y, t1z));
        a3f = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9y, t3z));
        t5z = SUB_CPX_CPX(a2f, a3f);
        t6z = ADD_CPX_CPX(a0f, a1f);
        t7z = ADD_CPX_CPX(a2f, a3f);
        s8s = ADD_CPX_CPX(t8x, s4s);
        s9s = ADD_CPX_CPX(t9x, s5s);
        s0t = SUB_CPX_CPX(t0y, s6s);
        s1t = SUB_CPX_CPX(t1y, s7s);
        s2t = ADD_CPX_CPX(t0y, s6s);
        s3t = ADD_CPX_CPX(t1y, s7s);
        s4t = ADD_CPX_CPX(t2y, t4z);
        s5t = ADD_CPX_CPX(t3y, t5z);
        s6t = SUB_CPX_CPX(t4y, t6z);
        s7t = SUB_CPX_CPX(t5y, t7z);
        s8t = SUB_CPX_CPX(t2y, t4z);
        s9t = SUB_CPX_CPX(t3y, t5z);
        s0u = ADD_CPX_CPX(t4y, t6z);
        s1u = ADD_CPX_CPX(t5y, t7z);
        s2u = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s4t), MUL_FLT_CPX(C_FLT(0.19509032201612828), s5t));
        s3u = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s4t), MUL_FLT_CPX(C_FLT(0.98078528040323043), s5t));
        s4u = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s0t), MUL_FLT_CPX(C_FLT(0.38268343236508978), s1t));
        s5u = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s0t), MUL_FLT_CPX(C_FLT(0.92387953251128674), s1t));
        s6u = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s6t), MUL_FLT_CPX(C_FLT(0.55557023301960218), s7t));
        s7u = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s6t), MUL_FLT_CPX(C_FLT(0.83146961230254524), s7t));
        a4f = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8x, s4s));
        a5f = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9x, s5s));
        s8u = SUB_CPX_CPX(a4f, a5f);
        s9u = ADD_CPX_CPX(a4f, a5f);
        s0v = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s8t), MUL_FLT_CPX(C_FLT(0.83146961230254524), s9t));
        s1v = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s8t), MUL_FLT_CPX(C_FLT(0.55557023301960218), s9t));
        s2v = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s2t), MUL_FLT_CPX(C_FLT(0.92387953251128674), s3t));
        s3v = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s2t), MUL_FLT_CPX(C_FLT(0.38268343236508978), s3t));
        s4v = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s0u), MUL_FLT_CPX(C_FLT(0.98078528040323043), s1u));
        s5v = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s0u), MUL_FLT_CPX(C_FLT(0.19509032201612828), s1u));
        a6f = (a25 + 160);
        a7f = (a25 + 176);
        a8f = (a25 + 1888);
        a9f = (a25 + 1904);
        t8z = ADD_CPX_CPX(*(a6f), *(a8f));
        t9z = SUB_CPX_CPX(*(a7f), *(a9f));
        t0A = SUB_CPX_CPX(*(a6f), *(a8f));
        t1A = ADD_CPX_CPX(*(a7f), *(a9f));
        a0g = (a25 + 1184);
        a1g = (a25 + 1200);
        a2g = (a25 + 864);
        a3g = (a25 + 880);
        t2A = ADD_CPX_CPX(*(a0g), *(a2g));
        t3A = SUB_CPX_CPX(*(a1g), *(a3g));
        t4A = SUB_CPX_CPX(*(a0g), *(a2g));
        t5A = ADD_CPX_CPX(*(a1g), *(a3g));
        t6A = ADD_CPX_CPX(t8z, t2A);
        t7A = ADD_CPX_CPX(t9z, t3A);
        t8A = SUB_CPX_CPX(t8z, t2A);
        t9A = SUB_CPX_CPX(t9z, t3A);
        t0B = SUB_CPX_CPX(t0A, t5A);
        t1B = ADD_CPX_CPX(t1A, t4A);
        t2B = ADD_CPX_CPX(t0A, t5A);
        t3B = SUB_CPX_CPX(t1A, t4A);
        a4g = (a25 + 672);
        a5g = (a25 + 688);
        a6g = (a25 + 352);
        a7g = (a25 + 368);
        t4B = ADD_CPX_CPX(*(a4g), *(a6g));
        t5B = SUB_CPX_CPX(*(a5g), *(a7g));
        t6B = ADD_CPX_CPX(*(a5g), *(a7g));
        t7B = SUB_CPX_CPX(*(a6g), *(a4g));
        a8g = (a25 + 1376);
        a9g = (a25 + 1392);
        a0h = (a25 + 1696);
        a1h = (a25 + 1712);
        t8B = ADD_CPX_CPX(*(a8g), *(a0h));
        t9B = SUB_CPX_CPX(*(a1h), *(a9g));
        t0C = ADD_CPX_CPX(*(a9g), *(a1h));
        t1C = SUB_CPX_CPX(*(a0h), *(a8g));
        s6v = ADD_CPX_CPX(t4B, t8B);
        s7v = ADD_CPX_CPX(t5B, t9B);
        s8v = SUB_CPX_CPX(t6B, t0C);
        s9v = ADD_CPX_CPX(t7B, t1C);
        a2h = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t4B, t8B));
        a3h = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t6B, t0C));
        t2C = SUB_CPX_CPX(a2h, a3h);
        a4h = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t5B, t9B));
        a5h = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t7B, t1C));
        t3C = SUB_CPX_CPX(a4h, a5h);
        t4C = ADD_CPX_CPX(a2h, a3h);
        t5C = ADD_CPX_CPX(a4h, a5h);
        s0w = ADD_CPX_CPX(t6A, s6v);
        s1w = ADD_CPX_CPX(t7A, s7v);
        s2w = SUB_CPX_CPX(t8A, s8v);
        s3w = SUB_CPX_CPX(t9A, s9v);
        s4w = SUB_CPX_CPX(t6A, s6v);
        s5w = SUB_CPX_CPX(t7A, s7v);
        s6w = ADD_CPX_CPX(t8A, s8v);
        s7w = ADD_CPX_CPX(t9A, s9v);
        s8w = ADD_CPX_CPX(t0B, t2C);
        s9w = ADD_CPX_CPX(t1B, t3C);
        s0x = SUB_CPX_CPX(t2B, t4C);
        s1x = SUB_CPX_CPX(t3B, t5C);
        s2x = SUB_CPX_CPX(t0B, t2C);
        s3x = SUB_CPX_CPX(t1B, t3C);
        s4x = ADD_CPX_CPX(t2B, t4C);
        s5x = ADD_CPX_CPX(t3B, t5C);
        s6x = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.97003125319454397), s8w), MUL_FLT_CPX(C_FLT(0.2429801799032639), s9w));
        s7x = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.2429801799032639), s8w), MUL_FLT_CPX(C_FLT(0.97003125319454397), s9w));
        s8x = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s2w), MUL_FLT_CPX(C_FLT(0.47139673682599764), s3w));
        s9x = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.47139673682599764), s2w), MUL_FLT_CPX(C_FLT(0.88192126434835505), s3w));
        s0y = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), s0x), MUL_FLT_CPX(C_FLT(0.67155895484701844), s1x));
        s1y = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.67155895484701844), s0x), MUL_FLT_CPX(C_FLT(0.74095112535495911), s1x));
        s2y = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s4w), MUL_FLT_CPX(C_FLT(0.83146961230254524), s5w));
        s3y = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s4w), MUL_FLT_CPX(C_FLT(0.55557023301960218), s5w));
        s4y = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.33688985339222005), s2x), MUL_FLT_CPX(C_FLT(0.94154406518302081), s3x));
        s5y = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), s2x), MUL_FLT_CPX(C_FLT(0.33688985339222005), s3x));
        s6y = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), s6w), MUL_FLT_CPX(C_FLT(0.99518472667219693), s7w));
        s7y = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), s6w), MUL_FLT_CPX(C_FLT(0.098017140329560604), s7w));
        s8y = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.14673047445536175), s4x), MUL_FLT_CPX(C_FLT(0.98917650996478101), s5x));
        s9y = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s4x), MUL_FLT_CPX(C_FLT(0.14673047445536175), s5x));
        a6h = (a25 + 192);
        a7h = (a25 + 208);
        a8h = (a25 + 1856);
        a9h = (a25 + 1872);
        t6C = ADD_CPX_CPX(*(a6h), *(a8h));
        t7C = SUB_CPX_CPX(*(a7h), *(a9h));
        t8C = SUB_CPX_CPX(*(a6h), *(a8h));
        t9C = ADD_CPX_CPX(*(a7h), *(a9h));
        a0i = (a25 + 1216);
        a1i = (a25 + 1232);
        a2i = (a25 + 832);
        a3i = (a25 + 848);
        t0D = ADD_CPX_CPX(*(a0i), *(a2i));
        t1D = SUB_CPX_CPX(*(a1i), *(a3i));
        t2D = SUB_CPX_CPX(*(a0i), *(a2i));
        t3D = ADD_CPX_CPX(*(a1i), *(a3i));
        t4D = ADD_CPX_CPX(t6C, t0D);
        t5D = ADD_CPX_CPX(t7C, t1D);
        t6D = SUB_CPX_CPX(t6C, t0D);
        t7D = SUB_CPX_CPX(t7C, t1D);
        t8D = SUB_CPX_CPX(t8C, t3D);
        t9D = ADD_CPX_CPX(t9C, t2D);
        t0E = ADD_CPX_CPX(t8C, t3D);
        t1E = SUB_CPX_CPX(t9C, t2D);
        a4i = (a25 + 704);
        a5i = (a25 + 720);
        a6i = (a25 + 320);
        a7i = (a25 + 336);
        t2E = ADD_CPX_CPX(*(a4i), *(a6i));
        t3E = SUB_CPX_CPX(*(a5i), *(a7i));
        t4E = ADD_CPX_CPX(*(a5i), *(a7i));
        t5E = SUB_CPX_CPX(*(a6i), *(a4i));
        a8i = (a25 + 1344);
        a9i = (a25 + 1360);
        a0j = (a25 + 1728);
        a1j = (a25 + 1744);
        t6E = ADD_CPX_CPX(*(a8i), *(a0j));
        t7E = SUB_CPX_CPX(*(a1j), *(a9i));
        t8E = ADD_CPX_CPX(*(a9i), *(a1j));
        t9E = SUB_CPX_CPX(*(a0j), *(a8i));
        s0z = ADD_CPX_CPX(t2E, t6E);
        s1z = ADD_CPX_CPX(t3E, t7E);
        s2z = SUB_CPX_CPX(t4E, t8E);
        s3z = ADD_CPX_CPX(t5E, t9E);
        a2j = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2E, t6E));
        a3j = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t4E, t8E));
        t0F = SUB_CPX_CPX(a2j, a3j);
        a4j = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3E, t7E));
        a5j = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t5E, t9E));
        t1F = SUB_CPX_CPX(a4j, a5j);
        t2F = ADD_CPX_CPX(a2j, a3j);
        t3F = ADD_CPX_CPX(a4j, a5j);
        s4z = ADD_CPX_CPX(t4D, s0z);
        s5z = ADD_CPX_CPX(t5D, s1z);
        s6z = SUB_CPX_CPX(t6D, s2z);
        s7z = SUB_CPX_CPX(t7D, s3z);
        s8z = SUB_CPX_CPX(t4D, s0z);
        s9z = SUB_CPX_CPX(t5D, s1z);
        s0A = ADD_CPX_CPX(t6D, s2z);
        s1A = ADD_CPX_CPX(t7D, s3z);
        s2A = ADD_CPX_CPX(t8D, t0F);
        s3A = ADD_CPX_CPX(t9D, t1F);
        s4A = SUB_CPX_CPX(t0E, t2F);
        s5A = SUB_CPX_CPX(t1E, t3F);
        s6A = SUB_CPX_CPX(t8D, t0F);
        s7A = SUB_CPX_CPX(t9D, t1F);
        s8A = ADD_CPX_CPX(t0E, t2F);
        s9A = ADD_CPX_CPX(t1E, t3F);
        s0B = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s2A), MUL_FLT_CPX(C_FLT(0.29028467725446239), s3A));
        s1B = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.29028467725446239), s2A), MUL_FLT_CPX(C_FLT(0.95694033573220882), s3A));
        s2B = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s6z), MUL_FLT_CPX(C_FLT(0.55557023301960218), s7z));
        s3B = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s6z), MUL_FLT_CPX(C_FLT(0.83146961230254524), s7z));
        s4B = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), s4A), MUL_FLT_CPX(C_FLT(0.77301045336273699), s5A));
        s5B = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), s4A), MUL_FLT_CPX(C_FLT(0.63439328416364549), s5A));
        s6B = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s8z), MUL_FLT_CPX(C_FLT(0.92387953251128674), s9z));
        s7B = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s8z), MUL_FLT_CPX(C_FLT(0.38268343236508978), s9z));
        s8B = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), s6A), MUL_FLT_CPX(C_FLT(0.99518472667219693), s7A));
        s9B = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), s6A), MUL_FLT_CPX(C_FLT(0.098017140329560604), s7A));
        s0C = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s0A), MUL_FLT_CPX(C_FLT(0.98078528040323043), s1A));
        s1C = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s0A), MUL_FLT_CPX(C_FLT(0.19509032201612828), s1A));
        s2C = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.47139673682599764), s8A), MUL_FLT_CPX(C_FLT(0.88192126434835505), s9A));
        s3C = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s8A), MUL_FLT_CPX(C_FLT(0.47139673682599764), s9A));
        a6j = (a25 + 224);
        a7j = (a25 + 240);
        a8j = (a25 + 1824);
        a9j = (a25 + 1840);
        t4F = ADD_CPX_CPX(*(a6j), *(a8j));
        t5F = SUB_CPX_CPX(*(a7j), *(a9j));
        t6F = SUB_CPX_CPX(*(a6j), *(a8j));
        t7F = ADD_CPX_CPX(*(a7j), *(a9j));
        a0k = (a25 + 1248);
        a1k = (a25 + 1264);
        a2k = (a25 + 800);
        a3k = (a25 + 816);
        t8F = ADD_CPX_CPX(*(a0k), *(a2k));
        t9F = SUB_CPX_CPX(*(a1k), *(a3k));
        t0G = SUB_CPX_CPX(*(a0k), *(a2k));
        t1G = ADD_CPX_CPX(*(a1k), *(a3k));
        t2G = ADD_CPX_CPX(t4F, t8F);
        t3G = ADD_CPX_CPX(t5F, t9F);
        t4G = SUB_CPX_CPX(t4F, t8F);
        t5G = SUB_CPX_CPX(t5F, t9F);
        t6G = SUB_CPX_CPX(t6F, t1G);
        t7G = ADD_CPX_CPX(t7F, t0G);
        t8G = ADD_CPX_CPX(t6F, t1G);
        t9G = SUB_CPX_CPX(t7F, t0G);
        a4k = (a25 + 736);
        a5k = (a25 + 752);
        a6k = (a25 + 288);
        a7k = (a25 + 304);
        t0H = ADD_CPX_CPX(*(a4k), *(a6k));
        t1H = SUB_CPX_CPX(*(a5k), *(a7k));
        t2H = ADD_CPX_CPX(*(a5k), *(a7k));
        t3H = SUB_CPX_CPX(*(a6k), *(a4k));
        a8k = (a25 + 1312);
        a9k = (a25 + 1328);
        a0l = (a25 + 1760);
        a1l = (a25 + 1776);
        t4H = ADD_CPX_CPX(*(a8k), *(a0l));
        t5H = SUB_CPX_CPX(*(a1l), *(a9k));
        t6H = ADD_CPX_CPX(*(a9k), *(a1l));
        t7H = SUB_CPX_CPX(*(a0l), *(a8k));
        s4C = ADD_CPX_CPX(t0H, t4H);
        s5C = ADD_CPX_CPX(t1H, t5H);
        s6C = SUB_CPX_CPX(t2H, t6H);
        s7C = ADD_CPX_CPX(t3H, t7H);
        a2l = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0H, t4H));
        a3l = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t2H, t6H));
        t8H = SUB_CPX_CPX(a2l, a3l);
        a4l = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t1H, t5H));
        a5l = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3H, t7H));
        t9H = SUB_CPX_CPX(a4l, a5l);
        t0I = ADD_CPX_CPX(a2l, a3l);
        t1I = ADD_CPX_CPX(a4l, a5l);
        s8C = ADD_CPX_CPX(t2G, s4C);
        s9C = ADD_CPX_CPX(t3G, s5C);
        s0D = SUB_CPX_CPX(t4G, s6C);
        s1D = SUB_CPX_CPX(t5G, s7C);
        s2D = SUB_CPX_CPX(t2G, s4C);
        s3D = SUB_CPX_CPX(t3G, s5C);
        s4D = ADD_CPX_CPX(t4G, s6C);
        s5D = ADD_CPX_CPX(t5G, s7C);
        s6D = ADD_CPX_CPX(t6G, t8H);
        s7D = ADD_CPX_CPX(t7G, t9H);
        s8D = SUB_CPX_CPX(t8G, t0I);
        s9D = SUB_CPX_CPX(t9G, t1I);
        s0E = SUB_CPX_CPX(t6G, t8H);
        s1E = SUB_CPX_CPX(t7G, t9H);
        s2E = ADD_CPX_CPX(t8G, t0I);
        s3E = ADD_CPX_CPX(t9G, t1I);
        s4E = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), s6D), MUL_FLT_CPX(C_FLT(0.33688985339222005), s7D));
        s5E = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.33688985339222005), s6D), MUL_FLT_CPX(C_FLT(0.94154406518302081), s7D));
        s6E = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), s0D), MUL_FLT_CPX(C_FLT(0.63439328416364549), s1D));
        s7E = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), s0D), MUL_FLT_CPX(C_FLT(0.77301045336273699), s1D));
        s8E = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.51410274419322177), s8D), MUL_FLT_CPX(C_FLT(0.85772861000027212), s9D));
        s9E = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.85772861000027212), s8D), MUL_FLT_CPX(C_FLT(0.51410274419322177), s9D));
        s0F = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s2D), MUL_FLT_CPX(C_FLT(0.98078528040323043), s3D));
        s1F = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s2D), MUL_FLT_CPX(C_FLT(0.19509032201612828), s3D));
        s2F = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.14673047445536175), s0E), MUL_FLT_CPX(C_FLT(0.98917650996478101), s1E));
        s3F = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s0E), MUL_FLT_CPX(C_FLT(0.14673047445536175), s1E));
        s4F = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.47139673682599764), s4D), MUL_FLT_CPX(C_FLT(0.88192126434835505), s5D));
        s5F = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s4D), MUL_FLT_CPX(C_FLT(0.47139673682599764), s5D));
        s6F = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), s2E), MUL_FLT_CPX(C_FLT(0.67155895484701844), s3E));
        s7F = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.67155895484701844), s2E), MUL_FLT_CPX(C_FLT(0.74095112535495911), s3E));
        t2I = ADD_CPX_CPX(t4m, s8s);
        t3I = SUB_CPX_CPX(t6m, s9s);
        t4I = SUB_CPX_CPX(t4m, s8s);
        t5I = ADD_CPX_CPX(t6m, s9s);
        t6I = ADD_CPX_CPX(s6i, s8C);
        t7I = SUB_CPX_CPX(s7i, s9C);
        t8I = SUB_CPX_CPX(s6i, s8C);
        t9I = ADD_CPX_CPX(s7i, s9C);
        s8F = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t8I), MUL_FLT_CPX(C_FLT(0.38268343236508978), t9I));
        s9F = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t8I), MUL_FLT_CPX(C_FLT(0.92387953251128674), t9I));
        t0J = ADD_CPX_CPX(s0m, s4z);
        t1J = SUB_CPX_CPX(s1m, s5z);
        a6l = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s0m, s4z));
        a7l = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s1m, s5z));
        s0G = SUB_CPX_CPX(a6l, a7l);
        s1G = ADD_CPX_CPX(a6l, a7l);
        t2J = ADD_CPX_CPX(s4p, s0w);
        t3J = SUB_CPX_CPX(s5p, s1w);
        t4J = SUB_CPX_CPX(s4p, s0w);
        t5J = ADD_CPX_CPX(s5p, s1w);
        s2G = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t4J), MUL_FLT_CPX(C_FLT(0.92387953251128674), t5J));
        s3G = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t4J), MUL_FLT_CPX(C_FLT(0.38268343236508978), t5J));
        t6J = ADD_CPX_CPX(t2I, t0J);
        t7J = SUB_CPX_CPX(t4I, t1J);
        t8J = SUB_CPX_CPX(t2I, t0J);
        t9J = ADD_CPX_CPX(t4I, t1J);
        t0K = ADD_CPX_CPX(t6I, t2J);
        t1K = SUB_CPX_CPX(t7I, t3J);
        a8l = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t6I, t2J));
        a9l = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t7I, t3J));
        s4G = SUB_CPX_CPX(a8l, a9l);
        s5G = ADD_CPX_CPX(a8l, a9l);
        t2K = ADD_CPX_CPX(t6J, t0K);
        t3K = SUB_CPX_CPX(t8J, t1K);
        t4K = SUB_CPX_CPX(t6J, t0K);
        t5K = ADD_CPX_CPX(t8J, t1K);
        STOREU_CPX((dst + i2), t2K);
        STOREU_CPX((512 + dst + i2), t3K);
        STOREU_CPX((1024 + dst + i2), t4K);
        STOREU_CPX((1536 + dst + i2), t5K);
        t6K = ADD_CPX_CPX(t7J, s4G);
        t7K = SUB_CPX_CPX(t9J, s5G);
        t8K = SUB_CPX_CPX(t7J, s4G);
        t9K = ADD_CPX_CPX(t9J, s5G);
        STOREU_CPX((256 + dst + i2), t6K);
        STOREU_CPX((768 + dst + i2), t7K);
        STOREU_CPX((1280 + dst + i2), t8K);
        STOREU_CPX((1792 + dst + i2), t9K);
        t0L = ADD_CPX_CPX(t3I, s0G);
        t1L = SUB_CPX_CPX(t5I, s1G);
        t2L = SUB_CPX_CPX(t3I, s0G);
        t3L = ADD_CPX_CPX(t5I, s1G);
        t4L = ADD_CPX_CPX(s8F, s2G);
        t5L = SUB_CPX_CPX(s9F, s3G);
        a0m = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s8F, s2G));
        a1m = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s9F, s3G));
        s6G = SUB_CPX_CPX(a0m, a1m);
        s7G = ADD_CPX_CPX(a0m, a1m);
        t6L = ADD_CPX_CPX(t0L, t4L);
        t7L = SUB_CPX_CPX(t2L, t5L);
        t8L = SUB_CPX_CPX(t0L, t4L);
        t9L = ADD_CPX_CPX(t2L, t5L);
        STOREU_CPX((128 + dst + i2), t6L);
        STOREU_CPX((640 + dst + i2), t7L);
        STOREU_CPX((1152 + dst + i2), t8L);
        STOREU_CPX((1664 + dst + i2), t9L);
        t0M = ADD_CPX_CPX(t1L, s6G);
        t1M = SUB_CPX_CPX(t3L, s7G);
        t2M = SUB_CPX_CPX(t1L, s6G);
        t3M = ADD_CPX_CPX(t3L, s7G);
        STOREU_CPX((384 + dst + i2), t0M);
        STOREU_CPX((896 + dst + i2), t1M);
        STOREU_CPX((1408 + dst + i2), t2M);
        STOREU_CPX((1920 + dst + i2), t3M);
        t4M = ADD_CPX_CPX(t8n, s2u);
        t5M = SUB_CPX_CPX(t0o, s3u);
        t6M = SUB_CPX_CPX(t8n, s2u);
        t7M = ADD_CPX_CPX(t0o, s3u);
        t8M = ADD_CPX_CPX(s2k, s4E);
        t9M = SUB_CPX_CPX(s3k, s5E);
        t0N = SUB_CPX_CPX(s2k, s4E);
        t1N = ADD_CPX_CPX(s3k, s5E);
        s8G = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t0N), MUL_FLT_CPX(C_FLT(0.38268343236508978), t1N));
        s9G = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t0N), MUL_FLT_CPX(C_FLT(0.92387953251128674), t1N));
        t2N = ADD_CPX_CPX(s6n, s0B);
        t3N = SUB_CPX_CPX(s7n, s1B);
        a2m = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s6n, s0B));
        a3m = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s7n, s1B));
        s0H = SUB_CPX_CPX(a2m, a3m);
        s1H = ADD_CPX_CPX(a2m, a3m);
        t4N = ADD_CPX_CPX(s0r, s6x);
        t5N = SUB_CPX_CPX(s1r, s7x);
        t6N = SUB_CPX_CPX(s0r, s6x);
        t7N = ADD_CPX_CPX(s1r, s7x);
        s2H = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t6N), MUL_FLT_CPX(C_FLT(0.92387953251128674), t7N));
        s3H = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t6N), MUL_FLT_CPX(C_FLT(0.38268343236508978), t7N));
        t8N = ADD_CPX_CPX(t4M, t2N);
        t9N = SUB_CPX_CPX(t6M, t3N);
        t0O = SUB_CPX_CPX(t4M, t2N);
        t1O = ADD_CPX_CPX(t6M, t3N);
        t2O = ADD_CPX_CPX(t8M, t4N);
        t3O = SUB_CPX_CPX(t9M, t5N);
        a4m = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8M, t4N));
        a5m = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t9M, t5N));
        s4H = SUB_CPX_CPX(a4m, a5m);
        s5H = ADD_CPX_CPX(a4m, a5m);
        t4O = ADD_CPX_CPX(t8N, t2O);
        t5O = SUB_CPX_CPX(t0O, t3O);
        t6O = SUB_CPX_CPX(t8N, t2O);
        t7O = ADD_CPX_CPX(t0O, t3O);
        STOREU_CPX((16 + dst + i2), t4O);
        STOREU_CPX((528 + dst + i2), t5O);
        STOREU_CPX((1040 + dst + i2), t6O);
        STOREU_CPX((1552 + dst + i2), t7O);
        t8O = ADD_CPX_CPX(t9N, s4H);
        t9O = SUB_CPX_CPX(t1O, s5H);
        t0P = SUB_CPX_CPX(t9N, s4H);
        t1P = ADD_CPX_CPX(t1O, s5H);
        STOREU_CPX((272 + dst + i2), t8O);
        STOREU_CPX((784 + dst + i2), t9O);
        STOREU_CPX((1296 + dst + i2), t0P);
        STOREU_CPX((1808 + dst + i2), t1P);
        t2P = ADD_CPX_CPX(t5M, s0H);
        t3P = SUB_CPX_CPX(t7M, s1H);
        t4P = SUB_CPX_CPX(t5M, s0H);
        t5P = ADD_CPX_CPX(t7M, s1H);
        t6P = ADD_CPX_CPX(s8G, s2H);
        t7P = SUB_CPX_CPX(s9G, s3H);
        a6m = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s8G, s2H));
        a7m = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s9G, s3H));
        s6H = SUB_CPX_CPX(a6m, a7m);
        s7H = ADD_CPX_CPX(a6m, a7m);
        t8P = ADD_CPX_CPX(t2P, t6P);
        t9P = SUB_CPX_CPX(t4P, t7P);
        t0Q = SUB_CPX_CPX(t2P, t6P);
        t1Q = ADD_CPX_CPX(t4P, t7P);
        STOREU_CPX((144 + dst + i2), t8P);
        STOREU_CPX((656 + dst + i2), t9P);
        STOREU_CPX((1168 + dst + i2), t0Q);
        STOREU_CPX((1680 + dst + i2), t1Q);
        t2Q = ADD_CPX_CPX(t3P, s6H);
        t3Q = SUB_CPX_CPX(t5P, s7H);
        t4Q = SUB_CPX_CPX(t3P, s6H);
        t5Q = ADD_CPX_CPX(t5P, s7H);
        STOREU_CPX((400 + dst + i2), t2Q);
        STOREU_CPX((912 + dst + i2), t3Q);
        STOREU_CPX((1424 + dst + i2), t4Q);
        STOREU_CPX((1936 + dst + i2), t5Q);
        t6Q = ADD_CPX_CPX(t8m, s4u);
        t7Q = SUB_CPX_CPX(t0n, s5u);
        t8Q = SUB_CPX_CPX(t8m, s4u);
        t9Q = ADD_CPX_CPX(t0n, s5u);
        t0R = ADD_CPX_CPX(s4k, s6E);
        t1R = SUB_CPX_CPX(s5k, s7E);
        t2R = SUB_CPX_CPX(s4k, s6E);
        t3R = ADD_CPX_CPX(s5k, s7E);
        s8H = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t2R), MUL_FLT_CPX(C_FLT(0.38268343236508978), t3R));
        s9H = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t2R), MUL_FLT_CPX(C_FLT(0.92387953251128674), t3R));
        t4R = ADD_CPX_CPX(s8n, s2B);
        t5R = SUB_CPX_CPX(s9n, s3B);
        a8m = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s8n, s2B));
        a9m = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s9n, s3B));
        s0I = SUB_CPX_CPX(a8m, a9m);
        s1I = ADD_CPX_CPX(a8m, a9m);
        t6R = ADD_CPX_CPX(s2r, s8x);
        t7R = SUB_CPX_CPX(s3r, s9x);
        t8R = SUB_CPX_CPX(s2r, s8x);
        t9R = ADD_CPX_CPX(s3r, s9x);
        s2I = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t8R), MUL_FLT_CPX(C_FLT(0.92387953251128674), t9R));
        s3I = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t8R), MUL_FLT_CPX(C_FLT(0.38268343236508978), t9R));
        t0S = ADD_CPX_CPX(t6Q, t4R);
        t1S = SUB_CPX_CPX(t8Q, t5R);
        t2S = SUB_CPX_CPX(t6Q, t4R);
        t3S = ADD_CPX_CPX(t8Q, t5R);
        t4S = ADD_CPX_CPX(t0R, t6R);
        t5S = SUB_CPX_CPX(t1R, t7R);
        a0n = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0R, t6R));
        a1n = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t1R, t7R));
        s4I = SUB_CPX_CPX(a0n, a1n);
        s5I = ADD_CPX_CPX(a0n, a1n);
        t6S = ADD_CPX_CPX(t0S, t4S);
        t7S = SUB_CPX_CPX(t2S, t5S);
        t8S = SUB_CPX_CPX(t0S, t4S);
        t9S = ADD_CPX_CPX(t2S, t5S);
        STOREU_CPX((32 + dst + i2), t6S);
        STOREU_CPX((544 + dst + i2), t7S);
        STOREU_CPX((1056 + dst + i2), t8S);
        STOREU_CPX((1568 + dst + i2), t9S);
        t0T = ADD_CPX_CPX(t1S, s4I);
        t1T = SUB_CPX_CPX(t3S, s5I);
        t2T = SUB_CPX_CPX(t1S, s4I);
        t3T = ADD_CPX_CPX(t3S, s5I);
        STOREU_CPX((288 + dst + i2), t0T);
        STOREU_CPX((800 + dst + i2), t1T);
        STOREU_CPX((1312 + dst + i2), t2T);
        STOREU_CPX((1824 + dst + i2), t3T);
        t4T = ADD_CPX_CPX(t7Q, s0I);
        t5T = SUB_CPX_CPX(t9Q, s1I);
        t6T = SUB_CPX_CPX(t7Q, s0I);
        t7T = ADD_CPX_CPX(t9Q, s1I);
        t8T = ADD_CPX_CPX(s8H, s2I);
        t9T = SUB_CPX_CPX(s9H, s3I);
        a2n = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s8H, s2I));
        a3n = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s9H, s3I));
        s6I = SUB_CPX_CPX(a2n, a3n);
        s7I = ADD_CPX_CPX(a2n, a3n);
        t0U = ADD_CPX_CPX(t4T, t8T);
        t1U = SUB_CPX_CPX(t6T, t9T);
        t2U = SUB_CPX_CPX(t4T, t8T);
        t3U = ADD_CPX_CPX(t6T, t9T);
        STOREU_CPX((160 + dst + i2), t0U);
        STOREU_CPX((672 + dst + i2), t1U);
        STOREU_CPX((1184 + dst + i2), t2U);
        STOREU_CPX((1696 + dst + i2), t3U);
        t4U = ADD_CPX_CPX(t5T, s6I);
        t5U = SUB_CPX_CPX(t7T, s7I);
        t6U = SUB_CPX_CPX(t5T, s6I);
        t7U = ADD_CPX_CPX(t7T, s7I);
        STOREU_CPX((416 + dst + i2), t4U);
        STOREU_CPX((928 + dst + i2), t5U);
        STOREU_CPX((1440 + dst + i2), t6U);
        STOREU_CPX((1952 + dst + i2), t7U);
        t8U = ADD_CPX_CPX(t2o, s6u);
        t9U = SUB_CPX_CPX(t4o, s7u);
        t0V = SUB_CPX_CPX(t2o, s6u);
        t1V = ADD_CPX_CPX(t4o, s7u);
        t2V = ADD_CPX_CPX(s6k, s8E);
        t3V = SUB_CPX_CPX(s7k, s9E);
        t4V = SUB_CPX_CPX(s6k, s8E);
        t5V = ADD_CPX_CPX(s7k, s9E);
        s8I = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t4V), MUL_FLT_CPX(C_FLT(0.38268343236508978), t5V));
        s9I = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t4V), MUL_FLT_CPX(C_FLT(0.92387953251128674), t5V));
        t6V = ADD_CPX_CPX(s0o, s4B);
        t7V = SUB_CPX_CPX(s1o, s5B);
        a4n = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s0o, s4B));
        a5n = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s1o, s5B));
        s0J = SUB_CPX_CPX(a4n, a5n);
        s1J = ADD_CPX_CPX(a4n, a5n);
        t8V = ADD_CPX_CPX(s4r, s0y);
        t9V = SUB_CPX_CPX(s5r, s1y);
        t0W = SUB_CPX_CPX(s4r, s0y);
        t1W = ADD_CPX_CPX(s5r, s1y);
        s2J = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t0W), MUL_FLT_CPX(C_FLT(0.92387953251128674), t1W));
        s3J = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t0W), MUL_FLT_CPX(C_FLT(0.38268343236508978), t1W));
        t2W = ADD_CPX_CPX(t8U, t6V);
        t3W = SUB_CPX_CPX(t0V, t7V);
        t4W = SUB_CPX_CPX(t8U, t6V);
        t5W = ADD_CPX_CPX(t0V, t7V);
        t6W = ADD_CPX_CPX(t2V, t8V);
        t7W = SUB_CPX_CPX(t3V, t9V);
        a6n = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2V, t8V));
        a7n = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t3V, t9V));
        s4J = SUB_CPX_CPX(a6n, a7n);
        s5J = ADD_CPX_CPX(a6n, a7n);
        t8W = ADD_CPX_CPX(t2W, t6W);
        t9W = SUB_CPX_CPX(t4W, t7W);
        t0X = SUB_CPX_CPX(t2W, t6W);
        t1X = ADD_CPX_CPX(t4W, t7W);
        STOREU_CPX((48 + dst + i2), t8W);
        STOREU_CPX((560 + dst + i2), t9W);
        STOREU_CPX((1072 + dst + i2), t0X);
        STOREU_CPX((1584 + dst + i2), t1X);
        t2X = ADD_CPX_CPX(t3W, s4J);
        t3X = SUB_CPX_CPX(t5W, s5J);
        t4X = SUB_CPX_CPX(t3W, s4J);
        t5X = ADD_CPX_CPX(t5W, s5J);
        STOREU_CPX((304 + dst + i2), t2X);
        STOREU_CPX((816 + dst + i2), t3X);
        STOREU_CPX((1328 + dst + i2), t4X);
        STOREU_CPX((1840 + dst + i2), t5X);
        t6X = ADD_CPX_CPX(t9U, s0J);
        t7X = SUB_CPX_CPX(t1V, s1J);
        t8X = SUB_CPX_CPX(t9U, s0J);
        t9X = ADD_CPX_CPX(t1V, s1J);
        t0Y = ADD_CPX_CPX(s8I, s2J);
        t1Y = SUB_CPX_CPX(s9I, s3J);
        a8n = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s8I, s2J));
        a9n = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s9I, s3J));
        s6J = SUB_CPX_CPX(a8n, a9n);
        s7J = ADD_CPX_CPX(a8n, a9n);
        t2Y = ADD_CPX_CPX(t6X, t0Y);
        t3Y = SUB_CPX_CPX(t8X, t1Y);
        t4Y = SUB_CPX_CPX(t6X, t0Y);
        t5Y = ADD_CPX_CPX(t8X, t1Y);
        STOREU_CPX((176 + dst + i2), t2Y);
        STOREU_CPX((688 + dst + i2), t3Y);
        STOREU_CPX((1200 + dst + i2), t4Y);
        STOREU_CPX((1712 + dst + i2), t5Y);
        t6Y = ADD_CPX_CPX(t7X, s6J);
        t7Y = SUB_CPX_CPX(t9X, s7J);
        t8Y = SUB_CPX_CPX(t7X, s6J);
        t9Y = ADD_CPX_CPX(t9X, s7J);
        STOREU_CPX((432 + dst + i2), t6Y);
        STOREU_CPX((944 + dst + i2), t7Y);
        STOREU_CPX((1456 + dst + i2), t8Y);
        STOREU_CPX((1968 + dst + i2), t9Y);
        t0Z = ADD_CPX_CPX(t5m, s8u);
        t1Z = SUB_CPX_CPX(t7m, s9u);
        t2Z = SUB_CPX_CPX(t5m, s8u);
        t3Z = ADD_CPX_CPX(t7m, s9u);
        t4Z = ADD_CPX_CPX(s8k, s0F);
        t5Z = SUB_CPX_CPX(s9k, s1F);
        t6Z = SUB_CPX_CPX(s8k, s0F);
        t7Z = ADD_CPX_CPX(s9k, s1F);
        s8J = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t6Z), MUL_FLT_CPX(C_FLT(0.38268343236508978), t7Z));
        s9J = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t6Z), MUL_FLT_CPX(C_FLT(0.92387953251128674), t7Z));
        t8Z = ADD_CPX_CPX(s2o, s6B);
        t9Z = SUB_CPX_CPX(s3o, s7B);
        a0o = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s2o, s6B));
        a1o = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s3o, s7B));
        s0K = SUB_CPX_CPX(a0o, a1o);
        s1K = ADD_CPX_CPX(a0o, a1o);
        t010 = ADD_CPX_CPX(s6r, s2y);
        t110 = SUB_CPX_CPX(s7r, s3y);
        t210 = SUB_CPX_CPX(s6r, s2y);
        t310 = ADD_CPX_CPX(s7r, s3y);
        s2K = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t210), MUL_FLT_CPX(C_FLT(0.92387953251128674), t310));
        s3K = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t210), MUL_FLT_CPX(C_FLT(0.38268343236508978), t310));
        t410 = ADD_CPX_CPX(t0Z, t8Z);
        t510 = SUB_CPX_CPX(t2Z, t9Z);
        t610 = SUB_CPX_CPX(t0Z, t8Z);
        t710 = ADD_CPX_CPX(t2Z, t9Z);
        t810 = ADD_CPX_CPX(t4Z, t010);
        t910 = SUB_CPX_CPX(t5Z, t110);
        a2o = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t4Z, t010));
        a3o = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t5Z, t110));
        s4K = SUB_CPX_CPX(a2o, a3o);
        s5K = ADD_CPX_CPX(a2o, a3o);
        t011 = ADD_CPX_CPX(t410, t810);
        t111 = SUB_CPX_CPX(t610, t910);
        t211 = SUB_CPX_CPX(t410, t810);
        t311 = ADD_CPX_CPX(t610, t910);
        STOREU_CPX((64 + dst + i2), t011);
        STOREU_CPX((576 + dst + i2), t111);
        STOREU_CPX((1088 + dst + i2), t211);
        STOREU_CPX((1600 + dst + i2), t311);
        t411 = ADD_CPX_CPX(t510, s4K);
        t511 = SUB_CPX_CPX(t710, s5K);
        t611 = SUB_CPX_CPX(t510, s4K);
        t711 = ADD_CPX_CPX(t710, s5K);
        STOREU_CPX((320 + dst + i2), t411);
        STOREU_CPX((832 + dst + i2), t511);
        STOREU_CPX((1344 + dst + i2), t611);
        STOREU_CPX((1856 + dst + i2), t711);
        t811 = ADD_CPX_CPX(t1Z, s0K);
        t911 = SUB_CPX_CPX(t3Z, s1K);
        t012 = SUB_CPX_CPX(t1Z, s0K);
        t112 = ADD_CPX_CPX(t3Z, s1K);
        t212 = ADD_CPX_CPX(s8J, s2K);
        t312 = SUB_CPX_CPX(s9J, s3K);
        a4o = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s8J, s2K));
        a5o = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s9J, s3K));
        s6K = SUB_CPX_CPX(a4o, a5o);
        s7K = ADD_CPX_CPX(a4o, a5o);
        t412 = ADD_CPX_CPX(t811, t212);
        t512 = SUB_CPX_CPX(t012, t312);
        t612 = SUB_CPX_CPX(t811, t212);
        t712 = ADD_CPX_CPX(t012, t312);
        STOREU_CPX((192 + dst + i2), t412);
        STOREU_CPX((704 + dst + i2), t512);
        STOREU_CPX((1216 + dst + i2), t612);
        STOREU_CPX((1728 + dst + i2), t712);
        t812 = ADD_CPX_CPX(t911, s6K);
        t912 = SUB_CPX_CPX(t112, s7K);
        t013 = SUB_CPX_CPX(t911, s6K);
        t113 = ADD_CPX_CPX(t112, s7K);
        STOREU_CPX((448 + dst + i2), t812);
        STOREU_CPX((960 + dst + i2), t912);
        STOREU_CPX((1472 + dst + i2), t013);
        STOREU_CPX((1984 + dst + i2), t113);
        t213 = ADD_CPX_CPX(t9n, s0v);
        t313 = SUB_CPX_CPX(t1o, s1v);
        t413 = SUB_CPX_CPX(t9n, s0v);
        t513 = ADD_CPX_CPX(t1o, s1v);
        t613 = SUB_CPX_CPX(s0l, s2F);
        t713 = SUB_CPX_CPX(s1l, s3F);
        t813 = ADD_CPX_CPX(s0l, s2F);
        t913 = ADD_CPX_CPX(s1l, s3F);
        s8K = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t813), MUL_FLT_CPX(C_FLT(0.38268343236508978), t913));
        s9K = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t813), MUL_FLT_CPX(C_FLT(0.92387953251128674), t913));
        t014 = ADD_CPX_CPX(s4o, s8B);
        t114 = SUB_CPX_CPX(s5o, s9B);
        a6o = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4o, s8B));
        a7o = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5o, s9B));
        s0L = SUB_CPX_CPX(a6o, a7o);
        s1L = ADD_CPX_CPX(a6o, a7o);
        t214 = ADD_CPX_CPX(s8r, s4y);
        t314 = SUB_CPX_CPX(s9r, s5y);
        t414 = SUB_CPX_CPX(s8r, s4y);
        t514 = ADD_CPX_CPX(s9r, s5y);
        s2L = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t414), MUL_FLT_CPX(C_FLT(0.92387953251128674), t514));
        s3L = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t414), MUL_FLT_CPX(C_FLT(0.38268343236508978), t514));
        t614 = ADD_CPX_CPX(t213, t014);
        t714 = SUB_CPX_CPX(t413, t114);
        t814 = SUB_CPX_CPX(t213, t014);
        t914 = ADD_CPX_CPX(t413, t114);
        t015 = ADD_CPX_CPX(t613, t214);
        t115 = SUB_CPX_CPX(t713, t314);
        a8o = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t613, t214));
        a9o = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t713, t314));
        s4L = SUB_CPX_CPX(a8o, a9o);
        s5L = ADD_CPX_CPX(a8o, a9o);
        t215 = ADD_CPX_CPX(t614, t015);
        t315 = SUB_CPX_CPX(t814, t115);
        t415 = SUB_CPX_CPX(t614, t015);
        t515 = ADD_CPX_CPX(t814, t115);
        STOREU_CPX((80 + dst + i2), t215);
        STOREU_CPX((592 + dst + i2), t315);
        STOREU_CPX((1104 + dst + i2), t415);
        STOREU_CPX((1616 + dst + i2), t515);
        t615 = ADD_CPX_CPX(t714, s4L);
        t715 = SUB_CPX_CPX(t914, s5L);
        t815 = SUB_CPX_CPX(t714, s4L);
        t915 = ADD_CPX_CPX(t914, s5L);
        STOREU_CPX((336 + dst + i2), t615);
        STOREU_CPX((848 + dst + i2), t715);
        STOREU_CPX((1360 + dst + i2), t815);
        STOREU_CPX((1872 + dst + i2), t915);
        t016 = ADD_CPX_CPX(t313, s0L);
        t116 = SUB_CPX_CPX(t513, s1L);
        t216 = SUB_CPX_CPX(t313, s0L);
        t316 = ADD_CPX_CPX(t513, s1L);
        t416 = ADD_CPX_CPX(s8K, s2L);
        t516 = SUB_CPX_CPX(s9K, s3L);
        a0p = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s8K, s2L));
        a1p = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s9K, s3L));
        s6L = SUB_CPX_CPX(a0p, a1p);
        s7L = ADD_CPX_CPX(a0p, a1p);
        t616 = ADD_CPX_CPX(t016, t416);
        t716 = SUB_CPX_CPX(t216, t516);
        t816 = SUB_CPX_CPX(t016, t416);
        t916 = ADD_CPX_CPX(t216, t516);
        STOREU_CPX((208 + dst + i2), t616);
        STOREU_CPX((720 + dst + i2), t716);
        STOREU_CPX((1232 + dst + i2), t816);
        STOREU_CPX((1744 + dst + i2), t916);
        t017 = ADD_CPX_CPX(t116, s6L);
        t117 = SUB_CPX_CPX(t316, s7L);
        t217 = SUB_CPX_CPX(t116, s6L);
        t317 = ADD_CPX_CPX(t316, s7L);
        STOREU_CPX((464 + dst + i2), t017);
        STOREU_CPX((976 + dst + i2), t117);
        STOREU_CPX((1488 + dst + i2), t217);
        STOREU_CPX((2000 + dst + i2), t317);
        t417 = ADD_CPX_CPX(t9m, s2v);
        t517 = SUB_CPX_CPX(t1n, s3v);
        t617 = SUB_CPX_CPX(t9m, s2v);
        t717 = ADD_CPX_CPX(t1n, s3v);
        t817 = SUB_CPX_CPX(s2l, s4F);
        t917 = SUB_CPX_CPX(s3l, s5F);
        t018 = ADD_CPX_CPX(s2l, s4F);
        t118 = ADD_CPX_CPX(s3l, s5F);
        s8L = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t018), MUL_FLT_CPX(C_FLT(0.38268343236508978), t118));
        s9L = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t018), MUL_FLT_CPX(C_FLT(0.92387953251128674), t118));
        t218 = SUB_CPX_CPX(s6o, s0C);
        t318 = SUB_CPX_CPX(s7o, s1C);
        a2p = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s6o, s0C));
        a3p = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s7o, s1C));
        s0M = SUB_CPX_CPX(a2p, a3p);
        s1M = ADD_CPX_CPX(a2p, a3p);
        t418 = ADD_CPX_CPX(s0s, s6y);
        t518 = SUB_CPX_CPX(s1s, s7y);
        t618 = SUB_CPX_CPX(s0s, s6y);
        t718 = ADD_CPX_CPX(s1s, s7y);
        s2M = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t618), MUL_FLT_CPX(C_FLT(0.92387953251128674), t718));
        s3M = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t618), MUL_FLT_CPX(C_FLT(0.38268343236508978), t718));
        t818 = ADD_CPX_CPX(t417, t218);
        t918 = SUB_CPX_CPX(t617, t318);
        t019 = SUB_CPX_CPX(t417, t218);
        t119 = ADD_CPX_CPX(t617, t318);
        t219 = ADD_CPX_CPX(t817, t418);
        t319 = SUB_CPX_CPX(t917, t518);
        a4p = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t817, t418));
        a5p = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t917, t518));
        s4M = SUB_CPX_CPX(a4p, a5p);
        s5M = ADD_CPX_CPX(a4p, a5p);
        t419 = ADD_CPX_CPX(t818, t219);
        t519 = SUB_CPX_CPX(t019, t319);
        t619 = SUB_CPX_CPX(t818, t219);
        t719 = ADD_CPX_CPX(t019, t319);
        STOREU_CPX((96 + dst + i2), t419);
        STOREU_CPX((608 + dst + i2), t519);
        STOREU_CPX((1120 + dst + i2), t619);
        STOREU_CPX((1632 + dst + i2), t719);
        t819 = ADD_CPX_CPX(t918, s4M);
        t919 = SUB_CPX_CPX(t119, s5M);
        t01a = SUB_CPX_CPX(t918, s4M);
        t11a = ADD_CPX_CPX(t119, s5M);
        STOREU_CPX((352 + dst + i2), t819);
        STOREU_CPX((864 + dst + i2), t919);
        STOREU_CPX((1376 + dst + i2), t01a);
        STOREU_CPX((1888 + dst + i2), t11a);
        t21a = ADD_CPX_CPX(t517, s0M);
        t31a = SUB_CPX_CPX(t717, s1M);
        t41a = SUB_CPX_CPX(t517, s0M);
        t51a = ADD_CPX_CPX(t717, s1M);
        t61a = ADD_CPX_CPX(s8L, s2M);
        t71a = SUB_CPX_CPX(s9L, s3M);
        a6p = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s8L, s2M));
        a7p = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s9L, s3M));
        s6M = SUB_CPX_CPX(a6p, a7p);
        s7M = ADD_CPX_CPX(a6p, a7p);
        t81a = ADD_CPX_CPX(t21a, t61a);
        t91a = SUB_CPX_CPX(t41a, t71a);
        t01b = SUB_CPX_CPX(t21a, t61a);
        t11b = ADD_CPX_CPX(t41a, t71a);
        STOREU_CPX((224 + dst + i2), t81a);
        STOREU_CPX((736 + dst + i2), t91a);
        STOREU_CPX((1248 + dst + i2), t01b);
        STOREU_CPX((1760 + dst + i2), t11b);
        t21b = ADD_CPX_CPX(t31a, s6M);
        t31b = SUB_CPX_CPX(t51a, s7M);
        t41b = SUB_CPX_CPX(t31a, s6M);
        t51b = ADD_CPX_CPX(t51a, s7M);
        STOREU_CPX((480 + dst + i2), t21b);
        STOREU_CPX((992 + dst + i2), t31b);
        STOREU_CPX((1504 + dst + i2), t41b);
        STOREU_CPX((2016 + dst + i2), t51b);
        t61b = ADD_CPX_CPX(t3o, s4v);
        t71b = SUB_CPX_CPX(t5o, s5v);
        t81b = SUB_CPX_CPX(t3o, s4v);
        t91b = ADD_CPX_CPX(t5o, s5v);
        t01c = SUB_CPX_CPX(s4l, s6F);
        t11c = SUB_CPX_CPX(s5l, s7F);
        t21c = ADD_CPX_CPX(s4l, s6F);
        t31c = ADD_CPX_CPX(s5l, s7F);
        s8M = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t21c), MUL_FLT_CPX(C_FLT(0.38268343236508978), t31c));
        s9M = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t21c), MUL_FLT_CPX(C_FLT(0.92387953251128674), t31c));
        t41c = SUB_CPX_CPX(s8o, s2C);
        t51c = SUB_CPX_CPX(s9o, s3C);
        a8p = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s8o, s2C));
        a9p = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s9o, s3C));
        s0N = SUB_CPX_CPX(a8p, a9p);
        s1N = ADD_CPX_CPX(a8p, a9p);
        t61c = SUB_CPX_CPX(s2s, s8y);
        t71c = SUB_CPX_CPX(s3s, s9y);
        t81c = ADD_CPX_CPX(s2s, s8y);
        t91c = ADD_CPX_CPX(s3s, s9y);
        s2N = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t81c), MUL_FLT_CPX(C_FLT(0.92387953251128674), t91c));
        s3N = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t81c), MUL_FLT_CPX(C_FLT(0.38268343236508978), t91c));
        t01d = ADD_CPX_CPX(t61b, t41c);
        t11d = SUB_CPX_CPX(t81b, t51c);
        t21d = SUB_CPX_CPX(t61b, t41c);
        t31d = ADD_CPX_CPX(t81b, t51c);
        t41d = ADD_CPX_CPX(t01c, t61c);
        t51d = SUB_CPX_CPX(t11c, t71c);
        a0q = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t01c, t61c));
        a1q = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t11c, t71c));
        s4N = SUB_CPX_CPX(a0q, a1q);
        s5N = ADD_CPX_CPX(a0q, a1q);
        t61d = ADD_CPX_CPX(t01d, t41d);
        t71d = SUB_CPX_CPX(t21d, t51d);
        t81d = SUB_CPX_CPX(t01d, t41d);
        t91d = ADD_CPX_CPX(t21d, t51d);
        STOREU_CPX((112 + dst + i2), t61d);
        STOREU_CPX((624 + dst + i2), t71d);
        STOREU_CPX((1136 + dst + i2), t81d);
        STOREU_CPX((1648 + dst + i2), t91d);
        t01e = ADD_CPX_CPX(t11d, s4N);
        t11e = SUB_CPX_CPX(t31d, s5N);
        t21e = SUB_CPX_CPX(t11d, s4N);
        t31e = ADD_CPX_CPX(t31d, s5N);
        STOREU_CPX((368 + dst + i2), t01e);
        STOREU_CPX((880 + dst + i2), t11e);
        STOREU_CPX((1392 + dst + i2), t21e);
        STOREU_CPX((1904 + dst + i2), t31e);
        t41e = ADD_CPX_CPX(t71b, s0N);
        t51e = SUB_CPX_CPX(t91b, s1N);
        t61e = SUB_CPX_CPX(t71b, s0N);
        t71e = ADD_CPX_CPX(t91b, s1N);
        t81e = ADD_CPX_CPX(s8M, s2N);
        t91e = SUB_CPX_CPX(s9M, s3N);
        a2q = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s8M, s2N));
        a3q = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s9M, s3N));
        s6N = SUB_CPX_CPX(a2q, a3q);
        s7N = ADD_CPX_CPX(a2q, a3q);
        t01f = ADD_CPX_CPX(t41e, t81e);
        t11f = SUB_CPX_CPX(t61e, t91e);
        t21f = SUB_CPX_CPX(t41e, t81e);
        t31f = ADD_CPX_CPX(t61e, t91e);
        STOREU_CPX((240 + dst + i2), t01f);
        STOREU_CPX((752 + dst + i2), t11f);
        STOREU_CPX((1264 + dst + i2), t21f);
        STOREU_CPX((1776 + dst + i2), t31f);
        t41f = ADD_CPX_CPX(t51e, s6N);
        t51f = SUB_CPX_CPX(t71e, s7N);
        t61f = SUB_CPX_CPX(t51e, s6N);
        t71f = ADD_CPX_CPX(t71e, s7N);
        STOREU_CPX((496 + dst + i2), t41f);
        STOREU_CPX((1008 + dst + i2), t51f);
        STOREU_CPX((1520 + dst + i2), t61f);
        STOREU_CPX((2032 + dst + i2), t71f);
    }}
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_fftfwd_double_2048)(const double *pSrc, double *pDst ) {
    if (!is_aligned(pSrc) || !is_aligned(pDst))
       	return spiral_fftfwd_double_2048_unaligned(pSrc, pDst );
    else {
    const CPX  *src = (const CPX *) pSrc; 
    CPX        *dst = (CPX *) pDst;
    
    
    { SPIRAL_ALIGNED(CPX T[2048]);
    CPX  *a0c, *a0d, *a0e, *a0f, *a0g, *a0h, *a0i, *a0j, *a0k, *a0l, *a0m, *a0n, *a0o, *a0p, *a0q, *a0r, *a1c, *a1d, *a1e, *a1f, *a1g, *a1h
            , *a1i, *a1j, *a1k, *a1l, *a1m, *a1n, *a1o, *a1p, *a1q, *a1r, *a2c, *a2e, *a2g, *a2i, *a2k, *a2m, *a2n, *a2o, *a2p, *a2q, *a2r, *a2s
            , *a3c, *a3e, *a3g, *a3i, *a3k, *a3m, *a3n, *a3o, *a3p, *a3q, *a3r, *a4b, *a4c, *a4e, *a4g, *a4i, *a4k, *a4m, *a4o, *a4q, *a5b, *a5c
            , *a5e, *a5g, *a5i, *a5k, *a5m, *a5o, *a5q, *a6b, *a6d, *a6e, *a6f, *a6g, *a6h, *a6i, *a6j, *a6k, *a6m, *a6o, *a6q, *a7b, *a7d, *a7e
            , *a7f, *a7g, *a7h, *a7i, *a7j, *a7k, *a7m, *a7o, *a7q, *a8b, *a8c, *a8d, *a8e, *a8f, *a8g, *a8h, *a8i, *a8j, *a8k, *a8l, *a8m, *a8n
            , *a8o, *a8p, *a8q, *a9b, *a9c, *a9d, *a9e, *a9f, *a9g, *a9h, *a9i, *a9j, *a9k, *a9l, *a9m, *a9n, *a9o, *a9p, *a9q, *b2;
    const CPX  *a, *a01, *a02, *a03, *a05, *a06, *a07, *a11, *a12, *a13, *a15, *a16, *a17, *a2, *a21, *a22, *a23, *a25, *a26, *a27, *a3, *a31
            , *a32, *a33, *a35, *a36, *a37, *a4, *a41, *a42, *a43, *a44, *a45, *a46, *a47, *a5, *a51, *a52, *a53, *a54, *a55, *a56, *a57, *a6
            , *a61, *a64, *a65, *a66, *a7, *a71, *a74, *a75, *a76, *a81, *a82, *a84, *a85, *a86, *a91, *a92, *a94, *a95, *a96, *b;
    FLT  *a09, *a0a, *a0b, *a19, *a1a, *a1b, *a29, *a2a, *a2b, *a39, *a3a, *a3b, *a48, *a49, *a4a, *a58, *a59, *a5a, *a68, *a69, *a6a, *a78
            , *a79, *a7a, *a88, *a89, *a8a, *a98, *a99, *a9a;
    CPX a04, a08, a0s, a0t, a0u, a0v, a0w, a14, a18, a1s, a1t, a1u, a1v, a1w, a24, a28, a2d, a2f, a2h, a2j, a2l, a2t
        , a2u, a2v, a2w, a34, a38, a3d, a3f, a3h, a3j, a3l, a3s, a3t, a3u, a3v, a3w, a4d, a4f, a4h, a4j, a4l, a4n, a4p
        , a4r, a4s, a4t, a4u, a4v, a4w, a5d, a5f, a5h, a5j, a5l, a5n, a5p, a5r, a5s, a5t, a5u, a5v, a5w, a62, a63, a67
        , a6c, a6l, a6n, a6p, a6r, a6s, a6t, a6u, a6v, a6w, a72, a73, a77, a7c, a7l, a7n, a7p, a7r, a7s, a7t, a7u, a7v
        , a8, a83, a87, a8r, a8s, a8t, a8u, a8v, a9, a93, a97, a9r, a9s, a9t, a9u, a9v, s, s01, s02, s03, s04, s05
        , s06, s07, s08, s09, s0A, s0B, s0C, s0D, s0E, s0F, s0G, s0H, s0a, s0b, s0c, s0d, s0e, s0f, s0g, s0h, s0i, s0j
        , s0k, s0l, s0m, s0n, s0o, s0p, s0q, s0r, s0s, s0t, s0u, s0v, s0w, s0x, s0y, s0z, s11, s12, s13, s14, s15, s16
        , s17, s18, s19, s1A, s1B, s1C, s1D, s1E, s1F, s1G, s1H, s1a, s1b, s1c, s1d, s1e, s1f, s1g, s1h, s1i, s1j, s1k
        , s1l, s1m, s1n, s1o, s1p, s1q, s1r, s1s, s1t, s1u, s1v, s1w, s1x, s1y, s1z, s2, s21, s22, s23, s24, s25, s26
        , s27, s28, s29, s2A, s2B, s2C, s2D, s2E, s2F, s2G, s2H, s2a, s2b, s2c, s2d, s2e, s2f, s2g, s2h, s2i, s2j, s2k
        , s2l, s2m, s2n, s2o, s2p, s2q, s2r, s2s, s2t, s2u, s2v, s2w, s2x, s2y, s2z, s3, s31, s32, s33, s34, s35, s36
        , s37, s38, s39, s3A, s3B, s3C, s3D, s3E, s3F, s3G, s3H, s3a, s3b, s3c, s3d, s3e, s3f, s3g, s3h, s3i, s3j, s3k
        , s3l, s3m, s3n, s3o, s3p, s3q, s3r, s3s, s3t, s3u, s3v, s3w, s3x, s3y, s3z, s4, s41, s42, s43, s44, s45, s46
        , s47, s48, s49, s4A, s4B, s4C, s4D, s4E, s4F, s4G, s4a, s4b, s4c, s4d, s4e, s4f, s4g, s4h, s4i, s4j, s4k, s4l
        , s4m, s4n, s4o, s4p, s4q, s4r, s4s, s4t, s4u, s4v, s4w, s4x, s4y, s4z, s5, s51, s52, s53, s54, s55, s56, s57
        , s58, s59, s5A, s5B, s5C, s5D, s5E, s5F, s5G, s5a, s5b, s5c, s5d, s5e, s5f, s5g, s5h, s5i, s5j, s5k, s5l, s5m
        , s5n, s5o, s5p, s5q, s5r, s5s, s5t, s5u, s5v, s5w, s5x, s5y, s5z, s6, s61, s62, s63, s64, s65, s66, s67, s68
        , s69, s6A, s6B, s6C, s6D, s6E, s6F, s6G, s6a, s6b, s6c, s6d, s6e, s6f, s6g, s6h, s6i, s6j, s6k, s6l, s6m, s6n
        , s6o, s6p, s6q, s6r, s6s, s6t, s6u, s6v, s6w, s6x, s6y, s6z, s7, s71, s72, s73, s74, s75, s76, s77, s78, s79
        , s7A, s7B, s7C, s7D, s7E, s7F, s7G, s7a, s7b, s7c, s7d, s7e, s7f, s7g, s7h, s7i, s7j, s7k, s7l, s7m, s7n, s7o
        , s7p, s7q, s7r, s7s, s7t, s7u, s7v, s7w, s7x, s7y, s7z, s8, s81, s82, s83, s84, s85, s86, s87, s88, s89, s8A
        , s8B, s8C, s8D, s8E, s8F, s8G, s8a, s8b, s8c, s8d, s8e, s8f, s8g, s8h, s8i, s8j, s8k, s8l, s8m, s8n, s8o, s8p
        , s8q, s8r, s8s, s8t, s8u, s8v, s8w, s8x, s8y, s8z, s9, s91, s92, s93, s94, s95, s96, s97, s98, s99, s9A, s9B
        , s9C, s9D, s9E, s9F, s9G, s9a, s9b, s9c, s9d, s9e, s9f, s9g, s9h, s9i, s9j, s9k, s9l, s9m, s9n, s9o, s9p, s9q
        , s9r, s9s, s9t, s9u, s9v, s9w, s9x, s9y, s9z, t, t01, t010, t011, t012, t02, t03, t04, t05, t06, t07, t08, t09
        , t0A, t0B, t0C, t0D, t0E, t0F, t0G, t0H, t0I, t0J, t0K, t0L, t0M, t0N, t0O, t0P, t0Q, t0R, t0S, t0T, t0U, t0V
        , t0W, t0X, t0Y, t0Z, t0a, t0b, t0c, t0d, t0e, t0f, t0g, t0h, t0i, t0j, t0k, t0l, t0m, t0n, t0o, t0p, t0q, t0r
        , t0s, t0t, t0u, t0v, t0w, t0x, t0y, t0z, t11, t110, t111, t112, t12, t13, t14, t15, t16, t17, t18, t19, t1A, t1B
        , t1C, t1D, t1E, t1F, t1G, t1H, t1I, t1J, t1K, t1L, t1M, t1N, t1O, t1P, t1Q, t1R, t1S, t1T, t1U, t1V, t1W, t1X
        , t1Y, t1Z, t1a, t1b, t1c, t1d, t1e, t1f, t1g, t1h, t1i, t1j, t1k, t1l, t1m, t1n, t1o, t1p, t1q, t1r, t1s, t1t
        , t1u, t1v, t1w, t1x, t1y, t1z, t2, t21, t210, t211, t212, t22, t23, t24, t25, t26, t27, t28, t29, t2A, t2B, t2C
        , t2D, t2E, t2F, t2G, t2H, t2I, t2J, t2K, t2L, t2M, t2N, t2O, t2P, t2Q, t2R, t2S, t2T, t2U, t2V, t2W, t2X, t2Y
        , t2Z, t2a, t2b, t2c, t2d, t2e, t2f, t2g, t2h, t2i, t2j, t2k, t2l, t2m, t2n, t2o, t2p, t2q, t2r, t2s, t2t, t2u
        , t2v, t2w, t2x, t2y, t2z, t3, t31, t310, t311, t312, t32, t33, t34, t35, t36, t37, t38, t39, t3A, t3B, t3C, t3D
        , t3E, t3F, t3G, t3H, t3I, t3J, t3K, t3L, t3M, t3N, t3O, t3P, t3Q, t3R, t3S, t3T, t3U, t3V, t3W, t3X, t3Y, t3Z
        , t3a, t3b, t3c, t3d, t3e, t3f, t3g, t3h, t3i, t3j, t3k, t3l, t3m, t3n, t3o, t3p, t3q, t3r, t3s, t3t, t3u, t3v
        , t3w, t3x, t3y, t3z, t4, t41, t410, t411, t412, t42, t43, t44, t45, t46, t47, t48, t49, t4A, t4B, t4C, t4D, t4E
        , t4F, t4G, t4H, t4I, t4J, t4K, t4L, t4M, t4N, t4O, t4P, t4Q, t4R, t4S, t4T, t4U, t4V, t4W, t4X, t4Y, t4Z, t4a
        , t4b, t4c, t4d, t4e, t4f, t4g, t4h, t4i, t4j, t4k, t4l, t4m, t4n, t4o, t4p, t4q, t4r, t4s, t4t, t4u, t4v, t4w
        , t4x, t4y, t4z, t5, t51, t510, t511, t512, t52, t53, t54, t55, t56, t57, t58, t59, t5A, t5B, t5C, t5D, t5E, t5F
        , t5G, t5H, t5I, t5J, t5K, t5L, t5M, t5N, t5O, t5P, t5Q, t5R, t5S, t5T, t5U, t5V, t5W, t5X, t5Y, t5Z, t5a, t5b
        , t5c, t5d, t5e, t5f, t5g, t5h, t5i, t5j, t5k, t5l, t5m, t5n, t5o, t5p, t5q, t5r, t5s, t5t, t5u, t5v, t5w, t5x
        , t5y, t5z, t6, t61, t610, t611, t612, t62, t63, t64, t65, t66, t67, t68, t69, t6A, t6B, t6C, t6D, t6E, t6F, t6G
        , t6H, t6I, t6J, t6K, t6L, t6M, t6N, t6O, t6P, t6Q, t6R, t6S, t6T, t6U, t6V, t6W, t6X, t6Y, t6Z, t6a, t6b, t6c
        , t6d, t6e, t6f, t6g, t6h, t6i, t6j, t6k, t6l, t6m, t6n, t6o, t6p, t6q, t6r, t6s, t6t, t6u, t6v, t6w, t6x, t6y
        , t6z, t7, t71, t710, t711, t712, t72, t73, t74, t75, t76, t77, t78, t79, t7A, t7B, t7C, t7D, t7E, t7F, t7G, t7H
        , t7I, t7J, t7K, t7L, t7M, t7N, t7O, t7P, t7Q, t7R, t7S, t7T, t7U, t7V, t7W, t7X, t7Y, t7Z, t7a, t7b, t7c, t7d
        , t7e, t7f, t7g, t7h, t7i, t7j, t7k, t7l, t7m, t7n, t7o, t7p, t7q, t7r, t7s, t7t, t7u, t7v, t7w, t7x, t7y, t7z
        , t8, t81, t810, t811, t812, t82, t83, t84, t85, t86, t87, t88, t89, t8A, t8B, t8C, t8D, t8E, t8F, t8G, t8H, t8I
        , t8J, t8K, t8L, t8M, t8N, t8O, t8P, t8Q, t8R, t8S, t8T, t8U, t8V, t8W, t8X, t8Y, t8Z, t8a, t8b, t8c, t8d, t8e
        , t8f, t8g, t8h, t8i, t8j, t8k, t8l, t8m, t8n, t8o, t8p, t8q, t8r, t8s, t8t, t8u, t8v, t8w, t8x, t8y, t8z, t9
        , t91, t910, t911, t912, t92, t93, t94, t95, t96, t97, t98, t99, t9A, t9B, t9C, t9D, t9E, t9F, t9G, t9H, t9I, t9J
        , t9K, t9L, t9M, t9N, t9O, t9P, t9Q, t9R, t9S, t9T, t9U, t9V, t9W, t9X, t9Y, t9Z, t9a, t9b, t9c, t9d, t9e, t9f
        , t9g, t9h, t9i, t9j, t9k, t9l, t9m, t9n, t9o, t9p, t9q, t9r, t9s, t9t, t9u, t9v, t9w, t9x, t9y, t9z;
    a = (src + 1024);
    t = ADD_CPX_CPX(*(src), *(a));
    t2 = SUB_CPX_CPX(*(src), *(a));
    a2 = (src + 512);
    a3 = (src + 1536);
    t3 = ADD_CPX_CPX(*(a2), *(a3));
    s = MUL_NI_CPX(SUB_CPX_CPX(*(a2), *(a3)));
    t4 = ADD_CPX_CPX(t, t3);
    t5 = SUB_CPX_CPX(t, t3);
    t6 = ADD_CPX_CPX(t2, s);
    t7 = SUB_CPX_CPX(t2, s);
    a4 = (src + 256);
    a5 = (src + 1792);
    t8 = ADD_CPX_CPX(*(a4), *(a5));
    t9 = ADD_CPX_CPX(MUL_I_CPX(*(a4)), MUL_NI_CPX(*(a5)));
    a6 = (src + 1280);
    a7 = (src + 768);
    t01 = ADD_CPX_CPX(*(a6), *(a7));
    t11 = ADD_CPX_CPX(MUL_I_CPX(*(a6)), MUL_NI_CPX(*(a7)));
    t21 = ADD_CPX_CPX(t8, t01);
    t31 = ADD_CPX_CPX(t9, t11);
    a8 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8, t01));
    a9 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9, t11));
    s2 = SUB_CPX_CPX(a8, a9);
    s3 = ADD_CPX_CPX(a8, a9);
    t41 = ADD_CPX_CPX(t4, t21);
    t51 = SUB_CPX_CPX(t5, t31);
    t61 = SUB_CPX_CPX(t4, t21);
    t71 = ADD_CPX_CPX(t5, t31);
    t81 = ADD_CPX_CPX(t6, s2);
    t91 = SUB_CPX_CPX(t7, s3);
    t02 = SUB_CPX_CPX(t6, s2);
    t12 = ADD_CPX_CPX(t7, s3);
    a01 = (src + 64);
    a11 = (src + 1984);
    t22 = ADD_CPX_CPX(*(a01), *(a11));
    t32 = ADD_CPX_CPX(MUL_I_CPX(*(a01)), MUL_NI_CPX(*(a11)));
    a21 = (src + 576);
    a31 = (src + 1472);
    t42 = ADD_CPX_CPX(*(a21), *(a31));
    t52 = ADD_CPX_CPX(MUL_I_CPX(*(a21)), MUL_NI_CPX(*(a31)));
    a41 = (src + 1088);
    a51 = (src + 960);
    t62 = ADD_CPX_CPX(*(a41), *(a51));
    t72 = ADD_CPX_CPX(MUL_I_CPX(*(a41)), MUL_NI_CPX(*(a51)));
    a61 = (src + 1600);
    a71 = (src + 448);
    t82 = ADD_CPX_CPX(*(a61), *(a71));
    t92 = ADD_CPX_CPX(MUL_I_CPX(*(a61)), MUL_NI_CPX(*(a71)));
    t03 = ADD_CPX_CPX(t22, t62);
    t13 = ADD_CPX_CPX(t32, t72);
    t23 = SUB_CPX_CPX(t22, t62);
    t33 = SUB_CPX_CPX(t32, t72);
    t43 = ADD_CPX_CPX(t42, t82);
    t53 = ADD_CPX_CPX(t52, t92);
    t63 = SUB_CPX_CPX(t42, t82);
    t73 = SUB_CPX_CPX(t52, t92);
    t83 = ADD_CPX_CPX(t03, t43);
    t93 = ADD_CPX_CPX(t13, t53);
    t04 = SUB_CPX_CPX(t03, t43);
    t14 = SUB_CPX_CPX(t13, t53);
    t24 = SUB_CPX_CPX(t23, t73);
    t34 = ADD_CPX_CPX(t33, t63);
    t44 = ADD_CPX_CPX(t23, t73);
    t54 = SUB_CPX_CPX(t33, t63);
    s4 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t24), MUL_FLT_CPX(C_FLT(0.19509032201612828), t34));
    s5 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), t24), MUL_FLT_CPX(C_FLT(0.98078528040323043), t34));
    s6 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t04), MUL_FLT_CPX(C_FLT(0.38268343236508978), t14));
    s7 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t04), MUL_FLT_CPX(C_FLT(0.92387953251128674), t14));
    s8 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t44), MUL_FLT_CPX(C_FLT(0.55557023301960218), t54));
    s9 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), t44), MUL_FLT_CPX(C_FLT(0.83146961230254524), t54));
    a81 = (src + 128);
    a91 = (src + 1920);
    t64 = ADD_CPX_CPX(*(a81), *(a91));
    t74 = ADD_CPX_CPX(MUL_I_CPX(*(a81)), MUL_NI_CPX(*(a91)));
    a02 = (src + 640);
    a12 = (src + 1408);
    t84 = ADD_CPX_CPX(*(a02), *(a12));
    t94 = ADD_CPX_CPX(MUL_I_CPX(*(a02)), MUL_NI_CPX(*(a12)));
    a22 = (src + 1152);
    a32 = (src + 896);
    t05 = ADD_CPX_CPX(*(a22), *(a32));
    t15 = ADD_CPX_CPX(MUL_I_CPX(*(a22)), MUL_NI_CPX(*(a32)));
    a42 = (src + 1664);
    a52 = (src + 384);
    t25 = ADD_CPX_CPX(*(a42), *(a52));
    t35 = ADD_CPX_CPX(MUL_I_CPX(*(a42)), MUL_NI_CPX(*(a52)));
    t45 = ADD_CPX_CPX(t64, t05);
    t55 = ADD_CPX_CPX(t74, t15);
    t65 = SUB_CPX_CPX(t64, t05);
    t75 = SUB_CPX_CPX(t74, t15);
    t85 = ADD_CPX_CPX(t84, t25);
    t95 = ADD_CPX_CPX(t94, t35);
    t06 = SUB_CPX_CPX(t84, t25);
    t16 = SUB_CPX_CPX(t94, t35);
    t26 = ADD_CPX_CPX(t45, t85);
    t36 = ADD_CPX_CPX(t55, t95);
    t46 = SUB_CPX_CPX(t65, t16);
    t56 = ADD_CPX_CPX(t75, t06);
    t66 = ADD_CPX_CPX(t65, t16);
    t76 = SUB_CPX_CPX(t75, t06);
    s01 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t46), MUL_FLT_CPX(C_FLT(0.38268343236508978), t56));
    s11 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t46), MUL_FLT_CPX(C_FLT(0.92387953251128674), t56));
    a62 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t45, t85));
    a72 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t55, t95));
    s21 = SUB_CPX_CPX(a62, a72);
    s31 = ADD_CPX_CPX(a62, a72);
    s41 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t66), MUL_FLT_CPX(C_FLT(0.92387953251128674), t76));
    s51 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t66), MUL_FLT_CPX(C_FLT(0.38268343236508978), t76));
    a82 = (src + 192);
    a92 = (src + 1856);
    t86 = ADD_CPX_CPX(*(a82), *(a92));
    t96 = ADD_CPX_CPX(MUL_I_CPX(*(a82)), MUL_NI_CPX(*(a92)));
    a03 = (src + 704);
    a13 = (src + 1344);
    t07 = ADD_CPX_CPX(*(a03), *(a13));
    t17 = ADD_CPX_CPX(MUL_I_CPX(*(a03)), MUL_NI_CPX(*(a13)));
    a23 = (src + 1216);
    a33 = (src + 832);
    t27 = ADD_CPX_CPX(*(a23), *(a33));
    t37 = ADD_CPX_CPX(MUL_I_CPX(*(a23)), MUL_NI_CPX(*(a33)));
    a43 = (src + 1728);
    a53 = (src + 320);
    t47 = ADD_CPX_CPX(*(a43), *(a53));
    t57 = ADD_CPX_CPX(MUL_I_CPX(*(a43)), MUL_NI_CPX(*(a53)));
    t67 = ADD_CPX_CPX(t86, t27);
    t77 = ADD_CPX_CPX(t96, t37);
    t87 = SUB_CPX_CPX(t86, t27);
    t97 = SUB_CPX_CPX(t96, t37);
    t08 = ADD_CPX_CPX(t07, t47);
    t18 = ADD_CPX_CPX(t17, t57);
    t28 = SUB_CPX_CPX(t07, t47);
    t38 = SUB_CPX_CPX(t17, t57);
    t48 = ADD_CPX_CPX(t67, t08);
    t58 = ADD_CPX_CPX(t77, t18);
    t68 = SUB_CPX_CPX(t67, t08);
    t78 = SUB_CPX_CPX(t77, t18);
    t88 = SUB_CPX_CPX(t87, t38);
    t98 = ADD_CPX_CPX(t97, t28);
    t09 = ADD_CPX_CPX(t87, t38);
    t19 = SUB_CPX_CPX(t97, t28);
    s61 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t88), MUL_FLT_CPX(C_FLT(0.55557023301960218), t98));
    s71 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), t88), MUL_FLT_CPX(C_FLT(0.83146961230254524), t98));
    s81 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t68), MUL_FLT_CPX(C_FLT(0.92387953251128674), t78));
    s91 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t68), MUL_FLT_CPX(C_FLT(0.38268343236508978), t78));
    s02 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), t09), MUL_FLT_CPX(C_FLT(0.98078528040323043), t19));
    s12 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t09), MUL_FLT_CPX(C_FLT(0.19509032201612828), t19));
    t29 = ADD_CPX_CPX(t41, t26);
    t39 = SUB_CPX_CPX(t61, t36);
    t49 = SUB_CPX_CPX(t41, t26);
    t59 = ADD_CPX_CPX(t61, t36);
    t69 = ADD_CPX_CPX(t83, t48);
    t79 = SUB_CPX_CPX(t93, t58);
    a63 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t83, t48));
    a73 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t93, t58));
    s22 = SUB_CPX_CPX(a63, a73);
    s32 = ADD_CPX_CPX(a63, a73);
    *(T) = ADD_CPX_CPX(t29, t69);
    *((T + 8)) = SUB_CPX_CPX(t49, t79);
    *((T + 16)) = SUB_CPX_CPX(t29, t69);
    *((T + 24)) = ADD_CPX_CPX(t49, t79);
    *((T + 4)) = ADD_CPX_CPX(t39, s22);
    *((T + 12)) = SUB_CPX_CPX(t59, s32);
    *((T + 20)) = SUB_CPX_CPX(t39, s22);
    *((T + 28)) = ADD_CPX_CPX(t59, s32);
    t89 = ADD_CPX_CPX(t81, s01);
    t99 = SUB_CPX_CPX(t02, s11);
    t0a = SUB_CPX_CPX(t81, s01);
    t1a = ADD_CPX_CPX(t02, s11);
    t2a = ADD_CPX_CPX(s4, s61);
    t3a = SUB_CPX_CPX(s5, s71);
    a83 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4, s61));
    a93 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5, s71));
    s42 = SUB_CPX_CPX(a83, a93);
    s52 = ADD_CPX_CPX(a83, a93);
    *((T + 1)) = ADD_CPX_CPX(t89, t2a);
    *((T + 9)) = SUB_CPX_CPX(t0a, t3a);
    *((T + 17)) = SUB_CPX_CPX(t89, t2a);
    *((T + 25)) = ADD_CPX_CPX(t0a, t3a);
    *((T + 5)) = ADD_CPX_CPX(t99, s42);
    *((T + 13)) = SUB_CPX_CPX(t1a, s52);
    *((T + 21)) = SUB_CPX_CPX(t99, s42);
    *((T + 29)) = ADD_CPX_CPX(t1a, s52);
    t4a = ADD_CPX_CPX(t51, s21);
    t5a = SUB_CPX_CPX(t71, s31);
    t6a = SUB_CPX_CPX(t51, s21);
    t7a = ADD_CPX_CPX(t71, s31);
    t8a = ADD_CPX_CPX(s6, s81);
    t9a = SUB_CPX_CPX(s7, s91);
    a04 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s6, s81));
    a14 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s7, s91));
    s62 = SUB_CPX_CPX(a04, a14);
    s72 = ADD_CPX_CPX(a04, a14);
    *((T + 2)) = ADD_CPX_CPX(t4a, t8a);
    *((T + 10)) = SUB_CPX_CPX(t6a, t9a);
    *((T + 18)) = SUB_CPX_CPX(t4a, t8a);
    *((T + 26)) = ADD_CPX_CPX(t6a, t9a);
    *((T + 6)) = ADD_CPX_CPX(t5a, s62);
    *((T + 14)) = SUB_CPX_CPX(t7a, s72);
    *((T + 22)) = SUB_CPX_CPX(t5a, s62);
    *((T + 30)) = ADD_CPX_CPX(t7a, s72);
    t0b = ADD_CPX_CPX(t91, s41);
    t1b = SUB_CPX_CPX(t12, s51);
    t2b = SUB_CPX_CPX(t91, s41);
    t3b = ADD_CPX_CPX(t12, s51);
    t4b = SUB_CPX_CPX(s8, s02);
    t5b = SUB_CPX_CPX(s9, s12);
    a24 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s8, s02));
    a34 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s9, s12));
    s82 = SUB_CPX_CPX(a24, a34);
    s92 = ADD_CPX_CPX(a24, a34);
    *((T + 3)) = ADD_CPX_CPX(t0b, t4b);
    *((T + 11)) = SUB_CPX_CPX(t2b, t5b);
    *((T + 19)) = SUB_CPX_CPX(t0b, t4b);
    *((T + 27)) = ADD_CPX_CPX(t2b, t5b);
    *((T + 7)) = ADD_CPX_CPX(t1b, s82);
    *((T + 15)) = SUB_CPX_CPX(t3b, s92);
    *((T + 23)) = SUB_CPX_CPX(t1b, s82);
    *((T + 31)) = ADD_CPX_CPX(t3b, s92);
    {long i; for(i = 0; i <= 62; i++) {
        b = (src + i);
        a44 = (b + 1);
        a54 = (src + (2047 - i));
        t6b = ADD_CPX_CPX(*(a44), *(a54));
        t7b = ADD_CPX_CPX(MUL_I_CPX(*(a44)), MUL_NI_CPX(*(a54)));
        a64 = (b + 129);
        a74 = (src + (1919 - i));
        t8b = ADD_CPX_CPX(*(a64), *(a74));
        t9b = ADD_CPX_CPX(MUL_I_CPX(*(a64)), MUL_NI_CPX(*(a74)));
        a84 = (b + 257);
        a94 = (src + (1791 - i));
        t0c = ADD_CPX_CPX(*(a84), *(a94));
        t1c = ADD_CPX_CPX(MUL_I_CPX(*(a84)), MUL_NI_CPX(*(a94)));
        a05 = (b + 385);
        a15 = (src + (1663 - i));
        t2c = ADD_CPX_CPX(*(a05), *(a15));
        t3c = ADD_CPX_CPX(MUL_I_CPX(*(a05)), MUL_NI_CPX(*(a15)));
        a25 = (b + 513);
        a35 = (src + (1535 - i));
        t4c = ADD_CPX_CPX(*(a25), *(a35));
        t5c = ADD_CPX_CPX(MUL_I_CPX(*(a25)), MUL_NI_CPX(*(a35)));
        a45 = (b + 641);
        a55 = (src + (1407 - i));
        t6c = ADD_CPX_CPX(*(a45), *(a55));
        t7c = ADD_CPX_CPX(MUL_I_CPX(*(a45)), MUL_NI_CPX(*(a55)));
        a65 = (b + 769);
        a75 = (src + (1279 - i));
        t8c = ADD_CPX_CPX(*(a65), *(a75));
        t9c = ADD_CPX_CPX(MUL_I_CPX(*(a65)), MUL_NI_CPX(*(a75)));
        a85 = (b + 897);
        a95 = (src + (1151 - i));
        t0d = ADD_CPX_CPX(*(a85), *(a95));
        t1d = ADD_CPX_CPX(MUL_I_CPX(*(a85)), MUL_NI_CPX(*(a95)));
        a06 = (b + 1025);
        a16 = (src + (1023 - i));
        t2d = ADD_CPX_CPX(*(a06), *(a16));
        t3d = ADD_CPX_CPX(MUL_I_CPX(*(a06)), MUL_NI_CPX(*(a16)));
        a26 = (b + 1153);
        a36 = (src + (895 - i));
        t4d = ADD_CPX_CPX(*(a26), *(a36));
        t5d = ADD_CPX_CPX(MUL_I_CPX(*(a26)), MUL_NI_CPX(*(a36)));
        a46 = (b + 1281);
        a56 = (src + (767 - i));
        t6d = ADD_CPX_CPX(*(a46), *(a56));
        t7d = ADD_CPX_CPX(MUL_I_CPX(*(a46)), MUL_NI_CPX(*(a56)));
        a66 = (b + 1409);
        a76 = (src + (639 - i));
        t8d = ADD_CPX_CPX(*(a66), *(a76));
        t9d = ADD_CPX_CPX(MUL_I_CPX(*(a66)), MUL_NI_CPX(*(a76)));
        a86 = (b + 1537);
        a96 = (src + (511 - i));
        t0e = ADD_CPX_CPX(*(a86), *(a96));
        t1e = ADD_CPX_CPX(MUL_I_CPX(*(a86)), MUL_NI_CPX(*(a96)));
        a07 = (b + 1665);
        a17 = (src + (383 - i));
        t2e = ADD_CPX_CPX(*(a07), *(a17));
        t3e = ADD_CPX_CPX(MUL_I_CPX(*(a07)), MUL_NI_CPX(*(a17)));
        a27 = (b + 1793);
        a37 = (src + (255 - i));
        t4e = ADD_CPX_CPX(*(a27), *(a37));
        t5e = ADD_CPX_CPX(MUL_I_CPX(*(a27)), MUL_NI_CPX(*(a37)));
        a47 = (b + 1921);
        a57 = (src + (127 - i));
        t6e = ADD_CPX_CPX(*(a47), *(a57));
        t7e = ADD_CPX_CPX(MUL_I_CPX(*(a47)), MUL_NI_CPX(*(a57)));
        t8e = ADD_CPX_CPX(t6b, t2d);
        t9e = ADD_CPX_CPX(t7b, t3d);
        t0f = SUB_CPX_CPX(t6b, t2d);
        t1f = SUB_CPX_CPX(t7b, t3d);
        t2f = ADD_CPX_CPX(t4c, t0e);
        t3f = ADD_CPX_CPX(t5c, t1e);
        t4f = SUB_CPX_CPX(t4c, t0e);
        t5f = SUB_CPX_CPX(t5c, t1e);
        t6f = ADD_CPX_CPX(t8e, t2f);
        t7f = ADD_CPX_CPX(t9e, t3f);
        t8f = SUB_CPX_CPX(t8e, t2f);
        t9f = SUB_CPX_CPX(t9e, t3f);
        t0g = SUB_CPX_CPX(t0f, t5f);
        t1g = ADD_CPX_CPX(t1f, t4f);
        t2g = ADD_CPX_CPX(t0f, t5f);
        t3g = SUB_CPX_CPX(t1f, t4f);
        t4g = ADD_CPX_CPX(t0c, t4e);
        t5g = ADD_CPX_CPX(t1c, t5e);
        t6g = SUB_CPX_CPX(t1c, t5e);
        t7g = SUB_CPX_CPX(t4e, t0c);
        t8g = ADD_CPX_CPX(t6d, t8c);
        t9g = ADD_CPX_CPX(t7d, t9c);
        t0h = SUB_CPX_CPX(t7d, t9c);
        t1h = SUB_CPX_CPX(t8c, t6d);
        s03 = ADD_CPX_CPX(t4g, t8g);
        s13 = ADD_CPX_CPX(t5g, t9g);
        s23 = ADD_CPX_CPX(t6g, t0h);
        s33 = ADD_CPX_CPX(t7g, t1h);
        a67 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t4g, t8g));
        a77 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t6g, t0h));
        t2h = SUB_CPX_CPX(a67, a77);
        a87 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t5g, t9g));
        a97 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t7g, t1h));
        t3h = SUB_CPX_CPX(a87, a97);
        t4h = ADD_CPX_CPX(a67, a77);
        t5h = ADD_CPX_CPX(a87, a97);
        s43 = ADD_CPX_CPX(t6f, s03);
        s53 = ADD_CPX_CPX(t7f, s13);
        s63 = SUB_CPX_CPX(t8f, s23);
        s73 = SUB_CPX_CPX(t9f, s33);
        s83 = SUB_CPX_CPX(t6f, s03);
        s93 = SUB_CPX_CPX(t7f, s13);
        s04 = ADD_CPX_CPX(t8f, s23);
        s14 = ADD_CPX_CPX(t9f, s33);
        s24 = ADD_CPX_CPX(t0g, t2h);
        s34 = ADD_CPX_CPX(t1g, t3h);
        s44 = SUB_CPX_CPX(t2g, t4h);
        s54 = SUB_CPX_CPX(t3g, t5h);
        s64 = SUB_CPX_CPX(t0g, t2h);
        s74 = SUB_CPX_CPX(t1g, t3h);
        s84 = ADD_CPX_CPX(t2g, t4h);
        s94 = ADD_CPX_CPX(t3g, t5h);
        t6h = ADD_CPX_CPX(t8b, t6e);
        t7h = ADD_CPX_CPX(t9b, t7e);
        t8h = SUB_CPX_CPX(t9b, t7e);
        t9h = SUB_CPX_CPX(t6e, t8b);
        t0i = ADD_CPX_CPX(t6c, t8d);
        t1i = ADD_CPX_CPX(t7c, t9d);
        t2i = SUB_CPX_CPX(t7c, t9d);
        t3i = SUB_CPX_CPX(t8d, t6c);
        t4i = ADD_CPX_CPX(t4d, t0d);
        t5i = ADD_CPX_CPX(t5d, t1d);
        t6i = SUB_CPX_CPX(t5d, t1d);
        t7i = SUB_CPX_CPX(t0d, t4d);
        t8i = ADD_CPX_CPX(t2e, t2c);
        t9i = ADD_CPX_CPX(t3e, t3c);
        t0j = SUB_CPX_CPX(t3e, t3c);
        t1j = SUB_CPX_CPX(t2c, t2e);
        s05 = ADD_CPX_CPX(t6h, t4i);
        s15 = ADD_CPX_CPX(t7h, t5i);
        s25 = ADD_CPX_CPX(t8h, t6i);
        s35 = ADD_CPX_CPX(t9h, t7i);
        s45 = SUB_CPX_CPX(t6h, t4i);
        s55 = SUB_CPX_CPX(t7h, t5i);
        s65 = SUB_CPX_CPX(t8h, t6i);
        s75 = SUB_CPX_CPX(t9h, t7i);
        s85 = ADD_CPX_CPX(t0i, t8i);
        s95 = ADD_CPX_CPX(t1i, t9i);
        s06 = ADD_CPX_CPX(t2i, t0j);
        s16 = ADD_CPX_CPX(t3i, t1j);
        s26 = SUB_CPX_CPX(t0i, t8i);
        s36 = SUB_CPX_CPX(t1i, t9i);
        s46 = SUB_CPX_CPX(t2i, t0j);
        s56 = SUB_CPX_CPX(t3i, t1j);
        s66 = ADD_CPX_CPX(s05, s85);
        s76 = ADD_CPX_CPX(s15, s95);
        s86 = ADD_CPX_CPX(s25, s06);
        s96 = ADD_CPX_CPX(s35, s16);
        s07 = SUB_CPX_CPX(s45, s46);
        s17 = SUB_CPX_CPX(s55, s56);
        s27 = ADD_CPX_CPX(s65, s26);
        s37 = ADD_CPX_CPX(s75, s36);
        s47 = ADD_CPX_CPX(s45, s46);
        s57 = ADD_CPX_CPX(s55, s56);
        s67 = SUB_CPX_CPX(s65, s26);
        s77 = SUB_CPX_CPX(s75, s36);
        t2j = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s07), MUL_FLT_CPX(C_FLT(0.38268343236508978), s27));
        t3j = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s17), MUL_FLT_CPX(C_FLT(0.38268343236508978), s37));
        t4j = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s07), MUL_FLT_CPX(C_FLT(0.92387953251128674), s27));
        t5j = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s17), MUL_FLT_CPX(C_FLT(0.92387953251128674), s37));
        a08 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s05, s85));
        a18 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s25, s06));
        t6j = SUB_CPX_CPX(a08, a18);
        a28 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s15, s95));
        a38 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s35, s16));
        t7j = SUB_CPX_CPX(a28, a38);
        t8j = ADD_CPX_CPX(a08, a18);
        t9j = ADD_CPX_CPX(a28, a38);
        t0k = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s47), MUL_FLT_CPX(C_FLT(0.92387953251128674), s67));
        t1k = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s57), MUL_FLT_CPX(C_FLT(0.92387953251128674), s77));
        t2k = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s47), MUL_FLT_CPX(C_FLT(0.38268343236508978), s67));
        t3k = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s57), MUL_FLT_CPX(C_FLT(0.38268343236508978), s77));
        s87 = SUB_CPX_CPX(s83, s86);
        s97 = SUB_CPX_CPX(s93, s96);
        s08 = SUB_CPX_CPX(s43, s66);
        s18 = SUB_CPX_CPX(s53, s76);
        s28 = ADD_CPX_CPX(s83, s86);
        s38 = ADD_CPX_CPX(s93, s96);
        s48 = ADD_CPX_CPX(s24, t2j);
        s58 = ADD_CPX_CPX(s34, t3j);
        s68 = SUB_CPX_CPX(s64, t4j);
        s78 = SUB_CPX_CPX(s74, t5j);
        s88 = SUB_CPX_CPX(s24, t2j);
        s98 = SUB_CPX_CPX(s34, t3j);
        s09 = ADD_CPX_CPX(s64, t4j);
        s19 = ADD_CPX_CPX(s74, t5j);
        s29 = ADD_CPX_CPX(s63, t6j);
        s39 = ADD_CPX_CPX(s73, t7j);
        s49 = SUB_CPX_CPX(s04, t8j);
        s59 = SUB_CPX_CPX(s14, t9j);
        s69 = SUB_CPX_CPX(s63, t6j);
        s79 = SUB_CPX_CPX(s73, t7j);
        s89 = ADD_CPX_CPX(s04, t8j);
        s99 = ADD_CPX_CPX(s14, t9j);
        s0a = ADD_CPX_CPX(s44, t0k);
        s1a = ADD_CPX_CPX(s54, t1k);
        s2a = SUB_CPX_CPX(s84, t2k);
        s3a = SUB_CPX_CPX(s94, t3k);
        s4a = SUB_CPX_CPX(s44, t0k);
        s5a = SUB_CPX_CPX(s54, t1k);
        s6a = ADD_CPX_CPX(s84, t2k);
        s7a = ADD_CPX_CPX(s94, t3k);
        b2 = (T + (32*i));
        *((b2 + 32)) = ADD_CPX_CPX(s43, s66);
        *((b2 + 48)) = ADD_CPX_CPX(s53, s76);
        a48 = (D1003 + (30*i));
        a58 = (a48 + 1);
        a68 = (a48 + 2);
        a78 = (a48 + 3);
        a88 = (a48 + 4);
        a98 = (a48 + 5);
        a09 = (a48 + 6);
        a19 = (a48 + 7);
        a29 = (a48 + 8);
        a39 = (a48 + 9);
        a49 = (a48 + 10);
        a59 = (a48 + 11);
        a69 = (a48 + 12);
        a79 = (a48 + 13);
        a89 = (a48 + 14);
        a99 = (a48 + 15);
        a0a = (a48 + 16);
        a1a = (a48 + 17);
        a2a = (a48 + 18);
        a3a = (a48 + 19);
        a4a = (a48 + 20);
        a5a = (a48 + 21);
        a6a = (a48 + 22);
        a7a = (a48 + 23);
        a8a = (a48 + 24);
        a9a = (a48 + 25);
        a0b = (a48 + 26);
        a1b = (a48 + 27);
        a2b = (a48 + 28);
        a3b = (a48 + 29);
        *((b2 + 33)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a48), s48), MUL_FLT_CPX(*(a58), s58));
        *((b2 + 49)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a58), s48), MUL_FLT_CPX(*(a48), s58));
        *((b2 + 34)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a68), s29), MUL_FLT_CPX(*(a78), s39));
        *((b2 + 50)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a78), s29), MUL_FLT_CPX(*(a68), s39));
        *((b2 + 35)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a88), s0a), MUL_FLT_CPX(*(a98), s1a));
        *((b2 + 51)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a98), s0a), MUL_FLT_CPX(*(a88), s1a));
        *((b2 + 36)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a09), s87), MUL_FLT_CPX(*(a19), s97));
        *((b2 + 52)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a19), s87), MUL_FLT_CPX(*(a09), s97));
        *((b2 + 37)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a29), s68), MUL_FLT_CPX(*(a39), s78));
        *((b2 + 53)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a39), s68), MUL_FLT_CPX(*(a29), s78));
        *((b2 + 38)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a49), s49), MUL_FLT_CPX(*(a59), s59));
        *((b2 + 54)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a59), s49), MUL_FLT_CPX(*(a49), s59));
        *((b2 + 39)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a69), s2a), MUL_FLT_CPX(*(a79), s3a));
        *((b2 + 55)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a79), s2a), MUL_FLT_CPX(*(a69), s3a));
        *((b2 + 40)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a89), s08), MUL_FLT_CPX(*(a99), s18));
        *((b2 + 56)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a99), s08), MUL_FLT_CPX(*(a89), s18));
        *((b2 + 41)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a0a), s88), MUL_FLT_CPX(*(a1a), s98));
        *((b2 + 57)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a1a), s88), MUL_FLT_CPX(*(a0a), s98));
        *((b2 + 42)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a2a), s69), MUL_FLT_CPX(*(a3a), s79));
        *((b2 + 58)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a3a), s69), MUL_FLT_CPX(*(a2a), s79));
        *((b2 + 43)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a4a), s4a), MUL_FLT_CPX(*(a5a), s5a));
        *((b2 + 59)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a5a), s4a), MUL_FLT_CPX(*(a4a), s5a));
        *((b2 + 44)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a6a), s28), MUL_FLT_CPX(*(a7a), s38));
        *((b2 + 60)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a7a), s28), MUL_FLT_CPX(*(a6a), s38));
        *((b2 + 45)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a8a), s09), MUL_FLT_CPX(*(a9a), s19));
        *((b2 + 61)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a9a), s09), MUL_FLT_CPX(*(a8a), s19));
        *((b2 + 46)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a0b), s89), MUL_FLT_CPX(*(a1b), s99));
        *((b2 + 62)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a1b), s89), MUL_FLT_CPX(*(a0b), s99));
        *((b2 + 47)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a2b), s6a), MUL_FLT_CPX(*(a3b), s7a));
        *((b2 + 63)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a3b), s6a), MUL_FLT_CPX(*(a2b), s7a));
    }}
    {long i2; for(i2 = 0; i2 <= 15; i2++) {
        a4b = (T + i2);
        a5b = (a4b + 16);
        a6b = (a4b + 1024);
        a7b = (a4b + 1040);
        t4k = ADD_CPX_CPX(*(a4b), *(a6b));
        t5k = SUB_CPX_CPX(*(a5b), *(a7b));
        t6k = SUB_CPX_CPX(*(a4b), *(a6b));
        t7k = ADD_CPX_CPX(*(a5b), *(a7b));
        a8b = (a4b + 256);
        a9b = (a4b + 272);
        a0c = (a4b + 1792);
        a1c = (a4b + 1808);
        t8k = ADD_CPX_CPX(*(a8b), *(a0c));
        t9k = SUB_CPX_CPX(*(a9b), *(a1c));
        t0l = SUB_CPX_CPX(*(a8b), *(a0c));
        t1l = ADD_CPX_CPX(*(a9b), *(a1c));
        s8a = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t0l), MUL_FLT_CPX(C_FLT(0.38268343236508978), t1l));
        s9a = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t0l), MUL_FLT_CPX(C_FLT(0.92387953251128674), t1l));
        a2c = (a4b + 512);
        a3c = (a4b + 528);
        a4c = (a4b + 1536);
        a5c = (a4b + 1552);
        t2l = ADD_CPX_CPX(*(a2c), *(a4c));
        t3l = SUB_CPX_CPX(*(a3c), *(a5c));
        a6c = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a2c), *(a4c)));
        a7c = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(*(a3c), *(a5c)));
        s0b = SUB_CPX_CPX(a6c, a7c);
        s1b = ADD_CPX_CPX(a6c, a7c);
        a8c = (a4b + 768);
        a9c = (a4b + 784);
        a0d = (a4b + 1280);
        a1d = (a4b + 1296);
        t4l = ADD_CPX_CPX(*(a8c), *(a0d));
        t5l = SUB_CPX_CPX(*(a9c), *(a1d));
        t6l = SUB_CPX_CPX(*(a8c), *(a0d));
        t7l = ADD_CPX_CPX(*(a9c), *(a1d));
        s2b = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t6l), MUL_FLT_CPX(C_FLT(0.92387953251128674), t7l));
        s3b = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t6l), MUL_FLT_CPX(C_FLT(0.38268343236508978), t7l));
        t8l = ADD_CPX_CPX(t4k, t2l);
        t9l = SUB_CPX_CPX(t6k, t3l);
        t0m = SUB_CPX_CPX(t4k, t2l);
        t1m = ADD_CPX_CPX(t6k, t3l);
        t2m = ADD_CPX_CPX(t8k, t4l);
        t3m = SUB_CPX_CPX(t9k, t5l);
        a2d = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8k, t4l));
        a3d = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t9k, t5l));
        s4b = SUB_CPX_CPX(a2d, a3d);
        s5b = ADD_CPX_CPX(a2d, a3d);
        t4m = ADD_CPX_CPX(t8l, t2m);
        t5m = SUB_CPX_CPX(t0m, t3m);
        t6m = SUB_CPX_CPX(t8l, t2m);
        t7m = ADD_CPX_CPX(t0m, t3m);
        t8m = ADD_CPX_CPX(t9l, s4b);
        t9m = SUB_CPX_CPX(t1m, s5b);
        t0n = SUB_CPX_CPX(t9l, s4b);
        t1n = ADD_CPX_CPX(t1m, s5b);
        t2n = ADD_CPX_CPX(t5k, s0b);
        t3n = SUB_CPX_CPX(t7k, s1b);
        t4n = SUB_CPX_CPX(t5k, s0b);
        t5n = ADD_CPX_CPX(t7k, s1b);
        t6n = ADD_CPX_CPX(s8a, s2b);
        t7n = SUB_CPX_CPX(s9a, s3b);
        a4d = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s8a, s2b));
        a5d = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s9a, s3b));
        s6b = SUB_CPX_CPX(a4d, a5d);
        s7b = ADD_CPX_CPX(a4d, a5d);
        t8n = ADD_CPX_CPX(t2n, t6n);
        t9n = SUB_CPX_CPX(t4n, t7n);
        t0o = SUB_CPX_CPX(t2n, t6n);
        t1o = ADD_CPX_CPX(t4n, t7n);
        t2o = ADD_CPX_CPX(t3n, s6b);
        t3o = SUB_CPX_CPX(t5n, s7b);
        t4o = SUB_CPX_CPX(t3n, s6b);
        t5o = ADD_CPX_CPX(t5n, s7b);
        a6d = (a4b + 32);
        a7d = (a4b + 48);
        a8d = (a4b + 2016);
        a9d = (a4b + 2032);
        t6o = ADD_CPX_CPX(*(a6d), *(a8d));
        t7o = SUB_CPX_CPX(*(a7d), *(a9d));
        t8o = SUB_CPX_CPX(*(a6d), *(a8d));
        t9o = ADD_CPX_CPX(*(a7d), *(a9d));
        a0e = (a4b + 1056);
        a1e = (a4b + 1072);
        a2e = (a4b + 992);
        a3e = (a4b + 1008);
        t0p = ADD_CPX_CPX(*(a0e), *(a2e));
        t1p = SUB_CPX_CPX(*(a1e), *(a3e));
        t2p = SUB_CPX_CPX(*(a0e), *(a2e));
        t3p = ADD_CPX_CPX(*(a1e), *(a3e));
        t4p = ADD_CPX_CPX(t6o, t0p);
        t5p = ADD_CPX_CPX(t7o, t1p);
        t6p = SUB_CPX_CPX(t6o, t0p);
        t7p = SUB_CPX_CPX(t7o, t1p);
        t8p = SUB_CPX_CPX(t8o, t3p);
        t9p = ADD_CPX_CPX(t9o, t2p);
        t0q = ADD_CPX_CPX(t8o, t3p);
        t1q = SUB_CPX_CPX(t9o, t2p);
        a4e = (a4b + 544);
        a5e = (a4b + 560);
        a6e = (a4b + 480);
        a7e = (a4b + 496);
        t2q = ADD_CPX_CPX(*(a4e), *(a6e));
        t3q = SUB_CPX_CPX(*(a5e), *(a7e));
        t4q = ADD_CPX_CPX(*(a5e), *(a7e));
        t5q = SUB_CPX_CPX(*(a6e), *(a4e));
        a8e = (a4b + 1504);
        a9e = (a4b + 1520);
        a0f = (a4b + 1568);
        a1f = (a4b + 1584);
        t6q = ADD_CPX_CPX(*(a8e), *(a0f));
        t7q = SUB_CPX_CPX(*(a1f), *(a9e));
        t8q = ADD_CPX_CPX(*(a9e), *(a1f));
        t9q = SUB_CPX_CPX(*(a0f), *(a8e));
        s8b = ADD_CPX_CPX(t2q, t6q);
        s9b = ADD_CPX_CPX(t3q, t7q);
        s0c = SUB_CPX_CPX(t4q, t8q);
        s1c = ADD_CPX_CPX(t5q, t9q);
        a2f = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2q, t6q));
        a3f = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t4q, t8q));
        t0r = SUB_CPX_CPX(a2f, a3f);
        a4f = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3q, t7q));
        a5f = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t5q, t9q));
        t1r = SUB_CPX_CPX(a4f, a5f);
        t2r = ADD_CPX_CPX(a2f, a3f);
        t3r = ADD_CPX_CPX(a4f, a5f);
        s2c = ADD_CPX_CPX(t4p, s8b);
        s3c = ADD_CPX_CPX(t5p, s9b);
        s4c = SUB_CPX_CPX(t6p, s0c);
        s5c = SUB_CPX_CPX(t7p, s1c);
        s6c = SUB_CPX_CPX(t4p, s8b);
        s7c = SUB_CPX_CPX(t5p, s9b);
        s8c = ADD_CPX_CPX(t6p, s0c);
        s9c = ADD_CPX_CPX(t7p, s1c);
        s0d = ADD_CPX_CPX(t8p, t0r);
        s1d = ADD_CPX_CPX(t9p, t1r);
        s2d = SUB_CPX_CPX(t0q, t2r);
        s3d = SUB_CPX_CPX(t1q, t3r);
        s4d = SUB_CPX_CPX(t8p, t0r);
        s5d = SUB_CPX_CPX(t9p, t1r);
        s6d = ADD_CPX_CPX(t0q, t2r);
        s7d = ADD_CPX_CPX(t1q, t3r);
        s8d = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99879545620517241), s0d), MUL_FLT_CPX(C_FLT(0.049067674327418015), s1d));
        s9d = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.049067674327418015), s0d), MUL_FLT_CPX(C_FLT(0.99879545620517241), s1d));
        s0e = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), s4c), MUL_FLT_CPX(C_FLT(0.098017140329560604), s5c));
        s1e = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), s4c), MUL_FLT_CPX(C_FLT(0.99518472667219693), s5c));
        s2e = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s2d), MUL_FLT_CPX(C_FLT(0.14673047445536175), s3d));
        s3e = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.14673047445536175), s2d), MUL_FLT_CPX(C_FLT(0.98917650996478101), s3d));
        s4e = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s6c), MUL_FLT_CPX(C_FLT(0.19509032201612828), s7c));
        s5e = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s6c), MUL_FLT_CPX(C_FLT(0.98078528040323043), s7c));
        s6e = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.97003125319454397), s4d), MUL_FLT_CPX(C_FLT(0.2429801799032639), s5d));
        s7e = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.2429801799032639), s4d), MUL_FLT_CPX(C_FLT(0.97003125319454397), s5d));
        s8e = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s8c), MUL_FLT_CPX(C_FLT(0.29028467725446239), s9c));
        s9e = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.29028467725446239), s8c), MUL_FLT_CPX(C_FLT(0.95694033573220882), s9c));
        s0f = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), s6d), MUL_FLT_CPX(C_FLT(0.33688985339222005), s7d));
        s1f = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.33688985339222005), s6d), MUL_FLT_CPX(C_FLT(0.94154406518302081), s7d));
        a6f = (a4b + 64);
        a7f = (a4b + 80);
        a8f = (a4b + 1984);
        a9f = (a4b + 2000);
        t4r = ADD_CPX_CPX(*(a6f), *(a8f));
        t5r = SUB_CPX_CPX(*(a7f), *(a9f));
        t6r = SUB_CPX_CPX(*(a6f), *(a8f));
        t7r = ADD_CPX_CPX(*(a7f), *(a9f));
        a0g = (a4b + 1088);
        a1g = (a4b + 1104);
        a2g = (a4b + 960);
        a3g = (a4b + 976);
        t8r = ADD_CPX_CPX(*(a0g), *(a2g));
        t9r = SUB_CPX_CPX(*(a1g), *(a3g));
        t0s = SUB_CPX_CPX(*(a0g), *(a2g));
        t1s = ADD_CPX_CPX(*(a1g), *(a3g));
        t2s = ADD_CPX_CPX(t4r, t8r);
        t3s = ADD_CPX_CPX(t5r, t9r);
        t4s = SUB_CPX_CPX(t4r, t8r);
        t5s = SUB_CPX_CPX(t5r, t9r);
        t6s = SUB_CPX_CPX(t6r, t1s);
        t7s = ADD_CPX_CPX(t7r, t0s);
        t8s = ADD_CPX_CPX(t6r, t1s);
        t9s = SUB_CPX_CPX(t7r, t0s);
        a4g = (a4b + 576);
        a5g = (a4b + 592);
        a6g = (a4b + 448);
        a7g = (a4b + 464);
        t0t = ADD_CPX_CPX(*(a4g), *(a6g));
        t1t = SUB_CPX_CPX(*(a5g), *(a7g));
        t2t = ADD_CPX_CPX(*(a5g), *(a7g));
        t3t = SUB_CPX_CPX(*(a6g), *(a4g));
        a8g = (a4b + 1472);
        a9g = (a4b + 1488);
        a0h = (a4b + 1600);
        a1h = (a4b + 1616);
        t4t = ADD_CPX_CPX(*(a8g), *(a0h));
        t5t = SUB_CPX_CPX(*(a1h), *(a9g));
        t6t = ADD_CPX_CPX(*(a9g), *(a1h));
        t7t = SUB_CPX_CPX(*(a0h), *(a8g));
        s2f = ADD_CPX_CPX(t0t, t4t);
        s3f = ADD_CPX_CPX(t1t, t5t);
        s4f = SUB_CPX_CPX(t2t, t6t);
        s5f = ADD_CPX_CPX(t3t, t7t);
        a2h = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0t, t4t));
        a3h = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t2t, t6t));
        t8t = SUB_CPX_CPX(a2h, a3h);
        a4h = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t1t, t5t));
        a5h = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3t, t7t));
        t9t = SUB_CPX_CPX(a4h, a5h);
        t0u = ADD_CPX_CPX(a2h, a3h);
        t1u = ADD_CPX_CPX(a4h, a5h);
        s6f = ADD_CPX_CPX(t2s, s2f);
        s7f = ADD_CPX_CPX(t3s, s3f);
        s8f = SUB_CPX_CPX(t4s, s4f);
        s9f = SUB_CPX_CPX(t5s, s5f);
        s0g = SUB_CPX_CPX(t2s, s2f);
        s1g = SUB_CPX_CPX(t3s, s3f);
        s2g = ADD_CPX_CPX(t4s, s4f);
        s3g = ADD_CPX_CPX(t5s, s5f);
        s4g = ADD_CPX_CPX(t6s, t8t);
        s5g = ADD_CPX_CPX(t7s, t9t);
        s6g = SUB_CPX_CPX(t8s, t0u);
        s7g = SUB_CPX_CPX(t9s, t1u);
        s8g = SUB_CPX_CPX(t6s, t8t);
        s9g = SUB_CPX_CPX(t7s, t9t);
        s0h = ADD_CPX_CPX(t8s, t0u);
        s1h = ADD_CPX_CPX(t9s, t1u);
        s2h = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), s4g), MUL_FLT_CPX(C_FLT(0.098017140329560604), s5g));
        s3h = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), s4g), MUL_FLT_CPX(C_FLT(0.99518472667219693), s5g));
        s4h = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s8f), MUL_FLT_CPX(C_FLT(0.19509032201612828), s9f));
        s5h = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s8f), MUL_FLT_CPX(C_FLT(0.98078528040323043), s9f));
        s6h = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s6g), MUL_FLT_CPX(C_FLT(0.29028467725446239), s7g));
        s7h = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.29028467725446239), s6g), MUL_FLT_CPX(C_FLT(0.95694033573220882), s7g));
        s8h = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s0g), MUL_FLT_CPX(C_FLT(0.38268343236508978), s1g));
        s9h = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s0g), MUL_FLT_CPX(C_FLT(0.92387953251128674), s1g));
        s0i = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s8g), MUL_FLT_CPX(C_FLT(0.47139673682599764), s9g));
        s1i = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.47139673682599764), s8g), MUL_FLT_CPX(C_FLT(0.88192126434835505), s9g));
        s2i = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s2g), MUL_FLT_CPX(C_FLT(0.55557023301960218), s3g));
        s3i = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s2g), MUL_FLT_CPX(C_FLT(0.83146961230254524), s3g));
        s4i = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), s0h), MUL_FLT_CPX(C_FLT(0.63439328416364549), s1h));
        s5i = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), s0h), MUL_FLT_CPX(C_FLT(0.77301045336273699), s1h));
        a6h = (a4b + 96);
        a7h = (a4b + 112);
        a8h = (a4b + 1952);
        a9h = (a4b + 1968);
        t2u = ADD_CPX_CPX(*(a6h), *(a8h));
        t3u = SUB_CPX_CPX(*(a7h), *(a9h));
        t4u = SUB_CPX_CPX(*(a6h), *(a8h));
        t5u = ADD_CPX_CPX(*(a7h), *(a9h));
        a0i = (a4b + 1120);
        a1i = (a4b + 1136);
        a2i = (a4b + 928);
        a3i = (a4b + 944);
        t6u = ADD_CPX_CPX(*(a0i), *(a2i));
        t7u = SUB_CPX_CPX(*(a1i), *(a3i));
        t8u = SUB_CPX_CPX(*(a0i), *(a2i));
        t9u = ADD_CPX_CPX(*(a1i), *(a3i));
        t0v = ADD_CPX_CPX(t2u, t6u);
        t1v = ADD_CPX_CPX(t3u, t7u);
        t2v = SUB_CPX_CPX(t2u, t6u);
        t3v = SUB_CPX_CPX(t3u, t7u);
        t4v = SUB_CPX_CPX(t4u, t9u);
        t5v = ADD_CPX_CPX(t5u, t8u);
        t6v = ADD_CPX_CPX(t4u, t9u);
        t7v = SUB_CPX_CPX(t5u, t8u);
        a4i = (a4b + 608);
        a5i = (a4b + 624);
        a6i = (a4b + 416);
        a7i = (a4b + 432);
        t8v = ADD_CPX_CPX(*(a4i), *(a6i));
        t9v = SUB_CPX_CPX(*(a5i), *(a7i));
        t0w = ADD_CPX_CPX(*(a5i), *(a7i));
        t1w = SUB_CPX_CPX(*(a6i), *(a4i));
        a8i = (a4b + 1440);
        a9i = (a4b + 1456);
        a0j = (a4b + 1632);
        a1j = (a4b + 1648);
        t2w = ADD_CPX_CPX(*(a8i), *(a0j));
        t3w = SUB_CPX_CPX(*(a1j), *(a9i));
        t4w = ADD_CPX_CPX(*(a9i), *(a1j));
        t5w = SUB_CPX_CPX(*(a0j), *(a8i));
        s6i = ADD_CPX_CPX(t8v, t2w);
        s7i = ADD_CPX_CPX(t9v, t3w);
        s8i = SUB_CPX_CPX(t0w, t4w);
        s9i = ADD_CPX_CPX(t1w, t5w);
        a2j = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8v, t2w));
        a3j = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t0w, t4w));
        t6w = SUB_CPX_CPX(a2j, a3j);
        a4j = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9v, t3w));
        a5j = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t1w, t5w));
        t7w = SUB_CPX_CPX(a4j, a5j);
        t8w = ADD_CPX_CPX(a2j, a3j);
        t9w = ADD_CPX_CPX(a4j, a5j);
        s0j = ADD_CPX_CPX(t0v, s6i);
        s1j = ADD_CPX_CPX(t1v, s7i);
        s2j = SUB_CPX_CPX(t2v, s8i);
        s3j = SUB_CPX_CPX(t3v, s9i);
        s4j = SUB_CPX_CPX(t0v, s6i);
        s5j = SUB_CPX_CPX(t1v, s7i);
        s6j = ADD_CPX_CPX(t2v, s8i);
        s7j = ADD_CPX_CPX(t3v, s9i);
        s8j = ADD_CPX_CPX(t4v, t6w);
        s9j = ADD_CPX_CPX(t5v, t7w);
        s0k = SUB_CPX_CPX(t6v, t8w);
        s1k = SUB_CPX_CPX(t7v, t9w);
        s2k = SUB_CPX_CPX(t4v, t6w);
        s3k = SUB_CPX_CPX(t5v, t7w);
        s4k = ADD_CPX_CPX(t6v, t8w);
        s5k = ADD_CPX_CPX(t7v, t9w);
        s6k = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s8j), MUL_FLT_CPX(C_FLT(0.14673047445536175), s9j));
        s7k = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.14673047445536175), s8j), MUL_FLT_CPX(C_FLT(0.98917650996478101), s9j));
        s8k = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s2j), MUL_FLT_CPX(C_FLT(0.29028467725446239), s3j));
        s9k = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.29028467725446239), s2j), MUL_FLT_CPX(C_FLT(0.95694033573220882), s3j));
        s0l = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.90398929312344334), s0k), MUL_FLT_CPX(C_FLT(0.42755509343028208), s1k));
        s1l = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.42755509343028208), s0k), MUL_FLT_CPX(C_FLT(0.90398929312344334), s1k));
        s2l = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s4j), MUL_FLT_CPX(C_FLT(0.55557023301960218), s5j));
        s3l = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s4j), MUL_FLT_CPX(C_FLT(0.83146961230254524), s5j));
        s4l = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), s2k), MUL_FLT_CPX(C_FLT(0.67155895484701844), s3k));
        s5l = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.67155895484701844), s2k), MUL_FLT_CPX(C_FLT(0.74095112535495911), s3k));
        s6l = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), s6j), MUL_FLT_CPX(C_FLT(0.77301045336273699), s7j));
        s7l = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), s6j), MUL_FLT_CPX(C_FLT(0.63439328416364549), s7j));
        s8l = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.51410274419322177), s4k), MUL_FLT_CPX(C_FLT(0.85772861000027212), s5k));
        s9l = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.85772861000027212), s4k), MUL_FLT_CPX(C_FLT(0.51410274419322177), s5k));
        a6j = (a4b + 128);
        a7j = (a4b + 144);
        a8j = (a4b + 1920);
        a9j = (a4b + 1936);
        t0x = ADD_CPX_CPX(*(a6j), *(a8j));
        t1x = SUB_CPX_CPX(*(a7j), *(a9j));
        t2x = SUB_CPX_CPX(*(a6j), *(a8j));
        t3x = ADD_CPX_CPX(*(a7j), *(a9j));
        a0k = (a4b + 1152);
        a1k = (a4b + 1168);
        a2k = (a4b + 896);
        a3k = (a4b + 912);
        t4x = ADD_CPX_CPX(*(a0k), *(a2k));
        t5x = SUB_CPX_CPX(*(a1k), *(a3k));
        t6x = SUB_CPX_CPX(*(a0k), *(a2k));
        t7x = ADD_CPX_CPX(*(a1k), *(a3k));
        t8x = ADD_CPX_CPX(t0x, t4x);
        t9x = ADD_CPX_CPX(t1x, t5x);
        t0y = SUB_CPX_CPX(t0x, t4x);
        t1y = SUB_CPX_CPX(t1x, t5x);
        t2y = SUB_CPX_CPX(t2x, t7x);
        t3y = ADD_CPX_CPX(t3x, t6x);
        t4y = ADD_CPX_CPX(t2x, t7x);
        t5y = SUB_CPX_CPX(t3x, t6x);
        a4k = (a4b + 640);
        a5k = (a4b + 656);
        a6k = (a4b + 384);
        a7k = (a4b + 400);
        t6y = ADD_CPX_CPX(*(a4k), *(a6k));
        t7y = SUB_CPX_CPX(*(a5k), *(a7k));
        t8y = ADD_CPX_CPX(*(a5k), *(a7k));
        t9y = SUB_CPX_CPX(*(a6k), *(a4k));
        a8k = (a4b + 1408);
        a9k = (a4b + 1424);
        a0l = (a4b + 1664);
        a1l = (a4b + 1680);
        t0z = ADD_CPX_CPX(*(a8k), *(a0l));
        t1z = SUB_CPX_CPX(*(a1l), *(a9k));
        t2z = ADD_CPX_CPX(*(a9k), *(a1l));
        t3z = SUB_CPX_CPX(*(a0l), *(a8k));
        s0m = ADD_CPX_CPX(t6y, t0z);
        s1m = ADD_CPX_CPX(t7y, t1z);
        s2m = SUB_CPX_CPX(t8y, t2z);
        s3m = ADD_CPX_CPX(t9y, t3z);
        a2l = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t6y, t0z));
        a3l = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t8y, t2z));
        t4z = SUB_CPX_CPX(a2l, a3l);
        a4l = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t7y, t1z));
        a5l = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9y, t3z));
        t5z = SUB_CPX_CPX(a4l, a5l);
        t6z = ADD_CPX_CPX(a2l, a3l);
        t7z = ADD_CPX_CPX(a4l, a5l);
        s4m = ADD_CPX_CPX(t8x, s0m);
        s5m = ADD_CPX_CPX(t9x, s1m);
        s6m = SUB_CPX_CPX(t0y, s2m);
        s7m = SUB_CPX_CPX(t1y, s3m);
        s8m = ADD_CPX_CPX(t0y, s2m);
        s9m = ADD_CPX_CPX(t1y, s3m);
        s0n = ADD_CPX_CPX(t2y, t4z);
        s1n = ADD_CPX_CPX(t3y, t5z);
        s2n = SUB_CPX_CPX(t4y, t6z);
        s3n = SUB_CPX_CPX(t5y, t7z);
        s4n = SUB_CPX_CPX(t2y, t4z);
        s5n = SUB_CPX_CPX(t3y, t5z);
        s6n = ADD_CPX_CPX(t4y, t6z);
        s7n = ADD_CPX_CPX(t5y, t7z);
        s8n = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s0n), MUL_FLT_CPX(C_FLT(0.19509032201612828), s1n));
        s9n = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s0n), MUL_FLT_CPX(C_FLT(0.98078528040323043), s1n));
        s0o = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s6m), MUL_FLT_CPX(C_FLT(0.38268343236508978), s7m));
        s1o = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s6m), MUL_FLT_CPX(C_FLT(0.92387953251128674), s7m));
        s2o = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s2n), MUL_FLT_CPX(C_FLT(0.55557023301960218), s3n));
        s3o = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s2n), MUL_FLT_CPX(C_FLT(0.83146961230254524), s3n));
        a6l = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8x, s0m));
        a7l = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9x, s1m));
        s4o = SUB_CPX_CPX(a6l, a7l);
        s5o = ADD_CPX_CPX(a6l, a7l);
        s6o = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s4n), MUL_FLT_CPX(C_FLT(0.83146961230254524), s5n));
        s7o = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s4n), MUL_FLT_CPX(C_FLT(0.55557023301960218), s5n));
        s8o = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s8m), MUL_FLT_CPX(C_FLT(0.92387953251128674), s9m));
        s9o = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s8m), MUL_FLT_CPX(C_FLT(0.38268343236508978), s9m));
        s0p = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s6n), MUL_FLT_CPX(C_FLT(0.98078528040323043), s7n));
        s1p = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s6n), MUL_FLT_CPX(C_FLT(0.19509032201612828), s7n));
        a8l = (a4b + 160);
        a9l = (a4b + 176);
        a0m = (a4b + 1888);
        a1m = (a4b + 1904);
        t8z = ADD_CPX_CPX(*(a8l), *(a0m));
        t9z = SUB_CPX_CPX(*(a9l), *(a1m));
        t0A = SUB_CPX_CPX(*(a8l), *(a0m));
        t1A = ADD_CPX_CPX(*(a9l), *(a1m));
        a2m = (a4b + 1184);
        a3m = (a4b + 1200);
        a4m = (a4b + 864);
        a5m = (a4b + 880);
        t2A = ADD_CPX_CPX(*(a2m), *(a4m));
        t3A = SUB_CPX_CPX(*(a3m), *(a5m));
        t4A = SUB_CPX_CPX(*(a2m), *(a4m));
        t5A = ADD_CPX_CPX(*(a3m), *(a5m));
        t6A = ADD_CPX_CPX(t8z, t2A);
        t7A = ADD_CPX_CPX(t9z, t3A);
        t8A = SUB_CPX_CPX(t8z, t2A);
        t9A = SUB_CPX_CPX(t9z, t3A);
        t0B = SUB_CPX_CPX(t0A, t5A);
        t1B = ADD_CPX_CPX(t1A, t4A);
        t2B = ADD_CPX_CPX(t0A, t5A);
        t3B = SUB_CPX_CPX(t1A, t4A);
        a6m = (a4b + 672);
        a7m = (a4b + 688);
        a8m = (a4b + 352);
        a9m = (a4b + 368);
        t4B = ADD_CPX_CPX(*(a6m), *(a8m));
        t5B = SUB_CPX_CPX(*(a7m), *(a9m));
        t6B = ADD_CPX_CPX(*(a7m), *(a9m));
        t7B = SUB_CPX_CPX(*(a8m), *(a6m));
        a0n = (a4b + 1376);
        a1n = (a4b + 1392);
        a2n = (a4b + 1696);
        a3n = (a4b + 1712);
        t8B = ADD_CPX_CPX(*(a0n), *(a2n));
        t9B = SUB_CPX_CPX(*(a3n), *(a1n));
        t0C = ADD_CPX_CPX(*(a1n), *(a3n));
        t1C = SUB_CPX_CPX(*(a2n), *(a0n));
        s2p = ADD_CPX_CPX(t4B, t8B);
        s3p = ADD_CPX_CPX(t5B, t9B);
        s4p = SUB_CPX_CPX(t6B, t0C);
        s5p = ADD_CPX_CPX(t7B, t1C);
        a4n = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t4B, t8B));
        a5n = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t6B, t0C));
        t2C = SUB_CPX_CPX(a4n, a5n);
        a6n = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t5B, t9B));
        a7n = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t7B, t1C));
        t3C = SUB_CPX_CPX(a6n, a7n);
        t4C = ADD_CPX_CPX(a4n, a5n);
        t5C = ADD_CPX_CPX(a6n, a7n);
        s6p = ADD_CPX_CPX(t6A, s2p);
        s7p = ADD_CPX_CPX(t7A, s3p);
        s8p = SUB_CPX_CPX(t8A, s4p);
        s9p = SUB_CPX_CPX(t9A, s5p);
        s0q = SUB_CPX_CPX(t6A, s2p);
        s1q = SUB_CPX_CPX(t7A, s3p);
        s2q = ADD_CPX_CPX(t8A, s4p);
        s3q = ADD_CPX_CPX(t9A, s5p);
        s4q = ADD_CPX_CPX(t0B, t2C);
        s5q = ADD_CPX_CPX(t1B, t3C);
        s6q = SUB_CPX_CPX(t2B, t4C);
        s7q = SUB_CPX_CPX(t3B, t5C);
        s8q = SUB_CPX_CPX(t0B, t2C);
        s9q = SUB_CPX_CPX(t1B, t3C);
        s0r = ADD_CPX_CPX(t2B, t4C);
        s1r = ADD_CPX_CPX(t3B, t5C);
        s2r = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.97003125319454397), s4q), MUL_FLT_CPX(C_FLT(0.2429801799032639), s5q));
        s3r = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.2429801799032639), s4q), MUL_FLT_CPX(C_FLT(0.97003125319454397), s5q));
        s4r = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s8p), MUL_FLT_CPX(C_FLT(0.47139673682599764), s9p));
        s5r = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.47139673682599764), s8p), MUL_FLT_CPX(C_FLT(0.88192126434835505), s9p));
        s6r = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), s6q), MUL_FLT_CPX(C_FLT(0.67155895484701844), s7q));
        s7r = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.67155895484701844), s6q), MUL_FLT_CPX(C_FLT(0.74095112535495911), s7q));
        s8r = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s0q), MUL_FLT_CPX(C_FLT(0.83146961230254524), s1q));
        s9r = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s0q), MUL_FLT_CPX(C_FLT(0.55557023301960218), s1q));
        s0s = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.33688985339222005), s8q), MUL_FLT_CPX(C_FLT(0.94154406518302081), s9q));
        s1s = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), s8q), MUL_FLT_CPX(C_FLT(0.33688985339222005), s9q));
        s2s = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), s2q), MUL_FLT_CPX(C_FLT(0.99518472667219693), s3q));
        s3s = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), s2q), MUL_FLT_CPX(C_FLT(0.098017140329560604), s3q));
        s4s = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.14673047445536175), s0r), MUL_FLT_CPX(C_FLT(0.98917650996478101), s1r));
        s5s = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s0r), MUL_FLT_CPX(C_FLT(0.14673047445536175), s1r));
        a8n = (a4b + 192);
        a9n = (a4b + 208);
        a0o = (a4b + 1856);
        a1o = (a4b + 1872);
        t6C = ADD_CPX_CPX(*(a8n), *(a0o));
        t7C = SUB_CPX_CPX(*(a9n), *(a1o));
        t8C = SUB_CPX_CPX(*(a8n), *(a0o));
        t9C = ADD_CPX_CPX(*(a9n), *(a1o));
        a2o = (a4b + 1216);
        a3o = (a4b + 1232);
        a4o = (a4b + 832);
        a5o = (a4b + 848);
        t0D = ADD_CPX_CPX(*(a2o), *(a4o));
        t1D = SUB_CPX_CPX(*(a3o), *(a5o));
        t2D = SUB_CPX_CPX(*(a2o), *(a4o));
        t3D = ADD_CPX_CPX(*(a3o), *(a5o));
        t4D = ADD_CPX_CPX(t6C, t0D);
        t5D = ADD_CPX_CPX(t7C, t1D);
        t6D = SUB_CPX_CPX(t6C, t0D);
        t7D = SUB_CPX_CPX(t7C, t1D);
        t8D = SUB_CPX_CPX(t8C, t3D);
        t9D = ADD_CPX_CPX(t9C, t2D);
        t0E = ADD_CPX_CPX(t8C, t3D);
        t1E = SUB_CPX_CPX(t9C, t2D);
        a6o = (a4b + 704);
        a7o = (a4b + 720);
        a8o = (a4b + 320);
        a9o = (a4b + 336);
        t2E = ADD_CPX_CPX(*(a6o), *(a8o));
        t3E = SUB_CPX_CPX(*(a7o), *(a9o));
        t4E = ADD_CPX_CPX(*(a7o), *(a9o));
        t5E = SUB_CPX_CPX(*(a8o), *(a6o));
        a0p = (a4b + 1344);
        a1p = (a4b + 1360);
        a2p = (a4b + 1728);
        a3p = (a4b + 1744);
        t6E = ADD_CPX_CPX(*(a0p), *(a2p));
        t7E = SUB_CPX_CPX(*(a3p), *(a1p));
        t8E = ADD_CPX_CPX(*(a1p), *(a3p));
        t9E = SUB_CPX_CPX(*(a2p), *(a0p));
        s6s = ADD_CPX_CPX(t2E, t6E);
        s7s = ADD_CPX_CPX(t3E, t7E);
        s8s = SUB_CPX_CPX(t4E, t8E);
        s9s = ADD_CPX_CPX(t5E, t9E);
        a4p = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2E, t6E));
        a5p = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t4E, t8E));
        t0F = SUB_CPX_CPX(a4p, a5p);
        a6p = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3E, t7E));
        a7p = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t5E, t9E));
        t1F = SUB_CPX_CPX(a6p, a7p);
        t2F = ADD_CPX_CPX(a4p, a5p);
        t3F = ADD_CPX_CPX(a6p, a7p);
        s0t = ADD_CPX_CPX(t4D, s6s);
        s1t = ADD_CPX_CPX(t5D, s7s);
        s2t = SUB_CPX_CPX(t6D, s8s);
        s3t = SUB_CPX_CPX(t7D, s9s);
        s4t = SUB_CPX_CPX(t4D, s6s);
        s5t = SUB_CPX_CPX(t5D, s7s);
        s6t = ADD_CPX_CPX(t6D, s8s);
        s7t = ADD_CPX_CPX(t7D, s9s);
        s8t = ADD_CPX_CPX(t8D, t0F);
        s9t = ADD_CPX_CPX(t9D, t1F);
        s0u = SUB_CPX_CPX(t0E, t2F);
        s1u = SUB_CPX_CPX(t1E, t3F);
        s2u = SUB_CPX_CPX(t8D, t0F);
        s3u = SUB_CPX_CPX(t9D, t1F);
        s4u = ADD_CPX_CPX(t0E, t2F);
        s5u = ADD_CPX_CPX(t1E, t3F);
        s6u = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s8t), MUL_FLT_CPX(C_FLT(0.29028467725446239), s9t));
        s7u = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.29028467725446239), s8t), MUL_FLT_CPX(C_FLT(0.95694033573220882), s9t));
        s8u = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s2t), MUL_FLT_CPX(C_FLT(0.55557023301960218), s3t));
        s9u = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s2t), MUL_FLT_CPX(C_FLT(0.83146961230254524), s3t));
        s0v = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), s0u), MUL_FLT_CPX(C_FLT(0.77301045336273699), s1u));
        s1v = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), s0u), MUL_FLT_CPX(C_FLT(0.63439328416364549), s1u));
        s2v = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s4t), MUL_FLT_CPX(C_FLT(0.92387953251128674), s5t));
        s3v = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s4t), MUL_FLT_CPX(C_FLT(0.38268343236508978), s5t));
        s4v = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), s2u), MUL_FLT_CPX(C_FLT(0.99518472667219693), s3u));
        s5v = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), s2u), MUL_FLT_CPX(C_FLT(0.098017140329560604), s3u));
        s6v = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s6t), MUL_FLT_CPX(C_FLT(0.98078528040323043), s7t));
        s7v = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s6t), MUL_FLT_CPX(C_FLT(0.19509032201612828), s7t));
        s8v = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.47139673682599764), s4u), MUL_FLT_CPX(C_FLT(0.88192126434835505), s5u));
        s9v = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s4u), MUL_FLT_CPX(C_FLT(0.47139673682599764), s5u));
        a8p = (a4b + 224);
        a9p = (a4b + 240);
        a0q = (a4b + 1824);
        a1q = (a4b + 1840);
        t4F = ADD_CPX_CPX(*(a8p), *(a0q));
        t5F = SUB_CPX_CPX(*(a9p), *(a1q));
        t6F = SUB_CPX_CPX(*(a8p), *(a0q));
        t7F = ADD_CPX_CPX(*(a9p), *(a1q));
        a2q = (a4b + 1248);
        a3q = (a4b + 1264);
        a4q = (a4b + 800);
        a5q = (a4b + 816);
        t8F = ADD_CPX_CPX(*(a2q), *(a4q));
        t9F = SUB_CPX_CPX(*(a3q), *(a5q));
        t0G = SUB_CPX_CPX(*(a2q), *(a4q));
        t1G = ADD_CPX_CPX(*(a3q), *(a5q));
        t2G = ADD_CPX_CPX(t4F, t8F);
        t3G = ADD_CPX_CPX(t5F, t9F);
        t4G = SUB_CPX_CPX(t4F, t8F);
        t5G = SUB_CPX_CPX(t5F, t9F);
        t6G = SUB_CPX_CPX(t6F, t1G);
        t7G = ADD_CPX_CPX(t7F, t0G);
        t8G = ADD_CPX_CPX(t6F, t1G);
        t9G = SUB_CPX_CPX(t7F, t0G);
        a6q = (a4b + 736);
        a7q = (a4b + 752);
        a8q = (a4b + 288);
        a9q = (a4b + 304);
        t0H = ADD_CPX_CPX(*(a6q), *(a8q));
        t1H = SUB_CPX_CPX(*(a7q), *(a9q));
        t2H = ADD_CPX_CPX(*(a7q), *(a9q));
        t3H = SUB_CPX_CPX(*(a8q), *(a6q));
        a0r = (a4b + 1312);
        a1r = (a4b + 1328);
        a2r = (a4b + 1760);
        a3r = (a4b + 1776);
        t4H = ADD_CPX_CPX(*(a0r), *(a2r));
        t5H = SUB_CPX_CPX(*(a3r), *(a1r));
        t6H = ADD_CPX_CPX(*(a1r), *(a3r));
        t7H = SUB_CPX_CPX(*(a2r), *(a0r));
        s0w = ADD_CPX_CPX(t0H, t4H);
        s1w = ADD_CPX_CPX(t1H, t5H);
        s2w = SUB_CPX_CPX(t2H, t6H);
        s3w = ADD_CPX_CPX(t3H, t7H);
        a4r = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0H, t4H));
        a5r = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t2H, t6H));
        t8H = SUB_CPX_CPX(a4r, a5r);
        a6r = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t1H, t5H));
        a7r = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3H, t7H));
        t9H = SUB_CPX_CPX(a6r, a7r);
        t0I = ADD_CPX_CPX(a4r, a5r);
        t1I = ADD_CPX_CPX(a6r, a7r);
        s4w = ADD_CPX_CPX(t2G, s0w);
        s5w = ADD_CPX_CPX(t3G, s1w);
        s6w = SUB_CPX_CPX(t4G, s2w);
        s7w = SUB_CPX_CPX(t5G, s3w);
        s8w = SUB_CPX_CPX(t2G, s0w);
        s9w = SUB_CPX_CPX(t3G, s1w);
        s0x = ADD_CPX_CPX(t4G, s2w);
        s1x = ADD_CPX_CPX(t5G, s3w);
        s2x = ADD_CPX_CPX(t6G, t8H);
        s3x = ADD_CPX_CPX(t7G, t9H);
        s4x = SUB_CPX_CPX(t8G, t0I);
        s5x = SUB_CPX_CPX(t9G, t1I);
        s6x = SUB_CPX_CPX(t6G, t8H);
        s7x = SUB_CPX_CPX(t7G, t9H);
        s8x = ADD_CPX_CPX(t8G, t0I);
        s9x = ADD_CPX_CPX(t9G, t1I);
        s0y = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), s2x), MUL_FLT_CPX(C_FLT(0.33688985339222005), s3x));
        s1y = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.33688985339222005), s2x), MUL_FLT_CPX(C_FLT(0.94154406518302081), s3x));
        s2y = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), s6w), MUL_FLT_CPX(C_FLT(0.63439328416364549), s7w));
        s3y = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), s6w), MUL_FLT_CPX(C_FLT(0.77301045336273699), s7w));
        s4y = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.51410274419322177), s4x), MUL_FLT_CPX(C_FLT(0.85772861000027212), s5x));
        s5y = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.85772861000027212), s4x), MUL_FLT_CPX(C_FLT(0.51410274419322177), s5x));
        s6y = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s8w), MUL_FLT_CPX(C_FLT(0.98078528040323043), s9w));
        s7y = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s8w), MUL_FLT_CPX(C_FLT(0.19509032201612828), s9w));
        s8y = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.14673047445536175), s6x), MUL_FLT_CPX(C_FLT(0.98917650996478101), s7x));
        s9y = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s6x), MUL_FLT_CPX(C_FLT(0.14673047445536175), s7x));
        s0z = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.47139673682599764), s0x), MUL_FLT_CPX(C_FLT(0.88192126434835505), s1x));
        s1z = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s0x), MUL_FLT_CPX(C_FLT(0.47139673682599764), s1x));
        s2z = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), s8x), MUL_FLT_CPX(C_FLT(0.67155895484701844), s9x));
        s3z = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.67155895484701844), s8x), MUL_FLT_CPX(C_FLT(0.74095112535495911), s9x));
        t2I = ADD_CPX_CPX(t4m, s4m);
        t3I = SUB_CPX_CPX(t6m, s5m);
        t4I = SUB_CPX_CPX(t4m, s4m);
        t5I = ADD_CPX_CPX(t6m, s5m);
        t6I = ADD_CPX_CPX(s2c, s4w);
        t7I = SUB_CPX_CPX(s3c, s5w);
        t8I = SUB_CPX_CPX(s2c, s4w);
        t9I = ADD_CPX_CPX(s3c, s5w);
        s4z = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t8I), MUL_FLT_CPX(C_FLT(0.38268343236508978), t9I));
        s5z = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t8I), MUL_FLT_CPX(C_FLT(0.92387953251128674), t9I));
        t0J = ADD_CPX_CPX(s6f, s0t);
        t1J = SUB_CPX_CPX(s7f, s1t);
        a8r = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s6f, s0t));
        a9r = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s7f, s1t));
        s6z = SUB_CPX_CPX(a8r, a9r);
        s7z = ADD_CPX_CPX(a8r, a9r);
        t2J = ADD_CPX_CPX(s0j, s6p);
        t3J = SUB_CPX_CPX(s1j, s7p);
        t4J = SUB_CPX_CPX(s0j, s6p);
        t5J = ADD_CPX_CPX(s1j, s7p);
        s8z = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t4J), MUL_FLT_CPX(C_FLT(0.92387953251128674), t5J));
        s9z = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t4J), MUL_FLT_CPX(C_FLT(0.38268343236508978), t5J));
        t6J = ADD_CPX_CPX(t2I, t0J);
        t7J = SUB_CPX_CPX(t4I, t1J);
        t8J = SUB_CPX_CPX(t2I, t0J);
        t9J = ADD_CPX_CPX(t4I, t1J);
        t0K = ADD_CPX_CPX(t6I, t2J);
        t1K = SUB_CPX_CPX(t7I, t3J);
        a0s = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t6I, t2J));
        a1s = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t7I, t3J));
        s0A = SUB_CPX_CPX(a0s, a1s);
        s1A = ADD_CPX_CPX(a0s, a1s);
        a2s = (dst + i2);
        *(a2s) = ADD_CPX_CPX(t6J, t0K);
        *((a2s + 512)) = SUB_CPX_CPX(t8J, t1K);
        *((a2s + 1024)) = SUB_CPX_CPX(t6J, t0K);
        *((a2s + 1536)) = ADD_CPX_CPX(t8J, t1K);
        *((a2s + 256)) = ADD_CPX_CPX(t7J, s0A);
        *((a2s + 768)) = SUB_CPX_CPX(t9J, s1A);
        *((a2s + 1280)) = SUB_CPX_CPX(t7J, s0A);
        *((a2s + 1792)) = ADD_CPX_CPX(t9J, s1A);
        t2K = ADD_CPX_CPX(t3I, s6z);
        t3K = SUB_CPX_CPX(t5I, s7z);
        t4K = SUB_CPX_CPX(t3I, s6z);
        t5K = ADD_CPX_CPX(t5I, s7z);
        t6K = ADD_CPX_CPX(s4z, s8z);
        t7K = SUB_CPX_CPX(s5z, s9z);
        a3s = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4z, s8z));
        a4s = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5z, s9z));
        s2A = SUB_CPX_CPX(a3s, a4s);
        s3A = ADD_CPX_CPX(a3s, a4s);
        *((a2s + 128)) = ADD_CPX_CPX(t2K, t6K);
        *((a2s + 640)) = SUB_CPX_CPX(t4K, t7K);
        *((a2s + 1152)) = SUB_CPX_CPX(t2K, t6K);
        *((a2s + 1664)) = ADD_CPX_CPX(t4K, t7K);
        *((a2s + 384)) = ADD_CPX_CPX(t3K, s2A);
        *((a2s + 896)) = SUB_CPX_CPX(t5K, s3A);
        *((a2s + 1408)) = SUB_CPX_CPX(t3K, s2A);
        *((a2s + 1920)) = ADD_CPX_CPX(t5K, s3A);
        t8K = ADD_CPX_CPX(t8n, s8n);
        t9K = SUB_CPX_CPX(t0o, s9n);
        t0L = SUB_CPX_CPX(t8n, s8n);
        t1L = ADD_CPX_CPX(t0o, s9n);
        t2L = ADD_CPX_CPX(s8d, s0y);
        t3L = SUB_CPX_CPX(s9d, s1y);
        t4L = SUB_CPX_CPX(s8d, s0y);
        t5L = ADD_CPX_CPX(s9d, s1y);
        s4A = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t4L), MUL_FLT_CPX(C_FLT(0.38268343236508978), t5L));
        s5A = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t4L), MUL_FLT_CPX(C_FLT(0.92387953251128674), t5L));
        t6L = ADD_CPX_CPX(s2h, s6u);
        t7L = SUB_CPX_CPX(s3h, s7u);
        a5s = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s2h, s6u));
        a6s = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s3h, s7u));
        s6A = SUB_CPX_CPX(a5s, a6s);
        s7A = ADD_CPX_CPX(a5s, a6s);
        t8L = ADD_CPX_CPX(s6k, s2r);
        t9L = SUB_CPX_CPX(s7k, s3r);
        t0M = SUB_CPX_CPX(s6k, s2r);
        t1M = ADD_CPX_CPX(s7k, s3r);
        s8A = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t0M), MUL_FLT_CPX(C_FLT(0.92387953251128674), t1M));
        s9A = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t0M), MUL_FLT_CPX(C_FLT(0.38268343236508978), t1M));
        t2M = ADD_CPX_CPX(t8K, t6L);
        t3M = SUB_CPX_CPX(t0L, t7L);
        t4M = SUB_CPX_CPX(t8K, t6L);
        t5M = ADD_CPX_CPX(t0L, t7L);
        t6M = ADD_CPX_CPX(t2L, t8L);
        t7M = SUB_CPX_CPX(t3L, t9L);
        a7s = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2L, t8L));
        a8s = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t3L, t9L));
        s0B = SUB_CPX_CPX(a7s, a8s);
        s1B = ADD_CPX_CPX(a7s, a8s);
        *((a2s + 16)) = ADD_CPX_CPX(t2M, t6M);
        *((a2s + 528)) = SUB_CPX_CPX(t4M, t7M);
        *((a2s + 1040)) = SUB_CPX_CPX(t2M, t6M);
        *((a2s + 1552)) = ADD_CPX_CPX(t4M, t7M);
        *((a2s + 272)) = ADD_CPX_CPX(t3M, s0B);
        *((a2s + 784)) = SUB_CPX_CPX(t5M, s1B);
        *((a2s + 1296)) = SUB_CPX_CPX(t3M, s0B);
        *((a2s + 1808)) = ADD_CPX_CPX(t5M, s1B);
        t8M = ADD_CPX_CPX(t9K, s6A);
        t9M = SUB_CPX_CPX(t1L, s7A);
        t0N = SUB_CPX_CPX(t9K, s6A);
        t1N = ADD_CPX_CPX(t1L, s7A);
        t2N = ADD_CPX_CPX(s4A, s8A);
        t3N = SUB_CPX_CPX(s5A, s9A);
        a9s = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4A, s8A));
        a0t = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5A, s9A));
        s2B = SUB_CPX_CPX(a9s, a0t);
        s3B = ADD_CPX_CPX(a9s, a0t);
        *((a2s + 144)) = ADD_CPX_CPX(t8M, t2N);
        *((a2s + 656)) = SUB_CPX_CPX(t0N, t3N);
        *((a2s + 1168)) = SUB_CPX_CPX(t8M, t2N);
        *((a2s + 1680)) = ADD_CPX_CPX(t0N, t3N);
        *((a2s + 400)) = ADD_CPX_CPX(t9M, s2B);
        *((a2s + 912)) = SUB_CPX_CPX(t1N, s3B);
        *((a2s + 1424)) = SUB_CPX_CPX(t9M, s2B);
        *((a2s + 1936)) = ADD_CPX_CPX(t1N, s3B);
        t4N = ADD_CPX_CPX(t8m, s0o);
        t5N = SUB_CPX_CPX(t0n, s1o);
        t6N = SUB_CPX_CPX(t8m, s0o);
        t7N = ADD_CPX_CPX(t0n, s1o);
        t8N = ADD_CPX_CPX(s0e, s2y);
        t9N = SUB_CPX_CPX(s1e, s3y);
        t0O = SUB_CPX_CPX(s0e, s2y);
        t1O = ADD_CPX_CPX(s1e, s3y);
        s4B = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t0O), MUL_FLT_CPX(C_FLT(0.38268343236508978), t1O));
        s5B = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t0O), MUL_FLT_CPX(C_FLT(0.92387953251128674), t1O));
        t2O = ADD_CPX_CPX(s4h, s8u);
        t3O = SUB_CPX_CPX(s5h, s9u);
        a1t = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4h, s8u));
        a2t = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5h, s9u));
        s6B = SUB_CPX_CPX(a1t, a2t);
        s7B = ADD_CPX_CPX(a1t, a2t);
        t4O = ADD_CPX_CPX(s8k, s4r);
        t5O = SUB_CPX_CPX(s9k, s5r);
        t6O = SUB_CPX_CPX(s8k, s4r);
        t7O = ADD_CPX_CPX(s9k, s5r);
        s8B = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t6O), MUL_FLT_CPX(C_FLT(0.92387953251128674), t7O));
        s9B = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t6O), MUL_FLT_CPX(C_FLT(0.38268343236508978), t7O));
        t8O = ADD_CPX_CPX(t4N, t2O);
        t9O = SUB_CPX_CPX(t6N, t3O);
        t0P = SUB_CPX_CPX(t4N, t2O);
        t1P = ADD_CPX_CPX(t6N, t3O);
        t2P = ADD_CPX_CPX(t8N, t4O);
        t3P = SUB_CPX_CPX(t9N, t5O);
        a3t = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8N, t4O));
        a4t = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t9N, t5O));
        s0C = SUB_CPX_CPX(a3t, a4t);
        s1C = ADD_CPX_CPX(a3t, a4t);
        *((a2s + 32)) = ADD_CPX_CPX(t8O, t2P);
        *((a2s + 544)) = SUB_CPX_CPX(t0P, t3P);
        *((a2s + 1056)) = SUB_CPX_CPX(t8O, t2P);
        *((a2s + 1568)) = ADD_CPX_CPX(t0P, t3P);
        *((a2s + 288)) = ADD_CPX_CPX(t9O, s0C);
        *((a2s + 800)) = SUB_CPX_CPX(t1P, s1C);
        *((a2s + 1312)) = SUB_CPX_CPX(t9O, s0C);
        *((a2s + 1824)) = ADD_CPX_CPX(t1P, s1C);
        t4P = ADD_CPX_CPX(t5N, s6B);
        t5P = SUB_CPX_CPX(t7N, s7B);
        t6P = SUB_CPX_CPX(t5N, s6B);
        t7P = ADD_CPX_CPX(t7N, s7B);
        t8P = ADD_CPX_CPX(s4B, s8B);
        t9P = SUB_CPX_CPX(s5B, s9B);
        a5t = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4B, s8B));
        a6t = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5B, s9B));
        s2C = SUB_CPX_CPX(a5t, a6t);
        s3C = ADD_CPX_CPX(a5t, a6t);
        *((a2s + 160)) = ADD_CPX_CPX(t4P, t8P);
        *((a2s + 672)) = SUB_CPX_CPX(t6P, t9P);
        *((a2s + 1184)) = SUB_CPX_CPX(t4P, t8P);
        *((a2s + 1696)) = ADD_CPX_CPX(t6P, t9P);
        *((a2s + 416)) = ADD_CPX_CPX(t5P, s2C);
        *((a2s + 928)) = SUB_CPX_CPX(t7P, s3C);
        *((a2s + 1440)) = SUB_CPX_CPX(t5P, s2C);
        *((a2s + 1952)) = ADD_CPX_CPX(t7P, s3C);
        t0Q = ADD_CPX_CPX(t2o, s2o);
        t1Q = SUB_CPX_CPX(t4o, s3o);
        t2Q = SUB_CPX_CPX(t2o, s2o);
        t3Q = ADD_CPX_CPX(t4o, s3o);
        t4Q = ADD_CPX_CPX(s2e, s4y);
        t5Q = SUB_CPX_CPX(s3e, s5y);
        t6Q = SUB_CPX_CPX(s2e, s4y);
        t7Q = ADD_CPX_CPX(s3e, s5y);
        s4C = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t6Q), MUL_FLT_CPX(C_FLT(0.38268343236508978), t7Q));
        s5C = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t6Q), MUL_FLT_CPX(C_FLT(0.92387953251128674), t7Q));
        t8Q = ADD_CPX_CPX(s6h, s0v);
        t9Q = SUB_CPX_CPX(s7h, s1v);
        a7t = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s6h, s0v));
        a8t = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s7h, s1v));
        s6C = SUB_CPX_CPX(a7t, a8t);
        s7C = ADD_CPX_CPX(a7t, a8t);
        t0R = ADD_CPX_CPX(s0l, s6r);
        t1R = SUB_CPX_CPX(s1l, s7r);
        t2R = SUB_CPX_CPX(s0l, s6r);
        t3R = ADD_CPX_CPX(s1l, s7r);
        s8C = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t2R), MUL_FLT_CPX(C_FLT(0.92387953251128674), t3R));
        s9C = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t2R), MUL_FLT_CPX(C_FLT(0.38268343236508978), t3R));
        t4R = ADD_CPX_CPX(t0Q, t8Q);
        t5R = SUB_CPX_CPX(t2Q, t9Q);
        t6R = SUB_CPX_CPX(t0Q, t8Q);
        t7R = ADD_CPX_CPX(t2Q, t9Q);
        t8R = ADD_CPX_CPX(t4Q, t0R);
        t9R = SUB_CPX_CPX(t5Q, t1R);
        a9t = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t4Q, t0R));
        a0u = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t5Q, t1R));
        s0D = SUB_CPX_CPX(a9t, a0u);
        s1D = ADD_CPX_CPX(a9t, a0u);
        *((a2s + 48)) = ADD_CPX_CPX(t4R, t8R);
        *((a2s + 560)) = SUB_CPX_CPX(t6R, t9R);
        *((a2s + 1072)) = SUB_CPX_CPX(t4R, t8R);
        *((a2s + 1584)) = ADD_CPX_CPX(t6R, t9R);
        *((a2s + 304)) = ADD_CPX_CPX(t5R, s0D);
        *((a2s + 816)) = SUB_CPX_CPX(t7R, s1D);
        *((a2s + 1328)) = SUB_CPX_CPX(t5R, s0D);
        *((a2s + 1840)) = ADD_CPX_CPX(t7R, s1D);
        t0S = ADD_CPX_CPX(t1Q, s6C);
        t1S = SUB_CPX_CPX(t3Q, s7C);
        t2S = SUB_CPX_CPX(t1Q, s6C);
        t3S = ADD_CPX_CPX(t3Q, s7C);
        t4S = ADD_CPX_CPX(s4C, s8C);
        t5S = SUB_CPX_CPX(s5C, s9C);
        a1u = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4C, s8C));
        a2u = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5C, s9C));
        s2D = SUB_CPX_CPX(a1u, a2u);
        s3D = ADD_CPX_CPX(a1u, a2u);
        *((a2s + 176)) = ADD_CPX_CPX(t0S, t4S);
        *((a2s + 688)) = SUB_CPX_CPX(t2S, t5S);
        *((a2s + 1200)) = SUB_CPX_CPX(t0S, t4S);
        *((a2s + 1712)) = ADD_CPX_CPX(t2S, t5S);
        *((a2s + 432)) = ADD_CPX_CPX(t1S, s2D);
        *((a2s + 944)) = SUB_CPX_CPX(t3S, s3D);
        *((a2s + 1456)) = SUB_CPX_CPX(t1S, s2D);
        *((a2s + 1968)) = ADD_CPX_CPX(t3S, s3D);
        t6S = ADD_CPX_CPX(t5m, s4o);
        t7S = SUB_CPX_CPX(t7m, s5o);
        t8S = SUB_CPX_CPX(t5m, s4o);
        t9S = ADD_CPX_CPX(t7m, s5o);
        t0T = ADD_CPX_CPX(s4e, s6y);
        t1T = SUB_CPX_CPX(s5e, s7y);
        t2T = SUB_CPX_CPX(s4e, s6y);
        t3T = ADD_CPX_CPX(s5e, s7y);
        s4D = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t2T), MUL_FLT_CPX(C_FLT(0.38268343236508978), t3T));
        s5D = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t2T), MUL_FLT_CPX(C_FLT(0.92387953251128674), t3T));
        t4T = ADD_CPX_CPX(s8h, s2v);
        t5T = SUB_CPX_CPX(s9h, s3v);
        a3u = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s8h, s2v));
        a4u = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s9h, s3v));
        s6D = SUB_CPX_CPX(a3u, a4u);
        s7D = ADD_CPX_CPX(a3u, a4u);
        t6T = ADD_CPX_CPX(s2l, s8r);
        t7T = SUB_CPX_CPX(s3l, s9r);
        t8T = SUB_CPX_CPX(s2l, s8r);
        t9T = ADD_CPX_CPX(s3l, s9r);
        s8D = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t8T), MUL_FLT_CPX(C_FLT(0.92387953251128674), t9T));
        s9D = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t8T), MUL_FLT_CPX(C_FLT(0.38268343236508978), t9T));
        t0U = ADD_CPX_CPX(t6S, t4T);
        t1U = SUB_CPX_CPX(t8S, t5T);
        t2U = SUB_CPX_CPX(t6S, t4T);
        t3U = ADD_CPX_CPX(t8S, t5T);
        t4U = ADD_CPX_CPX(t0T, t6T);
        t5U = SUB_CPX_CPX(t1T, t7T);
        a5u = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0T, t6T));
        a6u = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t1T, t7T));
        s0E = SUB_CPX_CPX(a5u, a6u);
        s1E = ADD_CPX_CPX(a5u, a6u);
        *((a2s + 64)) = ADD_CPX_CPX(t0U, t4U);
        *((a2s + 576)) = SUB_CPX_CPX(t2U, t5U);
        *((a2s + 1088)) = SUB_CPX_CPX(t0U, t4U);
        *((a2s + 1600)) = ADD_CPX_CPX(t2U, t5U);
        *((a2s + 320)) = ADD_CPX_CPX(t1U, s0E);
        *((a2s + 832)) = SUB_CPX_CPX(t3U, s1E);
        *((a2s + 1344)) = SUB_CPX_CPX(t1U, s0E);
        *((a2s + 1856)) = ADD_CPX_CPX(t3U, s1E);
        t6U = ADD_CPX_CPX(t7S, s6D);
        t7U = SUB_CPX_CPX(t9S, s7D);
        t8U = SUB_CPX_CPX(t7S, s6D);
        t9U = ADD_CPX_CPX(t9S, s7D);
        t0V = ADD_CPX_CPX(s4D, s8D);
        t1V = SUB_CPX_CPX(s5D, s9D);
        a7u = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4D, s8D));
        a8u = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5D, s9D));
        s2E = SUB_CPX_CPX(a7u, a8u);
        s3E = ADD_CPX_CPX(a7u, a8u);
        *((a2s + 192)) = ADD_CPX_CPX(t6U, t0V);
        *((a2s + 704)) = SUB_CPX_CPX(t8U, t1V);
        *((a2s + 1216)) = SUB_CPX_CPX(t6U, t0V);
        *((a2s + 1728)) = ADD_CPX_CPX(t8U, t1V);
        *((a2s + 448)) = ADD_CPX_CPX(t7U, s2E);
        *((a2s + 960)) = SUB_CPX_CPX(t9U, s3E);
        *((a2s + 1472)) = SUB_CPX_CPX(t7U, s2E);
        *((a2s + 1984)) = ADD_CPX_CPX(t9U, s3E);
        t2V = ADD_CPX_CPX(t9n, s6o);
        t3V = SUB_CPX_CPX(t1o, s7o);
        t4V = SUB_CPX_CPX(t9n, s6o);
        t5V = ADD_CPX_CPX(t1o, s7o);
        t6V = SUB_CPX_CPX(s6e, s8y);
        t7V = SUB_CPX_CPX(s7e, s9y);
        t8V = ADD_CPX_CPX(s6e, s8y);
        t9V = ADD_CPX_CPX(s7e, s9y);
        s4E = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t8V), MUL_FLT_CPX(C_FLT(0.38268343236508978), t9V));
        s5E = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t8V), MUL_FLT_CPX(C_FLT(0.92387953251128674), t9V));
        t0W = ADD_CPX_CPX(s0i, s4v);
        t1W = SUB_CPX_CPX(s1i, s5v);
        a9u = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s0i, s4v));
        a0v = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s1i, s5v));
        s6E = SUB_CPX_CPX(a9u, a0v);
        s7E = ADD_CPX_CPX(a9u, a0v);
        t2W = ADD_CPX_CPX(s4l, s0s);
        t3W = SUB_CPX_CPX(s5l, s1s);
        t4W = SUB_CPX_CPX(s4l, s0s);
        t5W = ADD_CPX_CPX(s5l, s1s);
        s8E = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t4W), MUL_FLT_CPX(C_FLT(0.92387953251128674), t5W));
        s9E = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t4W), MUL_FLT_CPX(C_FLT(0.38268343236508978), t5W));
        t6W = ADD_CPX_CPX(t2V, t0W);
        t7W = SUB_CPX_CPX(t4V, t1W);
        t8W = SUB_CPX_CPX(t2V, t0W);
        t9W = ADD_CPX_CPX(t4V, t1W);
        t0X = ADD_CPX_CPX(t6V, t2W);
        t1X = SUB_CPX_CPX(t7V, t3W);
        a1v = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t6V, t2W));
        a2v = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t7V, t3W));
        s0F = SUB_CPX_CPX(a1v, a2v);
        s1F = ADD_CPX_CPX(a1v, a2v);
        *((a2s + 80)) = ADD_CPX_CPX(t6W, t0X);
        *((a2s + 592)) = SUB_CPX_CPX(t8W, t1X);
        *((a2s + 1104)) = SUB_CPX_CPX(t6W, t0X);
        *((a2s + 1616)) = ADD_CPX_CPX(t8W, t1X);
        *((a2s + 336)) = ADD_CPX_CPX(t7W, s0F);
        *((a2s + 848)) = SUB_CPX_CPX(t9W, s1F);
        *((a2s + 1360)) = SUB_CPX_CPX(t7W, s0F);
        *((a2s + 1872)) = ADD_CPX_CPX(t9W, s1F);
        t2X = ADD_CPX_CPX(t3V, s6E);
        t3X = SUB_CPX_CPX(t5V, s7E);
        t4X = SUB_CPX_CPX(t3V, s6E);
        t5X = ADD_CPX_CPX(t5V, s7E);
        t6X = ADD_CPX_CPX(s4E, s8E);
        t7X = SUB_CPX_CPX(s5E, s9E);
        a3v = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4E, s8E));
        a4v = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5E, s9E));
        s2F = SUB_CPX_CPX(a3v, a4v);
        s3F = ADD_CPX_CPX(a3v, a4v);
        *((a2s + 208)) = ADD_CPX_CPX(t2X, t6X);
        *((a2s + 720)) = SUB_CPX_CPX(t4X, t7X);
        *((a2s + 1232)) = SUB_CPX_CPX(t2X, t6X);
        *((a2s + 1744)) = ADD_CPX_CPX(t4X, t7X);
        *((a2s + 464)) = ADD_CPX_CPX(t3X, s2F);
        *((a2s + 976)) = SUB_CPX_CPX(t5X, s3F);
        *((a2s + 1488)) = SUB_CPX_CPX(t3X, s2F);
        *((a2s + 2000)) = ADD_CPX_CPX(t5X, s3F);
        t8X = ADD_CPX_CPX(t9m, s8o);
        t9X = SUB_CPX_CPX(t1n, s9o);
        t0Y = SUB_CPX_CPX(t9m, s8o);
        t1Y = ADD_CPX_CPX(t1n, s9o);
        t2Y = SUB_CPX_CPX(s8e, s0z);
        t3Y = SUB_CPX_CPX(s9e, s1z);
        t4Y = ADD_CPX_CPX(s8e, s0z);
        t5Y = ADD_CPX_CPX(s9e, s1z);
        s4F = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t4Y), MUL_FLT_CPX(C_FLT(0.38268343236508978), t5Y));
        s5F = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t4Y), MUL_FLT_CPX(C_FLT(0.92387953251128674), t5Y));
        t6Y = SUB_CPX_CPX(s2i, s6v);
        t7Y = SUB_CPX_CPX(s3i, s7v);
        a5v = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s2i, s6v));
        a6v = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s3i, s7v));
        s6F = SUB_CPX_CPX(a5v, a6v);
        s7F = ADD_CPX_CPX(a5v, a6v);
        t8Y = ADD_CPX_CPX(s6l, s2s);
        t9Y = SUB_CPX_CPX(s7l, s3s);
        t0Z = SUB_CPX_CPX(s6l, s2s);
        t1Z = ADD_CPX_CPX(s7l, s3s);
        s8F = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t0Z), MUL_FLT_CPX(C_FLT(0.92387953251128674), t1Z));
        s9F = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t0Z), MUL_FLT_CPX(C_FLT(0.38268343236508978), t1Z));
        t2Z = ADD_CPX_CPX(t8X, t6Y);
        t3Z = SUB_CPX_CPX(t0Y, t7Y);
        t4Z = SUB_CPX_CPX(t8X, t6Y);
        t5Z = ADD_CPX_CPX(t0Y, t7Y);
        t6Z = ADD_CPX_CPX(t2Y, t8Y);
        t7Z = SUB_CPX_CPX(t3Y, t9Y);
        a7v = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2Y, t8Y));
        a8v = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t3Y, t9Y));
        s0G = SUB_CPX_CPX(a7v, a8v);
        s1G = ADD_CPX_CPX(a7v, a8v);
        *((a2s + 96)) = ADD_CPX_CPX(t2Z, t6Z);
        *((a2s + 608)) = SUB_CPX_CPX(t4Z, t7Z);
        *((a2s + 1120)) = SUB_CPX_CPX(t2Z, t6Z);
        *((a2s + 1632)) = ADD_CPX_CPX(t4Z, t7Z);
        *((a2s + 352)) = ADD_CPX_CPX(t3Z, s0G);
        *((a2s + 864)) = SUB_CPX_CPX(t5Z, s1G);
        *((a2s + 1376)) = SUB_CPX_CPX(t3Z, s0G);
        *((a2s + 1888)) = ADD_CPX_CPX(t5Z, s1G);
        t8Z = ADD_CPX_CPX(t9X, s6F);
        t9Z = SUB_CPX_CPX(t1Y, s7F);
        t010 = SUB_CPX_CPX(t9X, s6F);
        t110 = ADD_CPX_CPX(t1Y, s7F);
        t210 = ADD_CPX_CPX(s4F, s8F);
        t310 = SUB_CPX_CPX(s5F, s9F);
        a9v = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4F, s8F));
        a0w = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5F, s9F));
        s2G = SUB_CPX_CPX(a9v, a0w);
        s3G = ADD_CPX_CPX(a9v, a0w);
        *((a2s + 224)) = ADD_CPX_CPX(t8Z, t210);
        *((a2s + 736)) = SUB_CPX_CPX(t010, t310);
        *((a2s + 1248)) = SUB_CPX_CPX(t8Z, t210);
        *((a2s + 1760)) = ADD_CPX_CPX(t010, t310);
        *((a2s + 480)) = ADD_CPX_CPX(t9Z, s2G);
        *((a2s + 992)) = SUB_CPX_CPX(t110, s3G);
        *((a2s + 1504)) = SUB_CPX_CPX(t9Z, s2G);
        *((a2s + 2016)) = ADD_CPX_CPX(t110, s3G);
        t410 = ADD_CPX_CPX(t3o, s0p);
        t510 = SUB_CPX_CPX(t5o, s1p);
        t610 = SUB_CPX_CPX(t3o, s0p);
        t710 = ADD_CPX_CPX(t5o, s1p);
        t810 = SUB_CPX_CPX(s0f, s2z);
        t910 = SUB_CPX_CPX(s1f, s3z);
        t011 = ADD_CPX_CPX(s0f, s2z);
        t111 = ADD_CPX_CPX(s1f, s3z);
        s4G = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t011), MUL_FLT_CPX(C_FLT(0.38268343236508978), t111));
        s5G = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t011), MUL_FLT_CPX(C_FLT(0.92387953251128674), t111));
        t211 = SUB_CPX_CPX(s4i, s8v);
        t311 = SUB_CPX_CPX(s5i, s9v);
        a1w = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s4i, s8v));
        a2w = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5i, s9v));
        s6G = SUB_CPX_CPX(a1w, a2w);
        s7G = ADD_CPX_CPX(a1w, a2w);
        t411 = SUB_CPX_CPX(s8l, s4s);
        t511 = SUB_CPX_CPX(s9l, s5s);
        t611 = ADD_CPX_CPX(s8l, s4s);
        t711 = ADD_CPX_CPX(s9l, s5s);
        s8G = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t611), MUL_FLT_CPX(C_FLT(0.92387953251128674), t711));
        s9G = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t611), MUL_FLT_CPX(C_FLT(0.38268343236508978), t711));
        t811 = ADD_CPX_CPX(t410, t211);
        t911 = SUB_CPX_CPX(t610, t311);
        t012 = SUB_CPX_CPX(t410, t211);
        t112 = ADD_CPX_CPX(t610, t311);
        t212 = ADD_CPX_CPX(t810, t411);
        t312 = SUB_CPX_CPX(t910, t511);
        a3w = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t810, t411));
        a4w = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t910, t511));
        s0H = SUB_CPX_CPX(a3w, a4w);
        s1H = ADD_CPX_CPX(a3w, a4w);
        *((a2s + 112)) = ADD_CPX_CPX(t811, t212);
        *((a2s + 624)) = SUB_CPX_CPX(t012, t312);
        *((a2s + 1136)) = SUB_CPX_CPX(t811, t212);
        *((a2s + 1648)) = ADD_CPX_CPX(t012, t312);
        *((a2s + 368)) = ADD_CPX_CPX(t911, s0H);
        *((a2s + 880)) = SUB_CPX_CPX(t112, s1H);
        *((a2s + 1392)) = SUB_CPX_CPX(t911, s0H);
        *((a2s + 1904)) = ADD_CPX_CPX(t112, s1H);
        t412 = ADD_CPX_CPX(t510, s6G);
        t512 = SUB_CPX_CPX(t710, s7G);
        t612 = SUB_CPX_CPX(t510, s6G);
        t712 = ADD_CPX_CPX(t710, s7G);
        t812 = ADD_CPX_CPX(s4G, s8G);
        t912 = SUB_CPX_CPX(s5G, s9G);
        a5w = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4G, s8G));
        a6w = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5G, s9G));
        s2H = SUB_CPX_CPX(a5w, a6w);
        s3H = ADD_CPX_CPX(a5w, a6w);
        *((a2s + 240)) = ADD_CPX_CPX(t412, t812);
        *((a2s + 752)) = SUB_CPX_CPX(t612, t912);
        *((a2s + 1264)) = SUB_CPX_CPX(t412, t812);
        *((a2s + 1776)) = ADD_CPX_CPX(t612, t912);
        *((a2s + 496)) = ADD_CPX_CPX(t512, s2H);
        *((a2s + 1008)) = SUB_CPX_CPX(t712, s3H);
        *((a2s + 1520)) = SUB_CPX_CPX(t512, s2H);
        *((a2s + 2032)) = ADD_CPX_CPX(t712, s3H);
    }}
    }
    
    return SPIRAL_OK;
    }
}

SPIRAL_PRIV(spiral_status_t, spiral_fftfwd_double_4096_unaligned)(const double *pSrc, double *pDst ) {
    const CPX  *src = (const CPX *) pSrc; 
    CPX        *dst = (CPX *) pDst;
    
    
    { SPIRAL_ALIGNED(CPX T[4096]);
     SPIRAL_ALIGNED(CPX T2[2048]);
     SPIRAL_ALIGNED(CPX T3[256]);
    CPX  *a01, *a02, *a03, *a04, *a05, *a0a, *a0d, *a12, *a13, *a14, *a15, *a18, *a19, *a1a, *a1d, *a24, *a25, *a27, *a28, *a2a, *a2d, *a34
            , *a35, *a37, *a38, *a3a, *a3d, *a42, *a43, *a44, *a47, *a48, *a49, *a4a, *a4d, *a51, *a52, *a54, *a57, *a58, *a59, *a5a, *a5d, *a61
            , *a62, *a64, *a67, *a68, *a69, *a6a, *a71, *a72, *a74, *a77, *a78, *a79, *a7a, *a81, *a82, *a83, *a84, *a87, *a88, *a89, *a8a, *a91
            , *a92, *a93, *a94, *a99, *a9a, *a9c, *b, *b2, *b3, *b4, *b5, *b6, *b7, *b8, *b9;
    const CPX  *a;
    FLT  *a06, *a0b, *a0c, *a16, *a1b, *a1c, *a26, *a2b, *a2c, *a36, *a3b, *a3c, *a45, *a46, *a4b, *a55, *a56, *a5b, *a65, *a66, *a6b, *a6d
            , *a75, *a76, *a7b, *a7d, *a85, *a8b, *a95, *a9b;
    int a73, a8c;
    CPX a07, a08, a09, a11, a17, a2, a21, a22, a23, a29, a3, a31, a32, a33, a39, a4, a41, a4c, a5, a53, a5c, a6
        , a63, a6c, a7, a7c, a8, a86, a8d, a9, a96, a97, a98, a9d, s, s01, s02, s03, s04, s05, s06, s07, s08, s09
        , s0a, s0b, s11, s12, s13, s14, s15, s16, s17, s18, s19, s1a, s1b, s2, s21, s22, s23, s24, s25, s26, s27, s28
        , s29, s2a, s2b, s3, s31, s32, s33, s34, s35, s36, s37, s38, s39, s3a, s3b, s4, s41, s42, s43, s44, s45, s46
        , s47, s48, s49, s4a, s4b, s5, s51, s52, s53, s54, s55, s56, s57, s58, s59, s5a, s5b, s6, s61, s62, s63, s64
        , s65, s66, s67, s68, s69, s6a, s6b, s7, s71, s72, s73, s74, s75, s76, s77, s78, s79, s7a, s7b, s8, s81, s82
        , s83, s84, s85, s86, s87, s88, s89, s8a, s8b, s9, s91, s92, s93, s94, s95, s96, s97, s98, s99, s9a, s9b, t
        , t01, t02, t03, t04, t05, t06, t07, t08, t09, t0a, t0b, t0c, t0d, t0e, t0f, t0g, t0h, t0i, t0j, t0k, t11, t12
        , t13, t14, t15, t16, t17, t18, t19, t1a, t1b, t1c, t1d, t1e, t1f, t1g, t1h, t1i, t1j, t1k, t2, t21, t22, t23
        , t24, t25, t26, t27, t28, t29, t2a, t2b, t2c, t2d, t2e, t2f, t2g, t2h, t2i, t2j, t2k, t3, t31, t32, t33, t34
        , t35, t36, t37, t38, t39, t3a, t3b, t3c, t3d, t3e, t3f, t3g, t3h, t3i, t3j, t3k, t4, t41, t42, t43, t44, t45
        , t46, t47, t48, t49, t4a, t4b, t4c, t4d, t4e, t4f, t4g, t4h, t4i, t4j, t4k, t5, t51, t52, t53, t54, t55, t56
        , t57, t58, t59, t5a, t5b, t5c, t5d, t5e, t5f, t5g, t5h, t5i, t5j, t5k, t6, t61, t62, t63, t64, t65, t66, t67
        , t68, t69, t6a, t6b, t6c, t6d, t6e, t6f, t6g, t6h, t6i, t6j, t7, t71, t72, t73, t74, t75, t76, t77, t78, t79
        , t7a, t7b, t7c, t7d, t7e, t7f, t7g, t7h, t7i, t7j, t8, t81, t82, t83, t84, t85, t86, t87, t88, t89, t8a, t8b
        , t8c, t8d, t8e, t8f, t8g, t8h, t8i, t8j, t9, t91, t92, t93, t94, t95, t96, t97, t98, t99, t9a, t9b, t9c, t9d
        , t9e, t9f, t9g, t9h, t9i, t9j;
    {long i; for(i = 0; i <= 1; i++) {
        {long i2; for(i2 = 0; i2 <= 7; i2++) {
            {long i3; for(i3 = 0; i3 <= 7; i3++) {
                a = (src + i + (i2*2) + (i3*16));
                s = LOADU_CPX(a);
                s2 = LOADU_CPX((a + 1024));
                s3 = LOADU_CPX((a + 2048));
                s4 = LOADU_CPX((a + 3072));
                t = ADD_CPX_CPX(s, s3);
                t2 = ADD_CPX_CPX(s2, s4);
                t3 = SUB_CPX_CPX(s, s3);
                t4 = SUB_CPX_CPX(s4, s2);
                s5 = LOADU_CPX((a + 512));
                s6 = LOADU_CPX((a + 1536));
                s7 = LOADU_CPX((a + 2560));
                s8 = LOADU_CPX((a + 3584));
                t5 = ADD_CPX_CPX(s5, s7);
                t6 = ADD_CPX_CPX(s6, s8);
                t7 = ADD_CPX_CPX(t, t2);
                t8 = ADD_CPX_CPX(t5, t6);
                t9 = SUB_CPX_CPX(t, t2);
                t01 = SUB_CPX_CPX(t6, t5);
                a2 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s5, s7));
                a3 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s8, s6));
                s9 = ADD_CPX_CPX(a2, a3);
                s01 = SUB_CPX_CPX(a3, a2);
                t11 = ADD_CPX_CPX(t3, s9);
                t21 = ADD_CPX_CPX(t4, s01);
                t31 = SUB_CPX_CPX(t3, s9);
                t41 = SUB_CPX_CPX(t4, s01);
                s11 = LOADU_CPX((a + 128));
                s21 = LOADU_CPX((a + 1152));
                s31 = LOADU_CPX((a + 2176));
                s41 = LOADU_CPX((a + 3200));
                t51 = ADD_CPX_CPX(s11, s31);
                t61 = ADD_CPX_CPX(s21, s41);
                t71 = SUB_CPX_CPX(s11, s31);
                t81 = SUB_CPX_CPX(s41, s21);
                s51 = LOADU_CPX((a + 640));
                s61 = LOADU_CPX((a + 1664));
                s71 = LOADU_CPX((a + 2688));
                s81 = LOADU_CPX((a + 3712));
                t91 = ADD_CPX_CPX(s51, s71);
                t02 = ADD_CPX_CPX(s61, s81);
                t12 = ADD_CPX_CPX(t51, t61);
                t22 = ADD_CPX_CPX(t91, t02);
                t32 = SUB_CPX_CPX(t51, t61);
                t42 = SUB_CPX_CPX(t02, t91);
                a4 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s51, s71));
                a5 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s81, s61));
                s91 = ADD_CPX_CPX(a4, a5);
                s02 = SUB_CPX_CPX(a5, a4);
                t52 = ADD_CPX_CPX(t71, s91);
                t62 = ADD_CPX_CPX(t81, s02);
                t72 = SUB_CPX_CPX(t71, s91);
                t82 = SUB_CPX_CPX(t81, s02);
                s12 = LOADU_CPX((a + 256));
                s22 = LOADU_CPX((a + 1280));
                s32 = LOADU_CPX((a + 2304));
                s42 = LOADU_CPX((a + 3328));
                t92 = ADD_CPX_CPX(s12, s32);
                t03 = ADD_CPX_CPX(s22, s42);
                t13 = SUB_CPX_CPX(s12, s32);
                t23 = SUB_CPX_CPX(s42, s22);
                s52 = LOADU_CPX((a + 768));
                s62 = LOADU_CPX((a + 1792));
                s72 = LOADU_CPX((a + 2816));
                s82 = LOADU_CPX((a + 3840));
                t33 = ADD_CPX_CPX(s52, s72);
                t43 = ADD_CPX_CPX(s62, s82);
                t53 = ADD_CPX_CPX(t92, t03);
                t63 = ADD_CPX_CPX(t33, t43);
                a6 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s52, s72));
                a7 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s82, s62));
                s92 = ADD_CPX_CPX(a6, a7);
                s03 = SUB_CPX_CPX(a7, a6);
                t73 = ADD_CPX_CPX(t13, s92);
                t83 = ADD_CPX_CPX(t23, s03);
                t93 = SUB_CPX_CPX(t13, s92);
                t04 = SUB_CPX_CPX(t23, s03);
                s13 = LOADU_CPX((a + 384));
                s23 = LOADU_CPX((a + 1408));
                s33 = LOADU_CPX((a + 2432));
                s43 = LOADU_CPX((a + 3456));
                t14 = ADD_CPX_CPX(s13, s33);
                t24 = ADD_CPX_CPX(s23, s43);
                t34 = SUB_CPX_CPX(s13, s33);
                t44 = SUB_CPX_CPX(s43, s23);
                s53 = LOADU_CPX((a + 896));
                s63 = LOADU_CPX((a + 1920));
                s73 = LOADU_CPX((a + 2944));
                s83 = LOADU_CPX((a + 3968));
                t54 = ADD_CPX_CPX(s53, s73);
                t64 = ADD_CPX_CPX(s63, s83);
                t74 = ADD_CPX_CPX(t14, t24);
                t84 = ADD_CPX_CPX(t54, t64);
                t94 = SUB_CPX_CPX(t14, t24);
                t05 = SUB_CPX_CPX(t64, t54);
                a8 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s53, s73));
                a9 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s83, s63));
                s93 = ADD_CPX_CPX(a8, a9);
                s04 = SUB_CPX_CPX(a9, a8);
                t15 = ADD_CPX_CPX(t34, s93);
                t25 = ADD_CPX_CPX(t44, s04);
                t35 = SUB_CPX_CPX(t34, s93);
                t45 = SUB_CPX_CPX(t44, s04);
                t55 = ADD_CPX_CPX(t7, t8);
                t65 = ADD_CPX_CPX(t53, t63);
                t75 = SUB_CPX_CPX(t7, t8);
                t85 = SUB_CPX_CPX(t63, t53);
                t95 = ADD_CPX_CPX(t12, t22);
                t06 = ADD_CPX_CPX(t74, t84);
                a01 = (T3 + (32*i3));
                *(a01) = ADD_CPX_CPX(t55, t65);
                *((a01 + 1)) = ADD_CPX_CPX(t95, t06);
                *((a01 + 16)) = SUB_CPX_CPX(t55, t65);
                *((a01 + 17)) = SUB_CPX_CPX(t06, t95);
                a11 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t12, t22));
                a21 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t84, t74));
                s14 = ADD_CPX_CPX(a11, a21);
                s24 = SUB_CPX_CPX(a21, a11);
                *((a01 + 8)) = ADD_CPX_CPX(t75, s14);
                *((a01 + 9)) = ADD_CPX_CPX(t85, s24);
                *((a01 + 24)) = SUB_CPX_CPX(t75, s14);
                *((a01 + 25)) = SUB_CPX_CPX(s24, t85);
                s34 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t52), MUL_FLT_CPX(C_FLT(0.19509032201612828), t62));
                s44 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t62), MUL_FLT_CPX(C_FLT(0.19509032201612828), t52));
                s54 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t73), MUL_FLT_CPX(C_FLT(0.38268343236508978), t83));
                s64 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t83), MUL_FLT_CPX(C_FLT(0.38268343236508978), t73));
                s74 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t15), MUL_FLT_CPX(C_FLT(0.55557023301960218), t25));
                s84 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t25), MUL_FLT_CPX(C_FLT(0.55557023301960218), t15));
                t16 = ADD_CPX_CPX(t11, s54);
                t26 = ADD_CPX_CPX(t21, s64);
                t36 = SUB_CPX_CPX(t11, s54);
                t46 = SUB_CPX_CPX(t21, s64);
                t56 = ADD_CPX_CPX(s34, s74);
                t66 = ADD_CPX_CPX(s44, s84);
                t76 = SUB_CPX_CPX(s34, s74);
                t86 = SUB_CPX_CPX(s44, s84);
                *((a01 + 2)) = ADD_CPX_CPX(t16, t56);
                *((a01 + 3)) = ADD_CPX_CPX(t26, t66);
                *((a01 + 30)) = SUB_CPX_CPX(t16, t56);
                *((a01 + 31)) = SUB_CPX_CPX(t66, t26);
                *((a01 + 18)) = ADD_CPX_CPX(t36, t86);
                *((a01 + 19)) = SUB_CPX_CPX(t46, t76);
                *((a01 + 14)) = SUB_CPX_CPX(t36, t86);
                *((a01 + 15)) = NEG_CPX(ADD_CPX_CPX(t46, t76));
                s94 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t32), MUL_FLT_CPX(C_FLT(0.38268343236508978), t42));
                s05 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t42), MUL_FLT_CPX(C_FLT(0.38268343236508978), t32));
                a31 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t92, t03));
                a41 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t43, t33));
                s15 = ADD_CPX_CPX(a31, a41);
                s25 = SUB_CPX_CPX(a41, a31);
                s35 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t94), MUL_FLT_CPX(C_FLT(0.92387953251128674), t05));
                s45 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t05), MUL_FLT_CPX(C_FLT(0.92387953251128674), t94));
                t96 = ADD_CPX_CPX(t9, s15);
                t07 = ADD_CPX_CPX(t01, s25);
                t17 = SUB_CPX_CPX(t9, s15);
                t27 = SUB_CPX_CPX(t01, s25);
                t37 = ADD_CPX_CPX(s94, s35);
                t47 = ADD_CPX_CPX(s05, s45);
                t57 = SUB_CPX_CPX(s94, s35);
                t67 = SUB_CPX_CPX(s05, s45);
                *((a01 + 4)) = ADD_CPX_CPX(t96, t37);
                *((a01 + 5)) = ADD_CPX_CPX(t07, t47);
                *((a01 + 28)) = SUB_CPX_CPX(t96, t37);
                *((a01 + 29)) = SUB_CPX_CPX(t47, t07);
                *((a01 + 20)) = ADD_CPX_CPX(t17, t67);
                *((a01 + 21)) = SUB_CPX_CPX(t27, t57);
                *((a01 + 12)) = SUB_CPX_CPX(t17, t67);
                *((a01 + 13)) = NEG_CPX(ADD_CPX_CPX(t27, t57));
                s55 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t72), MUL_FLT_CPX(C_FLT(0.55557023301960218), t82));
                s65 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), t72), MUL_FLT_CPX(C_FLT(0.83146961230254524), t82));
                s75 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t93), MUL_FLT_CPX(C_FLT(0.92387953251128674), t04));
                s85 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t93), MUL_FLT_CPX(C_FLT(0.38268343236508978), t04));
                s95 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), t35), MUL_FLT_CPX(C_FLT(0.98078528040323043), t45));
                s06 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), t45), MUL_FLT_CPX(C_FLT(0.98078528040323043), t35));
                t77 = ADD_CPX_CPX(t31, s75);
                t87 = ADD_CPX_CPX(t41, s85);
                t97 = SUB_CPX_CPX(t31, s75);
                t08 = SUB_CPX_CPX(s85, t41);
                t18 = SUB_CPX_CPX(s55, s95);
                t28 = SUB_CPX_CPX(s06, s65);
                t38 = ADD_CPX_CPX(s55, s95);
                t48 = ADD_CPX_CPX(s65, s06);
                *((a01 + 6)) = ADD_CPX_CPX(t77, t18);
                *((a01 + 7)) = SUB_CPX_CPX(t28, t87);
                *((a01 + 26)) = SUB_CPX_CPX(t77, t18);
                *((a01 + 27)) = ADD_CPX_CPX(t87, t28);
                *((a01 + 22)) = SUB_CPX_CPX(t97, t48);
                *((a01 + 23)) = SUB_CPX_CPX(t08, t38);
                *((a01 + 10)) = ADD_CPX_CPX(t97, t48);
                *((a01 + 11)) = NEG_CPX(ADD_CPX_CPX(t08, t38));
            }}
            a51 = (T3 + 1);
            t58 = ADD_CPX_CPX(*(T3), *(a51));
            a61 = (T3 + 128);
            a71 = (T3 + 129);
            t68 = ADD_CPX_CPX(*(a61), *(a71));
            t78 = SUB_CPX_CPX(*(T3), *(a51));
            t88 = SUB_CPX_CPX(*(a71), *(a61));
            a81 = (T3 + 64);
            a91 = (T3 + 65);
            t98 = ADD_CPX_CPX(*(a81), *(a91));
            a02 = (T3 + 192);
            a12 = (T3 + 193);
            t09 = ADD_CPX_CPX(*(a02), *(a12));
            t19 = ADD_CPX_CPX(t58, t68);
            t29 = ADD_CPX_CPX(t98, t09);
            t39 = SUB_CPX_CPX(t58, t68);
            t49 = SUB_CPX_CPX(t09, t98);
            a22 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a81), *(a91)));
            a32 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a12), *(a02)));
            s16 = ADD_CPX_CPX(a22, a32);
            s26 = SUB_CPX_CPX(a32, a22);
            t59 = ADD_CPX_CPX(t78, s16);
            t69 = ADD_CPX_CPX(t88, s26);
            t79 = SUB_CPX_CPX(t78, s16);
            t89 = SUB_CPX_CPX(t88, s26);
            a42 = (T3 + 32);
            a52 = (T3 + 33);
            t99 = ADD_CPX_CPX(*(a42), *(a52));
            a62 = (T3 + 160);
            a72 = (T3 + 161);
            t0a = ADD_CPX_CPX(*(a62), *(a72));
            t1a = SUB_CPX_CPX(*(a42), *(a52));
            t2a = SUB_CPX_CPX(*(a72), *(a62));
            a82 = (T3 + 96);
            a92 = (T3 + 97);
            t3a = ADD_CPX_CPX(*(a82), *(a92));
            a03 = (T3 + 224);
            a13 = (T3 + 225);
            t4a = ADD_CPX_CPX(*(a03), *(a13));
            t5a = ADD_CPX_CPX(t99, t0a);
            t6a = ADD_CPX_CPX(t3a, t4a);
            a23 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a82), *(a92)));
            a33 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a13), *(a03)));
            s36 = ADD_CPX_CPX(a23, a33);
            s46 = SUB_CPX_CPX(a33, a23);
            t7a = ADD_CPX_CPX(t1a, s36);
            t8a = ADD_CPX_CPX(t2a, s46);
            t9a = SUB_CPX_CPX(t1a, s36);
            t0b = SUB_CPX_CPX(t2a, s46);
            a43 = (T2 + (256*i2));
            *(a43) = ADD_CPX_CPX(t19, t29);
            *((a43 + 1)) = ADD_CPX_CPX(t5a, t6a);
            *((a43 + 128)) = SUB_CPX_CPX(t19, t29);
            *((a43 + 129)) = SUB_CPX_CPX(t6a, t5a);
            s56 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t7a), MUL_FLT_CPX(C_FLT(0.38268343236508978), t8a));
            s66 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t8a), MUL_FLT_CPX(C_FLT(0.38268343236508978), t7a));
            *((a43 + 32)) = ADD_CPX_CPX(t59, s56);
            *((a43 + 33)) = ADD_CPX_CPX(t69, s66);
            *((a43 + 224)) = SUB_CPX_CPX(t59, s56);
            *((a43 + 225)) = SUB_CPX_CPX(s66, t69);
            a53 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t99, t0a));
            a63 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t4a, t3a));
            s76 = ADD_CPX_CPX(a53, a63);
            s86 = SUB_CPX_CPX(a63, a53);
            *((a43 + 64)) = ADD_CPX_CPX(t39, s76);
            *((a43 + 65)) = ADD_CPX_CPX(t49, s86);
            *((a43 + 192)) = SUB_CPX_CPX(t39, s76);
            *((a43 + 193)) = SUB_CPX_CPX(s86, t49);
            s96 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t9a), MUL_FLT_CPX(C_FLT(0.92387953251128674), t0b));
            s07 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t9a), MUL_FLT_CPX(C_FLT(0.38268343236508978), t0b));
            *((a43 + 96)) = ADD_CPX_CPX(t79, s96);
            *((a43 + 97)) = NEG_CPX(ADD_CPX_CPX(t89, s07));
            *((a43 + 160)) = SUB_CPX_CPX(t79, s96);
            *((a43 + 161)) = SUB_CPX_CPX(t89, s07);
            {long i4; for(i4 = 0; i4 <= 14; i4++) {
                a73 = (2*i4);
                b = (T3 + a73);
                a83 = (b + 2);
                a93 = (b + 3);
                a04 = (b + 34);
                a14 = (b + 35);
                a24 = (b + 66);
                a34 = (b + 67);
                a44 = (b + 98);
                a54 = (b + 99);
                a64 = (b + 130);
                a74 = (b + 131);
                a84 = (b + 162);
                a94 = (b + 163);
                a05 = (b + 194);
                a15 = (b + 195);
                a25 = (b + 226);
                a35 = (b + 227);
                a45 = (D1042 + (14*i4));
                a55 = (a45 + 1);
                s17 = SUB_CPX_CPX(MUL_FLT_CPX(*(a45), *(a04)), MUL_FLT_CPX(*(a55), *(a14)));
                s27 = ADD_CPX_CPX(MUL_FLT_CPX(*(a55), *(a04)), MUL_FLT_CPX(*(a45), *(a14)));
                a65 = (a45 + 2);
                a75 = (a45 + 3);
                s37 = SUB_CPX_CPX(MUL_FLT_CPX(*(a65), *(a24)), MUL_FLT_CPX(*(a75), *(a34)));
                s47 = ADD_CPX_CPX(MUL_FLT_CPX(*(a75), *(a24)), MUL_FLT_CPX(*(a65), *(a34)));
                a85 = (a45 + 4);
                a95 = (a45 + 5);
                s57 = SUB_CPX_CPX(MUL_FLT_CPX(*(a85), *(a44)), MUL_FLT_CPX(*(a95), *(a54)));
                s67 = ADD_CPX_CPX(MUL_FLT_CPX(*(a95), *(a44)), MUL_FLT_CPX(*(a85), *(a54)));
                a06 = (a45 + 6);
                a16 = (a45 + 7);
                s77 = SUB_CPX_CPX(MUL_FLT_CPX(*(a06), *(a64)), MUL_FLT_CPX(*(a16), *(a74)));
                s87 = ADD_CPX_CPX(MUL_FLT_CPX(*(a16), *(a64)), MUL_FLT_CPX(*(a06), *(a74)));
                a26 = (a45 + 8);
                a36 = (a45 + 9);
                s97 = SUB_CPX_CPX(MUL_FLT_CPX(*(a26), *(a84)), MUL_FLT_CPX(*(a36), *(a94)));
                s08 = ADD_CPX_CPX(MUL_FLT_CPX(*(a36), *(a84)), MUL_FLT_CPX(*(a26), *(a94)));
                a46 = (a45 + 10);
                a56 = (a45 + 11);
                s18 = SUB_CPX_CPX(MUL_FLT_CPX(*(a46), *(a05)), MUL_FLT_CPX(*(a56), *(a15)));
                s28 = ADD_CPX_CPX(MUL_FLT_CPX(*(a56), *(a05)), MUL_FLT_CPX(*(a46), *(a15)));
                a66 = (a45 + 12);
                a76 = (a45 + 13);
                s38 = SUB_CPX_CPX(MUL_FLT_CPX(*(a66), *(a25)), MUL_FLT_CPX(*(a76), *(a35)));
                s48 = ADD_CPX_CPX(MUL_FLT_CPX(*(a76), *(a25)), MUL_FLT_CPX(*(a66), *(a35)));
                t1b = ADD_CPX_CPX(*(a83), s77);
                t2b = ADD_CPX_CPX(*(a93), s87);
                t3b = SUB_CPX_CPX(*(a83), s77);
                t4b = SUB_CPX_CPX(*(a93), s87);
                t5b = ADD_CPX_CPX(s37, s18);
                t6b = ADD_CPX_CPX(s47, s28);
                t7b = SUB_CPX_CPX(s37, s18);
                t8b = SUB_CPX_CPX(s47, s28);
                t9b = ADD_CPX_CPX(t1b, t5b);
                t0c = ADD_CPX_CPX(t2b, t6b);
                t1c = SUB_CPX_CPX(t1b, t5b);
                t2c = SUB_CPX_CPX(t2b, t6b);
                t3c = ADD_CPX_CPX(t3b, t8b);
                t4c = SUB_CPX_CPX(t4b, t7b);
                t5c = SUB_CPX_CPX(t3b, t8b);
                t6c = ADD_CPX_CPX(t4b, t7b);
                t7c = ADD_CPX_CPX(s17, s38);
                t8c = ADD_CPX_CPX(s27, s48);
                t9c = SUB_CPX_CPX(s48, s27);
                t0d = SUB_CPX_CPX(s17, s38);
                t1d = ADD_CPX_CPX(s97, s57);
                t2d = ADD_CPX_CPX(s08, s67);
                t3d = SUB_CPX_CPX(s67, s08);
                t4d = SUB_CPX_CPX(s97, s57);
                s58 = ADD_CPX_CPX(t7c, t1d);
                s68 = ADD_CPX_CPX(t8c, t2d);
                s78 = ADD_CPX_CPX(t9c, t3d);
                s88 = ADD_CPX_CPX(t0d, t4d);
                a86 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t7c, t1d));
                a96 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9c, t3d));
                t5d = SUB_CPX_CPX(a86, a96);
                a07 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8c, t2d));
                a17 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0d, t4d));
                t6d = SUB_CPX_CPX(a07, a17);
                t7d = ADD_CPX_CPX(a86, a96);
                t8d = ADD_CPX_CPX(a07, a17);
                b2 = (T2 + (256*i2));
                b3 = (b2 + a73);
                *((b3 + 2)) = ADD_CPX_CPX(t9b, s58);
                *((b3 + 3)) = ADD_CPX_CPX(t0c, s68);
                *((b3 + 130)) = SUB_CPX_CPX(t1c, s78);
                *((b3 + 131)) = SUB_CPX_CPX(t2c, s88);
                b4 = SUB_INT_INT(b2, a73);
                *((b4 + 254)) = SUB_CPX_CPX(t9b, s58);
                *((b4 + 255)) = SUB_CPX_CPX(s68, t0c);
                *((b4 + 126)) = ADD_CPX_CPX(t1c, s78);
                *((b4 + 127)) = NEG_CPX(ADD_CPX_CPX(t2c, s88));
                *((b3 + 66)) = ADD_CPX_CPX(t3c, t5d);
                *((b3 + 67)) = ADD_CPX_CPX(t4c, t6d);
                *((b3 + 194)) = SUB_CPX_CPX(t5c, t7d);
                *((b3 + 195)) = SUB_CPX_CPX(t6c, t8d);
                *((b4 + 190)) = SUB_CPX_CPX(t3c, t5d);
                *((b4 + 191)) = SUB_CPX_CPX(t6d, t4c);
                *((b4 + 62)) = ADD_CPX_CPX(t5c, t7d);
                *((b4 + 63)) = NEG_CPX(ADD_CPX_CPX(t6c, t8d));
            }}
        }}
        a27 = (T2 + 1);
        t9d = ADD_CPX_CPX(*(T2), *(a27));
        a37 = (T2 + 1024);
        a47 = (T2 + 1025);
        t0e = ADD_CPX_CPX(*(a37), *(a47));
        t1e = SUB_CPX_CPX(*(T2), *(a27));
        t2e = SUB_CPX_CPX(*(a47), *(a37));
        a57 = (T2 + 512);
        a67 = (T2 + 513);
        t3e = ADD_CPX_CPX(*(a57), *(a67));
        a77 = (T2 + 1536);
        a87 = (T2 + 1537);
        t4e = ADD_CPX_CPX(*(a77), *(a87));
        t5e = ADD_CPX_CPX(t9d, t0e);
        t6e = ADD_CPX_CPX(t3e, t4e);
        t7e = SUB_CPX_CPX(t9d, t0e);
        t8e = SUB_CPX_CPX(t4e, t3e);
        a97 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a57), *(a67)));
        a08 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a87), *(a77)));
        s98 = ADD_CPX_CPX(a97, a08);
        s09 = SUB_CPX_CPX(a08, a97);
        t9e = ADD_CPX_CPX(t1e, s98);
        t0f = ADD_CPX_CPX(t2e, s09);
        t1f = SUB_CPX_CPX(t1e, s98);
        t2f = SUB_CPX_CPX(t2e, s09);
        a18 = (T2 + 256);
        a28 = (T2 + 257);
        t3f = ADD_CPX_CPX(*(a18), *(a28));
        a38 = (T2 + 1280);
        a48 = (T2 + 1281);
        t4f = ADD_CPX_CPX(*(a38), *(a48));
        t5f = SUB_CPX_CPX(*(a18), *(a28));
        t6f = SUB_CPX_CPX(*(a48), *(a38));
        a58 = (T2 + 768);
        a68 = (T2 + 769);
        t7f = ADD_CPX_CPX(*(a58), *(a68));
        a78 = (T2 + 1792);
        a88 = (T2 + 1793);
        t8f = ADD_CPX_CPX(*(a78), *(a88));
        t9f = ADD_CPX_CPX(t3f, t4f);
        t0g = ADD_CPX_CPX(t7f, t8f);
        a98 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a58), *(a68)));
        a09 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a88), *(a78)));
        s19 = ADD_CPX_CPX(a98, a09);
        s29 = SUB_CPX_CPX(a09, a98);
        t1g = ADD_CPX_CPX(t5f, s19);
        t2g = ADD_CPX_CPX(t6f, s29);
        t3g = SUB_CPX_CPX(t5f, s19);
        t4g = SUB_CPX_CPX(t6f, s29);
        a19 = (T + i);
        *(a19) = ADD_CPX_CPX(t5e, t6e);
        *((a19 + 2)) = ADD_CPX_CPX(t9f, t0g);
        *((a19 + 2048)) = SUB_CPX_CPX(t5e, t6e);
        *((a19 + 2050)) = SUB_CPX_CPX(t0g, t9f);
        s39 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t1g), MUL_FLT_CPX(C_FLT(0.38268343236508978), t2g));
        s49 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t2g), MUL_FLT_CPX(C_FLT(0.38268343236508978), t1g));
        *((a19 + 512)) = ADD_CPX_CPX(t9e, s39);
        *((a19 + 514)) = ADD_CPX_CPX(t0f, s49);
        *((a19 + 3584)) = SUB_CPX_CPX(t9e, s39);
        *((a19 + 3586)) = SUB_CPX_CPX(s49, t0f);
        a29 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3f, t4f));
        a39 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8f, t7f));
        s59 = ADD_CPX_CPX(a29, a39);
        s69 = SUB_CPX_CPX(a39, a29);
        *((a19 + 1024)) = ADD_CPX_CPX(t7e, s59);
        *((a19 + 1026)) = ADD_CPX_CPX(t8e, s69);
        *((a19 + 3072)) = SUB_CPX_CPX(t7e, s59);
        *((a19 + 3074)) = SUB_CPX_CPX(s69, t8e);
        s79 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t3g), MUL_FLT_CPX(C_FLT(0.92387953251128674), t4g));
        s89 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t3g), MUL_FLT_CPX(C_FLT(0.38268343236508978), t4g));
        *((a19 + 1536)) = ADD_CPX_CPX(t1f, s79);
        *((a19 + 1538)) = NEG_CPX(ADD_CPX_CPX(t2f, s89));
        *((a19 + 2560)) = SUB_CPX_CPX(t1f, s79);
        *((a19 + 2562)) = SUB_CPX_CPX(t2f, s89);
        {long i5; for(i5 = 0; i5 <= 126; i5++) {
            b5 = (T2 + (2*i5));
            a49 = (b5 + 2);
            a59 = (b5 + 3);
            a69 = (b5 + 258);
            a79 = (b5 + 259);
            a89 = (b5 + 514);
            a99 = (b5 + 515);
            a0a = (b5 + 770);
            a1a = (b5 + 771);
            a2a = (b5 + 1026);
            a3a = (b5 + 1027);
            a4a = (b5 + 1282);
            a5a = (b5 + 1283);
            a6a = (b5 + 1538);
            a7a = (b5 + 1539);
            a8a = (b5 + 1794);
            a9a = (b5 + 1795);
            a0b = (D1041 + (14*i5));
            a1b = (a0b + 1);
            s99 = SUB_CPX_CPX(MUL_FLT_CPX(*(a0b), *(a69)), MUL_FLT_CPX(*(a1b), *(a79)));
            s0a = ADD_CPX_CPX(MUL_FLT_CPX(*(a1b), *(a69)), MUL_FLT_CPX(*(a0b), *(a79)));
            a2b = (a0b + 2);
            a3b = (a0b + 3);
            s1a = SUB_CPX_CPX(MUL_FLT_CPX(*(a2b), *(a89)), MUL_FLT_CPX(*(a3b), *(a99)));
            s2a = ADD_CPX_CPX(MUL_FLT_CPX(*(a3b), *(a89)), MUL_FLT_CPX(*(a2b), *(a99)));
            a4b = (a0b + 4);
            a5b = (a0b + 5);
            s3a = SUB_CPX_CPX(MUL_FLT_CPX(*(a4b), *(a0a)), MUL_FLT_CPX(*(a5b), *(a1a)));
            s4a = ADD_CPX_CPX(MUL_FLT_CPX(*(a5b), *(a0a)), MUL_FLT_CPX(*(a4b), *(a1a)));
            a6b = (a0b + 6);
            a7b = (a0b + 7);
            s5a = SUB_CPX_CPX(MUL_FLT_CPX(*(a6b), *(a2a)), MUL_FLT_CPX(*(a7b), *(a3a)));
            s6a = ADD_CPX_CPX(MUL_FLT_CPX(*(a7b), *(a2a)), MUL_FLT_CPX(*(a6b), *(a3a)));
            a8b = (a0b + 8);
            a9b = (a0b + 9);
            s7a = SUB_CPX_CPX(MUL_FLT_CPX(*(a8b), *(a4a)), MUL_FLT_CPX(*(a9b), *(a5a)));
            s8a = ADD_CPX_CPX(MUL_FLT_CPX(*(a9b), *(a4a)), MUL_FLT_CPX(*(a8b), *(a5a)));
            a0c = (a0b + 10);
            a1c = (a0b + 11);
            s9a = SUB_CPX_CPX(MUL_FLT_CPX(*(a0c), *(a6a)), MUL_FLT_CPX(*(a1c), *(a7a)));
            s0b = ADD_CPX_CPX(MUL_FLT_CPX(*(a1c), *(a6a)), MUL_FLT_CPX(*(a0c), *(a7a)));
            a2c = (a0b + 12);
            a3c = (a0b + 13);
            s1b = SUB_CPX_CPX(MUL_FLT_CPX(*(a2c), *(a8a)), MUL_FLT_CPX(*(a3c), *(a9a)));
            s2b = ADD_CPX_CPX(MUL_FLT_CPX(*(a3c), *(a8a)), MUL_FLT_CPX(*(a2c), *(a9a)));
            t5g = ADD_CPX_CPX(*(a49), s5a);
            t6g = ADD_CPX_CPX(*(a59), s6a);
            t7g = SUB_CPX_CPX(*(a49), s5a);
            t8g = SUB_CPX_CPX(*(a59), s6a);
            t9g = ADD_CPX_CPX(s1a, s9a);
            t0h = ADD_CPX_CPX(s2a, s0b);
            t1h = SUB_CPX_CPX(s1a, s9a);
            t2h = SUB_CPX_CPX(s2a, s0b);
            t3h = ADD_CPX_CPX(t5g, t9g);
            t4h = ADD_CPX_CPX(t6g, t0h);
            t5h = SUB_CPX_CPX(t5g, t9g);
            t6h = SUB_CPX_CPX(t6g, t0h);
            t7h = ADD_CPX_CPX(t7g, t2h);
            t8h = SUB_CPX_CPX(t8g, t1h);
            t9h = SUB_CPX_CPX(t7g, t2h);
            t0i = ADD_CPX_CPX(t8g, t1h);
            t1i = ADD_CPX_CPX(s99, s1b);
            t2i = ADD_CPX_CPX(s0a, s2b);
            t3i = SUB_CPX_CPX(s2b, s0a);
            t4i = SUB_CPX_CPX(s99, s1b);
            t5i = ADD_CPX_CPX(s7a, s3a);
            t6i = ADD_CPX_CPX(s8a, s4a);
            t7i = SUB_CPX_CPX(s4a, s8a);
            t8i = SUB_CPX_CPX(s7a, s3a);
            s3b = ADD_CPX_CPX(t1i, t5i);
            s4b = ADD_CPX_CPX(t2i, t6i);
            s5b = ADD_CPX_CPX(t3i, t7i);
            s6b = ADD_CPX_CPX(t4i, t8i);
            a4c = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t1i, t5i));
            a5c = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3i, t7i));
            t9i = SUB_CPX_CPX(a4c, a5c);
            a6c = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2i, t6i));
            a7c = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t4i, t8i));
            t0j = SUB_CPX_CPX(a6c, a7c);
            t1j = ADD_CPX_CPX(a4c, a5c);
            t2j = ADD_CPX_CPX(a6c, a7c);
            a8c = (4*i5);
            b6 = (T + i);
            b7 = (b6 + a8c);
            *((b7 + 4)) = ADD_CPX_CPX(t3h, s3b);
            *((b7 + 6)) = ADD_CPX_CPX(t4h, s4b);
            *((b7 + 2052)) = SUB_CPX_CPX(t5h, s5b);
            *((b7 + 2054)) = SUB_CPX_CPX(t6h, s6b);
            b8 = SUB_INT_INT(b6, a8c);
            *((b8 + 4092)) = SUB_CPX_CPX(t3h, s3b);
            *((b8 + 4094)) = SUB_CPX_CPX(s4b, t4h);
            *((b8 + 2044)) = ADD_CPX_CPX(t5h, s5b);
            *((b8 + 2046)) = NEG_CPX(ADD_CPX_CPX(t6h, s6b));
            *((b7 + 1028)) = ADD_CPX_CPX(t7h, t9i);
            *((b7 + 1030)) = ADD_CPX_CPX(t8h, t0j);
            *((b7 + 3076)) = SUB_CPX_CPX(t9h, t1j);
            *((b7 + 3078)) = SUB_CPX_CPX(t0i, t2j);
            *((b8 + 3068)) = SUB_CPX_CPX(t7h, t9i);
            *((b8 + 3070)) = SUB_CPX_CPX(t0j, t8h);
            *((b8 + 1020)) = ADD_CPX_CPX(t9h, t1j);
            *((b8 + 1022)) = NEG_CPX(ADD_CPX_CPX(t0i, t2j));
        }}
    }}
    a9c = (T + 2);
    t3j = ADD_CPX_CPX(*(T), *(a9c));
    t4j = SUB_CPX_CPX(*(T), *(a9c));
    a0d = (T + 1);
    a1d = (T + 3);
    t5j = ADD_CPX_CPX(*(a0d), *(a1d));
    s7b = MUL_NI_CPX(SUB_CPX_CPX(*(a0d), *(a1d)));
    t6j = ADD_CPX_CPX(t3j, t5j);
    t7j = SUB_CPX_CPX(t3j, t5j);
    STOREU_CPX(dst, t6j);
    STOREU_CPX((dst + 2048), t7j);
    t8j = ADD_CPX_CPX(t4j, s7b);
    t9j = SUB_CPX_CPX(t4j, s7b);
    STOREU_CPX((dst + 1024), t8j);
    STOREU_CPX((dst + 3072), t9j);
    {long i6; for(i6 = 0; i6 <= 1022; i6++) {
        b9 = (T + (4*i6));
        a2d = (b9 + 4);
        a3d = (b9 + 6);
        a4d = (b9 + 5);
        a5d = (b9 + 7);
        a6d = (D1040 + (2*i6));
        a7d = (a6d + 1);
        s8b = SUB_CPX_CPX(MUL_FLT_CPX(*(a6d), *(a4d)), MUL_FLT_CPX(*(a7d), *(a5d)));
        s9b = ADD_CPX_CPX(MUL_FLT_CPX(*(a7d), *(a4d)), MUL_FLT_CPX(*(a6d), *(a5d)));
        t0k = ADD_CPX_CPX(*(a2d), s8b);
        t1k = SUB_CPX_CPX(*(a2d), s8b);
        a8d = MUL_I_CPX(ADD_CPX_CPX(*(a3d), s9b));
        t2k = ADD_CPX_CPX(t0k, a8d);
        t3k = SUB_CPX_CPX(t0k, a8d);
        STOREU_CPX((1 + dst + i6), t2k);
        STOREU_CPX((dst + (4096 - (1 + i6))), t3k);
        a9d = MUL_I_CPX(SUB_CPX_CPX(*(a3d), s9b));
        t4k = ADD_CPX_CPX(t1k, a9d);
        t5k = SUB_CPX_CPX(t1k, a9d);
        STOREU_CPX((2049 + dst + i6), t4k);
        STOREU_CPX((dst + (2048 - (1 + i6))), t5k);
    }}
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_fftfwd_double_4096)(const double *pSrc, double *pDst ) {
    if (!is_aligned(pSrc) || !is_aligned(pDst))
       	return spiral_fftfwd_double_4096_unaligned(pSrc, pDst );
    else {
    const CPX  *src = (const CPX *) pSrc; 
    CPX        *dst = (CPX *) pDst;
    
    
    { SPIRAL_ALIGNED(CPX T[4096]);
     SPIRAL_ALIGNED(CPX T2[2048]);
     SPIRAL_ALIGNED(CPX T3[256]);
    CPX  *a05, *a06, *a07, *a08, *a0d, *a0e, *a0g, *a14, *a15, *a16, *a17, *a18, *a1d, *a1g, *a25, *a26, *a27, *a28, *a2b, *a2c, *a2d, *a2g
            , *a37, *a38, *a3a, *a3b, *a3d, *a3g, *a47, *a48, *a4a, *a4b, *a4d, *a4g, *a55, *a56, *a57, *a5a, *a5b, *a5c, *a5d, *a5g, *a64, *a65
            , *a67, *a6a, *a6b, *a6c, *a6d, *a6g, *a74, *a75, *a77, *a7a, *a7b, *a7c, *a7d, *a84, *a85, *a87, *a8a, *a8b, *a8c, *a8d, *a94, *a95
            , *a96, *a97, *a9a, *a9b, *a9c, *a9d, *b, *b01, *b2, *b3, *b4, *b5, *b6, *b7, *b8, *b9;
    const CPX  *a, *a11, *a12, *a13, *a2, *a21, *a22, *a23, *a3, *a31, *a32, *a33, *a4, *a41, *a42, *a43, *a5, *a51, *a52, *a53, *a6, *a61
            , *a62, *a63, *a7, *a71, *a72, *a73, *a8, *a81, *a82, *a83;
    FLT  *a09, *a0f, *a19, *a1e, *a1f, *a29, *a2e, *a2f, *a39, *a3e, *a3f, *a49, *a4e, *a4f, *a58, *a59, *a5e, *a68, *a69, *a6e, *a78, *a79
            , *a7e, *a7g, *a88, *a89, *a8e, *a8g, *a98, *a9e;
    int a86, a9f;
    CPX a01, a02, a03, a04, a0a, a0b, a0c, a0h, a1a, a1b, a1c, a24, a2a, a34, a35, a36, a3c, a44, a45, a46, a4c, a54
        , a5f, a66, a6f, a76, a7f, a8f, a9, a91, a92, a93, a99, a9g, s, s01, s02, s03, s04, s05, s06, s07, s08, s11
        , s12, s13, s14, s15, s16, s17, s18, s2, s21, s22, s23, s24, s25, s26, s27, s28, s3, s31, s32, s33, s34, s35
        , s36, s37, s38, s4, s41, s42, s43, s44, s45, s46, s47, s48, s5, s51, s52, s53, s54, s55, s56, s57, s58, s6
        , s61, s62, s63, s64, s65, s66, s67, s68, s7, s71, s72, s73, s74, s75, s76, s77, s78, s8, s81, s82, s83, s84
        , s85, s86, s87, s9, s91, s92, s93, s94, s95, s96, s97, t, t01, t02, t03, t04, t05, t06, t07, t08, t09, t0a
        , t0b, t0c, t0d, t0e, t0f, t0g, t0h, t0i, t0j, t11, t12, t13, t14, t15, t16, t17, t18, t19, t1a, t1b, t1c, t1d
        , t1e, t1f, t1g, t1h, t1i, t1j, t2, t21, t22, t23, t24, t25, t26, t27, t28, t29, t2a, t2b, t2c, t2d, t2e, t2f
        , t2g, t2h, t2i, t2j, t3, t31, t32, t33, t34, t35, t36, t37, t38, t39, t3a, t3b, t3c, t3d, t3e, t3f, t3g, t3h
        , t3i, t3j, t4, t41, t42, t43, t44, t45, t46, t47, t48, t49, t4a, t4b, t4c, t4d, t4e, t4f, t4g, t4h, t4i, t4j
        , t5, t51, t52, t53, t54, t55, t56, t57, t58, t59, t5a, t5b, t5c, t5d, t5e, t5f, t5g, t5h, t5i, t5j, t6, t61
        , t62, t63, t64, t65, t66, t67, t68, t69, t6a, t6b, t6c, t6d, t6e, t6f, t6g, t6h, t6i, t6j, t7, t71, t72, t73
        , t74, t75, t76, t77, t78, t79, t7a, t7b, t7c, t7d, t7e, t7f, t7g, t7h, t7i, t7j, t8, t81, t82, t83, t84, t85
        , t86, t87, t88, t89, t8a, t8b, t8c, t8d, t8e, t8f, t8g, t8h, t8i, t9, t91, t92, t93, t94, t95, t96, t97, t98
        , t99, t9a, t9b, t9c, t9d, t9e, t9f, t9g, t9h, t9i;
    {long i; for(i = 0; i <= 1; i++) {
        {long i2; for(i2 = 0; i2 <= 7; i2++) {
            {long i3; for(i3 = 0; i3 <= 7; i3++) {
                a = (src + i + (2*i2) + (16*i3));
                a2 = (a + 1024);
                a3 = (a + 2048);
                a4 = (a + 3072);
                t = ADD_CPX_CPX(*(a), *(a3));
                t2 = ADD_CPX_CPX(*(a2), *(a4));
                t3 = SUB_CPX_CPX(*(a), *(a3));
                t4 = SUB_CPX_CPX(*(a4), *(a2));
                a5 = (a + 512);
                a6 = (a + 1536);
                a7 = (a + 2560);
                a8 = (a + 3584);
                t5 = ADD_CPX_CPX(*(a5), *(a7));
                t6 = ADD_CPX_CPX(*(a6), *(a8));
                t7 = ADD_CPX_CPX(t, t2);
                t8 = ADD_CPX_CPX(t5, t6);
                t9 = SUB_CPX_CPX(t, t2);
                t01 = SUB_CPX_CPX(t6, t5);
                a9 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a5), *(a7)));
                a01 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a8), *(a6)));
                s = ADD_CPX_CPX(a9, a01);
                s2 = SUB_CPX_CPX(a01, a9);
                t11 = ADD_CPX_CPX(t3, s);
                t21 = ADD_CPX_CPX(t4, s2);
                t31 = SUB_CPX_CPX(t3, s);
                t41 = SUB_CPX_CPX(t4, s2);
                a11 = (a + 128);
                a21 = (a + 1152);
                a31 = (a + 2176);
                a41 = (a + 3200);
                t51 = ADD_CPX_CPX(*(a11), *(a31));
                t61 = ADD_CPX_CPX(*(a21), *(a41));
                t71 = SUB_CPX_CPX(*(a11), *(a31));
                t81 = SUB_CPX_CPX(*(a41), *(a21));
                a51 = (a + 640);
                a61 = (a + 1664);
                a71 = (a + 2688);
                a81 = (a + 3712);
                t91 = ADD_CPX_CPX(*(a51), *(a71));
                t02 = ADD_CPX_CPX(*(a61), *(a81));
                t12 = ADD_CPX_CPX(t51, t61);
                t22 = ADD_CPX_CPX(t91, t02);
                t32 = SUB_CPX_CPX(t51, t61);
                t42 = SUB_CPX_CPX(t02, t91);
                a91 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a51), *(a71)));
                a02 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a81), *(a61)));
                s3 = ADD_CPX_CPX(a91, a02);
                s4 = SUB_CPX_CPX(a02, a91);
                t52 = ADD_CPX_CPX(t71, s3);
                t62 = ADD_CPX_CPX(t81, s4);
                t72 = SUB_CPX_CPX(t71, s3);
                t82 = SUB_CPX_CPX(t81, s4);
                a12 = (a + 256);
                a22 = (a + 1280);
                a32 = (a + 2304);
                a42 = (a + 3328);
                t92 = ADD_CPX_CPX(*(a12), *(a32));
                t03 = ADD_CPX_CPX(*(a22), *(a42));
                t13 = SUB_CPX_CPX(*(a12), *(a32));
                t23 = SUB_CPX_CPX(*(a42), *(a22));
                a52 = (a + 768);
                a62 = (a + 1792);
                a72 = (a + 2816);
                a82 = (a + 3840);
                t33 = ADD_CPX_CPX(*(a52), *(a72));
                t43 = ADD_CPX_CPX(*(a62), *(a82));
                t53 = ADD_CPX_CPX(t92, t03);
                t63 = ADD_CPX_CPX(t33, t43);
                a92 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a52), *(a72)));
                a03 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a82), *(a62)));
                s5 = ADD_CPX_CPX(a92, a03);
                s6 = SUB_CPX_CPX(a03, a92);
                t73 = ADD_CPX_CPX(t13, s5);
                t83 = ADD_CPX_CPX(t23, s6);
                t93 = SUB_CPX_CPX(t13, s5);
                t04 = SUB_CPX_CPX(t23, s6);
                a13 = (a + 384);
                a23 = (a + 1408);
                a33 = (a + 2432);
                a43 = (a + 3456);
                t14 = ADD_CPX_CPX(*(a13), *(a33));
                t24 = ADD_CPX_CPX(*(a23), *(a43));
                t34 = SUB_CPX_CPX(*(a13), *(a33));
                t44 = SUB_CPX_CPX(*(a43), *(a23));
                a53 = (a + 896);
                a63 = (a + 1920);
                a73 = (a + 2944);
                a83 = (a + 3968);
                t54 = ADD_CPX_CPX(*(a53), *(a73));
                t64 = ADD_CPX_CPX(*(a63), *(a83));
                t74 = ADD_CPX_CPX(t14, t24);
                t84 = ADD_CPX_CPX(t54, t64);
                t94 = SUB_CPX_CPX(t14, t24);
                t05 = SUB_CPX_CPX(t64, t54);
                a93 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a53), *(a73)));
                a04 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a83), *(a63)));
                s7 = ADD_CPX_CPX(a93, a04);
                s8 = SUB_CPX_CPX(a04, a93);
                t15 = ADD_CPX_CPX(t34, s7);
                t25 = ADD_CPX_CPX(t44, s8);
                t35 = SUB_CPX_CPX(t34, s7);
                t45 = SUB_CPX_CPX(t44, s8);
                t55 = ADD_CPX_CPX(t7, t8);
                t65 = ADD_CPX_CPX(t53, t63);
                t75 = SUB_CPX_CPX(t7, t8);
                t85 = SUB_CPX_CPX(t63, t53);
                t95 = ADD_CPX_CPX(t12, t22);
                t06 = ADD_CPX_CPX(t74, t84);
                a14 = (T3 + (32*i3));
                *(a14) = ADD_CPX_CPX(t55, t65);
                *((a14 + 1)) = ADD_CPX_CPX(t95, t06);
                *((a14 + 16)) = SUB_CPX_CPX(t55, t65);
                *((a14 + 17)) = SUB_CPX_CPX(t06, t95);
                a24 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t12, t22));
                a34 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t84, t74));
                s9 = ADD_CPX_CPX(a24, a34);
                s01 = SUB_CPX_CPX(a34, a24);
                *((a14 + 8)) = ADD_CPX_CPX(t75, s9);
                *((a14 + 9)) = ADD_CPX_CPX(t85, s01);
                *((a14 + 24)) = SUB_CPX_CPX(t75, s9);
                *((a14 + 25)) = SUB_CPX_CPX(s01, t85);
                s11 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t52), MUL_FLT_CPX(C_FLT(0.19509032201612828), t62));
                s21 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), t62), MUL_FLT_CPX(C_FLT(0.19509032201612828), t52));
                s31 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t73), MUL_FLT_CPX(C_FLT(0.38268343236508978), t83));
                s41 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t83), MUL_FLT_CPX(C_FLT(0.38268343236508978), t73));
                s51 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t15), MUL_FLT_CPX(C_FLT(0.55557023301960218), t25));
                s61 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t25), MUL_FLT_CPX(C_FLT(0.55557023301960218), t15));
                t16 = ADD_CPX_CPX(t11, s31);
                t26 = ADD_CPX_CPX(t21, s41);
                t36 = SUB_CPX_CPX(t11, s31);
                t46 = SUB_CPX_CPX(t21, s41);
                t56 = ADD_CPX_CPX(s11, s51);
                t66 = ADD_CPX_CPX(s21, s61);
                t76 = SUB_CPX_CPX(s11, s51);
                t86 = SUB_CPX_CPX(s21, s61);
                *((a14 + 2)) = ADD_CPX_CPX(t16, t56);
                *((a14 + 3)) = ADD_CPX_CPX(t26, t66);
                *((a14 + 30)) = SUB_CPX_CPX(t16, t56);
                *((a14 + 31)) = SUB_CPX_CPX(t66, t26);
                *((a14 + 18)) = ADD_CPX_CPX(t36, t86);
                *((a14 + 19)) = SUB_CPX_CPX(t46, t76);
                *((a14 + 14)) = SUB_CPX_CPX(t36, t86);
                *((a14 + 15)) = NEG_CPX(ADD_CPX_CPX(t46, t76));
                s71 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t32), MUL_FLT_CPX(C_FLT(0.38268343236508978), t42));
                s81 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t42), MUL_FLT_CPX(C_FLT(0.38268343236508978), t32));
                a44 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t92, t03));
                a54 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t43, t33));
                s91 = ADD_CPX_CPX(a44, a54);
                s02 = SUB_CPX_CPX(a54, a44);
                s12 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t94), MUL_FLT_CPX(C_FLT(0.92387953251128674), t05));
                s22 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t05), MUL_FLT_CPX(C_FLT(0.92387953251128674), t94));
                t96 = ADD_CPX_CPX(t9, s91);
                t07 = ADD_CPX_CPX(t01, s02);
                t17 = SUB_CPX_CPX(t9, s91);
                t27 = SUB_CPX_CPX(t01, s02);
                t37 = ADD_CPX_CPX(s71, s12);
                t47 = ADD_CPX_CPX(s81, s22);
                t57 = SUB_CPX_CPX(s71, s12);
                t67 = SUB_CPX_CPX(s81, s22);
                *((a14 + 4)) = ADD_CPX_CPX(t96, t37);
                *((a14 + 5)) = ADD_CPX_CPX(t07, t47);
                *((a14 + 28)) = SUB_CPX_CPX(t96, t37);
                *((a14 + 29)) = SUB_CPX_CPX(t47, t07);
                *((a14 + 20)) = ADD_CPX_CPX(t17, t67);
                *((a14 + 21)) = SUB_CPX_CPX(t27, t57);
                *((a14 + 12)) = SUB_CPX_CPX(t17, t67);
                *((a14 + 13)) = NEG_CPX(ADD_CPX_CPX(t27, t57));
                s32 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), t72), MUL_FLT_CPX(C_FLT(0.55557023301960218), t82));
                s42 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), t72), MUL_FLT_CPX(C_FLT(0.83146961230254524), t82));
                s52 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t93), MUL_FLT_CPX(C_FLT(0.92387953251128674), t04));
                s62 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t93), MUL_FLT_CPX(C_FLT(0.38268343236508978), t04));
                s72 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), t35), MUL_FLT_CPX(C_FLT(0.98078528040323043), t45));
                s82 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), t45), MUL_FLT_CPX(C_FLT(0.98078528040323043), t35));
                t77 = ADD_CPX_CPX(t31, s52);
                t87 = ADD_CPX_CPX(t41, s62);
                t97 = SUB_CPX_CPX(t31, s52);
                t08 = SUB_CPX_CPX(s62, t41);
                t18 = SUB_CPX_CPX(s32, s72);
                t28 = SUB_CPX_CPX(s82, s42);
                t38 = ADD_CPX_CPX(s32, s72);
                t48 = ADD_CPX_CPX(s42, s82);
                *((a14 + 6)) = ADD_CPX_CPX(t77, t18);
                *((a14 + 7)) = SUB_CPX_CPX(t28, t87);
                *((a14 + 26)) = SUB_CPX_CPX(t77, t18);
                *((a14 + 27)) = ADD_CPX_CPX(t87, t28);
                *((a14 + 22)) = SUB_CPX_CPX(t97, t48);
                *((a14 + 23)) = SUB_CPX_CPX(t08, t38);
                *((a14 + 10)) = ADD_CPX_CPX(t97, t48);
                *((a14 + 11)) = NEG_CPX(ADD_CPX_CPX(t08, t38));
            }}
            a64 = (T3 + 1);
            t58 = ADD_CPX_CPX(*(T3), *(a64));
            a74 = (T3 + 128);
            a84 = (T3 + 129);
            t68 = ADD_CPX_CPX(*(a74), *(a84));
            t78 = SUB_CPX_CPX(*(T3), *(a64));
            t88 = SUB_CPX_CPX(*(a84), *(a74));
            a94 = (T3 + 64);
            a05 = (T3 + 65);
            t98 = ADD_CPX_CPX(*(a94), *(a05));
            a15 = (T3 + 192);
            a25 = (T3 + 193);
            t09 = ADD_CPX_CPX(*(a15), *(a25));
            t19 = ADD_CPX_CPX(t58, t68);
            t29 = ADD_CPX_CPX(t98, t09);
            t39 = SUB_CPX_CPX(t58, t68);
            t49 = SUB_CPX_CPX(t09, t98);
            a35 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a94), *(a05)));
            a45 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a25), *(a15)));
            s92 = ADD_CPX_CPX(a35, a45);
            s03 = SUB_CPX_CPX(a45, a35);
            t59 = ADD_CPX_CPX(t78, s92);
            t69 = ADD_CPX_CPX(t88, s03);
            t79 = SUB_CPX_CPX(t78, s92);
            t89 = SUB_CPX_CPX(t88, s03);
            a55 = (T3 + 32);
            a65 = (T3 + 33);
            t99 = ADD_CPX_CPX(*(a55), *(a65));
            a75 = (T3 + 160);
            a85 = (T3 + 161);
            t0a = ADD_CPX_CPX(*(a75), *(a85));
            t1a = SUB_CPX_CPX(*(a55), *(a65));
            t2a = SUB_CPX_CPX(*(a85), *(a75));
            a95 = (T3 + 96);
            a06 = (T3 + 97);
            t3a = ADD_CPX_CPX(*(a95), *(a06));
            a16 = (T3 + 224);
            a26 = (T3 + 225);
            t4a = ADD_CPX_CPX(*(a16), *(a26));
            t5a = ADD_CPX_CPX(t99, t0a);
            t6a = ADD_CPX_CPX(t3a, t4a);
            a36 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a95), *(a06)));
            a46 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a26), *(a16)));
            s13 = ADD_CPX_CPX(a36, a46);
            s23 = SUB_CPX_CPX(a46, a36);
            t7a = ADD_CPX_CPX(t1a, s13);
            t8a = ADD_CPX_CPX(t2a, s23);
            t9a = SUB_CPX_CPX(t1a, s13);
            t0b = SUB_CPX_CPX(t2a, s23);
            a56 = (T2 + (256*i2));
            *(a56) = ADD_CPX_CPX(t19, t29);
            *((a56 + 1)) = ADD_CPX_CPX(t5a, t6a);
            *((a56 + 128)) = SUB_CPX_CPX(t19, t29);
            *((a56 + 129)) = SUB_CPX_CPX(t6a, t5a);
            s33 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t7a), MUL_FLT_CPX(C_FLT(0.38268343236508978), t8a));
            s43 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t8a), MUL_FLT_CPX(C_FLT(0.38268343236508978), t7a));
            *((a56 + 32)) = ADD_CPX_CPX(t59, s33);
            *((a56 + 33)) = ADD_CPX_CPX(t69, s43);
            *((a56 + 224)) = SUB_CPX_CPX(t59, s33);
            *((a56 + 225)) = SUB_CPX_CPX(s43, t69);
            a66 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t99, t0a));
            a76 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t4a, t3a));
            s53 = ADD_CPX_CPX(a66, a76);
            s63 = SUB_CPX_CPX(a76, a66);
            *((a56 + 64)) = ADD_CPX_CPX(t39, s53);
            *((a56 + 65)) = ADD_CPX_CPX(t49, s63);
            *((a56 + 192)) = SUB_CPX_CPX(t39, s53);
            *((a56 + 193)) = SUB_CPX_CPX(s63, t49);
            s73 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t9a), MUL_FLT_CPX(C_FLT(0.92387953251128674), t0b));
            s83 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t9a), MUL_FLT_CPX(C_FLT(0.38268343236508978), t0b));
            *((a56 + 96)) = ADD_CPX_CPX(t79, s73);
            *((a56 + 97)) = NEG_CPX(ADD_CPX_CPX(t89, s83));
            *((a56 + 160)) = SUB_CPX_CPX(t79, s73);
            *((a56 + 161)) = SUB_CPX_CPX(t89, s83);
            {long i4; for(i4 = 0; i4 <= 14; i4++) {
                a86 = (2*i4);
                b = (T3 + a86);
                a96 = (b + 2);
                a07 = (b + 3);
                a17 = (b + 34);
                a27 = (b + 35);
                a37 = (b + 66);
                a47 = (b + 67);
                a57 = (b + 98);
                a67 = (b + 99);
                a77 = (b + 130);
                a87 = (b + 131);
                a97 = (b + 162);
                a08 = (b + 163);
                a18 = (b + 194);
                a28 = (b + 195);
                a38 = (b + 226);
                a48 = (b + 227);
                a58 = (D1042 + (14*i4));
                a68 = (a58 + 1);
                s93 = SUB_CPX_CPX(MUL_FLT_CPX(*(a58), *(a17)), MUL_FLT_CPX(*(a68), *(a27)));
                s04 = ADD_CPX_CPX(MUL_FLT_CPX(*(a68), *(a17)), MUL_FLT_CPX(*(a58), *(a27)));
                a78 = (a58 + 2);
                a88 = (a58 + 3);
                s14 = SUB_CPX_CPX(MUL_FLT_CPX(*(a78), *(a37)), MUL_FLT_CPX(*(a88), *(a47)));
                s24 = ADD_CPX_CPX(MUL_FLT_CPX(*(a88), *(a37)), MUL_FLT_CPX(*(a78), *(a47)));
                a98 = (a58 + 4);
                a09 = (a58 + 5);
                s34 = SUB_CPX_CPX(MUL_FLT_CPX(*(a98), *(a57)), MUL_FLT_CPX(*(a09), *(a67)));
                s44 = ADD_CPX_CPX(MUL_FLT_CPX(*(a09), *(a57)), MUL_FLT_CPX(*(a98), *(a67)));
                a19 = (a58 + 6);
                a29 = (a58 + 7);
                s54 = SUB_CPX_CPX(MUL_FLT_CPX(*(a19), *(a77)), MUL_FLT_CPX(*(a29), *(a87)));
                s64 = ADD_CPX_CPX(MUL_FLT_CPX(*(a29), *(a77)), MUL_FLT_CPX(*(a19), *(a87)));
                a39 = (a58 + 8);
                a49 = (a58 + 9);
                s74 = SUB_CPX_CPX(MUL_FLT_CPX(*(a39), *(a97)), MUL_FLT_CPX(*(a49), *(a08)));
                s84 = ADD_CPX_CPX(MUL_FLT_CPX(*(a49), *(a97)), MUL_FLT_CPX(*(a39), *(a08)));
                a59 = (a58 + 10);
                a69 = (a58 + 11);
                s94 = SUB_CPX_CPX(MUL_FLT_CPX(*(a59), *(a18)), MUL_FLT_CPX(*(a69), *(a28)));
                s05 = ADD_CPX_CPX(MUL_FLT_CPX(*(a69), *(a18)), MUL_FLT_CPX(*(a59), *(a28)));
                a79 = (a58 + 12);
                a89 = (a58 + 13);
                s15 = SUB_CPX_CPX(MUL_FLT_CPX(*(a79), *(a38)), MUL_FLT_CPX(*(a89), *(a48)));
                s25 = ADD_CPX_CPX(MUL_FLT_CPX(*(a89), *(a38)), MUL_FLT_CPX(*(a79), *(a48)));
                t1b = ADD_CPX_CPX(*(a96), s54);
                t2b = ADD_CPX_CPX(*(a07), s64);
                t3b = SUB_CPX_CPX(*(a96), s54);
                t4b = SUB_CPX_CPX(*(a07), s64);
                t5b = ADD_CPX_CPX(s14, s94);
                t6b = ADD_CPX_CPX(s24, s05);
                t7b = SUB_CPX_CPX(s14, s94);
                t8b = SUB_CPX_CPX(s24, s05);
                t9b = ADD_CPX_CPX(t1b, t5b);
                t0c = ADD_CPX_CPX(t2b, t6b);
                t1c = SUB_CPX_CPX(t1b, t5b);
                t2c = SUB_CPX_CPX(t2b, t6b);
                t3c = ADD_CPX_CPX(t3b, t8b);
                t4c = SUB_CPX_CPX(t4b, t7b);
                t5c = SUB_CPX_CPX(t3b, t8b);
                t6c = ADD_CPX_CPX(t4b, t7b);
                t7c = ADD_CPX_CPX(s93, s15);
                t8c = ADD_CPX_CPX(s04, s25);
                t9c = SUB_CPX_CPX(s25, s04);
                t0d = SUB_CPX_CPX(s93, s15);
                t1d = ADD_CPX_CPX(s74, s34);
                t2d = ADD_CPX_CPX(s84, s44);
                t3d = SUB_CPX_CPX(s44, s84);
                t4d = SUB_CPX_CPX(s74, s34);
                s35 = ADD_CPX_CPX(t7c, t1d);
                s45 = ADD_CPX_CPX(t8c, t2d);
                s55 = ADD_CPX_CPX(t9c, t3d);
                s65 = ADD_CPX_CPX(t0d, t4d);
                a99 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t7c, t1d));
                a0a = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9c, t3d));
                t5d = SUB_CPX_CPX(a99, a0a);
                a1a = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8c, t2d));
                a2a = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0d, t4d));
                t6d = SUB_CPX_CPX(a1a, a2a);
                t7d = ADD_CPX_CPX(a99, a0a);
                t8d = ADD_CPX_CPX(a1a, a2a);
                b2 = (T2 + (256*i2));
                b3 = (b2 + a86);
                *((b3 + 2)) = ADD_CPX_CPX(t9b, s35);
                *((b3 + 3)) = ADD_CPX_CPX(t0c, s45);
                *((b3 + 130)) = SUB_CPX_CPX(t1c, s55);
                *((b3 + 131)) = SUB_CPX_CPX(t2c, s65);
                b4 = SUB_INT_INT(b2, a86);
                *((b4 + 254)) = SUB_CPX_CPX(t9b, s35);
                *((b4 + 255)) = SUB_CPX_CPX(s45, t0c);
                *((b4 + 126)) = ADD_CPX_CPX(t1c, s55);
                *((b4 + 127)) = NEG_CPX(ADD_CPX_CPX(t2c, s65));
                *((b3 + 66)) = ADD_CPX_CPX(t3c, t5d);
                *((b3 + 67)) = ADD_CPX_CPX(t4c, t6d);
                *((b3 + 194)) = SUB_CPX_CPX(t5c, t7d);
                *((b3 + 195)) = SUB_CPX_CPX(t6c, t8d);
                *((b4 + 190)) = SUB_CPX_CPX(t3c, t5d);
                *((b4 + 191)) = SUB_CPX_CPX(t6d, t4c);
                *((b4 + 62)) = ADD_CPX_CPX(t5c, t7d);
                *((b4 + 63)) = NEG_CPX(ADD_CPX_CPX(t6c, t8d));
            }}
        }}
        a3a = (T2 + 1);
        t9d = ADD_CPX_CPX(*(T2), *(a3a));
        a4a = (T2 + 1024);
        a5a = (T2 + 1025);
        t0e = ADD_CPX_CPX(*(a4a), *(a5a));
        t1e = SUB_CPX_CPX(*(T2), *(a3a));
        t2e = SUB_CPX_CPX(*(a5a), *(a4a));
        a6a = (T2 + 512);
        a7a = (T2 + 513);
        t3e = ADD_CPX_CPX(*(a6a), *(a7a));
        a8a = (T2 + 1536);
        a9a = (T2 + 1537);
        t4e = ADD_CPX_CPX(*(a8a), *(a9a));
        t5e = ADD_CPX_CPX(t9d, t0e);
        t6e = ADD_CPX_CPX(t3e, t4e);
        t7e = SUB_CPX_CPX(t9d, t0e);
        t8e = SUB_CPX_CPX(t4e, t3e);
        a0b = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a6a), *(a7a)));
        a1b = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a9a), *(a8a)));
        s75 = ADD_CPX_CPX(a0b, a1b);
        s85 = SUB_CPX_CPX(a1b, a0b);
        t9e = ADD_CPX_CPX(t1e, s75);
        t0f = ADD_CPX_CPX(t2e, s85);
        t1f = SUB_CPX_CPX(t1e, s75);
        t2f = SUB_CPX_CPX(t2e, s85);
        a2b = (T2 + 256);
        a3b = (T2 + 257);
        t3f = ADD_CPX_CPX(*(a2b), *(a3b));
        a4b = (T2 + 1280);
        a5b = (T2 + 1281);
        t4f = ADD_CPX_CPX(*(a4b), *(a5b));
        t5f = SUB_CPX_CPX(*(a2b), *(a3b));
        t6f = SUB_CPX_CPX(*(a5b), *(a4b));
        a6b = (T2 + 768);
        a7b = (T2 + 769);
        t7f = ADD_CPX_CPX(*(a6b), *(a7b));
        a8b = (T2 + 1792);
        a9b = (T2 + 1793);
        t8f = ADD_CPX_CPX(*(a8b), *(a9b));
        t9f = ADD_CPX_CPX(t3f, t4f);
        t0g = ADD_CPX_CPX(t7f, t8f);
        a0c = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a6b), *(a7b)));
        a1c = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a9b), *(a8b)));
        s95 = ADD_CPX_CPX(a0c, a1c);
        s06 = SUB_CPX_CPX(a1c, a0c);
        t1g = ADD_CPX_CPX(t5f, s95);
        t2g = ADD_CPX_CPX(t6f, s06);
        t3g = SUB_CPX_CPX(t5f, s95);
        t4g = SUB_CPX_CPX(t6f, s06);
        a2c = (T + i);
        *(a2c) = ADD_CPX_CPX(t5e, t6e);
        *((a2c + 2)) = ADD_CPX_CPX(t9f, t0g);
        *((a2c + 2048)) = SUB_CPX_CPX(t5e, t6e);
        *((a2c + 2050)) = SUB_CPX_CPX(t0g, t9f);
        s16 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t1g), MUL_FLT_CPX(C_FLT(0.38268343236508978), t2g));
        s26 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t2g), MUL_FLT_CPX(C_FLT(0.38268343236508978), t1g));
        *((a2c + 512)) = ADD_CPX_CPX(t9e, s16);
        *((a2c + 514)) = ADD_CPX_CPX(t0f, s26);
        *((a2c + 3584)) = SUB_CPX_CPX(t9e, s16);
        *((a2c + 3586)) = SUB_CPX_CPX(s26, t0f);
        a3c = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3f, t4f));
        a4c = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8f, t7f));
        s36 = ADD_CPX_CPX(a3c, a4c);
        s46 = SUB_CPX_CPX(a4c, a3c);
        *((a2c + 1024)) = ADD_CPX_CPX(t7e, s36);
        *((a2c + 1026)) = ADD_CPX_CPX(t8e, s46);
        *((a2c + 3072)) = SUB_CPX_CPX(t7e, s36);
        *((a2c + 3074)) = SUB_CPX_CPX(s46, t8e);
        s56 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t3g), MUL_FLT_CPX(C_FLT(0.92387953251128674), t4g));
        s66 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t3g), MUL_FLT_CPX(C_FLT(0.38268343236508978), t4g));
        *((a2c + 1536)) = ADD_CPX_CPX(t1f, s56);
        *((a2c + 1538)) = NEG_CPX(ADD_CPX_CPX(t2f, s66));
        *((a2c + 2560)) = SUB_CPX_CPX(t1f, s56);
        *((a2c + 2562)) = SUB_CPX_CPX(t2f, s66);
        {long i5; for(i5 = 0; i5 <= 126; i5++) {
            b5 = (T2 + (2*i5));
            a5c = (b5 + 2);
            a6c = (b5 + 3);
            a7c = (b5 + 258);
            a8c = (b5 + 259);
            a9c = (b5 + 514);
            a0d = (b5 + 515);
            a1d = (b5 + 770);
            a2d = (b5 + 771);
            a3d = (b5 + 1026);
            a4d = (b5 + 1027);
            a5d = (b5 + 1282);
            a6d = (b5 + 1283);
            a7d = (b5 + 1538);
            a8d = (b5 + 1539);
            a9d = (b5 + 1794);
            a0e = (b5 + 1795);
            a1e = (D1041 + (14*i5));
            a2e = (a1e + 1);
            s76 = SUB_CPX_CPX(MUL_FLT_CPX(*(a1e), *(a7c)), MUL_FLT_CPX(*(a2e), *(a8c)));
            s86 = ADD_CPX_CPX(MUL_FLT_CPX(*(a2e), *(a7c)), MUL_FLT_CPX(*(a1e), *(a8c)));
            a3e = (a1e + 2);
            a4e = (a1e + 3);
            s96 = SUB_CPX_CPX(MUL_FLT_CPX(*(a3e), *(a9c)), MUL_FLT_CPX(*(a4e), *(a0d)));
            s07 = ADD_CPX_CPX(MUL_FLT_CPX(*(a4e), *(a9c)), MUL_FLT_CPX(*(a3e), *(a0d)));
            a5e = (a1e + 4);
            a6e = (a1e + 5);
            s17 = SUB_CPX_CPX(MUL_FLT_CPX(*(a5e), *(a1d)), MUL_FLT_CPX(*(a6e), *(a2d)));
            s27 = ADD_CPX_CPX(MUL_FLT_CPX(*(a6e), *(a1d)), MUL_FLT_CPX(*(a5e), *(a2d)));
            a7e = (a1e + 6);
            a8e = (a1e + 7);
            s37 = SUB_CPX_CPX(MUL_FLT_CPX(*(a7e), *(a3d)), MUL_FLT_CPX(*(a8e), *(a4d)));
            s47 = ADD_CPX_CPX(MUL_FLT_CPX(*(a8e), *(a3d)), MUL_FLT_CPX(*(a7e), *(a4d)));
            a9e = (a1e + 8);
            a0f = (a1e + 9);
            s57 = SUB_CPX_CPX(MUL_FLT_CPX(*(a9e), *(a5d)), MUL_FLT_CPX(*(a0f), *(a6d)));
            s67 = ADD_CPX_CPX(MUL_FLT_CPX(*(a0f), *(a5d)), MUL_FLT_CPX(*(a9e), *(a6d)));
            a1f = (a1e + 10);
            a2f = (a1e + 11);
            s77 = SUB_CPX_CPX(MUL_FLT_CPX(*(a1f), *(a7d)), MUL_FLT_CPX(*(a2f), *(a8d)));
            s87 = ADD_CPX_CPX(MUL_FLT_CPX(*(a2f), *(a7d)), MUL_FLT_CPX(*(a1f), *(a8d)));
            a3f = (a1e + 12);
            a4f = (a1e + 13);
            s97 = SUB_CPX_CPX(MUL_FLT_CPX(*(a3f), *(a9d)), MUL_FLT_CPX(*(a4f), *(a0e)));
            s08 = ADD_CPX_CPX(MUL_FLT_CPX(*(a4f), *(a9d)), MUL_FLT_CPX(*(a3f), *(a0e)));
            t5g = ADD_CPX_CPX(*(a5c), s37);
            t6g = ADD_CPX_CPX(*(a6c), s47);
            t7g = SUB_CPX_CPX(*(a5c), s37);
            t8g = SUB_CPX_CPX(*(a6c), s47);
            t9g = ADD_CPX_CPX(s96, s77);
            t0h = ADD_CPX_CPX(s07, s87);
            t1h = SUB_CPX_CPX(s96, s77);
            t2h = SUB_CPX_CPX(s07, s87);
            t3h = ADD_CPX_CPX(t5g, t9g);
            t4h = ADD_CPX_CPX(t6g, t0h);
            t5h = SUB_CPX_CPX(t5g, t9g);
            t6h = SUB_CPX_CPX(t6g, t0h);
            t7h = ADD_CPX_CPX(t7g, t2h);
            t8h = SUB_CPX_CPX(t8g, t1h);
            t9h = SUB_CPX_CPX(t7g, t2h);
            t0i = ADD_CPX_CPX(t8g, t1h);
            t1i = ADD_CPX_CPX(s76, s97);
            t2i = ADD_CPX_CPX(s86, s08);
            t3i = SUB_CPX_CPX(s08, s86);
            t4i = SUB_CPX_CPX(s76, s97);
            t5i = ADD_CPX_CPX(s57, s17);
            t6i = ADD_CPX_CPX(s67, s27);
            t7i = SUB_CPX_CPX(s27, s67);
            t8i = SUB_CPX_CPX(s57, s17);
            s18 = ADD_CPX_CPX(t1i, t5i);
            s28 = ADD_CPX_CPX(t2i, t6i);
            s38 = ADD_CPX_CPX(t3i, t7i);
            s48 = ADD_CPX_CPX(t4i, t8i);
            a5f = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t1i, t5i));
            a6f = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3i, t7i));
            t9i = SUB_CPX_CPX(a5f, a6f);
            a7f = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2i, t6i));
            a8f = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t4i, t8i));
            t0j = SUB_CPX_CPX(a7f, a8f);
            t1j = ADD_CPX_CPX(a5f, a6f);
            t2j = ADD_CPX_CPX(a7f, a8f);
            a9f = (4*i5);
            b6 = (T + i);
            b7 = (b6 + a9f);
            *((b7 + 4)) = ADD_CPX_CPX(t3h, s18);
            *((b7 + 6)) = ADD_CPX_CPX(t4h, s28);
            *((b7 + 2052)) = SUB_CPX_CPX(t5h, s38);
            *((b7 + 2054)) = SUB_CPX_CPX(t6h, s48);
            b8 = SUB_INT_INT(b6, a9f);
            *((b8 + 4092)) = SUB_CPX_CPX(t3h, s18);
            *((b8 + 4094)) = SUB_CPX_CPX(s28, t4h);
            *((b8 + 2044)) = ADD_CPX_CPX(t5h, s38);
            *((b8 + 2046)) = NEG_CPX(ADD_CPX_CPX(t6h, s48));
            *((b7 + 1028)) = ADD_CPX_CPX(t7h, t9i);
            *((b7 + 1030)) = ADD_CPX_CPX(t8h, t0j);
            *((b7 + 3076)) = SUB_CPX_CPX(t9h, t1j);
            *((b7 + 3078)) = SUB_CPX_CPX(t0i, t2j);
            *((b8 + 3068)) = SUB_CPX_CPX(t7h, t9i);
            *((b8 + 3070)) = SUB_CPX_CPX(t0j, t8h);
            *((b8 + 1020)) = ADD_CPX_CPX(t9h, t1j);
            *((b8 + 1022)) = NEG_CPX(ADD_CPX_CPX(t0i, t2j));
        }}
    }}
    a0g = (T + 2);
    t3j = ADD_CPX_CPX(*(T), *(a0g));
    t4j = SUB_CPX_CPX(*(T), *(a0g));
    a1g = (T + 1);
    a2g = (T + 3);
    t5j = ADD_CPX_CPX(*(a1g), *(a2g));
    s58 = MUL_NI_CPX(SUB_CPX_CPX(*(a1g), *(a2g)));
    *(dst) = ADD_CPX_CPX(t3j, t5j);
    *((dst + 2048)) = SUB_CPX_CPX(t3j, t5j);
    *((dst + 1024)) = ADD_CPX_CPX(t4j, s58);
    *((dst + 3072)) = SUB_CPX_CPX(t4j, s58);
    {long i6; for(i6 = 0; i6 <= 1022; i6++) {
        b9 = (T + (4*i6));
        a3g = (b9 + 4);
        a4g = (b9 + 6);
        a5g = (b9 + 5);
        a6g = (b9 + 7);
        a7g = (D1040 + (2*i6));
        a8g = (a7g + 1);
        s68 = SUB_CPX_CPX(MUL_FLT_CPX(*(a7g), *(a5g)), MUL_FLT_CPX(*(a8g), *(a6g)));
        s78 = ADD_CPX_CPX(MUL_FLT_CPX(*(a8g), *(a5g)), MUL_FLT_CPX(*(a7g), *(a6g)));
        t6j = ADD_CPX_CPX(*(a3g), s68);
        t7j = SUB_CPX_CPX(*(a3g), s68);
        a9g = MUL_I_CPX(ADD_CPX_CPX(*(a4g), s78));
        b01 = (dst + i6);
        *((b01 + 1)) = ADD_CPX_CPX(t6j, a9g);
        *((dst + (4095 - i6))) = SUB_CPX_CPX(t6j, a9g);
        a0h = MUL_I_CPX(SUB_CPX_CPX(*(a4g), s78));
        *((b01 + 2049)) = ADD_CPX_CPX(t7j, a0h);
        *((dst + (2047 - i6))) = SUB_CPX_CPX(t7j, a0h);
    }}
    }
    
    return SPIRAL_OK;
    }
}

SPIRAL_PRIV(spiral_status_t, spiral_fftfwd_double_8192_unaligned)(const double *pSrc, double *pDst ) {
    const CPX  *src = (const CPX *) pSrc; 
    CPX        *dst = (CPX *) pDst;
    
    
    { SPIRAL_ALIGNED(CPX T[8192]);
     SPIRAL_ALIGNED(CPX T2[1024]);
    CPX  *a03, *a04, *a05, *a06, *a09, *a0b, *a0d, *a0f, *a0h, *a0j, *a0k, *a0l, *a0m, *a0n, *a0o, *a13, *a14, *a15, *a16, *a18, *a19, *a1b
            , *a1d, *a1f, *a1h, *a1j, *a1l, *a1n, *a23, *a25, *a26, *a28, *a29, *a2b, *a2d, *a2f, *a2h, *a2j, *a2l, *a2n, *a33, *a35, *a38, *a3a
            , *a3b, *a3c, *a3d, *a3e, *a3f, *a3g, *a3h, *a3j, *a3l, *a3n, *a42, *a43, *a45, *a48, *a4a, *a4b, *a4c, *a4d, *a4e, *a4f, *a4g, *a4h
            , *a4j, *a4l, *a4n, *a52, *a53, *a55, *a58, *a59, *a5a, *a5b, *a5c, *a5d, *a5e, *a5f, *a5g, *a5h, *a5i, *a5j, *a5k, *a5l, *a5m, *a5n
            , *a62, *a65, *a68, *a69, *a6a, *a6b, *a6c, *a6d, *a6e, *a6f, *a6g, *a6h, *a6i, *a6j, *a6k, *a6l, *a6m, *a6n, *a72, *a74, *a75, *a78
            , *a79, *a7a, *a7b, *a7c, *a7d, *a7e, *a7f, *a7g, *a7h, *a7i, *a7j, *a7k, *a7l, *a7m, *a7n, *a82, *a83, *a84, *a85, *a88, *a89, *a8a
            , *a8b, *a8c, *a8d, *a8e, *a8f, *a8g, *a8h, *a8i, *a8j, *a8k, *a8l, *a8m, *a8n, *a92, *a93, *a94, *a95, *a98, *a9a, *a9c, *a9e, *a9g
            , *a9i, *a9j, *a9k, *a9l, *a9m, *a9n, *b2, *b3, *b4, *b5, *b6;
    const CPX  *b;
    FLT  *a01, *a02, *a07, *a08, *a11, *a12, *a17, *a21, *a22, *a27, *a31, *a32, *a37, *a41, *a47, *a51, *a57, *a61, *a67, *a71, *a76, *a77
            , *a81, *a86, *a87, *a91, *a96, *a97;
    int a5, a64;
    CPX a, a0a, a0c, a0e, a0g, a0i, a0p, a0q, a0r, a0s, a0t, a1a, a1c, a1e, a1g, a1i, a1k, a1m, a1o, a1p, a1q, a1r
        , a1s, a1t, a2, a24, a2a, a2c, a2e, a2g, a2i, a2k, a2m, a2o, a2p, a2q, a2r, a2s, a2t, a3, a34, a36, a39, a3i
        , a3k, a3m, a3o, a3p, a3q, a3r, a3s, a4, a44, a46, a49, a4i, a4k, a4m, a4o, a4p, a4q, a4r, a4s, a54, a56, a5o
        , a5p, a5q, a5r, a5s, a6, a63, a66, a6o, a6p, a6q, a6r, a6s, a7, a73, a7o, a7p, a7q, a7r, a7s, a8, a8o, a8p
        , a8q, a8r, a8s, a9, a99, a9b, a9d, a9f, a9h, a9o, a9p, a9q, a9r, a9s, s, s01, s02, s03, s04, s05, s06, s07
        , s08, s09, s0A, s0B, s0C, s0D, s0E, s0F, s0a, s0b, s0c, s0d, s0e, s0f, s0g, s0h, s0i, s0j, s0k, s0l, s0m, s0n
        , s0o, s0p, s0q, s0r, s0s, s0t, s0u, s0v, s0w, s0x, s0y, s0z, s11, s12, s13, s14, s15, s16, s17, s18, s19, s1A
        , s1B, s1C, s1D, s1E, s1F, s1a, s1b, s1c, s1d, s1e, s1f, s1g, s1h, s1i, s1j, s1k, s1l, s1m, s1n, s1o, s1p, s1q
        , s1r, s1s, s1t, s1u, s1v, s1w, s1x, s1y, s1z, s2, s21, s22, s23, s24, s25, s26, s27, s28, s29, s2A, s2B, s2C
        , s2D, s2E, s2F, s2a, s2b, s2c, s2d, s2e, s2f, s2g, s2h, s2i, s2j, s2k, s2l, s2m, s2n, s2o, s2p, s2q, s2r, s2s
        , s2t, s2u, s2v, s2w, s2x, s2y, s2z, s3, s31, s32, s33, s34, s35, s36, s37, s38, s39, s3A, s3B, s3C, s3D, s3E
        , s3F, s3a, s3b, s3c, s3d, s3e, s3f, s3g, s3h, s3i, s3j, s3k, s3l, s3m, s3n, s3o, s3p, s3q, s3r, s3s, s3t, s3u
        , s3v, s3w, s3x, s3y, s3z, s4, s41, s42, s43, s44, s45, s46, s47, s48, s49, s4A, s4B, s4C, s4D, s4E, s4a, s4b
        , s4c, s4d, s4e, s4f, s4g, s4h, s4i, s4j, s4k, s4l, s4m, s4n, s4o, s4p, s4q, s4r, s4s, s4t, s4u, s4v, s4w, s4x
        , s4y, s4z, s5, s51, s52, s53, s54, s55, s56, s57, s58, s59, s5A, s5B, s5C, s5D, s5E, s5a, s5b, s5c, s5d, s5e
        , s5f, s5g, s5h, s5i, s5j, s5k, s5l, s5m, s5n, s5o, s5p, s5q, s5r, s5s, s5t, s5u, s5v, s5w, s5x, s5y, s5z, s6
        , s61, s62, s63, s64, s65, s66, s67, s68, s69, s6A, s6B, s6C, s6D, s6E, s6a, s6b, s6c, s6d, s6e, s6f, s6g, s6h
        , s6i, s6j, s6k, s6l, s6m, s6n, s6o, s6p, s6q, s6r, s6s, s6t, s6u, s6v, s6w, s6x, s6y, s6z, s7, s71, s72, s73
        , s74, s75, s76, s77, s78, s79, s7A, s7B, s7C, s7D, s7E, s7a, s7b, s7c, s7d, s7e, s7f, s7g, s7h, s7i, s7j, s7k
        , s7l, s7m, s7n, s7o, s7p, s7q, s7r, s7s, s7t, s7u, s7v, s7w, s7x, s7y, s7z, s8, s81, s82, s83, s84, s85, s86
        , s87, s88, s89, s8A, s8B, s8C, s8D, s8E, s8a, s8b, s8c, s8d, s8e, s8f, s8g, s8h, s8i, s8j, s8k, s8l, s8m, s8n
        , s8o, s8p, s8q, s8r, s8s, s8t, s8u, s8v, s8w, s8x, s8y, s8z, s9, s91, s92, s93, s94, s95, s96, s97, s98, s99
        , s9A, s9B, s9C, s9D, s9E, s9a, s9b, s9c, s9d, s9e, s9f, s9g, s9h, s9i, s9j, s9k, s9l, s9m, s9n, s9o, s9p, s9q
        , s9r, s9s, s9t, s9u, s9v, s9w, s9x, s9y, s9z, t, t01, t010, t011, t012, t013, t014, t015, t016, t017, t018, t019, t02
        , t03, t04, t05, t06, t07, t08, t09, t0A, t0B, t0C, t0D, t0E, t0F, t0G, t0H, t0I, t0J, t0K, t0L, t0M, t0N, t0O
        , t0P, t0Q, t0R, t0S, t0T, t0U, t0V, t0W, t0X, t0Y, t0Z, t0a, t0b, t0c, t0d, t0e, t0f, t0g, t0h, t0i, t0j, t0k
        , t0l, t0m, t0n, t0o, t0p, t0q, t0r, t0s, t0t, t0u, t0v, t0w, t0x, t0y, t0z, t11, t110, t111, t112, t113, t114, t115
        , t116, t117, t118, t119, t12, t13, t14, t15, t16, t17, t18, t19, t1A, t1B, t1C, t1D, t1E, t1F, t1G, t1H, t1I, t1J
        , t1K, t1L, t1M, t1N, t1O, t1P, t1Q, t1R, t1S, t1T, t1U, t1V, t1W, t1X, t1Y, t1Z, t1a, t1b, t1c, t1d, t1e, t1f
        , t1g, t1h, t1i, t1j, t1k, t1l, t1m, t1n, t1o, t1p, t1q, t1r, t1s, t1t, t1u, t1v, t1w, t1x, t1y, t1z, t2, t21
        , t210, t211, t212, t213, t214, t215, t216, t217, t218, t219, t22, t23, t24, t25, t26, t27, t28, t29, t2A, t2B, t2C, t2D
        , t2E, t2F, t2G, t2H, t2I, t2J, t2K, t2L, t2M, t2N, t2O, t2P, t2Q, t2R, t2S, t2T, t2U, t2V, t2W, t2X, t2Y, t2Z
        , t2a, t2b, t2c, t2d, t2e, t2f, t2g, t2h, t2i, t2j, t2k, t2l, t2m, t2n, t2o, t2p, t2q, t2r, t2s, t2t, t2u, t2v
        , t2w, t2x, t2y, t2z, t3, t31, t310, t311, t312, t313, t314, t315, t316, t317, t318, t319, t32, t33, t34, t35, t36, t37
        , t38, t39, t3A, t3B, t3C, t3D, t3E, t3F, t3G, t3H, t3I, t3J, t3K, t3L, t3M, t3N, t3O, t3P, t3Q, t3R, t3S, t3T
        , t3U, t3V, t3W, t3X, t3Y, t3Z, t3a, t3b, t3c, t3d, t3e, t3f, t3g, t3h, t3i, t3j, t3k, t3l, t3m, t3n, t3o, t3p
        , t3q, t3r, t3s, t3t, t3u, t3v, t3w, t3x, t3y, t3z, t4, t41, t410, t411, t412, t413, t414, t415, t416, t417, t418, t419
        , t42, t43, t44, t45, t46, t47, t48, t49, t4A, t4B, t4C, t4D, t4E, t4F, t4G, t4H, t4I, t4J, t4K, t4L, t4M, t4N
        , t4O, t4P, t4Q, t4R, t4S, t4T, t4U, t4V, t4W, t4X, t4Y, t4Z, t4a, t4b, t4c, t4d, t4e, t4f, t4g, t4h, t4i, t4j
        , t4k, t4l, t4m, t4n, t4o, t4p, t4q, t4r, t4s, t4t, t4u, t4v, t4w, t4x, t4y, t4z, t5, t51, t510, t511, t512, t513
        , t514, t515, t516, t517, t518, t519, t52, t53, t54, t55, t56, t57, t58, t59, t5A, t5B, t5C, t5D, t5E, t5F, t5G, t5H
        , t5I, t5J, t5K, t5L, t5M, t5N, t5O, t5P, t5Q, t5R, t5S, t5T, t5U, t5V, t5W, t5X, t5Y, t5Z, t5a, t5b, t5c, t5d
        , t5e, t5f, t5g, t5h, t5i, t5j, t5k, t5l, t5m, t5n, t5o, t5p, t5q, t5r, t5s, t5t, t5u, t5v, t5w, t5x, t5y, t5z
        , t6, t61, t610, t611, t612, t613, t614, t615, t616, t617, t618, t62, t63, t64, t65, t66, t67, t68, t69, t6A, t6B, t6C
        , t6D, t6E, t6F, t6G, t6H, t6I, t6J, t6K, t6L, t6M, t6N, t6O, t6P, t6Q, t6R, t6S, t6T, t6U, t6V, t6W, t6X, t6Y
        , t6Z, t6a, t6b, t6c, t6d, t6e, t6f, t6g, t6h, t6i, t6j, t6k, t6l, t6m, t6n, t6o, t6p, t6q, t6r, t6s, t6t, t6u
        , t6v, t6w, t6x, t6y, t6z, t7, t71, t710, t711, t712, t713, t714, t715, t716, t717, t718, t72, t73, t74, t75, t76, t77
        , t78, t79, t7A, t7B, t7C, t7D, t7E, t7F, t7G, t7H, t7I, t7J, t7K, t7L, t7M, t7N, t7O, t7P, t7Q, t7R, t7S, t7T
        , t7U, t7V, t7W, t7X, t7Y, t7Z, t7a, t7b, t7c, t7d, t7e, t7f, t7g, t7h, t7i, t7j, t7k, t7l, t7m, t7n, t7o, t7p
        , t7q, t7r, t7s, t7t, t7u, t7v, t7w, t7x, t7y, t7z, t8, t81, t810, t811, t812, t813, t814, t815, t816, t817, t818, t82
        , t83, t84, t85, t86, t87, t88, t89, t8A, t8B, t8C, t8D, t8E, t8F, t8G, t8H, t8I, t8J, t8K, t8L, t8M, t8N, t8O
        , t8P, t8Q, t8R, t8S, t8T, t8U, t8V, t8W, t8X, t8Y, t8Z, t8a, t8b, t8c, t8d, t8e, t8f, t8g, t8h, t8i, t8j, t8k
        , t8l, t8m, t8n, t8o, t8p, t8q, t8r, t8s, t8t, t8u, t8v, t8w, t8x, t8y, t8z, t9, t91, t910, t911, t912, t913, t914
        , t915, t916, t917, t918, t92, t93, t94, t95, t96, t97, t98, t99, t9A, t9B, t9C, t9D, t9E, t9F, t9G, t9H, t9I, t9J
        , t9K, t9L, t9M, t9N, t9O, t9P, t9Q, t9R, t9S, t9T, t9U, t9V, t9W, t9X, t9Y, t9Z, t9a, t9b, t9c, t9d, t9e, t9f
        , t9g, t9h, t9i, t9j, t9k, t9l, t9m, t9n, t9o, t9p, t9q, t9r, t9s, t9t, t9u, t9v, t9w, t9x, t9y, t9z;
    s = LOADU_CPX(src);
    s2 = LOADU_CPX((src + 4096));
    t = ADD_CPX_CPX(s, s2);
    t2 = SUB_CPX_CPX(s, s2);
    s3 = LOADU_CPX((src + 2048));
    s4 = LOADU_CPX((src + 6144));
    t3 = ADD_CPX_CPX(s3, s4);
    s5 = MUL_NI_CPX(SUB_CPX_CPX(s3, s4));
    t4 = ADD_CPX_CPX(t, t3);
    t5 = SUB_CPX_CPX(t, t3);
    t6 = ADD_CPX_CPX(t2, s5);
    t7 = SUB_CPX_CPX(t2, s5);
    s6 = LOADU_CPX((src + 1024));
    s7 = LOADU_CPX((src + 7168));
    t8 = ADD_CPX_CPX(s6, s7);
    t9 = ADD_CPX_CPX(MUL_I_CPX(s6), MUL_NI_CPX(s7));
    s8 = LOADU_CPX((src + 5120));
    s9 = LOADU_CPX((src + 3072));
    t01 = ADD_CPX_CPX(s8, s9);
    t11 = ADD_CPX_CPX(MUL_I_CPX(s8), MUL_NI_CPX(s9));
    t21 = ADD_CPX_CPX(t8, t01);
    t31 = ADD_CPX_CPX(t9, t11);
    a = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8, t01));
    a2 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9, t11));
    s01 = SUB_CPX_CPX(a, a2);
    s11 = ADD_CPX_CPX(a, a2);
    t41 = ADD_CPX_CPX(t4, t21);
    t51 = SUB_CPX_CPX(t5, t31);
    t61 = SUB_CPX_CPX(t4, t21);
    t71 = ADD_CPX_CPX(t5, t31);
    t81 = ADD_CPX_CPX(t6, s01);
    t91 = SUB_CPX_CPX(t7, s11);
    t02 = SUB_CPX_CPX(t6, s01);
    t12 = ADD_CPX_CPX(t7, s11);
    s21 = LOADU_CPX((src + 512));
    s31 = LOADU_CPX((src + 7680));
    t22 = ADD_CPX_CPX(s21, s31);
    t32 = ADD_CPX_CPX(MUL_I_CPX(s21), MUL_NI_CPX(s31));
    s41 = LOADU_CPX((src + 2560));
    s51 = LOADU_CPX((src + 5632));
    t42 = ADD_CPX_CPX(s41, s51);
    t52 = ADD_CPX_CPX(MUL_I_CPX(s41), MUL_NI_CPX(s51));
    s61 = LOADU_CPX((src + 4608));
    s71 = LOADU_CPX((src + 3584));
    t62 = ADD_CPX_CPX(s61, s71);
    t72 = ADD_CPX_CPX(MUL_I_CPX(s61), MUL_NI_CPX(s71));
    s81 = LOADU_CPX((src + 6656));
    s91 = LOADU_CPX((src + 1536));
    t82 = ADD_CPX_CPX(s81, s91);
    t92 = ADD_CPX_CPX(MUL_I_CPX(s81), MUL_NI_CPX(s91));
    t03 = ADD_CPX_CPX(t22, t62);
    t13 = ADD_CPX_CPX(t32, t72);
    t23 = SUB_CPX_CPX(t22, t62);
    t33 = SUB_CPX_CPX(t32, t72);
    t43 = ADD_CPX_CPX(t42, t82);
    t53 = ADD_CPX_CPX(t52, t92);
    t63 = SUB_CPX_CPX(t42, t82);
    t73 = SUB_CPX_CPX(t52, t92);
    t83 = ADD_CPX_CPX(t03, t43);
    t93 = ADD_CPX_CPX(t13, t53);
    t04 = SUB_CPX_CPX(t23, t73);
    t14 = ADD_CPX_CPX(t33, t63);
    t24 = ADD_CPX_CPX(t23, t73);
    t34 = SUB_CPX_CPX(t33, t63);
    s02 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t04), MUL_FLT_CPX(C_FLT(0.38268343236508978), t14));
    s12 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t04), MUL_FLT_CPX(C_FLT(0.92387953251128674), t14));
    a3 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t03, t43));
    a4 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t13, t53));
    s22 = SUB_CPX_CPX(a3, a4);
    s32 = ADD_CPX_CPX(a3, a4);
    s42 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t24), MUL_FLT_CPX(C_FLT(0.92387953251128674), t34));
    s52 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t24), MUL_FLT_CPX(C_FLT(0.38268343236508978), t34));
    *(T) = ADD_CPX_CPX(t41, t83);
    *((T + 4)) = SUB_CPX_CPX(t61, t93);
    *((T + 8)) = SUB_CPX_CPX(t41, t83);
    *((T + 12)) = ADD_CPX_CPX(t61, t93);
    *((T + 1)) = ADD_CPX_CPX(t81, s02);
    *((T + 5)) = SUB_CPX_CPX(t02, s12);
    *((T + 9)) = SUB_CPX_CPX(t81, s02);
    *((T + 13)) = ADD_CPX_CPX(t02, s12);
    *((T + 2)) = ADD_CPX_CPX(t51, s22);
    *((T + 6)) = SUB_CPX_CPX(t71, s32);
    *((T + 10)) = SUB_CPX_CPX(t51, s22);
    *((T + 14)) = ADD_CPX_CPX(t71, s32);
    *((T + 3)) = ADD_CPX_CPX(t91, s42);
    *((T + 7)) = SUB_CPX_CPX(t12, s52);
    *((T + 11)) = SUB_CPX_CPX(t91, s42);
    *((T + 15)) = ADD_CPX_CPX(t12, s52);
    {long i; for(i = 0; i <= 510; i++) {
        b = (src + i);
        s62 = LOADU_CPX((b + 1));
        a5 = (1 + i);
        s72 = LOADU_CPX((src + (8192 - a5)));
        t44 = ADD_CPX_CPX(s62, s72);
        t54 = ADD_CPX_CPX(MUL_I_CPX(s62), MUL_NI_CPX(s72));
        s82 = LOADU_CPX((b + 1025));
        s92 = LOADU_CPX((src + (7168 - a5)));
        t64 = ADD_CPX_CPX(s82, s92);
        t74 = ADD_CPX_CPX(MUL_I_CPX(s82), MUL_NI_CPX(s92));
        s03 = LOADU_CPX((b + 2049));
        s13 = LOADU_CPX((src + (6144 - a5)));
        t84 = ADD_CPX_CPX(s03, s13);
        t94 = ADD_CPX_CPX(MUL_I_CPX(s03), MUL_NI_CPX(s13));
        s23 = LOADU_CPX((b + 3073));
        s33 = LOADU_CPX((src + (5120 - a5)));
        t05 = ADD_CPX_CPX(s23, s33);
        t15 = ADD_CPX_CPX(MUL_I_CPX(s23), MUL_NI_CPX(s33));
        s43 = LOADU_CPX((b + 4097));
        s53 = LOADU_CPX((src + (4096 - a5)));
        t25 = ADD_CPX_CPX(s43, s53);
        t35 = ADD_CPX_CPX(MUL_I_CPX(s43), MUL_NI_CPX(s53));
        s63 = LOADU_CPX((b + 5121));
        s73 = LOADU_CPX((src + (3072 - a5)));
        t45 = ADD_CPX_CPX(s63, s73);
        t55 = ADD_CPX_CPX(MUL_I_CPX(s63), MUL_NI_CPX(s73));
        s83 = LOADU_CPX((b + 6145));
        s93 = LOADU_CPX((src + (2048 - a5)));
        t65 = ADD_CPX_CPX(s83, s93);
        t75 = ADD_CPX_CPX(MUL_I_CPX(s83), MUL_NI_CPX(s93));
        s04 = LOADU_CPX((b + 7169));
        s14 = LOADU_CPX((src + (1024 - a5)));
        t85 = ADD_CPX_CPX(s04, s14);
        t95 = ADD_CPX_CPX(MUL_I_CPX(s04), MUL_NI_CPX(s14));
        t06 = ADD_CPX_CPX(t44, t25);
        t16 = ADD_CPX_CPX(t54, t35);
        t26 = SUB_CPX_CPX(t44, t25);
        t36 = SUB_CPX_CPX(t54, t35);
        t46 = ADD_CPX_CPX(t84, t65);
        t56 = ADD_CPX_CPX(t94, t75);
        t66 = SUB_CPX_CPX(t84, t65);
        t76 = SUB_CPX_CPX(t94, t75);
        t86 = ADD_CPX_CPX(t06, t46);
        t96 = ADD_CPX_CPX(t16, t56);
        t07 = SUB_CPX_CPX(t06, t46);
        t17 = SUB_CPX_CPX(t16, t56);
        t27 = SUB_CPX_CPX(t26, t76);
        t37 = ADD_CPX_CPX(t36, t66);
        t47 = ADD_CPX_CPX(t26, t76);
        t57 = SUB_CPX_CPX(t36, t66);
        t67 = ADD_CPX_CPX(t64, t85);
        t77 = ADD_CPX_CPX(t74, t95);
        t87 = SUB_CPX_CPX(t74, t95);
        t97 = SUB_CPX_CPX(t85, t64);
        t08 = ADD_CPX_CPX(t45, t05);
        t18 = ADD_CPX_CPX(t55, t15);
        t28 = SUB_CPX_CPX(t55, t15);
        t38 = SUB_CPX_CPX(t05, t45);
        s24 = ADD_CPX_CPX(t67, t08);
        s34 = ADD_CPX_CPX(t77, t18);
        s44 = ADD_CPX_CPX(t87, t28);
        s54 = ADD_CPX_CPX(t97, t38);
        a6 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t67, t08));
        a7 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t87, t28));
        t48 = SUB_CPX_CPX(a6, a7);
        a8 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t77, t18));
        a9 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t97, t38));
        t58 = SUB_CPX_CPX(a8, a9);
        t68 = ADD_CPX_CPX(a6, a7);
        t78 = ADD_CPX_CPX(a8, a9);
        s64 = SUB_CPX_CPX(t07, s44);
        s74 = SUB_CPX_CPX(t17, s54);
        s84 = SUB_CPX_CPX(t86, s24);
        s94 = SUB_CPX_CPX(t96, s34);
        s05 = ADD_CPX_CPX(t07, s44);
        s15 = ADD_CPX_CPX(t17, s54);
        s25 = ADD_CPX_CPX(t27, t48);
        s35 = ADD_CPX_CPX(t37, t58);
        s45 = SUB_CPX_CPX(t47, t68);
        s55 = SUB_CPX_CPX(t57, t78);
        s65 = SUB_CPX_CPX(t27, t48);
        s75 = SUB_CPX_CPX(t37, t58);
        s85 = ADD_CPX_CPX(t47, t68);
        s95 = ADD_CPX_CPX(t57, t78);
        b2 = (T + (16*i));
        *((b2 + 16)) = ADD_CPX_CPX(t86, s24);
        *((b2 + 24)) = ADD_CPX_CPX(t96, s34);
        a01 = (D1018 + (14*i));
        a11 = (a01 + 1);
        a21 = (a01 + 2);
        a31 = (a01 + 3);
        a41 = (a01 + 4);
        a51 = (a01 + 5);
        a61 = (a01 + 6);
        a71 = (a01 + 7);
        a81 = (a01 + 8);
        a91 = (a01 + 9);
        a02 = (a01 + 10);
        a12 = (a01 + 11);
        a22 = (a01 + 12);
        a32 = (a01 + 13);
        *((b2 + 17)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a01), s25), MUL_FLT_CPX(*(a11), s35));
        *((b2 + 25)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a11), s25), MUL_FLT_CPX(*(a01), s35));
        *((b2 + 18)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a21), s64), MUL_FLT_CPX(*(a31), s74));
        *((b2 + 26)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a31), s64), MUL_FLT_CPX(*(a21), s74));
        *((b2 + 19)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a41), s45), MUL_FLT_CPX(*(a51), s55));
        *((b2 + 27)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a51), s45), MUL_FLT_CPX(*(a41), s55));
        *((b2 + 20)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a61), s84), MUL_FLT_CPX(*(a71), s94));
        *((b2 + 28)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a71), s84), MUL_FLT_CPX(*(a61), s94));
        *((b2 + 21)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a81), s65), MUL_FLT_CPX(*(a91), s75));
        *((b2 + 29)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a91), s65), MUL_FLT_CPX(*(a81), s75));
        *((b2 + 22)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a02), s05), MUL_FLT_CPX(*(a12), s15));
        *((b2 + 30)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a12), s05), MUL_FLT_CPX(*(a02), s15));
        *((b2 + 23)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a22), s85), MUL_FLT_CPX(*(a32), s95));
        *((b2 + 31)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a32), s85), MUL_FLT_CPX(*(a22), s95));
    }}
    {long i2; for(i2 = 0; i2 <= 7; i2++) {
        a42 = (T + i2);
        a52 = (a42 + 8);
        a62 = (a42 + 4096);
        a72 = (a42 + 4104);
        t88 = ADD_CPX_CPX(*(a42), *(a62));
        t98 = SUB_CPX_CPX(*(a52), *(a72));
        t09 = SUB_CPX_CPX(*(a42), *(a62));
        t19 = ADD_CPX_CPX(*(a52), *(a72));
        a82 = (a42 + 1024);
        a92 = (a42 + 1032);
        a03 = (a42 + 7168);
        a13 = (a42 + 7176);
        t29 = ADD_CPX_CPX(*(a82), *(a03));
        t39 = SUB_CPX_CPX(*(a92), *(a13));
        t49 = SUB_CPX_CPX(*(a82), *(a03));
        t59 = ADD_CPX_CPX(*(a92), *(a13));
        s06 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t49), MUL_FLT_CPX(C_FLT(0.38268343236508978), t59));
        s16 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t49), MUL_FLT_CPX(C_FLT(0.92387953251128674), t59));
        a23 = (a42 + 2048);
        a33 = (a42 + 2056);
        a43 = (a42 + 6144);
        a53 = (a42 + 6152);
        t69 = ADD_CPX_CPX(*(a23), *(a43));
        t79 = SUB_CPX_CPX(*(a33), *(a53));
        a63 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a23), *(a43)));
        a73 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(*(a33), *(a53)));
        s26 = SUB_CPX_CPX(a63, a73);
        s36 = ADD_CPX_CPX(a63, a73);
        a83 = (a42 + 3072);
        a93 = (a42 + 3080);
        a04 = (a42 + 5120);
        a14 = (a42 + 5128);
        t89 = ADD_CPX_CPX(*(a83), *(a04));
        t99 = SUB_CPX_CPX(*(a93), *(a14));
        t0a = SUB_CPX_CPX(*(a83), *(a04));
        t1a = ADD_CPX_CPX(*(a93), *(a14));
        s46 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t0a), MUL_FLT_CPX(C_FLT(0.92387953251128674), t1a));
        s56 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t0a), MUL_FLT_CPX(C_FLT(0.38268343236508978), t1a));
        t2a = ADD_CPX_CPX(t88, t69);
        t3a = SUB_CPX_CPX(t09, t79);
        t4a = SUB_CPX_CPX(t88, t69);
        t5a = ADD_CPX_CPX(t09, t79);
        t6a = ADD_CPX_CPX(t29, t89);
        t7a = SUB_CPX_CPX(t39, t99);
        a24 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t29, t89));
        a34 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t39, t99));
        s66 = SUB_CPX_CPX(a24, a34);
        s76 = ADD_CPX_CPX(a24, a34);
        *(T2) = ADD_CPX_CPX(t2a, t6a);
        *((T2 + 512)) = SUB_CPX_CPX(t4a, t7a);
        *((T2 + 1)) = SUB_CPX_CPX(t2a, t6a);
        *((T2 + 513)) = ADD_CPX_CPX(t4a, t7a);
        *((T2 + 256)) = ADD_CPX_CPX(t3a, s66);
        *((T2 + 768)) = SUB_CPX_CPX(t5a, s76);
        *((T2 + 257)) = SUB_CPX_CPX(t3a, s66);
        *((T2 + 769)) = ADD_CPX_CPX(t5a, s76);
        t8a = ADD_CPX_CPX(t98, s26);
        t9a = SUB_CPX_CPX(t19, s36);
        t0b = SUB_CPX_CPX(t98, s26);
        t1b = ADD_CPX_CPX(t19, s36);
        t2b = ADD_CPX_CPX(s06, s46);
        t3b = SUB_CPX_CPX(s16, s56);
        a44 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s06, s46));
        a54 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s16, s56));
        s86 = SUB_CPX_CPX(a44, a54);
        s96 = ADD_CPX_CPX(a44, a54);
        *((T2 + 128)) = ADD_CPX_CPX(t8a, t2b);
        *((T2 + 640)) = SUB_CPX_CPX(t0b, t3b);
        *((T2 + 129)) = SUB_CPX_CPX(t8a, t2b);
        *((T2 + 641)) = ADD_CPX_CPX(t0b, t3b);
        *((T2 + 384)) = ADD_CPX_CPX(t9a, s86);
        *((T2 + 896)) = SUB_CPX_CPX(t1b, s96);
        *((T2 + 385)) = SUB_CPX_CPX(t9a, s86);
        *((T2 + 897)) = ADD_CPX_CPX(t1b, s96);
        {long i3; for(i3 = 0; i3 <= 62; i3++) {
            a64 = (16*i3);
            b3 = (T + i2);
            b4 = (b3 + a64);
            a74 = (b4 + 16);
            a84 = (b4 + 24);
            b5 = SUB_INT_INT(b3, a64);
            a94 = (b5 + 8176);
            a05 = (b5 + 8184);
            t4b = ADD_CPX_CPX(*(a74), *(a94));
            t5b = SUB_CPX_CPX(*(a84), *(a05));
            t6b = SUB_CPX_CPX(*(a74), *(a94));
            t7b = ADD_CPX_CPX(*(a84), *(a05));
            a15 = (b4 + 4112);
            a25 = (b4 + 4120);
            a35 = (b5 + 4080);
            a45 = (b5 + 4088);
            t8b = ADD_CPX_CPX(*(a15), *(a35));
            t9b = SUB_CPX_CPX(*(a25), *(a45));
            t0c = SUB_CPX_CPX(*(a15), *(a35));
            t1c = ADD_CPX_CPX(*(a25), *(a45));
            t2c = ADD_CPX_CPX(t4b, t8b);
            t3c = ADD_CPX_CPX(t5b, t9b);
            t4c = SUB_CPX_CPX(t4b, t8b);
            t5c = SUB_CPX_CPX(t5b, t9b);
            t6c = SUB_CPX_CPX(t6b, t1c);
            t7c = ADD_CPX_CPX(t7b, t0c);
            t8c = ADD_CPX_CPX(t6b, t1c);
            t9c = SUB_CPX_CPX(t7b, t0c);
            a55 = (b4 + 2064);
            a65 = (b4 + 2072);
            a75 = (b5 + 2032);
            a85 = (b5 + 2040);
            t0d = ADD_CPX_CPX(*(a55), *(a75));
            t1d = SUB_CPX_CPX(*(a65), *(a85));
            t2d = ADD_CPX_CPX(*(a65), *(a85));
            t3d = SUB_CPX_CPX(*(a75), *(a55));
            a95 = (b5 + 6128);
            a06 = (b5 + 6136);
            a16 = (b4 + 6160);
            a26 = (b4 + 6168);
            t4d = ADD_CPX_CPX(*(a95), *(a16));
            t5d = SUB_CPX_CPX(*(a26), *(a06));
            t6d = ADD_CPX_CPX(*(a06), *(a26));
            t7d = SUB_CPX_CPX(*(a16), *(a95));
            s07 = ADD_CPX_CPX(t0d, t4d);
            s17 = ADD_CPX_CPX(t1d, t5d);
            s27 = SUB_CPX_CPX(t2d, t6d);
            s37 = ADD_CPX_CPX(t3d, t7d);
            a36 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0d, t4d));
            a46 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t2d, t6d));
            t8d = SUB_CPX_CPX(a36, a46);
            a56 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t1d, t5d));
            a66 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3d, t7d));
            t9d = SUB_CPX_CPX(a56, a66);
            t0e = ADD_CPX_CPX(a36, a46);
            t1e = ADD_CPX_CPX(a56, a66);
            s47 = SUB_CPX_CPX(t4c, s27);
            s57 = SUB_CPX_CPX(t5c, s37);
            s67 = SUB_CPX_CPX(t2c, s07);
            s77 = SUB_CPX_CPX(t3c, s17);
            s87 = ADD_CPX_CPX(t4c, s27);
            s97 = ADD_CPX_CPX(t5c, s37);
            s08 = ADD_CPX_CPX(t6c, t8d);
            s18 = ADD_CPX_CPX(t7c, t9d);
            s28 = SUB_CPX_CPX(t8c, t0e);
            s38 = SUB_CPX_CPX(t9c, t1e);
            s48 = SUB_CPX_CPX(t6c, t8d);
            s58 = SUB_CPX_CPX(t7c, t9d);
            s68 = ADD_CPX_CPX(t8c, t0e);
            s78 = ADD_CPX_CPX(t9c, t1e);
            b6 = (T2 + (2*i3));
            *((b6 + 2)) = ADD_CPX_CPX(t2c, s07);
            *((b6 + 3)) = ADD_CPX_CPX(t3c, s17);
            a76 = (D996 + (14*i3));
            a86 = (a76 + 1);
            a96 = (a76 + 2);
            a07 = (a76 + 3);
            a17 = (a76 + 4);
            a27 = (a76 + 5);
            a37 = (a76 + 6);
            a47 = (a76 + 7);
            a57 = (a76 + 8);
            a67 = (a76 + 9);
            a77 = (a76 + 10);
            a87 = (a76 + 11);
            a97 = (a76 + 12);
            a08 = (a76 + 13);
            *((b6 + 130)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a76), s08), MUL_FLT_CPX(*(a86), s18));
            *((b6 + 131)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a86), s08), MUL_FLT_CPX(*(a76), s18));
            *((b6 + 258)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a96), s47), MUL_FLT_CPX(*(a07), s57));
            *((b6 + 259)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a07), s47), MUL_FLT_CPX(*(a96), s57));
            *((b6 + 386)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a17), s28), MUL_FLT_CPX(*(a27), s38));
            *((b6 + 387)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a27), s28), MUL_FLT_CPX(*(a17), s38));
            *((b6 + 514)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a37), s67), MUL_FLT_CPX(*(a47), s77));
            *((b6 + 515)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a47), s67), MUL_FLT_CPX(*(a37), s77));
            *((b6 + 642)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a57), s48), MUL_FLT_CPX(*(a67), s58));
            *((b6 + 643)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a67), s48), MUL_FLT_CPX(*(a57), s58));
            *((b6 + 770)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a77), s87), MUL_FLT_CPX(*(a87), s97));
            *((b6 + 771)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a87), s87), MUL_FLT_CPX(*(a77), s97));
            *((b6 + 898)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a97), s68), MUL_FLT_CPX(*(a08), s78));
            *((b6 + 899)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a08), s68), MUL_FLT_CPX(*(a97), s78));
        }}
        {long i4; for(i4 = 0; i4 <= 7; i4++) {
            a18 = (T2 + (128*i4));
            a28 = (a18 + 1);
            a38 = (a18 + 64);
            a48 = (a18 + 65);
            t2e = ADD_CPX_CPX(*(a18), *(a38));
            t3e = SUB_CPX_CPX(*(a28), *(a48));
            t4e = SUB_CPX_CPX(*(a18), *(a38));
            t5e = ADD_CPX_CPX(*(a28), *(a48));
            a58 = (a18 + 16);
            a68 = (a18 + 17);
            a78 = (a18 + 112);
            a88 = (a18 + 113);
            t6e = ADD_CPX_CPX(*(a58), *(a78));
            t7e = SUB_CPX_CPX(*(a68), *(a88));
            t8e = SUB_CPX_CPX(*(a58), *(a78));
            t9e = ADD_CPX_CPX(*(a68), *(a88));
            s88 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t8e), MUL_FLT_CPX(C_FLT(0.38268343236508978), t9e));
            s98 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t8e), MUL_FLT_CPX(C_FLT(0.92387953251128674), t9e));
            a98 = (a18 + 32);
            a09 = (a18 + 33);
            a19 = (a18 + 96);
            a29 = (a18 + 97);
            t0f = ADD_CPX_CPX(*(a98), *(a19));
            t1f = SUB_CPX_CPX(*(a09), *(a29));
            a39 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a98), *(a19)));
            a49 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(*(a09), *(a29)));
            s09 = SUB_CPX_CPX(a39, a49);
            s19 = ADD_CPX_CPX(a39, a49);
            a59 = (a18 + 48);
            a69 = (a18 + 49);
            a79 = (a18 + 80);
            a89 = (a18 + 81);
            t2f = ADD_CPX_CPX(*(a59), *(a79));
            t3f = SUB_CPX_CPX(*(a69), *(a89));
            t4f = SUB_CPX_CPX(*(a59), *(a79));
            t5f = ADD_CPX_CPX(*(a69), *(a89));
            s29 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t4f), MUL_FLT_CPX(C_FLT(0.92387953251128674), t5f));
            s39 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t4f), MUL_FLT_CPX(C_FLT(0.38268343236508978), t5f));
            t6f = ADD_CPX_CPX(t2e, t0f);
            t7f = SUB_CPX_CPX(t4e, t1f);
            t8f = SUB_CPX_CPX(t2e, t0f);
            t9f = ADD_CPX_CPX(t4e, t1f);
            t0g = ADD_CPX_CPX(t6e, t2f);
            t1g = SUB_CPX_CPX(t7e, t3f);
            a99 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t6e, t2f));
            a0a = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t7e, t3f));
            s49 = SUB_CPX_CPX(a99, a0a);
            s59 = ADD_CPX_CPX(a99, a0a);
            t2g = ADD_CPX_CPX(t6f, t0g);
            t3g = SUB_CPX_CPX(t8f, t1g);
            t4g = SUB_CPX_CPX(t6f, t0g);
            t5g = ADD_CPX_CPX(t8f, t1g);
            t6g = ADD_CPX_CPX(t7f, s49);
            t7g = SUB_CPX_CPX(t9f, s59);
            t8g = SUB_CPX_CPX(t7f, s49);
            t9g = ADD_CPX_CPX(t9f, s59);
            t0h = ADD_CPX_CPX(t3e, s09);
            t1h = SUB_CPX_CPX(t5e, s19);
            t2h = SUB_CPX_CPX(t3e, s09);
            t3h = ADD_CPX_CPX(t5e, s19);
            t4h = ADD_CPX_CPX(s88, s29);
            t5h = SUB_CPX_CPX(s98, s39);
            a1a = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s88, s29));
            a2a = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s98, s39));
            s69 = SUB_CPX_CPX(a1a, a2a);
            s79 = ADD_CPX_CPX(a1a, a2a);
            t6h = ADD_CPX_CPX(t0h, t4h);
            t7h = SUB_CPX_CPX(t2h, t5h);
            t8h = SUB_CPX_CPX(t0h, t4h);
            t9h = ADD_CPX_CPX(t2h, t5h);
            t0i = ADD_CPX_CPX(t1h, s69);
            t1i = SUB_CPX_CPX(t3h, s79);
            t2i = SUB_CPX_CPX(t1h, s69);
            t3i = ADD_CPX_CPX(t3h, s79);
            a3a = (a18 + 2);
            a4a = (a18 + 3);
            a5a = (a18 + 126);
            a6a = (a18 + 127);
            t4i = ADD_CPX_CPX(*(a3a), *(a5a));
            t5i = SUB_CPX_CPX(*(a4a), *(a6a));
            t6i = SUB_CPX_CPX(*(a3a), *(a5a));
            t7i = ADD_CPX_CPX(*(a4a), *(a6a));
            a7a = (a18 + 66);
            a8a = (a18 + 67);
            a9a = (a18 + 62);
            a0b = (a18 + 63);
            t8i = ADD_CPX_CPX(*(a7a), *(a9a));
            t9i = SUB_CPX_CPX(*(a8a), *(a0b));
            t0j = SUB_CPX_CPX(*(a7a), *(a9a));
            t1j = ADD_CPX_CPX(*(a8a), *(a0b));
            t2j = ADD_CPX_CPX(t4i, t8i);
            t3j = ADD_CPX_CPX(t5i, t9i);
            t4j = SUB_CPX_CPX(t4i, t8i);
            t5j = SUB_CPX_CPX(t5i, t9i);
            t6j = SUB_CPX_CPX(t6i, t1j);
            t7j = ADD_CPX_CPX(t7i, t0j);
            t8j = ADD_CPX_CPX(t6i, t1j);
            t9j = SUB_CPX_CPX(t7i, t0j);
            a1b = (a18 + 34);
            a2b = (a18 + 35);
            a3b = (a18 + 30);
            a4b = (a18 + 31);
            t0k = ADD_CPX_CPX(*(a1b), *(a3b));
            t1k = SUB_CPX_CPX(*(a2b), *(a4b));
            t2k = ADD_CPX_CPX(*(a2b), *(a4b));
            t3k = SUB_CPX_CPX(*(a3b), *(a1b));
            a5b = (a18 + 94);
            a6b = (a18 + 95);
            a7b = (a18 + 98);
            a8b = (a18 + 99);
            t4k = ADD_CPX_CPX(*(a5b), *(a7b));
            t5k = SUB_CPX_CPX(*(a8b), *(a6b));
            t6k = ADD_CPX_CPX(*(a6b), *(a8b));
            t7k = SUB_CPX_CPX(*(a7b), *(a5b));
            s89 = ADD_CPX_CPX(t0k, t4k);
            s99 = ADD_CPX_CPX(t1k, t5k);
            s0a = SUB_CPX_CPX(t2k, t6k);
            s1a = ADD_CPX_CPX(t3k, t7k);
            a9b = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0k, t4k));
            a0c = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t2k, t6k));
            t8k = SUB_CPX_CPX(a9b, a0c);
            a1c = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t1k, t5k));
            a2c = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3k, t7k));
            t9k = SUB_CPX_CPX(a1c, a2c);
            t0l = ADD_CPX_CPX(a9b, a0c);
            t1l = ADD_CPX_CPX(a1c, a2c);
            s2a = ADD_CPX_CPX(t2j, s89);
            s3a = ADD_CPX_CPX(t3j, s99);
            s4a = SUB_CPX_CPX(t4j, s0a);
            s5a = SUB_CPX_CPX(t5j, s1a);
            s6a = SUB_CPX_CPX(t2j, s89);
            s7a = SUB_CPX_CPX(t3j, s99);
            s8a = ADD_CPX_CPX(t4j, s0a);
            s9a = ADD_CPX_CPX(t5j, s1a);
            s0b = ADD_CPX_CPX(t6j, t8k);
            s1b = ADD_CPX_CPX(t7j, t9k);
            s2b = SUB_CPX_CPX(t8j, t0l);
            s3b = SUB_CPX_CPX(t9j, t1l);
            s4b = SUB_CPX_CPX(t6j, t8k);
            s5b = SUB_CPX_CPX(t7j, t9k);
            s6b = ADD_CPX_CPX(t8j, t0l);
            s7b = ADD_CPX_CPX(t9j, t1l);
            s8b = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99879545620517241), s0b), MUL_FLT_CPX(C_FLT(0.049067674327418015), s1b));
            s9b = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.049067674327418015), s0b), MUL_FLT_CPX(C_FLT(0.99879545620517241), s1b));
            s0c = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), s4a), MUL_FLT_CPX(C_FLT(0.098017140329560604), s5a));
            s1c = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), s4a), MUL_FLT_CPX(C_FLT(0.99518472667219693), s5a));
            s2c = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s2b), MUL_FLT_CPX(C_FLT(0.14673047445536175), s3b));
            s3c = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.14673047445536175), s2b), MUL_FLT_CPX(C_FLT(0.98917650996478101), s3b));
            s4c = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s6a), MUL_FLT_CPX(C_FLT(0.19509032201612828), s7a));
            s5c = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s6a), MUL_FLT_CPX(C_FLT(0.98078528040323043), s7a));
            s6c = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.97003125319454397), s4b), MUL_FLT_CPX(C_FLT(0.2429801799032639), s5b));
            s7c = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.2429801799032639), s4b), MUL_FLT_CPX(C_FLT(0.97003125319454397), s5b));
            s8c = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s8a), MUL_FLT_CPX(C_FLT(0.29028467725446239), s9a));
            s9c = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.29028467725446239), s8a), MUL_FLT_CPX(C_FLT(0.95694033573220882), s9a));
            s0d = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), s6b), MUL_FLT_CPX(C_FLT(0.33688985339222005), s7b));
            s1d = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.33688985339222005), s6b), MUL_FLT_CPX(C_FLT(0.94154406518302081), s7b));
            a3c = (a18 + 4);
            a4c = (a18 + 5);
            a5c = (a18 + 124);
            a6c = (a18 + 125);
            t2l = ADD_CPX_CPX(*(a3c), *(a5c));
            t3l = SUB_CPX_CPX(*(a4c), *(a6c));
            t4l = SUB_CPX_CPX(*(a3c), *(a5c));
            t5l = ADD_CPX_CPX(*(a4c), *(a6c));
            a7c = (a18 + 68);
            a8c = (a18 + 69);
            a9c = (a18 + 60);
            a0d = (a18 + 61);
            t6l = ADD_CPX_CPX(*(a7c), *(a9c));
            t7l = SUB_CPX_CPX(*(a8c), *(a0d));
            t8l = SUB_CPX_CPX(*(a7c), *(a9c));
            t9l = ADD_CPX_CPX(*(a8c), *(a0d));
            t0m = ADD_CPX_CPX(t2l, t6l);
            t1m = ADD_CPX_CPX(t3l, t7l);
            t2m = SUB_CPX_CPX(t2l, t6l);
            t3m = SUB_CPX_CPX(t3l, t7l);
            t4m = SUB_CPX_CPX(t4l, t9l);
            t5m = ADD_CPX_CPX(t5l, t8l);
            t6m = ADD_CPX_CPX(t4l, t9l);
            t7m = SUB_CPX_CPX(t5l, t8l);
            a1d = (a18 + 36);
            a2d = (a18 + 37);
            a3d = (a18 + 28);
            a4d = (a18 + 29);
            t8m = ADD_CPX_CPX(*(a1d), *(a3d));
            t9m = SUB_CPX_CPX(*(a2d), *(a4d));
            t0n = ADD_CPX_CPX(*(a2d), *(a4d));
            t1n = SUB_CPX_CPX(*(a3d), *(a1d));
            a5d = (a18 + 92);
            a6d = (a18 + 93);
            a7d = (a18 + 100);
            a8d = (a18 + 101);
            t2n = ADD_CPX_CPX(*(a5d), *(a7d));
            t3n = SUB_CPX_CPX(*(a8d), *(a6d));
            t4n = ADD_CPX_CPX(*(a6d), *(a8d));
            t5n = SUB_CPX_CPX(*(a7d), *(a5d));
            s2d = ADD_CPX_CPX(t8m, t2n);
            s3d = ADD_CPX_CPX(t9m, t3n);
            s4d = SUB_CPX_CPX(t0n, t4n);
            s5d = ADD_CPX_CPX(t1n, t5n);
            a9d = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8m, t2n));
            a0e = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t0n, t4n));
            t6n = SUB_CPX_CPX(a9d, a0e);
            a1e = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9m, t3n));
            a2e = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t1n, t5n));
            t7n = SUB_CPX_CPX(a1e, a2e);
            t8n = ADD_CPX_CPX(a9d, a0e);
            t9n = ADD_CPX_CPX(a1e, a2e);
            s6d = ADD_CPX_CPX(t0m, s2d);
            s7d = ADD_CPX_CPX(t1m, s3d);
            s8d = SUB_CPX_CPX(t2m, s4d);
            s9d = SUB_CPX_CPX(t3m, s5d);
            s0e = SUB_CPX_CPX(t0m, s2d);
            s1e = SUB_CPX_CPX(t1m, s3d);
            s2e = ADD_CPX_CPX(t2m, s4d);
            s3e = ADD_CPX_CPX(t3m, s5d);
            s4e = ADD_CPX_CPX(t4m, t6n);
            s5e = ADD_CPX_CPX(t5m, t7n);
            s6e = SUB_CPX_CPX(t6m, t8n);
            s7e = SUB_CPX_CPX(t7m, t9n);
            s8e = SUB_CPX_CPX(t4m, t6n);
            s9e = SUB_CPX_CPX(t5m, t7n);
            s0f = ADD_CPX_CPX(t6m, t8n);
            s1f = ADD_CPX_CPX(t7m, t9n);
            s2f = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), s4e), MUL_FLT_CPX(C_FLT(0.098017140329560604), s5e));
            s3f = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), s4e), MUL_FLT_CPX(C_FLT(0.99518472667219693), s5e));
            s4f = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s8d), MUL_FLT_CPX(C_FLT(0.19509032201612828), s9d));
            s5f = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s8d), MUL_FLT_CPX(C_FLT(0.98078528040323043), s9d));
            s6f = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s6e), MUL_FLT_CPX(C_FLT(0.29028467725446239), s7e));
            s7f = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.29028467725446239), s6e), MUL_FLT_CPX(C_FLT(0.95694033573220882), s7e));
            s8f = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s0e), MUL_FLT_CPX(C_FLT(0.38268343236508978), s1e));
            s9f = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s0e), MUL_FLT_CPX(C_FLT(0.92387953251128674), s1e));
            s0g = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s8e), MUL_FLT_CPX(C_FLT(0.47139673682599764), s9e));
            s1g = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.47139673682599764), s8e), MUL_FLT_CPX(C_FLT(0.88192126434835505), s9e));
            s2g = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s2e), MUL_FLT_CPX(C_FLT(0.55557023301960218), s3e));
            s3g = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s2e), MUL_FLT_CPX(C_FLT(0.83146961230254524), s3e));
            s4g = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), s0f), MUL_FLT_CPX(C_FLT(0.63439328416364549), s1f));
            s5g = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), s0f), MUL_FLT_CPX(C_FLT(0.77301045336273699), s1f));
            a3e = (a18 + 6);
            a4e = (a18 + 7);
            a5e = (a18 + 122);
            a6e = (a18 + 123);
            t0o = ADD_CPX_CPX(*(a3e), *(a5e));
            t1o = SUB_CPX_CPX(*(a4e), *(a6e));
            t2o = SUB_CPX_CPX(*(a3e), *(a5e));
            t3o = ADD_CPX_CPX(*(a4e), *(a6e));
            a7e = (a18 + 70);
            a8e = (a18 + 71);
            a9e = (a18 + 58);
            a0f = (a18 + 59);
            t4o = ADD_CPX_CPX(*(a7e), *(a9e));
            t5o = SUB_CPX_CPX(*(a8e), *(a0f));
            t6o = SUB_CPX_CPX(*(a7e), *(a9e));
            t7o = ADD_CPX_CPX(*(a8e), *(a0f));
            t8o = ADD_CPX_CPX(t0o, t4o);
            t9o = ADD_CPX_CPX(t1o, t5o);
            t0p = SUB_CPX_CPX(t0o, t4o);
            t1p = SUB_CPX_CPX(t1o, t5o);
            t2p = SUB_CPX_CPX(t2o, t7o);
            t3p = ADD_CPX_CPX(t3o, t6o);
            t4p = ADD_CPX_CPX(t2o, t7o);
            t5p = SUB_CPX_CPX(t3o, t6o);
            a1f = (a18 + 38);
            a2f = (a18 + 39);
            a3f = (a18 + 26);
            a4f = (a18 + 27);
            t6p = ADD_CPX_CPX(*(a1f), *(a3f));
            t7p = SUB_CPX_CPX(*(a2f), *(a4f));
            t8p = ADD_CPX_CPX(*(a2f), *(a4f));
            t9p = SUB_CPX_CPX(*(a3f), *(a1f));
            a5f = (a18 + 90);
            a6f = (a18 + 91);
            a7f = (a18 + 102);
            a8f = (a18 + 103);
            t0q = ADD_CPX_CPX(*(a5f), *(a7f));
            t1q = SUB_CPX_CPX(*(a8f), *(a6f));
            t2q = ADD_CPX_CPX(*(a6f), *(a8f));
            t3q = SUB_CPX_CPX(*(a7f), *(a5f));
            s6g = ADD_CPX_CPX(t6p, t0q);
            s7g = ADD_CPX_CPX(t7p, t1q);
            s8g = SUB_CPX_CPX(t8p, t2q);
            s9g = ADD_CPX_CPX(t9p, t3q);
            a9f = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t6p, t0q));
            a0g = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t8p, t2q));
            t4q = SUB_CPX_CPX(a9f, a0g);
            a1g = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t7p, t1q));
            a2g = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9p, t3q));
            t5q = SUB_CPX_CPX(a1g, a2g);
            t6q = ADD_CPX_CPX(a9f, a0g);
            t7q = ADD_CPX_CPX(a1g, a2g);
            s0h = ADD_CPX_CPX(t8o, s6g);
            s1h = ADD_CPX_CPX(t9o, s7g);
            s2h = SUB_CPX_CPX(t0p, s8g);
            s3h = SUB_CPX_CPX(t1p, s9g);
            s4h = SUB_CPX_CPX(t8o, s6g);
            s5h = SUB_CPX_CPX(t9o, s7g);
            s6h = ADD_CPX_CPX(t0p, s8g);
            s7h = ADD_CPX_CPX(t1p, s9g);
            s8h = ADD_CPX_CPX(t2p, t4q);
            s9h = ADD_CPX_CPX(t3p, t5q);
            s0i = SUB_CPX_CPX(t4p, t6q);
            s1i = SUB_CPX_CPX(t5p, t7q);
            s2i = SUB_CPX_CPX(t2p, t4q);
            s3i = SUB_CPX_CPX(t3p, t5q);
            s4i = ADD_CPX_CPX(t4p, t6q);
            s5i = ADD_CPX_CPX(t5p, t7q);
            s6i = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s8h), MUL_FLT_CPX(C_FLT(0.14673047445536175), s9h));
            s7i = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.14673047445536175), s8h), MUL_FLT_CPX(C_FLT(0.98917650996478101), s9h));
            s8i = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s2h), MUL_FLT_CPX(C_FLT(0.29028467725446239), s3h));
            s9i = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.29028467725446239), s2h), MUL_FLT_CPX(C_FLT(0.95694033573220882), s3h));
            s0j = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.90398929312344334), s0i), MUL_FLT_CPX(C_FLT(0.42755509343028208), s1i));
            s1j = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.42755509343028208), s0i), MUL_FLT_CPX(C_FLT(0.90398929312344334), s1i));
            s2j = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s4h), MUL_FLT_CPX(C_FLT(0.55557023301960218), s5h));
            s3j = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s4h), MUL_FLT_CPX(C_FLT(0.83146961230254524), s5h));
            s4j = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), s2i), MUL_FLT_CPX(C_FLT(0.67155895484701844), s3i));
            s5j = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.67155895484701844), s2i), MUL_FLT_CPX(C_FLT(0.74095112535495911), s3i));
            s6j = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), s6h), MUL_FLT_CPX(C_FLT(0.77301045336273699), s7h));
            s7j = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), s6h), MUL_FLT_CPX(C_FLT(0.63439328416364549), s7h));
            s8j = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.51410274419322177), s4i), MUL_FLT_CPX(C_FLT(0.85772861000027212), s5i));
            s9j = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.85772861000027212), s4i), MUL_FLT_CPX(C_FLT(0.51410274419322177), s5i));
            a3g = (a18 + 8);
            a4g = (a18 + 9);
            a5g = (a18 + 120);
            a6g = (a18 + 121);
            t8q = ADD_CPX_CPX(*(a3g), *(a5g));
            t9q = SUB_CPX_CPX(*(a4g), *(a6g));
            t0r = SUB_CPX_CPX(*(a3g), *(a5g));
            t1r = ADD_CPX_CPX(*(a4g), *(a6g));
            a7g = (a18 + 72);
            a8g = (a18 + 73);
            a9g = (a18 + 56);
            a0h = (a18 + 57);
            t2r = ADD_CPX_CPX(*(a7g), *(a9g));
            t3r = SUB_CPX_CPX(*(a8g), *(a0h));
            t4r = SUB_CPX_CPX(*(a7g), *(a9g));
            t5r = ADD_CPX_CPX(*(a8g), *(a0h));
            t6r = ADD_CPX_CPX(t8q, t2r);
            t7r = ADD_CPX_CPX(t9q, t3r);
            t8r = SUB_CPX_CPX(t8q, t2r);
            t9r = SUB_CPX_CPX(t9q, t3r);
            t0s = SUB_CPX_CPX(t0r, t5r);
            t1s = ADD_CPX_CPX(t1r, t4r);
            t2s = ADD_CPX_CPX(t0r, t5r);
            t3s = SUB_CPX_CPX(t1r, t4r);
            a1h = (a18 + 40);
            a2h = (a18 + 41);
            a3h = (a18 + 24);
            a4h = (a18 + 25);
            t4s = ADD_CPX_CPX(*(a1h), *(a3h));
            t5s = SUB_CPX_CPX(*(a2h), *(a4h));
            t6s = ADD_CPX_CPX(*(a2h), *(a4h));
            t7s = SUB_CPX_CPX(*(a3h), *(a1h));
            a5h = (a18 + 88);
            a6h = (a18 + 89);
            a7h = (a18 + 104);
            a8h = (a18 + 105);
            t8s = ADD_CPX_CPX(*(a5h), *(a7h));
            t9s = SUB_CPX_CPX(*(a8h), *(a6h));
            t0t = ADD_CPX_CPX(*(a6h), *(a8h));
            t1t = SUB_CPX_CPX(*(a7h), *(a5h));
            s0k = ADD_CPX_CPX(t4s, t8s);
            s1k = ADD_CPX_CPX(t5s, t9s);
            s2k = SUB_CPX_CPX(t6s, t0t);
            s3k = ADD_CPX_CPX(t7s, t1t);
            a9h = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t4s, t8s));
            a0i = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t6s, t0t));
            t2t = SUB_CPX_CPX(a9h, a0i);
            a1i = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t5s, t9s));
            a2i = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t7s, t1t));
            t3t = SUB_CPX_CPX(a1i, a2i);
            t4t = ADD_CPX_CPX(a9h, a0i);
            t5t = ADD_CPX_CPX(a1i, a2i);
            s4k = ADD_CPX_CPX(t6r, s0k);
            s5k = ADD_CPX_CPX(t7r, s1k);
            s6k = SUB_CPX_CPX(t8r, s2k);
            s7k = SUB_CPX_CPX(t9r, s3k);
            s8k = ADD_CPX_CPX(t8r, s2k);
            s9k = ADD_CPX_CPX(t9r, s3k);
            s0l = ADD_CPX_CPX(t0s, t2t);
            s1l = ADD_CPX_CPX(t1s, t3t);
            s2l = SUB_CPX_CPX(t2s, t4t);
            s3l = SUB_CPX_CPX(t3s, t5t);
            s4l = SUB_CPX_CPX(t0s, t2t);
            s5l = SUB_CPX_CPX(t1s, t3t);
            s6l = ADD_CPX_CPX(t2s, t4t);
            s7l = ADD_CPX_CPX(t3s, t5t);
            s8l = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s0l), MUL_FLT_CPX(C_FLT(0.19509032201612828), s1l));
            s9l = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s0l), MUL_FLT_CPX(C_FLT(0.98078528040323043), s1l));
            s0m = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s6k), MUL_FLT_CPX(C_FLT(0.38268343236508978), s7k));
            s1m = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s6k), MUL_FLT_CPX(C_FLT(0.92387953251128674), s7k));
            s2m = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s2l), MUL_FLT_CPX(C_FLT(0.55557023301960218), s3l));
            s3m = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s2l), MUL_FLT_CPX(C_FLT(0.83146961230254524), s3l));
            a3i = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t6r, s0k));
            a4i = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t7r, s1k));
            s4m = SUB_CPX_CPX(a3i, a4i);
            s5m = ADD_CPX_CPX(a3i, a4i);
            s6m = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s4l), MUL_FLT_CPX(C_FLT(0.83146961230254524), s5l));
            s7m = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s4l), MUL_FLT_CPX(C_FLT(0.55557023301960218), s5l));
            s8m = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s8k), MUL_FLT_CPX(C_FLT(0.92387953251128674), s9k));
            s9m = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s8k), MUL_FLT_CPX(C_FLT(0.38268343236508978), s9k));
            s0n = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s6l), MUL_FLT_CPX(C_FLT(0.98078528040323043), s7l));
            s1n = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s6l), MUL_FLT_CPX(C_FLT(0.19509032201612828), s7l));
            a5i = (a18 + 10);
            a6i = (a18 + 11);
            a7i = (a18 + 118);
            a8i = (a18 + 119);
            t6t = ADD_CPX_CPX(*(a5i), *(a7i));
            t7t = SUB_CPX_CPX(*(a6i), *(a8i));
            t8t = SUB_CPX_CPX(*(a5i), *(a7i));
            t9t = ADD_CPX_CPX(*(a6i), *(a8i));
            a9i = (a18 + 74);
            a0j = (a18 + 75);
            a1j = (a18 + 54);
            a2j = (a18 + 55);
            t0u = ADD_CPX_CPX(*(a9i), *(a1j));
            t1u = SUB_CPX_CPX(*(a0j), *(a2j));
            t2u = SUB_CPX_CPX(*(a9i), *(a1j));
            t3u = ADD_CPX_CPX(*(a0j), *(a2j));
            t4u = ADD_CPX_CPX(t6t, t0u);
            t5u = ADD_CPX_CPX(t7t, t1u);
            t6u = SUB_CPX_CPX(t6t, t0u);
            t7u = SUB_CPX_CPX(t7t, t1u);
            t8u = SUB_CPX_CPX(t8t, t3u);
            t9u = ADD_CPX_CPX(t9t, t2u);
            t0v = ADD_CPX_CPX(t8t, t3u);
            t1v = SUB_CPX_CPX(t9t, t2u);
            a3j = (a18 + 42);
            a4j = (a18 + 43);
            a5j = (a18 + 22);
            a6j = (a18 + 23);
            t2v = ADD_CPX_CPX(*(a3j), *(a5j));
            t3v = SUB_CPX_CPX(*(a4j), *(a6j));
            t4v = ADD_CPX_CPX(*(a4j), *(a6j));
            t5v = SUB_CPX_CPX(*(a5j), *(a3j));
            a7j = (a18 + 86);
            a8j = (a18 + 87);
            a9j = (a18 + 106);
            a0k = (a18 + 107);
            t6v = ADD_CPX_CPX(*(a7j), *(a9j));
            t7v = SUB_CPX_CPX(*(a0k), *(a8j));
            t8v = ADD_CPX_CPX(*(a8j), *(a0k));
            t9v = SUB_CPX_CPX(*(a9j), *(a7j));
            s2n = ADD_CPX_CPX(t2v, t6v);
            s3n = ADD_CPX_CPX(t3v, t7v);
            s4n = SUB_CPX_CPX(t4v, t8v);
            s5n = ADD_CPX_CPX(t5v, t9v);
            a1k = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2v, t6v));
            a2k = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t4v, t8v));
            t0w = SUB_CPX_CPX(a1k, a2k);
            a3k = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3v, t7v));
            a4k = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t5v, t9v));
            t1w = SUB_CPX_CPX(a3k, a4k);
            t2w = ADD_CPX_CPX(a1k, a2k);
            t3w = ADD_CPX_CPX(a3k, a4k);
            s6n = ADD_CPX_CPX(t4u, s2n);
            s7n = ADD_CPX_CPX(t5u, s3n);
            s8n = SUB_CPX_CPX(t6u, s4n);
            s9n = SUB_CPX_CPX(t7u, s5n);
            s0o = SUB_CPX_CPX(t4u, s2n);
            s1o = SUB_CPX_CPX(t5u, s3n);
            s2o = ADD_CPX_CPX(t6u, s4n);
            s3o = ADD_CPX_CPX(t7u, s5n);
            s4o = ADD_CPX_CPX(t8u, t0w);
            s5o = ADD_CPX_CPX(t9u, t1w);
            s6o = SUB_CPX_CPX(t0v, t2w);
            s7o = SUB_CPX_CPX(t1v, t3w);
            s8o = SUB_CPX_CPX(t8u, t0w);
            s9o = SUB_CPX_CPX(t9u, t1w);
            s0p = ADD_CPX_CPX(t0v, t2w);
            s1p = ADD_CPX_CPX(t1v, t3w);
            s2p = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.97003125319454397), s4o), MUL_FLT_CPX(C_FLT(0.2429801799032639), s5o));
            s3p = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.2429801799032639), s4o), MUL_FLT_CPX(C_FLT(0.97003125319454397), s5o));
            s4p = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s8n), MUL_FLT_CPX(C_FLT(0.47139673682599764), s9n));
            s5p = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.47139673682599764), s8n), MUL_FLT_CPX(C_FLT(0.88192126434835505), s9n));
            s6p = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), s6o), MUL_FLT_CPX(C_FLT(0.67155895484701844), s7o));
            s7p = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.67155895484701844), s6o), MUL_FLT_CPX(C_FLT(0.74095112535495911), s7o));
            s8p = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s0o), MUL_FLT_CPX(C_FLT(0.83146961230254524), s1o));
            s9p = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s0o), MUL_FLT_CPX(C_FLT(0.55557023301960218), s1o));
            s0q = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.33688985339222005), s8o), MUL_FLT_CPX(C_FLT(0.94154406518302081), s9o));
            s1q = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), s8o), MUL_FLT_CPX(C_FLT(0.33688985339222005), s9o));
            s2q = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), s2o), MUL_FLT_CPX(C_FLT(0.99518472667219693), s3o));
            s3q = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), s2o), MUL_FLT_CPX(C_FLT(0.098017140329560604), s3o));
            s4q = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.14673047445536175), s0p), MUL_FLT_CPX(C_FLT(0.98917650996478101), s1p));
            s5q = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s0p), MUL_FLT_CPX(C_FLT(0.14673047445536175), s1p));
            a5k = (a18 + 12);
            a6k = (a18 + 13);
            a7k = (a18 + 116);
            a8k = (a18 + 117);
            t4w = ADD_CPX_CPX(*(a5k), *(a7k));
            t5w = SUB_CPX_CPX(*(a6k), *(a8k));
            t6w = SUB_CPX_CPX(*(a5k), *(a7k));
            t7w = ADD_CPX_CPX(*(a6k), *(a8k));
            a9k = (a18 + 76);
            a0l = (a18 + 77);
            a1l = (a18 + 52);
            a2l = (a18 + 53);
            t8w = ADD_CPX_CPX(*(a9k), *(a1l));
            t9w = SUB_CPX_CPX(*(a0l), *(a2l));
            t0x = SUB_CPX_CPX(*(a9k), *(a1l));
            t1x = ADD_CPX_CPX(*(a0l), *(a2l));
            t2x = ADD_CPX_CPX(t4w, t8w);
            t3x = ADD_CPX_CPX(t5w, t9w);
            t4x = SUB_CPX_CPX(t4w, t8w);
            t5x = SUB_CPX_CPX(t5w, t9w);
            t6x = SUB_CPX_CPX(t6w, t1x);
            t7x = ADD_CPX_CPX(t7w, t0x);
            t8x = ADD_CPX_CPX(t6w, t1x);
            t9x = SUB_CPX_CPX(t7w, t0x);
            a3l = (a18 + 44);
            a4l = (a18 + 45);
            a5l = (a18 + 20);
            a6l = (a18 + 21);
            t0y = ADD_CPX_CPX(*(a3l), *(a5l));
            t1y = SUB_CPX_CPX(*(a4l), *(a6l));
            t2y = ADD_CPX_CPX(*(a4l), *(a6l));
            t3y = SUB_CPX_CPX(*(a5l), *(a3l));
            a7l = (a18 + 84);
            a8l = (a18 + 85);
            a9l = (a18 + 108);
            a0m = (a18 + 109);
            t4y = ADD_CPX_CPX(*(a7l), *(a9l));
            t5y = SUB_CPX_CPX(*(a0m), *(a8l));
            t6y = ADD_CPX_CPX(*(a8l), *(a0m));
            t7y = SUB_CPX_CPX(*(a9l), *(a7l));
            s6q = ADD_CPX_CPX(t0y, t4y);
            s7q = ADD_CPX_CPX(t1y, t5y);
            s8q = SUB_CPX_CPX(t2y, t6y);
            s9q = ADD_CPX_CPX(t3y, t7y);
            a1m = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0y, t4y));
            a2m = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t2y, t6y));
            t8y = SUB_CPX_CPX(a1m, a2m);
            a3m = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t1y, t5y));
            a4m = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3y, t7y));
            t9y = SUB_CPX_CPX(a3m, a4m);
            t0z = ADD_CPX_CPX(a1m, a2m);
            t1z = ADD_CPX_CPX(a3m, a4m);
            s0r = ADD_CPX_CPX(t2x, s6q);
            s1r = ADD_CPX_CPX(t3x, s7q);
            s2r = SUB_CPX_CPX(t4x, s8q);
            s3r = SUB_CPX_CPX(t5x, s9q);
            s4r = SUB_CPX_CPX(t2x, s6q);
            s5r = SUB_CPX_CPX(t3x, s7q);
            s6r = ADD_CPX_CPX(t4x, s8q);
            s7r = ADD_CPX_CPX(t5x, s9q);
            s8r = ADD_CPX_CPX(t6x, t8y);
            s9r = ADD_CPX_CPX(t7x, t9y);
            s0s = SUB_CPX_CPX(t8x, t0z);
            s1s = SUB_CPX_CPX(t9x, t1z);
            s2s = SUB_CPX_CPX(t6x, t8y);
            s3s = SUB_CPX_CPX(t7x, t9y);
            s4s = ADD_CPX_CPX(t8x, t0z);
            s5s = ADD_CPX_CPX(t9x, t1z);
            s6s = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s8r), MUL_FLT_CPX(C_FLT(0.29028467725446239), s9r));
            s7s = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.29028467725446239), s8r), MUL_FLT_CPX(C_FLT(0.95694033573220882), s9r));
            s8s = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s2r), MUL_FLT_CPX(C_FLT(0.55557023301960218), s3r));
            s9s = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s2r), MUL_FLT_CPX(C_FLT(0.83146961230254524), s3r));
            s0t = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), s0s), MUL_FLT_CPX(C_FLT(0.77301045336273699), s1s));
            s1t = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), s0s), MUL_FLT_CPX(C_FLT(0.63439328416364549), s1s));
            s2t = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s4r), MUL_FLT_CPX(C_FLT(0.92387953251128674), s5r));
            s3t = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s4r), MUL_FLT_CPX(C_FLT(0.38268343236508978), s5r));
            s4t = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), s2s), MUL_FLT_CPX(C_FLT(0.99518472667219693), s3s));
            s5t = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), s2s), MUL_FLT_CPX(C_FLT(0.098017140329560604), s3s));
            s6t = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s6r), MUL_FLT_CPX(C_FLT(0.98078528040323043), s7r));
            s7t = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s6r), MUL_FLT_CPX(C_FLT(0.19509032201612828), s7r));
            s8t = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.47139673682599764), s4s), MUL_FLT_CPX(C_FLT(0.88192126434835505), s5s));
            s9t = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s4s), MUL_FLT_CPX(C_FLT(0.47139673682599764), s5s));
            a5m = (a18 + 14);
            a6m = (a18 + 15);
            a7m = (a18 + 114);
            a8m = (a18 + 115);
            t2z = ADD_CPX_CPX(*(a5m), *(a7m));
            t3z = SUB_CPX_CPX(*(a6m), *(a8m));
            t4z = SUB_CPX_CPX(*(a5m), *(a7m));
            t5z = ADD_CPX_CPX(*(a6m), *(a8m));
            a9m = (a18 + 78);
            a0n = (a18 + 79);
            a1n = (a18 + 50);
            a2n = (a18 + 51);
            t6z = ADD_CPX_CPX(*(a9m), *(a1n));
            t7z = SUB_CPX_CPX(*(a0n), *(a2n));
            t8z = SUB_CPX_CPX(*(a9m), *(a1n));
            t9z = ADD_CPX_CPX(*(a0n), *(a2n));
            t0A = ADD_CPX_CPX(t2z, t6z);
            t1A = ADD_CPX_CPX(t3z, t7z);
            t2A = SUB_CPX_CPX(t2z, t6z);
            t3A = SUB_CPX_CPX(t3z, t7z);
            t4A = SUB_CPX_CPX(t4z, t9z);
            t5A = ADD_CPX_CPX(t5z, t8z);
            t6A = ADD_CPX_CPX(t4z, t9z);
            t7A = SUB_CPX_CPX(t5z, t8z);
            a3n = (a18 + 46);
            a4n = (a18 + 47);
            a5n = (a18 + 18);
            a6n = (a18 + 19);
            t8A = ADD_CPX_CPX(*(a3n), *(a5n));
            t9A = SUB_CPX_CPX(*(a4n), *(a6n));
            t0B = ADD_CPX_CPX(*(a4n), *(a6n));
            t1B = SUB_CPX_CPX(*(a5n), *(a3n));
            a7n = (a18 + 82);
            a8n = (a18 + 83);
            a9n = (a18 + 110);
            a0o = (a18 + 111);
            t2B = ADD_CPX_CPX(*(a7n), *(a9n));
            t3B = SUB_CPX_CPX(*(a0o), *(a8n));
            t4B = ADD_CPX_CPX(*(a8n), *(a0o));
            t5B = SUB_CPX_CPX(*(a9n), *(a7n));
            s0u = ADD_CPX_CPX(t8A, t2B);
            s1u = ADD_CPX_CPX(t9A, t3B);
            s2u = SUB_CPX_CPX(t0B, t4B);
            s3u = ADD_CPX_CPX(t1B, t5B);
            a1o = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8A, t2B));
            a2o = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t0B, t4B));
            t6B = SUB_CPX_CPX(a1o, a2o);
            a3o = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9A, t3B));
            a4o = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t1B, t5B));
            t7B = SUB_CPX_CPX(a3o, a4o);
            t8B = ADD_CPX_CPX(a1o, a2o);
            t9B = ADD_CPX_CPX(a3o, a4o);
            s4u = ADD_CPX_CPX(t0A, s0u);
            s5u = ADD_CPX_CPX(t1A, s1u);
            s6u = SUB_CPX_CPX(t2A, s2u);
            s7u = SUB_CPX_CPX(t3A, s3u);
            s8u = SUB_CPX_CPX(t0A, s0u);
            s9u = SUB_CPX_CPX(t1A, s1u);
            s0v = ADD_CPX_CPX(t2A, s2u);
            s1v = ADD_CPX_CPX(t3A, s3u);
            s2v = ADD_CPX_CPX(t4A, t6B);
            s3v = ADD_CPX_CPX(t5A, t7B);
            s4v = SUB_CPX_CPX(t6A, t8B);
            s5v = SUB_CPX_CPX(t7A, t9B);
            s6v = SUB_CPX_CPX(t4A, t6B);
            s7v = SUB_CPX_CPX(t5A, t7B);
            s8v = ADD_CPX_CPX(t6A, t8B);
            s9v = ADD_CPX_CPX(t7A, t9B);
            s0w = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), s2v), MUL_FLT_CPX(C_FLT(0.33688985339222005), s3v));
            s1w = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.33688985339222005), s2v), MUL_FLT_CPX(C_FLT(0.94154406518302081), s3v));
            s2w = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), s6u), MUL_FLT_CPX(C_FLT(0.63439328416364549), s7u));
            s3w = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), s6u), MUL_FLT_CPX(C_FLT(0.77301045336273699), s7u));
            s4w = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.51410274419322177), s4v), MUL_FLT_CPX(C_FLT(0.85772861000027212), s5v));
            s5w = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.85772861000027212), s4v), MUL_FLT_CPX(C_FLT(0.51410274419322177), s5v));
            s6w = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s8u), MUL_FLT_CPX(C_FLT(0.98078528040323043), s9u));
            s7w = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s8u), MUL_FLT_CPX(C_FLT(0.19509032201612828), s9u));
            s8w = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.14673047445536175), s6v), MUL_FLT_CPX(C_FLT(0.98917650996478101), s7v));
            s9w = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s6v), MUL_FLT_CPX(C_FLT(0.14673047445536175), s7v));
            s0x = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.47139673682599764), s0v), MUL_FLT_CPX(C_FLT(0.88192126434835505), s1v));
            s1x = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s0v), MUL_FLT_CPX(C_FLT(0.47139673682599764), s1v));
            s2x = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), s8v), MUL_FLT_CPX(C_FLT(0.67155895484701844), s9v));
            s3x = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.67155895484701844), s8v), MUL_FLT_CPX(C_FLT(0.74095112535495911), s9v));
            t0C = ADD_CPX_CPX(t2g, s4k);
            t1C = SUB_CPX_CPX(t4g, s5k);
            t2C = SUB_CPX_CPX(t2g, s4k);
            t3C = ADD_CPX_CPX(t4g, s5k);
            t4C = ADD_CPX_CPX(s2a, s4u);
            t5C = SUB_CPX_CPX(s3a, s5u);
            t6C = SUB_CPX_CPX(s2a, s4u);
            t7C = ADD_CPX_CPX(s3a, s5u);
            s4x = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t6C), MUL_FLT_CPX(C_FLT(0.38268343236508978), t7C));
            s5x = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t6C), MUL_FLT_CPX(C_FLT(0.92387953251128674), t7C));
            t8C = ADD_CPX_CPX(s6d, s0r);
            t9C = SUB_CPX_CPX(s7d, s1r);
            a5o = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s6d, s0r));
            a6o = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s7d, s1r));
            s6x = SUB_CPX_CPX(a5o, a6o);
            s7x = ADD_CPX_CPX(a5o, a6o);
            t0D = ADD_CPX_CPX(s0h, s6n);
            t1D = SUB_CPX_CPX(s1h, s7n);
            t2D = SUB_CPX_CPX(s0h, s6n);
            t3D = ADD_CPX_CPX(s1h, s7n);
            s8x = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t2D), MUL_FLT_CPX(C_FLT(0.92387953251128674), t3D));
            s9x = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t2D), MUL_FLT_CPX(C_FLT(0.38268343236508978), t3D));
            t4D = ADD_CPX_CPX(t0C, t8C);
            t5D = SUB_CPX_CPX(t2C, t9C);
            t6D = SUB_CPX_CPX(t0C, t8C);
            t7D = ADD_CPX_CPX(t2C, t9C);
            t8D = ADD_CPX_CPX(t4C, t0D);
            t9D = SUB_CPX_CPX(t5C, t1D);
            a7o = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t4C, t0D));
            a8o = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t5C, t1D));
            s0y = SUB_CPX_CPX(a7o, a8o);
            s1y = ADD_CPX_CPX(a7o, a8o);
            t0E = ADD_CPX_CPX(t4D, t8D);
            t1E = SUB_CPX_CPX(t6D, t9D);
            t2E = SUB_CPX_CPX(t4D, t8D);
            t3E = ADD_CPX_CPX(t6D, t9D);
            STOREU_CPX((dst + i2 + (i4*8)), t0E);
            STOREU_CPX((2048 + dst + i2 + (i4*8)), t1E);
            STOREU_CPX((4096 + dst + i2 + (i4*8)), t2E);
            STOREU_CPX((6144 + dst + i2 + (i4*8)), t3E);
            t4E = ADD_CPX_CPX(t5D, s0y);
            t5E = SUB_CPX_CPX(t7D, s1y);
            t6E = SUB_CPX_CPX(t5D, s0y);
            t7E = ADD_CPX_CPX(t7D, s1y);
            STOREU_CPX((1024 + dst + i2 + (i4*8)), t4E);
            STOREU_CPX((3072 + dst + i2 + (i4*8)), t5E);
            STOREU_CPX((5120 + dst + i2 + (i4*8)), t6E);
            STOREU_CPX((7168 + dst + i2 + (i4*8)), t7E);
            t8E = ADD_CPX_CPX(t1C, s6x);
            t9E = SUB_CPX_CPX(t3C, s7x);
            t0F = SUB_CPX_CPX(t1C, s6x);
            t1F = ADD_CPX_CPX(t3C, s7x);
            t2F = ADD_CPX_CPX(s4x, s8x);
            t3F = SUB_CPX_CPX(s5x, s9x);
            a9o = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4x, s8x));
            a0p = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5x, s9x));
            s2y = SUB_CPX_CPX(a9o, a0p);
            s3y = ADD_CPX_CPX(a9o, a0p);
            t4F = ADD_CPX_CPX(t8E, t2F);
            t5F = SUB_CPX_CPX(t0F, t3F);
            t6F = SUB_CPX_CPX(t8E, t2F);
            t7F = ADD_CPX_CPX(t0F, t3F);
            STOREU_CPX((512 + dst + i2 + (i4*8)), t4F);
            STOREU_CPX((2560 + dst + i2 + (i4*8)), t5F);
            STOREU_CPX((4608 + dst + i2 + (i4*8)), t6F);
            STOREU_CPX((6656 + dst + i2 + (i4*8)), t7F);
            t8F = ADD_CPX_CPX(t9E, s2y);
            t9F = SUB_CPX_CPX(t1F, s3y);
            t0G = SUB_CPX_CPX(t9E, s2y);
            t1G = ADD_CPX_CPX(t1F, s3y);
            STOREU_CPX((1536 + dst + i2 + (i4*8)), t8F);
            STOREU_CPX((3584 + dst + i2 + (i4*8)), t9F);
            STOREU_CPX((5632 + dst + i2 + (i4*8)), t0G);
            STOREU_CPX((7680 + dst + i2 + (i4*8)), t1G);
            t2G = ADD_CPX_CPX(t6h, s8l);
            t3G = SUB_CPX_CPX(t8h, s9l);
            t4G = SUB_CPX_CPX(t6h, s8l);
            t5G = ADD_CPX_CPX(t8h, s9l);
            t6G = ADD_CPX_CPX(s8b, s0w);
            t7G = SUB_CPX_CPX(s9b, s1w);
            t8G = SUB_CPX_CPX(s8b, s0w);
            t9G = ADD_CPX_CPX(s9b, s1w);
            s4y = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t8G), MUL_FLT_CPX(C_FLT(0.38268343236508978), t9G));
            s5y = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t8G), MUL_FLT_CPX(C_FLT(0.92387953251128674), t9G));
            t0H = ADD_CPX_CPX(s2f, s6s);
            t1H = SUB_CPX_CPX(s3f, s7s);
            a1p = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s2f, s6s));
            a2p = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s3f, s7s));
            s6y = SUB_CPX_CPX(a1p, a2p);
            s7y = ADD_CPX_CPX(a1p, a2p);
            t2H = ADD_CPX_CPX(s6i, s2p);
            t3H = SUB_CPX_CPX(s7i, s3p);
            t4H = SUB_CPX_CPX(s6i, s2p);
            t5H = ADD_CPX_CPX(s7i, s3p);
            s8y = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t4H), MUL_FLT_CPX(C_FLT(0.92387953251128674), t5H));
            s9y = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t4H), MUL_FLT_CPX(C_FLT(0.38268343236508978), t5H));
            t6H = ADD_CPX_CPX(t2G, t0H);
            t7H = SUB_CPX_CPX(t4G, t1H);
            t8H = SUB_CPX_CPX(t2G, t0H);
            t9H = ADD_CPX_CPX(t4G, t1H);
            t0I = ADD_CPX_CPX(t6G, t2H);
            t1I = SUB_CPX_CPX(t7G, t3H);
            a3p = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t6G, t2H));
            a4p = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t7G, t3H));
            s0z = SUB_CPX_CPX(a3p, a4p);
            s1z = ADD_CPX_CPX(a3p, a4p);
            t2I = ADD_CPX_CPX(t6H, t0I);
            t3I = SUB_CPX_CPX(t8H, t1I);
            t4I = SUB_CPX_CPX(t6H, t0I);
            t5I = ADD_CPX_CPX(t8H, t1I);
            STOREU_CPX((64 + dst + i2 + (i4*8)), t2I);
            STOREU_CPX((2112 + dst + i2 + (i4*8)), t3I);
            STOREU_CPX((4160 + dst + i2 + (i4*8)), t4I);
            STOREU_CPX((6208 + dst + i2 + (i4*8)), t5I);
            t6I = ADD_CPX_CPX(t7H, s0z);
            t7I = SUB_CPX_CPX(t9H, s1z);
            t8I = SUB_CPX_CPX(t7H, s0z);
            t9I = ADD_CPX_CPX(t9H, s1z);
            STOREU_CPX((1088 + dst + i2 + (i4*8)), t6I);
            STOREU_CPX((3136 + dst + i2 + (i4*8)), t7I);
            STOREU_CPX((5184 + dst + i2 + (i4*8)), t8I);
            STOREU_CPX((7232 + dst + i2 + (i4*8)), t9I);
            t0J = ADD_CPX_CPX(t3G, s6y);
            t1J = SUB_CPX_CPX(t5G, s7y);
            t2J = SUB_CPX_CPX(t3G, s6y);
            t3J = ADD_CPX_CPX(t5G, s7y);
            t4J = ADD_CPX_CPX(s4y, s8y);
            t5J = SUB_CPX_CPX(s5y, s9y);
            a5p = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4y, s8y));
            a6p = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5y, s9y));
            s2z = SUB_CPX_CPX(a5p, a6p);
            s3z = ADD_CPX_CPX(a5p, a6p);
            t6J = ADD_CPX_CPX(t0J, t4J);
            t7J = SUB_CPX_CPX(t2J, t5J);
            t8J = SUB_CPX_CPX(t0J, t4J);
            t9J = ADD_CPX_CPX(t2J, t5J);
            STOREU_CPX((576 + dst + i2 + (i4*8)), t6J);
            STOREU_CPX((2624 + dst + i2 + (i4*8)), t7J);
            STOREU_CPX((4672 + dst + i2 + (i4*8)), t8J);
            STOREU_CPX((6720 + dst + i2 + (i4*8)), t9J);
            t0K = ADD_CPX_CPX(t1J, s2z);
            t1K = SUB_CPX_CPX(t3J, s3z);
            t2K = SUB_CPX_CPX(t1J, s2z);
            t3K = ADD_CPX_CPX(t3J, s3z);
            STOREU_CPX((1600 + dst + i2 + (i4*8)), t0K);
            STOREU_CPX((3648 + dst + i2 + (i4*8)), t1K);
            STOREU_CPX((5696 + dst + i2 + (i4*8)), t2K);
            STOREU_CPX((7744 + dst + i2 + (i4*8)), t3K);
            t4K = ADD_CPX_CPX(t6g, s0m);
            t5K = SUB_CPX_CPX(t8g, s1m);
            t6K = SUB_CPX_CPX(t6g, s0m);
            t7K = ADD_CPX_CPX(t8g, s1m);
            t8K = ADD_CPX_CPX(s0c, s2w);
            t9K = SUB_CPX_CPX(s1c, s3w);
            t0L = SUB_CPX_CPX(s0c, s2w);
            t1L = ADD_CPX_CPX(s1c, s3w);
            s4z = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t0L), MUL_FLT_CPX(C_FLT(0.38268343236508978), t1L));
            s5z = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t0L), MUL_FLT_CPX(C_FLT(0.92387953251128674), t1L));
            t2L = ADD_CPX_CPX(s4f, s8s);
            t3L = SUB_CPX_CPX(s5f, s9s);
            a7p = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4f, s8s));
            a8p = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5f, s9s));
            s6z = SUB_CPX_CPX(a7p, a8p);
            s7z = ADD_CPX_CPX(a7p, a8p);
            t4L = ADD_CPX_CPX(s8i, s4p);
            t5L = SUB_CPX_CPX(s9i, s5p);
            t6L = SUB_CPX_CPX(s8i, s4p);
            t7L = ADD_CPX_CPX(s9i, s5p);
            s8z = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t6L), MUL_FLT_CPX(C_FLT(0.92387953251128674), t7L));
            s9z = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t6L), MUL_FLT_CPX(C_FLT(0.38268343236508978), t7L));
            t8L = ADD_CPX_CPX(t4K, t2L);
            t9L = SUB_CPX_CPX(t6K, t3L);
            t0M = SUB_CPX_CPX(t4K, t2L);
            t1M = ADD_CPX_CPX(t6K, t3L);
            t2M = ADD_CPX_CPX(t8K, t4L);
            t3M = SUB_CPX_CPX(t9K, t5L);
            a9p = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8K, t4L));
            a0q = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t9K, t5L));
            s0A = SUB_CPX_CPX(a9p, a0q);
            s1A = ADD_CPX_CPX(a9p, a0q);
            t4M = ADD_CPX_CPX(t8L, t2M);
            t5M = SUB_CPX_CPX(t0M, t3M);
            t6M = SUB_CPX_CPX(t8L, t2M);
            t7M = ADD_CPX_CPX(t0M, t3M);
            STOREU_CPX((128 + dst + i2 + (i4*8)), t4M);
            STOREU_CPX((2176 + dst + i2 + (i4*8)), t5M);
            STOREU_CPX((4224 + dst + i2 + (i4*8)), t6M);
            STOREU_CPX((6272 + dst + i2 + (i4*8)), t7M);
            t8M = ADD_CPX_CPX(t9L, s0A);
            t9M = SUB_CPX_CPX(t1M, s1A);
            t0N = SUB_CPX_CPX(t9L, s0A);
            t1N = ADD_CPX_CPX(t1M, s1A);
            STOREU_CPX((1152 + dst + i2 + (i4*8)), t8M);
            STOREU_CPX((3200 + dst + i2 + (i4*8)), t9M);
            STOREU_CPX((5248 + dst + i2 + (i4*8)), t0N);
            STOREU_CPX((7296 + dst + i2 + (i4*8)), t1N);
            t2N = ADD_CPX_CPX(t5K, s6z);
            t3N = SUB_CPX_CPX(t7K, s7z);
            t4N = SUB_CPX_CPX(t5K, s6z);
            t5N = ADD_CPX_CPX(t7K, s7z);
            t6N = ADD_CPX_CPX(s4z, s8z);
            t7N = SUB_CPX_CPX(s5z, s9z);
            a1q = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4z, s8z));
            a2q = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5z, s9z));
            s2A = SUB_CPX_CPX(a1q, a2q);
            s3A = ADD_CPX_CPX(a1q, a2q);
            t8N = ADD_CPX_CPX(t2N, t6N);
            t9N = SUB_CPX_CPX(t4N, t7N);
            t0O = SUB_CPX_CPX(t2N, t6N);
            t1O = ADD_CPX_CPX(t4N, t7N);
            STOREU_CPX((640 + dst + i2 + (i4*8)), t8N);
            STOREU_CPX((2688 + dst + i2 + (i4*8)), t9N);
            STOREU_CPX((4736 + dst + i2 + (i4*8)), t0O);
            STOREU_CPX((6784 + dst + i2 + (i4*8)), t1O);
            t2O = ADD_CPX_CPX(t3N, s2A);
            t3O = SUB_CPX_CPX(t5N, s3A);
            t4O = SUB_CPX_CPX(t3N, s2A);
            t5O = ADD_CPX_CPX(t5N, s3A);
            STOREU_CPX((1664 + dst + i2 + (i4*8)), t2O);
            STOREU_CPX((3712 + dst + i2 + (i4*8)), t3O);
            STOREU_CPX((5760 + dst + i2 + (i4*8)), t4O);
            STOREU_CPX((7808 + dst + i2 + (i4*8)), t5O);
            t6O = ADD_CPX_CPX(t0i, s2m);
            t7O = SUB_CPX_CPX(t2i, s3m);
            t8O = SUB_CPX_CPX(t0i, s2m);
            t9O = ADD_CPX_CPX(t2i, s3m);
            t0P = ADD_CPX_CPX(s2c, s4w);
            t1P = SUB_CPX_CPX(s3c, s5w);
            t2P = SUB_CPX_CPX(s2c, s4w);
            t3P = ADD_CPX_CPX(s3c, s5w);
            s4A = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t2P), MUL_FLT_CPX(C_FLT(0.38268343236508978), t3P));
            s5A = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t2P), MUL_FLT_CPX(C_FLT(0.92387953251128674), t3P));
            t4P = ADD_CPX_CPX(s6f, s0t);
            t5P = SUB_CPX_CPX(s7f, s1t);
            a3q = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s6f, s0t));
            a4q = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s7f, s1t));
            s6A = SUB_CPX_CPX(a3q, a4q);
            s7A = ADD_CPX_CPX(a3q, a4q);
            t6P = ADD_CPX_CPX(s0j, s6p);
            t7P = SUB_CPX_CPX(s1j, s7p);
            t8P = SUB_CPX_CPX(s0j, s6p);
            t9P = ADD_CPX_CPX(s1j, s7p);
            s8A = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t8P), MUL_FLT_CPX(C_FLT(0.92387953251128674), t9P));
            s9A = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t8P), MUL_FLT_CPX(C_FLT(0.38268343236508978), t9P));
            t0Q = ADD_CPX_CPX(t6O, t4P);
            t1Q = SUB_CPX_CPX(t8O, t5P);
            t2Q = SUB_CPX_CPX(t6O, t4P);
            t3Q = ADD_CPX_CPX(t8O, t5P);
            t4Q = ADD_CPX_CPX(t0P, t6P);
            t5Q = SUB_CPX_CPX(t1P, t7P);
            a5q = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0P, t6P));
            a6q = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t1P, t7P));
            s0B = SUB_CPX_CPX(a5q, a6q);
            s1B = ADD_CPX_CPX(a5q, a6q);
            t6Q = ADD_CPX_CPX(t0Q, t4Q);
            t7Q = SUB_CPX_CPX(t2Q, t5Q);
            t8Q = SUB_CPX_CPX(t0Q, t4Q);
            t9Q = ADD_CPX_CPX(t2Q, t5Q);
            STOREU_CPX((192 + dst + i2 + (i4*8)), t6Q);
            STOREU_CPX((2240 + dst + i2 + (i4*8)), t7Q);
            STOREU_CPX((4288 + dst + i2 + (i4*8)), t8Q);
            STOREU_CPX((6336 + dst + i2 + (i4*8)), t9Q);
            t0R = ADD_CPX_CPX(t1Q, s0B);
            t1R = SUB_CPX_CPX(t3Q, s1B);
            t2R = SUB_CPX_CPX(t1Q, s0B);
            t3R = ADD_CPX_CPX(t3Q, s1B);
            STOREU_CPX((1216 + dst + i2 + (i4*8)), t0R);
            STOREU_CPX((3264 + dst + i2 + (i4*8)), t1R);
            STOREU_CPX((5312 + dst + i2 + (i4*8)), t2R);
            STOREU_CPX((7360 + dst + i2 + (i4*8)), t3R);
            t4R = ADD_CPX_CPX(t7O, s6A);
            t5R = SUB_CPX_CPX(t9O, s7A);
            t6R = SUB_CPX_CPX(t7O, s6A);
            t7R = ADD_CPX_CPX(t9O, s7A);
            t8R = ADD_CPX_CPX(s4A, s8A);
            t9R = SUB_CPX_CPX(s5A, s9A);
            a7q = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4A, s8A));
            a8q = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5A, s9A));
            s2B = SUB_CPX_CPX(a7q, a8q);
            s3B = ADD_CPX_CPX(a7q, a8q);
            t0S = ADD_CPX_CPX(t4R, t8R);
            t1S = SUB_CPX_CPX(t6R, t9R);
            t2S = SUB_CPX_CPX(t4R, t8R);
            t3S = ADD_CPX_CPX(t6R, t9R);
            STOREU_CPX((704 + dst + i2 + (i4*8)), t0S);
            STOREU_CPX((2752 + dst + i2 + (i4*8)), t1S);
            STOREU_CPX((4800 + dst + i2 + (i4*8)), t2S);
            STOREU_CPX((6848 + dst + i2 + (i4*8)), t3S);
            t4S = ADD_CPX_CPX(t5R, s2B);
            t5S = SUB_CPX_CPX(t7R, s3B);
            t6S = SUB_CPX_CPX(t5R, s2B);
            t7S = ADD_CPX_CPX(t7R, s3B);
            STOREU_CPX((1728 + dst + i2 + (i4*8)), t4S);
            STOREU_CPX((3776 + dst + i2 + (i4*8)), t5S);
            STOREU_CPX((5824 + dst + i2 + (i4*8)), t6S);
            STOREU_CPX((7872 + dst + i2 + (i4*8)), t7S);
            t8S = ADD_CPX_CPX(t3g, s4m);
            t9S = SUB_CPX_CPX(t5g, s5m);
            t0T = SUB_CPX_CPX(t3g, s4m);
            t1T = ADD_CPX_CPX(t5g, s5m);
            t2T = ADD_CPX_CPX(s4c, s6w);
            t3T = SUB_CPX_CPX(s5c, s7w);
            t4T = SUB_CPX_CPX(s4c, s6w);
            t5T = ADD_CPX_CPX(s5c, s7w);
            s4B = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t4T), MUL_FLT_CPX(C_FLT(0.38268343236508978), t5T));
            s5B = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t4T), MUL_FLT_CPX(C_FLT(0.92387953251128674), t5T));
            t6T = ADD_CPX_CPX(s8f, s2t);
            t7T = SUB_CPX_CPX(s9f, s3t);
            a9q = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s8f, s2t));
            a0r = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s9f, s3t));
            s6B = SUB_CPX_CPX(a9q, a0r);
            s7B = ADD_CPX_CPX(a9q, a0r);
            t8T = ADD_CPX_CPX(s2j, s8p);
            t9T = SUB_CPX_CPX(s3j, s9p);
            t0U = SUB_CPX_CPX(s2j, s8p);
            t1U = ADD_CPX_CPX(s3j, s9p);
            s8B = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t0U), MUL_FLT_CPX(C_FLT(0.92387953251128674), t1U));
            s9B = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t0U), MUL_FLT_CPX(C_FLT(0.38268343236508978), t1U));
            t2U = ADD_CPX_CPX(t8S, t6T);
            t3U = SUB_CPX_CPX(t0T, t7T);
            t4U = SUB_CPX_CPX(t8S, t6T);
            t5U = ADD_CPX_CPX(t0T, t7T);
            t6U = ADD_CPX_CPX(t2T, t8T);
            t7U = SUB_CPX_CPX(t3T, t9T);
            a1r = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2T, t8T));
            a2r = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t3T, t9T));
            s0C = SUB_CPX_CPX(a1r, a2r);
            s1C = ADD_CPX_CPX(a1r, a2r);
            t8U = ADD_CPX_CPX(t2U, t6U);
            t9U = SUB_CPX_CPX(t4U, t7U);
            t0V = SUB_CPX_CPX(t2U, t6U);
            t1V = ADD_CPX_CPX(t4U, t7U);
            STOREU_CPX((256 + dst + i2 + (i4*8)), t8U);
            STOREU_CPX((2304 + dst + i2 + (i4*8)), t9U);
            STOREU_CPX((4352 + dst + i2 + (i4*8)), t0V);
            STOREU_CPX((6400 + dst + i2 + (i4*8)), t1V);
            t2V = ADD_CPX_CPX(t3U, s0C);
            t3V = SUB_CPX_CPX(t5U, s1C);
            t4V = SUB_CPX_CPX(t3U, s0C);
            t5V = ADD_CPX_CPX(t5U, s1C);
            STOREU_CPX((1280 + dst + i2 + (i4*8)), t2V);
            STOREU_CPX((3328 + dst + i2 + (i4*8)), t3V);
            STOREU_CPX((5376 + dst + i2 + (i4*8)), t4V);
            STOREU_CPX((7424 + dst + i2 + (i4*8)), t5V);
            t6V = ADD_CPX_CPX(t9S, s6B);
            t7V = SUB_CPX_CPX(t1T, s7B);
            t8V = SUB_CPX_CPX(t9S, s6B);
            t9V = ADD_CPX_CPX(t1T, s7B);
            t0W = ADD_CPX_CPX(s4B, s8B);
            t1W = SUB_CPX_CPX(s5B, s9B);
            a3r = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4B, s8B));
            a4r = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5B, s9B));
            s2C = SUB_CPX_CPX(a3r, a4r);
            s3C = ADD_CPX_CPX(a3r, a4r);
            t2W = ADD_CPX_CPX(t6V, t0W);
            t3W = SUB_CPX_CPX(t8V, t1W);
            t4W = SUB_CPX_CPX(t6V, t0W);
            t5W = ADD_CPX_CPX(t8V, t1W);
            STOREU_CPX((768 + dst + i2 + (i4*8)), t2W);
            STOREU_CPX((2816 + dst + i2 + (i4*8)), t3W);
            STOREU_CPX((4864 + dst + i2 + (i4*8)), t4W);
            STOREU_CPX((6912 + dst + i2 + (i4*8)), t5W);
            t6W = ADD_CPX_CPX(t7V, s2C);
            t7W = SUB_CPX_CPX(t9V, s3C);
            t8W = SUB_CPX_CPX(t7V, s2C);
            t9W = ADD_CPX_CPX(t9V, s3C);
            STOREU_CPX((1792 + dst + i2 + (i4*8)), t6W);
            STOREU_CPX((3840 + dst + i2 + (i4*8)), t7W);
            STOREU_CPX((5888 + dst + i2 + (i4*8)), t8W);
            STOREU_CPX((7936 + dst + i2 + (i4*8)), t9W);
            t0X = ADD_CPX_CPX(t7h, s6m);
            t1X = SUB_CPX_CPX(t9h, s7m);
            t2X = SUB_CPX_CPX(t7h, s6m);
            t3X = ADD_CPX_CPX(t9h, s7m);
            t4X = SUB_CPX_CPX(s6c, s8w);
            t5X = SUB_CPX_CPX(s7c, s9w);
            t6X = ADD_CPX_CPX(s6c, s8w);
            t7X = ADD_CPX_CPX(s7c, s9w);
            s4C = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t6X), MUL_FLT_CPX(C_FLT(0.38268343236508978), t7X));
            s5C = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t6X), MUL_FLT_CPX(C_FLT(0.92387953251128674), t7X));
            t8X = ADD_CPX_CPX(s0g, s4t);
            t9X = SUB_CPX_CPX(s1g, s5t);
            a5r = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s0g, s4t));
            a6r = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s1g, s5t));
            s6C = SUB_CPX_CPX(a5r, a6r);
            s7C = ADD_CPX_CPX(a5r, a6r);
            t0Y = ADD_CPX_CPX(s4j, s0q);
            t1Y = SUB_CPX_CPX(s5j, s1q);
            t2Y = SUB_CPX_CPX(s4j, s0q);
            t3Y = ADD_CPX_CPX(s5j, s1q);
            s8C = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t2Y), MUL_FLT_CPX(C_FLT(0.92387953251128674), t3Y));
            s9C = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t2Y), MUL_FLT_CPX(C_FLT(0.38268343236508978), t3Y));
            t4Y = ADD_CPX_CPX(t0X, t8X);
            t5Y = SUB_CPX_CPX(t2X, t9X);
            t6Y = SUB_CPX_CPX(t0X, t8X);
            t7Y = ADD_CPX_CPX(t2X, t9X);
            t8Y = ADD_CPX_CPX(t4X, t0Y);
            t9Y = SUB_CPX_CPX(t5X, t1Y);
            a7r = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t4X, t0Y));
            a8r = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t5X, t1Y));
            s0D = SUB_CPX_CPX(a7r, a8r);
            s1D = ADD_CPX_CPX(a7r, a8r);
            t0Z = ADD_CPX_CPX(t4Y, t8Y);
            t1Z = SUB_CPX_CPX(t6Y, t9Y);
            t2Z = SUB_CPX_CPX(t4Y, t8Y);
            t3Z = ADD_CPX_CPX(t6Y, t9Y);
            STOREU_CPX((320 + dst + i2 + (i4*8)), t0Z);
            STOREU_CPX((2368 + dst + i2 + (i4*8)), t1Z);
            STOREU_CPX((4416 + dst + i2 + (i4*8)), t2Z);
            STOREU_CPX((6464 + dst + i2 + (i4*8)), t3Z);
            t4Z = ADD_CPX_CPX(t5Y, s0D);
            t5Z = SUB_CPX_CPX(t7Y, s1D);
            t6Z = SUB_CPX_CPX(t5Y, s0D);
            t7Z = ADD_CPX_CPX(t7Y, s1D);
            STOREU_CPX((1344 + dst + i2 + (i4*8)), t4Z);
            STOREU_CPX((3392 + dst + i2 + (i4*8)), t5Z);
            STOREU_CPX((5440 + dst + i2 + (i4*8)), t6Z);
            STOREU_CPX((7488 + dst + i2 + (i4*8)), t7Z);
            t8Z = ADD_CPX_CPX(t1X, s6C);
            t9Z = SUB_CPX_CPX(t3X, s7C);
            t010 = SUB_CPX_CPX(t1X, s6C);
            t110 = ADD_CPX_CPX(t3X, s7C);
            t210 = ADD_CPX_CPX(s4C, s8C);
            t310 = SUB_CPX_CPX(s5C, s9C);
            a9r = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4C, s8C));
            a0s = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5C, s9C));
            s2D = SUB_CPX_CPX(a9r, a0s);
            s3D = ADD_CPX_CPX(a9r, a0s);
            t410 = ADD_CPX_CPX(t8Z, t210);
            t510 = SUB_CPX_CPX(t010, t310);
            t610 = SUB_CPX_CPX(t8Z, t210);
            t710 = ADD_CPX_CPX(t010, t310);
            STOREU_CPX((832 + dst + i2 + (i4*8)), t410);
            STOREU_CPX((2880 + dst + i2 + (i4*8)), t510);
            STOREU_CPX((4928 + dst + i2 + (i4*8)), t610);
            STOREU_CPX((6976 + dst + i2 + (i4*8)), t710);
            t810 = ADD_CPX_CPX(t9Z, s2D);
            t910 = SUB_CPX_CPX(t110, s3D);
            t011 = SUB_CPX_CPX(t9Z, s2D);
            t111 = ADD_CPX_CPX(t110, s3D);
            STOREU_CPX((1856 + dst + i2 + (i4*8)), t810);
            STOREU_CPX((3904 + dst + i2 + (i4*8)), t910);
            STOREU_CPX((5952 + dst + i2 + (i4*8)), t011);
            STOREU_CPX((8000 + dst + i2 + (i4*8)), t111);
            t211 = ADD_CPX_CPX(t7g, s8m);
            t311 = SUB_CPX_CPX(t9g, s9m);
            t411 = SUB_CPX_CPX(t7g, s8m);
            t511 = ADD_CPX_CPX(t9g, s9m);
            t611 = SUB_CPX_CPX(s8c, s0x);
            t711 = SUB_CPX_CPX(s9c, s1x);
            t811 = ADD_CPX_CPX(s8c, s0x);
            t911 = ADD_CPX_CPX(s9c, s1x);
            s4D = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t811), MUL_FLT_CPX(C_FLT(0.38268343236508978), t911));
            s5D = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t811), MUL_FLT_CPX(C_FLT(0.92387953251128674), t911));
            t012 = SUB_CPX_CPX(s2g, s6t);
            t112 = SUB_CPX_CPX(s3g, s7t);
            a1s = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s2g, s6t));
            a2s = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s3g, s7t));
            s6D = SUB_CPX_CPX(a1s, a2s);
            s7D = ADD_CPX_CPX(a1s, a2s);
            t212 = ADD_CPX_CPX(s6j, s2q);
            t312 = SUB_CPX_CPX(s7j, s3q);
            t412 = SUB_CPX_CPX(s6j, s2q);
            t512 = ADD_CPX_CPX(s7j, s3q);
            s8D = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t412), MUL_FLT_CPX(C_FLT(0.92387953251128674), t512));
            s9D = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t412), MUL_FLT_CPX(C_FLT(0.38268343236508978), t512));
            t612 = ADD_CPX_CPX(t211, t012);
            t712 = SUB_CPX_CPX(t411, t112);
            t812 = SUB_CPX_CPX(t211, t012);
            t912 = ADD_CPX_CPX(t411, t112);
            t013 = ADD_CPX_CPX(t611, t212);
            t113 = SUB_CPX_CPX(t711, t312);
            a3s = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t611, t212));
            a4s = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t711, t312));
            s0E = SUB_CPX_CPX(a3s, a4s);
            s1E = ADD_CPX_CPX(a3s, a4s);
            t213 = ADD_CPX_CPX(t612, t013);
            t313 = SUB_CPX_CPX(t812, t113);
            t413 = SUB_CPX_CPX(t612, t013);
            t513 = ADD_CPX_CPX(t812, t113);
            STOREU_CPX((384 + dst + i2 + (i4*8)), t213);
            STOREU_CPX((2432 + dst + i2 + (i4*8)), t313);
            STOREU_CPX((4480 + dst + i2 + (i4*8)), t413);
            STOREU_CPX((6528 + dst + i2 + (i4*8)), t513);
            t613 = ADD_CPX_CPX(t712, s0E);
            t713 = SUB_CPX_CPX(t912, s1E);
            t813 = SUB_CPX_CPX(t712, s0E);
            t913 = ADD_CPX_CPX(t912, s1E);
            STOREU_CPX((1408 + dst + i2 + (i4*8)), t613);
            STOREU_CPX((3456 + dst + i2 + (i4*8)), t713);
            STOREU_CPX((5504 + dst + i2 + (i4*8)), t813);
            STOREU_CPX((7552 + dst + i2 + (i4*8)), t913);
            t014 = ADD_CPX_CPX(t311, s6D);
            t114 = SUB_CPX_CPX(t511, s7D);
            t214 = SUB_CPX_CPX(t311, s6D);
            t314 = ADD_CPX_CPX(t511, s7D);
            t414 = ADD_CPX_CPX(s4D, s8D);
            t514 = SUB_CPX_CPX(s5D, s9D);
            a5s = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4D, s8D));
            a6s = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5D, s9D));
            s2E = SUB_CPX_CPX(a5s, a6s);
            s3E = ADD_CPX_CPX(a5s, a6s);
            t614 = ADD_CPX_CPX(t014, t414);
            t714 = SUB_CPX_CPX(t214, t514);
            t814 = SUB_CPX_CPX(t014, t414);
            t914 = ADD_CPX_CPX(t214, t514);
            STOREU_CPX((896 + dst + i2 + (i4*8)), t614);
            STOREU_CPX((2944 + dst + i2 + (i4*8)), t714);
            STOREU_CPX((4992 + dst + i2 + (i4*8)), t814);
            STOREU_CPX((7040 + dst + i2 + (i4*8)), t914);
            t015 = ADD_CPX_CPX(t114, s2E);
            t115 = SUB_CPX_CPX(t314, s3E);
            t215 = SUB_CPX_CPX(t114, s2E);
            t315 = ADD_CPX_CPX(t314, s3E);
            STOREU_CPX((1920 + dst + i2 + (i4*8)), t015);
            STOREU_CPX((3968 + dst + i2 + (i4*8)), t115);
            STOREU_CPX((6016 + dst + i2 + (i4*8)), t215);
            STOREU_CPX((8064 + dst + i2 + (i4*8)), t315);
            t415 = ADD_CPX_CPX(t1i, s0n);
            t515 = SUB_CPX_CPX(t3i, s1n);
            t615 = SUB_CPX_CPX(t1i, s0n);
            t715 = ADD_CPX_CPX(t3i, s1n);
            t815 = SUB_CPX_CPX(s0d, s2x);
            t915 = SUB_CPX_CPX(s1d, s3x);
            t016 = ADD_CPX_CPX(s0d, s2x);
            t116 = ADD_CPX_CPX(s1d, s3x);
            s4E = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t016), MUL_FLT_CPX(C_FLT(0.38268343236508978), t116));
            s5E = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t016), MUL_FLT_CPX(C_FLT(0.92387953251128674), t116));
            t216 = SUB_CPX_CPX(s4g, s8t);
            t316 = SUB_CPX_CPX(s5g, s9t);
            a7s = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s4g, s8t));
            a8s = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5g, s9t));
            s6E = SUB_CPX_CPX(a7s, a8s);
            s7E = ADD_CPX_CPX(a7s, a8s);
            t416 = SUB_CPX_CPX(s8j, s4q);
            t516 = SUB_CPX_CPX(s9j, s5q);
            t616 = ADD_CPX_CPX(s8j, s4q);
            t716 = ADD_CPX_CPX(s9j, s5q);
            s8E = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t616), MUL_FLT_CPX(C_FLT(0.92387953251128674), t716));
            s9E = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t616), MUL_FLT_CPX(C_FLT(0.38268343236508978), t716));
            t816 = ADD_CPX_CPX(t415, t216);
            t916 = SUB_CPX_CPX(t615, t316);
            t017 = SUB_CPX_CPX(t415, t216);
            t117 = ADD_CPX_CPX(t615, t316);
            t217 = ADD_CPX_CPX(t815, t416);
            t317 = SUB_CPX_CPX(t915, t516);
            a9s = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t815, t416));
            a0t = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t915, t516));
            s0F = SUB_CPX_CPX(a9s, a0t);
            s1F = ADD_CPX_CPX(a9s, a0t);
            t417 = ADD_CPX_CPX(t816, t217);
            t517 = SUB_CPX_CPX(t017, t317);
            t617 = SUB_CPX_CPX(t816, t217);
            t717 = ADD_CPX_CPX(t017, t317);
            STOREU_CPX((448 + dst + i2 + (i4*8)), t417);
            STOREU_CPX((2496 + dst + i2 + (i4*8)), t517);
            STOREU_CPX((4544 + dst + i2 + (i4*8)), t617);
            STOREU_CPX((6592 + dst + i2 + (i4*8)), t717);
            t817 = ADD_CPX_CPX(t916, s0F);
            t917 = SUB_CPX_CPX(t117, s1F);
            t018 = SUB_CPX_CPX(t916, s0F);
            t118 = ADD_CPX_CPX(t117, s1F);
            STOREU_CPX((1472 + dst + i2 + (i4*8)), t817);
            STOREU_CPX((3520 + dst + i2 + (i4*8)), t917);
            STOREU_CPX((5568 + dst + i2 + (i4*8)), t018);
            STOREU_CPX((7616 + dst + i2 + (i4*8)), t118);
            t218 = ADD_CPX_CPX(t515, s6E);
            t318 = SUB_CPX_CPX(t715, s7E);
            t418 = SUB_CPX_CPX(t515, s6E);
            t518 = ADD_CPX_CPX(t715, s7E);
            t618 = ADD_CPX_CPX(s4E, s8E);
            t718 = SUB_CPX_CPX(s5E, s9E);
            a1t = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4E, s8E));
            a2t = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5E, s9E));
            s2F = SUB_CPX_CPX(a1t, a2t);
            s3F = ADD_CPX_CPX(a1t, a2t);
            t818 = ADD_CPX_CPX(t218, t618);
            t918 = SUB_CPX_CPX(t418, t718);
            t019 = SUB_CPX_CPX(t218, t618);
            t119 = ADD_CPX_CPX(t418, t718);
            STOREU_CPX((960 + dst + i2 + (i4*8)), t818);
            STOREU_CPX((3008 + dst + i2 + (i4*8)), t918);
            STOREU_CPX((5056 + dst + i2 + (i4*8)), t019);
            STOREU_CPX((7104 + dst + i2 + (i4*8)), t119);
            t219 = ADD_CPX_CPX(t318, s2F);
            t319 = SUB_CPX_CPX(t518, s3F);
            t419 = SUB_CPX_CPX(t318, s2F);
            t519 = ADD_CPX_CPX(t518, s3F);
            STOREU_CPX((1984 + dst + i2 + (i4*8)), t219);
            STOREU_CPX((4032 + dst + i2 + (i4*8)), t319);
            STOREU_CPX((6080 + dst + i2 + (i4*8)), t419);
            STOREU_CPX((8128 + dst + i2 + (i4*8)), t519);
        }}
    }}
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_fftfwd_double_8192)(const double *pSrc, double *pDst ) {
    if (!is_aligned(pSrc) || !is_aligned(pDst))
       	return spiral_fftfwd_double_8192_unaligned(pSrc, pDst );
    else {
    const CPX  *src = (const CPX *) pSrc; 
    CPX        *dst = (CPX *) pDst;
    
    
    { SPIRAL_ALIGNED(CPX T[8192]);
     SPIRAL_ALIGNED(CPX T2[1024]);
    CPX  *a06, *a07, *a08, *a09, *a0c, *a0e, *a0g, *a0i, *a0k, *a0m, *a0n, *a0o, *a0p, *a0q, *a0r, *a16, *a17, *a18, *a19, *a1b, *a1c, *a1e
            , *a1g, *a1i, *a1k, *a1m, *a1o, *a1q, *a26, *a28, *a29, *a2b, *a2c, *a2e, *a2g, *a2i, *a2k, *a2m, *a2o, *a2q, *a36, *a38, *a3b, *a3d
            , *a3e, *a3f, *a3g, *a3h, *a3i, *a3j, *a3k, *a3m, *a3o, *a3q, *a45, *a46, *a48, *a4b, *a4d, *a4e, *a4f, *a4g, *a4h, *a4i, *a4j, *a4k
            , *a4m, *a4o, *a4q, *a55, *a56, *a58, *a5b, *a5c, *a5d, *a5e, *a5f, *a5g, *a5h, *a5i, *a5j, *a5k, *a5l, *a5m, *a5n, *a5o, *a5p, *a5q
            , *a65, *a68, *a6b, *a6c, *a6d, *a6e, *a6f, *a6g, *a6h, *a6i, *a6j, *a6k, *a6l, *a6m, *a6n, *a6o, *a6p, *a6q, *a75, *a77, *a78, *a7b
            , *a7c, *a7d, *a7e, *a7f, *a7g, *a7h, *a7i, *a7j, *a7k, *a7l, *a7m, *a7n, *a7o, *a7p, *a7q, *a85, *a86, *a87, *a88, *a8b, *a8c, *a8d
            , *a8e, *a8f, *a8g, *a8h, *a8i, *a8j, *a8k, *a8l, *a8m, *a8n, *a8o, *a8p, *a8q, *a95, *a96, *a97, *a98, *a9b, *a9d, *a9f, *a9h, *a9j
            , *a9l, *a9m, *a9n, *a9o, *a9p, *a9q, *a9r, *b2, *b3, *b4, *b5, *b6;
    const CPX  *a, *a01, *a02, *a03, *a11, *a12, *a13, *a2, *a21, *a22, *a23, *a3, *a31, *a32, *a33, *a4, *a41, *a42, *a43, *a5, *a51, *a52
            , *a53, *a6, *a61, *a62, *a7, *a71, *a72, *a82, *a92, *b;
    FLT  *a04, *a05, *a0a, *a0b, *a14, *a15, *a1a, *a24, *a25, *a2a, *a34, *a35, *a3a, *a44, *a4a, *a54, *a5a, *a64, *a6a, *a74, *a79, *a7a
            , *a84, *a89, *a8a, *a94, *a99, *a9a;
    int a67;
    CPX a0d, a0f, a0h, a0j, a0l, a0s, a0t, a0u, a0v, a0w, a1d, a1f, a1h, a1j, a1l, a1n, a1p, a1r, a1s, a1t, a1u, a1v
        , a1w, a27, a2d, a2f, a2h, a2j, a2l, a2n, a2p, a2r, a2s, a2t, a2u, a2v, a2w, a37, a39, a3c, a3l, a3n, a3p, a3r
        , a3s, a3t, a3u, a3v, a3w, a47, a49, a4c, a4l, a4n, a4p, a4r, a4s, a4t, a4u, a4v, a57, a59, a5r, a5s, a5t, a5u
        , a5v, a63, a66, a69, a6r, a6s, a6t, a6u, a6v, a73, a76, a7r, a7s, a7t, a7u, a7v, a8, a81, a83, a8r, a8s, a8t
        , a8u, a8v, a9, a91, a93, a9c, a9e, a9g, a9i, a9k, a9s, a9t, a9u, a9v, s, s01, s02, s03, s04, s05, s06, s07
        , s08, s09, s0A, s0B, s0C, s0a, s0b, s0c, s0d, s0e, s0f, s0g, s0h, s0i, s0j, s0k, s0l, s0m, s0n, s0o, s0p, s0q
        , s0r, s0s, s0t, s0u, s0v, s0w, s0x, s0y, s0z, s11, s12, s13, s14, s15, s16, s17, s18, s19, s1A, s1B, s1C, s1a
        , s1b, s1c, s1d, s1e, s1f, s1g, s1h, s1i, s1j, s1k, s1l, s1m, s1n, s1o, s1p, s1q, s1r, s1s, s1t, s1u, s1v, s1w
        , s1x, s1y, s1z, s2, s21, s22, s23, s24, s25, s26, s27, s28, s29, s2A, s2B, s2a, s2b, s2c, s2d, s2e, s2f, s2g
        , s2h, s2i, s2j, s2k, s2l, s2m, s2n, s2o, s2p, s2q, s2r, s2s, s2t, s2u, s2v, s2w, s2x, s2y, s2z, s3, s31, s32
        , s33, s34, s35, s36, s37, s38, s39, s3A, s3B, s3a, s3b, s3c, s3d, s3e, s3f, s3g, s3h, s3i, s3j, s3k, s3l, s3m
        , s3n, s3o, s3p, s3q, s3r, s3s, s3t, s3u, s3v, s3w, s3x, s3y, s3z, s4, s41, s42, s43, s44, s45, s46, s47, s48
        , s49, s4A, s4B, s4a, s4b, s4c, s4d, s4e, s4f, s4g, s4h, s4i, s4j, s4k, s4l, s4m, s4n, s4o, s4p, s4q, s4r, s4s
        , s4t, s4u, s4v, s4w, s4x, s4y, s4z, s5, s51, s52, s53, s54, s55, s56, s57, s58, s59, s5A, s5B, s5a, s5b, s5c
        , s5d, s5e, s5f, s5g, s5h, s5i, s5j, s5k, s5l, s5m, s5n, s5o, s5p, s5q, s5r, s5s, s5t, s5u, s5v, s5w, s5x, s5y
        , s5z, s6, s61, s62, s63, s64, s65, s66, s67, s68, s69, s6A, s6B, s6a, s6b, s6c, s6d, s6e, s6f, s6g, s6h, s6i
        , s6j, s6k, s6l, s6m, s6n, s6o, s6p, s6q, s6r, s6s, s6t, s6u, s6v, s6w, s6x, s6y, s6z, s7, s71, s72, s73, s74
        , s75, s76, s77, s78, s79, s7A, s7B, s7a, s7b, s7c, s7d, s7e, s7f, s7g, s7h, s7i, s7j, s7k, s7l, s7m, s7n, s7o
        , s7p, s7q, s7r, s7s, s7t, s7u, s7v, s7w, s7x, s7y, s7z, s8, s81, s82, s83, s84, s85, s86, s87, s88, s89, s8A
        , s8B, s8a, s8b, s8c, s8d, s8e, s8f, s8g, s8h, s8i, s8j, s8k, s8l, s8m, s8n, s8o, s8p, s8q, s8r, s8s, s8t, s8u
        , s8v, s8w, s8x, s8y, s8z, s9, s91, s92, s93, s94, s95, s96, s97, s98, s99, s9A, s9B, s9a, s9b, s9c, s9d, s9e
        , s9f, s9g, s9h, s9i, s9j, s9k, s9l, s9m, s9n, s9o, s9p, s9q, s9r, s9s, s9t, s9u, s9v, s9w, s9x, s9y, s9z, t
        , t01, t02, t03, t04, t05, t06, t07, t08, t09, t0A, t0B, t0C, t0D, t0E, t0F, t0G, t0H, t0I, t0J, t0K, t0L, t0M
        , t0N, t0O, t0P, t0Q, t0R, t0S, t0T, t0U, t0V, t0W, t0a, t0b, t0c, t0d, t0e, t0f, t0g, t0h, t0i, t0j, t0k, t0l
        , t0m, t0n, t0o, t0p, t0q, t0r, t0s, t0t, t0u, t0v, t0w, t0x, t0y, t0z, t11, t12, t13, t14, t15, t16, t17, t18
        , t19, t1A, t1B, t1C, t1D, t1E, t1F, t1G, t1H, t1I, t1J, t1K, t1L, t1M, t1N, t1O, t1P, t1Q, t1R, t1S, t1T, t1U
        , t1V, t1W, t1a, t1b, t1c, t1d, t1e, t1f, t1g, t1h, t1i, t1j, t1k, t1l, t1m, t1n, t1o, t1p, t1q, t1r, t1s, t1t
        , t1u, t1v, t1w, t1x, t1y, t1z, t2, t21, t22, t23, t24, t25, t26, t27, t28, t29, t2A, t2B, t2C, t2D, t2E, t2F
        , t2G, t2H, t2I, t2J, t2K, t2L, t2M, t2N, t2O, t2P, t2Q, t2R, t2S, t2T, t2U, t2V, t2W, t2a, t2b, t2c, t2d, t2e
        , t2f, t2g, t2h, t2i, t2j, t2k, t2l, t2m, t2n, t2o, t2p, t2q, t2r, t2s, t2t, t2u, t2v, t2w, t2x, t2y, t2z, t3
        , t31, t32, t33, t34, t35, t36, t37, t38, t39, t3A, t3B, t3C, t3D, t3E, t3F, t3G, t3H, t3I, t3J, t3K, t3L, t3M
        , t3N, t3O, t3P, t3Q, t3R, t3S, t3T, t3U, t3V, t3W, t3a, t3b, t3c, t3d, t3e, t3f, t3g, t3h, t3i, t3j, t3k, t3l
        , t3m, t3n, t3o, t3p, t3q, t3r, t3s, t3t, t3u, t3v, t3w, t3x, t3y, t3z, t4, t41, t42, t43, t44, t45, t46, t47
        , t48, t49, t4A, t4B, t4C, t4D, t4E, t4F, t4G, t4H, t4I, t4J, t4K, t4L, t4M, t4N, t4O, t4P, t4Q, t4R, t4S, t4T
        , t4U, t4V, t4W, t4a, t4b, t4c, t4d, t4e, t4f, t4g, t4h, t4i, t4j, t4k, t4l, t4m, t4n, t4o, t4p, t4q, t4r, t4s
        , t4t, t4u, t4v, t4w, t4x, t4y, t4z, t5, t51, t52, t53, t54, t55, t56, t57, t58, t59, t5A, t5B, t5C, t5D, t5E
        , t5F, t5G, t5H, t5I, t5J, t5K, t5L, t5M, t5N, t5O, t5P, t5Q, t5R, t5S, t5T, t5U, t5V, t5W, t5a, t5b, t5c, t5d
        , t5e, t5f, t5g, t5h, t5i, t5j, t5k, t5l, t5m, t5n, t5o, t5p, t5q, t5r, t5s, t5t, t5u, t5v, t5w, t5x, t5y, t5z
        , t6, t61, t62, t63, t64, t65, t66, t67, t68, t69, t6A, t6B, t6C, t6D, t6E, t6F, t6G, t6H, t6I, t6J, t6K, t6L
        , t6M, t6N, t6O, t6P, t6Q, t6R, t6S, t6T, t6U, t6V, t6W, t6a, t6b, t6c, t6d, t6e, t6f, t6g, t6h, t6i, t6j, t6k
        , t6l, t6m, t6n, t6o, t6p, t6q, t6r, t6s, t6t, t6u, t6v, t6w, t6x, t6y, t6z, t7, t71, t72, t73, t74, t75, t76
        , t77, t78, t79, t7A, t7B, t7C, t7D, t7E, t7F, t7G, t7H, t7I, t7J, t7K, t7L, t7M, t7N, t7O, t7P, t7Q, t7R, t7S
        , t7T, t7U, t7V, t7W, t7a, t7b, t7c, t7d, t7e, t7f, t7g, t7h, t7i, t7j, t7k, t7l, t7m, t7n, t7o, t7p, t7q, t7r
        , t7s, t7t, t7u, t7v, t7w, t7x, t7y, t7z, t8, t81, t82, t83, t84, t85, t86, t87, t88, t89, t8A, t8B, t8C, t8D
        , t8E, t8F, t8G, t8H, t8I, t8J, t8K, t8L, t8M, t8N, t8O, t8P, t8Q, t8R, t8S, t8T, t8U, t8V, t8a, t8b, t8c, t8d
        , t8e, t8f, t8g, t8h, t8i, t8j, t8k, t8l, t8m, t8n, t8o, t8p, t8q, t8r, t8s, t8t, t8u, t8v, t8w, t8x, t8y, t8z
        , t9, t91, t92, t93, t94, t95, t96, t97, t98, t99, t9A, t9B, t9C, t9D, t9E, t9F, t9G, t9H, t9I, t9J, t9K, t9L
        , t9M, t9N, t9O, t9P, t9Q, t9R, t9S, t9T, t9U, t9V, t9a, t9b, t9c, t9d, t9e, t9f, t9g, t9h, t9i, t9j, t9k, t9l
        , t9m, t9n, t9o, t9p, t9q, t9r, t9s, t9t, t9u, t9v, t9w, t9x, t9y, t9z;
    a = (src + 4096);
    t = ADD_CPX_CPX(*(src), *(a));
    t2 = SUB_CPX_CPX(*(src), *(a));
    a2 = (src + 2048);
    a3 = (src + 6144);
    t3 = ADD_CPX_CPX(*(a2), *(a3));
    s = MUL_NI_CPX(SUB_CPX_CPX(*(a2), *(a3)));
    t4 = ADD_CPX_CPX(t, t3);
    t5 = SUB_CPX_CPX(t, t3);
    t6 = ADD_CPX_CPX(t2, s);
    t7 = SUB_CPX_CPX(t2, s);
    a4 = (src + 1024);
    a5 = (src + 7168);
    t8 = ADD_CPX_CPX(*(a4), *(a5));
    t9 = ADD_CPX_CPX(MUL_I_CPX(*(a4)), MUL_NI_CPX(*(a5)));
    a6 = (src + 5120);
    a7 = (src + 3072);
    t01 = ADD_CPX_CPX(*(a6), *(a7));
    t11 = ADD_CPX_CPX(MUL_I_CPX(*(a6)), MUL_NI_CPX(*(a7)));
    t21 = ADD_CPX_CPX(t8, t01);
    t31 = ADD_CPX_CPX(t9, t11);
    a8 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8, t01));
    a9 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9, t11));
    s2 = SUB_CPX_CPX(a8, a9);
    s3 = ADD_CPX_CPX(a8, a9);
    t41 = ADD_CPX_CPX(t4, t21);
    t51 = SUB_CPX_CPX(t5, t31);
    t61 = SUB_CPX_CPX(t4, t21);
    t71 = ADD_CPX_CPX(t5, t31);
    t81 = ADD_CPX_CPX(t6, s2);
    t91 = SUB_CPX_CPX(t7, s3);
    t02 = SUB_CPX_CPX(t6, s2);
    t12 = ADD_CPX_CPX(t7, s3);
    a01 = (src + 512);
    a11 = (src + 7680);
    t22 = ADD_CPX_CPX(*(a01), *(a11));
    t32 = ADD_CPX_CPX(MUL_I_CPX(*(a01)), MUL_NI_CPX(*(a11)));
    a21 = (src + 2560);
    a31 = (src + 5632);
    t42 = ADD_CPX_CPX(*(a21), *(a31));
    t52 = ADD_CPX_CPX(MUL_I_CPX(*(a21)), MUL_NI_CPX(*(a31)));
    a41 = (src + 4608);
    a51 = (src + 3584);
    t62 = ADD_CPX_CPX(*(a41), *(a51));
    t72 = ADD_CPX_CPX(MUL_I_CPX(*(a41)), MUL_NI_CPX(*(a51)));
    a61 = (src + 6656);
    a71 = (src + 1536);
    t82 = ADD_CPX_CPX(*(a61), *(a71));
    t92 = ADD_CPX_CPX(MUL_I_CPX(*(a61)), MUL_NI_CPX(*(a71)));
    t03 = ADD_CPX_CPX(t22, t62);
    t13 = ADD_CPX_CPX(t32, t72);
    t23 = SUB_CPX_CPX(t22, t62);
    t33 = SUB_CPX_CPX(t32, t72);
    t43 = ADD_CPX_CPX(t42, t82);
    t53 = ADD_CPX_CPX(t52, t92);
    t63 = SUB_CPX_CPX(t42, t82);
    t73 = SUB_CPX_CPX(t52, t92);
    t83 = ADD_CPX_CPX(t03, t43);
    t93 = ADD_CPX_CPX(t13, t53);
    t04 = SUB_CPX_CPX(t23, t73);
    t14 = ADD_CPX_CPX(t33, t63);
    t24 = ADD_CPX_CPX(t23, t73);
    t34 = SUB_CPX_CPX(t33, t63);
    s4 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t04), MUL_FLT_CPX(C_FLT(0.38268343236508978), t14));
    s5 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t04), MUL_FLT_CPX(C_FLT(0.92387953251128674), t14));
    a81 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t03, t43));
    a91 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t13, t53));
    s6 = SUB_CPX_CPX(a81, a91);
    s7 = ADD_CPX_CPX(a81, a91);
    s8 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t24), MUL_FLT_CPX(C_FLT(0.92387953251128674), t34));
    s9 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t24), MUL_FLT_CPX(C_FLT(0.38268343236508978), t34));
    *(T) = ADD_CPX_CPX(t41, t83);
    *((T + 4)) = SUB_CPX_CPX(t61, t93);
    *((T + 8)) = SUB_CPX_CPX(t41, t83);
    *((T + 12)) = ADD_CPX_CPX(t61, t93);
    *((T + 1)) = ADD_CPX_CPX(t81, s4);
    *((T + 5)) = SUB_CPX_CPX(t02, s5);
    *((T + 9)) = SUB_CPX_CPX(t81, s4);
    *((T + 13)) = ADD_CPX_CPX(t02, s5);
    *((T + 2)) = ADD_CPX_CPX(t51, s6);
    *((T + 6)) = SUB_CPX_CPX(t71, s7);
    *((T + 10)) = SUB_CPX_CPX(t51, s6);
    *((T + 14)) = ADD_CPX_CPX(t71, s7);
    *((T + 3)) = ADD_CPX_CPX(t91, s8);
    *((T + 7)) = SUB_CPX_CPX(t12, s9);
    *((T + 11)) = SUB_CPX_CPX(t91, s8);
    *((T + 15)) = ADD_CPX_CPX(t12, s9);
    {long i; for(i = 0; i <= 510; i++) {
        b = (src + i);
        a02 = (b + 1);
        a12 = (src + (8191 - i));
        t44 = ADD_CPX_CPX(*(a02), *(a12));
        t54 = ADD_CPX_CPX(MUL_I_CPX(*(a02)), MUL_NI_CPX(*(a12)));
        a22 = (b + 1025);
        a32 = (src + (7167 - i));
        t64 = ADD_CPX_CPX(*(a22), *(a32));
        t74 = ADD_CPX_CPX(MUL_I_CPX(*(a22)), MUL_NI_CPX(*(a32)));
        a42 = (b + 2049);
        a52 = (src + (6143 - i));
        t84 = ADD_CPX_CPX(*(a42), *(a52));
        t94 = ADD_CPX_CPX(MUL_I_CPX(*(a42)), MUL_NI_CPX(*(a52)));
        a62 = (b + 3073);
        a72 = (src + (5119 - i));
        t05 = ADD_CPX_CPX(*(a62), *(a72));
        t15 = ADD_CPX_CPX(MUL_I_CPX(*(a62)), MUL_NI_CPX(*(a72)));
        a82 = (b + 4097);
        a92 = (src + (4095 - i));
        t25 = ADD_CPX_CPX(*(a82), *(a92));
        t35 = ADD_CPX_CPX(MUL_I_CPX(*(a82)), MUL_NI_CPX(*(a92)));
        a03 = (b + 5121);
        a13 = (src + (3071 - i));
        t45 = ADD_CPX_CPX(*(a03), *(a13));
        t55 = ADD_CPX_CPX(MUL_I_CPX(*(a03)), MUL_NI_CPX(*(a13)));
        a23 = (b + 6145);
        a33 = (src + (2047 - i));
        t65 = ADD_CPX_CPX(*(a23), *(a33));
        t75 = ADD_CPX_CPX(MUL_I_CPX(*(a23)), MUL_NI_CPX(*(a33)));
        a43 = (b + 7169);
        a53 = (src + (1023 - i));
        t85 = ADD_CPX_CPX(*(a43), *(a53));
        t95 = ADD_CPX_CPX(MUL_I_CPX(*(a43)), MUL_NI_CPX(*(a53)));
        t06 = ADD_CPX_CPX(t44, t25);
        t16 = ADD_CPX_CPX(t54, t35);
        t26 = SUB_CPX_CPX(t44, t25);
        t36 = SUB_CPX_CPX(t54, t35);
        t46 = ADD_CPX_CPX(t84, t65);
        t56 = ADD_CPX_CPX(t94, t75);
        t66 = SUB_CPX_CPX(t84, t65);
        t76 = SUB_CPX_CPX(t94, t75);
        t86 = ADD_CPX_CPX(t06, t46);
        t96 = ADD_CPX_CPX(t16, t56);
        t07 = SUB_CPX_CPX(t06, t46);
        t17 = SUB_CPX_CPX(t16, t56);
        t27 = SUB_CPX_CPX(t26, t76);
        t37 = ADD_CPX_CPX(t36, t66);
        t47 = ADD_CPX_CPX(t26, t76);
        t57 = SUB_CPX_CPX(t36, t66);
        t67 = ADD_CPX_CPX(t64, t85);
        t77 = ADD_CPX_CPX(t74, t95);
        t87 = SUB_CPX_CPX(t74, t95);
        t97 = SUB_CPX_CPX(t85, t64);
        t08 = ADD_CPX_CPX(t45, t05);
        t18 = ADD_CPX_CPX(t55, t15);
        t28 = SUB_CPX_CPX(t55, t15);
        t38 = SUB_CPX_CPX(t05, t45);
        s01 = ADD_CPX_CPX(t67, t08);
        s11 = ADD_CPX_CPX(t77, t18);
        s21 = ADD_CPX_CPX(t87, t28);
        s31 = ADD_CPX_CPX(t97, t38);
        a63 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t67, t08));
        a73 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t87, t28));
        t48 = SUB_CPX_CPX(a63, a73);
        a83 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t77, t18));
        a93 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t97, t38));
        t58 = SUB_CPX_CPX(a83, a93);
        t68 = ADD_CPX_CPX(a63, a73);
        t78 = ADD_CPX_CPX(a83, a93);
        s41 = SUB_CPX_CPX(t07, s21);
        s51 = SUB_CPX_CPX(t17, s31);
        s61 = SUB_CPX_CPX(t86, s01);
        s71 = SUB_CPX_CPX(t96, s11);
        s81 = ADD_CPX_CPX(t07, s21);
        s91 = ADD_CPX_CPX(t17, s31);
        s02 = ADD_CPX_CPX(t27, t48);
        s12 = ADD_CPX_CPX(t37, t58);
        s22 = SUB_CPX_CPX(t47, t68);
        s32 = SUB_CPX_CPX(t57, t78);
        s42 = SUB_CPX_CPX(t27, t48);
        s52 = SUB_CPX_CPX(t37, t58);
        s62 = ADD_CPX_CPX(t47, t68);
        s72 = ADD_CPX_CPX(t57, t78);
        b2 = (T + (16*i));
        *((b2 + 16)) = ADD_CPX_CPX(t86, s01);
        *((b2 + 24)) = ADD_CPX_CPX(t96, s11);
        a04 = (D1018 + (14*i));
        a14 = (a04 + 1);
        a24 = (a04 + 2);
        a34 = (a04 + 3);
        a44 = (a04 + 4);
        a54 = (a04 + 5);
        a64 = (a04 + 6);
        a74 = (a04 + 7);
        a84 = (a04 + 8);
        a94 = (a04 + 9);
        a05 = (a04 + 10);
        a15 = (a04 + 11);
        a25 = (a04 + 12);
        a35 = (a04 + 13);
        *((b2 + 17)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a04), s02), MUL_FLT_CPX(*(a14), s12));
        *((b2 + 25)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a14), s02), MUL_FLT_CPX(*(a04), s12));
        *((b2 + 18)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a24), s41), MUL_FLT_CPX(*(a34), s51));
        *((b2 + 26)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a34), s41), MUL_FLT_CPX(*(a24), s51));
        *((b2 + 19)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a44), s22), MUL_FLT_CPX(*(a54), s32));
        *((b2 + 27)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a54), s22), MUL_FLT_CPX(*(a44), s32));
        *((b2 + 20)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a64), s61), MUL_FLT_CPX(*(a74), s71));
        *((b2 + 28)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a74), s61), MUL_FLT_CPX(*(a64), s71));
        *((b2 + 21)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a84), s42), MUL_FLT_CPX(*(a94), s52));
        *((b2 + 29)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a94), s42), MUL_FLT_CPX(*(a84), s52));
        *((b2 + 22)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a05), s81), MUL_FLT_CPX(*(a15), s91));
        *((b2 + 30)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a15), s81), MUL_FLT_CPX(*(a05), s91));
        *((b2 + 23)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a25), s62), MUL_FLT_CPX(*(a35), s72));
        *((b2 + 31)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a35), s62), MUL_FLT_CPX(*(a25), s72));
    }}
    {long i2; for(i2 = 0; i2 <= 7; i2++) {
        a45 = (T + i2);
        a55 = (a45 + 8);
        a65 = (a45 + 4096);
        a75 = (a45 + 4104);
        t88 = ADD_CPX_CPX(*(a45), *(a65));
        t98 = SUB_CPX_CPX(*(a55), *(a75));
        t09 = SUB_CPX_CPX(*(a45), *(a65));
        t19 = ADD_CPX_CPX(*(a55), *(a75));
        a85 = (a45 + 1024);
        a95 = (a45 + 1032);
        a06 = (a45 + 7168);
        a16 = (a45 + 7176);
        t29 = ADD_CPX_CPX(*(a85), *(a06));
        t39 = SUB_CPX_CPX(*(a95), *(a16));
        t49 = SUB_CPX_CPX(*(a85), *(a06));
        t59 = ADD_CPX_CPX(*(a95), *(a16));
        s82 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t49), MUL_FLT_CPX(C_FLT(0.38268343236508978), t59));
        s92 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t49), MUL_FLT_CPX(C_FLT(0.92387953251128674), t59));
        a26 = (a45 + 2048);
        a36 = (a45 + 2056);
        a46 = (a45 + 6144);
        a56 = (a45 + 6152);
        t69 = ADD_CPX_CPX(*(a26), *(a46));
        t79 = SUB_CPX_CPX(*(a36), *(a56));
        a66 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a26), *(a46)));
        a76 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(*(a36), *(a56)));
        s03 = SUB_CPX_CPX(a66, a76);
        s13 = ADD_CPX_CPX(a66, a76);
        a86 = (a45 + 3072);
        a96 = (a45 + 3080);
        a07 = (a45 + 5120);
        a17 = (a45 + 5128);
        t89 = ADD_CPX_CPX(*(a86), *(a07));
        t99 = SUB_CPX_CPX(*(a96), *(a17));
        t0a = SUB_CPX_CPX(*(a86), *(a07));
        t1a = ADD_CPX_CPX(*(a96), *(a17));
        s23 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t0a), MUL_FLT_CPX(C_FLT(0.92387953251128674), t1a));
        s33 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t0a), MUL_FLT_CPX(C_FLT(0.38268343236508978), t1a));
        t2a = ADD_CPX_CPX(t88, t69);
        t3a = SUB_CPX_CPX(t09, t79);
        t4a = SUB_CPX_CPX(t88, t69);
        t5a = ADD_CPX_CPX(t09, t79);
        t6a = ADD_CPX_CPX(t29, t89);
        t7a = SUB_CPX_CPX(t39, t99);
        a27 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t29, t89));
        a37 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t39, t99));
        s43 = SUB_CPX_CPX(a27, a37);
        s53 = ADD_CPX_CPX(a27, a37);
        *(T2) = ADD_CPX_CPX(t2a, t6a);
        *((T2 + 512)) = SUB_CPX_CPX(t4a, t7a);
        *((T2 + 1)) = SUB_CPX_CPX(t2a, t6a);
        *((T2 + 513)) = ADD_CPX_CPX(t4a, t7a);
        *((T2 + 256)) = ADD_CPX_CPX(t3a, s43);
        *((T2 + 768)) = SUB_CPX_CPX(t5a, s53);
        *((T2 + 257)) = SUB_CPX_CPX(t3a, s43);
        *((T2 + 769)) = ADD_CPX_CPX(t5a, s53);
        t8a = ADD_CPX_CPX(t98, s03);
        t9a = SUB_CPX_CPX(t19, s13);
        t0b = SUB_CPX_CPX(t98, s03);
        t1b = ADD_CPX_CPX(t19, s13);
        t2b = ADD_CPX_CPX(s82, s23);
        t3b = SUB_CPX_CPX(s92, s33);
        a47 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s82, s23));
        a57 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s92, s33));
        s63 = SUB_CPX_CPX(a47, a57);
        s73 = ADD_CPX_CPX(a47, a57);
        *((T2 + 128)) = ADD_CPX_CPX(t8a, t2b);
        *((T2 + 640)) = SUB_CPX_CPX(t0b, t3b);
        *((T2 + 129)) = SUB_CPX_CPX(t8a, t2b);
        *((T2 + 641)) = ADD_CPX_CPX(t0b, t3b);
        *((T2 + 384)) = ADD_CPX_CPX(t9a, s63);
        *((T2 + 896)) = SUB_CPX_CPX(t1b, s73);
        *((T2 + 385)) = SUB_CPX_CPX(t9a, s63);
        *((T2 + 897)) = ADD_CPX_CPX(t1b, s73);
        {long i3; for(i3 = 0; i3 <= 62; i3++) {
            a67 = (16*i3);
            b3 = (T + i2);
            b4 = (b3 + a67);
            a77 = (b4 + 16);
            a87 = (b4 + 24);
            b5 = SUB_INT_INT(b3, a67);
            a97 = (b5 + 8176);
            a08 = (b5 + 8184);
            t4b = ADD_CPX_CPX(*(a77), *(a97));
            t5b = SUB_CPX_CPX(*(a87), *(a08));
            t6b = SUB_CPX_CPX(*(a77), *(a97));
            t7b = ADD_CPX_CPX(*(a87), *(a08));
            a18 = (b4 + 4112);
            a28 = (b4 + 4120);
            a38 = (b5 + 4080);
            a48 = (b5 + 4088);
            t8b = ADD_CPX_CPX(*(a18), *(a38));
            t9b = SUB_CPX_CPX(*(a28), *(a48));
            t0c = SUB_CPX_CPX(*(a18), *(a38));
            t1c = ADD_CPX_CPX(*(a28), *(a48));
            t2c = ADD_CPX_CPX(t4b, t8b);
            t3c = ADD_CPX_CPX(t5b, t9b);
            t4c = SUB_CPX_CPX(t4b, t8b);
            t5c = SUB_CPX_CPX(t5b, t9b);
            t6c = SUB_CPX_CPX(t6b, t1c);
            t7c = ADD_CPX_CPX(t7b, t0c);
            t8c = ADD_CPX_CPX(t6b, t1c);
            t9c = SUB_CPX_CPX(t7b, t0c);
            a58 = (b4 + 2064);
            a68 = (b4 + 2072);
            a78 = (b5 + 2032);
            a88 = (b5 + 2040);
            t0d = ADD_CPX_CPX(*(a58), *(a78));
            t1d = SUB_CPX_CPX(*(a68), *(a88));
            t2d = ADD_CPX_CPX(*(a68), *(a88));
            t3d = SUB_CPX_CPX(*(a78), *(a58));
            a98 = (b5 + 6128);
            a09 = (b5 + 6136);
            a19 = (b4 + 6160);
            a29 = (b4 + 6168);
            t4d = ADD_CPX_CPX(*(a98), *(a19));
            t5d = SUB_CPX_CPX(*(a29), *(a09));
            t6d = ADD_CPX_CPX(*(a09), *(a29));
            t7d = SUB_CPX_CPX(*(a19), *(a98));
            s83 = ADD_CPX_CPX(t0d, t4d);
            s93 = ADD_CPX_CPX(t1d, t5d);
            s04 = SUB_CPX_CPX(t2d, t6d);
            s14 = ADD_CPX_CPX(t3d, t7d);
            a39 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0d, t4d));
            a49 = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t2d, t6d));
            t8d = SUB_CPX_CPX(a39, a49);
            a59 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t1d, t5d));
            a69 = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3d, t7d));
            t9d = SUB_CPX_CPX(a59, a69);
            t0e = ADD_CPX_CPX(a39, a49);
            t1e = ADD_CPX_CPX(a59, a69);
            s24 = SUB_CPX_CPX(t4c, s04);
            s34 = SUB_CPX_CPX(t5c, s14);
            s44 = SUB_CPX_CPX(t2c, s83);
            s54 = SUB_CPX_CPX(t3c, s93);
            s64 = ADD_CPX_CPX(t4c, s04);
            s74 = ADD_CPX_CPX(t5c, s14);
            s84 = ADD_CPX_CPX(t6c, t8d);
            s94 = ADD_CPX_CPX(t7c, t9d);
            s05 = SUB_CPX_CPX(t8c, t0e);
            s15 = SUB_CPX_CPX(t9c, t1e);
            s25 = SUB_CPX_CPX(t6c, t8d);
            s35 = SUB_CPX_CPX(t7c, t9d);
            s45 = ADD_CPX_CPX(t8c, t0e);
            s55 = ADD_CPX_CPX(t9c, t1e);
            b6 = (T2 + (2*i3));
            *((b6 + 2)) = ADD_CPX_CPX(t2c, s83);
            *((b6 + 3)) = ADD_CPX_CPX(t3c, s93);
            a79 = (D996 + (14*i3));
            a89 = (a79 + 1);
            a99 = (a79 + 2);
            a0a = (a79 + 3);
            a1a = (a79 + 4);
            a2a = (a79 + 5);
            a3a = (a79 + 6);
            a4a = (a79 + 7);
            a5a = (a79 + 8);
            a6a = (a79 + 9);
            a7a = (a79 + 10);
            a8a = (a79 + 11);
            a9a = (a79 + 12);
            a0b = (a79 + 13);
            *((b6 + 130)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a79), s84), MUL_FLT_CPX(*(a89), s94));
            *((b6 + 131)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a89), s84), MUL_FLT_CPX(*(a79), s94));
            *((b6 + 258)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a99), s24), MUL_FLT_CPX(*(a0a), s34));
            *((b6 + 259)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a0a), s24), MUL_FLT_CPX(*(a99), s34));
            *((b6 + 386)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a1a), s05), MUL_FLT_CPX(*(a2a), s15));
            *((b6 + 387)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a2a), s05), MUL_FLT_CPX(*(a1a), s15));
            *((b6 + 514)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a3a), s44), MUL_FLT_CPX(*(a4a), s54));
            *((b6 + 515)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a4a), s44), MUL_FLT_CPX(*(a3a), s54));
            *((b6 + 642)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a5a), s25), MUL_FLT_CPX(*(a6a), s35));
            *((b6 + 643)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a6a), s25), MUL_FLT_CPX(*(a5a), s35));
            *((b6 + 770)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a7a), s64), MUL_FLT_CPX(*(a8a), s74));
            *((b6 + 771)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a8a), s64), MUL_FLT_CPX(*(a7a), s74));
            *((b6 + 898)) = SUB_CPX_CPX(MUL_FLT_CPX(*(a9a), s45), MUL_FLT_CPX(*(a0b), s55));
            *((b6 + 899)) = ADD_CPX_CPX(MUL_FLT_CPX(*(a0b), s45), MUL_FLT_CPX(*(a9a), s55));
        }}
        {long i4; for(i4 = 0; i4 <= 7; i4++) {
            a1b = (T2 + (128*i4));
            a2b = (a1b + 1);
            a3b = (a1b + 64);
            a4b = (a1b + 65);
            t2e = ADD_CPX_CPX(*(a1b), *(a3b));
            t3e = SUB_CPX_CPX(*(a2b), *(a4b));
            t4e = SUB_CPX_CPX(*(a1b), *(a3b));
            t5e = ADD_CPX_CPX(*(a2b), *(a4b));
            a5b = (a1b + 16);
            a6b = (a1b + 17);
            a7b = (a1b + 112);
            a8b = (a1b + 113);
            t6e = ADD_CPX_CPX(*(a5b), *(a7b));
            t7e = SUB_CPX_CPX(*(a6b), *(a8b));
            t8e = SUB_CPX_CPX(*(a5b), *(a7b));
            t9e = ADD_CPX_CPX(*(a6b), *(a8b));
            s65 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t8e), MUL_FLT_CPX(C_FLT(0.38268343236508978), t9e));
            s75 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t8e), MUL_FLT_CPX(C_FLT(0.92387953251128674), t9e));
            a9b = (a1b + 32);
            a0c = (a1b + 33);
            a1c = (a1b + 96);
            a2c = (a1b + 97);
            t0f = ADD_CPX_CPX(*(a9b), *(a1c));
            t1f = SUB_CPX_CPX(*(a0c), *(a2c));
            a3c = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(*(a9b), *(a1c)));
            a4c = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(*(a0c), *(a2c)));
            s85 = SUB_CPX_CPX(a3c, a4c);
            s95 = ADD_CPX_CPX(a3c, a4c);
            a5c = (a1b + 48);
            a6c = (a1b + 49);
            a7c = (a1b + 80);
            a8c = (a1b + 81);
            t2f = ADD_CPX_CPX(*(a5c), *(a7c));
            t3f = SUB_CPX_CPX(*(a6c), *(a8c));
            t4f = SUB_CPX_CPX(*(a5c), *(a7c));
            t5f = ADD_CPX_CPX(*(a6c), *(a8c));
            s06 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t4f), MUL_FLT_CPX(C_FLT(0.92387953251128674), t5f));
            s16 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t4f), MUL_FLT_CPX(C_FLT(0.38268343236508978), t5f));
            t6f = ADD_CPX_CPX(t2e, t0f);
            t7f = SUB_CPX_CPX(t4e, t1f);
            t8f = SUB_CPX_CPX(t2e, t0f);
            t9f = ADD_CPX_CPX(t4e, t1f);
            t0g = ADD_CPX_CPX(t6e, t2f);
            t1g = SUB_CPX_CPX(t7e, t3f);
            a9c = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t6e, t2f));
            a0d = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t7e, t3f));
            s26 = SUB_CPX_CPX(a9c, a0d);
            s36 = ADD_CPX_CPX(a9c, a0d);
            t2g = ADD_CPX_CPX(t6f, t0g);
            t3g = SUB_CPX_CPX(t8f, t1g);
            t4g = SUB_CPX_CPX(t6f, t0g);
            t5g = ADD_CPX_CPX(t8f, t1g);
            t6g = ADD_CPX_CPX(t7f, s26);
            t7g = SUB_CPX_CPX(t9f, s36);
            t8g = SUB_CPX_CPX(t7f, s26);
            t9g = ADD_CPX_CPX(t9f, s36);
            t0h = ADD_CPX_CPX(t3e, s85);
            t1h = SUB_CPX_CPX(t5e, s95);
            t2h = SUB_CPX_CPX(t3e, s85);
            t3h = ADD_CPX_CPX(t5e, s95);
            t4h = ADD_CPX_CPX(s65, s06);
            t5h = SUB_CPX_CPX(s75, s16);
            a1d = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s65, s06));
            a2d = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s75, s16));
            s46 = SUB_CPX_CPX(a1d, a2d);
            s56 = ADD_CPX_CPX(a1d, a2d);
            t6h = ADD_CPX_CPX(t0h, t4h);
            t7h = SUB_CPX_CPX(t2h, t5h);
            t8h = SUB_CPX_CPX(t0h, t4h);
            t9h = ADD_CPX_CPX(t2h, t5h);
            t0i = ADD_CPX_CPX(t1h, s46);
            t1i = SUB_CPX_CPX(t3h, s56);
            t2i = SUB_CPX_CPX(t1h, s46);
            t3i = ADD_CPX_CPX(t3h, s56);
            a3d = (a1b + 2);
            a4d = (a1b + 3);
            a5d = (a1b + 126);
            a6d = (a1b + 127);
            t4i = ADD_CPX_CPX(*(a3d), *(a5d));
            t5i = SUB_CPX_CPX(*(a4d), *(a6d));
            t6i = SUB_CPX_CPX(*(a3d), *(a5d));
            t7i = ADD_CPX_CPX(*(a4d), *(a6d));
            a7d = (a1b + 66);
            a8d = (a1b + 67);
            a9d = (a1b + 62);
            a0e = (a1b + 63);
            t8i = ADD_CPX_CPX(*(a7d), *(a9d));
            t9i = SUB_CPX_CPX(*(a8d), *(a0e));
            t0j = SUB_CPX_CPX(*(a7d), *(a9d));
            t1j = ADD_CPX_CPX(*(a8d), *(a0e));
            t2j = ADD_CPX_CPX(t4i, t8i);
            t3j = ADD_CPX_CPX(t5i, t9i);
            t4j = SUB_CPX_CPX(t4i, t8i);
            t5j = SUB_CPX_CPX(t5i, t9i);
            t6j = SUB_CPX_CPX(t6i, t1j);
            t7j = ADD_CPX_CPX(t7i, t0j);
            t8j = ADD_CPX_CPX(t6i, t1j);
            t9j = SUB_CPX_CPX(t7i, t0j);
            a1e = (a1b + 34);
            a2e = (a1b + 35);
            a3e = (a1b + 30);
            a4e = (a1b + 31);
            t0k = ADD_CPX_CPX(*(a1e), *(a3e));
            t1k = SUB_CPX_CPX(*(a2e), *(a4e));
            t2k = ADD_CPX_CPX(*(a2e), *(a4e));
            t3k = SUB_CPX_CPX(*(a3e), *(a1e));
            a5e = (a1b + 94);
            a6e = (a1b + 95);
            a7e = (a1b + 98);
            a8e = (a1b + 99);
            t4k = ADD_CPX_CPX(*(a5e), *(a7e));
            t5k = SUB_CPX_CPX(*(a8e), *(a6e));
            t6k = ADD_CPX_CPX(*(a6e), *(a8e));
            t7k = SUB_CPX_CPX(*(a7e), *(a5e));
            s66 = ADD_CPX_CPX(t0k, t4k);
            s76 = ADD_CPX_CPX(t1k, t5k);
            s86 = SUB_CPX_CPX(t2k, t6k);
            s96 = ADD_CPX_CPX(t3k, t7k);
            a9e = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0k, t4k));
            a0f = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t2k, t6k));
            t8k = SUB_CPX_CPX(a9e, a0f);
            a1f = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t1k, t5k));
            a2f = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3k, t7k));
            t9k = SUB_CPX_CPX(a1f, a2f);
            t0l = ADD_CPX_CPX(a9e, a0f);
            t1l = ADD_CPX_CPX(a1f, a2f);
            s07 = ADD_CPX_CPX(t2j, s66);
            s17 = ADD_CPX_CPX(t3j, s76);
            s27 = SUB_CPX_CPX(t4j, s86);
            s37 = SUB_CPX_CPX(t5j, s96);
            s47 = SUB_CPX_CPX(t2j, s66);
            s57 = SUB_CPX_CPX(t3j, s76);
            s67 = ADD_CPX_CPX(t4j, s86);
            s77 = ADD_CPX_CPX(t5j, s96);
            s87 = ADD_CPX_CPX(t6j, t8k);
            s97 = ADD_CPX_CPX(t7j, t9k);
            s08 = SUB_CPX_CPX(t8j, t0l);
            s18 = SUB_CPX_CPX(t9j, t1l);
            s28 = SUB_CPX_CPX(t6j, t8k);
            s38 = SUB_CPX_CPX(t7j, t9k);
            s48 = ADD_CPX_CPX(t8j, t0l);
            s58 = ADD_CPX_CPX(t9j, t1l);
            s68 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99879545620517241), s87), MUL_FLT_CPX(C_FLT(0.049067674327418015), s97));
            s78 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.049067674327418015), s87), MUL_FLT_CPX(C_FLT(0.99879545620517241), s97));
            s88 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), s27), MUL_FLT_CPX(C_FLT(0.098017140329560604), s37));
            s98 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), s27), MUL_FLT_CPX(C_FLT(0.99518472667219693), s37));
            s09 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s08), MUL_FLT_CPX(C_FLT(0.14673047445536175), s18));
            s19 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.14673047445536175), s08), MUL_FLT_CPX(C_FLT(0.98917650996478101), s18));
            s29 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s47), MUL_FLT_CPX(C_FLT(0.19509032201612828), s57));
            s39 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s47), MUL_FLT_CPX(C_FLT(0.98078528040323043), s57));
            s49 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.97003125319454397), s28), MUL_FLT_CPX(C_FLT(0.2429801799032639), s38));
            s59 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.2429801799032639), s28), MUL_FLT_CPX(C_FLT(0.97003125319454397), s38));
            s69 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s67), MUL_FLT_CPX(C_FLT(0.29028467725446239), s77));
            s79 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.29028467725446239), s67), MUL_FLT_CPX(C_FLT(0.95694033573220882), s77));
            s89 = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), s48), MUL_FLT_CPX(C_FLT(0.33688985339222005), s58));
            s99 = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.33688985339222005), s48), MUL_FLT_CPX(C_FLT(0.94154406518302081), s58));
            a3f = (a1b + 4);
            a4f = (a1b + 5);
            a5f = (a1b + 124);
            a6f = (a1b + 125);
            t2l = ADD_CPX_CPX(*(a3f), *(a5f));
            t3l = SUB_CPX_CPX(*(a4f), *(a6f));
            t4l = SUB_CPX_CPX(*(a3f), *(a5f));
            t5l = ADD_CPX_CPX(*(a4f), *(a6f));
            a7f = (a1b + 68);
            a8f = (a1b + 69);
            a9f = (a1b + 60);
            a0g = (a1b + 61);
            t6l = ADD_CPX_CPX(*(a7f), *(a9f));
            t7l = SUB_CPX_CPX(*(a8f), *(a0g));
            t8l = SUB_CPX_CPX(*(a7f), *(a9f));
            t9l = ADD_CPX_CPX(*(a8f), *(a0g));
            t0m = ADD_CPX_CPX(t2l, t6l);
            t1m = ADD_CPX_CPX(t3l, t7l);
            t2m = SUB_CPX_CPX(t2l, t6l);
            t3m = SUB_CPX_CPX(t3l, t7l);
            t4m = SUB_CPX_CPX(t4l, t9l);
            t5m = ADD_CPX_CPX(t5l, t8l);
            t6m = ADD_CPX_CPX(t4l, t9l);
            t7m = SUB_CPX_CPX(t5l, t8l);
            a1g = (a1b + 36);
            a2g = (a1b + 37);
            a3g = (a1b + 28);
            a4g = (a1b + 29);
            t8m = ADD_CPX_CPX(*(a1g), *(a3g));
            t9m = SUB_CPX_CPX(*(a2g), *(a4g));
            t0n = ADD_CPX_CPX(*(a2g), *(a4g));
            t1n = SUB_CPX_CPX(*(a3g), *(a1g));
            a5g = (a1b + 92);
            a6g = (a1b + 93);
            a7g = (a1b + 100);
            a8g = (a1b + 101);
            t2n = ADD_CPX_CPX(*(a5g), *(a7g));
            t3n = SUB_CPX_CPX(*(a8g), *(a6g));
            t4n = ADD_CPX_CPX(*(a6g), *(a8g));
            t5n = SUB_CPX_CPX(*(a7g), *(a5g));
            s0a = ADD_CPX_CPX(t8m, t2n);
            s1a = ADD_CPX_CPX(t9m, t3n);
            s2a = SUB_CPX_CPX(t0n, t4n);
            s3a = ADD_CPX_CPX(t1n, t5n);
            a9g = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8m, t2n));
            a0h = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t0n, t4n));
            t6n = SUB_CPX_CPX(a9g, a0h);
            a1h = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9m, t3n));
            a2h = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t1n, t5n));
            t7n = SUB_CPX_CPX(a1h, a2h);
            t8n = ADD_CPX_CPX(a9g, a0h);
            t9n = ADD_CPX_CPX(a1h, a2h);
            s4a = ADD_CPX_CPX(t0m, s0a);
            s5a = ADD_CPX_CPX(t1m, s1a);
            s6a = SUB_CPX_CPX(t2m, s2a);
            s7a = SUB_CPX_CPX(t3m, s3a);
            s8a = SUB_CPX_CPX(t0m, s0a);
            s9a = SUB_CPX_CPX(t1m, s1a);
            s0b = ADD_CPX_CPX(t2m, s2a);
            s1b = ADD_CPX_CPX(t3m, s3a);
            s2b = ADD_CPX_CPX(t4m, t6n);
            s3b = ADD_CPX_CPX(t5m, t7n);
            s4b = SUB_CPX_CPX(t6m, t8n);
            s5b = SUB_CPX_CPX(t7m, t9n);
            s6b = SUB_CPX_CPX(t4m, t6n);
            s7b = SUB_CPX_CPX(t5m, t7n);
            s8b = ADD_CPX_CPX(t6m, t8n);
            s9b = ADD_CPX_CPX(t7m, t9n);
            s0c = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), s2b), MUL_FLT_CPX(C_FLT(0.098017140329560604), s3b));
            s1c = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), s2b), MUL_FLT_CPX(C_FLT(0.99518472667219693), s3b));
            s2c = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s6a), MUL_FLT_CPX(C_FLT(0.19509032201612828), s7a));
            s3c = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s6a), MUL_FLT_CPX(C_FLT(0.98078528040323043), s7a));
            s4c = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s4b), MUL_FLT_CPX(C_FLT(0.29028467725446239), s5b));
            s5c = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.29028467725446239), s4b), MUL_FLT_CPX(C_FLT(0.95694033573220882), s5b));
            s6c = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s8a), MUL_FLT_CPX(C_FLT(0.38268343236508978), s9a));
            s7c = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s8a), MUL_FLT_CPX(C_FLT(0.92387953251128674), s9a));
            s8c = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s6b), MUL_FLT_CPX(C_FLT(0.47139673682599764), s7b));
            s9c = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.47139673682599764), s6b), MUL_FLT_CPX(C_FLT(0.88192126434835505), s7b));
            s0d = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s0b), MUL_FLT_CPX(C_FLT(0.55557023301960218), s1b));
            s1d = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s0b), MUL_FLT_CPX(C_FLT(0.83146961230254524), s1b));
            s2d = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), s8b), MUL_FLT_CPX(C_FLT(0.63439328416364549), s9b));
            s3d = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), s8b), MUL_FLT_CPX(C_FLT(0.77301045336273699), s9b));
            a3h = (a1b + 6);
            a4h = (a1b + 7);
            a5h = (a1b + 122);
            a6h = (a1b + 123);
            t0o = ADD_CPX_CPX(*(a3h), *(a5h));
            t1o = SUB_CPX_CPX(*(a4h), *(a6h));
            t2o = SUB_CPX_CPX(*(a3h), *(a5h));
            t3o = ADD_CPX_CPX(*(a4h), *(a6h));
            a7h = (a1b + 70);
            a8h = (a1b + 71);
            a9h = (a1b + 58);
            a0i = (a1b + 59);
            t4o = ADD_CPX_CPX(*(a7h), *(a9h));
            t5o = SUB_CPX_CPX(*(a8h), *(a0i));
            t6o = SUB_CPX_CPX(*(a7h), *(a9h));
            t7o = ADD_CPX_CPX(*(a8h), *(a0i));
            t8o = ADD_CPX_CPX(t0o, t4o);
            t9o = ADD_CPX_CPX(t1o, t5o);
            t0p = SUB_CPX_CPX(t0o, t4o);
            t1p = SUB_CPX_CPX(t1o, t5o);
            t2p = SUB_CPX_CPX(t2o, t7o);
            t3p = ADD_CPX_CPX(t3o, t6o);
            t4p = ADD_CPX_CPX(t2o, t7o);
            t5p = SUB_CPX_CPX(t3o, t6o);
            a1i = (a1b + 38);
            a2i = (a1b + 39);
            a3i = (a1b + 26);
            a4i = (a1b + 27);
            t6p = ADD_CPX_CPX(*(a1i), *(a3i));
            t7p = SUB_CPX_CPX(*(a2i), *(a4i));
            t8p = ADD_CPX_CPX(*(a2i), *(a4i));
            t9p = SUB_CPX_CPX(*(a3i), *(a1i));
            a5i = (a1b + 90);
            a6i = (a1b + 91);
            a7i = (a1b + 102);
            a8i = (a1b + 103);
            t0q = ADD_CPX_CPX(*(a5i), *(a7i));
            t1q = SUB_CPX_CPX(*(a8i), *(a6i));
            t2q = ADD_CPX_CPX(*(a6i), *(a8i));
            t3q = SUB_CPX_CPX(*(a7i), *(a5i));
            s4d = ADD_CPX_CPX(t6p, t0q);
            s5d = ADD_CPX_CPX(t7p, t1q);
            s6d = SUB_CPX_CPX(t8p, t2q);
            s7d = ADD_CPX_CPX(t9p, t3q);
            a9i = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t6p, t0q));
            a0j = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t8p, t2q));
            t4q = SUB_CPX_CPX(a9i, a0j);
            a1j = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t7p, t1q));
            a2j = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9p, t3q));
            t5q = SUB_CPX_CPX(a1j, a2j);
            t6q = ADD_CPX_CPX(a9i, a0j);
            t7q = ADD_CPX_CPX(a1j, a2j);
            s8d = ADD_CPX_CPX(t8o, s4d);
            s9d = ADD_CPX_CPX(t9o, s5d);
            s0e = SUB_CPX_CPX(t0p, s6d);
            s1e = SUB_CPX_CPX(t1p, s7d);
            s2e = SUB_CPX_CPX(t8o, s4d);
            s3e = SUB_CPX_CPX(t9o, s5d);
            s4e = ADD_CPX_CPX(t0p, s6d);
            s5e = ADD_CPX_CPX(t1p, s7d);
            s6e = ADD_CPX_CPX(t2p, t4q);
            s7e = ADD_CPX_CPX(t3p, t5q);
            s8e = SUB_CPX_CPX(t4p, t6q);
            s9e = SUB_CPX_CPX(t5p, t7q);
            s0f = SUB_CPX_CPX(t2p, t4q);
            s1f = SUB_CPX_CPX(t3p, t5q);
            s2f = ADD_CPX_CPX(t4p, t6q);
            s3f = ADD_CPX_CPX(t5p, t7q);
            s4f = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s6e), MUL_FLT_CPX(C_FLT(0.14673047445536175), s7e));
            s5f = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.14673047445536175), s6e), MUL_FLT_CPX(C_FLT(0.98917650996478101), s7e));
            s6f = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s0e), MUL_FLT_CPX(C_FLT(0.29028467725446239), s1e));
            s7f = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.29028467725446239), s0e), MUL_FLT_CPX(C_FLT(0.95694033573220882), s1e));
            s8f = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.90398929312344334), s8e), MUL_FLT_CPX(C_FLT(0.42755509343028208), s9e));
            s9f = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.42755509343028208), s8e), MUL_FLT_CPX(C_FLT(0.90398929312344334), s9e));
            s0g = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s2e), MUL_FLT_CPX(C_FLT(0.55557023301960218), s3e));
            s1g = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s2e), MUL_FLT_CPX(C_FLT(0.83146961230254524), s3e));
            s2g = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), s0f), MUL_FLT_CPX(C_FLT(0.67155895484701844), s1f));
            s3g = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.67155895484701844), s0f), MUL_FLT_CPX(C_FLT(0.74095112535495911), s1f));
            s4g = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), s4e), MUL_FLT_CPX(C_FLT(0.77301045336273699), s5e));
            s5g = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), s4e), MUL_FLT_CPX(C_FLT(0.63439328416364549), s5e));
            s6g = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.51410274419322177), s2f), MUL_FLT_CPX(C_FLT(0.85772861000027212), s3f));
            s7g = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.85772861000027212), s2f), MUL_FLT_CPX(C_FLT(0.51410274419322177), s3f));
            a3j = (a1b + 8);
            a4j = (a1b + 9);
            a5j = (a1b + 120);
            a6j = (a1b + 121);
            t8q = ADD_CPX_CPX(*(a3j), *(a5j));
            t9q = SUB_CPX_CPX(*(a4j), *(a6j));
            t0r = SUB_CPX_CPX(*(a3j), *(a5j));
            t1r = ADD_CPX_CPX(*(a4j), *(a6j));
            a7j = (a1b + 72);
            a8j = (a1b + 73);
            a9j = (a1b + 56);
            a0k = (a1b + 57);
            t2r = ADD_CPX_CPX(*(a7j), *(a9j));
            t3r = SUB_CPX_CPX(*(a8j), *(a0k));
            t4r = SUB_CPX_CPX(*(a7j), *(a9j));
            t5r = ADD_CPX_CPX(*(a8j), *(a0k));
            t6r = ADD_CPX_CPX(t8q, t2r);
            t7r = ADD_CPX_CPX(t9q, t3r);
            t8r = SUB_CPX_CPX(t8q, t2r);
            t9r = SUB_CPX_CPX(t9q, t3r);
            t0s = SUB_CPX_CPX(t0r, t5r);
            t1s = ADD_CPX_CPX(t1r, t4r);
            t2s = ADD_CPX_CPX(t0r, t5r);
            t3s = SUB_CPX_CPX(t1r, t4r);
            a1k = (a1b + 40);
            a2k = (a1b + 41);
            a3k = (a1b + 24);
            a4k = (a1b + 25);
            t4s = ADD_CPX_CPX(*(a1k), *(a3k));
            t5s = SUB_CPX_CPX(*(a2k), *(a4k));
            t6s = ADD_CPX_CPX(*(a2k), *(a4k));
            t7s = SUB_CPX_CPX(*(a3k), *(a1k));
            a5k = (a1b + 88);
            a6k = (a1b + 89);
            a7k = (a1b + 104);
            a8k = (a1b + 105);
            t8s = ADD_CPX_CPX(*(a5k), *(a7k));
            t9s = SUB_CPX_CPX(*(a8k), *(a6k));
            t0t = ADD_CPX_CPX(*(a6k), *(a8k));
            t1t = SUB_CPX_CPX(*(a7k), *(a5k));
            s8g = ADD_CPX_CPX(t4s, t8s);
            s9g = ADD_CPX_CPX(t5s, t9s);
            s0h = SUB_CPX_CPX(t6s, t0t);
            s1h = ADD_CPX_CPX(t7s, t1t);
            a9k = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t4s, t8s));
            a0l = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t6s, t0t));
            t2t = SUB_CPX_CPX(a9k, a0l);
            a1l = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t5s, t9s));
            a2l = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t7s, t1t));
            t3t = SUB_CPX_CPX(a1l, a2l);
            t4t = ADD_CPX_CPX(a9k, a0l);
            t5t = ADD_CPX_CPX(a1l, a2l);
            s2h = ADD_CPX_CPX(t6r, s8g);
            s3h = ADD_CPX_CPX(t7r, s9g);
            s4h = SUB_CPX_CPX(t8r, s0h);
            s5h = SUB_CPX_CPX(t9r, s1h);
            s6h = ADD_CPX_CPX(t8r, s0h);
            s7h = ADD_CPX_CPX(t9r, s1h);
            s8h = ADD_CPX_CPX(t0s, t2t);
            s9h = ADD_CPX_CPX(t1s, t3t);
            s0i = SUB_CPX_CPX(t2s, t4t);
            s1i = SUB_CPX_CPX(t3s, t5t);
            s2i = SUB_CPX_CPX(t0s, t2t);
            s3i = SUB_CPX_CPX(t1s, t3t);
            s4i = ADD_CPX_CPX(t2s, t4t);
            s5i = ADD_CPX_CPX(t3s, t5t);
            s6i = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s8h), MUL_FLT_CPX(C_FLT(0.19509032201612828), s9h));
            s7i = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s8h), MUL_FLT_CPX(C_FLT(0.98078528040323043), s9h));
            s8i = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s4h), MUL_FLT_CPX(C_FLT(0.38268343236508978), s5h));
            s9i = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s4h), MUL_FLT_CPX(C_FLT(0.92387953251128674), s5h));
            s0j = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s0i), MUL_FLT_CPX(C_FLT(0.55557023301960218), s1i));
            s1j = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s0i), MUL_FLT_CPX(C_FLT(0.83146961230254524), s1i));
            a3l = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t6r, s8g));
            a4l = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t7r, s9g));
            s2j = SUB_CPX_CPX(a3l, a4l);
            s3j = ADD_CPX_CPX(a3l, a4l);
            s4j = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s2i), MUL_FLT_CPX(C_FLT(0.83146961230254524), s3i));
            s5j = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s2i), MUL_FLT_CPX(C_FLT(0.55557023301960218), s3i));
            s6j = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s6h), MUL_FLT_CPX(C_FLT(0.92387953251128674), s7h));
            s7j = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s6h), MUL_FLT_CPX(C_FLT(0.38268343236508978), s7h));
            s8j = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s4i), MUL_FLT_CPX(C_FLT(0.98078528040323043), s5i));
            s9j = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s4i), MUL_FLT_CPX(C_FLT(0.19509032201612828), s5i));
            a5l = (a1b + 10);
            a6l = (a1b + 11);
            a7l = (a1b + 118);
            a8l = (a1b + 119);
            t6t = ADD_CPX_CPX(*(a5l), *(a7l));
            t7t = SUB_CPX_CPX(*(a6l), *(a8l));
            t8t = SUB_CPX_CPX(*(a5l), *(a7l));
            t9t = ADD_CPX_CPX(*(a6l), *(a8l));
            a9l = (a1b + 74);
            a0m = (a1b + 75);
            a1m = (a1b + 54);
            a2m = (a1b + 55);
            t0u = ADD_CPX_CPX(*(a9l), *(a1m));
            t1u = SUB_CPX_CPX(*(a0m), *(a2m));
            t2u = SUB_CPX_CPX(*(a9l), *(a1m));
            t3u = ADD_CPX_CPX(*(a0m), *(a2m));
            t4u = ADD_CPX_CPX(t6t, t0u);
            t5u = ADD_CPX_CPX(t7t, t1u);
            t6u = SUB_CPX_CPX(t6t, t0u);
            t7u = SUB_CPX_CPX(t7t, t1u);
            t8u = SUB_CPX_CPX(t8t, t3u);
            t9u = ADD_CPX_CPX(t9t, t2u);
            t0v = ADD_CPX_CPX(t8t, t3u);
            t1v = SUB_CPX_CPX(t9t, t2u);
            a3m = (a1b + 42);
            a4m = (a1b + 43);
            a5m = (a1b + 22);
            a6m = (a1b + 23);
            t2v = ADD_CPX_CPX(*(a3m), *(a5m));
            t3v = SUB_CPX_CPX(*(a4m), *(a6m));
            t4v = ADD_CPX_CPX(*(a4m), *(a6m));
            t5v = SUB_CPX_CPX(*(a5m), *(a3m));
            a7m = (a1b + 86);
            a8m = (a1b + 87);
            a9m = (a1b + 106);
            a0n = (a1b + 107);
            t6v = ADD_CPX_CPX(*(a7m), *(a9m));
            t7v = SUB_CPX_CPX(*(a0n), *(a8m));
            t8v = ADD_CPX_CPX(*(a8m), *(a0n));
            t9v = SUB_CPX_CPX(*(a9m), *(a7m));
            s0k = ADD_CPX_CPX(t2v, t6v);
            s1k = ADD_CPX_CPX(t3v, t7v);
            s2k = SUB_CPX_CPX(t4v, t8v);
            s3k = ADD_CPX_CPX(t5v, t9v);
            a1n = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2v, t6v));
            a2n = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t4v, t8v));
            t0w = SUB_CPX_CPX(a1n, a2n);
            a3n = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3v, t7v));
            a4n = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t5v, t9v));
            t1w = SUB_CPX_CPX(a3n, a4n);
            t2w = ADD_CPX_CPX(a1n, a2n);
            t3w = ADD_CPX_CPX(a3n, a4n);
            s4k = ADD_CPX_CPX(t4u, s0k);
            s5k = ADD_CPX_CPX(t5u, s1k);
            s6k = SUB_CPX_CPX(t6u, s2k);
            s7k = SUB_CPX_CPX(t7u, s3k);
            s8k = SUB_CPX_CPX(t4u, s0k);
            s9k = SUB_CPX_CPX(t5u, s1k);
            s0l = ADD_CPX_CPX(t6u, s2k);
            s1l = ADD_CPX_CPX(t7u, s3k);
            s2l = ADD_CPX_CPX(t8u, t0w);
            s3l = ADD_CPX_CPX(t9u, t1w);
            s4l = SUB_CPX_CPX(t0v, t2w);
            s5l = SUB_CPX_CPX(t1v, t3w);
            s6l = SUB_CPX_CPX(t8u, t0w);
            s7l = SUB_CPX_CPX(t9u, t1w);
            s8l = ADD_CPX_CPX(t0v, t2w);
            s9l = ADD_CPX_CPX(t1v, t3w);
            s0m = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.97003125319454397), s2l), MUL_FLT_CPX(C_FLT(0.2429801799032639), s3l));
            s1m = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.2429801799032639), s2l), MUL_FLT_CPX(C_FLT(0.97003125319454397), s3l));
            s2m = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s6k), MUL_FLT_CPX(C_FLT(0.47139673682599764), s7k));
            s3m = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.47139673682599764), s6k), MUL_FLT_CPX(C_FLT(0.88192126434835505), s7k));
            s4m = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), s4l), MUL_FLT_CPX(C_FLT(0.67155895484701844), s5l));
            s5m = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.67155895484701844), s4l), MUL_FLT_CPX(C_FLT(0.74095112535495911), s5l));
            s6m = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s8k), MUL_FLT_CPX(C_FLT(0.83146961230254524), s9k));
            s7m = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s8k), MUL_FLT_CPX(C_FLT(0.55557023301960218), s9k));
            s8m = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.33688985339222005), s6l), MUL_FLT_CPX(C_FLT(0.94154406518302081), s7l));
            s9m = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), s6l), MUL_FLT_CPX(C_FLT(0.33688985339222005), s7l));
            s0n = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), s0l), MUL_FLT_CPX(C_FLT(0.99518472667219693), s1l));
            s1n = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), s0l), MUL_FLT_CPX(C_FLT(0.098017140329560604), s1l));
            s2n = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.14673047445536175), s8l), MUL_FLT_CPX(C_FLT(0.98917650996478101), s9l));
            s3n = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s8l), MUL_FLT_CPX(C_FLT(0.14673047445536175), s9l));
            a5n = (a1b + 12);
            a6n = (a1b + 13);
            a7n = (a1b + 116);
            a8n = (a1b + 117);
            t4w = ADD_CPX_CPX(*(a5n), *(a7n));
            t5w = SUB_CPX_CPX(*(a6n), *(a8n));
            t6w = SUB_CPX_CPX(*(a5n), *(a7n));
            t7w = ADD_CPX_CPX(*(a6n), *(a8n));
            a9n = (a1b + 76);
            a0o = (a1b + 77);
            a1o = (a1b + 52);
            a2o = (a1b + 53);
            t8w = ADD_CPX_CPX(*(a9n), *(a1o));
            t9w = SUB_CPX_CPX(*(a0o), *(a2o));
            t0x = SUB_CPX_CPX(*(a9n), *(a1o));
            t1x = ADD_CPX_CPX(*(a0o), *(a2o));
            t2x = ADD_CPX_CPX(t4w, t8w);
            t3x = ADD_CPX_CPX(t5w, t9w);
            t4x = SUB_CPX_CPX(t4w, t8w);
            t5x = SUB_CPX_CPX(t5w, t9w);
            t6x = SUB_CPX_CPX(t6w, t1x);
            t7x = ADD_CPX_CPX(t7w, t0x);
            t8x = ADD_CPX_CPX(t6w, t1x);
            t9x = SUB_CPX_CPX(t7w, t0x);
            a3o = (a1b + 44);
            a4o = (a1b + 45);
            a5o = (a1b + 20);
            a6o = (a1b + 21);
            t0y = ADD_CPX_CPX(*(a3o), *(a5o));
            t1y = SUB_CPX_CPX(*(a4o), *(a6o));
            t2y = ADD_CPX_CPX(*(a4o), *(a6o));
            t3y = SUB_CPX_CPX(*(a5o), *(a3o));
            a7o = (a1b + 84);
            a8o = (a1b + 85);
            a9o = (a1b + 108);
            a0p = (a1b + 109);
            t4y = ADD_CPX_CPX(*(a7o), *(a9o));
            t5y = SUB_CPX_CPX(*(a0p), *(a8o));
            t6y = ADD_CPX_CPX(*(a8o), *(a0p));
            t7y = SUB_CPX_CPX(*(a9o), *(a7o));
            s4n = ADD_CPX_CPX(t0y, t4y);
            s5n = ADD_CPX_CPX(t1y, t5y);
            s6n = SUB_CPX_CPX(t2y, t6y);
            s7n = ADD_CPX_CPX(t3y, t7y);
            a1p = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0y, t4y));
            a2p = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t2y, t6y));
            t8y = SUB_CPX_CPX(a1p, a2p);
            a3p = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t1y, t5y));
            a4p = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t3y, t7y));
            t9y = SUB_CPX_CPX(a3p, a4p);
            t0z = ADD_CPX_CPX(a1p, a2p);
            t1z = ADD_CPX_CPX(a3p, a4p);
            s8n = ADD_CPX_CPX(t2x, s4n);
            s9n = ADD_CPX_CPX(t3x, s5n);
            s0o = SUB_CPX_CPX(t4x, s6n);
            s1o = SUB_CPX_CPX(t5x, s7n);
            s2o = SUB_CPX_CPX(t2x, s4n);
            s3o = SUB_CPX_CPX(t3x, s5n);
            s4o = ADD_CPX_CPX(t4x, s6n);
            s5o = ADD_CPX_CPX(t5x, s7n);
            s6o = ADD_CPX_CPX(t6x, t8y);
            s7o = ADD_CPX_CPX(t7x, t9y);
            s8o = SUB_CPX_CPX(t8x, t0z);
            s9o = SUB_CPX_CPX(t9x, t1z);
            s0p = SUB_CPX_CPX(t6x, t8y);
            s1p = SUB_CPX_CPX(t7x, t9y);
            s2p = ADD_CPX_CPX(t8x, t0z);
            s3p = ADD_CPX_CPX(t9x, t1z);
            s4p = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.95694033573220882), s6o), MUL_FLT_CPX(C_FLT(0.29028467725446239), s7o));
            s5p = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.29028467725446239), s6o), MUL_FLT_CPX(C_FLT(0.95694033573220882), s7o));
            s6p = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.83146961230254524), s0o), MUL_FLT_CPX(C_FLT(0.55557023301960218), s1o));
            s7p = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.55557023301960218), s0o), MUL_FLT_CPX(C_FLT(0.83146961230254524), s1o));
            s8p = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), s8o), MUL_FLT_CPX(C_FLT(0.77301045336273699), s9o));
            s9p = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), s8o), MUL_FLT_CPX(C_FLT(0.63439328416364549), s9o));
            s0q = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), s2o), MUL_FLT_CPX(C_FLT(0.92387953251128674), s3o));
            s1q = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), s2o), MUL_FLT_CPX(C_FLT(0.38268343236508978), s3o));
            s2q = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.098017140329560604), s0p), MUL_FLT_CPX(C_FLT(0.99518472667219693), s1p));
            s3q = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.99518472667219693), s0p), MUL_FLT_CPX(C_FLT(0.098017140329560604), s1p));
            s4q = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s4o), MUL_FLT_CPX(C_FLT(0.98078528040323043), s5o));
            s5q = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s4o), MUL_FLT_CPX(C_FLT(0.19509032201612828), s5o));
            s6q = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.47139673682599764), s2p), MUL_FLT_CPX(C_FLT(0.88192126434835505), s3p));
            s7q = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s2p), MUL_FLT_CPX(C_FLT(0.47139673682599764), s3p));
            a5p = (a1b + 14);
            a6p = (a1b + 15);
            a7p = (a1b + 114);
            a8p = (a1b + 115);
            t2z = ADD_CPX_CPX(*(a5p), *(a7p));
            t3z = SUB_CPX_CPX(*(a6p), *(a8p));
            t4z = SUB_CPX_CPX(*(a5p), *(a7p));
            t5z = ADD_CPX_CPX(*(a6p), *(a8p));
            a9p = (a1b + 78);
            a0q = (a1b + 79);
            a1q = (a1b + 50);
            a2q = (a1b + 51);
            t6z = ADD_CPX_CPX(*(a9p), *(a1q));
            t7z = SUB_CPX_CPX(*(a0q), *(a2q));
            t8z = SUB_CPX_CPX(*(a9p), *(a1q));
            t9z = ADD_CPX_CPX(*(a0q), *(a2q));
            t0A = ADD_CPX_CPX(t2z, t6z);
            t1A = ADD_CPX_CPX(t3z, t7z);
            t2A = SUB_CPX_CPX(t2z, t6z);
            t3A = SUB_CPX_CPX(t3z, t7z);
            t4A = SUB_CPX_CPX(t4z, t9z);
            t5A = ADD_CPX_CPX(t5z, t8z);
            t6A = ADD_CPX_CPX(t4z, t9z);
            t7A = SUB_CPX_CPX(t5z, t8z);
            a3q = (a1b + 46);
            a4q = (a1b + 47);
            a5q = (a1b + 18);
            a6q = (a1b + 19);
            t8A = ADD_CPX_CPX(*(a3q), *(a5q));
            t9A = SUB_CPX_CPX(*(a4q), *(a6q));
            t0B = ADD_CPX_CPX(*(a4q), *(a6q));
            t1B = SUB_CPX_CPX(*(a5q), *(a3q));
            a7q = (a1b + 82);
            a8q = (a1b + 83);
            a9q = (a1b + 110);
            a0r = (a1b + 111);
            t2B = ADD_CPX_CPX(*(a7q), *(a9q));
            t3B = SUB_CPX_CPX(*(a0r), *(a8q));
            t4B = ADD_CPX_CPX(*(a8q), *(a0r));
            t5B = SUB_CPX_CPX(*(a9q), *(a7q));
            s8q = ADD_CPX_CPX(t8A, t2B);
            s9q = ADD_CPX_CPX(t9A, t3B);
            s0r = SUB_CPX_CPX(t0B, t4B);
            s1r = ADD_CPX_CPX(t1B, t5B);
            a1r = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8A, t2B));
            a2r = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t0B, t4B));
            t6B = SUB_CPX_CPX(a1r, a2r);
            a3r = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t9A, t3B));
            a4r = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t1B, t5B));
            t7B = SUB_CPX_CPX(a3r, a4r);
            t8B = ADD_CPX_CPX(a1r, a2r);
            t9B = ADD_CPX_CPX(a3r, a4r);
            s2r = ADD_CPX_CPX(t0A, s8q);
            s3r = ADD_CPX_CPX(t1A, s9q);
            s4r = SUB_CPX_CPX(t2A, s0r);
            s5r = SUB_CPX_CPX(t3A, s1r);
            s6r = SUB_CPX_CPX(t0A, s8q);
            s7r = SUB_CPX_CPX(t1A, s9q);
            s8r = ADD_CPX_CPX(t2A, s0r);
            s9r = ADD_CPX_CPX(t3A, s1r);
            s0s = ADD_CPX_CPX(t4A, t6B);
            s1s = ADD_CPX_CPX(t5A, t7B);
            s2s = SUB_CPX_CPX(t6A, t8B);
            s3s = SUB_CPX_CPX(t7A, t9B);
            s4s = SUB_CPX_CPX(t4A, t6B);
            s5s = SUB_CPX_CPX(t5A, t7B);
            s6s = ADD_CPX_CPX(t6A, t8B);
            s7s = ADD_CPX_CPX(t7A, t9B);
            s8s = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.94154406518302081), s0s), MUL_FLT_CPX(C_FLT(0.33688985339222005), s1s));
            s9s = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.33688985339222005), s0s), MUL_FLT_CPX(C_FLT(0.94154406518302081), s1s));
            s0t = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.77301045336273699), s4r), MUL_FLT_CPX(C_FLT(0.63439328416364549), s5r));
            s1t = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.63439328416364549), s4r), MUL_FLT_CPX(C_FLT(0.77301045336273699), s5r));
            s2t = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.51410274419322177), s2s), MUL_FLT_CPX(C_FLT(0.85772861000027212), s3s));
            s3t = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.85772861000027212), s2s), MUL_FLT_CPX(C_FLT(0.51410274419322177), s3s));
            s4t = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.19509032201612828), s6r), MUL_FLT_CPX(C_FLT(0.98078528040323043), s7r));
            s5t = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98078528040323043), s6r), MUL_FLT_CPX(C_FLT(0.19509032201612828), s7r));
            s6t = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.14673047445536175), s4s), MUL_FLT_CPX(C_FLT(0.98917650996478101), s5s));
            s7t = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.98917650996478101), s4s), MUL_FLT_CPX(C_FLT(0.14673047445536175), s5s));
            s8t = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.47139673682599764), s8r), MUL_FLT_CPX(C_FLT(0.88192126434835505), s9r));
            s9t = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.88192126434835505), s8r), MUL_FLT_CPX(C_FLT(0.47139673682599764), s9r));
            s0u = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.74095112535495911), s6s), MUL_FLT_CPX(C_FLT(0.67155895484701844), s7s));
            s1u = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.67155895484701844), s6s), MUL_FLT_CPX(C_FLT(0.74095112535495911), s7s));
            t0C = ADD_CPX_CPX(t2g, s2h);
            t1C = SUB_CPX_CPX(t4g, s3h);
            t2C = SUB_CPX_CPX(t2g, s2h);
            t3C = ADD_CPX_CPX(t4g, s3h);
            t4C = ADD_CPX_CPX(s07, s2r);
            t5C = SUB_CPX_CPX(s17, s3r);
            t6C = SUB_CPX_CPX(s07, s2r);
            t7C = ADD_CPX_CPX(s17, s3r);
            s2u = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t6C), MUL_FLT_CPX(C_FLT(0.38268343236508978), t7C));
            s3u = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t6C), MUL_FLT_CPX(C_FLT(0.92387953251128674), t7C));
            t8C = ADD_CPX_CPX(s4a, s8n);
            t9C = SUB_CPX_CPX(s5a, s9n);
            a5r = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4a, s8n));
            a6r = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5a, s9n));
            s4u = SUB_CPX_CPX(a5r, a6r);
            s5u = ADD_CPX_CPX(a5r, a6r);
            t0D = ADD_CPX_CPX(s8d, s4k);
            t1D = SUB_CPX_CPX(s9d, s5k);
            t2D = SUB_CPX_CPX(s8d, s4k);
            t3D = ADD_CPX_CPX(s9d, s5k);
            s6u = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t2D), MUL_FLT_CPX(C_FLT(0.92387953251128674), t3D));
            s7u = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t2D), MUL_FLT_CPX(C_FLT(0.38268343236508978), t3D));
            t4D = ADD_CPX_CPX(t0C, t8C);
            t5D = SUB_CPX_CPX(t2C, t9C);
            t6D = SUB_CPX_CPX(t0C, t8C);
            t7D = ADD_CPX_CPX(t2C, t9C);
            t8D = ADD_CPX_CPX(t4C, t0D);
            t9D = SUB_CPX_CPX(t5C, t1D);
            a7r = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t4C, t0D));
            a8r = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t5C, t1D));
            s8u = SUB_CPX_CPX(a7r, a8r);
            s9u = ADD_CPX_CPX(a7r, a8r);
            a9r = (dst + i2 + (8*i4));
            *(a9r) = ADD_CPX_CPX(t4D, t8D);
            *((a9r + 2048)) = SUB_CPX_CPX(t6D, t9D);
            *((a9r + 4096)) = SUB_CPX_CPX(t4D, t8D);
            *((a9r + 6144)) = ADD_CPX_CPX(t6D, t9D);
            *((a9r + 1024)) = ADD_CPX_CPX(t5D, s8u);
            *((a9r + 3072)) = SUB_CPX_CPX(t7D, s9u);
            *((a9r + 5120)) = SUB_CPX_CPX(t5D, s8u);
            *((a9r + 7168)) = ADD_CPX_CPX(t7D, s9u);
            t0E = ADD_CPX_CPX(t1C, s4u);
            t1E = SUB_CPX_CPX(t3C, s5u);
            t2E = SUB_CPX_CPX(t1C, s4u);
            t3E = ADD_CPX_CPX(t3C, s5u);
            t4E = ADD_CPX_CPX(s2u, s6u);
            t5E = SUB_CPX_CPX(s3u, s7u);
            a0s = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s2u, s6u));
            a1s = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s3u, s7u));
            s0v = SUB_CPX_CPX(a0s, a1s);
            s1v = ADD_CPX_CPX(a0s, a1s);
            *((a9r + 512)) = ADD_CPX_CPX(t0E, t4E);
            *((a9r + 2560)) = SUB_CPX_CPX(t2E, t5E);
            *((a9r + 4608)) = SUB_CPX_CPX(t0E, t4E);
            *((a9r + 6656)) = ADD_CPX_CPX(t2E, t5E);
            *((a9r + 1536)) = ADD_CPX_CPX(t1E, s0v);
            *((a9r + 3584)) = SUB_CPX_CPX(t3E, s1v);
            *((a9r + 5632)) = SUB_CPX_CPX(t1E, s0v);
            *((a9r + 7680)) = ADD_CPX_CPX(t3E, s1v);
            t6E = ADD_CPX_CPX(t6h, s6i);
            t7E = SUB_CPX_CPX(t8h, s7i);
            t8E = SUB_CPX_CPX(t6h, s6i);
            t9E = ADD_CPX_CPX(t8h, s7i);
            t0F = ADD_CPX_CPX(s68, s8s);
            t1F = SUB_CPX_CPX(s78, s9s);
            t2F = SUB_CPX_CPX(s68, s8s);
            t3F = ADD_CPX_CPX(s78, s9s);
            s2v = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t2F), MUL_FLT_CPX(C_FLT(0.38268343236508978), t3F));
            s3v = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t2F), MUL_FLT_CPX(C_FLT(0.92387953251128674), t3F));
            t4F = ADD_CPX_CPX(s0c, s4p);
            t5F = SUB_CPX_CPX(s1c, s5p);
            a2s = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s0c, s4p));
            a3s = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s1c, s5p));
            s4v = SUB_CPX_CPX(a2s, a3s);
            s5v = ADD_CPX_CPX(a2s, a3s);
            t6F = ADD_CPX_CPX(s4f, s0m);
            t7F = SUB_CPX_CPX(s5f, s1m);
            t8F = SUB_CPX_CPX(s4f, s0m);
            t9F = ADD_CPX_CPX(s5f, s1m);
            s6v = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t8F), MUL_FLT_CPX(C_FLT(0.92387953251128674), t9F));
            s7v = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t8F), MUL_FLT_CPX(C_FLT(0.38268343236508978), t9F));
            t0G = ADD_CPX_CPX(t6E, t4F);
            t1G = SUB_CPX_CPX(t8E, t5F);
            t2G = SUB_CPX_CPX(t6E, t4F);
            t3G = ADD_CPX_CPX(t8E, t5F);
            t4G = ADD_CPX_CPX(t0F, t6F);
            t5G = SUB_CPX_CPX(t1F, t7F);
            a4s = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0F, t6F));
            a5s = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t1F, t7F));
            s8v = SUB_CPX_CPX(a4s, a5s);
            s9v = ADD_CPX_CPX(a4s, a5s);
            *((a9r + 64)) = ADD_CPX_CPX(t0G, t4G);
            *((a9r + 2112)) = SUB_CPX_CPX(t2G, t5G);
            *((a9r + 4160)) = SUB_CPX_CPX(t0G, t4G);
            *((a9r + 6208)) = ADD_CPX_CPX(t2G, t5G);
            *((a9r + 1088)) = ADD_CPX_CPX(t1G, s8v);
            *((a9r + 3136)) = SUB_CPX_CPX(t3G, s9v);
            *((a9r + 5184)) = SUB_CPX_CPX(t1G, s8v);
            *((a9r + 7232)) = ADD_CPX_CPX(t3G, s9v);
            t6G = ADD_CPX_CPX(t7E, s4v);
            t7G = SUB_CPX_CPX(t9E, s5v);
            t8G = SUB_CPX_CPX(t7E, s4v);
            t9G = ADD_CPX_CPX(t9E, s5v);
            t0H = ADD_CPX_CPX(s2v, s6v);
            t1H = SUB_CPX_CPX(s3v, s7v);
            a6s = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s2v, s6v));
            a7s = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s3v, s7v));
            s0w = SUB_CPX_CPX(a6s, a7s);
            s1w = ADD_CPX_CPX(a6s, a7s);
            *((a9r + 576)) = ADD_CPX_CPX(t6G, t0H);
            *((a9r + 2624)) = SUB_CPX_CPX(t8G, t1H);
            *((a9r + 4672)) = SUB_CPX_CPX(t6G, t0H);
            *((a9r + 6720)) = ADD_CPX_CPX(t8G, t1H);
            *((a9r + 1600)) = ADD_CPX_CPX(t7G, s0w);
            *((a9r + 3648)) = SUB_CPX_CPX(t9G, s1w);
            *((a9r + 5696)) = SUB_CPX_CPX(t7G, s0w);
            *((a9r + 7744)) = ADD_CPX_CPX(t9G, s1w);
            t2H = ADD_CPX_CPX(t6g, s8i);
            t3H = SUB_CPX_CPX(t8g, s9i);
            t4H = SUB_CPX_CPX(t6g, s8i);
            t5H = ADD_CPX_CPX(t8g, s9i);
            t6H = ADD_CPX_CPX(s88, s0t);
            t7H = SUB_CPX_CPX(s98, s1t);
            t8H = SUB_CPX_CPX(s88, s0t);
            t9H = ADD_CPX_CPX(s98, s1t);
            s2w = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t8H), MUL_FLT_CPX(C_FLT(0.38268343236508978), t9H));
            s3w = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t8H), MUL_FLT_CPX(C_FLT(0.92387953251128674), t9H));
            t0I = ADD_CPX_CPX(s2c, s6p);
            t1I = SUB_CPX_CPX(s3c, s7p);
            a8s = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s2c, s6p));
            a9s = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s3c, s7p));
            s4w = SUB_CPX_CPX(a8s, a9s);
            s5w = ADD_CPX_CPX(a8s, a9s);
            t2I = ADD_CPX_CPX(s6f, s2m);
            t3I = SUB_CPX_CPX(s7f, s3m);
            t4I = SUB_CPX_CPX(s6f, s2m);
            t5I = ADD_CPX_CPX(s7f, s3m);
            s6w = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t4I), MUL_FLT_CPX(C_FLT(0.92387953251128674), t5I));
            s7w = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t4I), MUL_FLT_CPX(C_FLT(0.38268343236508978), t5I));
            t6I = ADD_CPX_CPX(t2H, t0I);
            t7I = SUB_CPX_CPX(t4H, t1I);
            t8I = SUB_CPX_CPX(t2H, t0I);
            t9I = ADD_CPX_CPX(t4H, t1I);
            t0J = ADD_CPX_CPX(t6H, t2I);
            t1J = SUB_CPX_CPX(t7H, t3I);
            a0t = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t6H, t2I));
            a1t = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t7H, t3I));
            s8w = SUB_CPX_CPX(a0t, a1t);
            s9w = ADD_CPX_CPX(a0t, a1t);
            *((a9r + 128)) = ADD_CPX_CPX(t6I, t0J);
            *((a9r + 2176)) = SUB_CPX_CPX(t8I, t1J);
            *((a9r + 4224)) = SUB_CPX_CPX(t6I, t0J);
            *((a9r + 6272)) = ADD_CPX_CPX(t8I, t1J);
            *((a9r + 1152)) = ADD_CPX_CPX(t7I, s8w);
            *((a9r + 3200)) = SUB_CPX_CPX(t9I, s9w);
            *((a9r + 5248)) = SUB_CPX_CPX(t7I, s8w);
            *((a9r + 7296)) = ADD_CPX_CPX(t9I, s9w);
            t2J = ADD_CPX_CPX(t3H, s4w);
            t3J = SUB_CPX_CPX(t5H, s5w);
            t4J = SUB_CPX_CPX(t3H, s4w);
            t5J = ADD_CPX_CPX(t5H, s5w);
            t6J = ADD_CPX_CPX(s2w, s6w);
            t7J = SUB_CPX_CPX(s3w, s7w);
            a2t = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s2w, s6w));
            a3t = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s3w, s7w));
            s0x = SUB_CPX_CPX(a2t, a3t);
            s1x = ADD_CPX_CPX(a2t, a3t);
            *((a9r + 640)) = ADD_CPX_CPX(t2J, t6J);
            *((a9r + 2688)) = SUB_CPX_CPX(t4J, t7J);
            *((a9r + 4736)) = SUB_CPX_CPX(t2J, t6J);
            *((a9r + 6784)) = ADD_CPX_CPX(t4J, t7J);
            *((a9r + 1664)) = ADD_CPX_CPX(t3J, s0x);
            *((a9r + 3712)) = SUB_CPX_CPX(t5J, s1x);
            *((a9r + 5760)) = SUB_CPX_CPX(t3J, s0x);
            *((a9r + 7808)) = ADD_CPX_CPX(t5J, s1x);
            t8J = ADD_CPX_CPX(t0i, s0j);
            t9J = SUB_CPX_CPX(t2i, s1j);
            t0K = SUB_CPX_CPX(t0i, s0j);
            t1K = ADD_CPX_CPX(t2i, s1j);
            t2K = ADD_CPX_CPX(s09, s2t);
            t3K = SUB_CPX_CPX(s19, s3t);
            t4K = SUB_CPX_CPX(s09, s2t);
            t5K = ADD_CPX_CPX(s19, s3t);
            s2x = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t4K), MUL_FLT_CPX(C_FLT(0.38268343236508978), t5K));
            s3x = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t4K), MUL_FLT_CPX(C_FLT(0.92387953251128674), t5K));
            t6K = ADD_CPX_CPX(s4c, s8p);
            t7K = SUB_CPX_CPX(s5c, s9p);
            a4t = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s4c, s8p));
            a5t = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s5c, s9p));
            s4x = SUB_CPX_CPX(a4t, a5t);
            s5x = ADD_CPX_CPX(a4t, a5t);
            t8K = ADD_CPX_CPX(s8f, s4m);
            t9K = SUB_CPX_CPX(s9f, s5m);
            t0L = SUB_CPX_CPX(s8f, s4m);
            t1L = ADD_CPX_CPX(s9f, s5m);
            s6x = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t0L), MUL_FLT_CPX(C_FLT(0.92387953251128674), t1L));
            s7x = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t0L), MUL_FLT_CPX(C_FLT(0.38268343236508978), t1L));
            t2L = ADD_CPX_CPX(t8J, t6K);
            t3L = SUB_CPX_CPX(t0K, t7K);
            t4L = SUB_CPX_CPX(t8J, t6K);
            t5L = ADD_CPX_CPX(t0K, t7K);
            t6L = ADD_CPX_CPX(t2K, t8K);
            t7L = SUB_CPX_CPX(t3K, t9K);
            a6t = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t2K, t8K));
            a7t = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t3K, t9K));
            s8x = SUB_CPX_CPX(a6t, a7t);
            s9x = ADD_CPX_CPX(a6t, a7t);
            *((a9r + 192)) = ADD_CPX_CPX(t2L, t6L);
            *((a9r + 2240)) = SUB_CPX_CPX(t4L, t7L);
            *((a9r + 4288)) = SUB_CPX_CPX(t2L, t6L);
            *((a9r + 6336)) = ADD_CPX_CPX(t4L, t7L);
            *((a9r + 1216)) = ADD_CPX_CPX(t3L, s8x);
            *((a9r + 3264)) = SUB_CPX_CPX(t5L, s9x);
            *((a9r + 5312)) = SUB_CPX_CPX(t3L, s8x);
            *((a9r + 7360)) = ADD_CPX_CPX(t5L, s9x);
            t8L = ADD_CPX_CPX(t9J, s4x);
            t9L = SUB_CPX_CPX(t1K, s5x);
            t0M = SUB_CPX_CPX(t9J, s4x);
            t1M = ADD_CPX_CPX(t1K, s5x);
            t2M = ADD_CPX_CPX(s2x, s6x);
            t3M = SUB_CPX_CPX(s3x, s7x);
            a8t = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s2x, s6x));
            a9t = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s3x, s7x));
            s0y = SUB_CPX_CPX(a8t, a9t);
            s1y = ADD_CPX_CPX(a8t, a9t);
            *((a9r + 704)) = ADD_CPX_CPX(t8L, t2M);
            *((a9r + 2752)) = SUB_CPX_CPX(t0M, t3M);
            *((a9r + 4800)) = SUB_CPX_CPX(t8L, t2M);
            *((a9r + 6848)) = ADD_CPX_CPX(t0M, t3M);
            *((a9r + 1728)) = ADD_CPX_CPX(t9L, s0y);
            *((a9r + 3776)) = SUB_CPX_CPX(t1M, s1y);
            *((a9r + 5824)) = SUB_CPX_CPX(t9L, s0y);
            *((a9r + 7872)) = ADD_CPX_CPX(t1M, s1y);
            t4M = ADD_CPX_CPX(t3g, s2j);
            t5M = SUB_CPX_CPX(t5g, s3j);
            t6M = SUB_CPX_CPX(t3g, s2j);
            t7M = ADD_CPX_CPX(t5g, s3j);
            t8M = ADD_CPX_CPX(s29, s4t);
            t9M = SUB_CPX_CPX(s39, s5t);
            t0N = SUB_CPX_CPX(s29, s4t);
            t1N = ADD_CPX_CPX(s39, s5t);
            s2y = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t0N), MUL_FLT_CPX(C_FLT(0.38268343236508978), t1N));
            s3y = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t0N), MUL_FLT_CPX(C_FLT(0.92387953251128674), t1N));
            t2N = ADD_CPX_CPX(s6c, s0q);
            t3N = SUB_CPX_CPX(s7c, s1q);
            a0u = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s6c, s0q));
            a1u = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s7c, s1q));
            s4y = SUB_CPX_CPX(a0u, a1u);
            s5y = ADD_CPX_CPX(a0u, a1u);
            t4N = ADD_CPX_CPX(s0g, s6m);
            t5N = SUB_CPX_CPX(s1g, s7m);
            t6N = SUB_CPX_CPX(s0g, s6m);
            t7N = ADD_CPX_CPX(s1g, s7m);
            s6y = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t6N), MUL_FLT_CPX(C_FLT(0.92387953251128674), t7N));
            s7y = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t6N), MUL_FLT_CPX(C_FLT(0.38268343236508978), t7N));
            t8N = ADD_CPX_CPX(t4M, t2N);
            t9N = SUB_CPX_CPX(t6M, t3N);
            t0O = SUB_CPX_CPX(t4M, t2N);
            t1O = ADD_CPX_CPX(t6M, t3N);
            t2O = ADD_CPX_CPX(t8M, t4N);
            t3O = SUB_CPX_CPX(t9M, t5N);
            a2u = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t8M, t4N));
            a3u = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t9M, t5N));
            s8y = SUB_CPX_CPX(a2u, a3u);
            s9y = ADD_CPX_CPX(a2u, a3u);
            *((a9r + 256)) = ADD_CPX_CPX(t8N, t2O);
            *((a9r + 2304)) = SUB_CPX_CPX(t0O, t3O);
            *((a9r + 4352)) = SUB_CPX_CPX(t8N, t2O);
            *((a9r + 6400)) = ADD_CPX_CPX(t0O, t3O);
            *((a9r + 1280)) = ADD_CPX_CPX(t9N, s8y);
            *((a9r + 3328)) = SUB_CPX_CPX(t1O, s9y);
            *((a9r + 5376)) = SUB_CPX_CPX(t9N, s8y);
            *((a9r + 7424)) = ADD_CPX_CPX(t1O, s9y);
            t4O = ADD_CPX_CPX(t5M, s4y);
            t5O = SUB_CPX_CPX(t7M, s5y);
            t6O = SUB_CPX_CPX(t5M, s4y);
            t7O = ADD_CPX_CPX(t7M, s5y);
            t8O = ADD_CPX_CPX(s2y, s6y);
            t9O = SUB_CPX_CPX(s3y, s7y);
            a4u = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s2y, s6y));
            a5u = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s3y, s7y));
            s0z = SUB_CPX_CPX(a4u, a5u);
            s1z = ADD_CPX_CPX(a4u, a5u);
            *((a9r + 768)) = ADD_CPX_CPX(t4O, t8O);
            *((a9r + 2816)) = SUB_CPX_CPX(t6O, t9O);
            *((a9r + 4864)) = SUB_CPX_CPX(t4O, t8O);
            *((a9r + 6912)) = ADD_CPX_CPX(t6O, t9O);
            *((a9r + 1792)) = ADD_CPX_CPX(t5O, s0z);
            *((a9r + 3840)) = SUB_CPX_CPX(t7O, s1z);
            *((a9r + 5888)) = SUB_CPX_CPX(t5O, s0z);
            *((a9r + 7936)) = ADD_CPX_CPX(t7O, s1z);
            t0P = ADD_CPX_CPX(t7h, s4j);
            t1P = SUB_CPX_CPX(t9h, s5j);
            t2P = SUB_CPX_CPX(t7h, s4j);
            t3P = ADD_CPX_CPX(t9h, s5j);
            t4P = SUB_CPX_CPX(s49, s6t);
            t5P = SUB_CPX_CPX(s59, s7t);
            t6P = ADD_CPX_CPX(s49, s6t);
            t7P = ADD_CPX_CPX(s59, s7t);
            s2z = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t6P), MUL_FLT_CPX(C_FLT(0.38268343236508978), t7P));
            s3z = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t6P), MUL_FLT_CPX(C_FLT(0.92387953251128674), t7P));
            t8P = ADD_CPX_CPX(s8c, s2q);
            t9P = SUB_CPX_CPX(s9c, s3q);
            a6u = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s8c, s2q));
            a7u = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s9c, s3q));
            s4z = SUB_CPX_CPX(a6u, a7u);
            s5z = ADD_CPX_CPX(a6u, a7u);
            t0Q = ADD_CPX_CPX(s2g, s8m);
            t1Q = SUB_CPX_CPX(s3g, s9m);
            t2Q = SUB_CPX_CPX(s2g, s8m);
            t3Q = ADD_CPX_CPX(s3g, s9m);
            s6z = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t2Q), MUL_FLT_CPX(C_FLT(0.92387953251128674), t3Q));
            s7z = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t2Q), MUL_FLT_CPX(C_FLT(0.38268343236508978), t3Q));
            t4Q = ADD_CPX_CPX(t0P, t8P);
            t5Q = SUB_CPX_CPX(t2P, t9P);
            t6Q = SUB_CPX_CPX(t0P, t8P);
            t7Q = ADD_CPX_CPX(t2P, t9P);
            t8Q = ADD_CPX_CPX(t4P, t0Q);
            t9Q = SUB_CPX_CPX(t5P, t1Q);
            a8u = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t4P, t0Q));
            a9u = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t5P, t1Q));
            s8z = SUB_CPX_CPX(a8u, a9u);
            s9z = ADD_CPX_CPX(a8u, a9u);
            *((a9r + 320)) = ADD_CPX_CPX(t4Q, t8Q);
            *((a9r + 2368)) = SUB_CPX_CPX(t6Q, t9Q);
            *((a9r + 4416)) = SUB_CPX_CPX(t4Q, t8Q);
            *((a9r + 6464)) = ADD_CPX_CPX(t6Q, t9Q);
            *((a9r + 1344)) = ADD_CPX_CPX(t5Q, s8z);
            *((a9r + 3392)) = SUB_CPX_CPX(t7Q, s9z);
            *((a9r + 5440)) = SUB_CPX_CPX(t5Q, s8z);
            *((a9r + 7488)) = ADD_CPX_CPX(t7Q, s9z);
            t0R = ADD_CPX_CPX(t1P, s4z);
            t1R = SUB_CPX_CPX(t3P, s5z);
            t2R = SUB_CPX_CPX(t1P, s4z);
            t3R = ADD_CPX_CPX(t3P, s5z);
            t4R = ADD_CPX_CPX(s2z, s6z);
            t5R = SUB_CPX_CPX(s3z, s7z);
            a0v = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s2z, s6z));
            a1v = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s3z, s7z));
            s0A = SUB_CPX_CPX(a0v, a1v);
            s1A = ADD_CPX_CPX(a0v, a1v);
            *((a9r + 832)) = ADD_CPX_CPX(t0R, t4R);
            *((a9r + 2880)) = SUB_CPX_CPX(t2R, t5R);
            *((a9r + 4928)) = SUB_CPX_CPX(t0R, t4R);
            *((a9r + 6976)) = ADD_CPX_CPX(t2R, t5R);
            *((a9r + 1856)) = ADD_CPX_CPX(t1R, s0A);
            *((a9r + 3904)) = SUB_CPX_CPX(t3R, s1A);
            *((a9r + 5952)) = SUB_CPX_CPX(t1R, s0A);
            *((a9r + 8000)) = ADD_CPX_CPX(t3R, s1A);
            t6R = ADD_CPX_CPX(t7g, s6j);
            t7R = SUB_CPX_CPX(t9g, s7j);
            t8R = SUB_CPX_CPX(t7g, s6j);
            t9R = ADD_CPX_CPX(t9g, s7j);
            t0S = SUB_CPX_CPX(s69, s8t);
            t1S = SUB_CPX_CPX(s79, s9t);
            t2S = ADD_CPX_CPX(s69, s8t);
            t3S = ADD_CPX_CPX(s79, s9t);
            s2A = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t2S), MUL_FLT_CPX(C_FLT(0.38268343236508978), t3S));
            s3A = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t2S), MUL_FLT_CPX(C_FLT(0.92387953251128674), t3S));
            t4S = SUB_CPX_CPX(s0d, s4q);
            t5S = SUB_CPX_CPX(s1d, s5q);
            a2v = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s0d, s4q));
            a3v = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s1d, s5q));
            s4A = SUB_CPX_CPX(a2v, a3v);
            s5A = ADD_CPX_CPX(a2v, a3v);
            t6S = ADD_CPX_CPX(s4g, s0n);
            t7S = SUB_CPX_CPX(s5g, s1n);
            t8S = SUB_CPX_CPX(s4g, s0n);
            t9S = ADD_CPX_CPX(s5g, s1n);
            s6A = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t8S), MUL_FLT_CPX(C_FLT(0.92387953251128674), t9S));
            s7A = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t8S), MUL_FLT_CPX(C_FLT(0.38268343236508978), t9S));
            t0T = ADD_CPX_CPX(t6R, t4S);
            t1T = SUB_CPX_CPX(t8R, t5S);
            t2T = SUB_CPX_CPX(t6R, t4S);
            t3T = ADD_CPX_CPX(t8R, t5S);
            t4T = ADD_CPX_CPX(t0S, t6S);
            t5T = SUB_CPX_CPX(t1S, t7S);
            a4v = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t0S, t6S));
            a5v = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t1S, t7S));
            s8A = SUB_CPX_CPX(a4v, a5v);
            s9A = ADD_CPX_CPX(a4v, a5v);
            *((a9r + 384)) = ADD_CPX_CPX(t0T, t4T);
            *((a9r + 2432)) = SUB_CPX_CPX(t2T, t5T);
            *((a9r + 4480)) = SUB_CPX_CPX(t0T, t4T);
            *((a9r + 6528)) = ADD_CPX_CPX(t2T, t5T);
            *((a9r + 1408)) = ADD_CPX_CPX(t1T, s8A);
            *((a9r + 3456)) = SUB_CPX_CPX(t3T, s9A);
            *((a9r + 5504)) = SUB_CPX_CPX(t1T, s8A);
            *((a9r + 7552)) = ADD_CPX_CPX(t3T, s9A);
            t6T = ADD_CPX_CPX(t7R, s4A);
            t7T = SUB_CPX_CPX(t9R, s5A);
            t8T = SUB_CPX_CPX(t7R, s4A);
            t9T = ADD_CPX_CPX(t9R, s5A);
            t0U = ADD_CPX_CPX(s2A, s6A);
            t1U = SUB_CPX_CPX(s3A, s7A);
            a6v = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s2A, s6A));
            a7v = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s3A, s7A));
            s0B = SUB_CPX_CPX(a6v, a7v);
            s1B = ADD_CPX_CPX(a6v, a7v);
            *((a9r + 896)) = ADD_CPX_CPX(t6T, t0U);
            *((a9r + 2944)) = SUB_CPX_CPX(t8T, t1U);
            *((a9r + 4992)) = SUB_CPX_CPX(t6T, t0U);
            *((a9r + 7040)) = ADD_CPX_CPX(t8T, t1U);
            *((a9r + 1920)) = ADD_CPX_CPX(t7T, s0B);
            *((a9r + 3968)) = SUB_CPX_CPX(t9T, s1B);
            *((a9r + 6016)) = SUB_CPX_CPX(t7T, s0B);
            *((a9r + 8064)) = ADD_CPX_CPX(t9T, s1B);
            t2U = ADD_CPX_CPX(t1i, s8j);
            t3U = SUB_CPX_CPX(t3i, s9j);
            t4U = SUB_CPX_CPX(t1i, s8j);
            t5U = ADD_CPX_CPX(t3i, s9j);
            t6U = SUB_CPX_CPX(s89, s0u);
            t7U = SUB_CPX_CPX(s99, s1u);
            t8U = ADD_CPX_CPX(s89, s0u);
            t9U = ADD_CPX_CPX(s99, s1u);
            s2B = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t8U), MUL_FLT_CPX(C_FLT(0.38268343236508978), t9U));
            s3B = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t8U), MUL_FLT_CPX(C_FLT(0.92387953251128674), t9U));
            t0V = SUB_CPX_CPX(s2d, s6q);
            t1V = SUB_CPX_CPX(s3d, s7q);
            a8v = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s2d, s6q));
            a9v = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s3d, s7q));
            s4B = SUB_CPX_CPX(a8v, a9v);
            s5B = ADD_CPX_CPX(a8v, a9v);
            t2V = SUB_CPX_CPX(s6g, s2n);
            t3V = SUB_CPX_CPX(s7g, s3n);
            t4V = ADD_CPX_CPX(s6g, s2n);
            t5V = ADD_CPX_CPX(s7g, s3n);
            s6B = SUB_CPX_CPX(MUL_FLT_CPX(C_FLT(0.38268343236508978), t4V), MUL_FLT_CPX(C_FLT(0.92387953251128674), t5V));
            s7B = ADD_CPX_CPX(MUL_FLT_CPX(C_FLT(0.92387953251128674), t4V), MUL_FLT_CPX(C_FLT(0.38268343236508978), t5V));
            t6V = ADD_CPX_CPX(t2U, t0V);
            t7V = SUB_CPX_CPX(t4U, t1V);
            t8V = SUB_CPX_CPX(t2U, t0V);
            t9V = ADD_CPX_CPX(t4U, t1V);
            t0W = ADD_CPX_CPX(t6U, t2V);
            t1W = SUB_CPX_CPX(t7U, t3V);
            a0w = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(t6U, t2V));
            a1w = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(t7U, t3V));
            s8B = SUB_CPX_CPX(a0w, a1w);
            s9B = ADD_CPX_CPX(a0w, a1w);
            *((a9r + 448)) = ADD_CPX_CPX(t6V, t0W);
            *((a9r + 2496)) = SUB_CPX_CPX(t8V, t1W);
            *((a9r + 4544)) = SUB_CPX_CPX(t6V, t0W);
            *((a9r + 6592)) = ADD_CPX_CPX(t8V, t1W);
            *((a9r + 1472)) = ADD_CPX_CPX(t7V, s8B);
            *((a9r + 3520)) = SUB_CPX_CPX(t9V, s9B);
            *((a9r + 5568)) = SUB_CPX_CPX(t7V, s8B);
            *((a9r + 7616)) = ADD_CPX_CPX(t9V, s9B);
            t2W = ADD_CPX_CPX(t3U, s4B);
            t3W = SUB_CPX_CPX(t5U, s5B);
            t4W = SUB_CPX_CPX(t3U, s4B);
            t5W = ADD_CPX_CPX(t5U, s5B);
            t6W = ADD_CPX_CPX(s2B, s6B);
            t7W = SUB_CPX_CPX(s3B, s7B);
            a2w = MUL_FLT_CPX(C_FLT(0.70710678118654757), SUB_CPX_CPX(s2B, s6B));
            a3w = MUL_FLT_CPX(C_FLT(0.70710678118654757), ADD_CPX_CPX(s3B, s7B));
            s0C = SUB_CPX_CPX(a2w, a3w);
            s1C = ADD_CPX_CPX(a2w, a3w);
            *((a9r + 960)) = ADD_CPX_CPX(t2W, t6W);
            *((a9r + 3008)) = SUB_CPX_CPX(t4W, t7W);
            *((a9r + 5056)) = SUB_CPX_CPX(t2W, t6W);
            *((a9r + 7104)) = ADD_CPX_CPX(t4W, t7W);
            *((a9r + 1984)) = ADD_CPX_CPX(t3W, s0C);
            *((a9r + 4032)) = SUB_CPX_CPX(t5W, s1C);
            *((a9r + 6080)) = SUB_CPX_CPX(t3W, s0C);
            *((a9r + 8128)) = ADD_CPX_CPX(t5W, s1C);
        }}
    }}
    }
    
    return SPIRAL_OK;
    }
}

