/*/////////////////////////////////////////////////////////////////////////////
//
//     spiral_fft_float.c
//
//     This library was generated by Spiral 6.0, developed at Carnegie Mellon
//     University, http://www.spiral.net. This code is distributed under the
//     GNU general purpose software license version 2.0.
//
//     Commercial licenses and support are available through SpiralGen, Inc.
//     fft@spiralgen.com
//
*/

#include "spiral_fft.h"
#include "spiral_private.h"

/*************************************************
 * Main dispatch  
 *************************************************/

SPIRAL_API(spiral_status_t, spiral_fft_float)(int n, int sign, const float *pSrc, float *pDst ) {
    if (sign<0) {
        switch(n) {
            case 2: return spiral_fftfwd_float_2(pSrc, pDst );
            case 4: return spiral_fftfwd_float_4(pSrc, pDst );
            case 8: return spiral_fftfwd_float_8(pSrc, pDst );
            case 16: return spiral_fftfwd_float_16(pSrc, pDst );
            case 32: return spiral_fftfwd_float_32(pSrc, pDst );
            case 64: return spiral_fftfwd_float_64(pSrc, pDst );
            case 128: return spiral_fftfwd_float_128(pSrc, pDst );
            case 256: return spiral_fftfwd_float_256(pSrc, pDst );
            case 512: return spiral_fftfwd_float_512(pSrc, pDst );
            case 1024: return spiral_fftfwd_float_1024(pSrc, pDst );
            case 2048: return spiral_fftfwd_float_2048(pSrc, pDst );
            case 4096: return spiral_fftfwd_float_4096(pSrc, pDst );
            case 8192: return spiral_fftfwd_float_8192(pSrc, pDst );
            default: return SPIRAL_SIZE_NOT_SUPPORTED;
        }
    } 
    else {
        switch(n) {
            case 2: return spiral_fftinv_float_2(pSrc, pDst );
            case 4: return spiral_fftinv_float_4(pSrc, pDst );
            case 8: return spiral_fftinv_float_8(pSrc, pDst );
            case 16: return spiral_fftinv_float_16(pSrc, pDst );
            case 32: return spiral_fftinv_float_32(pSrc, pDst );
            case 64: return spiral_fftinv_float_64(pSrc, pDst );
            case 128: return spiral_fftinv_float_128(pSrc, pDst );
            case 256: return spiral_fftinv_float_256(pSrc, pDst );
            case 512: return spiral_fftinv_float_512(pSrc, pDst );
            case 1024: return spiral_fftinv_float_1024(pSrc, pDst );
            case 2048: return spiral_fftinv_float_2048(pSrc, pDst );
            case 4096: return spiral_fftinv_float_4096(pSrc, pDst );
            case 8192: return spiral_fftinv_float_8192(pSrc, pDst );
            default: return SPIRAL_SIZE_NOT_SUPPORTED;
        }
    }
}

/*************************************************
 * Individual transform sizes  
 *************************************************/

SPIRAL_API(spiral_status_t, spiral_fftinv_float_2)(const float *pSrc, float *pDst ) {
    const float  *src = (const float *) pSrc; 
    float        *dst = (float *) pDst;
    
    
    {const float  *a, *a2, *a3;
    a = (src + 2);
    a2 = (src + 1);
    a3 = (src + 3);
    *(dst) = (*(src) + *(a));
    *((dst + 1)) = (*(a2) + *(a3));
    *((dst + 2)) = (*(src) - *(a));
    *((dst + 3)) = (*(a2) - *(a3));
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_fftinv_float_4)(const float *pSrc, float *pDst ) {
    const float  *src = (const float *) pSrc; 
    float        *dst = (float *) pDst;
    
    
    {const float  *a, *a2, *a3, *a4, *a5, *a6, *a7;
    float t, t2, t3, t4, t5, t6, t7, t8;
    a = (src + 4);
    t = (*(src) + *(a));
    a2 = (src + 1);
    a3 = (src + 5);
    t2 = (*(a2) + *(a3));
    t3 = (*(src) - *(a));
    t4 = (*(a2) - *(a3));
    a4 = (src + 2);
    a5 = (src + 6);
    t5 = (*(a4) + *(a5));
    a6 = (src + 3);
    a7 = (src + 7);
    t6 = (*(a6) + *(a7));
    t7 = (*(a4) - *(a5));
    t8 = (*(a6) - *(a7));
    *(dst) = (t + t5);
    *((dst + 1)) = (t2 + t6);
    *((dst + 4)) = (t - t5);
    *((dst + 5)) = (t2 - t6);
    *((dst + 2)) = (t3 - t8);
    *((dst + 3)) = (t4 + t7);
    *((dst + 6)) = (t3 + t8);
    *((dst + 7)) = (t4 - t7);
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_fftinv_float_8)(const float *pSrc, float *pDst ) {
    const float  *src = (const float *) pSrc; 
    float        *dst = (float *) pDst;
    
    
    {const float  *a, *a01, *a11, *a2, *a21, *a3, *a31, *a4, *a41, *a5, *a51, *a6, *a61, *a7, *a71;
    float a8, a81, a9, a91, s, s2, s3, s4, t, t01, t02, t11, t12, t2, t21, t22, t3, t31, t32, t4, t41, t42
            , t5, t51, t52, t6, t61, t62, t7, t71, t72, t8, t81, t82, t9, t91;
    a = (src + 8);
    t = (*(src) + *(a));
    a2 = (src + 1);
    a3 = (src + 9);
    t2 = (*(a2) + *(a3));
    t3 = (*(src) - *(a));
    t4 = (*(a2) - *(a3));
    a4 = (src + 2);
    a5 = (src + 10);
    t5 = (*(a4) + *(a5));
    a6 = (src + 3);
    a7 = (src + 11);
    t6 = (*(a6) + *(a7));
    a8 = (0.70710678118654757f*(*(a4) - *(a5)));
    a9 = (0.70710678118654757f*(*(a6) - *(a7)));
    s = (a8 - a9);
    s2 = (a8 + a9);
    a01 = (src + 4);
    a11 = (src + 12);
    t7 = (*(a01) + *(a11));
    a21 = (src + 5);
    a31 = (src + 13);
    t8 = (*(a21) + *(a31));
    t9 = (*(a01) - *(a11));
    t01 = (*(a21) - *(a31));
    a41 = (src + 6);
    a51 = (src + 14);
    t11 = (*(a41) + *(a51));
    a61 = (src + 7);
    a71 = (src + 15);
    t21 = (*(a61) + *(a71));
    a81 = (0.70710678118654757f*(*(a41) - *(a51)));
    a91 = (0.70710678118654757f*(*(a61) - *(a71)));
    s3 = (a81 + a91);
    s4 = (a81 - a91);
    t31 = (t + t7);
    t41 = (t2 + t8);
    t51 = (t - t7);
    t61 = (t2 - t8);
    t71 = (t5 + t11);
    t81 = (t6 + t21);
    t91 = (t5 - t11);
    t02 = (t6 - t21);
    *(dst) = (t31 + t71);
    *((dst + 1)) = (t41 + t81);
    *((dst + 8)) = (t31 - t71);
    *((dst + 9)) = (t41 - t81);
    *((dst + 4)) = (t51 - t02);
    *((dst + 5)) = (t61 + t91);
    *((dst + 12)) = (t51 + t02);
    *((dst + 13)) = (t61 - t91);
    t12 = (t3 - t01);
    t22 = (t4 + t9);
    t32 = (t3 + t01);
    t42 = (t4 - t9);
    t52 = (s - s3);
    t62 = (s2 + s4);
    t72 = (s + s3);
    t82 = (s2 - s4);
    *((dst + 2)) = (t12 + t52);
    *((dst + 3)) = (t22 + t62);
    *((dst + 10)) = (t12 - t52);
    *((dst + 11)) = (t22 - t62);
    *((dst + 6)) = (t32 - t82);
    *((dst + 7)) = (t42 + t72);
    *((dst + 14)) = (t32 + t82);
    *((dst + 15)) = (t42 - t72);
    }
    
    return SPIRAL_OK;
}

SPIRAL_PRIV(spiral_status_t, spiral_fftinv_float_16_unaligned)(const float *pSrc, float *pDst ) {
    const float  *src = (const float *) pSrc; 
    float        *dst = (float *) pDst;
    
    
    {__m128 s04, s14, s24, s34, s44, s54, s64, s93;
    __m128 s, s01, s02, s03, s11, s12, s13, s2, s21, s22, s23, s3, s31, s32, s33, s4, s41, s42, s43, s5, s51, s52
            , s53, s6, s61, s62, s63, s7, s71, s72, s73, s8, s81, s82, s83, s9, s91, s92, t, t01, t02, t03, t11, t12
            , t13, t2, t21, t22, t23, t3, t31, t32, t4, t41, t42, t5, t51, t52, t6, t61, t62, t7, t71, t72, t8, t81
            , t82, t9, t91, t92;
    s = _mm_loadu_ps(((const float  *) src));
    s2 = _mm_loadu_ps(((const float  *) (src + 4)));
    s3 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(2, 0, 2, 0));
    s4 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(3, 1, 3, 1));
    s5 = _mm_loadu_ps(((const float  *) (src + 16)));
    s6 = _mm_loadu_ps(((const float  *) (src + 20)));
    s7 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(2, 0, 2, 0));
    s8 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(3, 1, 3, 1));
    t = _mm_add_ps(s3, s7);
    t2 = _mm_add_ps(s4, s8);
    t3 = _mm_sub_ps(s3, s7);
    t4 = _mm_sub_ps(s4, s8);
    s9 = _mm_loadu_ps(((const float  *) (src + 8)));
    s01 = _mm_loadu_ps(((const float  *) (src + 12)));
    s11 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(2, 0, 2, 0));
    s21 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(3, 1, 3, 1));
    s31 = _mm_loadu_ps(((const float  *) (src + 24)));
    s41 = _mm_loadu_ps(((const float  *) (src + 28)));
    s51 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(2, 0, 2, 0));
    s61 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(3, 1, 3, 1));
    t5 = _mm_add_ps(s11, s51);
    t6 = _mm_add_ps(s21, s61);
    t7 = _mm_sub_ps(s11, s51);
    t8 = _mm_sub_ps(s21, s61);
    t9 = _mm_add_ps(t, t5);
    t01 = _mm_add_ps(t2, t6);
    t11 = _mm_sub_ps(t, t5);
    t21 = _mm_sub_ps(t2, t6);
    t31 = _mm_sub_ps(t3, t8);
    t41 = _mm_add_ps(t4, t7);
    t51 = _mm_add_ps(t3, t8);
    t61 = _mm_sub_ps(t4, t7);
    s71 = _mm_unpacklo_ps(t9, t31);
    s81 = _mm_unpackhi_ps(t9, t31);
    s91 = _mm_unpacklo_ps(t01, t41);
    s02 = _mm_unpackhi_ps(t01, t41);
    s12 = _mm_unpacklo_ps(t11, t51);
    s22 = _mm_unpackhi_ps(t11, t51);
    s32 = _mm_unpacklo_ps(t21, t61);
    s42 = _mm_unpackhi_ps(t21, t61);
    s52 = _mm_shuffle_ps(s71, s12, _MM_SHUFFLE(1, 0, 1, 0));
    s62 = _mm_shuffle_ps(s71, s12, _MM_SHUFFLE(3, 2, 3, 2));
    s72 = _mm_shuffle_ps(s81, s22, _MM_SHUFFLE(1, 0, 1, 0));
    s82 = _mm_shuffle_ps(s81, s22, _MM_SHUFFLE(3, 2, 3, 2));
    s92 = _mm_shuffle_ps(s91, s32, _MM_SHUFFLE(1, 0, 1, 0));
    s03 = _mm_shuffle_ps(s91, s32, _MM_SHUFFLE(3, 2, 3, 2));
    s13 = _mm_shuffle_ps(s02, s42, _MM_SHUFFLE(1, 0, 1, 0));
    s23 = _mm_shuffle_ps(s02, s42, _MM_SHUFFLE(3, 2, 3, 2));
    s33 = _mm_sub_ps(_mm_mul_ps(_mm_set_ps((-0.70710678118654757), 0.0, 0.70710678118654757, 1.0), s72), _mm_mul_ps(_mm_set_ps(0.70710678118654757, 1.0, 0.70710678118654757, 0.0), s13));
    s43 = _mm_add_ps(_mm_mul_ps(_mm_set_ps(0.70710678118654757, 1.0, 0.70710678118654757, 0.0), s72), _mm_mul_ps(_mm_set_ps((-0.70710678118654757), 0.0, 0.70710678118654757, 1.0), s13));
    t71 = _mm_add_ps(s52, s33);
    t81 = _mm_add_ps(s92, s43);
    t91 = _mm_sub_ps(s52, s33);
    t02 = _mm_sub_ps(s92, s43);
    s53 = _mm_sub_ps(_mm_mul_ps(_mm_set_ps(0.38268343236508978, 0.70710678118654757, 0.92387953251128674, 1.0), s62), _mm_mul_ps(_mm_set_ps(0.92387953251128674, 0.70710678118654757, 0.38268343236508978, 0.0), s03));
    s63 = _mm_add_ps(_mm_mul_ps(_mm_set_ps(0.92387953251128674, 0.70710678118654757, 0.38268343236508978, 0.0), s62), _mm_mul_ps(_mm_set_ps(0.38268343236508978, 0.70710678118654757, 0.92387953251128674, 1.0), s03));
    s73 = _mm_sub_ps(_mm_mul_ps(_mm_set_ps((-0.92387953251128674), (-0.70710678118654757), 0.38268343236508978, 1.0), s82), _mm_mul_ps(_mm_set_ps((-0.38268343236508978), 0.70710678118654757, 0.92387953251128674, 0.0), s23));
    s83 = _mm_add_ps(_mm_mul_ps(_mm_set_ps((-0.38268343236508978), 0.70710678118654757, 0.92387953251128674, 0.0), s82), _mm_mul_ps(_mm_set_ps((-0.92387953251128674), (-0.70710678118654757), 0.38268343236508978, 1.0), s23));
    t12 = _mm_add_ps(s53, s73);
    t22 = _mm_add_ps(s63, s83);
    t32 = _mm_sub_ps(s53, s73);
    t42 = _mm_sub_ps(s63, s83);
    t52 = _mm_add_ps(t71, t12);
    t62 = _mm_add_ps(t81, t22);
    t72 = _mm_sub_ps(t71, t12);
    t82 = _mm_sub_ps(t81, t22);
    s93 = _mm_unpacklo_ps(t52, t62);
    _mm_storeu_ps(((float  *) dst), s93);
    s04 = _mm_unpackhi_ps(t52, t62);
    _mm_storeu_ps(((float  *) (dst + 4)), s04);
    s14 = _mm_unpacklo_ps(t72, t82);
    _mm_storeu_ps(((float  *) (dst + 16)), s14);
    s24 = _mm_unpackhi_ps(t72, t82);
    _mm_storeu_ps(((float  *) (dst + 20)), s24);
    t92 = _mm_sub_ps(t91, t42);
    t03 = _mm_add_ps(t02, t32);
    t13 = _mm_add_ps(t91, t42);
    t23 = _mm_sub_ps(t02, t32);
    s34 = _mm_unpacklo_ps(t92, t03);
    _mm_storeu_ps(((float  *) (dst + 8)), s34);
    s44 = _mm_unpackhi_ps(t92, t03);
    _mm_storeu_ps(((float  *) (dst + 12)), s44);
    s54 = _mm_unpacklo_ps(t13, t23);
    _mm_storeu_ps(((float  *) (dst + 24)), s54);
    s64 = _mm_unpackhi_ps(t13, t23);
    _mm_storeu_ps(((float  *) (dst + 28)), s64);
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_fftinv_float_16)(const float *pSrc, float *pDst ) {
    if (!is_aligned(pSrc) || !is_aligned(pDst))
       	return spiral_fftinv_float_16_unaligned(pSrc, pDst );
    else {
    const float  *src = (const float *) pSrc; 
    float        *dst = (float *) pDst;
    
    
    {__m128 s04, s14, s24, s34, s44, s54, s64, s93;
    __m128 s, s01, s02, s03, s11, s12, s13, s2, s21, s22, s23, s3, s31, s32, s33, s4, s41, s42, s43, s5, s51, s52
            , s53, s6, s61, s62, s63, s7, s71, s72, s73, s8, s81, s82, s83, s9, s91, s92, t, t01, t02, t03, t11, t12
            , t13, t2, t21, t22, t23, t3, t31, t32, t4, t41, t42, t5, t51, t52, t6, t61, t62, t7, t71, t72, t8, t81
            , t82, t9, t91, t92;
    __m128  *a, *a2;
    a = ((__m128  *) src);
    s = *(a);
    s2 = *((a + 1));
    s3 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(2, 0, 2, 0));
    s4 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(3, 1, 3, 1));
    s5 = *((a + 4));
    s6 = *((a + 5));
    s7 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(2, 0, 2, 0));
    s8 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(3, 1, 3, 1));
    t = _mm_add_ps(s3, s7);
    t2 = _mm_add_ps(s4, s8);
    t3 = _mm_sub_ps(s3, s7);
    t4 = _mm_sub_ps(s4, s8);
    s9 = *((a + 2));
    s01 = *((a + 3));
    s11 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(2, 0, 2, 0));
    s21 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(3, 1, 3, 1));
    s31 = *((a + 6));
    s41 = *((a + 7));
    s51 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(2, 0, 2, 0));
    s61 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(3, 1, 3, 1));
    t5 = _mm_add_ps(s11, s51);
    t6 = _mm_add_ps(s21, s61);
    t7 = _mm_sub_ps(s11, s51);
    t8 = _mm_sub_ps(s21, s61);
    t9 = _mm_add_ps(t, t5);
    t01 = _mm_add_ps(t2, t6);
    t11 = _mm_sub_ps(t, t5);
    t21 = _mm_sub_ps(t2, t6);
    t31 = _mm_sub_ps(t3, t8);
    t41 = _mm_add_ps(t4, t7);
    t51 = _mm_add_ps(t3, t8);
    t61 = _mm_sub_ps(t4, t7);
    s71 = _mm_unpacklo_ps(t9, t31);
    s81 = _mm_unpackhi_ps(t9, t31);
    s91 = _mm_unpacklo_ps(t01, t41);
    s02 = _mm_unpackhi_ps(t01, t41);
    s12 = _mm_unpacklo_ps(t11, t51);
    s22 = _mm_unpackhi_ps(t11, t51);
    s32 = _mm_unpacklo_ps(t21, t61);
    s42 = _mm_unpackhi_ps(t21, t61);
    s52 = _mm_shuffle_ps(s71, s12, _MM_SHUFFLE(1, 0, 1, 0));
    s62 = _mm_shuffle_ps(s71, s12, _MM_SHUFFLE(3, 2, 3, 2));
    s72 = _mm_shuffle_ps(s81, s22, _MM_SHUFFLE(1, 0, 1, 0));
    s82 = _mm_shuffle_ps(s81, s22, _MM_SHUFFLE(3, 2, 3, 2));
    s92 = _mm_shuffle_ps(s91, s32, _MM_SHUFFLE(1, 0, 1, 0));
    s03 = _mm_shuffle_ps(s91, s32, _MM_SHUFFLE(3, 2, 3, 2));
    s13 = _mm_shuffle_ps(s02, s42, _MM_SHUFFLE(1, 0, 1, 0));
    s23 = _mm_shuffle_ps(s02, s42, _MM_SHUFFLE(3, 2, 3, 2));
    s33 = _mm_sub_ps(_mm_mul_ps(_mm_set_ps((-0.70710678118654757), 0.0, 0.70710678118654757, 1.0), s72), _mm_mul_ps(_mm_set_ps(0.70710678118654757, 1.0, 0.70710678118654757, 0.0), s13));
    s43 = _mm_add_ps(_mm_mul_ps(_mm_set_ps(0.70710678118654757, 1.0, 0.70710678118654757, 0.0), s72), _mm_mul_ps(_mm_set_ps((-0.70710678118654757), 0.0, 0.70710678118654757, 1.0), s13));
    t71 = _mm_add_ps(s52, s33);
    t81 = _mm_add_ps(s92, s43);
    t91 = _mm_sub_ps(s52, s33);
    t02 = _mm_sub_ps(s92, s43);
    s53 = _mm_sub_ps(_mm_mul_ps(_mm_set_ps(0.38268343236508978, 0.70710678118654757, 0.92387953251128674, 1.0), s62), _mm_mul_ps(_mm_set_ps(0.92387953251128674, 0.70710678118654757, 0.38268343236508978, 0.0), s03));
    s63 = _mm_add_ps(_mm_mul_ps(_mm_set_ps(0.92387953251128674, 0.70710678118654757, 0.38268343236508978, 0.0), s62), _mm_mul_ps(_mm_set_ps(0.38268343236508978, 0.70710678118654757, 0.92387953251128674, 1.0), s03));
    s73 = _mm_sub_ps(_mm_mul_ps(_mm_set_ps((-0.92387953251128674), (-0.70710678118654757), 0.38268343236508978, 1.0), s82), _mm_mul_ps(_mm_set_ps((-0.38268343236508978), 0.70710678118654757, 0.92387953251128674, 0.0), s23));
    s83 = _mm_add_ps(_mm_mul_ps(_mm_set_ps((-0.38268343236508978), 0.70710678118654757, 0.92387953251128674, 0.0), s82), _mm_mul_ps(_mm_set_ps((-0.92387953251128674), (-0.70710678118654757), 0.38268343236508978, 1.0), s23));
    t12 = _mm_add_ps(s53, s73);
    t22 = _mm_add_ps(s63, s83);
    t32 = _mm_sub_ps(s53, s73);
    t42 = _mm_sub_ps(s63, s83);
    t52 = _mm_add_ps(t71, t12);
    t62 = _mm_add_ps(t81, t22);
    t72 = _mm_sub_ps(t71, t12);
    t82 = _mm_sub_ps(t81, t22);
    a2 = ((__m128  *) dst);
    s93 = _mm_unpacklo_ps(t52, t62);
    *(a2) = s93;
    s04 = _mm_unpackhi_ps(t52, t62);
    *((a2 + 1)) = s04;
    s14 = _mm_unpacklo_ps(t72, t82);
    *((a2 + 4)) = s14;
    s24 = _mm_unpackhi_ps(t72, t82);
    *((a2 + 5)) = s24;
    t92 = _mm_sub_ps(t91, t42);
    t03 = _mm_add_ps(t02, t32);
    t13 = _mm_add_ps(t91, t42);
    t23 = _mm_sub_ps(t02, t32);
    s34 = _mm_unpacklo_ps(t92, t03);
    *((a2 + 2)) = s34;
    s44 = _mm_unpackhi_ps(t92, t03);
    *((a2 + 3)) = s44;
    s54 = _mm_unpacklo_ps(t13, t23);
    *((a2 + 6)) = s54;
    s64 = _mm_unpackhi_ps(t13, t23);
    *((a2 + 7)) = s64;
    }
    
    return SPIRAL_OK;
    }
}

SPIRAL_PRIV(spiral_status_t, spiral_fftinv_float_32_unaligned)(const float *pSrc, float *pDst ) {
    const float  *src = (const float *) pSrc; 
    float        *dst = (float *) pDst;
    
    
    {__m128 s09, s19, s29, s38, s39, s48, s49, s58, s59, s68, s69, s78, s79, s88, s89, s98;
    __m128 a, a2, a3, a4, s, s01, s02, s03, s04, s05, s06, s07, s08, s11, s12, s13, s14, s15, s16, s17, s18, s2
            , s21, s22, s23, s24, s25, s26, s27, s28, s3, s31, s32, s33, s34, s35, s36, s37, s4, s41, s42, s43, s44, s45
            , s46, s47, s5, s51, s52, s53, s54, s55, s56, s57, s6, s61, s62, s63, s64, s65, s66, s67, s7, s71, s72, s73
            , s74, s75, s76, s77, s8, s81, s82, s83, s84, s85, s86, s87, s9, s91, s92, s93, s94, s95, s96, s97, t, t01
            , t02, t03, t04, t05, t06, t07, t11, t12, t13, t14, t15, t16, t17, t2, t21, t22, t23, t24, t25, t26, t27, t3
            , t31, t32, t33, t34, t35, t36, t37, t4, t41, t42, t43, t44, t45, t46, t47, t5, t51, t52, t53, t54, t55, t56
            , t57, t6, t61, t62, t63, t64, t65, t66, t67, t7, t71, t72, t73, t74, t75, t76, t8, t81, t82, t83, t84, t85
            , t86, t9, t91, t92, t93, t94, t95, t96;
    s = _mm_loadu_ps(((const float  *) src));
    s2 = _mm_loadu_ps(((const float  *) (src + 4)));
    s3 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(2, 0, 2, 0));
    s4 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(3, 1, 3, 1));
    s5 = _mm_loadu_ps(((const float  *) (src + 32)));
    s6 = _mm_loadu_ps(((const float  *) (src + 36)));
    s7 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(2, 0, 2, 0));
    s8 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(3, 1, 3, 1));
    t = _mm_add_ps(s3, s7);
    t2 = _mm_add_ps(s4, s8);
    t3 = _mm_sub_ps(s3, s7);
    t4 = _mm_sub_ps(s4, s8);
    s9 = _mm_loadu_ps(((const float  *) (src + 16)));
    s01 = _mm_loadu_ps(((const float  *) (src + 20)));
    s11 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(2, 0, 2, 0));
    s21 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(3, 1, 3, 1));
    s31 = _mm_loadu_ps(((const float  *) (src + 48)));
    s41 = _mm_loadu_ps(((const float  *) (src + 52)));
    s51 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(2, 0, 2, 0));
    s61 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(3, 1, 3, 1));
    t5 = _mm_add_ps(s11, s51);
    t6 = _mm_add_ps(s21, s61);
    t7 = _mm_sub_ps(s11, s51);
    t8 = _mm_sub_ps(s21, s61);
    t9 = _mm_add_ps(t, t5);
    t01 = _mm_add_ps(t2, t6);
    t11 = _mm_sub_ps(t, t5);
    t21 = _mm_sub_ps(t2, t6);
    t31 = _mm_sub_ps(t3, t8);
    t41 = _mm_add_ps(t4, t7);
    t51 = _mm_add_ps(t3, t8);
    t61 = _mm_sub_ps(t4, t7);
    s71 = _mm_unpacklo_ps(t9, t31);
    s81 = _mm_unpackhi_ps(t9, t31);
    s91 = _mm_unpacklo_ps(t01, t41);
    s02 = _mm_unpackhi_ps(t01, t41);
    s12 = _mm_unpacklo_ps(t11, t51);
    s22 = _mm_unpackhi_ps(t11, t51);
    s32 = _mm_unpacklo_ps(t21, t61);
    s42 = _mm_unpackhi_ps(t21, t61);
    s52 = _mm_shuffle_ps(s71, s12, _MM_SHUFFLE(1, 0, 1, 0));
    s62 = _mm_shuffle_ps(s71, s12, _MM_SHUFFLE(3, 2, 3, 2));
    s72 = _mm_shuffle_ps(s81, s22, _MM_SHUFFLE(1, 0, 1, 0));
    s82 = _mm_shuffle_ps(s81, s22, _MM_SHUFFLE(3, 2, 3, 2));
    s92 = _mm_shuffle_ps(s91, s32, _MM_SHUFFLE(1, 0, 1, 0));
    s03 = _mm_shuffle_ps(s91, s32, _MM_SHUFFLE(3, 2, 3, 2));
    s13 = _mm_shuffle_ps(s02, s42, _MM_SHUFFLE(1, 0, 1, 0));
    s23 = _mm_shuffle_ps(s02, s42, _MM_SHUFFLE(3, 2, 3, 2));
    s33 = _mm_loadu_ps(((const float  *) (src + 8)));
    s43 = _mm_loadu_ps(((const float  *) (src + 12)));
    s53 = _mm_shuffle_ps(s33, s43, _MM_SHUFFLE(2, 0, 2, 0));
    s63 = _mm_shuffle_ps(s33, s43, _MM_SHUFFLE(3, 1, 3, 1));
    s73 = _mm_loadu_ps(((const float  *) (src + 40)));
    s83 = _mm_loadu_ps(((const float  *) (src + 44)));
    s93 = _mm_shuffle_ps(s73, s83, _MM_SHUFFLE(2, 0, 2, 0));
    s04 = _mm_shuffle_ps(s73, s83, _MM_SHUFFLE(3, 1, 3, 1));
    t71 = _mm_add_ps(s53, s93);
    t81 = _mm_add_ps(s63, s04);
    t91 = _mm_sub_ps(s53, s93);
    t02 = _mm_sub_ps(s63, s04);
    s14 = _mm_loadu_ps(((const float  *) (src + 24)));
    s24 = _mm_loadu_ps(((const float  *) (src + 28)));
    s34 = _mm_shuffle_ps(s14, s24, _MM_SHUFFLE(2, 0, 2, 0));
    s44 = _mm_shuffle_ps(s14, s24, _MM_SHUFFLE(3, 1, 3, 1));
    s54 = _mm_loadu_ps(((const float  *) (src + 56)));
    s64 = _mm_loadu_ps(((const float  *) (src + 60)));
    s74 = _mm_shuffle_ps(s54, s64, _MM_SHUFFLE(2, 0, 2, 0));
    s84 = _mm_shuffle_ps(s54, s64, _MM_SHUFFLE(3, 1, 3, 1));
    t12 = _mm_add_ps(s34, s74);
    t22 = _mm_add_ps(s44, s84);
    t32 = _mm_sub_ps(s34, s74);
    t42 = _mm_sub_ps(s44, s84);
    t52 = _mm_add_ps(t71, t12);
    t62 = _mm_add_ps(t81, t22);
    t72 = _mm_sub_ps(t71, t12);
    t82 = _mm_sub_ps(t81, t22);
    t92 = _mm_sub_ps(t91, t42);
    t03 = _mm_add_ps(t02, t32);
    t13 = _mm_add_ps(t91, t42);
    t23 = _mm_sub_ps(t02, t32);
    s94 = _mm_unpacklo_ps(t52, t92);
    s05 = _mm_unpackhi_ps(t52, t92);
    s15 = _mm_unpacklo_ps(t62, t03);
    s25 = _mm_unpackhi_ps(t62, t03);
    s35 = _mm_unpacklo_ps(t72, t13);
    s45 = _mm_unpackhi_ps(t72, t13);
    s55 = _mm_unpacklo_ps(t82, t23);
    s65 = _mm_unpackhi_ps(t82, t23);
    s75 = _mm_shuffle_ps(s94, s35, _MM_SHUFFLE(1, 0, 1, 0));
    s85 = _mm_shuffle_ps(s94, s35, _MM_SHUFFLE(3, 2, 3, 2));
    s95 = _mm_shuffle_ps(s05, s45, _MM_SHUFFLE(1, 0, 1, 0));
    s06 = _mm_shuffle_ps(s05, s45, _MM_SHUFFLE(3, 2, 3, 2));
    s16 = _mm_shuffle_ps(s15, s55, _MM_SHUFFLE(1, 0, 1, 0));
    s26 = _mm_shuffle_ps(s15, s55, _MM_SHUFFLE(3, 2, 3, 2));
    s36 = _mm_shuffle_ps(s25, s65, _MM_SHUFFLE(1, 0, 1, 0));
    s46 = _mm_shuffle_ps(s25, s65, _MM_SHUFFLE(3, 2, 3, 2));
    s56 = _mm_sub_ps(_mm_mul_ps(_mm_set_ps((-0.70710678118654757), 0.0, 0.70710678118654757, 1.0), s75), _mm_mul_ps(_mm_set_ps(0.70710678118654757, 1.0, 0.70710678118654757, 0.0), s16));
    s66 = _mm_add_ps(_mm_mul_ps(_mm_set_ps(0.70710678118654757, 1.0, 0.70710678118654757, 0.0), s75), _mm_mul_ps(_mm_set_ps((-0.70710678118654757), 0.0, 0.70710678118654757, 1.0), s16));
    t33 = _mm_add_ps(s52, s56);
    t43 = _mm_add_ps(s92, s66);
    t53 = _mm_sub_ps(s52, s56);
    t63 = _mm_sub_ps(s92, s66);
    s76 = _mm_sub_ps(_mm_mul_ps(_mm_set_ps(0.38268343236508978, 0.70710678118654757, 0.92387953251128674, 1.0), s72), _mm_mul_ps(_mm_set_ps(0.92387953251128674, 0.70710678118654757, 0.38268343236508978, 0.0), s13));
    s86 = _mm_add_ps(_mm_mul_ps(_mm_set_ps(0.92387953251128674, 0.70710678118654757, 0.38268343236508978, 0.0), s72), _mm_mul_ps(_mm_set_ps(0.38268343236508978, 0.70710678118654757, 0.92387953251128674, 1.0), s13));
    s96 = _mm_sub_ps(_mm_mul_ps(_mm_set_ps((-0.92387953251128674), (-0.70710678118654757), 0.38268343236508978, 1.0), s95), _mm_mul_ps(_mm_set_ps((-0.38268343236508978), 0.70710678118654757, 0.92387953251128674, 0.0), s36));
    s07 = _mm_add_ps(_mm_mul_ps(_mm_set_ps((-0.38268343236508978), 0.70710678118654757, 0.92387953251128674, 0.0), s95), _mm_mul_ps(_mm_set_ps((-0.92387953251128674), (-0.70710678118654757), 0.38268343236508978, 1.0), s36));
    t73 = _mm_add_ps(s76, s96);
    t83 = _mm_add_ps(s86, s07);
    t93 = _mm_sub_ps(s76, s96);
    t04 = _mm_sub_ps(s86, s07);
    t14 = _mm_add_ps(t33, t73);
    t24 = _mm_add_ps(t43, t83);
    t34 = _mm_sub_ps(t33, t73);
    t44 = _mm_sub_ps(t43, t83);
    t54 = _mm_sub_ps(t53, t04);
    t64 = _mm_add_ps(t63, t93);
    t74 = _mm_add_ps(t53, t04);
    t84 = _mm_sub_ps(t63, t93);
    s17 = _mm_sub_ps(_mm_mul_ps(_mm_set_ps(0.83146961230254524, 0.92387953251128674, 0.98078528040323043, 1.0), s62), _mm_mul_ps(_mm_set_ps(0.55557023301960218, 0.38268343236508978, 0.19509032201612828, 0.0), s03));
    s27 = _mm_add_ps(_mm_mul_ps(_mm_set_ps(0.55557023301960218, 0.38268343236508978, 0.19509032201612828, 0.0), s62), _mm_mul_ps(_mm_set_ps(0.83146961230254524, 0.92387953251128674, 0.98078528040323043, 1.0), s03));
    s37 = _mm_sub_ps(_mm_mul_ps(_mm_set_ps((-0.98078528040323043), (-0.38268343236508978), 0.55557023301960218, 1.0), s85), _mm_mul_ps(_mm_set_ps(0.19509032201612828, 0.92387953251128674, 0.83146961230254524, 0.0), s26));
    s47 = _mm_add_ps(_mm_mul_ps(_mm_set_ps(0.19509032201612828, 0.92387953251128674, 0.83146961230254524, 0.0), s85), _mm_mul_ps(_mm_set_ps((-0.98078528040323043), (-0.38268343236508978), 0.55557023301960218, 1.0), s26));
    t94 = _mm_add_ps(s17, s37);
    t05 = _mm_add_ps(s27, s47);
    t15 = _mm_sub_ps(s17, s37);
    t25 = _mm_sub_ps(s27, s47);
    s57 = _mm_sub_ps(_mm_mul_ps(_mm_set_ps((-0.19509032201612828), 0.38268343236508978, 0.83146961230254524, 1.0), s82), _mm_mul_ps(_mm_set_ps(0.98078528040323043, 0.92387953251128674, 0.55557023301960218, 0.0), s23));
    s67 = _mm_add_ps(_mm_mul_ps(_mm_set_ps(0.98078528040323043, 0.92387953251128674, 0.55557023301960218, 0.0), s82), _mm_mul_ps(_mm_set_ps((-0.19509032201612828), 0.38268343236508978, 0.83146961230254524, 1.0), s23));
    s77 = _mm_sub_ps(_mm_mul_ps(_mm_set_ps((-0.55557023301960218), (-0.92387953251128674), 0.19509032201612828, 1.0), s06), _mm_mul_ps(_mm_set_ps((-0.83146961230254524), 0.38268343236508978, 0.98078528040323043, 0.0), s46));
    s87 = _mm_add_ps(_mm_mul_ps(_mm_set_ps((-0.83146961230254524), 0.38268343236508978, 0.98078528040323043, 0.0), s06), _mm_mul_ps(_mm_set_ps((-0.55557023301960218), (-0.92387953251128674), 0.19509032201612828, 1.0), s46));
    t35 = _mm_add_ps(s57, s77);
    t45 = _mm_add_ps(s67, s87);
    t55 = _mm_sub_ps(s57, s77);
    t65 = _mm_sub_ps(s67, s87);
    t75 = _mm_add_ps(t94, t35);
    t85 = _mm_add_ps(t05, t45);
    t95 = _mm_sub_ps(t94, t35);
    t06 = _mm_sub_ps(t05, t45);
    a = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t15, t65));
    a2 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t25, t55));
    s97 = _mm_sub_ps(a, a2);
    s08 = _mm_add_ps(a, a2);
    a3 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t15, t65));
    a4 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t25, t55));
    s18 = _mm_sub_ps(a3, a4);
    s28 = _mm_add_ps(a3, a4);
    t16 = _mm_add_ps(t14, t75);
    t26 = _mm_add_ps(t24, t85);
    t36 = _mm_sub_ps(t14, t75);
    t46 = _mm_sub_ps(t24, t85);
    s38 = _mm_unpacklo_ps(t16, t26);
    _mm_storeu_ps(((float  *) dst), s38);
    s48 = _mm_unpackhi_ps(t16, t26);
    _mm_storeu_ps(((float  *) (dst + 4)), s48);
    s58 = _mm_unpacklo_ps(t36, t46);
    _mm_storeu_ps(((float  *) (dst + 32)), s58);
    s68 = _mm_unpackhi_ps(t36, t46);
    _mm_storeu_ps(((float  *) (dst + 36)), s68);
    t56 = _mm_add_ps(t54, s97);
    t66 = _mm_add_ps(t64, s08);
    t76 = _mm_sub_ps(t54, s97);
    t86 = _mm_sub_ps(t64, s08);
    s78 = _mm_unpacklo_ps(t56, t66);
    _mm_storeu_ps(((float  *) (dst + 8)), s78);
    s88 = _mm_unpackhi_ps(t56, t66);
    _mm_storeu_ps(((float  *) (dst + 12)), s88);
    s98 = _mm_unpacklo_ps(t76, t86);
    _mm_storeu_ps(((float  *) (dst + 40)), s98);
    s09 = _mm_unpackhi_ps(t76, t86);
    _mm_storeu_ps(((float  *) (dst + 44)), s09);
    t96 = _mm_sub_ps(t34, t06);
    t07 = _mm_add_ps(t44, t95);
    t17 = _mm_add_ps(t34, t06);
    t27 = _mm_sub_ps(t44, t95);
    s19 = _mm_unpacklo_ps(t96, t07);
    _mm_storeu_ps(((float  *) (dst + 16)), s19);
    s29 = _mm_unpackhi_ps(t96, t07);
    _mm_storeu_ps(((float  *) (dst + 20)), s29);
    s39 = _mm_unpacklo_ps(t17, t27);
    _mm_storeu_ps(((float  *) (dst + 48)), s39);
    s49 = _mm_unpackhi_ps(t17, t27);
    _mm_storeu_ps(((float  *) (dst + 52)), s49);
    t37 = _mm_add_ps(t74, s18);
    t47 = _mm_sub_ps(t84, s28);
    t57 = _mm_sub_ps(t74, s18);
    t67 = _mm_add_ps(t84, s28);
    s59 = _mm_unpacklo_ps(t37, t47);
    _mm_storeu_ps(((float  *) (dst + 24)), s59);
    s69 = _mm_unpackhi_ps(t37, t47);
    _mm_storeu_ps(((float  *) (dst + 28)), s69);
    s79 = _mm_unpacklo_ps(t57, t67);
    _mm_storeu_ps(((float  *) (dst + 56)), s79);
    s89 = _mm_unpackhi_ps(t57, t67);
    _mm_storeu_ps(((float  *) (dst + 60)), s89);
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_fftinv_float_32)(const float *pSrc, float *pDst ) {
    if (!is_aligned(pSrc) || !is_aligned(pDst))
       	return spiral_fftinv_float_32_unaligned(pSrc, pDst );
    else {
    const float  *src = (const float *) pSrc; 
    float        *dst = (float *) pDst;
    
    
    {__m128 s09, s19, s29, s38, s39, s48, s49, s58, s59, s68, s69, s78, s79, s88, s89, s98;
    __m128 a2, a3, a4, a5, s, s01, s02, s03, s04, s05, s06, s07, s08, s11, s12, s13, s14, s15, s16, s17, s18, s2
            , s21, s22, s23, s24, s25, s26, s27, s28, s3, s31, s32, s33, s34, s35, s36, s37, s4, s41, s42, s43, s44, s45
            , s46, s47, s5, s51, s52, s53, s54, s55, s56, s57, s6, s61, s62, s63, s64, s65, s66, s67, s7, s71, s72, s73
            , s74, s75, s76, s77, s8, s81, s82, s83, s84, s85, s86, s87, s9, s91, s92, s93, s94, s95, s96, s97, t, t01
            , t02, t03, t04, t05, t06, t07, t11, t12, t13, t14, t15, t16, t17, t2, t21, t22, t23, t24, t25, t26, t27, t3
            , t31, t32, t33, t34, t35, t36, t37, t4, t41, t42, t43, t44, t45, t46, t47, t5, t51, t52, t53, t54, t55, t56
            , t57, t6, t61, t62, t63, t64, t65, t66, t67, t7, t71, t72, t73, t74, t75, t76, t8, t81, t82, t83, t84, t85
            , t86, t9, t91, t92, t93, t94, t95, t96;
    __m128  *a, *a6;
    a = ((__m128  *) src);
    s = *(a);
    s2 = *((a + 1));
    s3 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(2, 0, 2, 0));
    s4 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(3, 1, 3, 1));
    s5 = *((a + 8));
    s6 = *((a + 9));
    s7 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(2, 0, 2, 0));
    s8 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(3, 1, 3, 1));
    t = _mm_add_ps(s3, s7);
    t2 = _mm_add_ps(s4, s8);
    t3 = _mm_sub_ps(s3, s7);
    t4 = _mm_sub_ps(s4, s8);
    s9 = *((a + 4));
    s01 = *((a + 5));
    s11 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(2, 0, 2, 0));
    s21 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(3, 1, 3, 1));
    s31 = *((a + 12));
    s41 = *((a + 13));
    s51 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(2, 0, 2, 0));
    s61 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(3, 1, 3, 1));
    t5 = _mm_add_ps(s11, s51);
    t6 = _mm_add_ps(s21, s61);
    t7 = _mm_sub_ps(s11, s51);
    t8 = _mm_sub_ps(s21, s61);
    t9 = _mm_add_ps(t, t5);
    t01 = _mm_add_ps(t2, t6);
    t11 = _mm_sub_ps(t, t5);
    t21 = _mm_sub_ps(t2, t6);
    t31 = _mm_sub_ps(t3, t8);
    t41 = _mm_add_ps(t4, t7);
    t51 = _mm_add_ps(t3, t8);
    t61 = _mm_sub_ps(t4, t7);
    s71 = _mm_unpacklo_ps(t9, t31);
    s81 = _mm_unpackhi_ps(t9, t31);
    s91 = _mm_unpacklo_ps(t01, t41);
    s02 = _mm_unpackhi_ps(t01, t41);
    s12 = _mm_unpacklo_ps(t11, t51);
    s22 = _mm_unpackhi_ps(t11, t51);
    s32 = _mm_unpacklo_ps(t21, t61);
    s42 = _mm_unpackhi_ps(t21, t61);
    s52 = _mm_shuffle_ps(s71, s12, _MM_SHUFFLE(1, 0, 1, 0));
    s62 = _mm_shuffle_ps(s71, s12, _MM_SHUFFLE(3, 2, 3, 2));
    s72 = _mm_shuffle_ps(s81, s22, _MM_SHUFFLE(1, 0, 1, 0));
    s82 = _mm_shuffle_ps(s81, s22, _MM_SHUFFLE(3, 2, 3, 2));
    s92 = _mm_shuffle_ps(s91, s32, _MM_SHUFFLE(1, 0, 1, 0));
    s03 = _mm_shuffle_ps(s91, s32, _MM_SHUFFLE(3, 2, 3, 2));
    s13 = _mm_shuffle_ps(s02, s42, _MM_SHUFFLE(1, 0, 1, 0));
    s23 = _mm_shuffle_ps(s02, s42, _MM_SHUFFLE(3, 2, 3, 2));
    s33 = *((a + 2));
    s43 = *((a + 3));
    s53 = _mm_shuffle_ps(s33, s43, _MM_SHUFFLE(2, 0, 2, 0));
    s63 = _mm_shuffle_ps(s33, s43, _MM_SHUFFLE(3, 1, 3, 1));
    s73 = *((a + 10));
    s83 = *((a + 11));
    s93 = _mm_shuffle_ps(s73, s83, _MM_SHUFFLE(2, 0, 2, 0));
    s04 = _mm_shuffle_ps(s73, s83, _MM_SHUFFLE(3, 1, 3, 1));
    t71 = _mm_add_ps(s53, s93);
    t81 = _mm_add_ps(s63, s04);
    t91 = _mm_sub_ps(s53, s93);
    t02 = _mm_sub_ps(s63, s04);
    s14 = *((a + 6));
    s24 = *((a + 7));
    s34 = _mm_shuffle_ps(s14, s24, _MM_SHUFFLE(2, 0, 2, 0));
    s44 = _mm_shuffle_ps(s14, s24, _MM_SHUFFLE(3, 1, 3, 1));
    s54 = *((a + 14));
    s64 = *((a + 15));
    s74 = _mm_shuffle_ps(s54, s64, _MM_SHUFFLE(2, 0, 2, 0));
    s84 = _mm_shuffle_ps(s54, s64, _MM_SHUFFLE(3, 1, 3, 1));
    t12 = _mm_add_ps(s34, s74);
    t22 = _mm_add_ps(s44, s84);
    t32 = _mm_sub_ps(s34, s74);
    t42 = _mm_sub_ps(s44, s84);
    t52 = _mm_add_ps(t71, t12);
    t62 = _mm_add_ps(t81, t22);
    t72 = _mm_sub_ps(t71, t12);
    t82 = _mm_sub_ps(t81, t22);
    t92 = _mm_sub_ps(t91, t42);
    t03 = _mm_add_ps(t02, t32);
    t13 = _mm_add_ps(t91, t42);
    t23 = _mm_sub_ps(t02, t32);
    s94 = _mm_unpacklo_ps(t52, t92);
    s05 = _mm_unpackhi_ps(t52, t92);
    s15 = _mm_unpacklo_ps(t62, t03);
    s25 = _mm_unpackhi_ps(t62, t03);
    s35 = _mm_unpacklo_ps(t72, t13);
    s45 = _mm_unpackhi_ps(t72, t13);
    s55 = _mm_unpacklo_ps(t82, t23);
    s65 = _mm_unpackhi_ps(t82, t23);
    s75 = _mm_shuffle_ps(s94, s35, _MM_SHUFFLE(1, 0, 1, 0));
    s85 = _mm_shuffle_ps(s94, s35, _MM_SHUFFLE(3, 2, 3, 2));
    s95 = _mm_shuffle_ps(s05, s45, _MM_SHUFFLE(1, 0, 1, 0));
    s06 = _mm_shuffle_ps(s05, s45, _MM_SHUFFLE(3, 2, 3, 2));
    s16 = _mm_shuffle_ps(s15, s55, _MM_SHUFFLE(1, 0, 1, 0));
    s26 = _mm_shuffle_ps(s15, s55, _MM_SHUFFLE(3, 2, 3, 2));
    s36 = _mm_shuffle_ps(s25, s65, _MM_SHUFFLE(1, 0, 1, 0));
    s46 = _mm_shuffle_ps(s25, s65, _MM_SHUFFLE(3, 2, 3, 2));
    s56 = _mm_sub_ps(_mm_mul_ps(_mm_set_ps((-0.70710678118654757), 0.0, 0.70710678118654757, 1.0), s75), _mm_mul_ps(_mm_set_ps(0.70710678118654757, 1.0, 0.70710678118654757, 0.0), s16));
    s66 = _mm_add_ps(_mm_mul_ps(_mm_set_ps(0.70710678118654757, 1.0, 0.70710678118654757, 0.0), s75), _mm_mul_ps(_mm_set_ps((-0.70710678118654757), 0.0, 0.70710678118654757, 1.0), s16));
    t33 = _mm_add_ps(s52, s56);
    t43 = _mm_add_ps(s92, s66);
    t53 = _mm_sub_ps(s52, s56);
    t63 = _mm_sub_ps(s92, s66);
    s76 = _mm_sub_ps(_mm_mul_ps(_mm_set_ps(0.38268343236508978, 0.70710678118654757, 0.92387953251128674, 1.0), s72), _mm_mul_ps(_mm_set_ps(0.92387953251128674, 0.70710678118654757, 0.38268343236508978, 0.0), s13));
    s86 = _mm_add_ps(_mm_mul_ps(_mm_set_ps(0.92387953251128674, 0.70710678118654757, 0.38268343236508978, 0.0), s72), _mm_mul_ps(_mm_set_ps(0.38268343236508978, 0.70710678118654757, 0.92387953251128674, 1.0), s13));
    s96 = _mm_sub_ps(_mm_mul_ps(_mm_set_ps((-0.92387953251128674), (-0.70710678118654757), 0.38268343236508978, 1.0), s95), _mm_mul_ps(_mm_set_ps((-0.38268343236508978), 0.70710678118654757, 0.92387953251128674, 0.0), s36));
    s07 = _mm_add_ps(_mm_mul_ps(_mm_set_ps((-0.38268343236508978), 0.70710678118654757, 0.92387953251128674, 0.0), s95), _mm_mul_ps(_mm_set_ps((-0.92387953251128674), (-0.70710678118654757), 0.38268343236508978, 1.0), s36));
    t73 = _mm_add_ps(s76, s96);
    t83 = _mm_add_ps(s86, s07);
    t93 = _mm_sub_ps(s76, s96);
    t04 = _mm_sub_ps(s86, s07);
    t14 = _mm_add_ps(t33, t73);
    t24 = _mm_add_ps(t43, t83);
    t34 = _mm_sub_ps(t33, t73);
    t44 = _mm_sub_ps(t43, t83);
    t54 = _mm_sub_ps(t53, t04);
    t64 = _mm_add_ps(t63, t93);
    t74 = _mm_add_ps(t53, t04);
    t84 = _mm_sub_ps(t63, t93);
    s17 = _mm_sub_ps(_mm_mul_ps(_mm_set_ps(0.83146961230254524, 0.92387953251128674, 0.98078528040323043, 1.0), s62), _mm_mul_ps(_mm_set_ps(0.55557023301960218, 0.38268343236508978, 0.19509032201612828, 0.0), s03));
    s27 = _mm_add_ps(_mm_mul_ps(_mm_set_ps(0.55557023301960218, 0.38268343236508978, 0.19509032201612828, 0.0), s62), _mm_mul_ps(_mm_set_ps(0.83146961230254524, 0.92387953251128674, 0.98078528040323043, 1.0), s03));
    s37 = _mm_sub_ps(_mm_mul_ps(_mm_set_ps((-0.98078528040323043), (-0.38268343236508978), 0.55557023301960218, 1.0), s85), _mm_mul_ps(_mm_set_ps(0.19509032201612828, 0.92387953251128674, 0.83146961230254524, 0.0), s26));
    s47 = _mm_add_ps(_mm_mul_ps(_mm_set_ps(0.19509032201612828, 0.92387953251128674, 0.83146961230254524, 0.0), s85), _mm_mul_ps(_mm_set_ps((-0.98078528040323043), (-0.38268343236508978), 0.55557023301960218, 1.0), s26));
    t94 = _mm_add_ps(s17, s37);
    t05 = _mm_add_ps(s27, s47);
    t15 = _mm_sub_ps(s17, s37);
    t25 = _mm_sub_ps(s27, s47);
    s57 = _mm_sub_ps(_mm_mul_ps(_mm_set_ps((-0.19509032201612828), 0.38268343236508978, 0.83146961230254524, 1.0), s82), _mm_mul_ps(_mm_set_ps(0.98078528040323043, 0.92387953251128674, 0.55557023301960218, 0.0), s23));
    s67 = _mm_add_ps(_mm_mul_ps(_mm_set_ps(0.98078528040323043, 0.92387953251128674, 0.55557023301960218, 0.0), s82), _mm_mul_ps(_mm_set_ps((-0.19509032201612828), 0.38268343236508978, 0.83146961230254524, 1.0), s23));
    s77 = _mm_sub_ps(_mm_mul_ps(_mm_set_ps((-0.55557023301960218), (-0.92387953251128674), 0.19509032201612828, 1.0), s06), _mm_mul_ps(_mm_set_ps((-0.83146961230254524), 0.38268343236508978, 0.98078528040323043, 0.0), s46));
    s87 = _mm_add_ps(_mm_mul_ps(_mm_set_ps((-0.83146961230254524), 0.38268343236508978, 0.98078528040323043, 0.0), s06), _mm_mul_ps(_mm_set_ps((-0.55557023301960218), (-0.92387953251128674), 0.19509032201612828, 1.0), s46));
    t35 = _mm_add_ps(s57, s77);
    t45 = _mm_add_ps(s67, s87);
    t55 = _mm_sub_ps(s57, s77);
    t65 = _mm_sub_ps(s67, s87);
    t75 = _mm_add_ps(t94, t35);
    t85 = _mm_add_ps(t05, t45);
    t95 = _mm_sub_ps(t94, t35);
    t06 = _mm_sub_ps(t05, t45);
    a2 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t15, t65));
    a3 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t25, t55));
    s97 = _mm_sub_ps(a2, a3);
    s08 = _mm_add_ps(a2, a3);
    a4 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t15, t65));
    a5 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t25, t55));
    s18 = _mm_sub_ps(a4, a5);
    s28 = _mm_add_ps(a4, a5);
    t16 = _mm_add_ps(t14, t75);
    t26 = _mm_add_ps(t24, t85);
    t36 = _mm_sub_ps(t14, t75);
    t46 = _mm_sub_ps(t24, t85);
    a6 = ((__m128  *) dst);
    s38 = _mm_unpacklo_ps(t16, t26);
    *(a6) = s38;
    s48 = _mm_unpackhi_ps(t16, t26);
    *((a6 + 1)) = s48;
    s58 = _mm_unpacklo_ps(t36, t46);
    *((a6 + 8)) = s58;
    s68 = _mm_unpackhi_ps(t36, t46);
    *((a6 + 9)) = s68;
    t56 = _mm_add_ps(t54, s97);
    t66 = _mm_add_ps(t64, s08);
    t76 = _mm_sub_ps(t54, s97);
    t86 = _mm_sub_ps(t64, s08);
    s78 = _mm_unpacklo_ps(t56, t66);
    *((a6 + 2)) = s78;
    s88 = _mm_unpackhi_ps(t56, t66);
    *((a6 + 3)) = s88;
    s98 = _mm_unpacklo_ps(t76, t86);
    *((a6 + 10)) = s98;
    s09 = _mm_unpackhi_ps(t76, t86);
    *((a6 + 11)) = s09;
    t96 = _mm_sub_ps(t34, t06);
    t07 = _mm_add_ps(t44, t95);
    t17 = _mm_add_ps(t34, t06);
    t27 = _mm_sub_ps(t44, t95);
    s19 = _mm_unpacklo_ps(t96, t07);
    *((a6 + 4)) = s19;
    s29 = _mm_unpackhi_ps(t96, t07);
    *((a6 + 5)) = s29;
    s39 = _mm_unpacklo_ps(t17, t27);
    *((a6 + 12)) = s39;
    s49 = _mm_unpackhi_ps(t17, t27);
    *((a6 + 13)) = s49;
    t37 = _mm_add_ps(t74, s18);
    t47 = _mm_sub_ps(t84, s28);
    t57 = _mm_sub_ps(t74, s18);
    t67 = _mm_add_ps(t84, s28);
    s59 = _mm_unpacklo_ps(t37, t47);
    *((a6 + 6)) = s59;
    s69 = _mm_unpackhi_ps(t37, t47);
    *((a6 + 7)) = s69;
    s79 = _mm_unpacklo_ps(t57, t67);
    *((a6 + 14)) = s79;
    s89 = _mm_unpackhi_ps(t57, t67);
    *((a6 + 15)) = s89;
    }
    
    return SPIRAL_OK;
    }
}

SPIRAL_PRIV(spiral_status_t, spiral_fftinv_float_64_unaligned)(const float *pSrc, float *pDst ) {
    const float  *src = (const float *) pSrc; 
    float        *dst = (float *) pDst;
    
    
    { SPIRAL_ALIGNED(float T[128]);
    __m128 s05, s0b, s0c, s15, s16, s1b, s25, s26, s2b, s36, s3b, s46, s4b, s54, s56, s5a, s5b, s64, s66, s6a, s6b, s74
            , s76, s7a, s7b, s84, s86, s8a, s8b, s94, s9a, s9b;
    __m128 a01, a02, a11, a12, a2, a21, a22, a3, a31, a32, a4, a41, a42, a5, a51, a52, a61, a62, a71, a72, a81, a82
            , a9, a91, s, s01, s02, s03, s04, s06, s07, s08, s09, s0a, s11, s12, s13, s14, s17, s18, s19, s1a, s2, s21
            , s22, s23, s24, s27, s28, s29, s2a, s3, s31, s32, s33, s34, s35, s37, s38, s39, s3a, s4, s41, s42, s43, s44
            , s45, s47, s48, s49, s4a, s5, s51, s52, s53, s55, s57, s58, s59, s6, s61, s62, s63, s65, s67, s68, s69, s7
            , s71, s72, s73, s75, s77, s78, s79, s8, s81, s82, s83, s85, s87, s88, s89, s9, s91, s92, s93, s95, s96, s97
            , s98, s99, t, t01, t02, t03, t04, t05, t06, t07, t08, t11, t12, t13, t14, t15, t16, t17, t18, t2, t21, t22
            , t23, t24, t25, t26, t27, t28, t3, t31, t32, t33, t34, t35, t36, t37, t38, t4, t41, t42, t43, t44, t45, t46
            , t47, t48, t5, t51, t52, t53, t54, t55, t56, t57, t58, t6, t61, t62, t63, t64, t65, t66, t67, t68, t7, t71
            , t72, t73, t74, t75, t76, t77, t78, t8, t81, t82, t83, t84, t85, t86, t87, t88, t9, t91, t92, t93, t94, t95
            , t96, t97;
    __m128  *a6, *a7, *a8;
    float  *a92;
    const float  *a;
    {long i; for(i = 0; i <= 1; i++) {
        a = (src + (8 * i));
        s = _mm_loadu_ps(((const float  *) a));
        s2 = _mm_loadu_ps(((const float  *) (a + 4)));
        s3 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(2, 0, 2, 0));
        s4 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(3, 1, 3, 1));
        s5 = _mm_loadu_ps(((const float  *) (a + 64)));
        s6 = _mm_loadu_ps(((const float  *) (a + 68)));
        s7 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(2, 0, 2, 0));
        s8 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(3, 1, 3, 1));
        t = _mm_add_ps(s3, s7);
        t2 = _mm_add_ps(s4, s8);
        t3 = _mm_sub_ps(s3, s7);
        t4 = _mm_sub_ps(s4, s8);
        s9 = _mm_loadu_ps(((const float  *) (a + 32)));
        s01 = _mm_loadu_ps(((const float  *) (a + 36)));
        s11 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(2, 0, 2, 0));
        s21 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(3, 1, 3, 1));
        s31 = _mm_loadu_ps(((const float  *) (a + 96)));
        s41 = _mm_loadu_ps(((const float  *) (a + 100)));
        s51 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(2, 0, 2, 0));
        s61 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(3, 1, 3, 1));
        t5 = _mm_add_ps(s11, s51);
        t6 = _mm_add_ps(s21, s61);
        t7 = _mm_sub_ps(s11, s51);
        t8 = _mm_sub_ps(s21, s61);
        t9 = _mm_add_ps(t, t5);
        t01 = _mm_add_ps(t2, t6);
        t11 = _mm_sub_ps(t, t5);
        t21 = _mm_sub_ps(t2, t6);
        t31 = _mm_sub_ps(t3, t8);
        t41 = _mm_add_ps(t4, t7);
        t51 = _mm_add_ps(t3, t8);
        t61 = _mm_sub_ps(t4, t7);
        s71 = _mm_loadu_ps(((const float  *) (a + 16)));
        s81 = _mm_loadu_ps(((const float  *) (a + 20)));
        s91 = _mm_shuffle_ps(s71, s81, _MM_SHUFFLE(2, 0, 2, 0));
        s02 = _mm_shuffle_ps(s71, s81, _MM_SHUFFLE(3, 1, 3, 1));
        s12 = _mm_loadu_ps(((const float  *) (a + 80)));
        s22 = _mm_loadu_ps(((const float  *) (a + 84)));
        s32 = _mm_shuffle_ps(s12, s22, _MM_SHUFFLE(2, 0, 2, 0));
        s42 = _mm_shuffle_ps(s12, s22, _MM_SHUFFLE(3, 1, 3, 1));
        t71 = _mm_add_ps(s91, s32);
        t81 = _mm_add_ps(s02, s42);
        t91 = _mm_sub_ps(s91, s32);
        t02 = _mm_sub_ps(s02, s42);
        s52 = _mm_loadu_ps(((const float  *) (a + 48)));
        s62 = _mm_loadu_ps(((const float  *) (a + 52)));
        s72 = _mm_shuffle_ps(s52, s62, _MM_SHUFFLE(2, 0, 2, 0));
        s82 = _mm_shuffle_ps(s52, s62, _MM_SHUFFLE(3, 1, 3, 1));
        s92 = _mm_loadu_ps(((const float  *) (a + 112)));
        s03 = _mm_loadu_ps(((const float  *) (a + 116)));
        s13 = _mm_shuffle_ps(s92, s03, _MM_SHUFFLE(2, 0, 2, 0));
        s23 = _mm_shuffle_ps(s92, s03, _MM_SHUFFLE(3, 1, 3, 1));
        t12 = _mm_add_ps(s72, s13);
        t22 = _mm_add_ps(s82, s23);
        t32 = _mm_sub_ps(s72, s13);
        t42 = _mm_sub_ps(s82, s23);
        t52 = _mm_add_ps(t71, t12);
        t62 = _mm_add_ps(t81, t22);
        t72 = _mm_sub_ps(t71, t12);
        t82 = _mm_sub_ps(t81, t22);
        a2 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t91, t42));
        a3 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t02, t32));
        s33 = _mm_sub_ps(a2, a3);
        s43 = _mm_add_ps(a2, a3);
        a4 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t91, t42));
        a5 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t02, t32));
        s53 = _mm_sub_ps(a4, a5);
        s63 = _mm_add_ps(a4, a5);
        t92 = _mm_add_ps(t9, t52);
        t03 = _mm_add_ps(t01, t62);
        t13 = _mm_sub_ps(t9, t52);
        t23 = _mm_sub_ps(t01, t62);
        t33 = _mm_add_ps(t31, s33);
        t43 = _mm_add_ps(t41, s43);
        t53 = _mm_sub_ps(t31, s33);
        t63 = _mm_sub_ps(t41, s43);
        t73 = _mm_sub_ps(t11, t82);
        t83 = _mm_add_ps(t21, t72);
        t93 = _mm_add_ps(t11, t82);
        t04 = _mm_sub_ps(t21, t72);
        t14 = _mm_add_ps(t51, s53);
        t24 = _mm_sub_ps(t61, s63);
        t34 = _mm_sub_ps(t51, s53);
        t44 = _mm_add_ps(t61, s63);
        s73 = _mm_unpacklo_ps(t92, t33);
        s83 = _mm_unpackhi_ps(t92, t33);
        s93 = _mm_unpacklo_ps(t03, t43);
        s04 = _mm_unpackhi_ps(t03, t43);
        s14 = _mm_unpacklo_ps(t73, t14);
        s24 = _mm_unpackhi_ps(t73, t14);
        s34 = _mm_unpacklo_ps(t83, t24);
        s44 = _mm_unpackhi_ps(t83, t24);
        a6 = (((__m128  *) T) + (16 * i));
        s54 = _mm_shuffle_ps(s73, s14, _MM_SHUFFLE(1, 0, 1, 0));
        *(a6) = s54;
        s64 = _mm_shuffle_ps(s73, s14, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 4)) = s64;
        s74 = _mm_shuffle_ps(s83, s24, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 8)) = s74;
        s84 = _mm_shuffle_ps(s83, s24, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 12)) = s84;
        s94 = _mm_shuffle_ps(s93, s34, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 1)) = s94;
        s05 = _mm_shuffle_ps(s93, s34, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 5)) = s05;
        s15 = _mm_shuffle_ps(s04, s44, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 9)) = s15;
        s25 = _mm_shuffle_ps(s04, s44, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 13)) = s25;
        s35 = _mm_unpacklo_ps(t13, t53);
        s45 = _mm_unpackhi_ps(t13, t53);
        s55 = _mm_unpacklo_ps(t23, t63);
        s65 = _mm_unpackhi_ps(t23, t63);
        s75 = _mm_unpacklo_ps(t93, t34);
        s85 = _mm_unpackhi_ps(t93, t34);
        s95 = _mm_unpacklo_ps(t04, t44);
        s06 = _mm_unpackhi_ps(t04, t44);
        s16 = _mm_shuffle_ps(s35, s75, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 2)) = s16;
        s26 = _mm_shuffle_ps(s35, s75, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 6)) = s26;
        s36 = _mm_shuffle_ps(s45, s85, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 10)) = s36;
        s46 = _mm_shuffle_ps(s45, s85, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 14)) = s46;
        s56 = _mm_shuffle_ps(s55, s95, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 3)) = s56;
        s66 = _mm_shuffle_ps(s55, s95, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 7)) = s66;
        s76 = _mm_shuffle_ps(s65, s06, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 11)) = s76;
        s86 = _mm_shuffle_ps(s65, s06, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 15)) = s86;
    }}
    {long i2; for(i2 = 0; i2 <= 1; i2++) {
        a7 = (((__m128  *) T) + (2 * i2));
        s96 = *(a7);
        s07 = *((a7 + 1));
        s17 = *((a7 + 16));
        s27 = *((a7 + 17));
        a8 = (D962 + (16 * i2));
        a9 = *(a8);
        a01 = *((a8 + 1));
        s37 = _mm_sub_ps(_mm_mul_ps(a9, s96), _mm_mul_ps(a01, s07));
        s47 = _mm_add_ps(_mm_mul_ps(a01, s96), _mm_mul_ps(a9, s07));
        a11 = *((a8 + 2));
        a21 = *((a8 + 3));
        s57 = _mm_sub_ps(_mm_mul_ps(a11, s17), _mm_mul_ps(a21, s27));
        s67 = _mm_add_ps(_mm_mul_ps(a21, s17), _mm_mul_ps(a11, s27));
        t54 = _mm_add_ps(s37, s57);
        t64 = _mm_add_ps(s47, s67);
        t74 = _mm_sub_ps(s37, s57);
        t84 = _mm_sub_ps(s47, s67);
        s77 = *((a7 + 8));
        s87 = *((a7 + 9));
        s97 = *((a7 + 24));
        s08 = *((a7 + 25));
        a31 = *((a8 + 4));
        a41 = *((a8 + 5));
        s18 = _mm_sub_ps(_mm_mul_ps(a31, s77), _mm_mul_ps(a41, s87));
        s28 = _mm_add_ps(_mm_mul_ps(a41, s77), _mm_mul_ps(a31, s87));
        a51 = *((a8 + 6));
        a61 = *((a8 + 7));
        s38 = _mm_sub_ps(_mm_mul_ps(a51, s97), _mm_mul_ps(a61, s08));
        s48 = _mm_add_ps(_mm_mul_ps(a61, s97), _mm_mul_ps(a51, s08));
        t94 = _mm_add_ps(s18, s38);
        t05 = _mm_add_ps(s28, s48);
        t15 = _mm_sub_ps(s18, s38);
        t25 = _mm_sub_ps(s28, s48);
        t35 = _mm_add_ps(t54, t94);
        t45 = _mm_add_ps(t64, t05);
        t55 = _mm_sub_ps(t54, t94);
        t65 = _mm_sub_ps(t64, t05);
        t75 = _mm_sub_ps(t74, t25);
        t85 = _mm_add_ps(t84, t15);
        t95 = _mm_add_ps(t74, t25);
        t06 = _mm_sub_ps(t84, t15);
        s58 = *((a7 + 4));
        s68 = *((a7 + 5));
        s78 = *((a7 + 20));
        s88 = *((a7 + 21));
        a71 = *((a8 + 8));
        a81 = *((a8 + 9));
        s98 = _mm_sub_ps(_mm_mul_ps(a71, s58), _mm_mul_ps(a81, s68));
        s09 = _mm_add_ps(_mm_mul_ps(a81, s58), _mm_mul_ps(a71, s68));
        a91 = *((a8 + 10));
        a02 = *((a8 + 11));
        s19 = _mm_sub_ps(_mm_mul_ps(a91, s78), _mm_mul_ps(a02, s88));
        s29 = _mm_add_ps(_mm_mul_ps(a02, s78), _mm_mul_ps(a91, s88));
        t16 = _mm_add_ps(s98, s19);
        t26 = _mm_add_ps(s09, s29);
        t36 = _mm_sub_ps(s98, s19);
        t46 = _mm_sub_ps(s09, s29);
        s39 = *((a7 + 12));
        s49 = *((a7 + 13));
        s59 = *((a7 + 28));
        s69 = *((a7 + 29));
        a12 = *((a8 + 12));
        a22 = *((a8 + 13));
        s79 = _mm_sub_ps(_mm_mul_ps(a12, s39), _mm_mul_ps(a22, s49));
        s89 = _mm_add_ps(_mm_mul_ps(a22, s39), _mm_mul_ps(a12, s49));
        a32 = *((a8 + 14));
        a42 = *((a8 + 15));
        s99 = _mm_sub_ps(_mm_mul_ps(a32, s59), _mm_mul_ps(a42, s69));
        s0a = _mm_add_ps(_mm_mul_ps(a42, s59), _mm_mul_ps(a32, s69));
        t56 = _mm_add_ps(s79, s99);
        t66 = _mm_add_ps(s89, s0a);
        t76 = _mm_sub_ps(s79, s99);
        t86 = _mm_sub_ps(s89, s0a);
        t96 = _mm_add_ps(t16, t56);
        t07 = _mm_add_ps(t26, t66);
        t17 = _mm_sub_ps(t16, t56);
        t27 = _mm_sub_ps(t26, t66);
        a52 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t36, t86));
        a62 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t46, t76));
        s1a = _mm_sub_ps(a52, a62);
        s2a = _mm_add_ps(a52, a62);
        a72 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t36, t86));
        a82 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t46, t76));
        s3a = _mm_sub_ps(a72, a82);
        s4a = _mm_add_ps(a72, a82);
        t37 = _mm_add_ps(t35, t96);
        t47 = _mm_add_ps(t45, t07);
        t57 = _mm_sub_ps(t35, t96);
        t67 = _mm_sub_ps(t45, t07);
        a92 = (dst + (8 * i2));
        s5a = _mm_unpacklo_ps(t37, t47);
        _mm_storeu_ps(((float  *) a92), s5a);
        s6a = _mm_unpackhi_ps(t37, t47);
        _mm_storeu_ps(((float  *) (a92 + 4)), s6a);
        s7a = _mm_unpacklo_ps(t57, t67);
        _mm_storeu_ps(((float  *) (a92 + 64)), s7a);
        s8a = _mm_unpackhi_ps(t57, t67);
        _mm_storeu_ps(((float  *) (a92 + 68)), s8a);
        t77 = _mm_add_ps(t75, s1a);
        t87 = _mm_add_ps(t85, s2a);
        t97 = _mm_sub_ps(t75, s1a);
        t08 = _mm_sub_ps(t85, s2a);
        s9a = _mm_unpacklo_ps(t77, t87);
        _mm_storeu_ps(((float  *) (a92 + 16)), s9a);
        s0b = _mm_unpackhi_ps(t77, t87);
        _mm_storeu_ps(((float  *) (a92 + 20)), s0b);
        s1b = _mm_unpacklo_ps(t97, t08);
        _mm_storeu_ps(((float  *) (a92 + 80)), s1b);
        s2b = _mm_unpackhi_ps(t97, t08);
        _mm_storeu_ps(((float  *) (a92 + 84)), s2b);
        t18 = _mm_sub_ps(t55, t27);
        t28 = _mm_add_ps(t65, t17);
        t38 = _mm_add_ps(t55, t27);
        t48 = _mm_sub_ps(t65, t17);
        s3b = _mm_unpacklo_ps(t18, t28);
        _mm_storeu_ps(((float  *) (a92 + 32)), s3b);
        s4b = _mm_unpackhi_ps(t18, t28);
        _mm_storeu_ps(((float  *) (a92 + 36)), s4b);
        s5b = _mm_unpacklo_ps(t38, t48);
        _mm_storeu_ps(((float  *) (a92 + 96)), s5b);
        s6b = _mm_unpackhi_ps(t38, t48);
        _mm_storeu_ps(((float  *) (a92 + 100)), s6b);
        t58 = _mm_add_ps(t95, s3a);
        t68 = _mm_sub_ps(t06, s4a);
        t78 = _mm_sub_ps(t95, s3a);
        t88 = _mm_add_ps(t06, s4a);
        s7b = _mm_unpacklo_ps(t58, t68);
        _mm_storeu_ps(((float  *) (a92 + 48)), s7b);
        s8b = _mm_unpackhi_ps(t58, t68);
        _mm_storeu_ps(((float  *) (a92 + 52)), s8b);
        s9b = _mm_unpacklo_ps(t78, t88);
        _mm_storeu_ps(((float  *) (a92 + 112)), s9b);
        s0c = _mm_unpackhi_ps(t78, t88);
        _mm_storeu_ps(((float  *) (a92 + 116)), s0c);
    }}
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_fftinv_float_64)(const float *pSrc, float *pDst ) {
    if (!is_aligned(pSrc) || !is_aligned(pDst))
       	return spiral_fftinv_float_64_unaligned(pSrc, pDst );
    else {
    const float  *src = (const float *) pSrc; 
    float        *dst = (float *) pDst;
    
    
    { SPIRAL_ALIGNED(float T[128]);
    __m128 s05, s0b, s0c, s15, s16, s1b, s25, s26, s2b, s36, s3b, s46, s4b, s54, s56, s5a, s5b, s64, s66, s6a, s6b, s74
            , s76, s7a, s7b, s84, s86, s8a, s8b, s94, s9a, s9b;
    __m128 a01, a02, a11, a12, a2, a21, a22, a3, a31, a32, a4, a41, a42, a5, a51, a52, a61, a62, a71, a72, a81, a82
            , a91, a92, s, s01, s02, s03, s04, s06, s07, s08, s09, s0a, s11, s12, s13, s14, s17, s18, s19, s1a, s2, s21
            , s22, s23, s24, s27, s28, s29, s2a, s3, s31, s32, s33, s34, s35, s37, s38, s39, s3a, s4, s41, s42, s43, s44
            , s45, s47, s48, s49, s4a, s5, s51, s52, s53, s55, s57, s58, s59, s6, s61, s62, s63, s65, s67, s68, s69, s7
            , s71, s72, s73, s75, s77, s78, s79, s8, s81, s82, s83, s85, s87, s88, s89, s9, s91, s92, s93, s95, s96, s97
            , s98, s99, t, t01, t02, t03, t04, t05, t06, t07, t08, t11, t12, t13, t14, t15, t16, t17, t18, t2, t21, t22
            , t23, t24, t25, t26, t27, t28, t3, t31, t32, t33, t34, t35, t36, t37, t38, t4, t41, t42, t43, t44, t45, t46
            , t47, t48, t5, t51, t52, t53, t54, t55, t56, t57, t58, t6, t61, t62, t63, t64, t65, t66, t67, t68, t7, t71
            , t72, t73, t74, t75, t76, t77, t78, t8, t81, t82, t83, t84, t85, t86, t87, t88, t9, t91, t92, t93, t94, t95
            , t96, t97;
    __m128  *a, *a03, *a6, *a8, *a9;
    int a7;
    {long i; for(i = 0; i <= 1; i++) {
        a = (((__m128  *) src) + (2 * i));
        s = *(a);
        s2 = *((a + 1));
        s3 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(2, 0, 2, 0));
        s4 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(3, 1, 3, 1));
        s5 = *((a + 16));
        s6 = *((a + 17));
        s7 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(2, 0, 2, 0));
        s8 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(3, 1, 3, 1));
        t = _mm_add_ps(s3, s7);
        t2 = _mm_add_ps(s4, s8);
        t3 = _mm_sub_ps(s3, s7);
        t4 = _mm_sub_ps(s4, s8);
        s9 = *((a + 8));
        s01 = *((a + 9));
        s11 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(2, 0, 2, 0));
        s21 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(3, 1, 3, 1));
        s31 = *((a + 24));
        s41 = *((a + 25));
        s51 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(2, 0, 2, 0));
        s61 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(3, 1, 3, 1));
        t5 = _mm_add_ps(s11, s51);
        t6 = _mm_add_ps(s21, s61);
        t7 = _mm_sub_ps(s11, s51);
        t8 = _mm_sub_ps(s21, s61);
        t9 = _mm_add_ps(t, t5);
        t01 = _mm_add_ps(t2, t6);
        t11 = _mm_sub_ps(t, t5);
        t21 = _mm_sub_ps(t2, t6);
        t31 = _mm_sub_ps(t3, t8);
        t41 = _mm_add_ps(t4, t7);
        t51 = _mm_add_ps(t3, t8);
        t61 = _mm_sub_ps(t4, t7);
        s71 = *((a + 4));
        s81 = *((a + 5));
        s91 = _mm_shuffle_ps(s71, s81, _MM_SHUFFLE(2, 0, 2, 0));
        s02 = _mm_shuffle_ps(s71, s81, _MM_SHUFFLE(3, 1, 3, 1));
        s12 = *((a + 20));
        s22 = *((a + 21));
        s32 = _mm_shuffle_ps(s12, s22, _MM_SHUFFLE(2, 0, 2, 0));
        s42 = _mm_shuffle_ps(s12, s22, _MM_SHUFFLE(3, 1, 3, 1));
        t71 = _mm_add_ps(s91, s32);
        t81 = _mm_add_ps(s02, s42);
        t91 = _mm_sub_ps(s91, s32);
        t02 = _mm_sub_ps(s02, s42);
        s52 = *((a + 12));
        s62 = *((a + 13));
        s72 = _mm_shuffle_ps(s52, s62, _MM_SHUFFLE(2, 0, 2, 0));
        s82 = _mm_shuffle_ps(s52, s62, _MM_SHUFFLE(3, 1, 3, 1));
        s92 = *((a + 28));
        s03 = *((a + 29));
        s13 = _mm_shuffle_ps(s92, s03, _MM_SHUFFLE(2, 0, 2, 0));
        s23 = _mm_shuffle_ps(s92, s03, _MM_SHUFFLE(3, 1, 3, 1));
        t12 = _mm_add_ps(s72, s13);
        t22 = _mm_add_ps(s82, s23);
        t32 = _mm_sub_ps(s72, s13);
        t42 = _mm_sub_ps(s82, s23);
        t52 = _mm_add_ps(t71, t12);
        t62 = _mm_add_ps(t81, t22);
        t72 = _mm_sub_ps(t71, t12);
        t82 = _mm_sub_ps(t81, t22);
        a2 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t91, t42));
        a3 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t02, t32));
        s33 = _mm_sub_ps(a2, a3);
        s43 = _mm_add_ps(a2, a3);
        a4 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t91, t42));
        a5 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t02, t32));
        s53 = _mm_sub_ps(a4, a5);
        s63 = _mm_add_ps(a4, a5);
        t92 = _mm_add_ps(t9, t52);
        t03 = _mm_add_ps(t01, t62);
        t13 = _mm_sub_ps(t9, t52);
        t23 = _mm_sub_ps(t01, t62);
        t33 = _mm_add_ps(t31, s33);
        t43 = _mm_add_ps(t41, s43);
        t53 = _mm_sub_ps(t31, s33);
        t63 = _mm_sub_ps(t41, s43);
        t73 = _mm_sub_ps(t11, t82);
        t83 = _mm_add_ps(t21, t72);
        t93 = _mm_add_ps(t11, t82);
        t04 = _mm_sub_ps(t21, t72);
        t14 = _mm_add_ps(t51, s53);
        t24 = _mm_sub_ps(t61, s63);
        t34 = _mm_sub_ps(t51, s53);
        t44 = _mm_add_ps(t61, s63);
        s73 = _mm_unpacklo_ps(t92, t33);
        s83 = _mm_unpackhi_ps(t92, t33);
        s93 = _mm_unpacklo_ps(t03, t43);
        s04 = _mm_unpackhi_ps(t03, t43);
        s14 = _mm_unpacklo_ps(t73, t14);
        s24 = _mm_unpackhi_ps(t73, t14);
        s34 = _mm_unpacklo_ps(t83, t24);
        s44 = _mm_unpackhi_ps(t83, t24);
        a6 = (((__m128  *) T) + (16 * i));
        s54 = _mm_shuffle_ps(s73, s14, _MM_SHUFFLE(1, 0, 1, 0));
        *(a6) = s54;
        s64 = _mm_shuffle_ps(s73, s14, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 4)) = s64;
        s74 = _mm_shuffle_ps(s83, s24, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 8)) = s74;
        s84 = _mm_shuffle_ps(s83, s24, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 12)) = s84;
        s94 = _mm_shuffle_ps(s93, s34, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 1)) = s94;
        s05 = _mm_shuffle_ps(s93, s34, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 5)) = s05;
        s15 = _mm_shuffle_ps(s04, s44, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 9)) = s15;
        s25 = _mm_shuffle_ps(s04, s44, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 13)) = s25;
        s35 = _mm_unpacklo_ps(t13, t53);
        s45 = _mm_unpackhi_ps(t13, t53);
        s55 = _mm_unpacklo_ps(t23, t63);
        s65 = _mm_unpackhi_ps(t23, t63);
        s75 = _mm_unpacklo_ps(t93, t34);
        s85 = _mm_unpackhi_ps(t93, t34);
        s95 = _mm_unpacklo_ps(t04, t44);
        s06 = _mm_unpackhi_ps(t04, t44);
        s16 = _mm_shuffle_ps(s35, s75, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 2)) = s16;
        s26 = _mm_shuffle_ps(s35, s75, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 6)) = s26;
        s36 = _mm_shuffle_ps(s45, s85, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 10)) = s36;
        s46 = _mm_shuffle_ps(s45, s85, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 14)) = s46;
        s56 = _mm_shuffle_ps(s55, s95, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 3)) = s56;
        s66 = _mm_shuffle_ps(s55, s95, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 7)) = s66;
        s76 = _mm_shuffle_ps(s65, s06, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 11)) = s76;
        s86 = _mm_shuffle_ps(s65, s06, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 15)) = s86;
    }}
    {long i2; for(i2 = 0; i2 <= 1; i2++) {
        a7 = (2 * i2);
        a8 = (((__m128  *) T) + a7);
        s96 = *(a8);
        s07 = *((a8 + 1));
        s17 = *((a8 + 16));
        s27 = *((a8 + 17));
        a9 = (D962 + (16 * i2));
        a01 = *(a9);
        a11 = *((a9 + 1));
        s37 = _mm_sub_ps(_mm_mul_ps(a01, s96), _mm_mul_ps(a11, s07));
        s47 = _mm_add_ps(_mm_mul_ps(a11, s96), _mm_mul_ps(a01, s07));
        a21 = *((a9 + 2));
        a31 = *((a9 + 3));
        s57 = _mm_sub_ps(_mm_mul_ps(a21, s17), _mm_mul_ps(a31, s27));
        s67 = _mm_add_ps(_mm_mul_ps(a31, s17), _mm_mul_ps(a21, s27));
        t54 = _mm_add_ps(s37, s57);
        t64 = _mm_add_ps(s47, s67);
        t74 = _mm_sub_ps(s37, s57);
        t84 = _mm_sub_ps(s47, s67);
        s77 = *((a8 + 8));
        s87 = *((a8 + 9));
        s97 = *((a8 + 24));
        s08 = *((a8 + 25));
        a41 = *((a9 + 4));
        a51 = *((a9 + 5));
        s18 = _mm_sub_ps(_mm_mul_ps(a41, s77), _mm_mul_ps(a51, s87));
        s28 = _mm_add_ps(_mm_mul_ps(a51, s77), _mm_mul_ps(a41, s87));
        a61 = *((a9 + 6));
        a71 = *((a9 + 7));
        s38 = _mm_sub_ps(_mm_mul_ps(a61, s97), _mm_mul_ps(a71, s08));
        s48 = _mm_add_ps(_mm_mul_ps(a71, s97), _mm_mul_ps(a61, s08));
        t94 = _mm_add_ps(s18, s38);
        t05 = _mm_add_ps(s28, s48);
        t15 = _mm_sub_ps(s18, s38);
        t25 = _mm_sub_ps(s28, s48);
        t35 = _mm_add_ps(t54, t94);
        t45 = _mm_add_ps(t64, t05);
        t55 = _mm_sub_ps(t54, t94);
        t65 = _mm_sub_ps(t64, t05);
        t75 = _mm_sub_ps(t74, t25);
        t85 = _mm_add_ps(t84, t15);
        t95 = _mm_add_ps(t74, t25);
        t06 = _mm_sub_ps(t84, t15);
        s58 = *((a8 + 4));
        s68 = *((a8 + 5));
        s78 = *((a8 + 20));
        s88 = *((a8 + 21));
        a81 = *((a9 + 8));
        a91 = *((a9 + 9));
        s98 = _mm_sub_ps(_mm_mul_ps(a81, s58), _mm_mul_ps(a91, s68));
        s09 = _mm_add_ps(_mm_mul_ps(a91, s58), _mm_mul_ps(a81, s68));
        a02 = *((a9 + 10));
        a12 = *((a9 + 11));
        s19 = _mm_sub_ps(_mm_mul_ps(a02, s78), _mm_mul_ps(a12, s88));
        s29 = _mm_add_ps(_mm_mul_ps(a12, s78), _mm_mul_ps(a02, s88));
        t16 = _mm_add_ps(s98, s19);
        t26 = _mm_add_ps(s09, s29);
        t36 = _mm_sub_ps(s98, s19);
        t46 = _mm_sub_ps(s09, s29);
        s39 = *((a8 + 12));
        s49 = *((a8 + 13));
        s59 = *((a8 + 28));
        s69 = *((a8 + 29));
        a22 = *((a9 + 12));
        a32 = *((a9 + 13));
        s79 = _mm_sub_ps(_mm_mul_ps(a22, s39), _mm_mul_ps(a32, s49));
        s89 = _mm_add_ps(_mm_mul_ps(a32, s39), _mm_mul_ps(a22, s49));
        a42 = *((a9 + 14));
        a52 = *((a9 + 15));
        s99 = _mm_sub_ps(_mm_mul_ps(a42, s59), _mm_mul_ps(a52, s69));
        s0a = _mm_add_ps(_mm_mul_ps(a52, s59), _mm_mul_ps(a42, s69));
        t56 = _mm_add_ps(s79, s99);
        t66 = _mm_add_ps(s89, s0a);
        t76 = _mm_sub_ps(s79, s99);
        t86 = _mm_sub_ps(s89, s0a);
        t96 = _mm_add_ps(t16, t56);
        t07 = _mm_add_ps(t26, t66);
        t17 = _mm_sub_ps(t16, t56);
        t27 = _mm_sub_ps(t26, t66);
        a62 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t36, t86));
        a72 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t46, t76));
        s1a = _mm_sub_ps(a62, a72);
        s2a = _mm_add_ps(a62, a72);
        a82 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t36, t86));
        a92 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t46, t76));
        s3a = _mm_sub_ps(a82, a92);
        s4a = _mm_add_ps(a82, a92);
        t37 = _mm_add_ps(t35, t96);
        t47 = _mm_add_ps(t45, t07);
        t57 = _mm_sub_ps(t35, t96);
        t67 = _mm_sub_ps(t45, t07);
        a03 = (((__m128  *) dst) + a7);
        s5a = _mm_unpacklo_ps(t37, t47);
        *(a03) = s5a;
        s6a = _mm_unpackhi_ps(t37, t47);
        *((a03 + 1)) = s6a;
        s7a = _mm_unpacklo_ps(t57, t67);
        *((a03 + 16)) = s7a;
        s8a = _mm_unpackhi_ps(t57, t67);
        *((a03 + 17)) = s8a;
        t77 = _mm_add_ps(t75, s1a);
        t87 = _mm_add_ps(t85, s2a);
        t97 = _mm_sub_ps(t75, s1a);
        t08 = _mm_sub_ps(t85, s2a);
        s9a = _mm_unpacklo_ps(t77, t87);
        *((a03 + 4)) = s9a;
        s0b = _mm_unpackhi_ps(t77, t87);
        *((a03 + 5)) = s0b;
        s1b = _mm_unpacklo_ps(t97, t08);
        *((a03 + 20)) = s1b;
        s2b = _mm_unpackhi_ps(t97, t08);
        *((a03 + 21)) = s2b;
        t18 = _mm_sub_ps(t55, t27);
        t28 = _mm_add_ps(t65, t17);
        t38 = _mm_add_ps(t55, t27);
        t48 = _mm_sub_ps(t65, t17);
        s3b = _mm_unpacklo_ps(t18, t28);
        *((a03 + 8)) = s3b;
        s4b = _mm_unpackhi_ps(t18, t28);
        *((a03 + 9)) = s4b;
        s5b = _mm_unpacklo_ps(t38, t48);
        *((a03 + 24)) = s5b;
        s6b = _mm_unpackhi_ps(t38, t48);
        *((a03 + 25)) = s6b;
        t58 = _mm_add_ps(t95, s3a);
        t68 = _mm_sub_ps(t06, s4a);
        t78 = _mm_sub_ps(t95, s3a);
        t88 = _mm_add_ps(t06, s4a);
        s7b = _mm_unpacklo_ps(t58, t68);
        *((a03 + 12)) = s7b;
        s8b = _mm_unpackhi_ps(t58, t68);
        *((a03 + 13)) = s8b;
        s9b = _mm_unpacklo_ps(t78, t88);
        *((a03 + 28)) = s9b;
        s0c = _mm_unpackhi_ps(t78, t88);
        *((a03 + 29)) = s0c;
    }}
    }
    
    return SPIRAL_OK;
    }
}

SPIRAL_PRIV(spiral_status_t, spiral_fftinv_float_128_unaligned)(const float *pSrc, float *pDst ) {
    const float  *src = (const float *) pSrc; 
    float        *dst = (float *) pDst;
    
    
    { SPIRAL_ALIGNED(float T[256]);
     SPIRAL_ALIGNED(float T2[128]);
    __m128 s05, s15, s16, s1a, s25, s26, s2a, s36, s3a, s46, s4a, s54, s56, s5a, s64, s66, s6a, s74, s76, s7a, s84, s86
            , s8a, s94;
    __m128 a01, a02, a11, a12, a2, a21, a22, a3, a31, a4, a41, a42, a5, a51, a52, a61, a62, a71, a72, a91, s, s01
            , s02, s03, s04, s06, s07, s08, s09, s0a, s11, s12, s13, s14, s17, s18, s19, s2, s21, s22, s23, s24, s27, s28
            , s29, s3, s31, s32, s33, s34, s35, s37, s38, s39, s4, s41, s42, s43, s44, s45, s47, s48, s49, s5, s51, s52
            , s53, s55, s57, s58, s59, s6, s61, s62, s63, s65, s67, s68, s69, s7, s71, s72, s73, s75, s77, s78, s79, s8
            , s81, s82, s83, s85, s87, s88, s89, s9, s91, s92, s93, s95, s96, s97, s98, s99, t, t01, t02, t03, t04, t05
            , t06, t07, t11, t12, t13, t14, t15, t16, t17, t2, t21, t22, t23, t24, t25, t26, t27, t3, t31, t32, t33, t34
            , t35, t36, t37, t4, t41, t42, t43, t44, t45, t46, t47, t5, t51, t52, t53, t54, t55, t56, t57, t6, t61, t62
            , t63, t64, t65, t66, t67, t7, t71, t72, t73, t74, t75, t76, t8, t81, t82, t83, t84, t85, t86, t9, t91, t92
            , t93, t94, t95, t96;
    __m128  *a32, *a6, *a7, *a81, *a82, *a9;
    float  *a92;
    const float  *a;
    int a8;
    {long i; for(i = 0; i <= 3; i++) {
        a = (src + (8 * i));
        s = _mm_loadu_ps(((const float  *) a));
        s2 = _mm_loadu_ps(((const float  *) (a + 4)));
        s3 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(2, 0, 2, 0));
        s4 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(3, 1, 3, 1));
        s5 = _mm_loadu_ps(((const float  *) (a + 128)));
        s6 = _mm_loadu_ps(((const float  *) (a + 132)));
        s7 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(2, 0, 2, 0));
        s8 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(3, 1, 3, 1));
        t = _mm_add_ps(s3, s7);
        t2 = _mm_add_ps(s4, s8);
        t3 = _mm_sub_ps(s3, s7);
        t4 = _mm_sub_ps(s4, s8);
        s9 = _mm_loadu_ps(((const float  *) (a + 64)));
        s01 = _mm_loadu_ps(((const float  *) (a + 68)));
        s11 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(2, 0, 2, 0));
        s21 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(3, 1, 3, 1));
        s31 = _mm_loadu_ps(((const float  *) (a + 192)));
        s41 = _mm_loadu_ps(((const float  *) (a + 196)));
        s51 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(2, 0, 2, 0));
        s61 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(3, 1, 3, 1));
        t5 = _mm_add_ps(s11, s51);
        t6 = _mm_add_ps(s21, s61);
        t7 = _mm_sub_ps(s11, s51);
        t8 = _mm_sub_ps(s21, s61);
        t9 = _mm_add_ps(t, t5);
        t01 = _mm_add_ps(t2, t6);
        t11 = _mm_sub_ps(t, t5);
        t21 = _mm_sub_ps(t2, t6);
        t31 = _mm_sub_ps(t3, t8);
        t41 = _mm_add_ps(t4, t7);
        t51 = _mm_add_ps(t3, t8);
        t61 = _mm_sub_ps(t4, t7);
        s71 = _mm_loadu_ps(((const float  *) (a + 32)));
        s81 = _mm_loadu_ps(((const float  *) (a + 36)));
        s91 = _mm_shuffle_ps(s71, s81, _MM_SHUFFLE(2, 0, 2, 0));
        s02 = _mm_shuffle_ps(s71, s81, _MM_SHUFFLE(3, 1, 3, 1));
        s12 = _mm_loadu_ps(((const float  *) (a + 160)));
        s22 = _mm_loadu_ps(((const float  *) (a + 164)));
        s32 = _mm_shuffle_ps(s12, s22, _MM_SHUFFLE(2, 0, 2, 0));
        s42 = _mm_shuffle_ps(s12, s22, _MM_SHUFFLE(3, 1, 3, 1));
        t71 = _mm_add_ps(s91, s32);
        t81 = _mm_add_ps(s02, s42);
        t91 = _mm_sub_ps(s91, s32);
        t02 = _mm_sub_ps(s02, s42);
        s52 = _mm_loadu_ps(((const float  *) (a + 96)));
        s62 = _mm_loadu_ps(((const float  *) (a + 100)));
        s72 = _mm_shuffle_ps(s52, s62, _MM_SHUFFLE(2, 0, 2, 0));
        s82 = _mm_shuffle_ps(s52, s62, _MM_SHUFFLE(3, 1, 3, 1));
        s92 = _mm_loadu_ps(((const float  *) (a + 224)));
        s03 = _mm_loadu_ps(((const float  *) (a + 228)));
        s13 = _mm_shuffle_ps(s92, s03, _MM_SHUFFLE(2, 0, 2, 0));
        s23 = _mm_shuffle_ps(s92, s03, _MM_SHUFFLE(3, 1, 3, 1));
        t12 = _mm_add_ps(s72, s13);
        t22 = _mm_add_ps(s82, s23);
        t32 = _mm_sub_ps(s72, s13);
        t42 = _mm_sub_ps(s82, s23);
        t52 = _mm_add_ps(t71, t12);
        t62 = _mm_add_ps(t81, t22);
        t72 = _mm_sub_ps(t71, t12);
        t82 = _mm_sub_ps(t81, t22);
        a2 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t91, t42));
        a3 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t02, t32));
        s33 = _mm_sub_ps(a2, a3);
        s43 = _mm_add_ps(a2, a3);
        a4 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t91, t42));
        a5 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t02, t32));
        s53 = _mm_sub_ps(a4, a5);
        s63 = _mm_add_ps(a4, a5);
        t92 = _mm_add_ps(t9, t52);
        t03 = _mm_add_ps(t01, t62);
        t13 = _mm_sub_ps(t9, t52);
        t23 = _mm_sub_ps(t01, t62);
        t33 = _mm_add_ps(t31, s33);
        t43 = _mm_add_ps(t41, s43);
        t53 = _mm_sub_ps(t31, s33);
        t63 = _mm_sub_ps(t41, s43);
        t73 = _mm_sub_ps(t11, t82);
        t83 = _mm_add_ps(t21, t72);
        t93 = _mm_add_ps(t11, t82);
        t04 = _mm_sub_ps(t21, t72);
        t14 = _mm_add_ps(t51, s53);
        t24 = _mm_sub_ps(t61, s63);
        t34 = _mm_sub_ps(t51, s53);
        t44 = _mm_add_ps(t61, s63);
        s73 = _mm_unpacklo_ps(t92, t33);
        s83 = _mm_unpackhi_ps(t92, t33);
        s93 = _mm_unpacklo_ps(t03, t43);
        s04 = _mm_unpackhi_ps(t03, t43);
        s14 = _mm_unpacklo_ps(t73, t14);
        s24 = _mm_unpackhi_ps(t73, t14);
        s34 = _mm_unpacklo_ps(t83, t24);
        s44 = _mm_unpackhi_ps(t83, t24);
        a6 = (((__m128  *) T) + (16 * i));
        s54 = _mm_shuffle_ps(s73, s14, _MM_SHUFFLE(1, 0, 1, 0));
        *(a6) = s54;
        s64 = _mm_shuffle_ps(s73, s14, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 4)) = s64;
        s74 = _mm_shuffle_ps(s83, s24, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 8)) = s74;
        s84 = _mm_shuffle_ps(s83, s24, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 12)) = s84;
        s94 = _mm_shuffle_ps(s93, s34, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 1)) = s94;
        s05 = _mm_shuffle_ps(s93, s34, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 5)) = s05;
        s15 = _mm_shuffle_ps(s04, s44, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 9)) = s15;
        s25 = _mm_shuffle_ps(s04, s44, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 13)) = s25;
        s35 = _mm_unpacklo_ps(t13, t53);
        s45 = _mm_unpackhi_ps(t13, t53);
        s55 = _mm_unpacklo_ps(t23, t63);
        s65 = _mm_unpackhi_ps(t23, t63);
        s75 = _mm_unpacklo_ps(t93, t34);
        s85 = _mm_unpackhi_ps(t93, t34);
        s95 = _mm_unpacklo_ps(t04, t44);
        s06 = _mm_unpackhi_ps(t04, t44);
        s16 = _mm_shuffle_ps(s35, s75, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 2)) = s16;
        s26 = _mm_shuffle_ps(s35, s75, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 6)) = s26;
        s36 = _mm_shuffle_ps(s45, s85, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 10)) = s36;
        s46 = _mm_shuffle_ps(s45, s85, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 14)) = s46;
        s56 = _mm_shuffle_ps(s55, s95, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 3)) = s56;
        s66 = _mm_shuffle_ps(s55, s95, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 7)) = s66;
        s76 = _mm_shuffle_ps(s65, s06, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 11)) = s76;
        s86 = _mm_shuffle_ps(s65, s06, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 15)) = s86;
    }}
    {long i2; for(i2 = 0; i2 <= 1; i2++) {
        {long i3; for(i3 = 0; i3 <= 3; i3++) {
            a7 = (((__m128  *) T) + ((2 * i2) + (4 * i3)));
            s96 = *(a7);
            s07 = *((a7 + 1));
            s17 = *((a7 + 32));
            s27 = *((a7 + 33));
            a8 = (8 * i3);
            a9 = (D964 + ((32 * i2) + a8));
            a01 = *(a9);
            a11 = *((a9 + 1));
            s37 = _mm_sub_ps(_mm_mul_ps(a01, s96), _mm_mul_ps(a11, s07));
            s47 = _mm_add_ps(_mm_mul_ps(a11, s96), _mm_mul_ps(a01, s07));
            a21 = *((a9 + 2));
            a31 = *((a9 + 3));
            s57 = _mm_sub_ps(_mm_mul_ps(a21, s17), _mm_mul_ps(a31, s27));
            s67 = _mm_add_ps(_mm_mul_ps(a31, s17), _mm_mul_ps(a21, s27));
            t54 = _mm_add_ps(s37, s57);
            t64 = _mm_add_ps(s47, s67);
            t74 = _mm_sub_ps(s37, s57);
            t84 = _mm_sub_ps(s47, s67);
            s77 = *((a7 + 16));
            s87 = *((a7 + 17));
            s97 = *((a7 + 48));
            s08 = *((a7 + 49));
            a41 = *((a9 + 4));
            a51 = *((a9 + 5));
            s18 = _mm_sub_ps(_mm_mul_ps(a41, s77), _mm_mul_ps(a51, s87));
            s28 = _mm_add_ps(_mm_mul_ps(a51, s77), _mm_mul_ps(a41, s87));
            a61 = *((a9 + 6));
            a71 = *((a9 + 7));
            s38 = _mm_sub_ps(_mm_mul_ps(a61, s97), _mm_mul_ps(a71, s08));
            s48 = _mm_add_ps(_mm_mul_ps(a71, s97), _mm_mul_ps(a61, s08));
            t94 = _mm_add_ps(s18, s38);
            t05 = _mm_add_ps(s28, s48);
            t15 = _mm_sub_ps(s18, s38);
            t25 = _mm_sub_ps(s28, s48);
            t35 = _mm_add_ps(t54, t94);
            t45 = _mm_add_ps(t64, t05);
            t55 = _mm_sub_ps(t54, t94);
            t65 = _mm_sub_ps(t64, t05);
            a81 = (D963 + a8);
            a91 = *(a81);
            a02 = *((a81 + 1));
            a12 = *((a81 + 2));
            a22 = *((a81 + 3));
            a32 = (((__m128  *) T2) + a8);
            s58 = _mm_sub_ps(_mm_mul_ps(a91, t35), _mm_mul_ps(a02, t45));
            *(a32) = s58;
            s68 = _mm_add_ps(_mm_mul_ps(a02, t35), _mm_mul_ps(a91, t45));
            *((a32 + 1)) = s68;
            s78 = _mm_sub_ps(_mm_mul_ps(a12, t55), _mm_mul_ps(a22, t65));
            *((a32 + 4)) = s78;
            s88 = _mm_add_ps(_mm_mul_ps(a22, t55), _mm_mul_ps(a12, t65));
            *((a32 + 5)) = s88;
            t75 = _mm_sub_ps(t74, t25);
            t85 = _mm_add_ps(t84, t15);
            t95 = _mm_add_ps(t74, t25);
            t06 = _mm_sub_ps(t84, t15);
            a42 = *((a81 + 4));
            a52 = *((a81 + 5));
            a62 = *((a81 + 6));
            a72 = *((a81 + 7));
            s98 = _mm_sub_ps(_mm_mul_ps(a42, t75), _mm_mul_ps(a52, t85));
            *((a32 + 2)) = s98;
            s09 = _mm_add_ps(_mm_mul_ps(a52, t75), _mm_mul_ps(a42, t85));
            *((a32 + 3)) = s09;
            s19 = _mm_sub_ps(_mm_mul_ps(a62, t95), _mm_mul_ps(a72, t06));
            *((a32 + 6)) = s19;
            s29 = _mm_add_ps(_mm_mul_ps(a72, t95), _mm_mul_ps(a62, t06));
            *((a32 + 7)) = s29;
        }}
        {long i4; for(i4 = 0; i4 <= 3; i4++) {
            a82 = (((__m128  *) T2) + (2 * i4));
            s39 = *(a82);
            s49 = *((a82 + 1));
            s59 = *((a82 + 16));
            s69 = *((a82 + 17));
            t16 = _mm_add_ps(s39, s59);
            t26 = _mm_add_ps(s49, s69);
            t36 = _mm_sub_ps(s39, s59);
            t46 = _mm_sub_ps(s49, s69);
            s79 = *((a82 + 8));
            s89 = *((a82 + 9));
            s99 = *((a82 + 24));
            s0a = *((a82 + 25));
            t56 = _mm_add_ps(s79, s99);
            t66 = _mm_add_ps(s89, s0a);
            t76 = _mm_sub_ps(s79, s99);
            t86 = _mm_sub_ps(s89, s0a);
            t96 = _mm_add_ps(t16, t56);
            t07 = _mm_add_ps(t26, t66);
            t17 = _mm_sub_ps(t16, t56);
            t27 = _mm_sub_ps(t26, t66);
            a92 = (dst + ((8 * i2) + (16 * i4)));
            s1a = _mm_unpacklo_ps(t96, t07);
            _mm_storeu_ps(((float  *) a92), s1a);
            s2a = _mm_unpackhi_ps(t96, t07);
            _mm_storeu_ps(((float  *) (a92 + 4)), s2a);
            s3a = _mm_unpacklo_ps(t17, t27);
            _mm_storeu_ps(((float  *) (a92 + 128)), s3a);
            s4a = _mm_unpackhi_ps(t17, t27);
            _mm_storeu_ps(((float  *) (a92 + 132)), s4a);
            t37 = _mm_sub_ps(t36, t86);
            t47 = _mm_add_ps(t46, t76);
            t57 = _mm_add_ps(t36, t86);
            t67 = _mm_sub_ps(t46, t76);
            s5a = _mm_unpacklo_ps(t37, t47);
            _mm_storeu_ps(((float  *) (a92 + 64)), s5a);
            s6a = _mm_unpackhi_ps(t37, t47);
            _mm_storeu_ps(((float  *) (a92 + 68)), s6a);
            s7a = _mm_unpacklo_ps(t57, t67);
            _mm_storeu_ps(((float  *) (a92 + 192)), s7a);
            s8a = _mm_unpackhi_ps(t57, t67);
            _mm_storeu_ps(((float  *) (a92 + 196)), s8a);
        }}
    }}
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_fftinv_float_128)(const float *pSrc, float *pDst ) {
    if (!is_aligned(pSrc) || !is_aligned(pDst))
       	return spiral_fftinv_float_128_unaligned(pSrc, pDst );
    else {
    const float  *src = (const float *) pSrc; 
    float        *dst = (float *) pDst;
    
    
    { SPIRAL_ALIGNED(float T[256]);
     SPIRAL_ALIGNED(float T2[128]);
    __m128 s05, s15, s16, s1a, s25, s26, s2a, s36, s3a, s46, s4a, s54, s56, s5a, s64, s66, s6a, s74, s76, s7a, s84, s86
            , s8a, s94;
    __m128 a01, a02, a11, a12, a2, a21, a22, a3, a31, a4, a41, a42, a5, a51, a52, a61, a62, a71, a72, a91, s, s01
            , s02, s03, s04, s06, s07, s08, s09, s0a, s11, s12, s13, s14, s17, s18, s19, s2, s21, s22, s23, s24, s27, s28
            , s29, s3, s31, s32, s33, s34, s35, s37, s38, s39, s4, s41, s42, s43, s44, s45, s47, s48, s49, s5, s51, s52
            , s53, s55, s57, s58, s59, s6, s61, s62, s63, s65, s67, s68, s69, s7, s71, s72, s73, s75, s77, s78, s79, s8
            , s81, s82, s83, s85, s87, s88, s89, s9, s91, s92, s93, s95, s96, s97, s98, s99, t, t01, t02, t03, t04, t05
            , t06, t07, t11, t12, t13, t14, t15, t16, t17, t2, t21, t22, t23, t24, t25, t26, t27, t3, t31, t32, t33, t34
            , t35, t36, t37, t4, t41, t42, t43, t44, t45, t46, t47, t5, t51, t52, t53, t54, t55, t56, t57, t6, t61, t62
            , t63, t64, t65, t66, t67, t7, t71, t72, t73, t74, t75, t76, t8, t81, t82, t83, t84, t85, t86, t9, t91, t92
            , t93, t94, t95, t96;
    __m128  *a, *a32, *a6, *a7, *a81, *a82, *a9, *a92;
    int a8;
    {long i; for(i = 0; i <= 3; i++) {
        a = (((__m128  *) src) + (2 * i));
        s = *(a);
        s2 = *((a + 1));
        s3 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(2, 0, 2, 0));
        s4 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(3, 1, 3, 1));
        s5 = *((a + 32));
        s6 = *((a + 33));
        s7 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(2, 0, 2, 0));
        s8 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(3, 1, 3, 1));
        t = _mm_add_ps(s3, s7);
        t2 = _mm_add_ps(s4, s8);
        t3 = _mm_sub_ps(s3, s7);
        t4 = _mm_sub_ps(s4, s8);
        s9 = *((a + 16));
        s01 = *((a + 17));
        s11 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(2, 0, 2, 0));
        s21 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(3, 1, 3, 1));
        s31 = *((a + 48));
        s41 = *((a + 49));
        s51 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(2, 0, 2, 0));
        s61 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(3, 1, 3, 1));
        t5 = _mm_add_ps(s11, s51);
        t6 = _mm_add_ps(s21, s61);
        t7 = _mm_sub_ps(s11, s51);
        t8 = _mm_sub_ps(s21, s61);
        t9 = _mm_add_ps(t, t5);
        t01 = _mm_add_ps(t2, t6);
        t11 = _mm_sub_ps(t, t5);
        t21 = _mm_sub_ps(t2, t6);
        t31 = _mm_sub_ps(t3, t8);
        t41 = _mm_add_ps(t4, t7);
        t51 = _mm_add_ps(t3, t8);
        t61 = _mm_sub_ps(t4, t7);
        s71 = *((a + 8));
        s81 = *((a + 9));
        s91 = _mm_shuffle_ps(s71, s81, _MM_SHUFFLE(2, 0, 2, 0));
        s02 = _mm_shuffle_ps(s71, s81, _MM_SHUFFLE(3, 1, 3, 1));
        s12 = *((a + 40));
        s22 = *((a + 41));
        s32 = _mm_shuffle_ps(s12, s22, _MM_SHUFFLE(2, 0, 2, 0));
        s42 = _mm_shuffle_ps(s12, s22, _MM_SHUFFLE(3, 1, 3, 1));
        t71 = _mm_add_ps(s91, s32);
        t81 = _mm_add_ps(s02, s42);
        t91 = _mm_sub_ps(s91, s32);
        t02 = _mm_sub_ps(s02, s42);
        s52 = *((a + 24));
        s62 = *((a + 25));
        s72 = _mm_shuffle_ps(s52, s62, _MM_SHUFFLE(2, 0, 2, 0));
        s82 = _mm_shuffle_ps(s52, s62, _MM_SHUFFLE(3, 1, 3, 1));
        s92 = *((a + 56));
        s03 = *((a + 57));
        s13 = _mm_shuffle_ps(s92, s03, _MM_SHUFFLE(2, 0, 2, 0));
        s23 = _mm_shuffle_ps(s92, s03, _MM_SHUFFLE(3, 1, 3, 1));
        t12 = _mm_add_ps(s72, s13);
        t22 = _mm_add_ps(s82, s23);
        t32 = _mm_sub_ps(s72, s13);
        t42 = _mm_sub_ps(s82, s23);
        t52 = _mm_add_ps(t71, t12);
        t62 = _mm_add_ps(t81, t22);
        t72 = _mm_sub_ps(t71, t12);
        t82 = _mm_sub_ps(t81, t22);
        a2 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t91, t42));
        a3 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t02, t32));
        s33 = _mm_sub_ps(a2, a3);
        s43 = _mm_add_ps(a2, a3);
        a4 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t91, t42));
        a5 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t02, t32));
        s53 = _mm_sub_ps(a4, a5);
        s63 = _mm_add_ps(a4, a5);
        t92 = _mm_add_ps(t9, t52);
        t03 = _mm_add_ps(t01, t62);
        t13 = _mm_sub_ps(t9, t52);
        t23 = _mm_sub_ps(t01, t62);
        t33 = _mm_add_ps(t31, s33);
        t43 = _mm_add_ps(t41, s43);
        t53 = _mm_sub_ps(t31, s33);
        t63 = _mm_sub_ps(t41, s43);
        t73 = _mm_sub_ps(t11, t82);
        t83 = _mm_add_ps(t21, t72);
        t93 = _mm_add_ps(t11, t82);
        t04 = _mm_sub_ps(t21, t72);
        t14 = _mm_add_ps(t51, s53);
        t24 = _mm_sub_ps(t61, s63);
        t34 = _mm_sub_ps(t51, s53);
        t44 = _mm_add_ps(t61, s63);
        s73 = _mm_unpacklo_ps(t92, t33);
        s83 = _mm_unpackhi_ps(t92, t33);
        s93 = _mm_unpacklo_ps(t03, t43);
        s04 = _mm_unpackhi_ps(t03, t43);
        s14 = _mm_unpacklo_ps(t73, t14);
        s24 = _mm_unpackhi_ps(t73, t14);
        s34 = _mm_unpacklo_ps(t83, t24);
        s44 = _mm_unpackhi_ps(t83, t24);
        a6 = (((__m128  *) T) + (16 * i));
        s54 = _mm_shuffle_ps(s73, s14, _MM_SHUFFLE(1, 0, 1, 0));
        *(a6) = s54;
        s64 = _mm_shuffle_ps(s73, s14, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 4)) = s64;
        s74 = _mm_shuffle_ps(s83, s24, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 8)) = s74;
        s84 = _mm_shuffle_ps(s83, s24, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 12)) = s84;
        s94 = _mm_shuffle_ps(s93, s34, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 1)) = s94;
        s05 = _mm_shuffle_ps(s93, s34, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 5)) = s05;
        s15 = _mm_shuffle_ps(s04, s44, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 9)) = s15;
        s25 = _mm_shuffle_ps(s04, s44, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 13)) = s25;
        s35 = _mm_unpacklo_ps(t13, t53);
        s45 = _mm_unpackhi_ps(t13, t53);
        s55 = _mm_unpacklo_ps(t23, t63);
        s65 = _mm_unpackhi_ps(t23, t63);
        s75 = _mm_unpacklo_ps(t93, t34);
        s85 = _mm_unpackhi_ps(t93, t34);
        s95 = _mm_unpacklo_ps(t04, t44);
        s06 = _mm_unpackhi_ps(t04, t44);
        s16 = _mm_shuffle_ps(s35, s75, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 2)) = s16;
        s26 = _mm_shuffle_ps(s35, s75, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 6)) = s26;
        s36 = _mm_shuffle_ps(s45, s85, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 10)) = s36;
        s46 = _mm_shuffle_ps(s45, s85, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 14)) = s46;
        s56 = _mm_shuffle_ps(s55, s95, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 3)) = s56;
        s66 = _mm_shuffle_ps(s55, s95, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 7)) = s66;
        s76 = _mm_shuffle_ps(s65, s06, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 11)) = s76;
        s86 = _mm_shuffle_ps(s65, s06, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 15)) = s86;
    }}
    {long i2; for(i2 = 0; i2 <= 1; i2++) {
        {long i3; for(i3 = 0; i3 <= 3; i3++) {
            a7 = (((__m128  *) T) + ((2 * i2) + (4 * i3)));
            s96 = *(a7);
            s07 = *((a7 + 1));
            s17 = *((a7 + 32));
            s27 = *((a7 + 33));
            a8 = (8 * i3);
            a9 = (D964 + ((32 * i2) + a8));
            a01 = *(a9);
            a11 = *((a9 + 1));
            s37 = _mm_sub_ps(_mm_mul_ps(a01, s96), _mm_mul_ps(a11, s07));
            s47 = _mm_add_ps(_mm_mul_ps(a11, s96), _mm_mul_ps(a01, s07));
            a21 = *((a9 + 2));
            a31 = *((a9 + 3));
            s57 = _mm_sub_ps(_mm_mul_ps(a21, s17), _mm_mul_ps(a31, s27));
            s67 = _mm_add_ps(_mm_mul_ps(a31, s17), _mm_mul_ps(a21, s27));
            t54 = _mm_add_ps(s37, s57);
            t64 = _mm_add_ps(s47, s67);
            t74 = _mm_sub_ps(s37, s57);
            t84 = _mm_sub_ps(s47, s67);
            s77 = *((a7 + 16));
            s87 = *((a7 + 17));
            s97 = *((a7 + 48));
            s08 = *((a7 + 49));
            a41 = *((a9 + 4));
            a51 = *((a9 + 5));
            s18 = _mm_sub_ps(_mm_mul_ps(a41, s77), _mm_mul_ps(a51, s87));
            s28 = _mm_add_ps(_mm_mul_ps(a51, s77), _mm_mul_ps(a41, s87));
            a61 = *((a9 + 6));
            a71 = *((a9 + 7));
            s38 = _mm_sub_ps(_mm_mul_ps(a61, s97), _mm_mul_ps(a71, s08));
            s48 = _mm_add_ps(_mm_mul_ps(a71, s97), _mm_mul_ps(a61, s08));
            t94 = _mm_add_ps(s18, s38);
            t05 = _mm_add_ps(s28, s48);
            t15 = _mm_sub_ps(s18, s38);
            t25 = _mm_sub_ps(s28, s48);
            t35 = _mm_add_ps(t54, t94);
            t45 = _mm_add_ps(t64, t05);
            t55 = _mm_sub_ps(t54, t94);
            t65 = _mm_sub_ps(t64, t05);
            a81 = (D963 + a8);
            a91 = *(a81);
            a02 = *((a81 + 1));
            a12 = *((a81 + 2));
            a22 = *((a81 + 3));
            a32 = (((__m128  *) T2) + a8);
            s58 = _mm_sub_ps(_mm_mul_ps(a91, t35), _mm_mul_ps(a02, t45));
            *(a32) = s58;
            s68 = _mm_add_ps(_mm_mul_ps(a02, t35), _mm_mul_ps(a91, t45));
            *((a32 + 1)) = s68;
            s78 = _mm_sub_ps(_mm_mul_ps(a12, t55), _mm_mul_ps(a22, t65));
            *((a32 + 4)) = s78;
            s88 = _mm_add_ps(_mm_mul_ps(a22, t55), _mm_mul_ps(a12, t65));
            *((a32 + 5)) = s88;
            t75 = _mm_sub_ps(t74, t25);
            t85 = _mm_add_ps(t84, t15);
            t95 = _mm_add_ps(t74, t25);
            t06 = _mm_sub_ps(t84, t15);
            a42 = *((a81 + 4));
            a52 = *((a81 + 5));
            a62 = *((a81 + 6));
            a72 = *((a81 + 7));
            s98 = _mm_sub_ps(_mm_mul_ps(a42, t75), _mm_mul_ps(a52, t85));
            *((a32 + 2)) = s98;
            s09 = _mm_add_ps(_mm_mul_ps(a52, t75), _mm_mul_ps(a42, t85));
            *((a32 + 3)) = s09;
            s19 = _mm_sub_ps(_mm_mul_ps(a62, t95), _mm_mul_ps(a72, t06));
            *((a32 + 6)) = s19;
            s29 = _mm_add_ps(_mm_mul_ps(a72, t95), _mm_mul_ps(a62, t06));
            *((a32 + 7)) = s29;
        }}
        {long i4; for(i4 = 0; i4 <= 3; i4++) {
            a82 = (((__m128  *) T2) + (2 * i4));
            s39 = *(a82);
            s49 = *((a82 + 1));
            s59 = *((a82 + 16));
            s69 = *((a82 + 17));
            t16 = _mm_add_ps(s39, s59);
            t26 = _mm_add_ps(s49, s69);
            t36 = _mm_sub_ps(s39, s59);
            t46 = _mm_sub_ps(s49, s69);
            s79 = *((a82 + 8));
            s89 = *((a82 + 9));
            s99 = *((a82 + 24));
            s0a = *((a82 + 25));
            t56 = _mm_add_ps(s79, s99);
            t66 = _mm_add_ps(s89, s0a);
            t76 = _mm_sub_ps(s79, s99);
            t86 = _mm_sub_ps(s89, s0a);
            t96 = _mm_add_ps(t16, t56);
            t07 = _mm_add_ps(t26, t66);
            t17 = _mm_sub_ps(t16, t56);
            t27 = _mm_sub_ps(t26, t66);
            a92 = (((__m128  *) dst) + ((2 * i2) + (4 * i4)));
            s1a = _mm_unpacklo_ps(t96, t07);
            *(a92) = s1a;
            s2a = _mm_unpackhi_ps(t96, t07);
            *((a92 + 1)) = s2a;
            s3a = _mm_unpacklo_ps(t17, t27);
            *((a92 + 32)) = s3a;
            s4a = _mm_unpackhi_ps(t17, t27);
            *((a92 + 33)) = s4a;
            t37 = _mm_sub_ps(t36, t86);
            t47 = _mm_add_ps(t46, t76);
            t57 = _mm_add_ps(t36, t86);
            t67 = _mm_sub_ps(t46, t76);
            s5a = _mm_unpacklo_ps(t37, t47);
            *((a92 + 16)) = s5a;
            s6a = _mm_unpackhi_ps(t37, t47);
            *((a92 + 17)) = s6a;
            s7a = _mm_unpacklo_ps(t57, t67);
            *((a92 + 48)) = s7a;
            s8a = _mm_unpackhi_ps(t57, t67);
            *((a92 + 49)) = s8a;
        }}
    }}
    }
    
    return SPIRAL_OK;
    }
}

SPIRAL_PRIV(spiral_status_t, spiral_fftinv_float_256_unaligned)(const float *pSrc, float *pDst ) {
    const float  *src = (const float *) pSrc; 
    float        *dst = (float *) pDst;
    
    
    { SPIRAL_ALIGNED(float T[512]);
     SPIRAL_ALIGNED(float T2[512]);
    __m128 s03, s0b, s0c, s13, s1b, s23, s2b, s3b, s4b, s52, s5a, s5b, s62, s6a, s6b, s72, s7a, s7b, s82, s8a, s8b, s92
            , s9a, s9b;
    __m128 a01, a02, a03, a04, a11, a12, a13, a14, a21, a22, a24, a31, a32, a33, a34, a41, a42, a43, a44, a51, a52, a53
            , a61, a62, a63, a64, a7, a71, a73, a74, a8, a81, a82, a83, a84, a9, a91, a92, a93, a94, s, s01, s02, s04
            , s05, s06, s07, s08, s09, s0a, s11, s12, s14, s15, s16, s17, s18, s19, s1a, s2, s21, s22, s24, s25, s26, s27
            , s28, s29, s2a, s3, s31, s32, s33, s34, s35, s36, s37, s38, s39, s3a, s4, s41, s42, s43, s44, s45, s46, s47
            , s48, s49, s4a, s5, s51, s53, s54, s55, s56, s57, s58, s59, s6, s61, s63, s64, s65, s66, s67, s68, s69, s7
            , s71, s73, s74, s75, s76, s77, s78, s79, s8, s81, s83, s84, s85, s86, s87, s88, s89, s9, s91, s93, s94, s95
            , s96, s97, s98, s99, t, t01, t02, t03, t04, t05, t06, t07, t08, t09, t0a, t11, t12, t13, t14, t15, t16, t17
            , t18, t19, t1a, t2, t21, t22, t23, t24, t25, t26, t27, t28, t29, t2a, t3, t31, t32, t33, t34, t35, t36, t37
            , t38, t39, t3a, t4, t41, t42, t43, t44, t45, t46, t47, t48, t49, t4a, t5, t51, t52, t53, t54, t55, t56, t57
            , t58, t59, t6, t61, t62, t63, t64, t65, t66, t67, t68, t69, t7, t71, t72, t73, t74, t75, t76, t77, t78, t79
            , t8, t81, t82, t83, t84, t85, t86, t87, t88, t89, t9, t91, t92, t93, t94, t95, t96, t97, t98, t99;
    __m128  *a23, *a3, *a4, *a54, *a6, *a72;
    float  *a05;
    const float  *a2;
    int a, a5;
    {long i; for(i = 0; i <= 15; i++) {
        a = (8 * i);
        a2 = (src + a);
        s = _mm_loadu_ps(((const float  *) a2));
        s2 = _mm_loadu_ps(((const float  *) (a2 + 4)));
        s3 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(2, 0, 2, 0));
        s4 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(3, 1, 3, 1));
        s5 = _mm_loadu_ps(((const float  *) (a2 + 256)));
        s6 = _mm_loadu_ps(((const float  *) (a2 + 260)));
        s7 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(2, 0, 2, 0));
        s8 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(3, 1, 3, 1));
        t = _mm_add_ps(s3, s7);
        t2 = _mm_add_ps(s4, s8);
        t3 = _mm_sub_ps(s3, s7);
        t4 = _mm_sub_ps(s4, s8);
        s9 = _mm_loadu_ps(((const float  *) (a2 + 128)));
        s01 = _mm_loadu_ps(((const float  *) (a2 + 132)));
        s11 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(2, 0, 2, 0));
        s21 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(3, 1, 3, 1));
        s31 = _mm_loadu_ps(((const float  *) (a2 + 384)));
        s41 = _mm_loadu_ps(((const float  *) (a2 + 388)));
        s51 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(2, 0, 2, 0));
        s61 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(3, 1, 3, 1));
        t5 = _mm_add_ps(s11, s51);
        t6 = _mm_add_ps(s21, s61);
        t7 = _mm_sub_ps(s11, s51);
        t8 = _mm_sub_ps(s21, s61);
        t9 = _mm_add_ps(t, t5);
        t01 = _mm_add_ps(t2, t6);
        t11 = _mm_sub_ps(t, t5);
        t21 = _mm_sub_ps(t2, t6);
        t31 = _mm_sub_ps(t3, t8);
        t41 = _mm_add_ps(t4, t7);
        t51 = _mm_add_ps(t3, t8);
        t61 = _mm_sub_ps(t4, t7);
        s71 = _mm_unpacklo_ps(t9, t31);
        s81 = _mm_unpackhi_ps(t9, t31);
        s91 = _mm_unpacklo_ps(t01, t41);
        s02 = _mm_unpackhi_ps(t01, t41);
        s12 = _mm_unpacklo_ps(t11, t51);
        s22 = _mm_unpackhi_ps(t11, t51);
        s32 = _mm_unpacklo_ps(t21, t61);
        s42 = _mm_unpackhi_ps(t21, t61);
        a3 = (((__m128  *) T2) + a);
        s52 = _mm_shuffle_ps(s71, s12, _MM_SHUFFLE(1, 0, 1, 0));
        *(a3) = s52;
        s62 = _mm_shuffle_ps(s71, s12, _MM_SHUFFLE(3, 2, 3, 2));
        *((a3 + 2)) = s62;
        s72 = _mm_shuffle_ps(s81, s22, _MM_SHUFFLE(1, 0, 1, 0));
        *((a3 + 4)) = s72;
        s82 = _mm_shuffle_ps(s81, s22, _MM_SHUFFLE(3, 2, 3, 2));
        *((a3 + 6)) = s82;
        s92 = _mm_shuffle_ps(s91, s32, _MM_SHUFFLE(1, 0, 1, 0));
        *((a3 + 1)) = s92;
        s03 = _mm_shuffle_ps(s91, s32, _MM_SHUFFLE(3, 2, 3, 2));
        *((a3 + 3)) = s03;
        s13 = _mm_shuffle_ps(s02, s42, _MM_SHUFFLE(1, 0, 1, 0));
        *((a3 + 5)) = s13;
        s23 = _mm_shuffle_ps(s02, s42, _MM_SHUFFLE(3, 2, 3, 2));
        *((a3 + 7)) = s23;
    }}
    {long i2; for(i2 = 0; i2 <= 7; i2++) {
        a4 = (((__m128  *) T2) + (2 * i2));
        s33 = *(a4);
        s43 = *((a4 + 1));
        s53 = *((a4 + 64));
        s63 = *((a4 + 65));
        a5 = (16 * i2);
        a6 = (D966 + a5);
        a7 = *(a6);
        a8 = *((a6 + 1));
        s73 = _mm_sub_ps(_mm_mul_ps(a7, s33), _mm_mul_ps(a8, s43));
        s83 = _mm_add_ps(_mm_mul_ps(a8, s33), _mm_mul_ps(a7, s43));
        a9 = *((a6 + 2));
        a01 = *((a6 + 3));
        s93 = _mm_sub_ps(_mm_mul_ps(a9, s53), _mm_mul_ps(a01, s63));
        s04 = _mm_add_ps(_mm_mul_ps(a01, s53), _mm_mul_ps(a9, s63));
        t71 = _mm_add_ps(s73, s93);
        t81 = _mm_add_ps(s83, s04);
        t91 = _mm_sub_ps(s73, s93);
        t02 = _mm_sub_ps(s83, s04);
        s14 = *((a4 + 32));
        s24 = *((a4 + 33));
        s34 = *((a4 + 96));
        s44 = *((a4 + 97));
        a11 = *((a6 + 4));
        a21 = *((a6 + 5));
        s54 = _mm_sub_ps(_mm_mul_ps(a11, s14), _mm_mul_ps(a21, s24));
        s64 = _mm_add_ps(_mm_mul_ps(a21, s14), _mm_mul_ps(a11, s24));
        a31 = *((a6 + 6));
        a41 = *((a6 + 7));
        s74 = _mm_sub_ps(_mm_mul_ps(a31, s34), _mm_mul_ps(a41, s44));
        s84 = _mm_add_ps(_mm_mul_ps(a41, s34), _mm_mul_ps(a31, s44));
        t12 = _mm_add_ps(s54, s74);
        t22 = _mm_add_ps(s64, s84);
        t32 = _mm_sub_ps(s54, s74);
        t42 = _mm_sub_ps(s64, s84);
        t52 = _mm_add_ps(t71, t12);
        t62 = _mm_add_ps(t81, t22);
        t72 = _mm_sub_ps(t71, t12);
        t82 = _mm_sub_ps(t81, t22);
        t92 = _mm_sub_ps(t91, t42);
        t03 = _mm_add_ps(t02, t32);
        t13 = _mm_add_ps(t91, t42);
        t23 = _mm_sub_ps(t02, t32);
        s94 = *((a4 + 16));
        s05 = *((a4 + 17));
        s15 = *((a4 + 80));
        s25 = *((a4 + 81));
        a51 = *((a6 + 8));
        a61 = *((a6 + 9));
        s35 = _mm_sub_ps(_mm_mul_ps(a51, s94), _mm_mul_ps(a61, s05));
        s45 = _mm_add_ps(_mm_mul_ps(a61, s94), _mm_mul_ps(a51, s05));
        a71 = *((a6 + 10));
        a81 = *((a6 + 11));
        s55 = _mm_sub_ps(_mm_mul_ps(a71, s15), _mm_mul_ps(a81, s25));
        s65 = _mm_add_ps(_mm_mul_ps(a81, s15), _mm_mul_ps(a71, s25));
        t33 = _mm_add_ps(s35, s55);
        t43 = _mm_add_ps(s45, s65);
        t53 = _mm_sub_ps(s35, s55);
        t63 = _mm_sub_ps(s45, s65);
        s75 = *((a4 + 48));
        s85 = *((a4 + 49));
        s95 = *((a4 + 112));
        s06 = *((a4 + 113));
        a91 = *((a6 + 12));
        a02 = *((a6 + 13));
        s16 = _mm_sub_ps(_mm_mul_ps(a91, s75), _mm_mul_ps(a02, s85));
        s26 = _mm_add_ps(_mm_mul_ps(a02, s75), _mm_mul_ps(a91, s85));
        a12 = *((a6 + 14));
        a22 = *((a6 + 15));
        s36 = _mm_sub_ps(_mm_mul_ps(a12, s95), _mm_mul_ps(a22, s06));
        s46 = _mm_add_ps(_mm_mul_ps(a22, s95), _mm_mul_ps(a12, s06));
        t73 = _mm_add_ps(s16, s36);
        t83 = _mm_add_ps(s26, s46);
        t93 = _mm_sub_ps(s16, s36);
        t04 = _mm_sub_ps(s26, s46);
        t14 = _mm_add_ps(t33, t73);
        t24 = _mm_add_ps(t43, t83);
        t34 = _mm_sub_ps(t33, t73);
        t44 = _mm_sub_ps(t43, t83);
        a32 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t53, t04));
        a42 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t63, t93));
        s56 = _mm_sub_ps(a32, a42);
        s66 = _mm_add_ps(a32, a42);
        a52 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t53, t04));
        a62 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t63, t93));
        s76 = _mm_sub_ps(a52, a62);
        s86 = _mm_add_ps(a52, a62);
        t54 = _mm_add_ps(t52, t14);
        t64 = _mm_add_ps(t62, t24);
        t74 = _mm_sub_ps(t52, t14);
        t84 = _mm_sub_ps(t62, t24);
        a72 = (D965 + a5);
        a82 = *(a72);
        a92 = *((a72 + 1));
        a03 = *((a72 + 2));
        a13 = *((a72 + 3));
        a23 = (((__m128  *) T) + a5);
        s96 = _mm_sub_ps(_mm_mul_ps(a82, t54), _mm_mul_ps(a92, t64));
        *(a23) = s96;
        s07 = _mm_add_ps(_mm_mul_ps(a92, t54), _mm_mul_ps(a82, t64));
        *((a23 + 1)) = s07;
        s17 = _mm_sub_ps(_mm_mul_ps(a03, t74), _mm_mul_ps(a13, t84));
        *((a23 + 8)) = s17;
        s27 = _mm_add_ps(_mm_mul_ps(a13, t74), _mm_mul_ps(a03, t84));
        *((a23 + 9)) = s27;
        t94 = _mm_add_ps(t92, s56);
        t05 = _mm_add_ps(t03, s66);
        t15 = _mm_sub_ps(t92, s56);
        t25 = _mm_sub_ps(t03, s66);
        a33 = *((a72 + 4));
        a43 = *((a72 + 5));
        a53 = *((a72 + 6));
        a63 = *((a72 + 7));
        s37 = _mm_sub_ps(_mm_mul_ps(a33, t94), _mm_mul_ps(a43, t05));
        *((a23 + 2)) = s37;
        s47 = _mm_add_ps(_mm_mul_ps(a43, t94), _mm_mul_ps(a33, t05));
        *((a23 + 3)) = s47;
        s57 = _mm_sub_ps(_mm_mul_ps(a53, t15), _mm_mul_ps(a63, t25));
        *((a23 + 10)) = s57;
        s67 = _mm_add_ps(_mm_mul_ps(a63, t15), _mm_mul_ps(a53, t25));
        *((a23 + 11)) = s67;
        t35 = _mm_sub_ps(t72, t44);
        t45 = _mm_add_ps(t82, t34);
        t55 = _mm_add_ps(t72, t44);
        t65 = _mm_sub_ps(t82, t34);
        a73 = *((a72 + 8));
        a83 = *((a72 + 9));
        a93 = *((a72 + 10));
        a04 = *((a72 + 11));
        s77 = _mm_sub_ps(_mm_mul_ps(a73, t35), _mm_mul_ps(a83, t45));
        *((a23 + 4)) = s77;
        s87 = _mm_add_ps(_mm_mul_ps(a83, t35), _mm_mul_ps(a73, t45));
        *((a23 + 5)) = s87;
        s97 = _mm_sub_ps(_mm_mul_ps(a93, t55), _mm_mul_ps(a04, t65));
        *((a23 + 12)) = s97;
        s08 = _mm_add_ps(_mm_mul_ps(a04, t55), _mm_mul_ps(a93, t65));
        *((a23 + 13)) = s08;
        t75 = _mm_add_ps(t13, s76);
        t85 = _mm_sub_ps(t23, s86);
        t95 = _mm_sub_ps(t13, s76);
        t06 = _mm_add_ps(t23, s86);
        a14 = *((a72 + 12));
        a24 = *((a72 + 13));
        a34 = *((a72 + 14));
        a44 = *((a72 + 15));
        s18 = _mm_sub_ps(_mm_mul_ps(a14, t75), _mm_mul_ps(a24, t85));
        *((a23 + 6)) = s18;
        s28 = _mm_add_ps(_mm_mul_ps(a24, t75), _mm_mul_ps(a14, t85));
        *((a23 + 7)) = s28;
        s38 = _mm_sub_ps(_mm_mul_ps(a34, t95), _mm_mul_ps(a44, t06));
        *((a23 + 14)) = s38;
        s48 = _mm_add_ps(_mm_mul_ps(a44, t95), _mm_mul_ps(a34, t06));
        *((a23 + 15)) = s48;
    }}
    {long i3; for(i3 = 0; i3 <= 7; i3++) {
        a54 = (((__m128  *) T) + (2 * i3));
        s58 = *(a54);
        s68 = *((a54 + 1));
        s78 = *((a54 + 64));
        s88 = *((a54 + 65));
        t16 = _mm_add_ps(s58, s78);
        t26 = _mm_add_ps(s68, s88);
        t36 = _mm_sub_ps(s58, s78);
        t46 = _mm_sub_ps(s68, s88);
        s98 = *((a54 + 32));
        s09 = *((a54 + 33));
        s19 = *((a54 + 96));
        s29 = *((a54 + 97));
        t56 = _mm_add_ps(s98, s19);
        t66 = _mm_add_ps(s09, s29);
        t76 = _mm_sub_ps(s98, s19);
        t86 = _mm_sub_ps(s09, s29);
        t96 = _mm_add_ps(t16, t56);
        t07 = _mm_add_ps(t26, t66);
        t17 = _mm_sub_ps(t16, t56);
        t27 = _mm_sub_ps(t26, t66);
        t37 = _mm_sub_ps(t36, t86);
        t47 = _mm_add_ps(t46, t76);
        t57 = _mm_add_ps(t36, t86);
        t67 = _mm_sub_ps(t46, t76);
        s39 = *((a54 + 16));
        s49 = *((a54 + 17));
        s59 = *((a54 + 80));
        s69 = *((a54 + 81));
        t77 = _mm_add_ps(s39, s59);
        t87 = _mm_add_ps(s49, s69);
        t97 = _mm_sub_ps(s39, s59);
        t08 = _mm_sub_ps(s49, s69);
        s79 = *((a54 + 48));
        s89 = *((a54 + 49));
        s99 = *((a54 + 112));
        s0a = *((a54 + 113));
        t18 = _mm_add_ps(s79, s99);
        t28 = _mm_add_ps(s89, s0a);
        t38 = _mm_sub_ps(s79, s99);
        t48 = _mm_sub_ps(s89, s0a);
        t58 = _mm_add_ps(t77, t18);
        t68 = _mm_add_ps(t87, t28);
        t78 = _mm_sub_ps(t77, t18);
        t88 = _mm_sub_ps(t87, t28);
        a64 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t97, t48));
        a74 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t08, t38));
        s1a = _mm_sub_ps(a64, a74);
        s2a = _mm_add_ps(a64, a74);
        a84 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t97, t48));
        a94 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t08, t38));
        s3a = _mm_sub_ps(a84, a94);
        s4a = _mm_add_ps(a84, a94);
        t98 = _mm_add_ps(t96, t58);
        t09 = _mm_add_ps(t07, t68);
        t19 = _mm_sub_ps(t96, t58);
        t29 = _mm_sub_ps(t07, t68);
        a05 = (dst + (8 * i3));
        s5a = _mm_unpacklo_ps(t98, t09);
        _mm_storeu_ps(((float  *) a05), s5a);
        s6a = _mm_unpackhi_ps(t98, t09);
        _mm_storeu_ps(((float  *) (a05 + 4)), s6a);
        s7a = _mm_unpacklo_ps(t19, t29);
        _mm_storeu_ps(((float  *) (a05 + 256)), s7a);
        s8a = _mm_unpackhi_ps(t19, t29);
        _mm_storeu_ps(((float  *) (a05 + 260)), s8a);
        t39 = _mm_add_ps(t37, s1a);
        t49 = _mm_add_ps(t47, s2a);
        t59 = _mm_sub_ps(t37, s1a);
        t69 = _mm_sub_ps(t47, s2a);
        s9a = _mm_unpacklo_ps(t39, t49);
        _mm_storeu_ps(((float  *) (a05 + 64)), s9a);
        s0b = _mm_unpackhi_ps(t39, t49);
        _mm_storeu_ps(((float  *) (a05 + 68)), s0b);
        s1b = _mm_unpacklo_ps(t59, t69);
        _mm_storeu_ps(((float  *) (a05 + 320)), s1b);
        s2b = _mm_unpackhi_ps(t59, t69);
        _mm_storeu_ps(((float  *) (a05 + 324)), s2b);
        t79 = _mm_sub_ps(t17, t88);
        t89 = _mm_add_ps(t27, t78);
        t99 = _mm_add_ps(t17, t88);
        t0a = _mm_sub_ps(t27, t78);
        s3b = _mm_unpacklo_ps(t79, t89);
        _mm_storeu_ps(((float  *) (a05 + 128)), s3b);
        s4b = _mm_unpackhi_ps(t79, t89);
        _mm_storeu_ps(((float  *) (a05 + 132)), s4b);
        s5b = _mm_unpacklo_ps(t99, t0a);
        _mm_storeu_ps(((float  *) (a05 + 384)), s5b);
        s6b = _mm_unpackhi_ps(t99, t0a);
        _mm_storeu_ps(((float  *) (a05 + 388)), s6b);
        t1a = _mm_add_ps(t57, s3a);
        t2a = _mm_sub_ps(t67, s4a);
        t3a = _mm_sub_ps(t57, s3a);
        t4a = _mm_add_ps(t67, s4a);
        s7b = _mm_unpacklo_ps(t1a, t2a);
        _mm_storeu_ps(((float  *) (a05 + 192)), s7b);
        s8b = _mm_unpackhi_ps(t1a, t2a);
        _mm_storeu_ps(((float  *) (a05 + 196)), s8b);
        s9b = _mm_unpacklo_ps(t3a, t4a);
        _mm_storeu_ps(((float  *) (a05 + 448)), s9b);
        s0c = _mm_unpackhi_ps(t3a, t4a);
        _mm_storeu_ps(((float  *) (a05 + 452)), s0c);
    }}
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_fftinv_float_256)(const float *pSrc, float *pDst ) {
    if (!is_aligned(pSrc) || !is_aligned(pDst))
       	return spiral_fftinv_float_256_unaligned(pSrc, pDst );
    else {
    const float  *src = (const float *) pSrc; 
    float        *dst = (float *) pDst;
    
    
    { SPIRAL_ALIGNED(float T[512]);
     SPIRAL_ALIGNED(float T2[512]);
    __m128 s03, s0b, s0c, s13, s1b, s23, s2b, s3b, s4b, s52, s5a, s5b, s62, s6a, s6b, s72, s7a, s7b, s82, s8a, s8b, s92
            , s9a, s9b;
    __m128 a01, a02, a03, a04, a11, a12, a14, a21, a22, a23, a24, a31, a32, a33, a34, a41, a42, a43, a51, a52, a53, a6
            , a61, a63, a64, a7, a71, a72, a73, a74, a8, a81, a82, a83, a84, a9, a91, a92, a93, a94, s, s01, s02, s04
            , s05, s06, s07, s08, s09, s0a, s11, s12, s14, s15, s16, s17, s18, s19, s1a, s2, s21, s22, s24, s25, s26, s27
            , s28, s29, s2a, s3, s31, s32, s33, s34, s35, s36, s37, s38, s39, s3a, s4, s41, s42, s43, s44, s45, s46, s47
            , s48, s49, s4a, s5, s51, s53, s54, s55, s56, s57, s58, s59, s6, s61, s63, s64, s65, s66, s67, s68, s69, s7
            , s71, s73, s74, s75, s76, s77, s78, s79, s8, s81, s83, s84, s85, s86, s87, s88, s89, s9, s91, s93, s94, s95
            , s96, s97, s98, s99, t, t01, t02, t03, t04, t05, t06, t07, t08, t09, t0a, t11, t12, t13, t14, t15, t16, t17
            , t18, t19, t1a, t2, t21, t22, t23, t24, t25, t26, t27, t28, t29, t2a, t3, t31, t32, t33, t34, t35, t36, t37
            , t38, t39, t3a, t4, t41, t42, t43, t44, t45, t46, t47, t48, t49, t4a, t5, t51, t52, t53, t54, t55, t56, t57
            , t58, t59, t6, t61, t62, t63, t64, t65, t66, t67, t68, t69, t7, t71, t72, t73, t74, t75, t76, t77, t78, t79
            , t8, t81, t82, t83, t84, t85, t86, t87, t88, t89, t9, t91, t92, t93, t94, t95, t96, t97, t98, t99;
    __m128  *a, *a05, *a13, *a2, *a3, *a5, *a54, *a62;
    int a4, a44;
    {long i; for(i = 0; i <= 15; i++) {
        a = (((__m128  *) src) + (2 * i));
        s = *(a);
        s2 = *((a + 1));
        s3 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(2, 0, 2, 0));
        s4 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(3, 1, 3, 1));
        s5 = *((a + 64));
        s6 = *((a + 65));
        s7 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(2, 0, 2, 0));
        s8 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(3, 1, 3, 1));
        t = _mm_add_ps(s3, s7);
        t2 = _mm_add_ps(s4, s8);
        t3 = _mm_sub_ps(s3, s7);
        t4 = _mm_sub_ps(s4, s8);
        s9 = *((a + 32));
        s01 = *((a + 33));
        s11 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(2, 0, 2, 0));
        s21 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(3, 1, 3, 1));
        s31 = *((a + 96));
        s41 = *((a + 97));
        s51 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(2, 0, 2, 0));
        s61 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(3, 1, 3, 1));
        t5 = _mm_add_ps(s11, s51);
        t6 = _mm_add_ps(s21, s61);
        t7 = _mm_sub_ps(s11, s51);
        t8 = _mm_sub_ps(s21, s61);
        t9 = _mm_add_ps(t, t5);
        t01 = _mm_add_ps(t2, t6);
        t11 = _mm_sub_ps(t, t5);
        t21 = _mm_sub_ps(t2, t6);
        t31 = _mm_sub_ps(t3, t8);
        t41 = _mm_add_ps(t4, t7);
        t51 = _mm_add_ps(t3, t8);
        t61 = _mm_sub_ps(t4, t7);
        s71 = _mm_unpacklo_ps(t9, t31);
        s81 = _mm_unpackhi_ps(t9, t31);
        s91 = _mm_unpacklo_ps(t01, t41);
        s02 = _mm_unpackhi_ps(t01, t41);
        s12 = _mm_unpacklo_ps(t11, t51);
        s22 = _mm_unpackhi_ps(t11, t51);
        s32 = _mm_unpacklo_ps(t21, t61);
        s42 = _mm_unpackhi_ps(t21, t61);
        a2 = (((__m128  *) T2) + (8 * i));
        s52 = _mm_shuffle_ps(s71, s12, _MM_SHUFFLE(1, 0, 1, 0));
        *(a2) = s52;
        s62 = _mm_shuffle_ps(s71, s12, _MM_SHUFFLE(3, 2, 3, 2));
        *((a2 + 2)) = s62;
        s72 = _mm_shuffle_ps(s81, s22, _MM_SHUFFLE(1, 0, 1, 0));
        *((a2 + 4)) = s72;
        s82 = _mm_shuffle_ps(s81, s22, _MM_SHUFFLE(3, 2, 3, 2));
        *((a2 + 6)) = s82;
        s92 = _mm_shuffle_ps(s91, s32, _MM_SHUFFLE(1, 0, 1, 0));
        *((a2 + 1)) = s92;
        s03 = _mm_shuffle_ps(s91, s32, _MM_SHUFFLE(3, 2, 3, 2));
        *((a2 + 3)) = s03;
        s13 = _mm_shuffle_ps(s02, s42, _MM_SHUFFLE(1, 0, 1, 0));
        *((a2 + 5)) = s13;
        s23 = _mm_shuffle_ps(s02, s42, _MM_SHUFFLE(3, 2, 3, 2));
        *((a2 + 7)) = s23;
    }}
    {long i2; for(i2 = 0; i2 <= 7; i2++) {
        a3 = (((__m128  *) T2) + (2 * i2));
        s33 = *(a3);
        s43 = *((a3 + 1));
        s53 = *((a3 + 64));
        s63 = *((a3 + 65));
        a4 = (16 * i2);
        a5 = (D966 + a4);
        a6 = *(a5);
        a7 = *((a5 + 1));
        s73 = _mm_sub_ps(_mm_mul_ps(a6, s33), _mm_mul_ps(a7, s43));
        s83 = _mm_add_ps(_mm_mul_ps(a7, s33), _mm_mul_ps(a6, s43));
        a8 = *((a5 + 2));
        a9 = *((a5 + 3));
        s93 = _mm_sub_ps(_mm_mul_ps(a8, s53), _mm_mul_ps(a9, s63));
        s04 = _mm_add_ps(_mm_mul_ps(a9, s53), _mm_mul_ps(a8, s63));
        t71 = _mm_add_ps(s73, s93);
        t81 = _mm_add_ps(s83, s04);
        t91 = _mm_sub_ps(s73, s93);
        t02 = _mm_sub_ps(s83, s04);
        s14 = *((a3 + 32));
        s24 = *((a3 + 33));
        s34 = *((a3 + 96));
        s44 = *((a3 + 97));
        a01 = *((a5 + 4));
        a11 = *((a5 + 5));
        s54 = _mm_sub_ps(_mm_mul_ps(a01, s14), _mm_mul_ps(a11, s24));
        s64 = _mm_add_ps(_mm_mul_ps(a11, s14), _mm_mul_ps(a01, s24));
        a21 = *((a5 + 6));
        a31 = *((a5 + 7));
        s74 = _mm_sub_ps(_mm_mul_ps(a21, s34), _mm_mul_ps(a31, s44));
        s84 = _mm_add_ps(_mm_mul_ps(a31, s34), _mm_mul_ps(a21, s44));
        t12 = _mm_add_ps(s54, s74);
        t22 = _mm_add_ps(s64, s84);
        t32 = _mm_sub_ps(s54, s74);
        t42 = _mm_sub_ps(s64, s84);
        t52 = _mm_add_ps(t71, t12);
        t62 = _mm_add_ps(t81, t22);
        t72 = _mm_sub_ps(t71, t12);
        t82 = _mm_sub_ps(t81, t22);
        t92 = _mm_sub_ps(t91, t42);
        t03 = _mm_add_ps(t02, t32);
        t13 = _mm_add_ps(t91, t42);
        t23 = _mm_sub_ps(t02, t32);
        s94 = *((a3 + 16));
        s05 = *((a3 + 17));
        s15 = *((a3 + 80));
        s25 = *((a3 + 81));
        a41 = *((a5 + 8));
        a51 = *((a5 + 9));
        s35 = _mm_sub_ps(_mm_mul_ps(a41, s94), _mm_mul_ps(a51, s05));
        s45 = _mm_add_ps(_mm_mul_ps(a51, s94), _mm_mul_ps(a41, s05));
        a61 = *((a5 + 10));
        a71 = *((a5 + 11));
        s55 = _mm_sub_ps(_mm_mul_ps(a61, s15), _mm_mul_ps(a71, s25));
        s65 = _mm_add_ps(_mm_mul_ps(a71, s15), _mm_mul_ps(a61, s25));
        t33 = _mm_add_ps(s35, s55);
        t43 = _mm_add_ps(s45, s65);
        t53 = _mm_sub_ps(s35, s55);
        t63 = _mm_sub_ps(s45, s65);
        s75 = *((a3 + 48));
        s85 = *((a3 + 49));
        s95 = *((a3 + 112));
        s06 = *((a3 + 113));
        a81 = *((a5 + 12));
        a91 = *((a5 + 13));
        s16 = _mm_sub_ps(_mm_mul_ps(a81, s75), _mm_mul_ps(a91, s85));
        s26 = _mm_add_ps(_mm_mul_ps(a91, s75), _mm_mul_ps(a81, s85));
        a02 = *((a5 + 14));
        a12 = *((a5 + 15));
        s36 = _mm_sub_ps(_mm_mul_ps(a02, s95), _mm_mul_ps(a12, s06));
        s46 = _mm_add_ps(_mm_mul_ps(a12, s95), _mm_mul_ps(a02, s06));
        t73 = _mm_add_ps(s16, s36);
        t83 = _mm_add_ps(s26, s46);
        t93 = _mm_sub_ps(s16, s36);
        t04 = _mm_sub_ps(s26, s46);
        t14 = _mm_add_ps(t33, t73);
        t24 = _mm_add_ps(t43, t83);
        t34 = _mm_sub_ps(t33, t73);
        t44 = _mm_sub_ps(t43, t83);
        a22 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t53, t04));
        a32 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t63, t93));
        s56 = _mm_sub_ps(a22, a32);
        s66 = _mm_add_ps(a22, a32);
        a42 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t53, t04));
        a52 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t63, t93));
        s76 = _mm_sub_ps(a42, a52);
        s86 = _mm_add_ps(a42, a52);
        t54 = _mm_add_ps(t52, t14);
        t64 = _mm_add_ps(t62, t24);
        t74 = _mm_sub_ps(t52, t14);
        t84 = _mm_sub_ps(t62, t24);
        a62 = (D965 + a4);
        a72 = *(a62);
        a82 = *((a62 + 1));
        a92 = *((a62 + 2));
        a03 = *((a62 + 3));
        a13 = (((__m128  *) T) + a4);
        s96 = _mm_sub_ps(_mm_mul_ps(a72, t54), _mm_mul_ps(a82, t64));
        *(a13) = s96;
        s07 = _mm_add_ps(_mm_mul_ps(a82, t54), _mm_mul_ps(a72, t64));
        *((a13 + 1)) = s07;
        s17 = _mm_sub_ps(_mm_mul_ps(a92, t74), _mm_mul_ps(a03, t84));
        *((a13 + 8)) = s17;
        s27 = _mm_add_ps(_mm_mul_ps(a03, t74), _mm_mul_ps(a92, t84));
        *((a13 + 9)) = s27;
        t94 = _mm_add_ps(t92, s56);
        t05 = _mm_add_ps(t03, s66);
        t15 = _mm_sub_ps(t92, s56);
        t25 = _mm_sub_ps(t03, s66);
        a23 = *((a62 + 4));
        a33 = *((a62 + 5));
        a43 = *((a62 + 6));
        a53 = *((a62 + 7));
        s37 = _mm_sub_ps(_mm_mul_ps(a23, t94), _mm_mul_ps(a33, t05));
        *((a13 + 2)) = s37;
        s47 = _mm_add_ps(_mm_mul_ps(a33, t94), _mm_mul_ps(a23, t05));
        *((a13 + 3)) = s47;
        s57 = _mm_sub_ps(_mm_mul_ps(a43, t15), _mm_mul_ps(a53, t25));
        *((a13 + 10)) = s57;
        s67 = _mm_add_ps(_mm_mul_ps(a53, t15), _mm_mul_ps(a43, t25));
        *((a13 + 11)) = s67;
        t35 = _mm_sub_ps(t72, t44);
        t45 = _mm_add_ps(t82, t34);
        t55 = _mm_add_ps(t72, t44);
        t65 = _mm_sub_ps(t82, t34);
        a63 = *((a62 + 8));
        a73 = *((a62 + 9));
        a83 = *((a62 + 10));
        a93 = *((a62 + 11));
        s77 = _mm_sub_ps(_mm_mul_ps(a63, t35), _mm_mul_ps(a73, t45));
        *((a13 + 4)) = s77;
        s87 = _mm_add_ps(_mm_mul_ps(a73, t35), _mm_mul_ps(a63, t45));
        *((a13 + 5)) = s87;
        s97 = _mm_sub_ps(_mm_mul_ps(a83, t55), _mm_mul_ps(a93, t65));
        *((a13 + 12)) = s97;
        s08 = _mm_add_ps(_mm_mul_ps(a93, t55), _mm_mul_ps(a83, t65));
        *((a13 + 13)) = s08;
        t75 = _mm_add_ps(t13, s76);
        t85 = _mm_sub_ps(t23, s86);
        t95 = _mm_sub_ps(t13, s76);
        t06 = _mm_add_ps(t23, s86);
        a04 = *((a62 + 12));
        a14 = *((a62 + 13));
        a24 = *((a62 + 14));
        a34 = *((a62 + 15));
        s18 = _mm_sub_ps(_mm_mul_ps(a04, t75), _mm_mul_ps(a14, t85));
        *((a13 + 6)) = s18;
        s28 = _mm_add_ps(_mm_mul_ps(a14, t75), _mm_mul_ps(a04, t85));
        *((a13 + 7)) = s28;
        s38 = _mm_sub_ps(_mm_mul_ps(a24, t95), _mm_mul_ps(a34, t06));
        *((a13 + 14)) = s38;
        s48 = _mm_add_ps(_mm_mul_ps(a34, t95), _mm_mul_ps(a24, t06));
        *((a13 + 15)) = s48;
    }}
    {long i3; for(i3 = 0; i3 <= 7; i3++) {
        a44 = (2 * i3);
        a54 = (((__m128  *) T) + a44);
        s58 = *(a54);
        s68 = *((a54 + 1));
        s78 = *((a54 + 64));
        s88 = *((a54 + 65));
        t16 = _mm_add_ps(s58, s78);
        t26 = _mm_add_ps(s68, s88);
        t36 = _mm_sub_ps(s58, s78);
        t46 = _mm_sub_ps(s68, s88);
        s98 = *((a54 + 32));
        s09 = *((a54 + 33));
        s19 = *((a54 + 96));
        s29 = *((a54 + 97));
        t56 = _mm_add_ps(s98, s19);
        t66 = _mm_add_ps(s09, s29);
        t76 = _mm_sub_ps(s98, s19);
        t86 = _mm_sub_ps(s09, s29);
        t96 = _mm_add_ps(t16, t56);
        t07 = _mm_add_ps(t26, t66);
        t17 = _mm_sub_ps(t16, t56);
        t27 = _mm_sub_ps(t26, t66);
        t37 = _mm_sub_ps(t36, t86);
        t47 = _mm_add_ps(t46, t76);
        t57 = _mm_add_ps(t36, t86);
        t67 = _mm_sub_ps(t46, t76);
        s39 = *((a54 + 16));
        s49 = *((a54 + 17));
        s59 = *((a54 + 80));
        s69 = *((a54 + 81));
        t77 = _mm_add_ps(s39, s59);
        t87 = _mm_add_ps(s49, s69);
        t97 = _mm_sub_ps(s39, s59);
        t08 = _mm_sub_ps(s49, s69);
        s79 = *((a54 + 48));
        s89 = *((a54 + 49));
        s99 = *((a54 + 112));
        s0a = *((a54 + 113));
        t18 = _mm_add_ps(s79, s99);
        t28 = _mm_add_ps(s89, s0a);
        t38 = _mm_sub_ps(s79, s99);
        t48 = _mm_sub_ps(s89, s0a);
        t58 = _mm_add_ps(t77, t18);
        t68 = _mm_add_ps(t87, t28);
        t78 = _mm_sub_ps(t77, t18);
        t88 = _mm_sub_ps(t87, t28);
        a64 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t97, t48));
        a74 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t08, t38));
        s1a = _mm_sub_ps(a64, a74);
        s2a = _mm_add_ps(a64, a74);
        a84 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t97, t48));
        a94 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t08, t38));
        s3a = _mm_sub_ps(a84, a94);
        s4a = _mm_add_ps(a84, a94);
        t98 = _mm_add_ps(t96, t58);
        t09 = _mm_add_ps(t07, t68);
        t19 = _mm_sub_ps(t96, t58);
        t29 = _mm_sub_ps(t07, t68);
        a05 = (((__m128  *) dst) + a44);
        s5a = _mm_unpacklo_ps(t98, t09);
        *(a05) = s5a;
        s6a = _mm_unpackhi_ps(t98, t09);
        *((a05 + 1)) = s6a;
        s7a = _mm_unpacklo_ps(t19, t29);
        *((a05 + 64)) = s7a;
        s8a = _mm_unpackhi_ps(t19, t29);
        *((a05 + 65)) = s8a;
        t39 = _mm_add_ps(t37, s1a);
        t49 = _mm_add_ps(t47, s2a);
        t59 = _mm_sub_ps(t37, s1a);
        t69 = _mm_sub_ps(t47, s2a);
        s9a = _mm_unpacklo_ps(t39, t49);
        *((a05 + 16)) = s9a;
        s0b = _mm_unpackhi_ps(t39, t49);
        *((a05 + 17)) = s0b;
        s1b = _mm_unpacklo_ps(t59, t69);
        *((a05 + 80)) = s1b;
        s2b = _mm_unpackhi_ps(t59, t69);
        *((a05 + 81)) = s2b;
        t79 = _mm_sub_ps(t17, t88);
        t89 = _mm_add_ps(t27, t78);
        t99 = _mm_add_ps(t17, t88);
        t0a = _mm_sub_ps(t27, t78);
        s3b = _mm_unpacklo_ps(t79, t89);
        *((a05 + 32)) = s3b;
        s4b = _mm_unpackhi_ps(t79, t89);
        *((a05 + 33)) = s4b;
        s5b = _mm_unpacklo_ps(t99, t0a);
        *((a05 + 96)) = s5b;
        s6b = _mm_unpackhi_ps(t99, t0a);
        *((a05 + 97)) = s6b;
        t1a = _mm_add_ps(t57, s3a);
        t2a = _mm_sub_ps(t67, s4a);
        t3a = _mm_sub_ps(t57, s3a);
        t4a = _mm_add_ps(t67, s4a);
        s7b = _mm_unpacklo_ps(t1a, t2a);
        *((a05 + 48)) = s7b;
        s8b = _mm_unpackhi_ps(t1a, t2a);
        *((a05 + 49)) = s8b;
        s9b = _mm_unpacklo_ps(t3a, t4a);
        *((a05 + 112)) = s9b;
        s0c = _mm_unpackhi_ps(t3a, t4a);
        *((a05 + 113)) = s0c;
    }}
    }
    
    return SPIRAL_OK;
    }
}

SPIRAL_PRIV(spiral_status_t, spiral_fftinv_float_512_unaligned)(const float *pSrc, float *pDst ) {
    const float  *src = (const float *) pSrc; 
    float        *dst = (float *) pDst;
    
    
    { SPIRAL_ALIGNED(float T[1024]);
     SPIRAL_ALIGNED(float T2[512]);
    __m128 s05, s0f, s15, s16, s1e, s1f, s25, s26, s2e, s2f, s36, s3e, s3f, s46, s4e, s4f, s54, s56, s5e, s5f, s64, s66
            , s6e, s6f, s74, s76, s7e, s84, s86, s8e, s94, s9e;
    __m128 a01, a02, a04, a05, a11, a12, a13, a14, a15, a2, a21, a22, a23, a24, a25, a3, a31, a32, a33, a34, a4, a41
            , a42, a43, a44, a5, a51, a52, a54, a61, a62, a63, a64, a71, a72, a73, a74, a81, a82, a83, a91, a92, a93, a94
            , s, s01, s02, s03, s04, s06, s07, s08, s09, s0a, s0b, s0c, s0d, s0e, s11, s12, s13, s14, s17, s18, s19, s1a
            , s1b, s1c, s1d, s2, s21, s22, s23, s24, s27, s28, s29, s2a, s2b, s2c, s2d, s3, s31, s32, s33, s34, s35, s37
            , s38, s39, s3a, s3b, s3c, s3d, s4, s41, s42, s43, s44, s45, s47, s48, s49, s4a, s4b, s4c, s4d, s5, s51, s52
            , s53, s55, s57, s58, s59, s5a, s5b, s5c, s5d, s6, s61, s62, s63, s65, s67, s68, s69, s6a, s6b, s6c, s6d, s7
            , s71, s72, s73, s75, s77, s78, s79, s7a, s7b, s7c, s7d, s8, s81, s82, s83, s85, s87, s88, s89, s8a, s8b, s8c
            , s8d, s9, s91, s92, s93, s95, s96, s97, s98, s99, s9a, s9b, s9c, s9d, t, t01, t02, t03, t04, t05, t06, t07
            , t08, t09, t0a, t0b, t0c, t0d, t11, t12, t13, t14, t15, t16, t17, t18, t19, t1a, t1b, t1c, t1d, t2, t21, t22
            , t23, t24, t25, t26, t27, t28, t29, t2a, t2b, t2c, t2d, t3, t31, t32, t33, t34, t35, t36, t37, t38, t39, t3a
            , t3b, t3c, t4, t41, t42, t43, t44, t45, t46, t47, t48, t49, t4a, t4b, t4c, t5, t51, t52, t53, t54, t55, t56
            , t57, t58, t59, t5a, t5b, t5c, t6, t61, t62, t63, t64, t65, t66, t67, t68, t69, t6a, t6b, t6c, t7, t71, t72
            , t73, t74, t75, t76, t77, t78, t79, t7a, t7b, t7c, t8, t81, t82, t83, t84, t85, t86, t87, t88, t89, t8a, t8b
            , t8c, t9, t91, t92, t93, t94, t95, t96, t97, t98, t99, t9a, t9b, t9c;
    __m128  *a03, *a53, *a6, *a7, *a84, *a9;
    float  *a35;
    const float  *a;
    int a8;
    {long i; for(i = 0; i <= 15; i++) {
        a = (src + (8 * i));
        s = _mm_loadu_ps(((const float  *) a));
        s2 = _mm_loadu_ps(((const float  *) (a + 4)));
        s3 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(2, 0, 2, 0));
        s4 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(3, 1, 3, 1));
        s5 = _mm_loadu_ps(((const float  *) (a + 512)));
        s6 = _mm_loadu_ps(((const float  *) (a + 516)));
        s7 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(2, 0, 2, 0));
        s8 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(3, 1, 3, 1));
        t = _mm_add_ps(s3, s7);
        t2 = _mm_add_ps(s4, s8);
        t3 = _mm_sub_ps(s3, s7);
        t4 = _mm_sub_ps(s4, s8);
        s9 = _mm_loadu_ps(((const float  *) (a + 256)));
        s01 = _mm_loadu_ps(((const float  *) (a + 260)));
        s11 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(2, 0, 2, 0));
        s21 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(3, 1, 3, 1));
        s31 = _mm_loadu_ps(((const float  *) (a + 768)));
        s41 = _mm_loadu_ps(((const float  *) (a + 772)));
        s51 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(2, 0, 2, 0));
        s61 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(3, 1, 3, 1));
        t5 = _mm_add_ps(s11, s51);
        t6 = _mm_add_ps(s21, s61);
        t7 = _mm_sub_ps(s11, s51);
        t8 = _mm_sub_ps(s21, s61);
        t9 = _mm_add_ps(t, t5);
        t01 = _mm_add_ps(t2, t6);
        t11 = _mm_sub_ps(t, t5);
        t21 = _mm_sub_ps(t2, t6);
        t31 = _mm_sub_ps(t3, t8);
        t41 = _mm_add_ps(t4, t7);
        t51 = _mm_add_ps(t3, t8);
        t61 = _mm_sub_ps(t4, t7);
        s71 = _mm_loadu_ps(((const float  *) (a + 128)));
        s81 = _mm_loadu_ps(((const float  *) (a + 132)));
        s91 = _mm_shuffle_ps(s71, s81, _MM_SHUFFLE(2, 0, 2, 0));
        s02 = _mm_shuffle_ps(s71, s81, _MM_SHUFFLE(3, 1, 3, 1));
        s12 = _mm_loadu_ps(((const float  *) (a + 640)));
        s22 = _mm_loadu_ps(((const float  *) (a + 644)));
        s32 = _mm_shuffle_ps(s12, s22, _MM_SHUFFLE(2, 0, 2, 0));
        s42 = _mm_shuffle_ps(s12, s22, _MM_SHUFFLE(3, 1, 3, 1));
        t71 = _mm_add_ps(s91, s32);
        t81 = _mm_add_ps(s02, s42);
        t91 = _mm_sub_ps(s91, s32);
        t02 = _mm_sub_ps(s02, s42);
        s52 = _mm_loadu_ps(((const float  *) (a + 384)));
        s62 = _mm_loadu_ps(((const float  *) (a + 388)));
        s72 = _mm_shuffle_ps(s52, s62, _MM_SHUFFLE(2, 0, 2, 0));
        s82 = _mm_shuffle_ps(s52, s62, _MM_SHUFFLE(3, 1, 3, 1));
        s92 = _mm_loadu_ps(((const float  *) (a + 896)));
        s03 = _mm_loadu_ps(((const float  *) (a + 900)));
        s13 = _mm_shuffle_ps(s92, s03, _MM_SHUFFLE(2, 0, 2, 0));
        s23 = _mm_shuffle_ps(s92, s03, _MM_SHUFFLE(3, 1, 3, 1));
        t12 = _mm_add_ps(s72, s13);
        t22 = _mm_add_ps(s82, s23);
        t32 = _mm_sub_ps(s72, s13);
        t42 = _mm_sub_ps(s82, s23);
        t52 = _mm_add_ps(t71, t12);
        t62 = _mm_add_ps(t81, t22);
        t72 = _mm_sub_ps(t71, t12);
        t82 = _mm_sub_ps(t81, t22);
        a2 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t91, t42));
        a3 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t02, t32));
        s33 = _mm_sub_ps(a2, a3);
        s43 = _mm_add_ps(a2, a3);
        a4 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t91, t42));
        a5 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t02, t32));
        s53 = _mm_sub_ps(a4, a5);
        s63 = _mm_add_ps(a4, a5);
        t92 = _mm_add_ps(t9, t52);
        t03 = _mm_add_ps(t01, t62);
        t13 = _mm_sub_ps(t9, t52);
        t23 = _mm_sub_ps(t01, t62);
        t33 = _mm_add_ps(t31, s33);
        t43 = _mm_add_ps(t41, s43);
        t53 = _mm_sub_ps(t31, s33);
        t63 = _mm_sub_ps(t41, s43);
        t73 = _mm_sub_ps(t11, t82);
        t83 = _mm_add_ps(t21, t72);
        t93 = _mm_add_ps(t11, t82);
        t04 = _mm_sub_ps(t21, t72);
        t14 = _mm_add_ps(t51, s53);
        t24 = _mm_sub_ps(t61, s63);
        t34 = _mm_sub_ps(t51, s53);
        t44 = _mm_add_ps(t61, s63);
        s73 = _mm_unpacklo_ps(t92, t33);
        s83 = _mm_unpackhi_ps(t92, t33);
        s93 = _mm_unpacklo_ps(t03, t43);
        s04 = _mm_unpackhi_ps(t03, t43);
        s14 = _mm_unpacklo_ps(t73, t14);
        s24 = _mm_unpackhi_ps(t73, t14);
        s34 = _mm_unpacklo_ps(t83, t24);
        s44 = _mm_unpackhi_ps(t83, t24);
        a6 = (((__m128  *) T) + (16 * i));
        s54 = _mm_shuffle_ps(s73, s14, _MM_SHUFFLE(1, 0, 1, 0));
        *(a6) = s54;
        s64 = _mm_shuffle_ps(s73, s14, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 4)) = s64;
        s74 = _mm_shuffle_ps(s83, s24, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 8)) = s74;
        s84 = _mm_shuffle_ps(s83, s24, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 12)) = s84;
        s94 = _mm_shuffle_ps(s93, s34, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 1)) = s94;
        s05 = _mm_shuffle_ps(s93, s34, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 5)) = s05;
        s15 = _mm_shuffle_ps(s04, s44, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 9)) = s15;
        s25 = _mm_shuffle_ps(s04, s44, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 13)) = s25;
        s35 = _mm_unpacklo_ps(t13, t53);
        s45 = _mm_unpackhi_ps(t13, t53);
        s55 = _mm_unpacklo_ps(t23, t63);
        s65 = _mm_unpackhi_ps(t23, t63);
        s75 = _mm_unpacklo_ps(t93, t34);
        s85 = _mm_unpackhi_ps(t93, t34);
        s95 = _mm_unpacklo_ps(t04, t44);
        s06 = _mm_unpackhi_ps(t04, t44);
        s16 = _mm_shuffle_ps(s35, s75, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 2)) = s16;
        s26 = _mm_shuffle_ps(s35, s75, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 6)) = s26;
        s36 = _mm_shuffle_ps(s45, s85, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 10)) = s36;
        s46 = _mm_shuffle_ps(s45, s85, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 14)) = s46;
        s56 = _mm_shuffle_ps(s55, s95, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 3)) = s56;
        s66 = _mm_shuffle_ps(s55, s95, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 7)) = s66;
        s76 = _mm_shuffle_ps(s65, s06, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 11)) = s76;
        s86 = _mm_shuffle_ps(s65, s06, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 15)) = s86;
    }}
    {long i2; for(i2 = 0; i2 <= 1; i2++) {
        {long i3; for(i3 = 0; i3 <= 7; i3++) {
            a7 = (((__m128  *) T) + ((2 * i2) + (4 * i3)));
            s96 = *(a7);
            s07 = *((a7 + 1));
            s17 = *((a7 + 128));
            s27 = *((a7 + 129));
            a8 = (16 * i3);
            a9 = (D967 + ((128 * i2) + a8));
            a01 = *(a9);
            a11 = *((a9 + 1));
            s37 = _mm_sub_ps(_mm_mul_ps(a01, s96), _mm_mul_ps(a11, s07));
            s47 = _mm_add_ps(_mm_mul_ps(a11, s96), _mm_mul_ps(a01, s07));
            a21 = *((a9 + 2));
            a31 = *((a9 + 3));
            s57 = _mm_sub_ps(_mm_mul_ps(a21, s17), _mm_mul_ps(a31, s27));
            s67 = _mm_add_ps(_mm_mul_ps(a31, s17), _mm_mul_ps(a21, s27));
            t54 = _mm_add_ps(s37, s57);
            t64 = _mm_add_ps(s47, s67);
            t74 = _mm_sub_ps(s37, s57);
            t84 = _mm_sub_ps(s47, s67);
            s77 = *((a7 + 64));
            s87 = *((a7 + 65));
            s97 = *((a7 + 192));
            s08 = *((a7 + 193));
            a41 = *((a9 + 4));
            a51 = *((a9 + 5));
            s18 = _mm_sub_ps(_mm_mul_ps(a41, s77), _mm_mul_ps(a51, s87));
            s28 = _mm_add_ps(_mm_mul_ps(a51, s77), _mm_mul_ps(a41, s87));
            a61 = *((a9 + 6));
            a71 = *((a9 + 7));
            s38 = _mm_sub_ps(_mm_mul_ps(a61, s97), _mm_mul_ps(a71, s08));
            s48 = _mm_add_ps(_mm_mul_ps(a71, s97), _mm_mul_ps(a61, s08));
            t94 = _mm_add_ps(s18, s38);
            t05 = _mm_add_ps(s28, s48);
            t15 = _mm_sub_ps(s18, s38);
            t25 = _mm_sub_ps(s28, s48);
            t35 = _mm_add_ps(t54, t94);
            t45 = _mm_add_ps(t64, t05);
            t55 = _mm_sub_ps(t54, t94);
            t65 = _mm_sub_ps(t64, t05);
            t75 = _mm_sub_ps(t74, t25);
            t85 = _mm_add_ps(t84, t15);
            t95 = _mm_add_ps(t74, t25);
            t06 = _mm_sub_ps(t84, t15);
            s58 = *((a7 + 32));
            s68 = *((a7 + 33));
            s78 = *((a7 + 160));
            s88 = *((a7 + 161));
            a81 = *((a9 + 8));
            a91 = *((a9 + 9));
            s98 = _mm_sub_ps(_mm_mul_ps(a81, s58), _mm_mul_ps(a91, s68));
            s09 = _mm_add_ps(_mm_mul_ps(a91, s58), _mm_mul_ps(a81, s68));
            a02 = *((a9 + 10));
            a12 = *((a9 + 11));
            s19 = _mm_sub_ps(_mm_mul_ps(a02, s78), _mm_mul_ps(a12, s88));
            s29 = _mm_add_ps(_mm_mul_ps(a12, s78), _mm_mul_ps(a02, s88));
            t16 = _mm_add_ps(s98, s19);
            t26 = _mm_add_ps(s09, s29);
            t36 = _mm_sub_ps(s98, s19);
            t46 = _mm_sub_ps(s09, s29);
            s39 = *((a7 + 96));
            s49 = *((a7 + 97));
            s59 = *((a7 + 224));
            s69 = *((a7 + 225));
            a22 = *((a9 + 12));
            a32 = *((a9 + 13));
            s79 = _mm_sub_ps(_mm_mul_ps(a22, s39), _mm_mul_ps(a32, s49));
            s89 = _mm_add_ps(_mm_mul_ps(a32, s39), _mm_mul_ps(a22, s49));
            a42 = *((a9 + 14));
            a52 = *((a9 + 15));
            s99 = _mm_sub_ps(_mm_mul_ps(a42, s59), _mm_mul_ps(a52, s69));
            s0a = _mm_add_ps(_mm_mul_ps(a52, s59), _mm_mul_ps(a42, s69));
            t56 = _mm_add_ps(s79, s99);
            t66 = _mm_add_ps(s89, s0a);
            t76 = _mm_sub_ps(s79, s99);
            t86 = _mm_sub_ps(s89, s0a);
            t96 = _mm_add_ps(t16, t56);
            t07 = _mm_add_ps(t26, t66);
            t17 = _mm_sub_ps(t16, t56);
            t27 = _mm_sub_ps(t26, t66);
            a62 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t36, t86));
            a72 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t46, t76));
            s1a = _mm_sub_ps(a62, a72);
            s2a = _mm_add_ps(a62, a72);
            a82 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t36, t86));
            a92 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t46, t76));
            s3a = _mm_sub_ps(a82, a92);
            s4a = _mm_add_ps(a82, a92);
            t37 = _mm_add_ps(t35, t96);
            t47 = _mm_add_ps(t45, t07);
            t57 = _mm_sub_ps(t35, t96);
            t67 = _mm_sub_ps(t45, t07);
            a03 = (D965 + a8);
            a13 = *(a03);
            a23 = *((a03 + 1));
            a33 = *((a03 + 2));
            a43 = *((a03 + 3));
            a53 = (((__m128  *) T2) + a8);
            s5a = _mm_sub_ps(_mm_mul_ps(a13, t37), _mm_mul_ps(a23, t47));
            *(a53) = s5a;
            s6a = _mm_add_ps(_mm_mul_ps(a23, t37), _mm_mul_ps(a13, t47));
            *((a53 + 1)) = s6a;
            s7a = _mm_sub_ps(_mm_mul_ps(a33, t57), _mm_mul_ps(a43, t67));
            *((a53 + 8)) = s7a;
            s8a = _mm_add_ps(_mm_mul_ps(a43, t57), _mm_mul_ps(a33, t67));
            *((a53 + 9)) = s8a;
            t77 = _mm_add_ps(t75, s1a);
            t87 = _mm_add_ps(t85, s2a);
            t97 = _mm_sub_ps(t75, s1a);
            t08 = _mm_sub_ps(t85, s2a);
            a63 = *((a03 + 4));
            a73 = *((a03 + 5));
            a83 = *((a03 + 6));
            a93 = *((a03 + 7));
            s9a = _mm_sub_ps(_mm_mul_ps(a63, t77), _mm_mul_ps(a73, t87));
            *((a53 + 2)) = s9a;
            s0b = _mm_add_ps(_mm_mul_ps(a73, t77), _mm_mul_ps(a63, t87));
            *((a53 + 3)) = s0b;
            s1b = _mm_sub_ps(_mm_mul_ps(a83, t97), _mm_mul_ps(a93, t08));
            *((a53 + 10)) = s1b;
            s2b = _mm_add_ps(_mm_mul_ps(a93, t97), _mm_mul_ps(a83, t08));
            *((a53 + 11)) = s2b;
            t18 = _mm_sub_ps(t55, t27);
            t28 = _mm_add_ps(t65, t17);
            t38 = _mm_add_ps(t55, t27);
            t48 = _mm_sub_ps(t65, t17);
            a04 = *((a03 + 8));
            a14 = *((a03 + 9));
            a24 = *((a03 + 10));
            a34 = *((a03 + 11));
            s3b = _mm_sub_ps(_mm_mul_ps(a04, t18), _mm_mul_ps(a14, t28));
            *((a53 + 4)) = s3b;
            s4b = _mm_add_ps(_mm_mul_ps(a14, t18), _mm_mul_ps(a04, t28));
            *((a53 + 5)) = s4b;
            s5b = _mm_sub_ps(_mm_mul_ps(a24, t38), _mm_mul_ps(a34, t48));
            *((a53 + 12)) = s5b;
            s6b = _mm_add_ps(_mm_mul_ps(a34, t38), _mm_mul_ps(a24, t48));
            *((a53 + 13)) = s6b;
            t58 = _mm_add_ps(t95, s3a);
            t68 = _mm_sub_ps(t06, s4a);
            t78 = _mm_sub_ps(t95, s3a);
            t88 = _mm_add_ps(t06, s4a);
            a44 = *((a03 + 12));
            a54 = *((a03 + 13));
            a64 = *((a03 + 14));
            a74 = *((a03 + 15));
            s7b = _mm_sub_ps(_mm_mul_ps(a44, t58), _mm_mul_ps(a54, t68));
            *((a53 + 6)) = s7b;
            s8b = _mm_add_ps(_mm_mul_ps(a54, t58), _mm_mul_ps(a44, t68));
            *((a53 + 7)) = s8b;
            s9b = _mm_sub_ps(_mm_mul_ps(a64, t78), _mm_mul_ps(a74, t88));
            *((a53 + 14)) = s9b;
            s0c = _mm_add_ps(_mm_mul_ps(a74, t78), _mm_mul_ps(a64, t88));
            *((a53 + 15)) = s0c;
        }}
        {long i4; for(i4 = 0; i4 <= 7; i4++) {
            a84 = (((__m128  *) T2) + (2 * i4));
            s1c = *(a84);
            s2c = *((a84 + 1));
            s3c = *((a84 + 64));
            s4c = *((a84 + 65));
            t98 = _mm_add_ps(s1c, s3c);
            t09 = _mm_add_ps(s2c, s4c);
            t19 = _mm_sub_ps(s1c, s3c);
            t29 = _mm_sub_ps(s2c, s4c);
            s5c = *((a84 + 32));
            s6c = *((a84 + 33));
            s7c = *((a84 + 96));
            s8c = *((a84 + 97));
            t39 = _mm_add_ps(s5c, s7c);
            t49 = _mm_add_ps(s6c, s8c);
            t59 = _mm_sub_ps(s5c, s7c);
            t69 = _mm_sub_ps(s6c, s8c);
            t79 = _mm_add_ps(t98, t39);
            t89 = _mm_add_ps(t09, t49);
            t99 = _mm_sub_ps(t98, t39);
            t0a = _mm_sub_ps(t09, t49);
            t1a = _mm_sub_ps(t19, t69);
            t2a = _mm_add_ps(t29, t59);
            t3a = _mm_add_ps(t19, t69);
            t4a = _mm_sub_ps(t29, t59);
            s9c = *((a84 + 16));
            s0d = *((a84 + 17));
            s1d = *((a84 + 80));
            s2d = *((a84 + 81));
            t5a = _mm_add_ps(s9c, s1d);
            t6a = _mm_add_ps(s0d, s2d);
            t7a = _mm_sub_ps(s9c, s1d);
            t8a = _mm_sub_ps(s0d, s2d);
            s3d = *((a84 + 48));
            s4d = *((a84 + 49));
            s5d = *((a84 + 112));
            s6d = *((a84 + 113));
            t9a = _mm_add_ps(s3d, s5d);
            t0b = _mm_add_ps(s4d, s6d);
            t1b = _mm_sub_ps(s3d, s5d);
            t2b = _mm_sub_ps(s4d, s6d);
            t3b = _mm_add_ps(t5a, t9a);
            t4b = _mm_add_ps(t6a, t0b);
            t5b = _mm_sub_ps(t5a, t9a);
            t6b = _mm_sub_ps(t6a, t0b);
            a94 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t7a, t2b));
            a05 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t8a, t1b));
            s7d = _mm_sub_ps(a94, a05);
            s8d = _mm_add_ps(a94, a05);
            a15 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t7a, t2b));
            a25 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t8a, t1b));
            s9d = _mm_sub_ps(a15, a25);
            s0e = _mm_add_ps(a15, a25);
            t7b = _mm_add_ps(t79, t3b);
            t8b = _mm_add_ps(t89, t4b);
            t9b = _mm_sub_ps(t79, t3b);
            t0c = _mm_sub_ps(t89, t4b);
            a35 = (dst + ((8 * i2) + (16 * i4)));
            s1e = _mm_unpacklo_ps(t7b, t8b);
            _mm_storeu_ps(((float  *) a35), s1e);
            s2e = _mm_unpackhi_ps(t7b, t8b);
            _mm_storeu_ps(((float  *) (a35 + 4)), s2e);
            s3e = _mm_unpacklo_ps(t9b, t0c);
            _mm_storeu_ps(((float  *) (a35 + 512)), s3e);
            s4e = _mm_unpackhi_ps(t9b, t0c);
            _mm_storeu_ps(((float  *) (a35 + 516)), s4e);
            t1c = _mm_add_ps(t1a, s7d);
            t2c = _mm_add_ps(t2a, s8d);
            t3c = _mm_sub_ps(t1a, s7d);
            t4c = _mm_sub_ps(t2a, s8d);
            s5e = _mm_unpacklo_ps(t1c, t2c);
            _mm_storeu_ps(((float  *) (a35 + 128)), s5e);
            s6e = _mm_unpackhi_ps(t1c, t2c);
            _mm_storeu_ps(((float  *) (a35 + 132)), s6e);
            s7e = _mm_unpacklo_ps(t3c, t4c);
            _mm_storeu_ps(((float  *) (a35 + 640)), s7e);
            s8e = _mm_unpackhi_ps(t3c, t4c);
            _mm_storeu_ps(((float  *) (a35 + 644)), s8e);
            t5c = _mm_sub_ps(t99, t6b);
            t6c = _mm_add_ps(t0a, t5b);
            t7c = _mm_add_ps(t99, t6b);
            t8c = _mm_sub_ps(t0a, t5b);
            s9e = _mm_unpacklo_ps(t5c, t6c);
            _mm_storeu_ps(((float  *) (a35 + 256)), s9e);
            s0f = _mm_unpackhi_ps(t5c, t6c);
            _mm_storeu_ps(((float  *) (a35 + 260)), s0f);
            s1f = _mm_unpacklo_ps(t7c, t8c);
            _mm_storeu_ps(((float  *) (a35 + 768)), s1f);
            s2f = _mm_unpackhi_ps(t7c, t8c);
            _mm_storeu_ps(((float  *) (a35 + 772)), s2f);
            t9c = _mm_add_ps(t3a, s9d);
            t0d = _mm_sub_ps(t4a, s0e);
            t1d = _mm_sub_ps(t3a, s9d);
            t2d = _mm_add_ps(t4a, s0e);
            s3f = _mm_unpacklo_ps(t9c, t0d);
            _mm_storeu_ps(((float  *) (a35 + 384)), s3f);
            s4f = _mm_unpackhi_ps(t9c, t0d);
            _mm_storeu_ps(((float  *) (a35 + 388)), s4f);
            s5f = _mm_unpacklo_ps(t1d, t2d);
            _mm_storeu_ps(((float  *) (a35 + 896)), s5f);
            s6f = _mm_unpackhi_ps(t1d, t2d);
            _mm_storeu_ps(((float  *) (a35 + 900)), s6f);
        }}
    }}
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_fftinv_float_512)(const float *pSrc, float *pDst ) {
    if (!is_aligned(pSrc) || !is_aligned(pDst))
       	return spiral_fftinv_float_512_unaligned(pSrc, pDst );
    else {
    const float  *src = (const float *) pSrc; 
    float        *dst = (float *) pDst;
    
    
    { SPIRAL_ALIGNED(float T[1024]);
     SPIRAL_ALIGNED(float T2[512]);
    __m128 s05, s0f, s15, s16, s1e, s1f, s25, s26, s2e, s2f, s36, s3e, s3f, s46, s4e, s4f, s54, s56, s5e, s5f, s64, s66
            , s6e, s6f, s74, s76, s7e, s84, s86, s8e, s94, s9e;
    __m128 a01, a02, a04, a05, a11, a12, a13, a14, a15, a2, a21, a22, a23, a24, a25, a3, a31, a32, a33, a34, a4, a41
            , a42, a43, a44, a5, a51, a52, a54, a61, a62, a63, a64, a71, a72, a73, a74, a81, a82, a83, a91, a92, a93, a94
            , s, s01, s02, s03, s04, s06, s07, s08, s09, s0a, s0b, s0c, s0d, s0e, s11, s12, s13, s14, s17, s18, s19, s1a
            , s1b, s1c, s1d, s2, s21, s22, s23, s24, s27, s28, s29, s2a, s2b, s2c, s2d, s3, s31, s32, s33, s34, s35, s37
            , s38, s39, s3a, s3b, s3c, s3d, s4, s41, s42, s43, s44, s45, s47, s48, s49, s4a, s4b, s4c, s4d, s5, s51, s52
            , s53, s55, s57, s58, s59, s5a, s5b, s5c, s5d, s6, s61, s62, s63, s65, s67, s68, s69, s6a, s6b, s6c, s6d, s7
            , s71, s72, s73, s75, s77, s78, s79, s7a, s7b, s7c, s7d, s8, s81, s82, s83, s85, s87, s88, s89, s8a, s8b, s8c
            , s8d, s9, s91, s92, s93, s95, s96, s97, s98, s99, s9a, s9b, s9c, s9d, t, t01, t02, t03, t04, t05, t06, t07
            , t08, t09, t0a, t0b, t0c, t0d, t11, t12, t13, t14, t15, t16, t17, t18, t19, t1a, t1b, t1c, t1d, t2, t21, t22
            , t23, t24, t25, t26, t27, t28, t29, t2a, t2b, t2c, t2d, t3, t31, t32, t33, t34, t35, t36, t37, t38, t39, t3a
            , t3b, t3c, t4, t41, t42, t43, t44, t45, t46, t47, t48, t49, t4a, t4b, t4c, t5, t51, t52, t53, t54, t55, t56
            , t57, t58, t59, t5a, t5b, t5c, t6, t61, t62, t63, t64, t65, t66, t67, t68, t69, t6a, t6b, t6c, t7, t71, t72
            , t73, t74, t75, t76, t77, t78, t79, t7a, t7b, t7c, t8, t81, t82, t83, t84, t85, t86, t87, t88, t89, t8a, t8b
            , t8c, t9, t91, t92, t93, t94, t95, t96, t97, t98, t99, t9a, t9b, t9c;
    __m128  *a, *a03, *a35, *a53, *a6, *a7, *a84, *a9;
    int a8;
    {long i; for(i = 0; i <= 15; i++) {
        a = (((__m128  *) src) + (2 * i));
        s = *(a);
        s2 = *((a + 1));
        s3 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(2, 0, 2, 0));
        s4 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(3, 1, 3, 1));
        s5 = *((a + 128));
        s6 = *((a + 129));
        s7 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(2, 0, 2, 0));
        s8 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(3, 1, 3, 1));
        t = _mm_add_ps(s3, s7);
        t2 = _mm_add_ps(s4, s8);
        t3 = _mm_sub_ps(s3, s7);
        t4 = _mm_sub_ps(s4, s8);
        s9 = *((a + 64));
        s01 = *((a + 65));
        s11 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(2, 0, 2, 0));
        s21 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(3, 1, 3, 1));
        s31 = *((a + 192));
        s41 = *((a + 193));
        s51 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(2, 0, 2, 0));
        s61 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(3, 1, 3, 1));
        t5 = _mm_add_ps(s11, s51);
        t6 = _mm_add_ps(s21, s61);
        t7 = _mm_sub_ps(s11, s51);
        t8 = _mm_sub_ps(s21, s61);
        t9 = _mm_add_ps(t, t5);
        t01 = _mm_add_ps(t2, t6);
        t11 = _mm_sub_ps(t, t5);
        t21 = _mm_sub_ps(t2, t6);
        t31 = _mm_sub_ps(t3, t8);
        t41 = _mm_add_ps(t4, t7);
        t51 = _mm_add_ps(t3, t8);
        t61 = _mm_sub_ps(t4, t7);
        s71 = *((a + 32));
        s81 = *((a + 33));
        s91 = _mm_shuffle_ps(s71, s81, _MM_SHUFFLE(2, 0, 2, 0));
        s02 = _mm_shuffle_ps(s71, s81, _MM_SHUFFLE(3, 1, 3, 1));
        s12 = *((a + 160));
        s22 = *((a + 161));
        s32 = _mm_shuffle_ps(s12, s22, _MM_SHUFFLE(2, 0, 2, 0));
        s42 = _mm_shuffle_ps(s12, s22, _MM_SHUFFLE(3, 1, 3, 1));
        t71 = _mm_add_ps(s91, s32);
        t81 = _mm_add_ps(s02, s42);
        t91 = _mm_sub_ps(s91, s32);
        t02 = _mm_sub_ps(s02, s42);
        s52 = *((a + 96));
        s62 = *((a + 97));
        s72 = _mm_shuffle_ps(s52, s62, _MM_SHUFFLE(2, 0, 2, 0));
        s82 = _mm_shuffle_ps(s52, s62, _MM_SHUFFLE(3, 1, 3, 1));
        s92 = *((a + 224));
        s03 = *((a + 225));
        s13 = _mm_shuffle_ps(s92, s03, _MM_SHUFFLE(2, 0, 2, 0));
        s23 = _mm_shuffle_ps(s92, s03, _MM_SHUFFLE(3, 1, 3, 1));
        t12 = _mm_add_ps(s72, s13);
        t22 = _mm_add_ps(s82, s23);
        t32 = _mm_sub_ps(s72, s13);
        t42 = _mm_sub_ps(s82, s23);
        t52 = _mm_add_ps(t71, t12);
        t62 = _mm_add_ps(t81, t22);
        t72 = _mm_sub_ps(t71, t12);
        t82 = _mm_sub_ps(t81, t22);
        a2 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t91, t42));
        a3 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t02, t32));
        s33 = _mm_sub_ps(a2, a3);
        s43 = _mm_add_ps(a2, a3);
        a4 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t91, t42));
        a5 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t02, t32));
        s53 = _mm_sub_ps(a4, a5);
        s63 = _mm_add_ps(a4, a5);
        t92 = _mm_add_ps(t9, t52);
        t03 = _mm_add_ps(t01, t62);
        t13 = _mm_sub_ps(t9, t52);
        t23 = _mm_sub_ps(t01, t62);
        t33 = _mm_add_ps(t31, s33);
        t43 = _mm_add_ps(t41, s43);
        t53 = _mm_sub_ps(t31, s33);
        t63 = _mm_sub_ps(t41, s43);
        t73 = _mm_sub_ps(t11, t82);
        t83 = _mm_add_ps(t21, t72);
        t93 = _mm_add_ps(t11, t82);
        t04 = _mm_sub_ps(t21, t72);
        t14 = _mm_add_ps(t51, s53);
        t24 = _mm_sub_ps(t61, s63);
        t34 = _mm_sub_ps(t51, s53);
        t44 = _mm_add_ps(t61, s63);
        s73 = _mm_unpacklo_ps(t92, t33);
        s83 = _mm_unpackhi_ps(t92, t33);
        s93 = _mm_unpacklo_ps(t03, t43);
        s04 = _mm_unpackhi_ps(t03, t43);
        s14 = _mm_unpacklo_ps(t73, t14);
        s24 = _mm_unpackhi_ps(t73, t14);
        s34 = _mm_unpacklo_ps(t83, t24);
        s44 = _mm_unpackhi_ps(t83, t24);
        a6 = (((__m128  *) T) + (16 * i));
        s54 = _mm_shuffle_ps(s73, s14, _MM_SHUFFLE(1, 0, 1, 0));
        *(a6) = s54;
        s64 = _mm_shuffle_ps(s73, s14, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 4)) = s64;
        s74 = _mm_shuffle_ps(s83, s24, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 8)) = s74;
        s84 = _mm_shuffle_ps(s83, s24, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 12)) = s84;
        s94 = _mm_shuffle_ps(s93, s34, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 1)) = s94;
        s05 = _mm_shuffle_ps(s93, s34, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 5)) = s05;
        s15 = _mm_shuffle_ps(s04, s44, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 9)) = s15;
        s25 = _mm_shuffle_ps(s04, s44, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 13)) = s25;
        s35 = _mm_unpacklo_ps(t13, t53);
        s45 = _mm_unpackhi_ps(t13, t53);
        s55 = _mm_unpacklo_ps(t23, t63);
        s65 = _mm_unpackhi_ps(t23, t63);
        s75 = _mm_unpacklo_ps(t93, t34);
        s85 = _mm_unpackhi_ps(t93, t34);
        s95 = _mm_unpacklo_ps(t04, t44);
        s06 = _mm_unpackhi_ps(t04, t44);
        s16 = _mm_shuffle_ps(s35, s75, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 2)) = s16;
        s26 = _mm_shuffle_ps(s35, s75, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 6)) = s26;
        s36 = _mm_shuffle_ps(s45, s85, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 10)) = s36;
        s46 = _mm_shuffle_ps(s45, s85, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 14)) = s46;
        s56 = _mm_shuffle_ps(s55, s95, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 3)) = s56;
        s66 = _mm_shuffle_ps(s55, s95, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 7)) = s66;
        s76 = _mm_shuffle_ps(s65, s06, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 11)) = s76;
        s86 = _mm_shuffle_ps(s65, s06, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 15)) = s86;
    }}
    {long i2; for(i2 = 0; i2 <= 1; i2++) {
        {long i3; for(i3 = 0; i3 <= 7; i3++) {
            a7 = (((__m128  *) T) + ((2 * i2) + (4 * i3)));
            s96 = *(a7);
            s07 = *((a7 + 1));
            s17 = *((a7 + 128));
            s27 = *((a7 + 129));
            a8 = (16 * i3);
            a9 = (D967 + ((128 * i2) + a8));
            a01 = *(a9);
            a11 = *((a9 + 1));
            s37 = _mm_sub_ps(_mm_mul_ps(a01, s96), _mm_mul_ps(a11, s07));
            s47 = _mm_add_ps(_mm_mul_ps(a11, s96), _mm_mul_ps(a01, s07));
            a21 = *((a9 + 2));
            a31 = *((a9 + 3));
            s57 = _mm_sub_ps(_mm_mul_ps(a21, s17), _mm_mul_ps(a31, s27));
            s67 = _mm_add_ps(_mm_mul_ps(a31, s17), _mm_mul_ps(a21, s27));
            t54 = _mm_add_ps(s37, s57);
            t64 = _mm_add_ps(s47, s67);
            t74 = _mm_sub_ps(s37, s57);
            t84 = _mm_sub_ps(s47, s67);
            s77 = *((a7 + 64));
            s87 = *((a7 + 65));
            s97 = *((a7 + 192));
            s08 = *((a7 + 193));
            a41 = *((a9 + 4));
            a51 = *((a9 + 5));
            s18 = _mm_sub_ps(_mm_mul_ps(a41, s77), _mm_mul_ps(a51, s87));
            s28 = _mm_add_ps(_mm_mul_ps(a51, s77), _mm_mul_ps(a41, s87));
            a61 = *((a9 + 6));
            a71 = *((a9 + 7));
            s38 = _mm_sub_ps(_mm_mul_ps(a61, s97), _mm_mul_ps(a71, s08));
            s48 = _mm_add_ps(_mm_mul_ps(a71, s97), _mm_mul_ps(a61, s08));
            t94 = _mm_add_ps(s18, s38);
            t05 = _mm_add_ps(s28, s48);
            t15 = _mm_sub_ps(s18, s38);
            t25 = _mm_sub_ps(s28, s48);
            t35 = _mm_add_ps(t54, t94);
            t45 = _mm_add_ps(t64, t05);
            t55 = _mm_sub_ps(t54, t94);
            t65 = _mm_sub_ps(t64, t05);
            t75 = _mm_sub_ps(t74, t25);
            t85 = _mm_add_ps(t84, t15);
            t95 = _mm_add_ps(t74, t25);
            t06 = _mm_sub_ps(t84, t15);
            s58 = *((a7 + 32));
            s68 = *((a7 + 33));
            s78 = *((a7 + 160));
            s88 = *((a7 + 161));
            a81 = *((a9 + 8));
            a91 = *((a9 + 9));
            s98 = _mm_sub_ps(_mm_mul_ps(a81, s58), _mm_mul_ps(a91, s68));
            s09 = _mm_add_ps(_mm_mul_ps(a91, s58), _mm_mul_ps(a81, s68));
            a02 = *((a9 + 10));
            a12 = *((a9 + 11));
            s19 = _mm_sub_ps(_mm_mul_ps(a02, s78), _mm_mul_ps(a12, s88));
            s29 = _mm_add_ps(_mm_mul_ps(a12, s78), _mm_mul_ps(a02, s88));
            t16 = _mm_add_ps(s98, s19);
            t26 = _mm_add_ps(s09, s29);
            t36 = _mm_sub_ps(s98, s19);
            t46 = _mm_sub_ps(s09, s29);
            s39 = *((a7 + 96));
            s49 = *((a7 + 97));
            s59 = *((a7 + 224));
            s69 = *((a7 + 225));
            a22 = *((a9 + 12));
            a32 = *((a9 + 13));
            s79 = _mm_sub_ps(_mm_mul_ps(a22, s39), _mm_mul_ps(a32, s49));
            s89 = _mm_add_ps(_mm_mul_ps(a32, s39), _mm_mul_ps(a22, s49));
            a42 = *((a9 + 14));
            a52 = *((a9 + 15));
            s99 = _mm_sub_ps(_mm_mul_ps(a42, s59), _mm_mul_ps(a52, s69));
            s0a = _mm_add_ps(_mm_mul_ps(a52, s59), _mm_mul_ps(a42, s69));
            t56 = _mm_add_ps(s79, s99);
            t66 = _mm_add_ps(s89, s0a);
            t76 = _mm_sub_ps(s79, s99);
            t86 = _mm_sub_ps(s89, s0a);
            t96 = _mm_add_ps(t16, t56);
            t07 = _mm_add_ps(t26, t66);
            t17 = _mm_sub_ps(t16, t56);
            t27 = _mm_sub_ps(t26, t66);
            a62 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t36, t86));
            a72 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t46, t76));
            s1a = _mm_sub_ps(a62, a72);
            s2a = _mm_add_ps(a62, a72);
            a82 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t36, t86));
            a92 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t46, t76));
            s3a = _mm_sub_ps(a82, a92);
            s4a = _mm_add_ps(a82, a92);
            t37 = _mm_add_ps(t35, t96);
            t47 = _mm_add_ps(t45, t07);
            t57 = _mm_sub_ps(t35, t96);
            t67 = _mm_sub_ps(t45, t07);
            a03 = (D965 + a8);
            a13 = *(a03);
            a23 = *((a03 + 1));
            a33 = *((a03 + 2));
            a43 = *((a03 + 3));
            a53 = (((__m128  *) T2) + a8);
            s5a = _mm_sub_ps(_mm_mul_ps(a13, t37), _mm_mul_ps(a23, t47));
            *(a53) = s5a;
            s6a = _mm_add_ps(_mm_mul_ps(a23, t37), _mm_mul_ps(a13, t47));
            *((a53 + 1)) = s6a;
            s7a = _mm_sub_ps(_mm_mul_ps(a33, t57), _mm_mul_ps(a43, t67));
            *((a53 + 8)) = s7a;
            s8a = _mm_add_ps(_mm_mul_ps(a43, t57), _mm_mul_ps(a33, t67));
            *((a53 + 9)) = s8a;
            t77 = _mm_add_ps(t75, s1a);
            t87 = _mm_add_ps(t85, s2a);
            t97 = _mm_sub_ps(t75, s1a);
            t08 = _mm_sub_ps(t85, s2a);
            a63 = *((a03 + 4));
            a73 = *((a03 + 5));
            a83 = *((a03 + 6));
            a93 = *((a03 + 7));
            s9a = _mm_sub_ps(_mm_mul_ps(a63, t77), _mm_mul_ps(a73, t87));
            *((a53 + 2)) = s9a;
            s0b = _mm_add_ps(_mm_mul_ps(a73, t77), _mm_mul_ps(a63, t87));
            *((a53 + 3)) = s0b;
            s1b = _mm_sub_ps(_mm_mul_ps(a83, t97), _mm_mul_ps(a93, t08));
            *((a53 + 10)) = s1b;
            s2b = _mm_add_ps(_mm_mul_ps(a93, t97), _mm_mul_ps(a83, t08));
            *((a53 + 11)) = s2b;
            t18 = _mm_sub_ps(t55, t27);
            t28 = _mm_add_ps(t65, t17);
            t38 = _mm_add_ps(t55, t27);
            t48 = _mm_sub_ps(t65, t17);
            a04 = *((a03 + 8));
            a14 = *((a03 + 9));
            a24 = *((a03 + 10));
            a34 = *((a03 + 11));
            s3b = _mm_sub_ps(_mm_mul_ps(a04, t18), _mm_mul_ps(a14, t28));
            *((a53 + 4)) = s3b;
            s4b = _mm_add_ps(_mm_mul_ps(a14, t18), _mm_mul_ps(a04, t28));
            *((a53 + 5)) = s4b;
            s5b = _mm_sub_ps(_mm_mul_ps(a24, t38), _mm_mul_ps(a34, t48));
            *((a53 + 12)) = s5b;
            s6b = _mm_add_ps(_mm_mul_ps(a34, t38), _mm_mul_ps(a24, t48));
            *((a53 + 13)) = s6b;
            t58 = _mm_add_ps(t95, s3a);
            t68 = _mm_sub_ps(t06, s4a);
            t78 = _mm_sub_ps(t95, s3a);
            t88 = _mm_add_ps(t06, s4a);
            a44 = *((a03 + 12));
            a54 = *((a03 + 13));
            a64 = *((a03 + 14));
            a74 = *((a03 + 15));
            s7b = _mm_sub_ps(_mm_mul_ps(a44, t58), _mm_mul_ps(a54, t68));
            *((a53 + 6)) = s7b;
            s8b = _mm_add_ps(_mm_mul_ps(a54, t58), _mm_mul_ps(a44, t68));
            *((a53 + 7)) = s8b;
            s9b = _mm_sub_ps(_mm_mul_ps(a64, t78), _mm_mul_ps(a74, t88));
            *((a53 + 14)) = s9b;
            s0c = _mm_add_ps(_mm_mul_ps(a74, t78), _mm_mul_ps(a64, t88));
            *((a53 + 15)) = s0c;
        }}
        {long i4; for(i4 = 0; i4 <= 7; i4++) {
            a84 = (((__m128  *) T2) + (2 * i4));
            s1c = *(a84);
            s2c = *((a84 + 1));
            s3c = *((a84 + 64));
            s4c = *((a84 + 65));
            t98 = _mm_add_ps(s1c, s3c);
            t09 = _mm_add_ps(s2c, s4c);
            t19 = _mm_sub_ps(s1c, s3c);
            t29 = _mm_sub_ps(s2c, s4c);
            s5c = *((a84 + 32));
            s6c = *((a84 + 33));
            s7c = *((a84 + 96));
            s8c = *((a84 + 97));
            t39 = _mm_add_ps(s5c, s7c);
            t49 = _mm_add_ps(s6c, s8c);
            t59 = _mm_sub_ps(s5c, s7c);
            t69 = _mm_sub_ps(s6c, s8c);
            t79 = _mm_add_ps(t98, t39);
            t89 = _mm_add_ps(t09, t49);
            t99 = _mm_sub_ps(t98, t39);
            t0a = _mm_sub_ps(t09, t49);
            t1a = _mm_sub_ps(t19, t69);
            t2a = _mm_add_ps(t29, t59);
            t3a = _mm_add_ps(t19, t69);
            t4a = _mm_sub_ps(t29, t59);
            s9c = *((a84 + 16));
            s0d = *((a84 + 17));
            s1d = *((a84 + 80));
            s2d = *((a84 + 81));
            t5a = _mm_add_ps(s9c, s1d);
            t6a = _mm_add_ps(s0d, s2d);
            t7a = _mm_sub_ps(s9c, s1d);
            t8a = _mm_sub_ps(s0d, s2d);
            s3d = *((a84 + 48));
            s4d = *((a84 + 49));
            s5d = *((a84 + 112));
            s6d = *((a84 + 113));
            t9a = _mm_add_ps(s3d, s5d);
            t0b = _mm_add_ps(s4d, s6d);
            t1b = _mm_sub_ps(s3d, s5d);
            t2b = _mm_sub_ps(s4d, s6d);
            t3b = _mm_add_ps(t5a, t9a);
            t4b = _mm_add_ps(t6a, t0b);
            t5b = _mm_sub_ps(t5a, t9a);
            t6b = _mm_sub_ps(t6a, t0b);
            a94 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t7a, t2b));
            a05 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t8a, t1b));
            s7d = _mm_sub_ps(a94, a05);
            s8d = _mm_add_ps(a94, a05);
            a15 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t7a, t2b));
            a25 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t8a, t1b));
            s9d = _mm_sub_ps(a15, a25);
            s0e = _mm_add_ps(a15, a25);
            t7b = _mm_add_ps(t79, t3b);
            t8b = _mm_add_ps(t89, t4b);
            t9b = _mm_sub_ps(t79, t3b);
            t0c = _mm_sub_ps(t89, t4b);
            a35 = (((__m128  *) dst) + ((2 * i2) + (4 * i4)));
            s1e = _mm_unpacklo_ps(t7b, t8b);
            *(a35) = s1e;
            s2e = _mm_unpackhi_ps(t7b, t8b);
            *((a35 + 1)) = s2e;
            s3e = _mm_unpacklo_ps(t9b, t0c);
            *((a35 + 128)) = s3e;
            s4e = _mm_unpackhi_ps(t9b, t0c);
            *((a35 + 129)) = s4e;
            t1c = _mm_add_ps(t1a, s7d);
            t2c = _mm_add_ps(t2a, s8d);
            t3c = _mm_sub_ps(t1a, s7d);
            t4c = _mm_sub_ps(t2a, s8d);
            s5e = _mm_unpacklo_ps(t1c, t2c);
            *((a35 + 32)) = s5e;
            s6e = _mm_unpackhi_ps(t1c, t2c);
            *((a35 + 33)) = s6e;
            s7e = _mm_unpacklo_ps(t3c, t4c);
            *((a35 + 160)) = s7e;
            s8e = _mm_unpackhi_ps(t3c, t4c);
            *((a35 + 161)) = s8e;
            t5c = _mm_sub_ps(t99, t6b);
            t6c = _mm_add_ps(t0a, t5b);
            t7c = _mm_add_ps(t99, t6b);
            t8c = _mm_sub_ps(t0a, t5b);
            s9e = _mm_unpacklo_ps(t5c, t6c);
            *((a35 + 64)) = s9e;
            s0f = _mm_unpackhi_ps(t5c, t6c);
            *((a35 + 65)) = s0f;
            s1f = _mm_unpacklo_ps(t7c, t8c);
            *((a35 + 192)) = s1f;
            s2f = _mm_unpackhi_ps(t7c, t8c);
            *((a35 + 193)) = s2f;
            t9c = _mm_add_ps(t3a, s9d);
            t0d = _mm_sub_ps(t4a, s0e);
            t1d = _mm_sub_ps(t3a, s9d);
            t2d = _mm_add_ps(t4a, s0e);
            s3f = _mm_unpacklo_ps(t9c, t0d);
            *((a35 + 96)) = s3f;
            s4f = _mm_unpackhi_ps(t9c, t0d);
            *((a35 + 97)) = s4f;
            s5f = _mm_unpacklo_ps(t1d, t2d);
            *((a35 + 224)) = s5f;
            s6f = _mm_unpackhi_ps(t1d, t2d);
            *((a35 + 225)) = s6f;
        }}
    }}
    }
    
    return SPIRAL_OK;
    }
}

SPIRAL_PRIV(spiral_status_t, spiral_fftinv_float_1024_unaligned)(const float *pSrc, float *pDst ) {
    const float  *src = (const float *) pSrc; 
    float        *dst = (float *) pDst;
    
    
    { SPIRAL_ALIGNED(float T[2048]);
     SPIRAL_ALIGNED(float T2[128]);
     SPIRAL_ALIGNED(float T3[128]);
     SPIRAL_ALIGNED(float T4[512]);
    __m128 s06, s0e, s0f, s16, s1e, s1f, s26, s2e, s2f, s36, s3e, s46, s4e, s5e, s6e, s75, s7d, s7e, s85, s8d, s8e, s95
            , s9d, s9e;
    __m128 a01, a03, a04, a05, a06, a11, a12, a13, a15, a16, a21, a22, a23, a24, a25, a26, a32, a33, a34, a35, a36, a4
            , a42, a43, a44, a45, a5, a52, a53, a54, a55, a6, a62, a63, a65, a7, a72, a73, a74, a75, a82, a83, a84, a85
            , a9, a92, a93, a94, s, s01, s02, s03, s04, s05, s07, s08, s09, s0a, s0b, s0c, s0d, s11, s12, s13, s14, s15
            , s17, s18, s19, s1a, s1b, s1c, s1d, s2, s21, s22, s23, s24, s25, s27, s28, s29, s2a, s2b, s2c, s2d, s3, s31
            , s32, s33, s34, s35, s37, s38, s39, s3a, s3b, s3c, s3d, s4, s41, s42, s43, s44, s45, s47, s48, s49, s4a, s4b
            , s4c, s4d, s5, s51, s52, s53, s54, s55, s56, s57, s58, s59, s5a, s5b, s5c, s5d, s6, s61, s62, s63, s64, s65
            , s66, s67, s68, s69, s6a, s6b, s6c, s6d, s7, s71, s72, s73, s74, s76, s77, s78, s79, s7a, s7b, s7c, s8, s81
            , s82, s83, s84, s86, s87, s88, s89, s8a, s8b, s8c, s9, s91, s92, s93, s94, s96, s97, s98, s99, s9a, s9b, s9c
            , t, t01, t02, t03, t04, t05, t06, t07, t08, t09, t0a, t0b, t11, t12, t13, t14, t15, t16, t17, t18, t19, t1a
            , t1b, t2, t21, t22, t23, t24, t25, t26, t27, t28, t29, t2a, t2b, t3, t31, t32, t33, t34, t35, t36, t37, t38
            , t39, t3a, t4, t41, t42, t43, t44, t45, t46, t47, t48, t49, t4a, t5, t51, t52, t53, t54, t55, t56, t57, t58
            , t59, t5a, t6, t61, t62, t63, t64, t65, t66, t67, t68, t69, t6a, t7, t71, t72, t73, t74, t75, t76, t77, t78
            , t79, t7a, t8, t81, t82, t83, t84, t85, t86, t87, t88, t89, t8a, t9, t91, t92, t93, t94, t95, t96, t97, t98
            , t99, t9a;
    __m128  *a02, *a14, *a3, *a41, *a51, *a61, *a64, *a71, *a8, *a81, *a95;
    float  *a46;
    const float  *a;
    int a2, a31, a91;
    {long i; for(i = 0; i <= 15; i++) {
        {long i2; for(i2 = 0; i2 <= 3; i2++) {
            a = (src + ((8 * i) + (128 * i2)));
            s = _mm_loadu_ps(((const float  *) a));
            s2 = _mm_loadu_ps(((const float  *) (a + 4)));
            s3 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(2, 0, 2, 0));
            s4 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(3, 1, 3, 1));
            s5 = _mm_loadu_ps(((const float  *) (a + 1024)));
            s6 = _mm_loadu_ps(((const float  *) (a + 1028)));
            s7 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(2, 0, 2, 0));
            s8 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(3, 1, 3, 1));
            t = _mm_add_ps(s3, s7);
            t2 = _mm_add_ps(s4, s8);
            t3 = _mm_sub_ps(s3, s7);
            t4 = _mm_sub_ps(s4, s8);
            s9 = _mm_loadu_ps(((const float  *) (a + 512)));
            s01 = _mm_loadu_ps(((const float  *) (a + 516)));
            s11 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(2, 0, 2, 0));
            s21 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(3, 1, 3, 1));
            s31 = _mm_loadu_ps(((const float  *) (a + 1536)));
            s41 = _mm_loadu_ps(((const float  *) (a + 1540)));
            s51 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(2, 0, 2, 0));
            s61 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(3, 1, 3, 1));
            t5 = _mm_add_ps(s11, s51);
            t6 = _mm_add_ps(s21, s61);
            t7 = _mm_sub_ps(s11, s51);
            t8 = _mm_sub_ps(s21, s61);
            t9 = _mm_add_ps(t, t5);
            t01 = _mm_add_ps(t2, t6);
            t11 = _mm_sub_ps(t, t5);
            t21 = _mm_sub_ps(t2, t6);
            a2 = (8 * i2);
            a3 = (D963 + a2);
            a4 = *(a3);
            a5 = *((a3 + 1));
            a6 = *((a3 + 2));
            a7 = *((a3 + 3));
            a8 = (((__m128  *) T3) + a2);
            s71 = _mm_sub_ps(_mm_mul_ps(a4, t9), _mm_mul_ps(a5, t01));
            *(a8) = s71;
            s81 = _mm_add_ps(_mm_mul_ps(a5, t9), _mm_mul_ps(a4, t01));
            *((a8 + 1)) = s81;
            s91 = _mm_sub_ps(_mm_mul_ps(a6, t11), _mm_mul_ps(a7, t21));
            *((a8 + 4)) = s91;
            s02 = _mm_add_ps(_mm_mul_ps(a7, t11), _mm_mul_ps(a6, t21));
            *((a8 + 5)) = s02;
            t31 = _mm_sub_ps(t3, t8);
            t41 = _mm_add_ps(t4, t7);
            t51 = _mm_add_ps(t3, t8);
            t61 = _mm_sub_ps(t4, t7);
            a9 = *((a3 + 4));
            a01 = *((a3 + 5));
            a11 = *((a3 + 6));
            a21 = *((a3 + 7));
            s12 = _mm_sub_ps(_mm_mul_ps(a9, t31), _mm_mul_ps(a01, t41));
            *((a8 + 2)) = s12;
            s22 = _mm_add_ps(_mm_mul_ps(a01, t31), _mm_mul_ps(a9, t41));
            *((a8 + 3)) = s22;
            s32 = _mm_sub_ps(_mm_mul_ps(a11, t51), _mm_mul_ps(a21, t61));
            *((a8 + 6)) = s32;
            s42 = _mm_add_ps(_mm_mul_ps(a21, t51), _mm_mul_ps(a11, t61));
            *((a8 + 7)) = s42;
        }}
        {long i3; for(i3 = 0; i3 <= 3; i3++) {
            a31 = (2 * i3);
            a41 = (((__m128  *) T3) + a31);
            s52 = *(a41);
            s62 = *((a41 + 1));
            s72 = *((a41 + 16));
            s82 = *((a41 + 17));
            t71 = _mm_add_ps(s52, s72);
            t81 = _mm_add_ps(s62, s82);
            t91 = _mm_sub_ps(s52, s72);
            t02 = _mm_sub_ps(s62, s82);
            s92 = *((a41 + 8));
            s03 = *((a41 + 9));
            s13 = *((a41 + 24));
            s23 = *((a41 + 25));
            t12 = _mm_add_ps(s92, s13);
            t22 = _mm_add_ps(s03, s23);
            t32 = _mm_sub_ps(s92, s13);
            t42 = _mm_sub_ps(s03, s23);
            a51 = (((__m128  *) T2) + a31);
            s33 = _mm_add_ps(t71, t12);
            *(a51) = s33;
            s43 = _mm_add_ps(t81, t22);
            *((a51 + 1)) = s43;
            s53 = _mm_sub_ps(t71, t12);
            *((a51 + 16)) = s53;
            s63 = _mm_sub_ps(t81, t22);
            *((a51 + 17)) = s63;
            s73 = _mm_sub_ps(t91, t42);
            *((a51 + 8)) = s73;
            s83 = _mm_add_ps(t02, t32);
            *((a51 + 9)) = s83;
            s93 = _mm_add_ps(t91, t42);
            *((a51 + 24)) = s93;
            s04 = _mm_sub_ps(t02, t32);
            *((a51 + 25)) = s04;
        }}
        {long i4; for(i4 = 0; i4 <= 3; i4++) {
            a61 = (((__m128  *) T2) + (8 * i4));
            s14 = *(a61);
            s24 = *((a61 + 2));
            s34 = _mm_unpacklo_ps(s14, s24);
            s44 = _mm_unpackhi_ps(s14, s24);
            s54 = *((a61 + 1));
            s64 = *((a61 + 3));
            s74 = _mm_unpacklo_ps(s54, s64);
            s84 = _mm_unpackhi_ps(s54, s64);
            s94 = *((a61 + 4));
            s05 = *((a61 + 6));
            s15 = _mm_unpacklo_ps(s94, s05);
            s25 = _mm_unpackhi_ps(s94, s05);
            s35 = *((a61 + 5));
            s45 = *((a61 + 7));
            s55 = _mm_unpacklo_ps(s35, s45);
            s65 = _mm_unpackhi_ps(s35, s45);
            a71 = (((__m128  *) T) + ((32 * i) + (2 * i4)));
            s75 = _mm_shuffle_ps(s34, s15, _MM_SHUFFLE(1, 0, 1, 0));
            *(a71) = s75;
            s85 = _mm_shuffle_ps(s34, s15, _MM_SHUFFLE(3, 2, 3, 2));
            *((a71 + 8)) = s85;
            s95 = _mm_shuffle_ps(s44, s25, _MM_SHUFFLE(1, 0, 1, 0));
            *((a71 + 16)) = s95;
            s06 = _mm_shuffle_ps(s44, s25, _MM_SHUFFLE(3, 2, 3, 2));
            *((a71 + 24)) = s06;
            s16 = _mm_shuffle_ps(s74, s55, _MM_SHUFFLE(1, 0, 1, 0));
            *((a71 + 1)) = s16;
            s26 = _mm_shuffle_ps(s74, s55, _MM_SHUFFLE(3, 2, 3, 2));
            *((a71 + 9)) = s26;
            s36 = _mm_shuffle_ps(s84, s65, _MM_SHUFFLE(1, 0, 1, 0));
            *((a71 + 17)) = s36;
            s46 = _mm_shuffle_ps(s84, s65, _MM_SHUFFLE(3, 2, 3, 2));
            *((a71 + 25)) = s46;
        }}
    }}
    {long i5; for(i5 = 0; i5 <= 3; i5++) {
        {long i6; for(i6 = 0; i6 <= 7; i6++) {
            a81 = (((__m128  *) T) + ((2 * i5) + (8 * i6)));
            s56 = *(a81);
            s66 = *((a81 + 1));
            s76 = *((a81 + 256));
            s86 = *((a81 + 257));
            a91 = (16 * i6);
            a02 = (D968 + ((128 * i5) + a91));
            a12 = *(a02);
            a22 = *((a02 + 1));
            s96 = _mm_sub_ps(_mm_mul_ps(a12, s56), _mm_mul_ps(a22, s66));
            s07 = _mm_add_ps(_mm_mul_ps(a22, s56), _mm_mul_ps(a12, s66));
            a32 = *((a02 + 2));
            a42 = *((a02 + 3));
            s17 = _mm_sub_ps(_mm_mul_ps(a32, s76), _mm_mul_ps(a42, s86));
            s27 = _mm_add_ps(_mm_mul_ps(a42, s76), _mm_mul_ps(a32, s86));
            t52 = _mm_add_ps(s96, s17);
            t62 = _mm_add_ps(s07, s27);
            t72 = _mm_sub_ps(s96, s17);
            t82 = _mm_sub_ps(s07, s27);
            s37 = *((a81 + 128));
            s47 = *((a81 + 129));
            s57 = *((a81 + 384));
            s67 = *((a81 + 385));
            a52 = *((a02 + 4));
            a62 = *((a02 + 5));
            s77 = _mm_sub_ps(_mm_mul_ps(a52, s37), _mm_mul_ps(a62, s47));
            s87 = _mm_add_ps(_mm_mul_ps(a62, s37), _mm_mul_ps(a52, s47));
            a72 = *((a02 + 6));
            a82 = *((a02 + 7));
            s97 = _mm_sub_ps(_mm_mul_ps(a72, s57), _mm_mul_ps(a82, s67));
            s08 = _mm_add_ps(_mm_mul_ps(a82, s57), _mm_mul_ps(a72, s67));
            t92 = _mm_add_ps(s77, s97);
            t03 = _mm_add_ps(s87, s08);
            t13 = _mm_sub_ps(s77, s97);
            t23 = _mm_sub_ps(s87, s08);
            t33 = _mm_add_ps(t52, t92);
            t43 = _mm_add_ps(t62, t03);
            t53 = _mm_sub_ps(t52, t92);
            t63 = _mm_sub_ps(t62, t03);
            t73 = _mm_sub_ps(t72, t23);
            t83 = _mm_add_ps(t82, t13);
            t93 = _mm_add_ps(t72, t23);
            t04 = _mm_sub_ps(t82, t13);
            s18 = *((a81 + 64));
            s28 = *((a81 + 65));
            s38 = *((a81 + 320));
            s48 = *((a81 + 321));
            a92 = *((a02 + 8));
            a03 = *((a02 + 9));
            s58 = _mm_sub_ps(_mm_mul_ps(a92, s18), _mm_mul_ps(a03, s28));
            s68 = _mm_add_ps(_mm_mul_ps(a03, s18), _mm_mul_ps(a92, s28));
            a13 = *((a02 + 10));
            a23 = *((a02 + 11));
            s78 = _mm_sub_ps(_mm_mul_ps(a13, s38), _mm_mul_ps(a23, s48));
            s88 = _mm_add_ps(_mm_mul_ps(a23, s38), _mm_mul_ps(a13, s48));
            t14 = _mm_add_ps(s58, s78);
            t24 = _mm_add_ps(s68, s88);
            t34 = _mm_sub_ps(s58, s78);
            t44 = _mm_sub_ps(s68, s88);
            s98 = *((a81 + 192));
            s09 = *((a81 + 193));
            s19 = *((a81 + 448));
            s29 = *((a81 + 449));
            a33 = *((a02 + 12));
            a43 = *((a02 + 13));
            s39 = _mm_sub_ps(_mm_mul_ps(a33, s98), _mm_mul_ps(a43, s09));
            s49 = _mm_add_ps(_mm_mul_ps(a43, s98), _mm_mul_ps(a33, s09));
            a53 = *((a02 + 14));
            a63 = *((a02 + 15));
            s59 = _mm_sub_ps(_mm_mul_ps(a53, s19), _mm_mul_ps(a63, s29));
            s69 = _mm_add_ps(_mm_mul_ps(a63, s19), _mm_mul_ps(a53, s29));
            t54 = _mm_add_ps(s39, s59);
            t64 = _mm_add_ps(s49, s69);
            t74 = _mm_sub_ps(s39, s59);
            t84 = _mm_sub_ps(s49, s69);
            t94 = _mm_add_ps(t14, t54);
            t05 = _mm_add_ps(t24, t64);
            t15 = _mm_sub_ps(t14, t54);
            t25 = _mm_sub_ps(t24, t64);
            a73 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t34, t84));
            a83 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t44, t74));
            s79 = _mm_sub_ps(a73, a83);
            s89 = _mm_add_ps(a73, a83);
            a93 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t34, t84));
            a04 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t44, t74));
            s99 = _mm_sub_ps(a93, a04);
            s0a = _mm_add_ps(a93, a04);
            t35 = _mm_add_ps(t33, t94);
            t45 = _mm_add_ps(t43, t05);
            t55 = _mm_sub_ps(t33, t94);
            t65 = _mm_sub_ps(t43, t05);
            a14 = (D965 + a91);
            a24 = *(a14);
            a34 = *((a14 + 1));
            a44 = *((a14 + 2));
            a54 = *((a14 + 3));
            a64 = (((__m128  *) T4) + a91);
            s1a = _mm_sub_ps(_mm_mul_ps(a24, t35), _mm_mul_ps(a34, t45));
            *(a64) = s1a;
            s2a = _mm_add_ps(_mm_mul_ps(a34, t35), _mm_mul_ps(a24, t45));
            *((a64 + 1)) = s2a;
            s3a = _mm_sub_ps(_mm_mul_ps(a44, t55), _mm_mul_ps(a54, t65));
            *((a64 + 8)) = s3a;
            s4a = _mm_add_ps(_mm_mul_ps(a54, t55), _mm_mul_ps(a44, t65));
            *((a64 + 9)) = s4a;
            t75 = _mm_add_ps(t73, s79);
            t85 = _mm_add_ps(t83, s89);
            t95 = _mm_sub_ps(t73, s79);
            t06 = _mm_sub_ps(t83, s89);
            a74 = *((a14 + 4));
            a84 = *((a14 + 5));
            a94 = *((a14 + 6));
            a05 = *((a14 + 7));
            s5a = _mm_sub_ps(_mm_mul_ps(a74, t75), _mm_mul_ps(a84, t85));
            *((a64 + 2)) = s5a;
            s6a = _mm_add_ps(_mm_mul_ps(a84, t75), _mm_mul_ps(a74, t85));
            *((a64 + 3)) = s6a;
            s7a = _mm_sub_ps(_mm_mul_ps(a94, t95), _mm_mul_ps(a05, t06));
            *((a64 + 10)) = s7a;
            s8a = _mm_add_ps(_mm_mul_ps(a05, t95), _mm_mul_ps(a94, t06));
            *((a64 + 11)) = s8a;
            t16 = _mm_sub_ps(t53, t25);
            t26 = _mm_add_ps(t63, t15);
            t36 = _mm_add_ps(t53, t25);
            t46 = _mm_sub_ps(t63, t15);
            a15 = *((a14 + 8));
            a25 = *((a14 + 9));
            a35 = *((a14 + 10));
            a45 = *((a14 + 11));
            s9a = _mm_sub_ps(_mm_mul_ps(a15, t16), _mm_mul_ps(a25, t26));
            *((a64 + 4)) = s9a;
            s0b = _mm_add_ps(_mm_mul_ps(a25, t16), _mm_mul_ps(a15, t26));
            *((a64 + 5)) = s0b;
            s1b = _mm_sub_ps(_mm_mul_ps(a35, t36), _mm_mul_ps(a45, t46));
            *((a64 + 12)) = s1b;
            s2b = _mm_add_ps(_mm_mul_ps(a45, t36), _mm_mul_ps(a35, t46));
            *((a64 + 13)) = s2b;
            t56 = _mm_add_ps(t93, s99);
            t66 = _mm_sub_ps(t04, s0a);
            t76 = _mm_sub_ps(t93, s99);
            t86 = _mm_add_ps(t04, s0a);
            a55 = *((a14 + 12));
            a65 = *((a14 + 13));
            a75 = *((a14 + 14));
            a85 = *((a14 + 15));
            s3b = _mm_sub_ps(_mm_mul_ps(a55, t56), _mm_mul_ps(a65, t66));
            *((a64 + 6)) = s3b;
            s4b = _mm_add_ps(_mm_mul_ps(a65, t56), _mm_mul_ps(a55, t66));
            *((a64 + 7)) = s4b;
            s5b = _mm_sub_ps(_mm_mul_ps(a75, t76), _mm_mul_ps(a85, t86));
            *((a64 + 14)) = s5b;
            s6b = _mm_add_ps(_mm_mul_ps(a85, t76), _mm_mul_ps(a75, t86));
            *((a64 + 15)) = s6b;
        }}
        {long i7; for(i7 = 0; i7 <= 7; i7++) {
            a95 = (((__m128  *) T4) + (2 * i7));
            s7b = *(a95);
            s8b = *((a95 + 1));
            s9b = *((a95 + 64));
            s0c = *((a95 + 65));
            t96 = _mm_add_ps(s7b, s9b);
            t07 = _mm_add_ps(s8b, s0c);
            t17 = _mm_sub_ps(s7b, s9b);
            t27 = _mm_sub_ps(s8b, s0c);
            s1c = *((a95 + 32));
            s2c = *((a95 + 33));
            s3c = *((a95 + 96));
            s4c = *((a95 + 97));
            t37 = _mm_add_ps(s1c, s3c);
            t47 = _mm_add_ps(s2c, s4c);
            t57 = _mm_sub_ps(s1c, s3c);
            t67 = _mm_sub_ps(s2c, s4c);
            t77 = _mm_add_ps(t96, t37);
            t87 = _mm_add_ps(t07, t47);
            t97 = _mm_sub_ps(t96, t37);
            t08 = _mm_sub_ps(t07, t47);
            t18 = _mm_sub_ps(t17, t67);
            t28 = _mm_add_ps(t27, t57);
            t38 = _mm_add_ps(t17, t67);
            t48 = _mm_sub_ps(t27, t57);
            s5c = *((a95 + 16));
            s6c = *((a95 + 17));
            s7c = *((a95 + 80));
            s8c = *((a95 + 81));
            t58 = _mm_add_ps(s5c, s7c);
            t68 = _mm_add_ps(s6c, s8c);
            t78 = _mm_sub_ps(s5c, s7c);
            t88 = _mm_sub_ps(s6c, s8c);
            s9c = *((a95 + 48));
            s0d = *((a95 + 49));
            s1d = *((a95 + 112));
            s2d = *((a95 + 113));
            t98 = _mm_add_ps(s9c, s1d);
            t09 = _mm_add_ps(s0d, s2d);
            t19 = _mm_sub_ps(s9c, s1d);
            t29 = _mm_sub_ps(s0d, s2d);
            t39 = _mm_add_ps(t58, t98);
            t49 = _mm_add_ps(t68, t09);
            t59 = _mm_sub_ps(t58, t98);
            t69 = _mm_sub_ps(t68, t09);
            a06 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t78, t29));
            a16 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t88, t19));
            s3d = _mm_sub_ps(a06, a16);
            s4d = _mm_add_ps(a06, a16);
            a26 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t78, t29));
            a36 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t88, t19));
            s5d = _mm_sub_ps(a26, a36);
            s6d = _mm_add_ps(a26, a36);
            t79 = _mm_add_ps(t77, t39);
            t89 = _mm_add_ps(t87, t49);
            t99 = _mm_sub_ps(t77, t39);
            t0a = _mm_sub_ps(t87, t49);
            a46 = (dst + ((8 * i5) + (32 * i7)));
            s7d = _mm_unpacklo_ps(t79, t89);
            _mm_storeu_ps(((float  *) a46), s7d);
            s8d = _mm_unpackhi_ps(t79, t89);
            _mm_storeu_ps(((float  *) (a46 + 4)), s8d);
            s9d = _mm_unpacklo_ps(t99, t0a);
            _mm_storeu_ps(((float  *) (a46 + 1024)), s9d);
            s0e = _mm_unpackhi_ps(t99, t0a);
            _mm_storeu_ps(((float  *) (a46 + 1028)), s0e);
            t1a = _mm_add_ps(t18, s3d);
            t2a = _mm_add_ps(t28, s4d);
            t3a = _mm_sub_ps(t18, s3d);
            t4a = _mm_sub_ps(t28, s4d);
            s1e = _mm_unpacklo_ps(t1a, t2a);
            _mm_storeu_ps(((float  *) (a46 + 256)), s1e);
            s2e = _mm_unpackhi_ps(t1a, t2a);
            _mm_storeu_ps(((float  *) (a46 + 260)), s2e);
            s3e = _mm_unpacklo_ps(t3a, t4a);
            _mm_storeu_ps(((float  *) (a46 + 1280)), s3e);
            s4e = _mm_unpackhi_ps(t3a, t4a);
            _mm_storeu_ps(((float  *) (a46 + 1284)), s4e);
            t5a = _mm_sub_ps(t97, t69);
            t6a = _mm_add_ps(t08, t59);
            t7a = _mm_add_ps(t97, t69);
            t8a = _mm_sub_ps(t08, t59);
            s5e = _mm_unpacklo_ps(t5a, t6a);
            _mm_storeu_ps(((float  *) (a46 + 512)), s5e);
            s6e = _mm_unpackhi_ps(t5a, t6a);
            _mm_storeu_ps(((float  *) (a46 + 516)), s6e);
            s7e = _mm_unpacklo_ps(t7a, t8a);
            _mm_storeu_ps(((float  *) (a46 + 1536)), s7e);
            s8e = _mm_unpackhi_ps(t7a, t8a);
            _mm_storeu_ps(((float  *) (a46 + 1540)), s8e);
            t9a = _mm_add_ps(t38, s5d);
            t0b = _mm_sub_ps(t48, s6d);
            t1b = _mm_sub_ps(t38, s5d);
            t2b = _mm_add_ps(t48, s6d);
            s9e = _mm_unpacklo_ps(t9a, t0b);
            _mm_storeu_ps(((float  *) (a46 + 768)), s9e);
            s0f = _mm_unpackhi_ps(t9a, t0b);
            _mm_storeu_ps(((float  *) (a46 + 772)), s0f);
            s1f = _mm_unpacklo_ps(t1b, t2b);
            _mm_storeu_ps(((float  *) (a46 + 1792)), s1f);
            s2f = _mm_unpackhi_ps(t1b, t2b);
            _mm_storeu_ps(((float  *) (a46 + 1796)), s2f);
        }}
    }}
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_fftinv_float_1024)(const float *pSrc, float *pDst ) {
    if (!is_aligned(pSrc) || !is_aligned(pDst))
       	return spiral_fftinv_float_1024_unaligned(pSrc, pDst );
    else {
    const float  *src = (const float *) pSrc; 
    float        *dst = (float *) pDst;
    
    
    { SPIRAL_ALIGNED(float T[2048]);
     SPIRAL_ALIGNED(float T2[128]);
     SPIRAL_ALIGNED(float T3[128]);
     SPIRAL_ALIGNED(float T4[512]);
    __m128 s06, s0e, s0f, s16, s1e, s1f, s26, s2e, s2f, s36, s3e, s46, s4e, s5e, s6e, s75, s7d, s7e, s85, s8d, s8e, s95
            , s9d, s9e;
    __m128 a01, a03, a04, a05, a06, a11, a12, a13, a15, a16, a21, a22, a23, a24, a25, a26, a32, a33, a34, a35, a36, a4
            , a42, a43, a44, a45, a5, a52, a53, a54, a55, a6, a62, a63, a65, a7, a72, a73, a74, a75, a82, a83, a84, a85
            , a9, a92, a93, a94, s, s01, s02, s03, s04, s05, s07, s08, s09, s0a, s0b, s0c, s0d, s11, s12, s13, s14, s15
            , s17, s18, s19, s1a, s1b, s1c, s1d, s2, s21, s22, s23, s24, s25, s27, s28, s29, s2a, s2b, s2c, s2d, s3, s31
            , s32, s33, s34, s35, s37, s38, s39, s3a, s3b, s3c, s3d, s4, s41, s42, s43, s44, s45, s47, s48, s49, s4a, s4b
            , s4c, s4d, s5, s51, s52, s53, s54, s55, s56, s57, s58, s59, s5a, s5b, s5c, s5d, s6, s61, s62, s63, s64, s65
            , s66, s67, s68, s69, s6a, s6b, s6c, s6d, s7, s71, s72, s73, s74, s76, s77, s78, s79, s7a, s7b, s7c, s8, s81
            , s82, s83, s84, s86, s87, s88, s89, s8a, s8b, s8c, s9, s91, s92, s93, s94, s96, s97, s98, s99, s9a, s9b, s9c
            , t, t01, t02, t03, t04, t05, t06, t07, t08, t09, t0a, t0b, t11, t12, t13, t14, t15, t16, t17, t18, t19, t1a
            , t1b, t2, t21, t22, t23, t24, t25, t26, t27, t28, t29, t2a, t2b, t3, t31, t32, t33, t34, t35, t36, t37, t38
            , t39, t3a, t4, t41, t42, t43, t44, t45, t46, t47, t48, t49, t4a, t5, t51, t52, t53, t54, t55, t56, t57, t58
            , t59, t5a, t6, t61, t62, t63, t64, t65, t66, t67, t68, t69, t6a, t7, t71, t72, t73, t74, t75, t76, t77, t78
            , t79, t7a, t8, t81, t82, t83, t84, t85, t86, t87, t88, t89, t8a, t9, t91, t92, t93, t94, t95, t96, t97, t98
            , t99, t9a;
    __m128  *a, *a02, *a14, *a3, *a41, *a46, *a51, *a61, *a64, *a71, *a8, *a81, *a95;
    int a2, a31, a91;
    {long i; for(i = 0; i <= 15; i++) {
        {long i2; for(i2 = 0; i2 <= 3; i2++) {
            a = (((__m128  *) src) + ((2 * i) + (32 * i2)));
            s = *(a);
            s2 = *((a + 1));
            s3 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(2, 0, 2, 0));
            s4 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(3, 1, 3, 1));
            s5 = *((a + 256));
            s6 = *((a + 257));
            s7 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(2, 0, 2, 0));
            s8 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(3, 1, 3, 1));
            t = _mm_add_ps(s3, s7);
            t2 = _mm_add_ps(s4, s8);
            t3 = _mm_sub_ps(s3, s7);
            t4 = _mm_sub_ps(s4, s8);
            s9 = *((a + 128));
            s01 = *((a + 129));
            s11 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(2, 0, 2, 0));
            s21 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(3, 1, 3, 1));
            s31 = *((a + 384));
            s41 = *((a + 385));
            s51 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(2, 0, 2, 0));
            s61 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(3, 1, 3, 1));
            t5 = _mm_add_ps(s11, s51);
            t6 = _mm_add_ps(s21, s61);
            t7 = _mm_sub_ps(s11, s51);
            t8 = _mm_sub_ps(s21, s61);
            t9 = _mm_add_ps(t, t5);
            t01 = _mm_add_ps(t2, t6);
            t11 = _mm_sub_ps(t, t5);
            t21 = _mm_sub_ps(t2, t6);
            a2 = (8 * i2);
            a3 = (D963 + a2);
            a4 = *(a3);
            a5 = *((a3 + 1));
            a6 = *((a3 + 2));
            a7 = *((a3 + 3));
            a8 = (((__m128  *) T3) + a2);
            s71 = _mm_sub_ps(_mm_mul_ps(a4, t9), _mm_mul_ps(a5, t01));
            *(a8) = s71;
            s81 = _mm_add_ps(_mm_mul_ps(a5, t9), _mm_mul_ps(a4, t01));
            *((a8 + 1)) = s81;
            s91 = _mm_sub_ps(_mm_mul_ps(a6, t11), _mm_mul_ps(a7, t21));
            *((a8 + 4)) = s91;
            s02 = _mm_add_ps(_mm_mul_ps(a7, t11), _mm_mul_ps(a6, t21));
            *((a8 + 5)) = s02;
            t31 = _mm_sub_ps(t3, t8);
            t41 = _mm_add_ps(t4, t7);
            t51 = _mm_add_ps(t3, t8);
            t61 = _mm_sub_ps(t4, t7);
            a9 = *((a3 + 4));
            a01 = *((a3 + 5));
            a11 = *((a3 + 6));
            a21 = *((a3 + 7));
            s12 = _mm_sub_ps(_mm_mul_ps(a9, t31), _mm_mul_ps(a01, t41));
            *((a8 + 2)) = s12;
            s22 = _mm_add_ps(_mm_mul_ps(a01, t31), _mm_mul_ps(a9, t41));
            *((a8 + 3)) = s22;
            s32 = _mm_sub_ps(_mm_mul_ps(a11, t51), _mm_mul_ps(a21, t61));
            *((a8 + 6)) = s32;
            s42 = _mm_add_ps(_mm_mul_ps(a21, t51), _mm_mul_ps(a11, t61));
            *((a8 + 7)) = s42;
        }}
        {long i3; for(i3 = 0; i3 <= 3; i3++) {
            a31 = (2 * i3);
            a41 = (((__m128  *) T3) + a31);
            s52 = *(a41);
            s62 = *((a41 + 1));
            s72 = *((a41 + 16));
            s82 = *((a41 + 17));
            t71 = _mm_add_ps(s52, s72);
            t81 = _mm_add_ps(s62, s82);
            t91 = _mm_sub_ps(s52, s72);
            t02 = _mm_sub_ps(s62, s82);
            s92 = *((a41 + 8));
            s03 = *((a41 + 9));
            s13 = *((a41 + 24));
            s23 = *((a41 + 25));
            t12 = _mm_add_ps(s92, s13);
            t22 = _mm_add_ps(s03, s23);
            t32 = _mm_sub_ps(s92, s13);
            t42 = _mm_sub_ps(s03, s23);
            a51 = (((__m128  *) T2) + a31);
            s33 = _mm_add_ps(t71, t12);
            *(a51) = s33;
            s43 = _mm_add_ps(t81, t22);
            *((a51 + 1)) = s43;
            s53 = _mm_sub_ps(t71, t12);
            *((a51 + 16)) = s53;
            s63 = _mm_sub_ps(t81, t22);
            *((a51 + 17)) = s63;
            s73 = _mm_sub_ps(t91, t42);
            *((a51 + 8)) = s73;
            s83 = _mm_add_ps(t02, t32);
            *((a51 + 9)) = s83;
            s93 = _mm_add_ps(t91, t42);
            *((a51 + 24)) = s93;
            s04 = _mm_sub_ps(t02, t32);
            *((a51 + 25)) = s04;
        }}
        {long i4; for(i4 = 0; i4 <= 3; i4++) {
            a61 = (((__m128  *) T2) + (8 * i4));
            s14 = *(a61);
            s24 = *((a61 + 2));
            s34 = _mm_unpacklo_ps(s14, s24);
            s44 = _mm_unpackhi_ps(s14, s24);
            s54 = *((a61 + 1));
            s64 = *((a61 + 3));
            s74 = _mm_unpacklo_ps(s54, s64);
            s84 = _mm_unpackhi_ps(s54, s64);
            s94 = *((a61 + 4));
            s05 = *((a61 + 6));
            s15 = _mm_unpacklo_ps(s94, s05);
            s25 = _mm_unpackhi_ps(s94, s05);
            s35 = *((a61 + 5));
            s45 = *((a61 + 7));
            s55 = _mm_unpacklo_ps(s35, s45);
            s65 = _mm_unpackhi_ps(s35, s45);
            a71 = (((__m128  *) T) + ((32 * i) + (2 * i4)));
            s75 = _mm_shuffle_ps(s34, s15, _MM_SHUFFLE(1, 0, 1, 0));
            *(a71) = s75;
            s85 = _mm_shuffle_ps(s34, s15, _MM_SHUFFLE(3, 2, 3, 2));
            *((a71 + 8)) = s85;
            s95 = _mm_shuffle_ps(s44, s25, _MM_SHUFFLE(1, 0, 1, 0));
            *((a71 + 16)) = s95;
            s06 = _mm_shuffle_ps(s44, s25, _MM_SHUFFLE(3, 2, 3, 2));
            *((a71 + 24)) = s06;
            s16 = _mm_shuffle_ps(s74, s55, _MM_SHUFFLE(1, 0, 1, 0));
            *((a71 + 1)) = s16;
            s26 = _mm_shuffle_ps(s74, s55, _MM_SHUFFLE(3, 2, 3, 2));
            *((a71 + 9)) = s26;
            s36 = _mm_shuffle_ps(s84, s65, _MM_SHUFFLE(1, 0, 1, 0));
            *((a71 + 17)) = s36;
            s46 = _mm_shuffle_ps(s84, s65, _MM_SHUFFLE(3, 2, 3, 2));
            *((a71 + 25)) = s46;
        }}
    }}
    {long i5; for(i5 = 0; i5 <= 3; i5++) {
        {long i6; for(i6 = 0; i6 <= 7; i6++) {
            a81 = (((__m128  *) T) + ((2 * i5) + (8 * i6)));
            s56 = *(a81);
            s66 = *((a81 + 1));
            s76 = *((a81 + 256));
            s86 = *((a81 + 257));
            a91 = (16 * i6);
            a02 = (D968 + ((128 * i5) + a91));
            a12 = *(a02);
            a22 = *((a02 + 1));
            s96 = _mm_sub_ps(_mm_mul_ps(a12, s56), _mm_mul_ps(a22, s66));
            s07 = _mm_add_ps(_mm_mul_ps(a22, s56), _mm_mul_ps(a12, s66));
            a32 = *((a02 + 2));
            a42 = *((a02 + 3));
            s17 = _mm_sub_ps(_mm_mul_ps(a32, s76), _mm_mul_ps(a42, s86));
            s27 = _mm_add_ps(_mm_mul_ps(a42, s76), _mm_mul_ps(a32, s86));
            t52 = _mm_add_ps(s96, s17);
            t62 = _mm_add_ps(s07, s27);
            t72 = _mm_sub_ps(s96, s17);
            t82 = _mm_sub_ps(s07, s27);
            s37 = *((a81 + 128));
            s47 = *((a81 + 129));
            s57 = *((a81 + 384));
            s67 = *((a81 + 385));
            a52 = *((a02 + 4));
            a62 = *((a02 + 5));
            s77 = _mm_sub_ps(_mm_mul_ps(a52, s37), _mm_mul_ps(a62, s47));
            s87 = _mm_add_ps(_mm_mul_ps(a62, s37), _mm_mul_ps(a52, s47));
            a72 = *((a02 + 6));
            a82 = *((a02 + 7));
            s97 = _mm_sub_ps(_mm_mul_ps(a72, s57), _mm_mul_ps(a82, s67));
            s08 = _mm_add_ps(_mm_mul_ps(a82, s57), _mm_mul_ps(a72, s67));
            t92 = _mm_add_ps(s77, s97);
            t03 = _mm_add_ps(s87, s08);
            t13 = _mm_sub_ps(s77, s97);
            t23 = _mm_sub_ps(s87, s08);
            t33 = _mm_add_ps(t52, t92);
            t43 = _mm_add_ps(t62, t03);
            t53 = _mm_sub_ps(t52, t92);
            t63 = _mm_sub_ps(t62, t03);
            t73 = _mm_sub_ps(t72, t23);
            t83 = _mm_add_ps(t82, t13);
            t93 = _mm_add_ps(t72, t23);
            t04 = _mm_sub_ps(t82, t13);
            s18 = *((a81 + 64));
            s28 = *((a81 + 65));
            s38 = *((a81 + 320));
            s48 = *((a81 + 321));
            a92 = *((a02 + 8));
            a03 = *((a02 + 9));
            s58 = _mm_sub_ps(_mm_mul_ps(a92, s18), _mm_mul_ps(a03, s28));
            s68 = _mm_add_ps(_mm_mul_ps(a03, s18), _mm_mul_ps(a92, s28));
            a13 = *((a02 + 10));
            a23 = *((a02 + 11));
            s78 = _mm_sub_ps(_mm_mul_ps(a13, s38), _mm_mul_ps(a23, s48));
            s88 = _mm_add_ps(_mm_mul_ps(a23, s38), _mm_mul_ps(a13, s48));
            t14 = _mm_add_ps(s58, s78);
            t24 = _mm_add_ps(s68, s88);
            t34 = _mm_sub_ps(s58, s78);
            t44 = _mm_sub_ps(s68, s88);
            s98 = *((a81 + 192));
            s09 = *((a81 + 193));
            s19 = *((a81 + 448));
            s29 = *((a81 + 449));
            a33 = *((a02 + 12));
            a43 = *((a02 + 13));
            s39 = _mm_sub_ps(_mm_mul_ps(a33, s98), _mm_mul_ps(a43, s09));
            s49 = _mm_add_ps(_mm_mul_ps(a43, s98), _mm_mul_ps(a33, s09));
            a53 = *((a02 + 14));
            a63 = *((a02 + 15));
            s59 = _mm_sub_ps(_mm_mul_ps(a53, s19), _mm_mul_ps(a63, s29));
            s69 = _mm_add_ps(_mm_mul_ps(a63, s19), _mm_mul_ps(a53, s29));
            t54 = _mm_add_ps(s39, s59);
            t64 = _mm_add_ps(s49, s69);
            t74 = _mm_sub_ps(s39, s59);
            t84 = _mm_sub_ps(s49, s69);
            t94 = _mm_add_ps(t14, t54);
            t05 = _mm_add_ps(t24, t64);
            t15 = _mm_sub_ps(t14, t54);
            t25 = _mm_sub_ps(t24, t64);
            a73 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t34, t84));
            a83 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t44, t74));
            s79 = _mm_sub_ps(a73, a83);
            s89 = _mm_add_ps(a73, a83);
            a93 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t34, t84));
            a04 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t44, t74));
            s99 = _mm_sub_ps(a93, a04);
            s0a = _mm_add_ps(a93, a04);
            t35 = _mm_add_ps(t33, t94);
            t45 = _mm_add_ps(t43, t05);
            t55 = _mm_sub_ps(t33, t94);
            t65 = _mm_sub_ps(t43, t05);
            a14 = (D965 + a91);
            a24 = *(a14);
            a34 = *((a14 + 1));
            a44 = *((a14 + 2));
            a54 = *((a14 + 3));
            a64 = (((__m128  *) T4) + a91);
            s1a = _mm_sub_ps(_mm_mul_ps(a24, t35), _mm_mul_ps(a34, t45));
            *(a64) = s1a;
            s2a = _mm_add_ps(_mm_mul_ps(a34, t35), _mm_mul_ps(a24, t45));
            *((a64 + 1)) = s2a;
            s3a = _mm_sub_ps(_mm_mul_ps(a44, t55), _mm_mul_ps(a54, t65));
            *((a64 + 8)) = s3a;
            s4a = _mm_add_ps(_mm_mul_ps(a54, t55), _mm_mul_ps(a44, t65));
            *((a64 + 9)) = s4a;
            t75 = _mm_add_ps(t73, s79);
            t85 = _mm_add_ps(t83, s89);
            t95 = _mm_sub_ps(t73, s79);
            t06 = _mm_sub_ps(t83, s89);
            a74 = *((a14 + 4));
            a84 = *((a14 + 5));
            a94 = *((a14 + 6));
            a05 = *((a14 + 7));
            s5a = _mm_sub_ps(_mm_mul_ps(a74, t75), _mm_mul_ps(a84, t85));
            *((a64 + 2)) = s5a;
            s6a = _mm_add_ps(_mm_mul_ps(a84, t75), _mm_mul_ps(a74, t85));
            *((a64 + 3)) = s6a;
            s7a = _mm_sub_ps(_mm_mul_ps(a94, t95), _mm_mul_ps(a05, t06));
            *((a64 + 10)) = s7a;
            s8a = _mm_add_ps(_mm_mul_ps(a05, t95), _mm_mul_ps(a94, t06));
            *((a64 + 11)) = s8a;
            t16 = _mm_sub_ps(t53, t25);
            t26 = _mm_add_ps(t63, t15);
            t36 = _mm_add_ps(t53, t25);
            t46 = _mm_sub_ps(t63, t15);
            a15 = *((a14 + 8));
            a25 = *((a14 + 9));
            a35 = *((a14 + 10));
            a45 = *((a14 + 11));
            s9a = _mm_sub_ps(_mm_mul_ps(a15, t16), _mm_mul_ps(a25, t26));
            *((a64 + 4)) = s9a;
            s0b = _mm_add_ps(_mm_mul_ps(a25, t16), _mm_mul_ps(a15, t26));
            *((a64 + 5)) = s0b;
            s1b = _mm_sub_ps(_mm_mul_ps(a35, t36), _mm_mul_ps(a45, t46));
            *((a64 + 12)) = s1b;
            s2b = _mm_add_ps(_mm_mul_ps(a45, t36), _mm_mul_ps(a35, t46));
            *((a64 + 13)) = s2b;
            t56 = _mm_add_ps(t93, s99);
            t66 = _mm_sub_ps(t04, s0a);
            t76 = _mm_sub_ps(t93, s99);
            t86 = _mm_add_ps(t04, s0a);
            a55 = *((a14 + 12));
            a65 = *((a14 + 13));
            a75 = *((a14 + 14));
            a85 = *((a14 + 15));
            s3b = _mm_sub_ps(_mm_mul_ps(a55, t56), _mm_mul_ps(a65, t66));
            *((a64 + 6)) = s3b;
            s4b = _mm_add_ps(_mm_mul_ps(a65, t56), _mm_mul_ps(a55, t66));
            *((a64 + 7)) = s4b;
            s5b = _mm_sub_ps(_mm_mul_ps(a75, t76), _mm_mul_ps(a85, t86));
            *((a64 + 14)) = s5b;
            s6b = _mm_add_ps(_mm_mul_ps(a85, t76), _mm_mul_ps(a75, t86));
            *((a64 + 15)) = s6b;
        }}
        {long i7; for(i7 = 0; i7 <= 7; i7++) {
            a95 = (((__m128  *) T4) + (2 * i7));
            s7b = *(a95);
            s8b = *((a95 + 1));
            s9b = *((a95 + 64));
            s0c = *((a95 + 65));
            t96 = _mm_add_ps(s7b, s9b);
            t07 = _mm_add_ps(s8b, s0c);
            t17 = _mm_sub_ps(s7b, s9b);
            t27 = _mm_sub_ps(s8b, s0c);
            s1c = *((a95 + 32));
            s2c = *((a95 + 33));
            s3c = *((a95 + 96));
            s4c = *((a95 + 97));
            t37 = _mm_add_ps(s1c, s3c);
            t47 = _mm_add_ps(s2c, s4c);
            t57 = _mm_sub_ps(s1c, s3c);
            t67 = _mm_sub_ps(s2c, s4c);
            t77 = _mm_add_ps(t96, t37);
            t87 = _mm_add_ps(t07, t47);
            t97 = _mm_sub_ps(t96, t37);
            t08 = _mm_sub_ps(t07, t47);
            t18 = _mm_sub_ps(t17, t67);
            t28 = _mm_add_ps(t27, t57);
            t38 = _mm_add_ps(t17, t67);
            t48 = _mm_sub_ps(t27, t57);
            s5c = *((a95 + 16));
            s6c = *((a95 + 17));
            s7c = *((a95 + 80));
            s8c = *((a95 + 81));
            t58 = _mm_add_ps(s5c, s7c);
            t68 = _mm_add_ps(s6c, s8c);
            t78 = _mm_sub_ps(s5c, s7c);
            t88 = _mm_sub_ps(s6c, s8c);
            s9c = *((a95 + 48));
            s0d = *((a95 + 49));
            s1d = *((a95 + 112));
            s2d = *((a95 + 113));
            t98 = _mm_add_ps(s9c, s1d);
            t09 = _mm_add_ps(s0d, s2d);
            t19 = _mm_sub_ps(s9c, s1d);
            t29 = _mm_sub_ps(s0d, s2d);
            t39 = _mm_add_ps(t58, t98);
            t49 = _mm_add_ps(t68, t09);
            t59 = _mm_sub_ps(t58, t98);
            t69 = _mm_sub_ps(t68, t09);
            a06 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t78, t29));
            a16 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t88, t19));
            s3d = _mm_sub_ps(a06, a16);
            s4d = _mm_add_ps(a06, a16);
            a26 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t78, t29));
            a36 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t88, t19));
            s5d = _mm_sub_ps(a26, a36);
            s6d = _mm_add_ps(a26, a36);
            t79 = _mm_add_ps(t77, t39);
            t89 = _mm_add_ps(t87, t49);
            t99 = _mm_sub_ps(t77, t39);
            t0a = _mm_sub_ps(t87, t49);
            a46 = (((__m128  *) dst) + ((2 * i5) + (8 * i7)));
            s7d = _mm_unpacklo_ps(t79, t89);
            *(a46) = s7d;
            s8d = _mm_unpackhi_ps(t79, t89);
            *((a46 + 1)) = s8d;
            s9d = _mm_unpacklo_ps(t99, t0a);
            *((a46 + 256)) = s9d;
            s0e = _mm_unpackhi_ps(t99, t0a);
            *((a46 + 257)) = s0e;
            t1a = _mm_add_ps(t18, s3d);
            t2a = _mm_add_ps(t28, s4d);
            t3a = _mm_sub_ps(t18, s3d);
            t4a = _mm_sub_ps(t28, s4d);
            s1e = _mm_unpacklo_ps(t1a, t2a);
            *((a46 + 64)) = s1e;
            s2e = _mm_unpackhi_ps(t1a, t2a);
            *((a46 + 65)) = s2e;
            s3e = _mm_unpacklo_ps(t3a, t4a);
            *((a46 + 320)) = s3e;
            s4e = _mm_unpackhi_ps(t3a, t4a);
            *((a46 + 321)) = s4e;
            t5a = _mm_sub_ps(t97, t69);
            t6a = _mm_add_ps(t08, t59);
            t7a = _mm_add_ps(t97, t69);
            t8a = _mm_sub_ps(t08, t59);
            s5e = _mm_unpacklo_ps(t5a, t6a);
            *((a46 + 128)) = s5e;
            s6e = _mm_unpackhi_ps(t5a, t6a);
            *((a46 + 129)) = s6e;
            s7e = _mm_unpacklo_ps(t7a, t8a);
            *((a46 + 384)) = s7e;
            s8e = _mm_unpackhi_ps(t7a, t8a);
            *((a46 + 385)) = s8e;
            t9a = _mm_add_ps(t38, s5d);
            t0b = _mm_sub_ps(t48, s6d);
            t1b = _mm_sub_ps(t38, s5d);
            t2b = _mm_add_ps(t48, s6d);
            s9e = _mm_unpacklo_ps(t9a, t0b);
            *((a46 + 192)) = s9e;
            s0f = _mm_unpackhi_ps(t9a, t0b);
            *((a46 + 193)) = s0f;
            s1f = _mm_unpacklo_ps(t1b, t2b);
            *((a46 + 448)) = s1f;
            s2f = _mm_unpackhi_ps(t1b, t2b);
            *((a46 + 449)) = s2f;
        }}
    }}
    }
    
    return SPIRAL_OK;
    }
}

SPIRAL_PRIV(spiral_status_t, spiral_fftinv_float_2048_unaligned)(const float *pSrc, float *pDst ) {
    const float  *src = (const float *) pSrc; 
    float        *dst = (float *) pDst;
    
    
    { SPIRAL_ALIGNED(float T[4096]);
     SPIRAL_ALIGNED(float T2[256]);
     SPIRAL_ALIGNED(float T3[256]);
     SPIRAL_ALIGNED(float T4[512]);
    __m128 s08, s0g, s0h, s18, s1g, s1h, s28, s2g, s2h, s38, s3g, s48, s4g, s5g, s6g, s77, s7f, s7g, s87, s8f, s8g, s97
            , s9f, s9g;
    __m128 a01, a03, a04, a06, a11, a13, a14, a15, a16, a21, a23, a24, a25, a26, a33, a34, a35, a4, a43, a44, a45, a46
            , a5, a51, a52, a53, a55, a56, a6, a61, a62, a63, a64, a65, a66, a7, a71, a72, a73, a74, a75, a76, a81, a82
            , a83, a84, a85, a9, a92, a93, a94, a95, s, s01, s02, s03, s04, s05, s06, s07, s09, s0a, s0b, s0c, s0d, s0e
            , s0f, s11, s12, s13, s14, s15, s16, s17, s19, s1a, s1b, s1c, s1d, s1e, s1f, s2, s21, s22, s23, s24, s25, s26
            , s27, s29, s2a, s2b, s2c, s2d, s2e, s2f, s3, s31, s32, s33, s34, s35, s36, s37, s39, s3a, s3b, s3c, s3d, s3e
            , s3f, s4, s41, s42, s43, s44, s45, s46, s47, s49, s4a, s4b, s4c, s4d, s4e, s4f, s5, s51, s52, s53, s54, s55
            , s56, s57, s58, s59, s5a, s5b, s5c, s5d, s5e, s5f, s6, s61, s62, s63, s64, s65, s66, s67, s68, s69, s6a, s6b
            , s6c, s6d, s6e, s6f, s7, s71, s72, s73, s74, s75, s76, s78, s79, s7a, s7b, s7c, s7d, s7e, s8, s81, s82, s83
            , s84, s85, s86, s88, s89, s8a, s8b, s8c, s8d, s8e, s9, s91, s92, s93, s94, s95, s96, s98, s99, s9a, s9b, s9c
            , s9d, s9e, t, t01, t02, t03, t04, t05, t06, t07, t08, t09, t0a, t0b, t0c, t0d, t11, t12, t13, t14, t15, t16
            , t17, t18, t19, t1a, t1b, t1c, t1d, t2, t21, t22, t23, t24, t25, t26, t27, t28, t29, t2a, t2b, t2c, t2d, t3
            , t31, t32, t33, t34, t35, t36, t37, t38, t39, t3a, t3b, t3c, t4, t41, t42, t43, t44, t45, t46, t47, t48, t49
            , t4a, t4b, t4c, t5, t51, t52, t53, t54, t55, t56, t57, t58, t59, t5a, t5b, t5c, t6, t61, t62, t63, t64, t65
            , t66, t67, t68, t69, t6a, t6b, t6c, t7, t71, t72, t73, t74, t75, t76, t77, t78, t79, t7a, t7b, t7c, t8, t81
            , t82, t83, t84, t85, t86, t87, t88, t89, t8a, t8b, t8c, t9, t91, t92, t93, t94, t95, t96, t97, t98, t99, t9a
            , t9b, t9c;
    __m128  *a02, *a05, *a12, *a3, *a32, *a36, *a41, *a42, *a54, *a8, *a91;
    float  *a86;
    const float  *a;
    int a2, a22, a31;
    {long i; for(i = 0; i <= 15; i++) {
        {long i2; for(i2 = 0; i2 <= 7; i2++) {
            a = (src + ((8 * i) + (128 * i2)));
            s = _mm_loadu_ps(((const float  *) a));
            s2 = _mm_loadu_ps(((const float  *) (a + 4)));
            s3 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(2, 0, 2, 0));
            s4 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(3, 1, 3, 1));
            s5 = _mm_loadu_ps(((const float  *) (a + 2048)));
            s6 = _mm_loadu_ps(((const float  *) (a + 2052)));
            s7 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(2, 0, 2, 0));
            s8 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(3, 1, 3, 1));
            t = _mm_add_ps(s3, s7);
            t2 = _mm_add_ps(s4, s8);
            t3 = _mm_sub_ps(s3, s7);
            t4 = _mm_sub_ps(s4, s8);
            s9 = _mm_loadu_ps(((const float  *) (a + 1024)));
            s01 = _mm_loadu_ps(((const float  *) (a + 1028)));
            s11 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(2, 0, 2, 0));
            s21 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(3, 1, 3, 1));
            s31 = _mm_loadu_ps(((const float  *) (a + 3072)));
            s41 = _mm_loadu_ps(((const float  *) (a + 3076)));
            s51 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(2, 0, 2, 0));
            s61 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(3, 1, 3, 1));
            t5 = _mm_add_ps(s11, s51);
            t6 = _mm_add_ps(s21, s61);
            t7 = _mm_sub_ps(s11, s51);
            t8 = _mm_sub_ps(s21, s61);
            t9 = _mm_add_ps(t, t5);
            t01 = _mm_add_ps(t2, t6);
            t11 = _mm_sub_ps(t, t5);
            t21 = _mm_sub_ps(t2, t6);
            a2 = (8 * i2);
            a3 = (D970 + a2);
            a4 = *(a3);
            a5 = *((a3 + 1));
            a6 = *((a3 + 2));
            a7 = *((a3 + 3));
            a8 = (((__m128  *) T3) + a2);
            s71 = _mm_sub_ps(_mm_mul_ps(a4, t9), _mm_mul_ps(a5, t01));
            *(a8) = s71;
            s81 = _mm_add_ps(_mm_mul_ps(a5, t9), _mm_mul_ps(a4, t01));
            *((a8 + 1)) = s81;
            s91 = _mm_sub_ps(_mm_mul_ps(a6, t11), _mm_mul_ps(a7, t21));
            *((a8 + 4)) = s91;
            s02 = _mm_add_ps(_mm_mul_ps(a7, t11), _mm_mul_ps(a6, t21));
            *((a8 + 5)) = s02;
            t31 = _mm_sub_ps(t3, t8);
            t41 = _mm_add_ps(t4, t7);
            t51 = _mm_add_ps(t3, t8);
            t61 = _mm_sub_ps(t4, t7);
            a9 = *((a3 + 4));
            a01 = *((a3 + 5));
            a11 = *((a3 + 6));
            a21 = *((a3 + 7));
            s12 = _mm_sub_ps(_mm_mul_ps(a9, t31), _mm_mul_ps(a01, t41));
            *((a8 + 2)) = s12;
            s22 = _mm_add_ps(_mm_mul_ps(a01, t31), _mm_mul_ps(a9, t41));
            *((a8 + 3)) = s22;
            s32 = _mm_sub_ps(_mm_mul_ps(a11, t51), _mm_mul_ps(a21, t61));
            *((a8 + 6)) = s32;
            s42 = _mm_add_ps(_mm_mul_ps(a21, t51), _mm_mul_ps(a11, t61));
            *((a8 + 7)) = s42;
        }}
        {long i3; for(i3 = 0; i3 <= 3; i3++) {
            a31 = (2 * i3);
            a41 = (((__m128  *) T3) + a31);
            s52 = *(a41);
            s62 = *((a41 + 1));
            s72 = *((a41 + 32));
            s82 = *((a41 + 33));
            t71 = _mm_add_ps(s52, s72);
            t81 = _mm_add_ps(s62, s82);
            t91 = _mm_sub_ps(s52, s72);
            t02 = _mm_sub_ps(s62, s82);
            s92 = *((a41 + 16));
            s03 = *((a41 + 17));
            s13 = *((a41 + 48));
            s23 = *((a41 + 49));
            t12 = _mm_add_ps(s92, s13);
            t22 = _mm_add_ps(s03, s23);
            t32 = _mm_sub_ps(s92, s13);
            t42 = _mm_sub_ps(s03, s23);
            t52 = _mm_add_ps(t71, t12);
            t62 = _mm_add_ps(t81, t22);
            t72 = _mm_sub_ps(t71, t12);
            t82 = _mm_sub_ps(t81, t22);
            t92 = _mm_sub_ps(t91, t42);
            t03 = _mm_add_ps(t02, t32);
            t13 = _mm_add_ps(t91, t42);
            t23 = _mm_sub_ps(t02, t32);
            s33 = *((a41 + 8));
            s43 = *((a41 + 9));
            s53 = *((a41 + 40));
            s63 = *((a41 + 41));
            t33 = _mm_add_ps(s33, s53);
            t43 = _mm_add_ps(s43, s63);
            t53 = _mm_sub_ps(s33, s53);
            t63 = _mm_sub_ps(s43, s63);
            s73 = *((a41 + 24));
            s83 = *((a41 + 25));
            s93 = *((a41 + 56));
            s04 = *((a41 + 57));
            t73 = _mm_add_ps(s73, s93);
            t83 = _mm_add_ps(s83, s04);
            t93 = _mm_sub_ps(s73, s93);
            t04 = _mm_sub_ps(s83, s04);
            t14 = _mm_add_ps(t33, t73);
            t24 = _mm_add_ps(t43, t83);
            t34 = _mm_sub_ps(t33, t73);
            t44 = _mm_sub_ps(t43, t83);
            a51 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t53, t04));
            a61 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t63, t93));
            s14 = _mm_sub_ps(a51, a61);
            s24 = _mm_add_ps(a51, a61);
            a71 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t53, t04));
            a81 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t63, t93));
            s34 = _mm_sub_ps(a71, a81);
            s44 = _mm_add_ps(a71, a81);
            a91 = (((__m128  *) T2) + a31);
            s54 = _mm_add_ps(t52, t14);
            *(a91) = s54;
            s64 = _mm_add_ps(t62, t24);
            *((a91 + 1)) = s64;
            s74 = _mm_sub_ps(t52, t14);
            *((a91 + 32)) = s74;
            s84 = _mm_sub_ps(t62, t24);
            *((a91 + 33)) = s84;
            s94 = _mm_add_ps(t92, s14);
            *((a91 + 8)) = s94;
            s05 = _mm_add_ps(t03, s24);
            *((a91 + 9)) = s05;
            s15 = _mm_sub_ps(t92, s14);
            *((a91 + 40)) = s15;
            s25 = _mm_sub_ps(t03, s24);
            *((a91 + 41)) = s25;
            s35 = _mm_sub_ps(t72, t44);
            *((a91 + 16)) = s35;
            s45 = _mm_add_ps(t82, t34);
            *((a91 + 17)) = s45;
            s55 = _mm_add_ps(t72, t44);
            *((a91 + 48)) = s55;
            s65 = _mm_sub_ps(t82, t34);
            *((a91 + 49)) = s65;
            s75 = _mm_add_ps(t13, s34);
            *((a91 + 24)) = s75;
            s85 = _mm_sub_ps(t23, s44);
            *((a91 + 25)) = s85;
            s95 = _mm_sub_ps(t13, s34);
            *((a91 + 56)) = s95;
            s06 = _mm_add_ps(t23, s44);
            *((a91 + 57)) = s06;
        }}
        {long i4; for(i4 = 0; i4 <= 7; i4++) {
            a02 = (((__m128  *) T2) + (8 * i4));
            s16 = *(a02);
            s26 = *((a02 + 2));
            s36 = _mm_unpacklo_ps(s16, s26);
            s46 = _mm_unpackhi_ps(s16, s26);
            s56 = *((a02 + 1));
            s66 = *((a02 + 3));
            s76 = _mm_unpacklo_ps(s56, s66);
            s86 = _mm_unpackhi_ps(s56, s66);
            s96 = *((a02 + 4));
            s07 = *((a02 + 6));
            s17 = _mm_unpacklo_ps(s96, s07);
            s27 = _mm_unpackhi_ps(s96, s07);
            s37 = *((a02 + 5));
            s47 = *((a02 + 7));
            s57 = _mm_unpacklo_ps(s37, s47);
            s67 = _mm_unpackhi_ps(s37, s47);
            a12 = (((__m128  *) T) + ((64 * i) + (2 * i4)));
            s77 = _mm_shuffle_ps(s36, s17, _MM_SHUFFLE(1, 0, 1, 0));
            *(a12) = s77;
            s87 = _mm_shuffle_ps(s36, s17, _MM_SHUFFLE(3, 2, 3, 2));
            *((a12 + 16)) = s87;
            s97 = _mm_shuffle_ps(s46, s27, _MM_SHUFFLE(1, 0, 1, 0));
            *((a12 + 32)) = s97;
            s08 = _mm_shuffle_ps(s46, s27, _MM_SHUFFLE(3, 2, 3, 2));
            *((a12 + 48)) = s08;
            s18 = _mm_shuffle_ps(s76, s57, _MM_SHUFFLE(1, 0, 1, 0));
            *((a12 + 1)) = s18;
            s28 = _mm_shuffle_ps(s76, s57, _MM_SHUFFLE(3, 2, 3, 2));
            *((a12 + 17)) = s28;
            s38 = _mm_shuffle_ps(s86, s67, _MM_SHUFFLE(1, 0, 1, 0));
            *((a12 + 33)) = s38;
            s48 = _mm_shuffle_ps(s86, s67, _MM_SHUFFLE(3, 2, 3, 2));
            *((a12 + 49)) = s48;
        }}
    }}
    {long i5; for(i5 = 0; i5 <= 7; i5++) {
        {long i6; for(i6 = 0; i6 <= 7; i6++) {
            a22 = (16 * i6);
            a32 = (((__m128  *) T) + ((2 * i5) + a22));
            s58 = *(a32);
            s68 = *((a32 + 1));
            s78 = *((a32 + 512));
            s88 = *((a32 + 513));
            a42 = (D969 + ((128 * i5) + a22));
            a52 = *(a42);
            a62 = *((a42 + 1));
            s98 = _mm_sub_ps(_mm_mul_ps(a52, s58), _mm_mul_ps(a62, s68));
            s09 = _mm_add_ps(_mm_mul_ps(a62, s58), _mm_mul_ps(a52, s68));
            a72 = *((a42 + 2));
            a82 = *((a42 + 3));
            s19 = _mm_sub_ps(_mm_mul_ps(a72, s78), _mm_mul_ps(a82, s88));
            s29 = _mm_add_ps(_mm_mul_ps(a82, s78), _mm_mul_ps(a72, s88));
            t54 = _mm_add_ps(s98, s19);
            t64 = _mm_add_ps(s09, s29);
            t74 = _mm_sub_ps(s98, s19);
            t84 = _mm_sub_ps(s09, s29);
            s39 = *((a32 + 256));
            s49 = *((a32 + 257));
            s59 = *((a32 + 768));
            s69 = *((a32 + 769));
            a92 = *((a42 + 4));
            a03 = *((a42 + 5));
            s79 = _mm_sub_ps(_mm_mul_ps(a92, s39), _mm_mul_ps(a03, s49));
            s89 = _mm_add_ps(_mm_mul_ps(a03, s39), _mm_mul_ps(a92, s49));
            a13 = *((a42 + 6));
            a23 = *((a42 + 7));
            s99 = _mm_sub_ps(_mm_mul_ps(a13, s59), _mm_mul_ps(a23, s69));
            s0a = _mm_add_ps(_mm_mul_ps(a23, s59), _mm_mul_ps(a13, s69));
            t94 = _mm_add_ps(s79, s99);
            t05 = _mm_add_ps(s89, s0a);
            t15 = _mm_sub_ps(s79, s99);
            t25 = _mm_sub_ps(s89, s0a);
            t35 = _mm_add_ps(t54, t94);
            t45 = _mm_add_ps(t64, t05);
            t55 = _mm_sub_ps(t54, t94);
            t65 = _mm_sub_ps(t64, t05);
            t75 = _mm_sub_ps(t74, t25);
            t85 = _mm_add_ps(t84, t15);
            t95 = _mm_add_ps(t74, t25);
            t06 = _mm_sub_ps(t84, t15);
            s1a = *((a32 + 128));
            s2a = *((a32 + 129));
            s3a = *((a32 + 640));
            s4a = *((a32 + 641));
            a33 = *((a42 + 8));
            a43 = *((a42 + 9));
            s5a = _mm_sub_ps(_mm_mul_ps(a33, s1a), _mm_mul_ps(a43, s2a));
            s6a = _mm_add_ps(_mm_mul_ps(a43, s1a), _mm_mul_ps(a33, s2a));
            a53 = *((a42 + 10));
            a63 = *((a42 + 11));
            s7a = _mm_sub_ps(_mm_mul_ps(a53, s3a), _mm_mul_ps(a63, s4a));
            s8a = _mm_add_ps(_mm_mul_ps(a63, s3a), _mm_mul_ps(a53, s4a));
            t16 = _mm_add_ps(s5a, s7a);
            t26 = _mm_add_ps(s6a, s8a);
            t36 = _mm_sub_ps(s5a, s7a);
            t46 = _mm_sub_ps(s6a, s8a);
            s9a = *((a32 + 384));
            s0b = *((a32 + 385));
            s1b = *((a32 + 896));
            s2b = *((a32 + 897));
            a73 = *((a42 + 12));
            a83 = *((a42 + 13));
            s3b = _mm_sub_ps(_mm_mul_ps(a73, s9a), _mm_mul_ps(a83, s0b));
            s4b = _mm_add_ps(_mm_mul_ps(a83, s9a), _mm_mul_ps(a73, s0b));
            a93 = *((a42 + 14));
            a04 = *((a42 + 15));
            s5b = _mm_sub_ps(_mm_mul_ps(a93, s1b), _mm_mul_ps(a04, s2b));
            s6b = _mm_add_ps(_mm_mul_ps(a04, s1b), _mm_mul_ps(a93, s2b));
            t56 = _mm_add_ps(s3b, s5b);
            t66 = _mm_add_ps(s4b, s6b);
            t76 = _mm_sub_ps(s3b, s5b);
            t86 = _mm_sub_ps(s4b, s6b);
            t96 = _mm_add_ps(t16, t56);
            t07 = _mm_add_ps(t26, t66);
            t17 = _mm_sub_ps(t16, t56);
            t27 = _mm_sub_ps(t26, t66);
            a14 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t36, t86));
            a24 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t46, t76));
            s7b = _mm_sub_ps(a14, a24);
            s8b = _mm_add_ps(a14, a24);
            a34 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t36, t86));
            a44 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t46, t76));
            s9b = _mm_sub_ps(a34, a44);
            s0c = _mm_add_ps(a34, a44);
            t37 = _mm_add_ps(t35, t96);
            t47 = _mm_add_ps(t45, t07);
            t57 = _mm_sub_ps(t35, t96);
            t67 = _mm_sub_ps(t45, t07);
            a54 = (D965 + a22);
            a64 = *(a54);
            a74 = *((a54 + 1));
            a84 = *((a54 + 2));
            a94 = *((a54 + 3));
            a05 = (((__m128  *) T4) + a22);
            s1c = _mm_sub_ps(_mm_mul_ps(a64, t37), _mm_mul_ps(a74, t47));
            *(a05) = s1c;
            s2c = _mm_add_ps(_mm_mul_ps(a74, t37), _mm_mul_ps(a64, t47));
            *((a05 + 1)) = s2c;
            s3c = _mm_sub_ps(_mm_mul_ps(a84, t57), _mm_mul_ps(a94, t67));
            *((a05 + 8)) = s3c;
            s4c = _mm_add_ps(_mm_mul_ps(a94, t57), _mm_mul_ps(a84, t67));
            *((a05 + 9)) = s4c;
            t77 = _mm_add_ps(t75, s7b);
            t87 = _mm_add_ps(t85, s8b);
            t97 = _mm_sub_ps(t75, s7b);
            t08 = _mm_sub_ps(t85, s8b);
            a15 = *((a54 + 4));
            a25 = *((a54 + 5));
            a35 = *((a54 + 6));
            a45 = *((a54 + 7));
            s5c = _mm_sub_ps(_mm_mul_ps(a15, t77), _mm_mul_ps(a25, t87));
            *((a05 + 2)) = s5c;
            s6c = _mm_add_ps(_mm_mul_ps(a25, t77), _mm_mul_ps(a15, t87));
            *((a05 + 3)) = s6c;
            s7c = _mm_sub_ps(_mm_mul_ps(a35, t97), _mm_mul_ps(a45, t08));
            *((a05 + 10)) = s7c;
            s8c = _mm_add_ps(_mm_mul_ps(a45, t97), _mm_mul_ps(a35, t08));
            *((a05 + 11)) = s8c;
            t18 = _mm_sub_ps(t55, t27);
            t28 = _mm_add_ps(t65, t17);
            t38 = _mm_add_ps(t55, t27);
            t48 = _mm_sub_ps(t65, t17);
            a55 = *((a54 + 8));
            a65 = *((a54 + 9));
            a75 = *((a54 + 10));
            a85 = *((a54 + 11));
            s9c = _mm_sub_ps(_mm_mul_ps(a55, t18), _mm_mul_ps(a65, t28));
            *((a05 + 4)) = s9c;
            s0d = _mm_add_ps(_mm_mul_ps(a65, t18), _mm_mul_ps(a55, t28));
            *((a05 + 5)) = s0d;
            s1d = _mm_sub_ps(_mm_mul_ps(a75, t38), _mm_mul_ps(a85, t48));
            *((a05 + 12)) = s1d;
            s2d = _mm_add_ps(_mm_mul_ps(a85, t38), _mm_mul_ps(a75, t48));
            *((a05 + 13)) = s2d;
            t58 = _mm_add_ps(t95, s9b);
            t68 = _mm_sub_ps(t06, s0c);
            t78 = _mm_sub_ps(t95, s9b);
            t88 = _mm_add_ps(t06, s0c);
            a95 = *((a54 + 12));
            a06 = *((a54 + 13));
            a16 = *((a54 + 14));
            a26 = *((a54 + 15));
            s3d = _mm_sub_ps(_mm_mul_ps(a95, t58), _mm_mul_ps(a06, t68));
            *((a05 + 6)) = s3d;
            s4d = _mm_add_ps(_mm_mul_ps(a06, t58), _mm_mul_ps(a95, t68));
            *((a05 + 7)) = s4d;
            s5d = _mm_sub_ps(_mm_mul_ps(a16, t78), _mm_mul_ps(a26, t88));
            *((a05 + 14)) = s5d;
            s6d = _mm_add_ps(_mm_mul_ps(a26, t78), _mm_mul_ps(a16, t88));
            *((a05 + 15)) = s6d;
        }}
        {long i7; for(i7 = 0; i7 <= 7; i7++) {
            a36 = (((__m128  *) T4) + (2 * i7));
            s7d = *(a36);
            s8d = *((a36 + 1));
            s9d = *((a36 + 64));
            s0e = *((a36 + 65));
            t98 = _mm_add_ps(s7d, s9d);
            t09 = _mm_add_ps(s8d, s0e);
            t19 = _mm_sub_ps(s7d, s9d);
            t29 = _mm_sub_ps(s8d, s0e);
            s1e = *((a36 + 32));
            s2e = *((a36 + 33));
            s3e = *((a36 + 96));
            s4e = *((a36 + 97));
            t39 = _mm_add_ps(s1e, s3e);
            t49 = _mm_add_ps(s2e, s4e);
            t59 = _mm_sub_ps(s1e, s3e);
            t69 = _mm_sub_ps(s2e, s4e);
            t79 = _mm_add_ps(t98, t39);
            t89 = _mm_add_ps(t09, t49);
            t99 = _mm_sub_ps(t98, t39);
            t0a = _mm_sub_ps(t09, t49);
            t1a = _mm_sub_ps(t19, t69);
            t2a = _mm_add_ps(t29, t59);
            t3a = _mm_add_ps(t19, t69);
            t4a = _mm_sub_ps(t29, t59);
            s5e = *((a36 + 16));
            s6e = *((a36 + 17));
            s7e = *((a36 + 80));
            s8e = *((a36 + 81));
            t5a = _mm_add_ps(s5e, s7e);
            t6a = _mm_add_ps(s6e, s8e);
            t7a = _mm_sub_ps(s5e, s7e);
            t8a = _mm_sub_ps(s6e, s8e);
            s9e = *((a36 + 48));
            s0f = *((a36 + 49));
            s1f = *((a36 + 112));
            s2f = *((a36 + 113));
            t9a = _mm_add_ps(s9e, s1f);
            t0b = _mm_add_ps(s0f, s2f);
            t1b = _mm_sub_ps(s9e, s1f);
            t2b = _mm_sub_ps(s0f, s2f);
            t3b = _mm_add_ps(t5a, t9a);
            t4b = _mm_add_ps(t6a, t0b);
            t5b = _mm_sub_ps(t5a, t9a);
            t6b = _mm_sub_ps(t6a, t0b);
            a46 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t7a, t2b));
            a56 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t8a, t1b));
            s3f = _mm_sub_ps(a46, a56);
            s4f = _mm_add_ps(a46, a56);
            a66 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t7a, t2b));
            a76 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t8a, t1b));
            s5f = _mm_sub_ps(a66, a76);
            s6f = _mm_add_ps(a66, a76);
            t7b = _mm_add_ps(t79, t3b);
            t8b = _mm_add_ps(t89, t4b);
            t9b = _mm_sub_ps(t79, t3b);
            t0c = _mm_sub_ps(t89, t4b);
            a86 = (dst + ((8 * i5) + (64 * i7)));
            s7f = _mm_unpacklo_ps(t7b, t8b);
            _mm_storeu_ps(((float  *) a86), s7f);
            s8f = _mm_unpackhi_ps(t7b, t8b);
            _mm_storeu_ps(((float  *) (a86 + 4)), s8f);
            s9f = _mm_unpacklo_ps(t9b, t0c);
            _mm_storeu_ps(((float  *) (a86 + 2048)), s9f);
            s0g = _mm_unpackhi_ps(t9b, t0c);
            _mm_storeu_ps(((float  *) (a86 + 2052)), s0g);
            t1c = _mm_add_ps(t1a, s3f);
            t2c = _mm_add_ps(t2a, s4f);
            t3c = _mm_sub_ps(t1a, s3f);
            t4c = _mm_sub_ps(t2a, s4f);
            s1g = _mm_unpacklo_ps(t1c, t2c);
            _mm_storeu_ps(((float  *) (a86 + 512)), s1g);
            s2g = _mm_unpackhi_ps(t1c, t2c);
            _mm_storeu_ps(((float  *) (a86 + 516)), s2g);
            s3g = _mm_unpacklo_ps(t3c, t4c);
            _mm_storeu_ps(((float  *) (a86 + 2560)), s3g);
            s4g = _mm_unpackhi_ps(t3c, t4c);
            _mm_storeu_ps(((float  *) (a86 + 2564)), s4g);
            t5c = _mm_sub_ps(t99, t6b);
            t6c = _mm_add_ps(t0a, t5b);
            t7c = _mm_add_ps(t99, t6b);
            t8c = _mm_sub_ps(t0a, t5b);
            s5g = _mm_unpacklo_ps(t5c, t6c);
            _mm_storeu_ps(((float  *) (a86 + 1024)), s5g);
            s6g = _mm_unpackhi_ps(t5c, t6c);
            _mm_storeu_ps(((float  *) (a86 + 1028)), s6g);
            s7g = _mm_unpacklo_ps(t7c, t8c);
            _mm_storeu_ps(((float  *) (a86 + 3072)), s7g);
            s8g = _mm_unpackhi_ps(t7c, t8c);
            _mm_storeu_ps(((float  *) (a86 + 3076)), s8g);
            t9c = _mm_add_ps(t3a, s5f);
            t0d = _mm_sub_ps(t4a, s6f);
            t1d = _mm_sub_ps(t3a, s5f);
            t2d = _mm_add_ps(t4a, s6f);
            s9g = _mm_unpacklo_ps(t9c, t0d);
            _mm_storeu_ps(((float  *) (a86 + 1536)), s9g);
            s0h = _mm_unpackhi_ps(t9c, t0d);
            _mm_storeu_ps(((float  *) (a86 + 1540)), s0h);
            s1h = _mm_unpacklo_ps(t1d, t2d);
            _mm_storeu_ps(((float  *) (a86 + 3584)), s1h);
            s2h = _mm_unpackhi_ps(t1d, t2d);
            _mm_storeu_ps(((float  *) (a86 + 3588)), s2h);
        }}
    }}
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_fftinv_float_2048)(const float *pSrc, float *pDst ) {
    if (!is_aligned(pSrc) || !is_aligned(pDst))
       	return spiral_fftinv_float_2048_unaligned(pSrc, pDst );
    else {
    const float  *src = (const float *) pSrc; 
    float        *dst = (float *) pDst;
    
    
    { SPIRAL_ALIGNED(float T[4096]);
     SPIRAL_ALIGNED(float T2[256]);
     SPIRAL_ALIGNED(float T3[256]);
     SPIRAL_ALIGNED(float T4[512]);
    __m128 s08, s0g, s0h, s18, s1g, s1h, s28, s2g, s2h, s38, s3g, s48, s4g, s5g, s6g, s77, s7f, s7g, s87, s8f, s8g, s97
            , s9f, s9g;
    __m128 a01, a03, a04, a06, a11, a13, a14, a15, a16, a21, a23, a24, a25, a26, a33, a34, a35, a4, a43, a44, a45, a46
            , a5, a51, a52, a53, a55, a56, a6, a61, a62, a63, a64, a65, a66, a7, a71, a72, a73, a74, a75, a76, a81, a82
            , a83, a84, a85, a9, a92, a93, a94, a95, s, s01, s02, s03, s04, s05, s06, s07, s09, s0a, s0b, s0c, s0d, s0e
            , s0f, s11, s12, s13, s14, s15, s16, s17, s19, s1a, s1b, s1c, s1d, s1e, s1f, s2, s21, s22, s23, s24, s25, s26
            , s27, s29, s2a, s2b, s2c, s2d, s2e, s2f, s3, s31, s32, s33, s34, s35, s36, s37, s39, s3a, s3b, s3c, s3d, s3e
            , s3f, s4, s41, s42, s43, s44, s45, s46, s47, s49, s4a, s4b, s4c, s4d, s4e, s4f, s5, s51, s52, s53, s54, s55
            , s56, s57, s58, s59, s5a, s5b, s5c, s5d, s5e, s5f, s6, s61, s62, s63, s64, s65, s66, s67, s68, s69, s6a, s6b
            , s6c, s6d, s6e, s6f, s7, s71, s72, s73, s74, s75, s76, s78, s79, s7a, s7b, s7c, s7d, s7e, s8, s81, s82, s83
            , s84, s85, s86, s88, s89, s8a, s8b, s8c, s8d, s8e, s9, s91, s92, s93, s94, s95, s96, s98, s99, s9a, s9b, s9c
            , s9d, s9e, t, t01, t02, t03, t04, t05, t06, t07, t08, t09, t0a, t0b, t0c, t0d, t11, t12, t13, t14, t15, t16
            , t17, t18, t19, t1a, t1b, t1c, t1d, t2, t21, t22, t23, t24, t25, t26, t27, t28, t29, t2a, t2b, t2c, t2d, t3
            , t31, t32, t33, t34, t35, t36, t37, t38, t39, t3a, t3b, t3c, t4, t41, t42, t43, t44, t45, t46, t47, t48, t49
            , t4a, t4b, t4c, t5, t51, t52, t53, t54, t55, t56, t57, t58, t59, t5a, t5b, t5c, t6, t61, t62, t63, t64, t65
            , t66, t67, t68, t69, t6a, t6b, t6c, t7, t71, t72, t73, t74, t75, t76, t77, t78, t79, t7a, t7b, t7c, t8, t81
            , t82, t83, t84, t85, t86, t87, t88, t89, t8a, t8b, t8c, t9, t91, t92, t93, t94, t95, t96, t97, t98, t99, t9a
            , t9b, t9c;
    __m128  *a, *a02, *a05, *a12, *a3, *a32, *a36, *a41, *a42, *a54, *a8, *a86, *a91;
    int a2, a22, a31;
    {long i; for(i = 0; i <= 15; i++) {
        {long i2; for(i2 = 0; i2 <= 7; i2++) {
            a = (((__m128  *) src) + ((2 * i) + (32 * i2)));
            s = *(a);
            s2 = *((a + 1));
            s3 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(2, 0, 2, 0));
            s4 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(3, 1, 3, 1));
            s5 = *((a + 512));
            s6 = *((a + 513));
            s7 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(2, 0, 2, 0));
            s8 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(3, 1, 3, 1));
            t = _mm_add_ps(s3, s7);
            t2 = _mm_add_ps(s4, s8);
            t3 = _mm_sub_ps(s3, s7);
            t4 = _mm_sub_ps(s4, s8);
            s9 = *((a + 256));
            s01 = *((a + 257));
            s11 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(2, 0, 2, 0));
            s21 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(3, 1, 3, 1));
            s31 = *((a + 768));
            s41 = *((a + 769));
            s51 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(2, 0, 2, 0));
            s61 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(3, 1, 3, 1));
            t5 = _mm_add_ps(s11, s51);
            t6 = _mm_add_ps(s21, s61);
            t7 = _mm_sub_ps(s11, s51);
            t8 = _mm_sub_ps(s21, s61);
            t9 = _mm_add_ps(t, t5);
            t01 = _mm_add_ps(t2, t6);
            t11 = _mm_sub_ps(t, t5);
            t21 = _mm_sub_ps(t2, t6);
            a2 = (8 * i2);
            a3 = (D970 + a2);
            a4 = *(a3);
            a5 = *((a3 + 1));
            a6 = *((a3 + 2));
            a7 = *((a3 + 3));
            a8 = (((__m128  *) T3) + a2);
            s71 = _mm_sub_ps(_mm_mul_ps(a4, t9), _mm_mul_ps(a5, t01));
            *(a8) = s71;
            s81 = _mm_add_ps(_mm_mul_ps(a5, t9), _mm_mul_ps(a4, t01));
            *((a8 + 1)) = s81;
            s91 = _mm_sub_ps(_mm_mul_ps(a6, t11), _mm_mul_ps(a7, t21));
            *((a8 + 4)) = s91;
            s02 = _mm_add_ps(_mm_mul_ps(a7, t11), _mm_mul_ps(a6, t21));
            *((a8 + 5)) = s02;
            t31 = _mm_sub_ps(t3, t8);
            t41 = _mm_add_ps(t4, t7);
            t51 = _mm_add_ps(t3, t8);
            t61 = _mm_sub_ps(t4, t7);
            a9 = *((a3 + 4));
            a01 = *((a3 + 5));
            a11 = *((a3 + 6));
            a21 = *((a3 + 7));
            s12 = _mm_sub_ps(_mm_mul_ps(a9, t31), _mm_mul_ps(a01, t41));
            *((a8 + 2)) = s12;
            s22 = _mm_add_ps(_mm_mul_ps(a01, t31), _mm_mul_ps(a9, t41));
            *((a8 + 3)) = s22;
            s32 = _mm_sub_ps(_mm_mul_ps(a11, t51), _mm_mul_ps(a21, t61));
            *((a8 + 6)) = s32;
            s42 = _mm_add_ps(_mm_mul_ps(a21, t51), _mm_mul_ps(a11, t61));
            *((a8 + 7)) = s42;
        }}
        {long i3; for(i3 = 0; i3 <= 3; i3++) {
            a31 = (2 * i3);
            a41 = (((__m128  *) T3) + a31);
            s52 = *(a41);
            s62 = *((a41 + 1));
            s72 = *((a41 + 32));
            s82 = *((a41 + 33));
            t71 = _mm_add_ps(s52, s72);
            t81 = _mm_add_ps(s62, s82);
            t91 = _mm_sub_ps(s52, s72);
            t02 = _mm_sub_ps(s62, s82);
            s92 = *((a41 + 16));
            s03 = *((a41 + 17));
            s13 = *((a41 + 48));
            s23 = *((a41 + 49));
            t12 = _mm_add_ps(s92, s13);
            t22 = _mm_add_ps(s03, s23);
            t32 = _mm_sub_ps(s92, s13);
            t42 = _mm_sub_ps(s03, s23);
            t52 = _mm_add_ps(t71, t12);
            t62 = _mm_add_ps(t81, t22);
            t72 = _mm_sub_ps(t71, t12);
            t82 = _mm_sub_ps(t81, t22);
            t92 = _mm_sub_ps(t91, t42);
            t03 = _mm_add_ps(t02, t32);
            t13 = _mm_add_ps(t91, t42);
            t23 = _mm_sub_ps(t02, t32);
            s33 = *((a41 + 8));
            s43 = *((a41 + 9));
            s53 = *((a41 + 40));
            s63 = *((a41 + 41));
            t33 = _mm_add_ps(s33, s53);
            t43 = _mm_add_ps(s43, s63);
            t53 = _mm_sub_ps(s33, s53);
            t63 = _mm_sub_ps(s43, s63);
            s73 = *((a41 + 24));
            s83 = *((a41 + 25));
            s93 = *((a41 + 56));
            s04 = *((a41 + 57));
            t73 = _mm_add_ps(s73, s93);
            t83 = _mm_add_ps(s83, s04);
            t93 = _mm_sub_ps(s73, s93);
            t04 = _mm_sub_ps(s83, s04);
            t14 = _mm_add_ps(t33, t73);
            t24 = _mm_add_ps(t43, t83);
            t34 = _mm_sub_ps(t33, t73);
            t44 = _mm_sub_ps(t43, t83);
            a51 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t53, t04));
            a61 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t63, t93));
            s14 = _mm_sub_ps(a51, a61);
            s24 = _mm_add_ps(a51, a61);
            a71 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t53, t04));
            a81 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t63, t93));
            s34 = _mm_sub_ps(a71, a81);
            s44 = _mm_add_ps(a71, a81);
            a91 = (((__m128  *) T2) + a31);
            s54 = _mm_add_ps(t52, t14);
            *(a91) = s54;
            s64 = _mm_add_ps(t62, t24);
            *((a91 + 1)) = s64;
            s74 = _mm_sub_ps(t52, t14);
            *((a91 + 32)) = s74;
            s84 = _mm_sub_ps(t62, t24);
            *((a91 + 33)) = s84;
            s94 = _mm_add_ps(t92, s14);
            *((a91 + 8)) = s94;
            s05 = _mm_add_ps(t03, s24);
            *((a91 + 9)) = s05;
            s15 = _mm_sub_ps(t92, s14);
            *((a91 + 40)) = s15;
            s25 = _mm_sub_ps(t03, s24);
            *((a91 + 41)) = s25;
            s35 = _mm_sub_ps(t72, t44);
            *((a91 + 16)) = s35;
            s45 = _mm_add_ps(t82, t34);
            *((a91 + 17)) = s45;
            s55 = _mm_add_ps(t72, t44);
            *((a91 + 48)) = s55;
            s65 = _mm_sub_ps(t82, t34);
            *((a91 + 49)) = s65;
            s75 = _mm_add_ps(t13, s34);
            *((a91 + 24)) = s75;
            s85 = _mm_sub_ps(t23, s44);
            *((a91 + 25)) = s85;
            s95 = _mm_sub_ps(t13, s34);
            *((a91 + 56)) = s95;
            s06 = _mm_add_ps(t23, s44);
            *((a91 + 57)) = s06;
        }}
        {long i4; for(i4 = 0; i4 <= 7; i4++) {
            a02 = (((__m128  *) T2) + (8 * i4));
            s16 = *(a02);
            s26 = *((a02 + 2));
            s36 = _mm_unpacklo_ps(s16, s26);
            s46 = _mm_unpackhi_ps(s16, s26);
            s56 = *((a02 + 1));
            s66 = *((a02 + 3));
            s76 = _mm_unpacklo_ps(s56, s66);
            s86 = _mm_unpackhi_ps(s56, s66);
            s96 = *((a02 + 4));
            s07 = *((a02 + 6));
            s17 = _mm_unpacklo_ps(s96, s07);
            s27 = _mm_unpackhi_ps(s96, s07);
            s37 = *((a02 + 5));
            s47 = *((a02 + 7));
            s57 = _mm_unpacklo_ps(s37, s47);
            s67 = _mm_unpackhi_ps(s37, s47);
            a12 = (((__m128  *) T) + ((64 * i) + (2 * i4)));
            s77 = _mm_shuffle_ps(s36, s17, _MM_SHUFFLE(1, 0, 1, 0));
            *(a12) = s77;
            s87 = _mm_shuffle_ps(s36, s17, _MM_SHUFFLE(3, 2, 3, 2));
            *((a12 + 16)) = s87;
            s97 = _mm_shuffle_ps(s46, s27, _MM_SHUFFLE(1, 0, 1, 0));
            *((a12 + 32)) = s97;
            s08 = _mm_shuffle_ps(s46, s27, _MM_SHUFFLE(3, 2, 3, 2));
            *((a12 + 48)) = s08;
            s18 = _mm_shuffle_ps(s76, s57, _MM_SHUFFLE(1, 0, 1, 0));
            *((a12 + 1)) = s18;
            s28 = _mm_shuffle_ps(s76, s57, _MM_SHUFFLE(3, 2, 3, 2));
            *((a12 + 17)) = s28;
            s38 = _mm_shuffle_ps(s86, s67, _MM_SHUFFLE(1, 0, 1, 0));
            *((a12 + 33)) = s38;
            s48 = _mm_shuffle_ps(s86, s67, _MM_SHUFFLE(3, 2, 3, 2));
            *((a12 + 49)) = s48;
        }}
    }}
    {long i5; for(i5 = 0; i5 <= 7; i5++) {
        {long i6; for(i6 = 0; i6 <= 7; i6++) {
            a22 = (16 * i6);
            a32 = (((__m128  *) T) + ((2 * i5) + a22));
            s58 = *(a32);
            s68 = *((a32 + 1));
            s78 = *((a32 + 512));
            s88 = *((a32 + 513));
            a42 = (D969 + ((128 * i5) + a22));
            a52 = *(a42);
            a62 = *((a42 + 1));
            s98 = _mm_sub_ps(_mm_mul_ps(a52, s58), _mm_mul_ps(a62, s68));
            s09 = _mm_add_ps(_mm_mul_ps(a62, s58), _mm_mul_ps(a52, s68));
            a72 = *((a42 + 2));
            a82 = *((a42 + 3));
            s19 = _mm_sub_ps(_mm_mul_ps(a72, s78), _mm_mul_ps(a82, s88));
            s29 = _mm_add_ps(_mm_mul_ps(a82, s78), _mm_mul_ps(a72, s88));
            t54 = _mm_add_ps(s98, s19);
            t64 = _mm_add_ps(s09, s29);
            t74 = _mm_sub_ps(s98, s19);
            t84 = _mm_sub_ps(s09, s29);
            s39 = *((a32 + 256));
            s49 = *((a32 + 257));
            s59 = *((a32 + 768));
            s69 = *((a32 + 769));
            a92 = *((a42 + 4));
            a03 = *((a42 + 5));
            s79 = _mm_sub_ps(_mm_mul_ps(a92, s39), _mm_mul_ps(a03, s49));
            s89 = _mm_add_ps(_mm_mul_ps(a03, s39), _mm_mul_ps(a92, s49));
            a13 = *((a42 + 6));
            a23 = *((a42 + 7));
            s99 = _mm_sub_ps(_mm_mul_ps(a13, s59), _mm_mul_ps(a23, s69));
            s0a = _mm_add_ps(_mm_mul_ps(a23, s59), _mm_mul_ps(a13, s69));
            t94 = _mm_add_ps(s79, s99);
            t05 = _mm_add_ps(s89, s0a);
            t15 = _mm_sub_ps(s79, s99);
            t25 = _mm_sub_ps(s89, s0a);
            t35 = _mm_add_ps(t54, t94);
            t45 = _mm_add_ps(t64, t05);
            t55 = _mm_sub_ps(t54, t94);
            t65 = _mm_sub_ps(t64, t05);
            t75 = _mm_sub_ps(t74, t25);
            t85 = _mm_add_ps(t84, t15);
            t95 = _mm_add_ps(t74, t25);
            t06 = _mm_sub_ps(t84, t15);
            s1a = *((a32 + 128));
            s2a = *((a32 + 129));
            s3a = *((a32 + 640));
            s4a = *((a32 + 641));
            a33 = *((a42 + 8));
            a43 = *((a42 + 9));
            s5a = _mm_sub_ps(_mm_mul_ps(a33, s1a), _mm_mul_ps(a43, s2a));
            s6a = _mm_add_ps(_mm_mul_ps(a43, s1a), _mm_mul_ps(a33, s2a));
            a53 = *((a42 + 10));
            a63 = *((a42 + 11));
            s7a = _mm_sub_ps(_mm_mul_ps(a53, s3a), _mm_mul_ps(a63, s4a));
            s8a = _mm_add_ps(_mm_mul_ps(a63, s3a), _mm_mul_ps(a53, s4a));
            t16 = _mm_add_ps(s5a, s7a);
            t26 = _mm_add_ps(s6a, s8a);
            t36 = _mm_sub_ps(s5a, s7a);
            t46 = _mm_sub_ps(s6a, s8a);
            s9a = *((a32 + 384));
            s0b = *((a32 + 385));
            s1b = *((a32 + 896));
            s2b = *((a32 + 897));
            a73 = *((a42 + 12));
            a83 = *((a42 + 13));
            s3b = _mm_sub_ps(_mm_mul_ps(a73, s9a), _mm_mul_ps(a83, s0b));
            s4b = _mm_add_ps(_mm_mul_ps(a83, s9a), _mm_mul_ps(a73, s0b));
            a93 = *((a42 + 14));
            a04 = *((a42 + 15));
            s5b = _mm_sub_ps(_mm_mul_ps(a93, s1b), _mm_mul_ps(a04, s2b));
            s6b = _mm_add_ps(_mm_mul_ps(a04, s1b), _mm_mul_ps(a93, s2b));
            t56 = _mm_add_ps(s3b, s5b);
            t66 = _mm_add_ps(s4b, s6b);
            t76 = _mm_sub_ps(s3b, s5b);
            t86 = _mm_sub_ps(s4b, s6b);
            t96 = _mm_add_ps(t16, t56);
            t07 = _mm_add_ps(t26, t66);
            t17 = _mm_sub_ps(t16, t56);
            t27 = _mm_sub_ps(t26, t66);
            a14 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t36, t86));
            a24 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t46, t76));
            s7b = _mm_sub_ps(a14, a24);
            s8b = _mm_add_ps(a14, a24);
            a34 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t36, t86));
            a44 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t46, t76));
            s9b = _mm_sub_ps(a34, a44);
            s0c = _mm_add_ps(a34, a44);
            t37 = _mm_add_ps(t35, t96);
            t47 = _mm_add_ps(t45, t07);
            t57 = _mm_sub_ps(t35, t96);
            t67 = _mm_sub_ps(t45, t07);
            a54 = (D965 + a22);
            a64 = *(a54);
            a74 = *((a54 + 1));
            a84 = *((a54 + 2));
            a94 = *((a54 + 3));
            a05 = (((__m128  *) T4) + a22);
            s1c = _mm_sub_ps(_mm_mul_ps(a64, t37), _mm_mul_ps(a74, t47));
            *(a05) = s1c;
            s2c = _mm_add_ps(_mm_mul_ps(a74, t37), _mm_mul_ps(a64, t47));
            *((a05 + 1)) = s2c;
            s3c = _mm_sub_ps(_mm_mul_ps(a84, t57), _mm_mul_ps(a94, t67));
            *((a05 + 8)) = s3c;
            s4c = _mm_add_ps(_mm_mul_ps(a94, t57), _mm_mul_ps(a84, t67));
            *((a05 + 9)) = s4c;
            t77 = _mm_add_ps(t75, s7b);
            t87 = _mm_add_ps(t85, s8b);
            t97 = _mm_sub_ps(t75, s7b);
            t08 = _mm_sub_ps(t85, s8b);
            a15 = *((a54 + 4));
            a25 = *((a54 + 5));
            a35 = *((a54 + 6));
            a45 = *((a54 + 7));
            s5c = _mm_sub_ps(_mm_mul_ps(a15, t77), _mm_mul_ps(a25, t87));
            *((a05 + 2)) = s5c;
            s6c = _mm_add_ps(_mm_mul_ps(a25, t77), _mm_mul_ps(a15, t87));
            *((a05 + 3)) = s6c;
            s7c = _mm_sub_ps(_mm_mul_ps(a35, t97), _mm_mul_ps(a45, t08));
            *((a05 + 10)) = s7c;
            s8c = _mm_add_ps(_mm_mul_ps(a45, t97), _mm_mul_ps(a35, t08));
            *((a05 + 11)) = s8c;
            t18 = _mm_sub_ps(t55, t27);
            t28 = _mm_add_ps(t65, t17);
            t38 = _mm_add_ps(t55, t27);
            t48 = _mm_sub_ps(t65, t17);
            a55 = *((a54 + 8));
            a65 = *((a54 + 9));
            a75 = *((a54 + 10));
            a85 = *((a54 + 11));
            s9c = _mm_sub_ps(_mm_mul_ps(a55, t18), _mm_mul_ps(a65, t28));
            *((a05 + 4)) = s9c;
            s0d = _mm_add_ps(_mm_mul_ps(a65, t18), _mm_mul_ps(a55, t28));
            *((a05 + 5)) = s0d;
            s1d = _mm_sub_ps(_mm_mul_ps(a75, t38), _mm_mul_ps(a85, t48));
            *((a05 + 12)) = s1d;
            s2d = _mm_add_ps(_mm_mul_ps(a85, t38), _mm_mul_ps(a75, t48));
            *((a05 + 13)) = s2d;
            t58 = _mm_add_ps(t95, s9b);
            t68 = _mm_sub_ps(t06, s0c);
            t78 = _mm_sub_ps(t95, s9b);
            t88 = _mm_add_ps(t06, s0c);
            a95 = *((a54 + 12));
            a06 = *((a54 + 13));
            a16 = *((a54 + 14));
            a26 = *((a54 + 15));
            s3d = _mm_sub_ps(_mm_mul_ps(a95, t58), _mm_mul_ps(a06, t68));
            *((a05 + 6)) = s3d;
            s4d = _mm_add_ps(_mm_mul_ps(a06, t58), _mm_mul_ps(a95, t68));
            *((a05 + 7)) = s4d;
            s5d = _mm_sub_ps(_mm_mul_ps(a16, t78), _mm_mul_ps(a26, t88));
            *((a05 + 14)) = s5d;
            s6d = _mm_add_ps(_mm_mul_ps(a26, t78), _mm_mul_ps(a16, t88));
            *((a05 + 15)) = s6d;
        }}
        {long i7; for(i7 = 0; i7 <= 7; i7++) {
            a36 = (((__m128  *) T4) + (2 * i7));
            s7d = *(a36);
            s8d = *((a36 + 1));
            s9d = *((a36 + 64));
            s0e = *((a36 + 65));
            t98 = _mm_add_ps(s7d, s9d);
            t09 = _mm_add_ps(s8d, s0e);
            t19 = _mm_sub_ps(s7d, s9d);
            t29 = _mm_sub_ps(s8d, s0e);
            s1e = *((a36 + 32));
            s2e = *((a36 + 33));
            s3e = *((a36 + 96));
            s4e = *((a36 + 97));
            t39 = _mm_add_ps(s1e, s3e);
            t49 = _mm_add_ps(s2e, s4e);
            t59 = _mm_sub_ps(s1e, s3e);
            t69 = _mm_sub_ps(s2e, s4e);
            t79 = _mm_add_ps(t98, t39);
            t89 = _mm_add_ps(t09, t49);
            t99 = _mm_sub_ps(t98, t39);
            t0a = _mm_sub_ps(t09, t49);
            t1a = _mm_sub_ps(t19, t69);
            t2a = _mm_add_ps(t29, t59);
            t3a = _mm_add_ps(t19, t69);
            t4a = _mm_sub_ps(t29, t59);
            s5e = *((a36 + 16));
            s6e = *((a36 + 17));
            s7e = *((a36 + 80));
            s8e = *((a36 + 81));
            t5a = _mm_add_ps(s5e, s7e);
            t6a = _mm_add_ps(s6e, s8e);
            t7a = _mm_sub_ps(s5e, s7e);
            t8a = _mm_sub_ps(s6e, s8e);
            s9e = *((a36 + 48));
            s0f = *((a36 + 49));
            s1f = *((a36 + 112));
            s2f = *((a36 + 113));
            t9a = _mm_add_ps(s9e, s1f);
            t0b = _mm_add_ps(s0f, s2f);
            t1b = _mm_sub_ps(s9e, s1f);
            t2b = _mm_sub_ps(s0f, s2f);
            t3b = _mm_add_ps(t5a, t9a);
            t4b = _mm_add_ps(t6a, t0b);
            t5b = _mm_sub_ps(t5a, t9a);
            t6b = _mm_sub_ps(t6a, t0b);
            a46 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t7a, t2b));
            a56 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t8a, t1b));
            s3f = _mm_sub_ps(a46, a56);
            s4f = _mm_add_ps(a46, a56);
            a66 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t7a, t2b));
            a76 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t8a, t1b));
            s5f = _mm_sub_ps(a66, a76);
            s6f = _mm_add_ps(a66, a76);
            t7b = _mm_add_ps(t79, t3b);
            t8b = _mm_add_ps(t89, t4b);
            t9b = _mm_sub_ps(t79, t3b);
            t0c = _mm_sub_ps(t89, t4b);
            a86 = (((__m128  *) dst) + ((2 * i5) + (16 * i7)));
            s7f = _mm_unpacklo_ps(t7b, t8b);
            *(a86) = s7f;
            s8f = _mm_unpackhi_ps(t7b, t8b);
            *((a86 + 1)) = s8f;
            s9f = _mm_unpacklo_ps(t9b, t0c);
            *((a86 + 512)) = s9f;
            s0g = _mm_unpackhi_ps(t9b, t0c);
            *((a86 + 513)) = s0g;
            t1c = _mm_add_ps(t1a, s3f);
            t2c = _mm_add_ps(t2a, s4f);
            t3c = _mm_sub_ps(t1a, s3f);
            t4c = _mm_sub_ps(t2a, s4f);
            s1g = _mm_unpacklo_ps(t1c, t2c);
            *((a86 + 128)) = s1g;
            s2g = _mm_unpackhi_ps(t1c, t2c);
            *((a86 + 129)) = s2g;
            s3g = _mm_unpacklo_ps(t3c, t4c);
            *((a86 + 640)) = s3g;
            s4g = _mm_unpackhi_ps(t3c, t4c);
            *((a86 + 641)) = s4g;
            t5c = _mm_sub_ps(t99, t6b);
            t6c = _mm_add_ps(t0a, t5b);
            t7c = _mm_add_ps(t99, t6b);
            t8c = _mm_sub_ps(t0a, t5b);
            s5g = _mm_unpacklo_ps(t5c, t6c);
            *((a86 + 256)) = s5g;
            s6g = _mm_unpackhi_ps(t5c, t6c);
            *((a86 + 257)) = s6g;
            s7g = _mm_unpacklo_ps(t7c, t8c);
            *((a86 + 768)) = s7g;
            s8g = _mm_unpackhi_ps(t7c, t8c);
            *((a86 + 769)) = s8g;
            t9c = _mm_add_ps(t3a, s5f);
            t0d = _mm_sub_ps(t4a, s6f);
            t1d = _mm_sub_ps(t3a, s5f);
            t2d = _mm_add_ps(t4a, s6f);
            s9g = _mm_unpacklo_ps(t9c, t0d);
            *((a86 + 384)) = s9g;
            s0h = _mm_unpackhi_ps(t9c, t0d);
            *((a86 + 385)) = s0h;
            s1h = _mm_unpacklo_ps(t1d, t2d);
            *((a86 + 896)) = s1h;
            s2h = _mm_unpackhi_ps(t1d, t2d);
            *((a86 + 897)) = s2h;
        }}
    }}
    }
    
    return SPIRAL_OK;
    }
}

SPIRAL_PRIV(spiral_status_t, spiral_fftinv_float_4096_unaligned)(const float *pSrc, float *pDst ) {
    const float  *src = (const float *) pSrc; 
    float        *dst = (float *) pDst;
    
    
    { SPIRAL_ALIGNED(float T[8192]);
     SPIRAL_ALIGNED(float T2[512]);
     SPIRAL_ALIGNED(float T3[512]);
     SPIRAL_ALIGNED(float T4[512]);
    __m128 s0b, s0j, s0k, s1b, s1j, s2b, s2j, s3j, s4j, s5a, s5i, s5j, s6a, s6i, s6j, s7a, s7i, s7j, s8a, s8i, s8j, s9a
            , s9i, s9j;
    __m128 a01, a02, a03, a04, a05, a06, a07, a11, a12, a14, a15, a16, a17, a2, a22, a24, a25, a27, a3, a31, a32, a34
            , a35, a36, a37, a4, a41, a42, a44, a45, a46, a47, a5, a51, a54, a55, a56, a61, a64, a65, a66, a67, a71, a72
            , a73, a74, a76, a77, a8, a81, a82, a83, a84, a85, a86, a87, a9, a91, a92, a93, a94, a95, a96, a97, s, s01
            , s02, s03, s04, s05, s06, s07, s08, s09, s0a, s0c, s0d, s0e, s0f, s0g, s0h, s0i, s11, s12, s13, s14, s15, s16
            , s17, s18, s19, s1a, s1c, s1d, s1e, s1f, s1g, s1h, s1i, s2, s21, s22, s23, s24, s25, s26, s27, s28, s29, s2a
            , s2c, s2d, s2e, s2f, s2g, s2h, s2i, s3, s31, s32, s33, s34, s35, s36, s37, s38, s39, s3a, s3b, s3c, s3d, s3e
            , s3f, s3g, s3h, s3i, s4, s41, s42, s43, s44, s45, s46, s47, s48, s49, s4a, s4b, s4c, s4d, s4e, s4f, s4g, s4h
            , s4i, s5, s51, s52, s53, s54, s55, s56, s57, s58, s59, s5b, s5c, s5d, s5e, s5f, s5g, s5h, s6, s61, s62, s63
            , s64, s65, s66, s67, s68, s69, s6b, s6c, s6d, s6e, s6f, s6g, s6h, s7, s71, s72, s73, s74, s75, s76, s77, s78
            , s79, s7b, s7c, s7d, s7e, s7f, s7g, s7h, s8, s81, s82, s83, s84, s85, s86, s87, s88, s89, s8b, s8c, s8d, s8e
            , s8f, s8g, s8h, s9, s91, s92, s93, s94, s95, s96, s97, s98, s99, s9b, s9c, s9d, s9e, s9f, s9g, s9h, t, t01
            , t02, t03, t04, t05, t06, t07, t08, t09, t0a, t0b, t0c, t0d, t0e, t0f, t0g, t11, t12, t13, t14, t15, t16, t17
            , t18, t19, t1a, t1b, t1c, t1d, t1e, t1f, t2, t21, t22, t23, t24, t25, t26, t27, t28, t29, t2a, t2b, t2c, t2d
            , t2e, t2f, t3, t31, t32, t33, t34, t35, t36, t37, t38, t39, t3a, t3b, t3c, t3d, t3e, t3f, t4, t41, t42, t43
            , t44, t45, t46, t47, t48, t49, t4a, t4b, t4c, t4d, t4e, t4f, t5, t51, t52, t53, t54, t55, t56, t57, t58, t59
            , t5a, t5b, t5c, t5d, t5e, t5f, t6, t61, t62, t63, t64, t65, t66, t67, t68, t69, t6a, t6b, t6c, t6d, t6e, t6f
            , t7, t71, t72, t73, t74, t75, t76, t77, t78, t79, t7a, t7b, t7c, t7d, t7e, t7f, t8, t81, t82, t83, t84, t85
            , t86, t87, t88, t89, t8a, t8b, t8c, t8d, t8e, t8f, t9, t91, t92, t93, t94, t95, t96, t97, t98, t99, t9a, t9b
            , t9c, t9d, t9e, t9f;
    __m128  *a13, *a21, *a23, *a26, *a33, *a43, *a57, *a62, *a63, *a7, *a75;
    float  *a08;
    const float  *a;
    int a52, a53, a6;
    {long i; for(i = 0; i <= 15; i++) {
        {long i2; for(i2 = 0; i2 <= 7; i2++) {
            a = (src + ((8 * i) + (128 * i2)));
            s = _mm_loadu_ps(((const float  *) a));
            s2 = _mm_loadu_ps(((const float  *) (a + 4)));
            s3 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(2, 0, 2, 0));
            s4 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(3, 1, 3, 1));
            s5 = _mm_loadu_ps(((const float  *) (a + 4096)));
            s6 = _mm_loadu_ps(((const float  *) (a + 4100)));
            s7 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(2, 0, 2, 0));
            s8 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(3, 1, 3, 1));
            t = _mm_add_ps(s3, s7);
            t2 = _mm_add_ps(s4, s8);
            t3 = _mm_sub_ps(s3, s7);
            t4 = _mm_sub_ps(s4, s8);
            s9 = _mm_loadu_ps(((const float  *) (a + 2048)));
            s01 = _mm_loadu_ps(((const float  *) (a + 2052)));
            s11 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(2, 0, 2, 0));
            s21 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(3, 1, 3, 1));
            s31 = _mm_loadu_ps(((const float  *) (a + 6144)));
            s41 = _mm_loadu_ps(((const float  *) (a + 6148)));
            s51 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(2, 0, 2, 0));
            s61 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(3, 1, 3, 1));
            t5 = _mm_add_ps(s11, s51);
            t6 = _mm_add_ps(s21, s61);
            t7 = _mm_sub_ps(s11, s51);
            t8 = _mm_sub_ps(s21, s61);
            t9 = _mm_add_ps(t, t5);
            t01 = _mm_add_ps(t2, t6);
            t11 = _mm_sub_ps(t, t5);
            t21 = _mm_sub_ps(t2, t6);
            t31 = _mm_sub_ps(t3, t8);
            t41 = _mm_add_ps(t4, t7);
            t51 = _mm_add_ps(t3, t8);
            t61 = _mm_sub_ps(t4, t7);
            s71 = _mm_loadu_ps(((const float  *) (a + 1024)));
            s81 = _mm_loadu_ps(((const float  *) (a + 1028)));
            s91 = _mm_shuffle_ps(s71, s81, _MM_SHUFFLE(2, 0, 2, 0));
            s02 = _mm_shuffle_ps(s71, s81, _MM_SHUFFLE(3, 1, 3, 1));
            s12 = _mm_loadu_ps(((const float  *) (a + 5120)));
            s22 = _mm_loadu_ps(((const float  *) (a + 5124)));
            s32 = _mm_shuffle_ps(s12, s22, _MM_SHUFFLE(2, 0, 2, 0));
            s42 = _mm_shuffle_ps(s12, s22, _MM_SHUFFLE(3, 1, 3, 1));
            t71 = _mm_add_ps(s91, s32);
            t81 = _mm_add_ps(s02, s42);
            t91 = _mm_sub_ps(s91, s32);
            t02 = _mm_sub_ps(s02, s42);
            s52 = _mm_loadu_ps(((const float  *) (a + 3072)));
            s62 = _mm_loadu_ps(((const float  *) (a + 3076)));
            s72 = _mm_shuffle_ps(s52, s62, _MM_SHUFFLE(2, 0, 2, 0));
            s82 = _mm_shuffle_ps(s52, s62, _MM_SHUFFLE(3, 1, 3, 1));
            s92 = _mm_loadu_ps(((const float  *) (a + 7168)));
            s03 = _mm_loadu_ps(((const float  *) (a + 7172)));
            s13 = _mm_shuffle_ps(s92, s03, _MM_SHUFFLE(2, 0, 2, 0));
            s23 = _mm_shuffle_ps(s92, s03, _MM_SHUFFLE(3, 1, 3, 1));
            t12 = _mm_add_ps(s72, s13);
            t22 = _mm_add_ps(s82, s23);
            t32 = _mm_sub_ps(s72, s13);
            t42 = _mm_sub_ps(s82, s23);
            t52 = _mm_add_ps(t71, t12);
            t62 = _mm_add_ps(t81, t22);
            t72 = _mm_sub_ps(t71, t12);
            t82 = _mm_sub_ps(t81, t22);
            a2 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t91, t42));
            a3 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t02, t32));
            s33 = _mm_sub_ps(a2, a3);
            s43 = _mm_add_ps(a2, a3);
            a4 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t91, t42));
            a5 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t02, t32));
            s53 = _mm_sub_ps(a4, a5);
            s63 = _mm_add_ps(a4, a5);
            t92 = _mm_add_ps(t9, t52);
            t03 = _mm_add_ps(t01, t62);
            t13 = _mm_sub_ps(t9, t52);
            t23 = _mm_sub_ps(t01, t62);
            a6 = (16 * i2);
            a7 = (D965 + a6);
            a8 = *(a7);
            a9 = *((a7 + 1));
            a01 = *((a7 + 2));
            a11 = *((a7 + 3));
            a21 = (((__m128  *) T3) + a6);
            s73 = _mm_sub_ps(_mm_mul_ps(a8, t92), _mm_mul_ps(a9, t03));
            *(a21) = s73;
            s83 = _mm_add_ps(_mm_mul_ps(a9, t92), _mm_mul_ps(a8, t03));
            *((a21 + 1)) = s83;
            s93 = _mm_sub_ps(_mm_mul_ps(a01, t13), _mm_mul_ps(a11, t23));
            *((a21 + 8)) = s93;
            s04 = _mm_add_ps(_mm_mul_ps(a11, t13), _mm_mul_ps(a01, t23));
            *((a21 + 9)) = s04;
            t33 = _mm_add_ps(t31, s33);
            t43 = _mm_add_ps(t41, s43);
            t53 = _mm_sub_ps(t31, s33);
            t63 = _mm_sub_ps(t41, s43);
            a31 = *((a7 + 4));
            a41 = *((a7 + 5));
            a51 = *((a7 + 6));
            a61 = *((a7 + 7));
            s14 = _mm_sub_ps(_mm_mul_ps(a31, t33), _mm_mul_ps(a41, t43));
            *((a21 + 2)) = s14;
            s24 = _mm_add_ps(_mm_mul_ps(a41, t33), _mm_mul_ps(a31, t43));
            *((a21 + 3)) = s24;
            s34 = _mm_sub_ps(_mm_mul_ps(a51, t53), _mm_mul_ps(a61, t63));
            *((a21 + 10)) = s34;
            s44 = _mm_add_ps(_mm_mul_ps(a61, t53), _mm_mul_ps(a51, t63));
            *((a21 + 11)) = s44;
            t73 = _mm_sub_ps(t11, t82);
            t83 = _mm_add_ps(t21, t72);
            t93 = _mm_add_ps(t11, t82);
            t04 = _mm_sub_ps(t21, t72);
            a71 = *((a7 + 8));
            a81 = *((a7 + 9));
            a91 = *((a7 + 10));
            a02 = *((a7 + 11));
            s54 = _mm_sub_ps(_mm_mul_ps(a71, t73), _mm_mul_ps(a81, t83));
            *((a21 + 4)) = s54;
            s64 = _mm_add_ps(_mm_mul_ps(a81, t73), _mm_mul_ps(a71, t83));
            *((a21 + 5)) = s64;
            s74 = _mm_sub_ps(_mm_mul_ps(a91, t93), _mm_mul_ps(a02, t04));
            *((a21 + 12)) = s74;
            s84 = _mm_add_ps(_mm_mul_ps(a02, t93), _mm_mul_ps(a91, t04));
            *((a21 + 13)) = s84;
            t14 = _mm_add_ps(t51, s53);
            t24 = _mm_sub_ps(t61, s63);
            t34 = _mm_sub_ps(t51, s53);
            t44 = _mm_add_ps(t61, s63);
            a12 = *((a7 + 12));
            a22 = *((a7 + 13));
            a32 = *((a7 + 14));
            a42 = *((a7 + 15));
            s94 = _mm_sub_ps(_mm_mul_ps(a12, t14), _mm_mul_ps(a22, t24));
            *((a21 + 6)) = s94;
            s05 = _mm_add_ps(_mm_mul_ps(a22, t14), _mm_mul_ps(a12, t24));
            *((a21 + 7)) = s05;
            s15 = _mm_sub_ps(_mm_mul_ps(a32, t34), _mm_mul_ps(a42, t44));
            *((a21 + 14)) = s15;
            s25 = _mm_add_ps(_mm_mul_ps(a42, t34), _mm_mul_ps(a32, t44));
            *((a21 + 15)) = s25;
        }}
        {long i3; for(i3 = 0; i3 <= 7; i3++) {
            a52 = (2 * i3);
            a62 = (((__m128  *) T3) + a52);
            s35 = *(a62);
            s45 = *((a62 + 1));
            s55 = *((a62 + 64));
            s65 = *((a62 + 65));
            t54 = _mm_add_ps(s35, s55);
            t64 = _mm_add_ps(s45, s65);
            t74 = _mm_sub_ps(s35, s55);
            t84 = _mm_sub_ps(s45, s65);
            s75 = *((a62 + 32));
            s85 = *((a62 + 33));
            s95 = *((a62 + 96));
            s06 = *((a62 + 97));
            t94 = _mm_add_ps(s75, s95);
            t05 = _mm_add_ps(s85, s06);
            t15 = _mm_sub_ps(s75, s95);
            t25 = _mm_sub_ps(s85, s06);
            t35 = _mm_add_ps(t54, t94);
            t45 = _mm_add_ps(t64, t05);
            t55 = _mm_sub_ps(t54, t94);
            t65 = _mm_sub_ps(t64, t05);
            t75 = _mm_sub_ps(t74, t25);
            t85 = _mm_add_ps(t84, t15);
            t95 = _mm_add_ps(t74, t25);
            t06 = _mm_sub_ps(t84, t15);
            s16 = *((a62 + 16));
            s26 = *((a62 + 17));
            s36 = *((a62 + 80));
            s46 = *((a62 + 81));
            t16 = _mm_add_ps(s16, s36);
            t26 = _mm_add_ps(s26, s46);
            t36 = _mm_sub_ps(s16, s36);
            t46 = _mm_sub_ps(s26, s46);
            s56 = *((a62 + 48));
            s66 = *((a62 + 49));
            s76 = *((a62 + 112));
            s86 = *((a62 + 113));
            t56 = _mm_add_ps(s56, s76);
            t66 = _mm_add_ps(s66, s86);
            t76 = _mm_sub_ps(s56, s76);
            t86 = _mm_sub_ps(s66, s86);
            t96 = _mm_add_ps(t16, t56);
            t07 = _mm_add_ps(t26, t66);
            t17 = _mm_sub_ps(t16, t56);
            t27 = _mm_sub_ps(t26, t66);
            a72 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t36, t86));
            a82 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t46, t76));
            s96 = _mm_sub_ps(a72, a82);
            s07 = _mm_add_ps(a72, a82);
            a92 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t36, t86));
            a03 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t46, t76));
            s17 = _mm_sub_ps(a92, a03);
            s27 = _mm_add_ps(a92, a03);
            a13 = (((__m128  *) T2) + a52);
            s37 = _mm_add_ps(t35, t96);
            *(a13) = s37;
            s47 = _mm_add_ps(t45, t07);
            *((a13 + 1)) = s47;
            s57 = _mm_sub_ps(t35, t96);
            *((a13 + 64)) = s57;
            s67 = _mm_sub_ps(t45, t07);
            *((a13 + 65)) = s67;
            s77 = _mm_add_ps(t75, s96);
            *((a13 + 16)) = s77;
            s87 = _mm_add_ps(t85, s07);
            *((a13 + 17)) = s87;
            s97 = _mm_sub_ps(t75, s96);
            *((a13 + 80)) = s97;
            s08 = _mm_sub_ps(t85, s07);
            *((a13 + 81)) = s08;
            s18 = _mm_sub_ps(t55, t27);
            *((a13 + 32)) = s18;
            s28 = _mm_add_ps(t65, t17);
            *((a13 + 33)) = s28;
            s38 = _mm_add_ps(t55, t27);
            *((a13 + 96)) = s38;
            s48 = _mm_sub_ps(t65, t17);
            *((a13 + 97)) = s48;
            s58 = _mm_add_ps(t95, s17);
            *((a13 + 48)) = s58;
            s68 = _mm_sub_ps(t06, s27);
            *((a13 + 49)) = s68;
            s78 = _mm_sub_ps(t95, s17);
            *((a13 + 112)) = s78;
            s88 = _mm_add_ps(t06, s27);
            *((a13 + 113)) = s88;
        }}
        {long i4; for(i4 = 0; i4 <= 15; i4++) {
            a23 = (((__m128  *) T2) + (8 * i4));
            s98 = *(a23);
            s09 = *((a23 + 2));
            s19 = _mm_unpacklo_ps(s98, s09);
            s29 = _mm_unpackhi_ps(s98, s09);
            s39 = *((a23 + 1));
            s49 = *((a23 + 3));
            s59 = _mm_unpacklo_ps(s39, s49);
            s69 = _mm_unpackhi_ps(s39, s49);
            s79 = *((a23 + 4));
            s89 = *((a23 + 6));
            s99 = _mm_unpacklo_ps(s79, s89);
            s0a = _mm_unpackhi_ps(s79, s89);
            s1a = *((a23 + 5));
            s2a = *((a23 + 7));
            s3a = _mm_unpacklo_ps(s1a, s2a);
            s4a = _mm_unpackhi_ps(s1a, s2a);
            a33 = (((__m128  *) T) + ((128 * i) + (2 * i4)));
            s5a = _mm_shuffle_ps(s19, s99, _MM_SHUFFLE(1, 0, 1, 0));
            *(a33) = s5a;
            s6a = _mm_shuffle_ps(s19, s99, _MM_SHUFFLE(3, 2, 3, 2));
            *((a33 + 32)) = s6a;
            s7a = _mm_shuffle_ps(s29, s0a, _MM_SHUFFLE(1, 0, 1, 0));
            *((a33 + 64)) = s7a;
            s8a = _mm_shuffle_ps(s29, s0a, _MM_SHUFFLE(3, 2, 3, 2));
            *((a33 + 96)) = s8a;
            s9a = _mm_shuffle_ps(s59, s3a, _MM_SHUFFLE(1, 0, 1, 0));
            *((a33 + 1)) = s9a;
            s0b = _mm_shuffle_ps(s59, s3a, _MM_SHUFFLE(3, 2, 3, 2));
            *((a33 + 33)) = s0b;
            s1b = _mm_shuffle_ps(s69, s4a, _MM_SHUFFLE(1, 0, 1, 0));
            *((a33 + 65)) = s1b;
            s2b = _mm_shuffle_ps(s69, s4a, _MM_SHUFFLE(3, 2, 3, 2));
            *((a33 + 97)) = s2b;
        }}
    }}
    {long i5; for(i5 = 0; i5 <= 15; i5++) {
        {long i6; for(i6 = 0; i6 <= 7; i6++) {
            a43 = (((__m128  *) T) + ((2 * i5) + (32 * i6)));
            s3b = *(a43);
            s4b = *((a43 + 1));
            s5b = *((a43 + 1024));
            s6b = *((a43 + 1025));
            a53 = (16 * i6);
            a63 = (D971 + ((128 * i5) + a53));
            a73 = *(a63);
            a83 = *((a63 + 1));
            s7b = _mm_sub_ps(_mm_mul_ps(a73, s3b), _mm_mul_ps(a83, s4b));
            s8b = _mm_add_ps(_mm_mul_ps(a83, s3b), _mm_mul_ps(a73, s4b));
            a93 = *((a63 + 2));
            a04 = *((a63 + 3));
            s9b = _mm_sub_ps(_mm_mul_ps(a93, s5b), _mm_mul_ps(a04, s6b));
            s0c = _mm_add_ps(_mm_mul_ps(a04, s5b), _mm_mul_ps(a93, s6b));
            t37 = _mm_add_ps(s7b, s9b);
            t47 = _mm_add_ps(s8b, s0c);
            t57 = _mm_sub_ps(s7b, s9b);
            t67 = _mm_sub_ps(s8b, s0c);
            s1c = *((a43 + 512));
            s2c = *((a43 + 513));
            s3c = *((a43 + 1536));
            s4c = *((a43 + 1537));
            a14 = *((a63 + 4));
            a24 = *((a63 + 5));
            s5c = _mm_sub_ps(_mm_mul_ps(a14, s1c), _mm_mul_ps(a24, s2c));
            s6c = _mm_add_ps(_mm_mul_ps(a24, s1c), _mm_mul_ps(a14, s2c));
            a34 = *((a63 + 6));
            a44 = *((a63 + 7));
            s7c = _mm_sub_ps(_mm_mul_ps(a34, s3c), _mm_mul_ps(a44, s4c));
            s8c = _mm_add_ps(_mm_mul_ps(a44, s3c), _mm_mul_ps(a34, s4c));
            t77 = _mm_add_ps(s5c, s7c);
            t87 = _mm_add_ps(s6c, s8c);
            t97 = _mm_sub_ps(s5c, s7c);
            t08 = _mm_sub_ps(s6c, s8c);
            t18 = _mm_add_ps(t37, t77);
            t28 = _mm_add_ps(t47, t87);
            t38 = _mm_sub_ps(t37, t77);
            t48 = _mm_sub_ps(t47, t87);
            t58 = _mm_sub_ps(t57, t08);
            t68 = _mm_add_ps(t67, t97);
            t78 = _mm_add_ps(t57, t08);
            t88 = _mm_sub_ps(t67, t97);
            s9c = *((a43 + 256));
            s0d = *((a43 + 257));
            s1d = *((a43 + 1280));
            s2d = *((a43 + 1281));
            a54 = *((a63 + 8));
            a64 = *((a63 + 9));
            s3d = _mm_sub_ps(_mm_mul_ps(a54, s9c), _mm_mul_ps(a64, s0d));
            s4d = _mm_add_ps(_mm_mul_ps(a64, s9c), _mm_mul_ps(a54, s0d));
            a74 = *((a63 + 10));
            a84 = *((a63 + 11));
            s5d = _mm_sub_ps(_mm_mul_ps(a74, s1d), _mm_mul_ps(a84, s2d));
            s6d = _mm_add_ps(_mm_mul_ps(a84, s1d), _mm_mul_ps(a74, s2d));
            t98 = _mm_add_ps(s3d, s5d);
            t09 = _mm_add_ps(s4d, s6d);
            t19 = _mm_sub_ps(s3d, s5d);
            t29 = _mm_sub_ps(s4d, s6d);
            s7d = *((a43 + 768));
            s8d = *((a43 + 769));
            s9d = *((a43 + 1792));
            s0e = *((a43 + 1793));
            a94 = *((a63 + 12));
            a05 = *((a63 + 13));
            s1e = _mm_sub_ps(_mm_mul_ps(a94, s7d), _mm_mul_ps(a05, s8d));
            s2e = _mm_add_ps(_mm_mul_ps(a05, s7d), _mm_mul_ps(a94, s8d));
            a15 = *((a63 + 14));
            a25 = *((a63 + 15));
            s3e = _mm_sub_ps(_mm_mul_ps(a15, s9d), _mm_mul_ps(a25, s0e));
            s4e = _mm_add_ps(_mm_mul_ps(a25, s9d), _mm_mul_ps(a15, s0e));
            t39 = _mm_add_ps(s1e, s3e);
            t49 = _mm_add_ps(s2e, s4e);
            t59 = _mm_sub_ps(s1e, s3e);
            t69 = _mm_sub_ps(s2e, s4e);
            t79 = _mm_add_ps(t98, t39);
            t89 = _mm_add_ps(t09, t49);
            t99 = _mm_sub_ps(t98, t39);
            t0a = _mm_sub_ps(t09, t49);
            a35 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t19, t69));
            a45 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t29, t59));
            s5e = _mm_sub_ps(a35, a45);
            s6e = _mm_add_ps(a35, a45);
            a55 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t19, t69));
            a65 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t29, t59));
            s7e = _mm_sub_ps(a55, a65);
            s8e = _mm_add_ps(a55, a65);
            t1a = _mm_add_ps(t18, t79);
            t2a = _mm_add_ps(t28, t89);
            t3a = _mm_sub_ps(t18, t79);
            t4a = _mm_sub_ps(t28, t89);
            a75 = (D965 + a53);
            a85 = *(a75);
            a95 = *((a75 + 1));
            a06 = *((a75 + 2));
            a16 = *((a75 + 3));
            a26 = (((__m128  *) T4) + a53);
            s9e = _mm_sub_ps(_mm_mul_ps(a85, t1a), _mm_mul_ps(a95, t2a));
            *(a26) = s9e;
            s0f = _mm_add_ps(_mm_mul_ps(a95, t1a), _mm_mul_ps(a85, t2a));
            *((a26 + 1)) = s0f;
            s1f = _mm_sub_ps(_mm_mul_ps(a06, t3a), _mm_mul_ps(a16, t4a));
            *((a26 + 8)) = s1f;
            s2f = _mm_add_ps(_mm_mul_ps(a16, t3a), _mm_mul_ps(a06, t4a));
            *((a26 + 9)) = s2f;
            t5a = _mm_add_ps(t58, s5e);
            t6a = _mm_add_ps(t68, s6e);
            t7a = _mm_sub_ps(t58, s5e);
            t8a = _mm_sub_ps(t68, s6e);
            a36 = *((a75 + 4));
            a46 = *((a75 + 5));
            a56 = *((a75 + 6));
            a66 = *((a75 + 7));
            s3f = _mm_sub_ps(_mm_mul_ps(a36, t5a), _mm_mul_ps(a46, t6a));
            *((a26 + 2)) = s3f;
            s4f = _mm_add_ps(_mm_mul_ps(a46, t5a), _mm_mul_ps(a36, t6a));
            *((a26 + 3)) = s4f;
            s5f = _mm_sub_ps(_mm_mul_ps(a56, t7a), _mm_mul_ps(a66, t8a));
            *((a26 + 10)) = s5f;
            s6f = _mm_add_ps(_mm_mul_ps(a66, t7a), _mm_mul_ps(a56, t8a));
            *((a26 + 11)) = s6f;
            t9a = _mm_sub_ps(t38, t0a);
            t0b = _mm_add_ps(t48, t99);
            t1b = _mm_add_ps(t38, t0a);
            t2b = _mm_sub_ps(t48, t99);
            a76 = *((a75 + 8));
            a86 = *((a75 + 9));
            a96 = *((a75 + 10));
            a07 = *((a75 + 11));
            s7f = _mm_sub_ps(_mm_mul_ps(a76, t9a), _mm_mul_ps(a86, t0b));
            *((a26 + 4)) = s7f;
            s8f = _mm_add_ps(_mm_mul_ps(a86, t9a), _mm_mul_ps(a76, t0b));
            *((a26 + 5)) = s8f;
            s9f = _mm_sub_ps(_mm_mul_ps(a96, t1b), _mm_mul_ps(a07, t2b));
            *((a26 + 12)) = s9f;
            s0g = _mm_add_ps(_mm_mul_ps(a07, t1b), _mm_mul_ps(a96, t2b));
            *((a26 + 13)) = s0g;
            t3b = _mm_add_ps(t78, s7e);
            t4b = _mm_sub_ps(t88, s8e);
            t5b = _mm_sub_ps(t78, s7e);
            t6b = _mm_add_ps(t88, s8e);
            a17 = *((a75 + 12));
            a27 = *((a75 + 13));
            a37 = *((a75 + 14));
            a47 = *((a75 + 15));
            s1g = _mm_sub_ps(_mm_mul_ps(a17, t3b), _mm_mul_ps(a27, t4b));
            *((a26 + 6)) = s1g;
            s2g = _mm_add_ps(_mm_mul_ps(a27, t3b), _mm_mul_ps(a17, t4b));
            *((a26 + 7)) = s2g;
            s3g = _mm_sub_ps(_mm_mul_ps(a37, t5b), _mm_mul_ps(a47, t6b));
            *((a26 + 14)) = s3g;
            s4g = _mm_add_ps(_mm_mul_ps(a47, t5b), _mm_mul_ps(a37, t6b));
            *((a26 + 15)) = s4g;
        }}
        {long i7; for(i7 = 0; i7 <= 7; i7++) {
            a57 = (((__m128  *) T4) + (2 * i7));
            s5g = *(a57);
            s6g = *((a57 + 1));
            s7g = *((a57 + 64));
            s8g = *((a57 + 65));
            t7b = _mm_add_ps(s5g, s7g);
            t8b = _mm_add_ps(s6g, s8g);
            t9b = _mm_sub_ps(s5g, s7g);
            t0c = _mm_sub_ps(s6g, s8g);
            s9g = *((a57 + 32));
            s0h = *((a57 + 33));
            s1h = *((a57 + 96));
            s2h = *((a57 + 97));
            t1c = _mm_add_ps(s9g, s1h);
            t2c = _mm_add_ps(s0h, s2h);
            t3c = _mm_sub_ps(s9g, s1h);
            t4c = _mm_sub_ps(s0h, s2h);
            t5c = _mm_add_ps(t7b, t1c);
            t6c = _mm_add_ps(t8b, t2c);
            t7c = _mm_sub_ps(t7b, t1c);
            t8c = _mm_sub_ps(t8b, t2c);
            t9c = _mm_sub_ps(t9b, t4c);
            t0d = _mm_add_ps(t0c, t3c);
            t1d = _mm_add_ps(t9b, t4c);
            t2d = _mm_sub_ps(t0c, t3c);
            s3h = *((a57 + 16));
            s4h = *((a57 + 17));
            s5h = *((a57 + 80));
            s6h = *((a57 + 81));
            t3d = _mm_add_ps(s3h, s5h);
            t4d = _mm_add_ps(s4h, s6h);
            t5d = _mm_sub_ps(s3h, s5h);
            t6d = _mm_sub_ps(s4h, s6h);
            s7h = *((a57 + 48));
            s8h = *((a57 + 49));
            s9h = *((a57 + 112));
            s0i = *((a57 + 113));
            t7d = _mm_add_ps(s7h, s9h);
            t8d = _mm_add_ps(s8h, s0i);
            t9d = _mm_sub_ps(s7h, s9h);
            t0e = _mm_sub_ps(s8h, s0i);
            t1e = _mm_add_ps(t3d, t7d);
            t2e = _mm_add_ps(t4d, t8d);
            t3e = _mm_sub_ps(t3d, t7d);
            t4e = _mm_sub_ps(t4d, t8d);
            a67 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t5d, t0e));
            a77 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t6d, t9d));
            s1i = _mm_sub_ps(a67, a77);
            s2i = _mm_add_ps(a67, a77);
            a87 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t5d, t0e));
            a97 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t6d, t9d));
            s3i = _mm_sub_ps(a87, a97);
            s4i = _mm_add_ps(a87, a97);
            t5e = _mm_add_ps(t5c, t1e);
            t6e = _mm_add_ps(t6c, t2e);
            t7e = _mm_sub_ps(t5c, t1e);
            t8e = _mm_sub_ps(t6c, t2e);
            a08 = (dst + ((8 * i5) + (128 * i7)));
            s5i = _mm_unpacklo_ps(t5e, t6e);
            _mm_storeu_ps(((float  *) a08), s5i);
            s6i = _mm_unpackhi_ps(t5e, t6e);
            _mm_storeu_ps(((float  *) (a08 + 4)), s6i);
            s7i = _mm_unpacklo_ps(t7e, t8e);
            _mm_storeu_ps(((float  *) (a08 + 4096)), s7i);
            s8i = _mm_unpackhi_ps(t7e, t8e);
            _mm_storeu_ps(((float  *) (a08 + 4100)), s8i);
            t9e = _mm_add_ps(t9c, s1i);
            t0f = _mm_add_ps(t0d, s2i);
            t1f = _mm_sub_ps(t9c, s1i);
            t2f = _mm_sub_ps(t0d, s2i);
            s9i = _mm_unpacklo_ps(t9e, t0f);
            _mm_storeu_ps(((float  *) (a08 + 1024)), s9i);
            s0j = _mm_unpackhi_ps(t9e, t0f);
            _mm_storeu_ps(((float  *) (a08 + 1028)), s0j);
            s1j = _mm_unpacklo_ps(t1f, t2f);
            _mm_storeu_ps(((float  *) (a08 + 5120)), s1j);
            s2j = _mm_unpackhi_ps(t1f, t2f);
            _mm_storeu_ps(((float  *) (a08 + 5124)), s2j);
            t3f = _mm_sub_ps(t7c, t4e);
            t4f = _mm_add_ps(t8c, t3e);
            t5f = _mm_add_ps(t7c, t4e);
            t6f = _mm_sub_ps(t8c, t3e);
            s3j = _mm_unpacklo_ps(t3f, t4f);
            _mm_storeu_ps(((float  *) (a08 + 2048)), s3j);
            s4j = _mm_unpackhi_ps(t3f, t4f);
            _mm_storeu_ps(((float  *) (a08 + 2052)), s4j);
            s5j = _mm_unpacklo_ps(t5f, t6f);
            _mm_storeu_ps(((float  *) (a08 + 6144)), s5j);
            s6j = _mm_unpackhi_ps(t5f, t6f);
            _mm_storeu_ps(((float  *) (a08 + 6148)), s6j);
            t7f = _mm_add_ps(t1d, s3i);
            t8f = _mm_sub_ps(t2d, s4i);
            t9f = _mm_sub_ps(t1d, s3i);
            t0g = _mm_add_ps(t2d, s4i);
            s7j = _mm_unpacklo_ps(t7f, t8f);
            _mm_storeu_ps(((float  *) (a08 + 3072)), s7j);
            s8j = _mm_unpackhi_ps(t7f, t8f);
            _mm_storeu_ps(((float  *) (a08 + 3076)), s8j);
            s9j = _mm_unpacklo_ps(t9f, t0g);
            _mm_storeu_ps(((float  *) (a08 + 7168)), s9j);
            s0k = _mm_unpackhi_ps(t9f, t0g);
            _mm_storeu_ps(((float  *) (a08 + 7172)), s0k);
        }}
    }}
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_fftinv_float_4096)(const float *pSrc, float *pDst ) {
    if (!is_aligned(pSrc) || !is_aligned(pDst))
       	return spiral_fftinv_float_4096_unaligned(pSrc, pDst );
    else {
    const float  *src = (const float *) pSrc; 
    float        *dst = (float *) pDst;
    
    
    { SPIRAL_ALIGNED(float T[8192]);
     SPIRAL_ALIGNED(float T2[512]);
     SPIRAL_ALIGNED(float T3[512]);
     SPIRAL_ALIGNED(float T4[512]);
    __m128 s0b, s0j, s0k, s1b, s1j, s2b, s2j, s3j, s4j, s5a, s5i, s5j, s6a, s6i, s6j, s7a, s7i, s7j, s8a, s8i, s8j, s9a
            , s9i, s9j;
    __m128 a01, a02, a03, a04, a05, a06, a07, a11, a12, a14, a15, a16, a17, a2, a22, a24, a25, a27, a3, a31, a32, a34
            , a35, a36, a37, a4, a41, a42, a44, a45, a46, a47, a5, a51, a54, a55, a56, a61, a64, a65, a66, a67, a71, a72
            , a73, a74, a76, a77, a8, a81, a82, a83, a84, a85, a86, a87, a9, a91, a92, a93, a94, a95, a96, a97, s, s01
            , s02, s03, s04, s05, s06, s07, s08, s09, s0a, s0c, s0d, s0e, s0f, s0g, s0h, s0i, s11, s12, s13, s14, s15, s16
            , s17, s18, s19, s1a, s1c, s1d, s1e, s1f, s1g, s1h, s1i, s2, s21, s22, s23, s24, s25, s26, s27, s28, s29, s2a
            , s2c, s2d, s2e, s2f, s2g, s2h, s2i, s3, s31, s32, s33, s34, s35, s36, s37, s38, s39, s3a, s3b, s3c, s3d, s3e
            , s3f, s3g, s3h, s3i, s4, s41, s42, s43, s44, s45, s46, s47, s48, s49, s4a, s4b, s4c, s4d, s4e, s4f, s4g, s4h
            , s4i, s5, s51, s52, s53, s54, s55, s56, s57, s58, s59, s5b, s5c, s5d, s5e, s5f, s5g, s5h, s6, s61, s62, s63
            , s64, s65, s66, s67, s68, s69, s6b, s6c, s6d, s6e, s6f, s6g, s6h, s7, s71, s72, s73, s74, s75, s76, s77, s78
            , s79, s7b, s7c, s7d, s7e, s7f, s7g, s7h, s8, s81, s82, s83, s84, s85, s86, s87, s88, s89, s8b, s8c, s8d, s8e
            , s8f, s8g, s8h, s9, s91, s92, s93, s94, s95, s96, s97, s98, s99, s9b, s9c, s9d, s9e, s9f, s9g, s9h, t, t01
            , t02, t03, t04, t05, t06, t07, t08, t09, t0a, t0b, t0c, t0d, t0e, t0f, t0g, t11, t12, t13, t14, t15, t16, t17
            , t18, t19, t1a, t1b, t1c, t1d, t1e, t1f, t2, t21, t22, t23, t24, t25, t26, t27, t28, t29, t2a, t2b, t2c, t2d
            , t2e, t2f, t3, t31, t32, t33, t34, t35, t36, t37, t38, t39, t3a, t3b, t3c, t3d, t3e, t3f, t4, t41, t42, t43
            , t44, t45, t46, t47, t48, t49, t4a, t4b, t4c, t4d, t4e, t4f, t5, t51, t52, t53, t54, t55, t56, t57, t58, t59
            , t5a, t5b, t5c, t5d, t5e, t5f, t6, t61, t62, t63, t64, t65, t66, t67, t68, t69, t6a, t6b, t6c, t6d, t6e, t6f
            , t7, t71, t72, t73, t74, t75, t76, t77, t78, t79, t7a, t7b, t7c, t7d, t7e, t7f, t8, t81, t82, t83, t84, t85
            , t86, t87, t88, t89, t8a, t8b, t8c, t8d, t8e, t8f, t9, t91, t92, t93, t94, t95, t96, t97, t98, t99, t9a, t9b
            , t9c, t9d, t9e, t9f;
    __m128  *a, *a08, *a13, *a21, *a23, *a26, *a33, *a43, *a57, *a62, *a63, *a7, *a75;
    int a52, a53, a6;
    {long i; for(i = 0; i <= 15; i++) {
        {long i2; for(i2 = 0; i2 <= 7; i2++) {
            a = (((__m128  *) src) + ((2 * i) + (32 * i2)));
            s = *(a);
            s2 = *((a + 1));
            s3 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(2, 0, 2, 0));
            s4 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(3, 1, 3, 1));
            s5 = *((a + 1024));
            s6 = *((a + 1025));
            s7 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(2, 0, 2, 0));
            s8 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(3, 1, 3, 1));
            t = _mm_add_ps(s3, s7);
            t2 = _mm_add_ps(s4, s8);
            t3 = _mm_sub_ps(s3, s7);
            t4 = _mm_sub_ps(s4, s8);
            s9 = *((a + 512));
            s01 = *((a + 513));
            s11 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(2, 0, 2, 0));
            s21 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(3, 1, 3, 1));
            s31 = *((a + 1536));
            s41 = *((a + 1537));
            s51 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(2, 0, 2, 0));
            s61 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(3, 1, 3, 1));
            t5 = _mm_add_ps(s11, s51);
            t6 = _mm_add_ps(s21, s61);
            t7 = _mm_sub_ps(s11, s51);
            t8 = _mm_sub_ps(s21, s61);
            t9 = _mm_add_ps(t, t5);
            t01 = _mm_add_ps(t2, t6);
            t11 = _mm_sub_ps(t, t5);
            t21 = _mm_sub_ps(t2, t6);
            t31 = _mm_sub_ps(t3, t8);
            t41 = _mm_add_ps(t4, t7);
            t51 = _mm_add_ps(t3, t8);
            t61 = _mm_sub_ps(t4, t7);
            s71 = *((a + 256));
            s81 = *((a + 257));
            s91 = _mm_shuffle_ps(s71, s81, _MM_SHUFFLE(2, 0, 2, 0));
            s02 = _mm_shuffle_ps(s71, s81, _MM_SHUFFLE(3, 1, 3, 1));
            s12 = *((a + 1280));
            s22 = *((a + 1281));
            s32 = _mm_shuffle_ps(s12, s22, _MM_SHUFFLE(2, 0, 2, 0));
            s42 = _mm_shuffle_ps(s12, s22, _MM_SHUFFLE(3, 1, 3, 1));
            t71 = _mm_add_ps(s91, s32);
            t81 = _mm_add_ps(s02, s42);
            t91 = _mm_sub_ps(s91, s32);
            t02 = _mm_sub_ps(s02, s42);
            s52 = *((a + 768));
            s62 = *((a + 769));
            s72 = _mm_shuffle_ps(s52, s62, _MM_SHUFFLE(2, 0, 2, 0));
            s82 = _mm_shuffle_ps(s52, s62, _MM_SHUFFLE(3, 1, 3, 1));
            s92 = *((a + 1792));
            s03 = *((a + 1793));
            s13 = _mm_shuffle_ps(s92, s03, _MM_SHUFFLE(2, 0, 2, 0));
            s23 = _mm_shuffle_ps(s92, s03, _MM_SHUFFLE(3, 1, 3, 1));
            t12 = _mm_add_ps(s72, s13);
            t22 = _mm_add_ps(s82, s23);
            t32 = _mm_sub_ps(s72, s13);
            t42 = _mm_sub_ps(s82, s23);
            t52 = _mm_add_ps(t71, t12);
            t62 = _mm_add_ps(t81, t22);
            t72 = _mm_sub_ps(t71, t12);
            t82 = _mm_sub_ps(t81, t22);
            a2 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t91, t42));
            a3 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t02, t32));
            s33 = _mm_sub_ps(a2, a3);
            s43 = _mm_add_ps(a2, a3);
            a4 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t91, t42));
            a5 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t02, t32));
            s53 = _mm_sub_ps(a4, a5);
            s63 = _mm_add_ps(a4, a5);
            t92 = _mm_add_ps(t9, t52);
            t03 = _mm_add_ps(t01, t62);
            t13 = _mm_sub_ps(t9, t52);
            t23 = _mm_sub_ps(t01, t62);
            a6 = (16 * i2);
            a7 = (D965 + a6);
            a8 = *(a7);
            a9 = *((a7 + 1));
            a01 = *((a7 + 2));
            a11 = *((a7 + 3));
            a21 = (((__m128  *) T3) + a6);
            s73 = _mm_sub_ps(_mm_mul_ps(a8, t92), _mm_mul_ps(a9, t03));
            *(a21) = s73;
            s83 = _mm_add_ps(_mm_mul_ps(a9, t92), _mm_mul_ps(a8, t03));
            *((a21 + 1)) = s83;
            s93 = _mm_sub_ps(_mm_mul_ps(a01, t13), _mm_mul_ps(a11, t23));
            *((a21 + 8)) = s93;
            s04 = _mm_add_ps(_mm_mul_ps(a11, t13), _mm_mul_ps(a01, t23));
            *((a21 + 9)) = s04;
            t33 = _mm_add_ps(t31, s33);
            t43 = _mm_add_ps(t41, s43);
            t53 = _mm_sub_ps(t31, s33);
            t63 = _mm_sub_ps(t41, s43);
            a31 = *((a7 + 4));
            a41 = *((a7 + 5));
            a51 = *((a7 + 6));
            a61 = *((a7 + 7));
            s14 = _mm_sub_ps(_mm_mul_ps(a31, t33), _mm_mul_ps(a41, t43));
            *((a21 + 2)) = s14;
            s24 = _mm_add_ps(_mm_mul_ps(a41, t33), _mm_mul_ps(a31, t43));
            *((a21 + 3)) = s24;
            s34 = _mm_sub_ps(_mm_mul_ps(a51, t53), _mm_mul_ps(a61, t63));
            *((a21 + 10)) = s34;
            s44 = _mm_add_ps(_mm_mul_ps(a61, t53), _mm_mul_ps(a51, t63));
            *((a21 + 11)) = s44;
            t73 = _mm_sub_ps(t11, t82);
            t83 = _mm_add_ps(t21, t72);
            t93 = _mm_add_ps(t11, t82);
            t04 = _mm_sub_ps(t21, t72);
            a71 = *((a7 + 8));
            a81 = *((a7 + 9));
            a91 = *((a7 + 10));
            a02 = *((a7 + 11));
            s54 = _mm_sub_ps(_mm_mul_ps(a71, t73), _mm_mul_ps(a81, t83));
            *((a21 + 4)) = s54;
            s64 = _mm_add_ps(_mm_mul_ps(a81, t73), _mm_mul_ps(a71, t83));
            *((a21 + 5)) = s64;
            s74 = _mm_sub_ps(_mm_mul_ps(a91, t93), _mm_mul_ps(a02, t04));
            *((a21 + 12)) = s74;
            s84 = _mm_add_ps(_mm_mul_ps(a02, t93), _mm_mul_ps(a91, t04));
            *((a21 + 13)) = s84;
            t14 = _mm_add_ps(t51, s53);
            t24 = _mm_sub_ps(t61, s63);
            t34 = _mm_sub_ps(t51, s53);
            t44 = _mm_add_ps(t61, s63);
            a12 = *((a7 + 12));
            a22 = *((a7 + 13));
            a32 = *((a7 + 14));
            a42 = *((a7 + 15));
            s94 = _mm_sub_ps(_mm_mul_ps(a12, t14), _mm_mul_ps(a22, t24));
            *((a21 + 6)) = s94;
            s05 = _mm_add_ps(_mm_mul_ps(a22, t14), _mm_mul_ps(a12, t24));
            *((a21 + 7)) = s05;
            s15 = _mm_sub_ps(_mm_mul_ps(a32, t34), _mm_mul_ps(a42, t44));
            *((a21 + 14)) = s15;
            s25 = _mm_add_ps(_mm_mul_ps(a42, t34), _mm_mul_ps(a32, t44));
            *((a21 + 15)) = s25;
        }}
        {long i3; for(i3 = 0; i3 <= 7; i3++) {
            a52 = (2 * i3);
            a62 = (((__m128  *) T3) + a52);
            s35 = *(a62);
            s45 = *((a62 + 1));
            s55 = *((a62 + 64));
            s65 = *((a62 + 65));
            t54 = _mm_add_ps(s35, s55);
            t64 = _mm_add_ps(s45, s65);
            t74 = _mm_sub_ps(s35, s55);
            t84 = _mm_sub_ps(s45, s65);
            s75 = *((a62 + 32));
            s85 = *((a62 + 33));
            s95 = *((a62 + 96));
            s06 = *((a62 + 97));
            t94 = _mm_add_ps(s75, s95);
            t05 = _mm_add_ps(s85, s06);
            t15 = _mm_sub_ps(s75, s95);
            t25 = _mm_sub_ps(s85, s06);
            t35 = _mm_add_ps(t54, t94);
            t45 = _mm_add_ps(t64, t05);
            t55 = _mm_sub_ps(t54, t94);
            t65 = _mm_sub_ps(t64, t05);
            t75 = _mm_sub_ps(t74, t25);
            t85 = _mm_add_ps(t84, t15);
            t95 = _mm_add_ps(t74, t25);
            t06 = _mm_sub_ps(t84, t15);
            s16 = *((a62 + 16));
            s26 = *((a62 + 17));
            s36 = *((a62 + 80));
            s46 = *((a62 + 81));
            t16 = _mm_add_ps(s16, s36);
            t26 = _mm_add_ps(s26, s46);
            t36 = _mm_sub_ps(s16, s36);
            t46 = _mm_sub_ps(s26, s46);
            s56 = *((a62 + 48));
            s66 = *((a62 + 49));
            s76 = *((a62 + 112));
            s86 = *((a62 + 113));
            t56 = _mm_add_ps(s56, s76);
            t66 = _mm_add_ps(s66, s86);
            t76 = _mm_sub_ps(s56, s76);
            t86 = _mm_sub_ps(s66, s86);
            t96 = _mm_add_ps(t16, t56);
            t07 = _mm_add_ps(t26, t66);
            t17 = _mm_sub_ps(t16, t56);
            t27 = _mm_sub_ps(t26, t66);
            a72 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t36, t86));
            a82 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t46, t76));
            s96 = _mm_sub_ps(a72, a82);
            s07 = _mm_add_ps(a72, a82);
            a92 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t36, t86));
            a03 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t46, t76));
            s17 = _mm_sub_ps(a92, a03);
            s27 = _mm_add_ps(a92, a03);
            a13 = (((__m128  *) T2) + a52);
            s37 = _mm_add_ps(t35, t96);
            *(a13) = s37;
            s47 = _mm_add_ps(t45, t07);
            *((a13 + 1)) = s47;
            s57 = _mm_sub_ps(t35, t96);
            *((a13 + 64)) = s57;
            s67 = _mm_sub_ps(t45, t07);
            *((a13 + 65)) = s67;
            s77 = _mm_add_ps(t75, s96);
            *((a13 + 16)) = s77;
            s87 = _mm_add_ps(t85, s07);
            *((a13 + 17)) = s87;
            s97 = _mm_sub_ps(t75, s96);
            *((a13 + 80)) = s97;
            s08 = _mm_sub_ps(t85, s07);
            *((a13 + 81)) = s08;
            s18 = _mm_sub_ps(t55, t27);
            *((a13 + 32)) = s18;
            s28 = _mm_add_ps(t65, t17);
            *((a13 + 33)) = s28;
            s38 = _mm_add_ps(t55, t27);
            *((a13 + 96)) = s38;
            s48 = _mm_sub_ps(t65, t17);
            *((a13 + 97)) = s48;
            s58 = _mm_add_ps(t95, s17);
            *((a13 + 48)) = s58;
            s68 = _mm_sub_ps(t06, s27);
            *((a13 + 49)) = s68;
            s78 = _mm_sub_ps(t95, s17);
            *((a13 + 112)) = s78;
            s88 = _mm_add_ps(t06, s27);
            *((a13 + 113)) = s88;
        }}
        {long i4; for(i4 = 0; i4 <= 15; i4++) {
            a23 = (((__m128  *) T2) + (8 * i4));
            s98 = *(a23);
            s09 = *((a23 + 2));
            s19 = _mm_unpacklo_ps(s98, s09);
            s29 = _mm_unpackhi_ps(s98, s09);
            s39 = *((a23 + 1));
            s49 = *((a23 + 3));
            s59 = _mm_unpacklo_ps(s39, s49);
            s69 = _mm_unpackhi_ps(s39, s49);
            s79 = *((a23 + 4));
            s89 = *((a23 + 6));
            s99 = _mm_unpacklo_ps(s79, s89);
            s0a = _mm_unpackhi_ps(s79, s89);
            s1a = *((a23 + 5));
            s2a = *((a23 + 7));
            s3a = _mm_unpacklo_ps(s1a, s2a);
            s4a = _mm_unpackhi_ps(s1a, s2a);
            a33 = (((__m128  *) T) + ((128 * i) + (2 * i4)));
            s5a = _mm_shuffle_ps(s19, s99, _MM_SHUFFLE(1, 0, 1, 0));
            *(a33) = s5a;
            s6a = _mm_shuffle_ps(s19, s99, _MM_SHUFFLE(3, 2, 3, 2));
            *((a33 + 32)) = s6a;
            s7a = _mm_shuffle_ps(s29, s0a, _MM_SHUFFLE(1, 0, 1, 0));
            *((a33 + 64)) = s7a;
            s8a = _mm_shuffle_ps(s29, s0a, _MM_SHUFFLE(3, 2, 3, 2));
            *((a33 + 96)) = s8a;
            s9a = _mm_shuffle_ps(s59, s3a, _MM_SHUFFLE(1, 0, 1, 0));
            *((a33 + 1)) = s9a;
            s0b = _mm_shuffle_ps(s59, s3a, _MM_SHUFFLE(3, 2, 3, 2));
            *((a33 + 33)) = s0b;
            s1b = _mm_shuffle_ps(s69, s4a, _MM_SHUFFLE(1, 0, 1, 0));
            *((a33 + 65)) = s1b;
            s2b = _mm_shuffle_ps(s69, s4a, _MM_SHUFFLE(3, 2, 3, 2));
            *((a33 + 97)) = s2b;
        }}
    }}
    {long i5; for(i5 = 0; i5 <= 15; i5++) {
        {long i6; for(i6 = 0; i6 <= 7; i6++) {
            a43 = (((__m128  *) T) + ((2 * i5) + (32 * i6)));
            s3b = *(a43);
            s4b = *((a43 + 1));
            s5b = *((a43 + 1024));
            s6b = *((a43 + 1025));
            a53 = (16 * i6);
            a63 = (D971 + ((128 * i5) + a53));
            a73 = *(a63);
            a83 = *((a63 + 1));
            s7b = _mm_sub_ps(_mm_mul_ps(a73, s3b), _mm_mul_ps(a83, s4b));
            s8b = _mm_add_ps(_mm_mul_ps(a83, s3b), _mm_mul_ps(a73, s4b));
            a93 = *((a63 + 2));
            a04 = *((a63 + 3));
            s9b = _mm_sub_ps(_mm_mul_ps(a93, s5b), _mm_mul_ps(a04, s6b));
            s0c = _mm_add_ps(_mm_mul_ps(a04, s5b), _mm_mul_ps(a93, s6b));
            t37 = _mm_add_ps(s7b, s9b);
            t47 = _mm_add_ps(s8b, s0c);
            t57 = _mm_sub_ps(s7b, s9b);
            t67 = _mm_sub_ps(s8b, s0c);
            s1c = *((a43 + 512));
            s2c = *((a43 + 513));
            s3c = *((a43 + 1536));
            s4c = *((a43 + 1537));
            a14 = *((a63 + 4));
            a24 = *((a63 + 5));
            s5c = _mm_sub_ps(_mm_mul_ps(a14, s1c), _mm_mul_ps(a24, s2c));
            s6c = _mm_add_ps(_mm_mul_ps(a24, s1c), _mm_mul_ps(a14, s2c));
            a34 = *((a63 + 6));
            a44 = *((a63 + 7));
            s7c = _mm_sub_ps(_mm_mul_ps(a34, s3c), _mm_mul_ps(a44, s4c));
            s8c = _mm_add_ps(_mm_mul_ps(a44, s3c), _mm_mul_ps(a34, s4c));
            t77 = _mm_add_ps(s5c, s7c);
            t87 = _mm_add_ps(s6c, s8c);
            t97 = _mm_sub_ps(s5c, s7c);
            t08 = _mm_sub_ps(s6c, s8c);
            t18 = _mm_add_ps(t37, t77);
            t28 = _mm_add_ps(t47, t87);
            t38 = _mm_sub_ps(t37, t77);
            t48 = _mm_sub_ps(t47, t87);
            t58 = _mm_sub_ps(t57, t08);
            t68 = _mm_add_ps(t67, t97);
            t78 = _mm_add_ps(t57, t08);
            t88 = _mm_sub_ps(t67, t97);
            s9c = *((a43 + 256));
            s0d = *((a43 + 257));
            s1d = *((a43 + 1280));
            s2d = *((a43 + 1281));
            a54 = *((a63 + 8));
            a64 = *((a63 + 9));
            s3d = _mm_sub_ps(_mm_mul_ps(a54, s9c), _mm_mul_ps(a64, s0d));
            s4d = _mm_add_ps(_mm_mul_ps(a64, s9c), _mm_mul_ps(a54, s0d));
            a74 = *((a63 + 10));
            a84 = *((a63 + 11));
            s5d = _mm_sub_ps(_mm_mul_ps(a74, s1d), _mm_mul_ps(a84, s2d));
            s6d = _mm_add_ps(_mm_mul_ps(a84, s1d), _mm_mul_ps(a74, s2d));
            t98 = _mm_add_ps(s3d, s5d);
            t09 = _mm_add_ps(s4d, s6d);
            t19 = _mm_sub_ps(s3d, s5d);
            t29 = _mm_sub_ps(s4d, s6d);
            s7d = *((a43 + 768));
            s8d = *((a43 + 769));
            s9d = *((a43 + 1792));
            s0e = *((a43 + 1793));
            a94 = *((a63 + 12));
            a05 = *((a63 + 13));
            s1e = _mm_sub_ps(_mm_mul_ps(a94, s7d), _mm_mul_ps(a05, s8d));
            s2e = _mm_add_ps(_mm_mul_ps(a05, s7d), _mm_mul_ps(a94, s8d));
            a15 = *((a63 + 14));
            a25 = *((a63 + 15));
            s3e = _mm_sub_ps(_mm_mul_ps(a15, s9d), _mm_mul_ps(a25, s0e));
            s4e = _mm_add_ps(_mm_mul_ps(a25, s9d), _mm_mul_ps(a15, s0e));
            t39 = _mm_add_ps(s1e, s3e);
            t49 = _mm_add_ps(s2e, s4e);
            t59 = _mm_sub_ps(s1e, s3e);
            t69 = _mm_sub_ps(s2e, s4e);
            t79 = _mm_add_ps(t98, t39);
            t89 = _mm_add_ps(t09, t49);
            t99 = _mm_sub_ps(t98, t39);
            t0a = _mm_sub_ps(t09, t49);
            a35 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t19, t69));
            a45 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t29, t59));
            s5e = _mm_sub_ps(a35, a45);
            s6e = _mm_add_ps(a35, a45);
            a55 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t19, t69));
            a65 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t29, t59));
            s7e = _mm_sub_ps(a55, a65);
            s8e = _mm_add_ps(a55, a65);
            t1a = _mm_add_ps(t18, t79);
            t2a = _mm_add_ps(t28, t89);
            t3a = _mm_sub_ps(t18, t79);
            t4a = _mm_sub_ps(t28, t89);
            a75 = (D965 + a53);
            a85 = *(a75);
            a95 = *((a75 + 1));
            a06 = *((a75 + 2));
            a16 = *((a75 + 3));
            a26 = (((__m128  *) T4) + a53);
            s9e = _mm_sub_ps(_mm_mul_ps(a85, t1a), _mm_mul_ps(a95, t2a));
            *(a26) = s9e;
            s0f = _mm_add_ps(_mm_mul_ps(a95, t1a), _mm_mul_ps(a85, t2a));
            *((a26 + 1)) = s0f;
            s1f = _mm_sub_ps(_mm_mul_ps(a06, t3a), _mm_mul_ps(a16, t4a));
            *((a26 + 8)) = s1f;
            s2f = _mm_add_ps(_mm_mul_ps(a16, t3a), _mm_mul_ps(a06, t4a));
            *((a26 + 9)) = s2f;
            t5a = _mm_add_ps(t58, s5e);
            t6a = _mm_add_ps(t68, s6e);
            t7a = _mm_sub_ps(t58, s5e);
            t8a = _mm_sub_ps(t68, s6e);
            a36 = *((a75 + 4));
            a46 = *((a75 + 5));
            a56 = *((a75 + 6));
            a66 = *((a75 + 7));
            s3f = _mm_sub_ps(_mm_mul_ps(a36, t5a), _mm_mul_ps(a46, t6a));
            *((a26 + 2)) = s3f;
            s4f = _mm_add_ps(_mm_mul_ps(a46, t5a), _mm_mul_ps(a36, t6a));
            *((a26 + 3)) = s4f;
            s5f = _mm_sub_ps(_mm_mul_ps(a56, t7a), _mm_mul_ps(a66, t8a));
            *((a26 + 10)) = s5f;
            s6f = _mm_add_ps(_mm_mul_ps(a66, t7a), _mm_mul_ps(a56, t8a));
            *((a26 + 11)) = s6f;
            t9a = _mm_sub_ps(t38, t0a);
            t0b = _mm_add_ps(t48, t99);
            t1b = _mm_add_ps(t38, t0a);
            t2b = _mm_sub_ps(t48, t99);
            a76 = *((a75 + 8));
            a86 = *((a75 + 9));
            a96 = *((a75 + 10));
            a07 = *((a75 + 11));
            s7f = _mm_sub_ps(_mm_mul_ps(a76, t9a), _mm_mul_ps(a86, t0b));
            *((a26 + 4)) = s7f;
            s8f = _mm_add_ps(_mm_mul_ps(a86, t9a), _mm_mul_ps(a76, t0b));
            *((a26 + 5)) = s8f;
            s9f = _mm_sub_ps(_mm_mul_ps(a96, t1b), _mm_mul_ps(a07, t2b));
            *((a26 + 12)) = s9f;
            s0g = _mm_add_ps(_mm_mul_ps(a07, t1b), _mm_mul_ps(a96, t2b));
            *((a26 + 13)) = s0g;
            t3b = _mm_add_ps(t78, s7e);
            t4b = _mm_sub_ps(t88, s8e);
            t5b = _mm_sub_ps(t78, s7e);
            t6b = _mm_add_ps(t88, s8e);
            a17 = *((a75 + 12));
            a27 = *((a75 + 13));
            a37 = *((a75 + 14));
            a47 = *((a75 + 15));
            s1g = _mm_sub_ps(_mm_mul_ps(a17, t3b), _mm_mul_ps(a27, t4b));
            *((a26 + 6)) = s1g;
            s2g = _mm_add_ps(_mm_mul_ps(a27, t3b), _mm_mul_ps(a17, t4b));
            *((a26 + 7)) = s2g;
            s3g = _mm_sub_ps(_mm_mul_ps(a37, t5b), _mm_mul_ps(a47, t6b));
            *((a26 + 14)) = s3g;
            s4g = _mm_add_ps(_mm_mul_ps(a47, t5b), _mm_mul_ps(a37, t6b));
            *((a26 + 15)) = s4g;
        }}
        {long i7; for(i7 = 0; i7 <= 7; i7++) {
            a57 = (((__m128  *) T4) + (2 * i7));
            s5g = *(a57);
            s6g = *((a57 + 1));
            s7g = *((a57 + 64));
            s8g = *((a57 + 65));
            t7b = _mm_add_ps(s5g, s7g);
            t8b = _mm_add_ps(s6g, s8g);
            t9b = _mm_sub_ps(s5g, s7g);
            t0c = _mm_sub_ps(s6g, s8g);
            s9g = *((a57 + 32));
            s0h = *((a57 + 33));
            s1h = *((a57 + 96));
            s2h = *((a57 + 97));
            t1c = _mm_add_ps(s9g, s1h);
            t2c = _mm_add_ps(s0h, s2h);
            t3c = _mm_sub_ps(s9g, s1h);
            t4c = _mm_sub_ps(s0h, s2h);
            t5c = _mm_add_ps(t7b, t1c);
            t6c = _mm_add_ps(t8b, t2c);
            t7c = _mm_sub_ps(t7b, t1c);
            t8c = _mm_sub_ps(t8b, t2c);
            t9c = _mm_sub_ps(t9b, t4c);
            t0d = _mm_add_ps(t0c, t3c);
            t1d = _mm_add_ps(t9b, t4c);
            t2d = _mm_sub_ps(t0c, t3c);
            s3h = *((a57 + 16));
            s4h = *((a57 + 17));
            s5h = *((a57 + 80));
            s6h = *((a57 + 81));
            t3d = _mm_add_ps(s3h, s5h);
            t4d = _mm_add_ps(s4h, s6h);
            t5d = _mm_sub_ps(s3h, s5h);
            t6d = _mm_sub_ps(s4h, s6h);
            s7h = *((a57 + 48));
            s8h = *((a57 + 49));
            s9h = *((a57 + 112));
            s0i = *((a57 + 113));
            t7d = _mm_add_ps(s7h, s9h);
            t8d = _mm_add_ps(s8h, s0i);
            t9d = _mm_sub_ps(s7h, s9h);
            t0e = _mm_sub_ps(s8h, s0i);
            t1e = _mm_add_ps(t3d, t7d);
            t2e = _mm_add_ps(t4d, t8d);
            t3e = _mm_sub_ps(t3d, t7d);
            t4e = _mm_sub_ps(t4d, t8d);
            a67 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t5d, t0e));
            a77 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t6d, t9d));
            s1i = _mm_sub_ps(a67, a77);
            s2i = _mm_add_ps(a67, a77);
            a87 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t5d, t0e));
            a97 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t6d, t9d));
            s3i = _mm_sub_ps(a87, a97);
            s4i = _mm_add_ps(a87, a97);
            t5e = _mm_add_ps(t5c, t1e);
            t6e = _mm_add_ps(t6c, t2e);
            t7e = _mm_sub_ps(t5c, t1e);
            t8e = _mm_sub_ps(t6c, t2e);
            a08 = (((__m128  *) dst) + ((2 * i5) + (32 * i7)));
            s5i = _mm_unpacklo_ps(t5e, t6e);
            *(a08) = s5i;
            s6i = _mm_unpackhi_ps(t5e, t6e);
            *((a08 + 1)) = s6i;
            s7i = _mm_unpacklo_ps(t7e, t8e);
            *((a08 + 1024)) = s7i;
            s8i = _mm_unpackhi_ps(t7e, t8e);
            *((a08 + 1025)) = s8i;
            t9e = _mm_add_ps(t9c, s1i);
            t0f = _mm_add_ps(t0d, s2i);
            t1f = _mm_sub_ps(t9c, s1i);
            t2f = _mm_sub_ps(t0d, s2i);
            s9i = _mm_unpacklo_ps(t9e, t0f);
            *((a08 + 256)) = s9i;
            s0j = _mm_unpackhi_ps(t9e, t0f);
            *((a08 + 257)) = s0j;
            s1j = _mm_unpacklo_ps(t1f, t2f);
            *((a08 + 1280)) = s1j;
            s2j = _mm_unpackhi_ps(t1f, t2f);
            *((a08 + 1281)) = s2j;
            t3f = _mm_sub_ps(t7c, t4e);
            t4f = _mm_add_ps(t8c, t3e);
            t5f = _mm_add_ps(t7c, t4e);
            t6f = _mm_sub_ps(t8c, t3e);
            s3j = _mm_unpacklo_ps(t3f, t4f);
            *((a08 + 512)) = s3j;
            s4j = _mm_unpackhi_ps(t3f, t4f);
            *((a08 + 513)) = s4j;
            s5j = _mm_unpacklo_ps(t5f, t6f);
            *((a08 + 1536)) = s5j;
            s6j = _mm_unpackhi_ps(t5f, t6f);
            *((a08 + 1537)) = s6j;
            t7f = _mm_add_ps(t1d, s3i);
            t8f = _mm_sub_ps(t2d, s4i);
            t9f = _mm_sub_ps(t1d, s3i);
            t0g = _mm_add_ps(t2d, s4i);
            s7j = _mm_unpacklo_ps(t7f, t8f);
            *((a08 + 768)) = s7j;
            s8j = _mm_unpackhi_ps(t7f, t8f);
            *((a08 + 769)) = s8j;
            s9j = _mm_unpacklo_ps(t9f, t0g);
            *((a08 + 1792)) = s9j;
            s0k = _mm_unpackhi_ps(t9f, t0g);
            *((a08 + 1793)) = s0k;
        }}
    }}
    }
    
    return SPIRAL_OK;
    }
}

SPIRAL_PRIV(spiral_status_t, spiral_fftinv_float_8192_unaligned)(const float *pSrc, float *pDst ) {
    const float  *src = (const float *) pSrc; 
    float        *dst = (float *) pDst;
    
    
    { SPIRAL_ALIGNED(float T[16384]);
     SPIRAL_ALIGNED(float T2[16384]);
     SPIRAL_ALIGNED(float T3[2048]);
     SPIRAL_ALIGNED(float T4[512]);
    __m128 s03, s0g, s0h, s13, s1g, s1h, s23, s2g, s2h, s3g, s4g, s52, s5g, s62, s6g, s72, s7f, s7g, s82, s8f, s8g, s92
            , s9f, s9g;
    __m128 a01, a02, a03, a04, a05, a06, a08, a11, a12, a13, a14, a16, a18, a21, a22, a24, a26, a28, a31, a32, a33, a34
            , a35, a36, a41, a42, a43, a44, a45, a46, a47, a48, a51, a52, a53, a55, a56, a57, a58, a61, a62, a63, a65, a66
            , a67, a68, a7, a71, a73, a74, a76, a77, a78, a8, a81, a82, a83, a84, a85, a86, a9, a91, a92, a93, a94, a95
            , a96, a97, s, s01, s02, s04, s05, s06, s07, s08, s09, s0a, s0b, s0c, s0d, s0e, s0f, s11, s12, s14, s15, s16
            , s17, s18, s19, s1a, s1b, s1c, s1d, s1e, s1f, s2, s21, s22, s24, s25, s26, s27, s28, s29, s2a, s2b, s2c, s2d
            , s2e, s2f, s3, s31, s32, s33, s34, s35, s36, s37, s38, s39, s3a, s3b, s3c, s3d, s3e, s3f, s4, s41, s42, s43
            , s44, s45, s46, s47, s48, s49, s4a, s4b, s4c, s4d, s4e, s4f, s5, s51, s53, s54, s55, s56, s57, s58, s59, s5a
            , s5b, s5c, s5d, s5e, s5f, s6, s61, s63, s64, s65, s66, s67, s68, s69, s6a, s6b, s6c, s6d, s6e, s6f, s7, s71
            , s73, s74, s75, s76, s77, s78, s79, s7a, s7b, s7c, s7d, s7e, s8, s81, s83, s84, s85, s86, s87, s88, s89, s8a
            , s8b, s8c, s8d, s8e, s9, s91, s93, s94, s95, s96, s97, s98, s99, s9a, s9b, s9c, s9d, s9e, t, t01, t02, t03
            , t04, t05, t06, t07, t08, t09, t0a, t0b, t0c, t0d, t0e, t0f, t0g, t11, t12, t13, t14, t15, t16, t17, t18, t19
            , t1a, t1b, t1c, t1d, t1e, t1f, t1g, t2, t21, t22, t23, t24, t25, t26, t27, t28, t29, t2a, t2b, t2c, t2d, t2e
            , t2f, t2g, t3, t31, t32, t33, t34, t35, t36, t37, t38, t39, t3a, t3b, t3c, t3d, t3e, t3f, t3g, t4, t41, t42
            , t43, t44, t45, t46, t47, t48, t49, t4a, t4b, t4c, t4d, t4e, t4f, t4g, t5, t51, t52, t53, t54, t55, t56, t57
            , t58, t59, t5a, t5b, t5c, t5d, t5e, t5f, t6, t61, t62, t63, t64, t65, t66, t67, t68, t69, t6a, t6b, t6c, t6d
            , t6e, t6f, t7, t71, t72, t73, t74, t75, t76, t77, t78, t79, t7a, t7b, t7c, t7d, t7e, t7f, t8, t81, t82, t83
            , t84, t85, t86, t87, t88, t89, t8a, t8b, t8c, t8d, t8e, t8f, t9, t91, t92, t93, t94, t95, t96, t97, t98, t99
            , t9a, t9b, t9c, t9d, t9e, t9f;
    __m128  *a17, *a23, *a25, *a3, *a37, *a38, *a4, *a6, *a64, *a72, *a75, *a87;
    float  *a88;
    const float  *a2;
    int a, a07, a15, a27, a5, a54;
    {long i; for(i = 0; i <= 511; i++) {
        a = (8 * i);
        a2 = (src + a);
        s = _mm_loadu_ps(((const float  *) a2));
        s2 = _mm_loadu_ps(((const float  *) (a2 + 4)));
        s3 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(2, 0, 2, 0));
        s4 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(3, 1, 3, 1));
        s5 = _mm_loadu_ps(((const float  *) (a2 + 8192)));
        s6 = _mm_loadu_ps(((const float  *) (a2 + 8196)));
        s7 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(2, 0, 2, 0));
        s8 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(3, 1, 3, 1));
        t = _mm_add_ps(s3, s7);
        t2 = _mm_add_ps(s4, s8);
        t3 = _mm_sub_ps(s3, s7);
        t4 = _mm_sub_ps(s4, s8);
        s9 = _mm_loadu_ps(((const float  *) (a2 + 4096)));
        s01 = _mm_loadu_ps(((const float  *) (a2 + 4100)));
        s11 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(2, 0, 2, 0));
        s21 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(3, 1, 3, 1));
        s31 = _mm_loadu_ps(((const float  *) (a2 + 12288)));
        s41 = _mm_loadu_ps(((const float  *) (a2 + 12292)));
        s51 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(2, 0, 2, 0));
        s61 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(3, 1, 3, 1));
        t5 = _mm_add_ps(s11, s51);
        t6 = _mm_add_ps(s21, s61);
        t7 = _mm_sub_ps(s11, s51);
        t8 = _mm_sub_ps(s21, s61);
        t9 = _mm_add_ps(t, t5);
        t01 = _mm_add_ps(t2, t6);
        t11 = _mm_sub_ps(t, t5);
        t21 = _mm_sub_ps(t2, t6);
        t31 = _mm_sub_ps(t3, t8);
        t41 = _mm_add_ps(t4, t7);
        t51 = _mm_add_ps(t3, t8);
        t61 = _mm_sub_ps(t4, t7);
        s71 = _mm_unpacklo_ps(t9, t31);
        s81 = _mm_unpackhi_ps(t9, t31);
        s91 = _mm_unpacklo_ps(t01, t41);
        s02 = _mm_unpackhi_ps(t01, t41);
        s12 = _mm_unpacklo_ps(t11, t51);
        s22 = _mm_unpackhi_ps(t11, t51);
        s32 = _mm_unpacklo_ps(t21, t61);
        s42 = _mm_unpackhi_ps(t21, t61);
        a3 = (((__m128  *) T2) + a);
        s52 = _mm_shuffle_ps(s71, s12, _MM_SHUFFLE(1, 0, 1, 0));
        *(a3) = s52;
        s62 = _mm_shuffle_ps(s71, s12, _MM_SHUFFLE(3, 2, 3, 2));
        *((a3 + 2)) = s62;
        s72 = _mm_shuffle_ps(s81, s22, _MM_SHUFFLE(1, 0, 1, 0));
        *((a3 + 4)) = s72;
        s82 = _mm_shuffle_ps(s81, s22, _MM_SHUFFLE(3, 2, 3, 2));
        *((a3 + 6)) = s82;
        s92 = _mm_shuffle_ps(s91, s32, _MM_SHUFFLE(1, 0, 1, 0));
        *((a3 + 1)) = s92;
        s03 = _mm_shuffle_ps(s91, s32, _MM_SHUFFLE(3, 2, 3, 2));
        *((a3 + 3)) = s03;
        s13 = _mm_shuffle_ps(s02, s42, _MM_SHUFFLE(1, 0, 1, 0));
        *((a3 + 5)) = s13;
        s23 = _mm_shuffle_ps(s02, s42, _MM_SHUFFLE(3, 2, 3, 2));
        *((a3 + 7)) = s23;
    }}
    {long i2; for(i2 = 0; i2 <= 7; i2++) {
        {long i3; for(i3 = 0; i3 <= 3; i3++) {
            {long i4; for(i4 = 0; i4 <= 7; i4++) {
                a4 = (((__m128  *) T2) + ((2 * i2) + ((16 * i3) + (64 * i4))));
                s33 = *(a4);
                s43 = *((a4 + 1));
                s53 = *((a4 + 2048));
                s63 = *((a4 + 2049));
                a5 = (16 * i4);
                a6 = (D974 + ((512 * i2) + ((128 * i3) + a5)));
                a7 = *(a6);
                a8 = *((a6 + 1));
                s73 = _mm_sub_ps(_mm_mul_ps(a7, s33), _mm_mul_ps(a8, s43));
                s83 = _mm_add_ps(_mm_mul_ps(a8, s33), _mm_mul_ps(a7, s43));
                a9 = *((a6 + 2));
                a01 = *((a6 + 3));
                s93 = _mm_sub_ps(_mm_mul_ps(a9, s53), _mm_mul_ps(a01, s63));
                s04 = _mm_add_ps(_mm_mul_ps(a01, s53), _mm_mul_ps(a9, s63));
                t71 = _mm_add_ps(s73, s93);
                t81 = _mm_add_ps(s83, s04);
                t91 = _mm_sub_ps(s73, s93);
                t02 = _mm_sub_ps(s83, s04);
                s14 = *((a4 + 1024));
                s24 = *((a4 + 1025));
                s34 = *((a4 + 3072));
                s44 = *((a4 + 3073));
                a11 = *((a6 + 4));
                a21 = *((a6 + 5));
                s54 = _mm_sub_ps(_mm_mul_ps(a11, s14), _mm_mul_ps(a21, s24));
                s64 = _mm_add_ps(_mm_mul_ps(a21, s14), _mm_mul_ps(a11, s24));
                a31 = *((a6 + 6));
                a41 = *((a6 + 7));
                s74 = _mm_sub_ps(_mm_mul_ps(a31, s34), _mm_mul_ps(a41, s44));
                s84 = _mm_add_ps(_mm_mul_ps(a41, s34), _mm_mul_ps(a31, s44));
                t12 = _mm_add_ps(s54, s74);
                t22 = _mm_add_ps(s64, s84);
                t32 = _mm_sub_ps(s54, s74);
                t42 = _mm_sub_ps(s64, s84);
                t52 = _mm_add_ps(t71, t12);
                t62 = _mm_add_ps(t81, t22);
                t72 = _mm_sub_ps(t71, t12);
                t82 = _mm_sub_ps(t81, t22);
                t92 = _mm_sub_ps(t91, t42);
                t03 = _mm_add_ps(t02, t32);
                t13 = _mm_add_ps(t91, t42);
                t23 = _mm_sub_ps(t02, t32);
                s94 = *((a4 + 512));
                s05 = *((a4 + 513));
                s15 = *((a4 + 2560));
                s25 = *((a4 + 2561));
                a51 = *((a6 + 8));
                a61 = *((a6 + 9));
                s35 = _mm_sub_ps(_mm_mul_ps(a51, s94), _mm_mul_ps(a61, s05));
                s45 = _mm_add_ps(_mm_mul_ps(a61, s94), _mm_mul_ps(a51, s05));
                a71 = *((a6 + 10));
                a81 = *((a6 + 11));
                s55 = _mm_sub_ps(_mm_mul_ps(a71, s15), _mm_mul_ps(a81, s25));
                s65 = _mm_add_ps(_mm_mul_ps(a81, s15), _mm_mul_ps(a71, s25));
                t33 = _mm_add_ps(s35, s55);
                t43 = _mm_add_ps(s45, s65);
                t53 = _mm_sub_ps(s35, s55);
                t63 = _mm_sub_ps(s45, s65);
                s75 = *((a4 + 1536));
                s85 = *((a4 + 1537));
                s95 = *((a4 + 3584));
                s06 = *((a4 + 3585));
                a91 = *((a6 + 12));
                a02 = *((a6 + 13));
                s16 = _mm_sub_ps(_mm_mul_ps(a91, s75), _mm_mul_ps(a02, s85));
                s26 = _mm_add_ps(_mm_mul_ps(a02, s75), _mm_mul_ps(a91, s85));
                a12 = *((a6 + 14));
                a22 = *((a6 + 15));
                s36 = _mm_sub_ps(_mm_mul_ps(a12, s95), _mm_mul_ps(a22, s06));
                s46 = _mm_add_ps(_mm_mul_ps(a22, s95), _mm_mul_ps(a12, s06));
                t73 = _mm_add_ps(s16, s36);
                t83 = _mm_add_ps(s26, s46);
                t93 = _mm_sub_ps(s16, s36);
                t04 = _mm_sub_ps(s26, s46);
                t14 = _mm_add_ps(t33, t73);
                t24 = _mm_add_ps(t43, t83);
                t34 = _mm_sub_ps(t33, t73);
                t44 = _mm_sub_ps(t43, t83);
                a32 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t53, t04));
                a42 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t63, t93));
                s56 = _mm_sub_ps(a32, a42);
                s66 = _mm_add_ps(a32, a42);
                a52 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t53, t04));
                a62 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t63, t93));
                s76 = _mm_sub_ps(a52, a62);
                s86 = _mm_add_ps(a52, a62);
                t54 = _mm_add_ps(t52, t14);
                t64 = _mm_add_ps(t62, t24);
                t74 = _mm_sub_ps(t52, t14);
                t84 = _mm_sub_ps(t62, t24);
                a72 = (D965 + a5);
                a82 = *(a72);
                a92 = *((a72 + 1));
                a03 = *((a72 + 2));
                a13 = *((a72 + 3));
                a23 = (((__m128  *) T4) + a5);
                s96 = _mm_sub_ps(_mm_mul_ps(a82, t54), _mm_mul_ps(a92, t64));
                *(a23) = s96;
                s07 = _mm_add_ps(_mm_mul_ps(a92, t54), _mm_mul_ps(a82, t64));
                *((a23 + 1)) = s07;
                s17 = _mm_sub_ps(_mm_mul_ps(a03, t74), _mm_mul_ps(a13, t84));
                *((a23 + 8)) = s17;
                s27 = _mm_add_ps(_mm_mul_ps(a13, t74), _mm_mul_ps(a03, t84));
                *((a23 + 9)) = s27;
                t94 = _mm_add_ps(t92, s56);
                t05 = _mm_add_ps(t03, s66);
                t15 = _mm_sub_ps(t92, s56);
                t25 = _mm_sub_ps(t03, s66);
                a33 = *((a72 + 4));
                a43 = *((a72 + 5));
                a53 = *((a72 + 6));
                a63 = *((a72 + 7));
                s37 = _mm_sub_ps(_mm_mul_ps(a33, t94), _mm_mul_ps(a43, t05));
                *((a23 + 2)) = s37;
                s47 = _mm_add_ps(_mm_mul_ps(a43, t94), _mm_mul_ps(a33, t05));
                *((a23 + 3)) = s47;
                s57 = _mm_sub_ps(_mm_mul_ps(a53, t15), _mm_mul_ps(a63, t25));
                *((a23 + 10)) = s57;
                s67 = _mm_add_ps(_mm_mul_ps(a63, t15), _mm_mul_ps(a53, t25));
                *((a23 + 11)) = s67;
                t35 = _mm_sub_ps(t72, t44);
                t45 = _mm_add_ps(t82, t34);
                t55 = _mm_add_ps(t72, t44);
                t65 = _mm_sub_ps(t82, t34);
                a73 = *((a72 + 8));
                a83 = *((a72 + 9));
                a93 = *((a72 + 10));
                a04 = *((a72 + 11));
                s77 = _mm_sub_ps(_mm_mul_ps(a73, t35), _mm_mul_ps(a83, t45));
                *((a23 + 4)) = s77;
                s87 = _mm_add_ps(_mm_mul_ps(a83, t35), _mm_mul_ps(a73, t45));
                *((a23 + 5)) = s87;
                s97 = _mm_sub_ps(_mm_mul_ps(a93, t55), _mm_mul_ps(a04, t65));
                *((a23 + 12)) = s97;
                s08 = _mm_add_ps(_mm_mul_ps(a04, t55), _mm_mul_ps(a93, t65));
                *((a23 + 13)) = s08;
                t75 = _mm_add_ps(t13, s76);
                t85 = _mm_sub_ps(t23, s86);
                t95 = _mm_sub_ps(t13, s76);
                t06 = _mm_add_ps(t23, s86);
                a14 = *((a72 + 12));
                a24 = *((a72 + 13));
                a34 = *((a72 + 14));
                a44 = *((a72 + 15));
                s18 = _mm_sub_ps(_mm_mul_ps(a14, t75), _mm_mul_ps(a24, t85));
                *((a23 + 6)) = s18;
                s28 = _mm_add_ps(_mm_mul_ps(a24, t75), _mm_mul_ps(a14, t85));
                *((a23 + 7)) = s28;
                s38 = _mm_sub_ps(_mm_mul_ps(a34, t95), _mm_mul_ps(a44, t06));
                *((a23 + 14)) = s38;
                s48 = _mm_add_ps(_mm_mul_ps(a44, t95), _mm_mul_ps(a34, t06));
                *((a23 + 15)) = s48;
            }}
            {long i5; for(i5 = 0; i5 <= 7; i5++) {
                a54 = (2 * i5);
                a64 = (((__m128  *) T4) + a54);
                s58 = *(a64);
                s68 = *((a64 + 1));
                s78 = *((a64 + 64));
                s88 = *((a64 + 65));
                t16 = _mm_add_ps(s58, s78);
                t26 = _mm_add_ps(s68, s88);
                t36 = _mm_sub_ps(s58, s78);
                t46 = _mm_sub_ps(s68, s88);
                s98 = *((a64 + 32));
                s09 = *((a64 + 33));
                s19 = *((a64 + 96));
                s29 = *((a64 + 97));
                t56 = _mm_add_ps(s98, s19);
                t66 = _mm_add_ps(s09, s29);
                t76 = _mm_sub_ps(s98, s19);
                t86 = _mm_sub_ps(s09, s29);
                t96 = _mm_add_ps(t16, t56);
                t07 = _mm_add_ps(t26, t66);
                t17 = _mm_sub_ps(t16, t56);
                t27 = _mm_sub_ps(t26, t66);
                t37 = _mm_sub_ps(t36, t86);
                t47 = _mm_add_ps(t46, t76);
                t57 = _mm_add_ps(t36, t86);
                t67 = _mm_sub_ps(t46, t76);
                s39 = *((a64 + 16));
                s49 = *((a64 + 17));
                s59 = *((a64 + 80));
                s69 = *((a64 + 81));
                t77 = _mm_add_ps(s39, s59);
                t87 = _mm_add_ps(s49, s69);
                t97 = _mm_sub_ps(s39, s59);
                t08 = _mm_sub_ps(s49, s69);
                s79 = *((a64 + 48));
                s89 = *((a64 + 49));
                s99 = *((a64 + 112));
                s0a = *((a64 + 113));
                t18 = _mm_add_ps(s79, s99);
                t28 = _mm_add_ps(s89, s0a);
                t38 = _mm_sub_ps(s79, s99);
                t48 = _mm_sub_ps(s89, s0a);
                t58 = _mm_add_ps(t77, t18);
                t68 = _mm_add_ps(t87, t28);
                t78 = _mm_sub_ps(t77, t18);
                t88 = _mm_sub_ps(t87, t28);
                a74 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t97, t48));
                a84 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t08, t38));
                s1a = _mm_sub_ps(a74, a84);
                s2a = _mm_add_ps(a74, a84);
                a94 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t97, t48));
                a05 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t08, t38));
                s3a = _mm_sub_ps(a94, a05);
                s4a = _mm_add_ps(a94, a05);
                t98 = _mm_add_ps(t96, t58);
                t09 = _mm_add_ps(t07, t68);
                t19 = _mm_sub_ps(t96, t58);
                t29 = _mm_sub_ps(t07, t68);
                a15 = (128 * i3);
                a25 = (D973 + (a15 + (16 * i5)));
                a35 = *(a25);
                a45 = *((a25 + 1));
                a55 = *((a25 + 2));
                a65 = *((a25 + 3));
                a75 = (((__m128  *) T3) + (a15 + a54));
                s5a = _mm_sub_ps(_mm_mul_ps(a35, t98), _mm_mul_ps(a45, t09));
                *(a75) = s5a;
                s6a = _mm_add_ps(_mm_mul_ps(a45, t98), _mm_mul_ps(a35, t09));
                *((a75 + 1)) = s6a;
                s7a = _mm_sub_ps(_mm_mul_ps(a55, t19), _mm_mul_ps(a65, t29));
                *((a75 + 64)) = s7a;
                s8a = _mm_add_ps(_mm_mul_ps(a65, t19), _mm_mul_ps(a55, t29));
                *((a75 + 65)) = s8a;
                t39 = _mm_add_ps(t37, s1a);
                t49 = _mm_add_ps(t47, s2a);
                t59 = _mm_sub_ps(t37, s1a);
                t69 = _mm_sub_ps(t47, s2a);
                a85 = *((a25 + 4));
                a95 = *((a25 + 5));
                a06 = *((a25 + 6));
                a16 = *((a25 + 7));
                s9a = _mm_sub_ps(_mm_mul_ps(a85, t39), _mm_mul_ps(a95, t49));
                *((a75 + 16)) = s9a;
                s0b = _mm_add_ps(_mm_mul_ps(a95, t39), _mm_mul_ps(a85, t49));
                *((a75 + 17)) = s0b;
                s1b = _mm_sub_ps(_mm_mul_ps(a06, t59), _mm_mul_ps(a16, t69));
                *((a75 + 80)) = s1b;
                s2b = _mm_add_ps(_mm_mul_ps(a16, t59), _mm_mul_ps(a06, t69));
                *((a75 + 81)) = s2b;
                t79 = _mm_sub_ps(t17, t88);
                t89 = _mm_add_ps(t27, t78);
                t99 = _mm_add_ps(t17, t88);
                t0a = _mm_sub_ps(t27, t78);
                a26 = *((a25 + 8));
                a36 = *((a25 + 9));
                a46 = *((a25 + 10));
                a56 = *((a25 + 11));
                s3b = _mm_sub_ps(_mm_mul_ps(a26, t79), _mm_mul_ps(a36, t89));
                *((a75 + 32)) = s3b;
                s4b = _mm_add_ps(_mm_mul_ps(a36, t79), _mm_mul_ps(a26, t89));
                *((a75 + 33)) = s4b;
                s5b = _mm_sub_ps(_mm_mul_ps(a46, t99), _mm_mul_ps(a56, t0a));
                *((a75 + 96)) = s5b;
                s6b = _mm_add_ps(_mm_mul_ps(a56, t99), _mm_mul_ps(a46, t0a));
                *((a75 + 97)) = s6b;
                t1a = _mm_add_ps(t57, s3a);
                t2a = _mm_sub_ps(t67, s4a);
                t3a = _mm_sub_ps(t57, s3a);
                t4a = _mm_add_ps(t67, s4a);
                a66 = *((a25 + 12));
                a76 = *((a25 + 13));
                a86 = *((a25 + 14));
                a96 = *((a25 + 15));
                s7b = _mm_sub_ps(_mm_mul_ps(a66, t1a), _mm_mul_ps(a76, t2a));
                *((a75 + 48)) = s7b;
                s8b = _mm_add_ps(_mm_mul_ps(a76, t1a), _mm_mul_ps(a66, t2a));
                *((a75 + 49)) = s8b;
                s9b = _mm_sub_ps(_mm_mul_ps(a86, t3a), _mm_mul_ps(a96, t4a));
                *((a75 + 112)) = s9b;
                s0c = _mm_add_ps(_mm_mul_ps(a96, t3a), _mm_mul_ps(a86, t4a));
                *((a75 + 113)) = s0c;
            }}
        }}
        {long i6; for(i6 = 0; i6 <= 63; i6++) {
            a07 = (2 * i6);
            a17 = (((__m128  *) T3) + a07);
            s1c = *(a17);
            s2c = *((a17 + 1));
            s3c = *((a17 + 256));
            s4c = *((a17 + 257));
            t5a = _mm_add_ps(s1c, s3c);
            t6a = _mm_add_ps(s2c, s4c);
            t7a = _mm_sub_ps(s1c, s3c);
            t8a = _mm_sub_ps(s2c, s4c);
            s5c = *((a17 + 128));
            s6c = *((a17 + 129));
            s7c = *((a17 + 384));
            s8c = *((a17 + 385));
            t9a = _mm_add_ps(s5c, s7c);
            t0b = _mm_add_ps(s6c, s8c);
            t1b = _mm_sub_ps(s5c, s7c);
            t2b = _mm_sub_ps(s6c, s8c);
            t3b = _mm_add_ps(t5a, t9a);
            t4b = _mm_add_ps(t6a, t0b);
            t5b = _mm_sub_ps(t5a, t9a);
            t6b = _mm_sub_ps(t6a, t0b);
            a27 = (512 * i2);
            a37 = (D972 + (a27 + (8 * i6)));
            a47 = *(a37);
            a57 = *((a37 + 1));
            a67 = *((a37 + 2));
            a77 = *((a37 + 3));
            a87 = (((__m128  *) T) + (a27 + a07));
            s9c = _mm_sub_ps(_mm_mul_ps(a47, t3b), _mm_mul_ps(a57, t4b));
            *(a87) = s9c;
            s0d = _mm_add_ps(_mm_mul_ps(a57, t3b), _mm_mul_ps(a47, t4b));
            *((a87 + 1)) = s0d;
            s1d = _mm_sub_ps(_mm_mul_ps(a67, t5b), _mm_mul_ps(a77, t6b));
            *((a87 + 256)) = s1d;
            s2d = _mm_add_ps(_mm_mul_ps(a77, t5b), _mm_mul_ps(a67, t6b));
            *((a87 + 257)) = s2d;
            t7b = _mm_sub_ps(t7a, t2b);
            t8b = _mm_add_ps(t8a, t1b);
            t9b = _mm_add_ps(t7a, t2b);
            t0c = _mm_sub_ps(t8a, t1b);
            a97 = *((a37 + 4));
            a08 = *((a37 + 5));
            a18 = *((a37 + 6));
            a28 = *((a37 + 7));
            s3d = _mm_sub_ps(_mm_mul_ps(a97, t7b), _mm_mul_ps(a08, t8b));
            *((a87 + 128)) = s3d;
            s4d = _mm_add_ps(_mm_mul_ps(a08, t7b), _mm_mul_ps(a97, t8b));
            *((a87 + 129)) = s4d;
            s5d = _mm_sub_ps(_mm_mul_ps(a18, t9b), _mm_mul_ps(a28, t0c));
            *((a87 + 384)) = s5d;
            s6d = _mm_add_ps(_mm_mul_ps(a28, t9b), _mm_mul_ps(a18, t0c));
            *((a87 + 385)) = s6d;
        }}
    }}
    {long i7; for(i7 = 0; i7 <= 255; i7++) {
        a38 = (((__m128  *) T) + (2 * i7));
        s7d = *(a38);
        s8d = *((a38 + 1));
        s9d = *((a38 + 2048));
        s0e = *((a38 + 2049));
        t1c = _mm_add_ps(s7d, s9d);
        t2c = _mm_add_ps(s8d, s0e);
        t3c = _mm_sub_ps(s7d, s9d);
        t4c = _mm_sub_ps(s8d, s0e);
        s1e = *((a38 + 1024));
        s2e = *((a38 + 1025));
        s3e = *((a38 + 3072));
        s4e = *((a38 + 3073));
        t5c = _mm_add_ps(s1e, s3e);
        t6c = _mm_add_ps(s2e, s4e);
        t7c = _mm_sub_ps(s1e, s3e);
        t8c = _mm_sub_ps(s2e, s4e);
        t9c = _mm_add_ps(t1c, t5c);
        t0d = _mm_add_ps(t2c, t6c);
        t1d = _mm_sub_ps(t1c, t5c);
        t2d = _mm_sub_ps(t2c, t6c);
        t3d = _mm_sub_ps(t3c, t8c);
        t4d = _mm_add_ps(t4c, t7c);
        t5d = _mm_add_ps(t3c, t8c);
        t6d = _mm_sub_ps(t4c, t7c);
        s5e = *((a38 + 512));
        s6e = *((a38 + 513));
        s7e = *((a38 + 2560));
        s8e = *((a38 + 2561));
        t7d = _mm_add_ps(s5e, s7e);
        t8d = _mm_add_ps(s6e, s8e);
        t9d = _mm_sub_ps(s5e, s7e);
        t0e = _mm_sub_ps(s6e, s8e);
        s9e = *((a38 + 1536));
        s0f = *((a38 + 1537));
        s1f = *((a38 + 3584));
        s2f = *((a38 + 3585));
        t1e = _mm_add_ps(s9e, s1f);
        t2e = _mm_add_ps(s0f, s2f);
        t3e = _mm_sub_ps(s9e, s1f);
        t4e = _mm_sub_ps(s0f, s2f);
        t5e = _mm_add_ps(t7d, t1e);
        t6e = _mm_add_ps(t8d, t2e);
        t7e = _mm_sub_ps(t7d, t1e);
        t8e = _mm_sub_ps(t8d, t2e);
        a48 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t9d, t4e));
        a58 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t0e, t3e));
        s3f = _mm_sub_ps(a48, a58);
        s4f = _mm_add_ps(a48, a58);
        a68 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t9d, t4e));
        a78 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t0e, t3e));
        s5f = _mm_sub_ps(a68, a78);
        s6f = _mm_add_ps(a68, a78);
        t9e = _mm_add_ps(t9c, t5e);
        t0f = _mm_add_ps(t0d, t6e);
        t1f = _mm_sub_ps(t9c, t5e);
        t2f = _mm_sub_ps(t0d, t6e);
        a88 = (dst + (8 * i7));
        s7f = _mm_unpacklo_ps(t9e, t0f);
        _mm_storeu_ps(((float  *) a88), s7f);
        s8f = _mm_unpackhi_ps(t9e, t0f);
        _mm_storeu_ps(((float  *) (a88 + 4)), s8f);
        s9f = _mm_unpacklo_ps(t1f, t2f);
        _mm_storeu_ps(((float  *) (a88 + 8192)), s9f);
        s0g = _mm_unpackhi_ps(t1f, t2f);
        _mm_storeu_ps(((float  *) (a88 + 8196)), s0g);
        t3f = _mm_add_ps(t3d, s3f);
        t4f = _mm_add_ps(t4d, s4f);
        t5f = _mm_sub_ps(t3d, s3f);
        t6f = _mm_sub_ps(t4d, s4f);
        s1g = _mm_unpacklo_ps(t3f, t4f);
        _mm_storeu_ps(((float  *) (a88 + 2048)), s1g);
        s2g = _mm_unpackhi_ps(t3f, t4f);
        _mm_storeu_ps(((float  *) (a88 + 2052)), s2g);
        s3g = _mm_unpacklo_ps(t5f, t6f);
        _mm_storeu_ps(((float  *) (a88 + 10240)), s3g);
        s4g = _mm_unpackhi_ps(t5f, t6f);
        _mm_storeu_ps(((float  *) (a88 + 10244)), s4g);
        t7f = _mm_sub_ps(t1d, t8e);
        t8f = _mm_add_ps(t2d, t7e);
        t9f = _mm_add_ps(t1d, t8e);
        t0g = _mm_sub_ps(t2d, t7e);
        s5g = _mm_unpacklo_ps(t7f, t8f);
        _mm_storeu_ps(((float  *) (a88 + 4096)), s5g);
        s6g = _mm_unpackhi_ps(t7f, t8f);
        _mm_storeu_ps(((float  *) (a88 + 4100)), s6g);
        s7g = _mm_unpacklo_ps(t9f, t0g);
        _mm_storeu_ps(((float  *) (a88 + 12288)), s7g);
        s8g = _mm_unpackhi_ps(t9f, t0g);
        _mm_storeu_ps(((float  *) (a88 + 12292)), s8g);
        t1g = _mm_add_ps(t5d, s5f);
        t2g = _mm_sub_ps(t6d, s6f);
        t3g = _mm_sub_ps(t5d, s5f);
        t4g = _mm_add_ps(t6d, s6f);
        s9g = _mm_unpacklo_ps(t1g, t2g);
        _mm_storeu_ps(((float  *) (a88 + 6144)), s9g);
        s0h = _mm_unpackhi_ps(t1g, t2g);
        _mm_storeu_ps(((float  *) (a88 + 6148)), s0h);
        s1h = _mm_unpacklo_ps(t3g, t4g);
        _mm_storeu_ps(((float  *) (a88 + 14336)), s1h);
        s2h = _mm_unpackhi_ps(t3g, t4g);
        _mm_storeu_ps(((float  *) (a88 + 14340)), s2h);
    }}
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_fftinv_float_8192)(const float *pSrc, float *pDst ) {
    if (!is_aligned(pSrc) || !is_aligned(pDst))
       	return spiral_fftinv_float_8192_unaligned(pSrc, pDst );
    else {
    const float  *src = (const float *) pSrc; 
    float        *dst = (float *) pDst;
    
    
    { SPIRAL_ALIGNED(float T[16384]);
     SPIRAL_ALIGNED(float T2[16384]);
     SPIRAL_ALIGNED(float T3[2048]);
     SPIRAL_ALIGNED(float T4[512]);
    __m128 s03, s0g, s0h, s13, s1g, s1h, s23, s2g, s2h, s3g, s4g, s52, s5g, s62, s6g, s72, s7f, s7g, s82, s8f, s8g, s92
            , s9f, s9g;
    __m128 a01, a02, a03, a04, a06, a08, a11, a12, a14, a16, a18, a21, a22, a23, a24, a25, a26, a31, a32, a33, a34, a35
            , a36, a37, a41, a42, a43, a45, a46, a47, a48, a51, a52, a53, a55, a56, a57, a58, a6, a61, a63, a64, a66, a67
            , a68, a7, a71, a72, a73, a74, a75, a76, a78, a8, a81, a82, a83, a84, a85, a86, a87, a9, a91, a92, a93, a94
            , a95, a97, s, s01, s02, s04, s05, s06, s07, s08, s09, s0a, s0b, s0c, s0d, s0e, s0f, s11, s12, s14, s15, s16
            , s17, s18, s19, s1a, s1b, s1c, s1d, s1e, s1f, s2, s21, s22, s24, s25, s26, s27, s28, s29, s2a, s2b, s2c, s2d
            , s2e, s2f, s3, s31, s32, s33, s34, s35, s36, s37, s38, s39, s3a, s3b, s3c, s3d, s3e, s3f, s4, s41, s42, s43
            , s44, s45, s46, s47, s48, s49, s4a, s4b, s4c, s4d, s4e, s4f, s5, s51, s53, s54, s55, s56, s57, s58, s59, s5a
            , s5b, s5c, s5d, s5e, s5f, s6, s61, s63, s64, s65, s66, s67, s68, s69, s6a, s6b, s6c, s6d, s6e, s6f, s7, s71
            , s73, s74, s75, s76, s77, s78, s79, s7a, s7b, s7c, s7d, s7e, s8, s81, s83, s84, s85, s86, s87, s88, s89, s8a
            , s8b, s8c, s8d, s8e, s9, s91, s93, s94, s95, s96, s97, s98, s99, s9a, s9b, s9c, s9d, s9e, t, t01, t02, t03
            , t04, t05, t06, t07, t08, t09, t0a, t0b, t0c, t0d, t0e, t0f, t0g, t11, t12, t13, t14, t15, t16, t17, t18, t19
            , t1a, t1b, t1c, t1d, t1e, t1f, t1g, t2, t21, t22, t23, t24, t25, t26, t27, t28, t29, t2a, t2b, t2c, t2d, t2e
            , t2f, t2g, t3, t31, t32, t33, t34, t35, t36, t37, t38, t39, t3a, t3b, t3c, t3d, t3e, t3f, t3g, t4, t41, t42
            , t43, t44, t45, t46, t47, t48, t49, t4a, t4b, t4c, t4d, t4e, t4f, t4g, t5, t51, t52, t53, t54, t55, t56, t57
            , t58, t59, t5a, t5b, t5c, t5d, t5e, t5f, t6, t61, t62, t63, t64, t65, t66, t67, t68, t69, t6a, t6b, t6c, t6d
            , t6e, t6f, t7, t71, t72, t73, t74, t75, t76, t77, t78, t79, t7a, t7b, t7c, t7d, t7e, t7f, t8, t81, t82, t83
            , t84, t85, t86, t87, t88, t89, t8a, t8b, t8c, t8d, t8e, t8f, t9, t91, t92, t93, t94, t95, t96, t97, t98, t99
            , t9a, t9b, t9c, t9d, t9e, t9f;
    __m128  *a, *a07, *a13, *a15, *a2, *a27, *a3, *a38, *a5, *a54, *a62, *a65, *a77, *a88;
    int a05, a17, a28, a4, a44, a96;
    {long i; for(i = 0; i <= 511; i++) {
        a = (((__m128  *) src) + (2 * i));
        s = *(a);
        s2 = *((a + 1));
        s3 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(2, 0, 2, 0));
        s4 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(3, 1, 3, 1));
        s5 = *((a + 2048));
        s6 = *((a + 2049));
        s7 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(2, 0, 2, 0));
        s8 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(3, 1, 3, 1));
        t = _mm_add_ps(s3, s7);
        t2 = _mm_add_ps(s4, s8);
        t3 = _mm_sub_ps(s3, s7);
        t4 = _mm_sub_ps(s4, s8);
        s9 = *((a + 1024));
        s01 = *((a + 1025));
        s11 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(2, 0, 2, 0));
        s21 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(3, 1, 3, 1));
        s31 = *((a + 3072));
        s41 = *((a + 3073));
        s51 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(2, 0, 2, 0));
        s61 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(3, 1, 3, 1));
        t5 = _mm_add_ps(s11, s51);
        t6 = _mm_add_ps(s21, s61);
        t7 = _mm_sub_ps(s11, s51);
        t8 = _mm_sub_ps(s21, s61);
        t9 = _mm_add_ps(t, t5);
        t01 = _mm_add_ps(t2, t6);
        t11 = _mm_sub_ps(t, t5);
        t21 = _mm_sub_ps(t2, t6);
        t31 = _mm_sub_ps(t3, t8);
        t41 = _mm_add_ps(t4, t7);
        t51 = _mm_add_ps(t3, t8);
        t61 = _mm_sub_ps(t4, t7);
        s71 = _mm_unpacklo_ps(t9, t31);
        s81 = _mm_unpackhi_ps(t9, t31);
        s91 = _mm_unpacklo_ps(t01, t41);
        s02 = _mm_unpackhi_ps(t01, t41);
        s12 = _mm_unpacklo_ps(t11, t51);
        s22 = _mm_unpackhi_ps(t11, t51);
        s32 = _mm_unpacklo_ps(t21, t61);
        s42 = _mm_unpackhi_ps(t21, t61);
        a2 = (((__m128  *) T2) + (8 * i));
        s52 = _mm_shuffle_ps(s71, s12, _MM_SHUFFLE(1, 0, 1, 0));
        *(a2) = s52;
        s62 = _mm_shuffle_ps(s71, s12, _MM_SHUFFLE(3, 2, 3, 2));
        *((a2 + 2)) = s62;
        s72 = _mm_shuffle_ps(s81, s22, _MM_SHUFFLE(1, 0, 1, 0));
        *((a2 + 4)) = s72;
        s82 = _mm_shuffle_ps(s81, s22, _MM_SHUFFLE(3, 2, 3, 2));
        *((a2 + 6)) = s82;
        s92 = _mm_shuffle_ps(s91, s32, _MM_SHUFFLE(1, 0, 1, 0));
        *((a2 + 1)) = s92;
        s03 = _mm_shuffle_ps(s91, s32, _MM_SHUFFLE(3, 2, 3, 2));
        *((a2 + 3)) = s03;
        s13 = _mm_shuffle_ps(s02, s42, _MM_SHUFFLE(1, 0, 1, 0));
        *((a2 + 5)) = s13;
        s23 = _mm_shuffle_ps(s02, s42, _MM_SHUFFLE(3, 2, 3, 2));
        *((a2 + 7)) = s23;
    }}
    {long i2; for(i2 = 0; i2 <= 7; i2++) {
        {long i3; for(i3 = 0; i3 <= 3; i3++) {
            {long i4; for(i4 = 0; i4 <= 7; i4++) {
                a3 = (((__m128  *) T2) + ((2 * i2) + ((16 * i3) + (64 * i4))));
                s33 = *(a3);
                s43 = *((a3 + 1));
                s53 = *((a3 + 2048));
                s63 = *((a3 + 2049));
                a4 = (16 * i4);
                a5 = (D974 + ((512 * i2) + ((128 * i3) + a4)));
                a6 = *(a5);
                a7 = *((a5 + 1));
                s73 = _mm_sub_ps(_mm_mul_ps(a6, s33), _mm_mul_ps(a7, s43));
                s83 = _mm_add_ps(_mm_mul_ps(a7, s33), _mm_mul_ps(a6, s43));
                a8 = *((a5 + 2));
                a9 = *((a5 + 3));
                s93 = _mm_sub_ps(_mm_mul_ps(a8, s53), _mm_mul_ps(a9, s63));
                s04 = _mm_add_ps(_mm_mul_ps(a9, s53), _mm_mul_ps(a8, s63));
                t71 = _mm_add_ps(s73, s93);
                t81 = _mm_add_ps(s83, s04);
                t91 = _mm_sub_ps(s73, s93);
                t02 = _mm_sub_ps(s83, s04);
                s14 = *((a3 + 1024));
                s24 = *((a3 + 1025));
                s34 = *((a3 + 3072));
                s44 = *((a3 + 3073));
                a01 = *((a5 + 4));
                a11 = *((a5 + 5));
                s54 = _mm_sub_ps(_mm_mul_ps(a01, s14), _mm_mul_ps(a11, s24));
                s64 = _mm_add_ps(_mm_mul_ps(a11, s14), _mm_mul_ps(a01, s24));
                a21 = *((a5 + 6));
                a31 = *((a5 + 7));
                s74 = _mm_sub_ps(_mm_mul_ps(a21, s34), _mm_mul_ps(a31, s44));
                s84 = _mm_add_ps(_mm_mul_ps(a31, s34), _mm_mul_ps(a21, s44));
                t12 = _mm_add_ps(s54, s74);
                t22 = _mm_add_ps(s64, s84);
                t32 = _mm_sub_ps(s54, s74);
                t42 = _mm_sub_ps(s64, s84);
                t52 = _mm_add_ps(t71, t12);
                t62 = _mm_add_ps(t81, t22);
                t72 = _mm_sub_ps(t71, t12);
                t82 = _mm_sub_ps(t81, t22);
                t92 = _mm_sub_ps(t91, t42);
                t03 = _mm_add_ps(t02, t32);
                t13 = _mm_add_ps(t91, t42);
                t23 = _mm_sub_ps(t02, t32);
                s94 = *((a3 + 512));
                s05 = *((a3 + 513));
                s15 = *((a3 + 2560));
                s25 = *((a3 + 2561));
                a41 = *((a5 + 8));
                a51 = *((a5 + 9));
                s35 = _mm_sub_ps(_mm_mul_ps(a41, s94), _mm_mul_ps(a51, s05));
                s45 = _mm_add_ps(_mm_mul_ps(a51, s94), _mm_mul_ps(a41, s05));
                a61 = *((a5 + 10));
                a71 = *((a5 + 11));
                s55 = _mm_sub_ps(_mm_mul_ps(a61, s15), _mm_mul_ps(a71, s25));
                s65 = _mm_add_ps(_mm_mul_ps(a71, s15), _mm_mul_ps(a61, s25));
                t33 = _mm_add_ps(s35, s55);
                t43 = _mm_add_ps(s45, s65);
                t53 = _mm_sub_ps(s35, s55);
                t63 = _mm_sub_ps(s45, s65);
                s75 = *((a3 + 1536));
                s85 = *((a3 + 1537));
                s95 = *((a3 + 3584));
                s06 = *((a3 + 3585));
                a81 = *((a5 + 12));
                a91 = *((a5 + 13));
                s16 = _mm_sub_ps(_mm_mul_ps(a81, s75), _mm_mul_ps(a91, s85));
                s26 = _mm_add_ps(_mm_mul_ps(a91, s75), _mm_mul_ps(a81, s85));
                a02 = *((a5 + 14));
                a12 = *((a5 + 15));
                s36 = _mm_sub_ps(_mm_mul_ps(a02, s95), _mm_mul_ps(a12, s06));
                s46 = _mm_add_ps(_mm_mul_ps(a12, s95), _mm_mul_ps(a02, s06));
                t73 = _mm_add_ps(s16, s36);
                t83 = _mm_add_ps(s26, s46);
                t93 = _mm_sub_ps(s16, s36);
                t04 = _mm_sub_ps(s26, s46);
                t14 = _mm_add_ps(t33, t73);
                t24 = _mm_add_ps(t43, t83);
                t34 = _mm_sub_ps(t33, t73);
                t44 = _mm_sub_ps(t43, t83);
                a22 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t53, t04));
                a32 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t63, t93));
                s56 = _mm_sub_ps(a22, a32);
                s66 = _mm_add_ps(a22, a32);
                a42 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t53, t04));
                a52 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t63, t93));
                s76 = _mm_sub_ps(a42, a52);
                s86 = _mm_add_ps(a42, a52);
                t54 = _mm_add_ps(t52, t14);
                t64 = _mm_add_ps(t62, t24);
                t74 = _mm_sub_ps(t52, t14);
                t84 = _mm_sub_ps(t62, t24);
                a62 = (D965 + a4);
                a72 = *(a62);
                a82 = *((a62 + 1));
                a92 = *((a62 + 2));
                a03 = *((a62 + 3));
                a13 = (((__m128  *) T4) + a4);
                s96 = _mm_sub_ps(_mm_mul_ps(a72, t54), _mm_mul_ps(a82, t64));
                *(a13) = s96;
                s07 = _mm_add_ps(_mm_mul_ps(a82, t54), _mm_mul_ps(a72, t64));
                *((a13 + 1)) = s07;
                s17 = _mm_sub_ps(_mm_mul_ps(a92, t74), _mm_mul_ps(a03, t84));
                *((a13 + 8)) = s17;
                s27 = _mm_add_ps(_mm_mul_ps(a03, t74), _mm_mul_ps(a92, t84));
                *((a13 + 9)) = s27;
                t94 = _mm_add_ps(t92, s56);
                t05 = _mm_add_ps(t03, s66);
                t15 = _mm_sub_ps(t92, s56);
                t25 = _mm_sub_ps(t03, s66);
                a23 = *((a62 + 4));
                a33 = *((a62 + 5));
                a43 = *((a62 + 6));
                a53 = *((a62 + 7));
                s37 = _mm_sub_ps(_mm_mul_ps(a23, t94), _mm_mul_ps(a33, t05));
                *((a13 + 2)) = s37;
                s47 = _mm_add_ps(_mm_mul_ps(a33, t94), _mm_mul_ps(a23, t05));
                *((a13 + 3)) = s47;
                s57 = _mm_sub_ps(_mm_mul_ps(a43, t15), _mm_mul_ps(a53, t25));
                *((a13 + 10)) = s57;
                s67 = _mm_add_ps(_mm_mul_ps(a53, t15), _mm_mul_ps(a43, t25));
                *((a13 + 11)) = s67;
                t35 = _mm_sub_ps(t72, t44);
                t45 = _mm_add_ps(t82, t34);
                t55 = _mm_add_ps(t72, t44);
                t65 = _mm_sub_ps(t82, t34);
                a63 = *((a62 + 8));
                a73 = *((a62 + 9));
                a83 = *((a62 + 10));
                a93 = *((a62 + 11));
                s77 = _mm_sub_ps(_mm_mul_ps(a63, t35), _mm_mul_ps(a73, t45));
                *((a13 + 4)) = s77;
                s87 = _mm_add_ps(_mm_mul_ps(a73, t35), _mm_mul_ps(a63, t45));
                *((a13 + 5)) = s87;
                s97 = _mm_sub_ps(_mm_mul_ps(a83, t55), _mm_mul_ps(a93, t65));
                *((a13 + 12)) = s97;
                s08 = _mm_add_ps(_mm_mul_ps(a93, t55), _mm_mul_ps(a83, t65));
                *((a13 + 13)) = s08;
                t75 = _mm_add_ps(t13, s76);
                t85 = _mm_sub_ps(t23, s86);
                t95 = _mm_sub_ps(t13, s76);
                t06 = _mm_add_ps(t23, s86);
                a04 = *((a62 + 12));
                a14 = *((a62 + 13));
                a24 = *((a62 + 14));
                a34 = *((a62 + 15));
                s18 = _mm_sub_ps(_mm_mul_ps(a04, t75), _mm_mul_ps(a14, t85));
                *((a13 + 6)) = s18;
                s28 = _mm_add_ps(_mm_mul_ps(a14, t75), _mm_mul_ps(a04, t85));
                *((a13 + 7)) = s28;
                s38 = _mm_sub_ps(_mm_mul_ps(a24, t95), _mm_mul_ps(a34, t06));
                *((a13 + 14)) = s38;
                s48 = _mm_add_ps(_mm_mul_ps(a34, t95), _mm_mul_ps(a24, t06));
                *((a13 + 15)) = s48;
            }}
            {long i5; for(i5 = 0; i5 <= 7; i5++) {
                a44 = (2 * i5);
                a54 = (((__m128  *) T4) + a44);
                s58 = *(a54);
                s68 = *((a54 + 1));
                s78 = *((a54 + 64));
                s88 = *((a54 + 65));
                t16 = _mm_add_ps(s58, s78);
                t26 = _mm_add_ps(s68, s88);
                t36 = _mm_sub_ps(s58, s78);
                t46 = _mm_sub_ps(s68, s88);
                s98 = *((a54 + 32));
                s09 = *((a54 + 33));
                s19 = *((a54 + 96));
                s29 = *((a54 + 97));
                t56 = _mm_add_ps(s98, s19);
                t66 = _mm_add_ps(s09, s29);
                t76 = _mm_sub_ps(s98, s19);
                t86 = _mm_sub_ps(s09, s29);
                t96 = _mm_add_ps(t16, t56);
                t07 = _mm_add_ps(t26, t66);
                t17 = _mm_sub_ps(t16, t56);
                t27 = _mm_sub_ps(t26, t66);
                t37 = _mm_sub_ps(t36, t86);
                t47 = _mm_add_ps(t46, t76);
                t57 = _mm_add_ps(t36, t86);
                t67 = _mm_sub_ps(t46, t76);
                s39 = *((a54 + 16));
                s49 = *((a54 + 17));
                s59 = *((a54 + 80));
                s69 = *((a54 + 81));
                t77 = _mm_add_ps(s39, s59);
                t87 = _mm_add_ps(s49, s69);
                t97 = _mm_sub_ps(s39, s59);
                t08 = _mm_sub_ps(s49, s69);
                s79 = *((a54 + 48));
                s89 = *((a54 + 49));
                s99 = *((a54 + 112));
                s0a = *((a54 + 113));
                t18 = _mm_add_ps(s79, s99);
                t28 = _mm_add_ps(s89, s0a);
                t38 = _mm_sub_ps(s79, s99);
                t48 = _mm_sub_ps(s89, s0a);
                t58 = _mm_add_ps(t77, t18);
                t68 = _mm_add_ps(t87, t28);
                t78 = _mm_sub_ps(t77, t18);
                t88 = _mm_sub_ps(t87, t28);
                a64 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t97, t48));
                a74 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t08, t38));
                s1a = _mm_sub_ps(a64, a74);
                s2a = _mm_add_ps(a64, a74);
                a84 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t97, t48));
                a94 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t08, t38));
                s3a = _mm_sub_ps(a84, a94);
                s4a = _mm_add_ps(a84, a94);
                t98 = _mm_add_ps(t96, t58);
                t09 = _mm_add_ps(t07, t68);
                t19 = _mm_sub_ps(t96, t58);
                t29 = _mm_sub_ps(t07, t68);
                a05 = (128 * i3);
                a15 = (D973 + (a05 + (16 * i5)));
                a25 = *(a15);
                a35 = *((a15 + 1));
                a45 = *((a15 + 2));
                a55 = *((a15 + 3));
                a65 = (((__m128  *) T3) + (a05 + a44));
                s5a = _mm_sub_ps(_mm_mul_ps(a25, t98), _mm_mul_ps(a35, t09));
                *(a65) = s5a;
                s6a = _mm_add_ps(_mm_mul_ps(a35, t98), _mm_mul_ps(a25, t09));
                *((a65 + 1)) = s6a;
                s7a = _mm_sub_ps(_mm_mul_ps(a45, t19), _mm_mul_ps(a55, t29));
                *((a65 + 64)) = s7a;
                s8a = _mm_add_ps(_mm_mul_ps(a55, t19), _mm_mul_ps(a45, t29));
                *((a65 + 65)) = s8a;
                t39 = _mm_add_ps(t37, s1a);
                t49 = _mm_add_ps(t47, s2a);
                t59 = _mm_sub_ps(t37, s1a);
                t69 = _mm_sub_ps(t47, s2a);
                a75 = *((a15 + 4));
                a85 = *((a15 + 5));
                a95 = *((a15 + 6));
                a06 = *((a15 + 7));
                s9a = _mm_sub_ps(_mm_mul_ps(a75, t39), _mm_mul_ps(a85, t49));
                *((a65 + 16)) = s9a;
                s0b = _mm_add_ps(_mm_mul_ps(a85, t39), _mm_mul_ps(a75, t49));
                *((a65 + 17)) = s0b;
                s1b = _mm_sub_ps(_mm_mul_ps(a95, t59), _mm_mul_ps(a06, t69));
                *((a65 + 80)) = s1b;
                s2b = _mm_add_ps(_mm_mul_ps(a06, t59), _mm_mul_ps(a95, t69));
                *((a65 + 81)) = s2b;
                t79 = _mm_sub_ps(t17, t88);
                t89 = _mm_add_ps(t27, t78);
                t99 = _mm_add_ps(t17, t88);
                t0a = _mm_sub_ps(t27, t78);
                a16 = *((a15 + 8));
                a26 = *((a15 + 9));
                a36 = *((a15 + 10));
                a46 = *((a15 + 11));
                s3b = _mm_sub_ps(_mm_mul_ps(a16, t79), _mm_mul_ps(a26, t89));
                *((a65 + 32)) = s3b;
                s4b = _mm_add_ps(_mm_mul_ps(a26, t79), _mm_mul_ps(a16, t89));
                *((a65 + 33)) = s4b;
                s5b = _mm_sub_ps(_mm_mul_ps(a36, t99), _mm_mul_ps(a46, t0a));
                *((a65 + 96)) = s5b;
                s6b = _mm_add_ps(_mm_mul_ps(a46, t99), _mm_mul_ps(a36, t0a));
                *((a65 + 97)) = s6b;
                t1a = _mm_add_ps(t57, s3a);
                t2a = _mm_sub_ps(t67, s4a);
                t3a = _mm_sub_ps(t57, s3a);
                t4a = _mm_add_ps(t67, s4a);
                a56 = *((a15 + 12));
                a66 = *((a15 + 13));
                a76 = *((a15 + 14));
                a86 = *((a15 + 15));
                s7b = _mm_sub_ps(_mm_mul_ps(a56, t1a), _mm_mul_ps(a66, t2a));
                *((a65 + 48)) = s7b;
                s8b = _mm_add_ps(_mm_mul_ps(a66, t1a), _mm_mul_ps(a56, t2a));
                *((a65 + 49)) = s8b;
                s9b = _mm_sub_ps(_mm_mul_ps(a76, t3a), _mm_mul_ps(a86, t4a));
                *((a65 + 112)) = s9b;
                s0c = _mm_add_ps(_mm_mul_ps(a86, t3a), _mm_mul_ps(a76, t4a));
                *((a65 + 113)) = s0c;
            }}
        }}
        {long i6; for(i6 = 0; i6 <= 63; i6++) {
            a96 = (2 * i6);
            a07 = (((__m128  *) T3) + a96);
            s1c = *(a07);
            s2c = *((a07 + 1));
            s3c = *((a07 + 256));
            s4c = *((a07 + 257));
            t5a = _mm_add_ps(s1c, s3c);
            t6a = _mm_add_ps(s2c, s4c);
            t7a = _mm_sub_ps(s1c, s3c);
            t8a = _mm_sub_ps(s2c, s4c);
            s5c = *((a07 + 128));
            s6c = *((a07 + 129));
            s7c = *((a07 + 384));
            s8c = *((a07 + 385));
            t9a = _mm_add_ps(s5c, s7c);
            t0b = _mm_add_ps(s6c, s8c);
            t1b = _mm_sub_ps(s5c, s7c);
            t2b = _mm_sub_ps(s6c, s8c);
            t3b = _mm_add_ps(t5a, t9a);
            t4b = _mm_add_ps(t6a, t0b);
            t5b = _mm_sub_ps(t5a, t9a);
            t6b = _mm_sub_ps(t6a, t0b);
            a17 = (512 * i2);
            a27 = (D972 + (a17 + (8 * i6)));
            a37 = *(a27);
            a47 = *((a27 + 1));
            a57 = *((a27 + 2));
            a67 = *((a27 + 3));
            a77 = (((__m128  *) T) + (a17 + a96));
            s9c = _mm_sub_ps(_mm_mul_ps(a37, t3b), _mm_mul_ps(a47, t4b));
            *(a77) = s9c;
            s0d = _mm_add_ps(_mm_mul_ps(a47, t3b), _mm_mul_ps(a37, t4b));
            *((a77 + 1)) = s0d;
            s1d = _mm_sub_ps(_mm_mul_ps(a57, t5b), _mm_mul_ps(a67, t6b));
            *((a77 + 256)) = s1d;
            s2d = _mm_add_ps(_mm_mul_ps(a67, t5b), _mm_mul_ps(a57, t6b));
            *((a77 + 257)) = s2d;
            t7b = _mm_sub_ps(t7a, t2b);
            t8b = _mm_add_ps(t8a, t1b);
            t9b = _mm_add_ps(t7a, t2b);
            t0c = _mm_sub_ps(t8a, t1b);
            a87 = *((a27 + 4));
            a97 = *((a27 + 5));
            a08 = *((a27 + 6));
            a18 = *((a27 + 7));
            s3d = _mm_sub_ps(_mm_mul_ps(a87, t7b), _mm_mul_ps(a97, t8b));
            *((a77 + 128)) = s3d;
            s4d = _mm_add_ps(_mm_mul_ps(a97, t7b), _mm_mul_ps(a87, t8b));
            *((a77 + 129)) = s4d;
            s5d = _mm_sub_ps(_mm_mul_ps(a08, t9b), _mm_mul_ps(a18, t0c));
            *((a77 + 384)) = s5d;
            s6d = _mm_add_ps(_mm_mul_ps(a18, t9b), _mm_mul_ps(a08, t0c));
            *((a77 + 385)) = s6d;
        }}
    }}
    {long i7; for(i7 = 0; i7 <= 255; i7++) {
        a28 = (2 * i7);
        a38 = (((__m128  *) T) + a28);
        s7d = *(a38);
        s8d = *((a38 + 1));
        s9d = *((a38 + 2048));
        s0e = *((a38 + 2049));
        t1c = _mm_add_ps(s7d, s9d);
        t2c = _mm_add_ps(s8d, s0e);
        t3c = _mm_sub_ps(s7d, s9d);
        t4c = _mm_sub_ps(s8d, s0e);
        s1e = *((a38 + 1024));
        s2e = *((a38 + 1025));
        s3e = *((a38 + 3072));
        s4e = *((a38 + 3073));
        t5c = _mm_add_ps(s1e, s3e);
        t6c = _mm_add_ps(s2e, s4e);
        t7c = _mm_sub_ps(s1e, s3e);
        t8c = _mm_sub_ps(s2e, s4e);
        t9c = _mm_add_ps(t1c, t5c);
        t0d = _mm_add_ps(t2c, t6c);
        t1d = _mm_sub_ps(t1c, t5c);
        t2d = _mm_sub_ps(t2c, t6c);
        t3d = _mm_sub_ps(t3c, t8c);
        t4d = _mm_add_ps(t4c, t7c);
        t5d = _mm_add_ps(t3c, t8c);
        t6d = _mm_sub_ps(t4c, t7c);
        s5e = *((a38 + 512));
        s6e = *((a38 + 513));
        s7e = *((a38 + 2560));
        s8e = *((a38 + 2561));
        t7d = _mm_add_ps(s5e, s7e);
        t8d = _mm_add_ps(s6e, s8e);
        t9d = _mm_sub_ps(s5e, s7e);
        t0e = _mm_sub_ps(s6e, s8e);
        s9e = *((a38 + 1536));
        s0f = *((a38 + 1537));
        s1f = *((a38 + 3584));
        s2f = *((a38 + 3585));
        t1e = _mm_add_ps(s9e, s1f);
        t2e = _mm_add_ps(s0f, s2f);
        t3e = _mm_sub_ps(s9e, s1f);
        t4e = _mm_sub_ps(s0f, s2f);
        t5e = _mm_add_ps(t7d, t1e);
        t6e = _mm_add_ps(t8d, t2e);
        t7e = _mm_sub_ps(t7d, t1e);
        t8e = _mm_sub_ps(t8d, t2e);
        a48 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t9d, t4e));
        a58 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t0e, t3e));
        s3f = _mm_sub_ps(a48, a58);
        s4f = _mm_add_ps(a48, a58);
        a68 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t9d, t4e));
        a78 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_sub_ps(t0e, t3e));
        s5f = _mm_sub_ps(a68, a78);
        s6f = _mm_add_ps(a68, a78);
        t9e = _mm_add_ps(t9c, t5e);
        t0f = _mm_add_ps(t0d, t6e);
        t1f = _mm_sub_ps(t9c, t5e);
        t2f = _mm_sub_ps(t0d, t6e);
        a88 = (((__m128  *) dst) + a28);
        s7f = _mm_unpacklo_ps(t9e, t0f);
        *(a88) = s7f;
        s8f = _mm_unpackhi_ps(t9e, t0f);
        *((a88 + 1)) = s8f;
        s9f = _mm_unpacklo_ps(t1f, t2f);
        *((a88 + 2048)) = s9f;
        s0g = _mm_unpackhi_ps(t1f, t2f);
        *((a88 + 2049)) = s0g;
        t3f = _mm_add_ps(t3d, s3f);
        t4f = _mm_add_ps(t4d, s4f);
        t5f = _mm_sub_ps(t3d, s3f);
        t6f = _mm_sub_ps(t4d, s4f);
        s1g = _mm_unpacklo_ps(t3f, t4f);
        *((a88 + 512)) = s1g;
        s2g = _mm_unpackhi_ps(t3f, t4f);
        *((a88 + 513)) = s2g;
        s3g = _mm_unpacklo_ps(t5f, t6f);
        *((a88 + 2560)) = s3g;
        s4g = _mm_unpackhi_ps(t5f, t6f);
        *((a88 + 2561)) = s4g;
        t7f = _mm_sub_ps(t1d, t8e);
        t8f = _mm_add_ps(t2d, t7e);
        t9f = _mm_add_ps(t1d, t8e);
        t0g = _mm_sub_ps(t2d, t7e);
        s5g = _mm_unpacklo_ps(t7f, t8f);
        *((a88 + 1024)) = s5g;
        s6g = _mm_unpackhi_ps(t7f, t8f);
        *((a88 + 1025)) = s6g;
        s7g = _mm_unpacklo_ps(t9f, t0g);
        *((a88 + 3072)) = s7g;
        s8g = _mm_unpackhi_ps(t9f, t0g);
        *((a88 + 3073)) = s8g;
        t1g = _mm_add_ps(t5d, s5f);
        t2g = _mm_sub_ps(t6d, s6f);
        t3g = _mm_sub_ps(t5d, s5f);
        t4g = _mm_add_ps(t6d, s6f);
        s9g = _mm_unpacklo_ps(t1g, t2g);
        *((a88 + 1536)) = s9g;
        s0h = _mm_unpackhi_ps(t1g, t2g);
        *((a88 + 1537)) = s0h;
        s1h = _mm_unpacklo_ps(t3g, t4g);
        *((a88 + 3584)) = s1h;
        s2h = _mm_unpackhi_ps(t3g, t4g);
        *((a88 + 3585)) = s2h;
    }}
    }
    
    return SPIRAL_OK;
    }
}

SPIRAL_API(spiral_status_t, spiral_fftfwd_float_2)(const float *pSrc, float *pDst ) {
    const float  *src = (const float *) pSrc; 
    float        *dst = (float *) pDst;
    
    
    {const float  *a, *a2, *a3;
    a = (src + 2);
    a2 = (src + 1);
    a3 = (src + 3);
    *(dst) = (*(src) + *(a));
    *((dst + 1)) = (*(a2) + *(a3));
    *((dst + 2)) = (*(src) - *(a));
    *((dst + 3)) = (*(a2) - *(a3));
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_fftfwd_float_4)(const float *pSrc, float *pDst ) {
    const float  *src = (const float *) pSrc; 
    float        *dst = (float *) pDst;
    
    
    {const float  *a, *a2, *a3, *a4, *a5, *a6, *a7;
    float t, t2, t3, t4, t5, t6, t7, t8;
    a = (src + 4);
    t = (*(src) + *(a));
    a2 = (src + 1);
    a3 = (src + 5);
    t2 = (*(a2) + *(a3));
    t3 = (*(src) - *(a));
    t4 = (*(a2) - *(a3));
    a4 = (src + 2);
    a5 = (src + 6);
    t5 = (*(a4) + *(a5));
    a6 = (src + 3);
    a7 = (src + 7);
    t6 = (*(a6) + *(a7));
    t7 = (*(a4) - *(a5));
    t8 = (*(a6) - *(a7));
    *(dst) = (t + t5);
    *((dst + 1)) = (t2 + t6);
    *((dst + 4)) = (t - t5);
    *((dst + 5)) = (t2 - t6);
    *((dst + 2)) = (t3 + t8);
    *((dst + 3)) = (t4 - t7);
    *((dst + 6)) = (t3 - t8);
    *((dst + 7)) = (t4 + t7);
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_fftfwd_float_8)(const float *pSrc, float *pDst ) {
    const float  *src = (const float *) pSrc; 
    float        *dst = (float *) pDst;
    
    
    {const float  *a, *a01, *a11, *a2, *a21, *a3, *a31, *a4, *a41, *a5, *a51, *a6, *a61, *a7, *a71;
    float a8, a81, a9, a91, s, s2, s3, s4, t, t01, t02, t11, t12, t2, t21, t22, t3, t31, t32, t4, t41, t42
            , t5, t51, t52, t6, t61, t62, t7, t71, t72, t8, t81, t82, t9, t91;
    a = (src + 8);
    t = (*(src) + *(a));
    a2 = (src + 1);
    a3 = (src + 9);
    t2 = (*(a2) + *(a3));
    t3 = (*(src) - *(a));
    t4 = (*(a2) - *(a3));
    a4 = (src + 2);
    a5 = (src + 10);
    t5 = (*(a4) + *(a5));
    a6 = (src + 3);
    a7 = (src + 11);
    t6 = (*(a6) + *(a7));
    a8 = (0.70710678118654757f*(*(a4) - *(a5)));
    a9 = (0.70710678118654757f*(*(a6) - *(a7)));
    s = (a8 + a9);
    s2 = (a9 - a8);
    a01 = (src + 4);
    a11 = (src + 12);
    t7 = (*(a01) + *(a11));
    a21 = (src + 5);
    a31 = (src + 13);
    t8 = (*(a21) + *(a31));
    t9 = (*(a01) - *(a11));
    t01 = (*(a21) - *(a31));
    a41 = (src + 6);
    a51 = (src + 14);
    t11 = (*(a41) + *(a51));
    a61 = (src + 7);
    a71 = (src + 15);
    t21 = (*(a61) + *(a71));
    a81 = (0.70710678118654757f*(*(a61) - *(a71)));
    a91 = (0.70710678118654757f*(*(a41) - *(a51)));
    s3 = (a81 - a91);
    s4 = (a91 + a81);
    t31 = (t + t7);
    t41 = (t2 + t8);
    t51 = (t - t7);
    t61 = (t2 - t8);
    t71 = (t5 + t11);
    t81 = (t6 + t21);
    t91 = (t5 - t11);
    t02 = (t6 - t21);
    *(dst) = (t31 + t71);
    *((dst + 1)) = (t41 + t81);
    *((dst + 8)) = (t31 - t71);
    *((dst + 9)) = (t41 - t81);
    *((dst + 4)) = (t51 + t02);
    *((dst + 5)) = (t61 - t91);
    *((dst + 12)) = (t51 - t02);
    *((dst + 13)) = (t61 + t91);
    t12 = (t3 + t01);
    t22 = (t4 - t9);
    t32 = (t3 - t01);
    t42 = (t4 + t9);
    t52 = (s + s3);
    t62 = (s2 - s4);
    t72 = (s - s3);
    t82 = (s2 + s4);
    *((dst + 2)) = (t12 + t52);
    *((dst + 3)) = (t22 + t62);
    *((dst + 10)) = (t12 - t52);
    *((dst + 11)) = (t22 - t62);
    *((dst + 6)) = (t32 + t82);
    *((dst + 7)) = (t42 - t72);
    *((dst + 14)) = (t32 - t82);
    *((dst + 15)) = (t42 + t72);
    }
    
    return SPIRAL_OK;
}

SPIRAL_PRIV(spiral_status_t, spiral_fftfwd_float_16_unaligned)(const float *pSrc, float *pDst ) {
    const float  *src = (const float *) pSrc; 
    float        *dst = (float *) pDst;
    
    
    {__m128 s04, s14, s24, s34, s44, s54, s64, s93;
    __m128 s, s01, s02, s03, s11, s12, s13, s2, s21, s22, s23, s3, s31, s32, s33, s4, s41, s42, s43, s5, s51, s52
            , s53, s6, s61, s62, s63, s7, s71, s72, s73, s8, s81, s82, s83, s9, s91, s92, t, t01, t02, t03, t11, t12
            , t13, t2, t21, t22, t23, t3, t31, t32, t4, t41, t42, t5, t51, t52, t6, t61, t62, t7, t71, t72, t8, t81
            , t82, t9, t91, t92;
    s = _mm_loadu_ps(((const float  *) src));
    s2 = _mm_loadu_ps(((const float  *) (src + 4)));
    s3 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(2, 0, 2, 0));
    s4 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(3, 1, 3, 1));
    s5 = _mm_loadu_ps(((const float  *) (src + 16)));
    s6 = _mm_loadu_ps(((const float  *) (src + 20)));
    s7 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(2, 0, 2, 0));
    s8 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(3, 1, 3, 1));
    t = _mm_add_ps(s3, s7);
    t2 = _mm_add_ps(s4, s8);
    t3 = _mm_sub_ps(s3, s7);
    t4 = _mm_sub_ps(s4, s8);
    s9 = _mm_loadu_ps(((const float  *) (src + 8)));
    s01 = _mm_loadu_ps(((const float  *) (src + 12)));
    s11 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(2, 0, 2, 0));
    s21 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(3, 1, 3, 1));
    s31 = _mm_loadu_ps(((const float  *) (src + 24)));
    s41 = _mm_loadu_ps(((const float  *) (src + 28)));
    s51 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(2, 0, 2, 0));
    s61 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(3, 1, 3, 1));
    t5 = _mm_add_ps(s11, s51);
    t6 = _mm_add_ps(s21, s61);
    t7 = _mm_sub_ps(s11, s51);
    t8 = _mm_sub_ps(s21, s61);
    t9 = _mm_add_ps(t, t5);
    t01 = _mm_add_ps(t2, t6);
    t11 = _mm_sub_ps(t, t5);
    t21 = _mm_sub_ps(t2, t6);
    t31 = _mm_add_ps(t3, t8);
    t41 = _mm_sub_ps(t4, t7);
    t51 = _mm_sub_ps(t3, t8);
    t61 = _mm_add_ps(t4, t7);
    s71 = _mm_unpacklo_ps(t9, t31);
    s81 = _mm_unpackhi_ps(t9, t31);
    s91 = _mm_unpacklo_ps(t01, t41);
    s02 = _mm_unpackhi_ps(t01, t41);
    s12 = _mm_unpacklo_ps(t11, t51);
    s22 = _mm_unpackhi_ps(t11, t51);
    s32 = _mm_unpacklo_ps(t21, t61);
    s42 = _mm_unpackhi_ps(t21, t61);
    s52 = _mm_shuffle_ps(s71, s12, _MM_SHUFFLE(1, 0, 1, 0));
    s62 = _mm_shuffle_ps(s71, s12, _MM_SHUFFLE(3, 2, 3, 2));
    s72 = _mm_shuffle_ps(s81, s22, _MM_SHUFFLE(1, 0, 1, 0));
    s82 = _mm_shuffle_ps(s81, s22, _MM_SHUFFLE(3, 2, 3, 2));
    s92 = _mm_shuffle_ps(s91, s32, _MM_SHUFFLE(1, 0, 1, 0));
    s03 = _mm_shuffle_ps(s91, s32, _MM_SHUFFLE(3, 2, 3, 2));
    s13 = _mm_shuffle_ps(s02, s42, _MM_SHUFFLE(1, 0, 1, 0));
    s23 = _mm_shuffle_ps(s02, s42, _MM_SHUFFLE(3, 2, 3, 2));
    s33 = _mm_sub_ps(_mm_mul_ps(_mm_set_ps((-0.70710678118654757), 0.0, 0.70710678118654757, 1.0), s72), _mm_mul_ps(_mm_set_ps((-0.70710678118654757), (-1.0), (-0.70710678118654757), 0.0), s13));
    s43 = _mm_add_ps(_mm_mul_ps(_mm_set_ps((-0.70710678118654757), (-1.0), (-0.70710678118654757), 0.0), s72), _mm_mul_ps(_mm_set_ps((-0.70710678118654757), 0.0, 0.70710678118654757, 1.0), s13));
    t71 = _mm_add_ps(s52, s33);
    t81 = _mm_add_ps(s92, s43);
    t91 = _mm_sub_ps(s52, s33);
    t02 = _mm_sub_ps(s92, s43);
    s53 = _mm_sub_ps(_mm_mul_ps(_mm_set_ps(0.38268343236508978, 0.70710678118654757, 0.92387953251128674, 1.0), s62), _mm_mul_ps(_mm_set_ps((-0.92387953251128674), (-0.70710678118654757), (-0.38268343236508978), 0.0), s03));
    s63 = _mm_add_ps(_mm_mul_ps(_mm_set_ps((-0.92387953251128674), (-0.70710678118654757), (-0.38268343236508978), 0.0), s62), _mm_mul_ps(_mm_set_ps(0.38268343236508978, 0.70710678118654757, 0.92387953251128674, 1.0), s03));
    s73 = _mm_sub_ps(_mm_mul_ps(_mm_set_ps((-0.92387953251128674), (-0.70710678118654757), 0.38268343236508978, 1.0), s82), _mm_mul_ps(_mm_set_ps(0.38268343236508978, (-0.70710678118654757), (-0.92387953251128674), 0.0), s23));
    s83 = _mm_add_ps(_mm_mul_ps(_mm_set_ps(0.38268343236508978, (-0.70710678118654757), (-0.92387953251128674), 0.0), s82), _mm_mul_ps(_mm_set_ps((-0.92387953251128674), (-0.70710678118654757), 0.38268343236508978, 1.0), s23));
    t12 = _mm_add_ps(s53, s73);
    t22 = _mm_add_ps(s63, s83);
    t32 = _mm_sub_ps(s53, s73);
    t42 = _mm_sub_ps(s63, s83);
    t52 = _mm_add_ps(t71, t12);
    t62 = _mm_add_ps(t81, t22);
    t72 = _mm_sub_ps(t71, t12);
    t82 = _mm_sub_ps(t81, t22);
    s93 = _mm_unpacklo_ps(t52, t62);
    _mm_storeu_ps(((float  *) dst), s93);
    s04 = _mm_unpackhi_ps(t52, t62);
    _mm_storeu_ps(((float  *) (dst + 4)), s04);
    s14 = _mm_unpacklo_ps(t72, t82);
    _mm_storeu_ps(((float  *) (dst + 16)), s14);
    s24 = _mm_unpackhi_ps(t72, t82);
    _mm_storeu_ps(((float  *) (dst + 20)), s24);
    t92 = _mm_add_ps(t91, t42);
    t03 = _mm_sub_ps(t02, t32);
    t13 = _mm_sub_ps(t91, t42);
    t23 = _mm_add_ps(t02, t32);
    s34 = _mm_unpacklo_ps(t92, t03);
    _mm_storeu_ps(((float  *) (dst + 8)), s34);
    s44 = _mm_unpackhi_ps(t92, t03);
    _mm_storeu_ps(((float  *) (dst + 12)), s44);
    s54 = _mm_unpacklo_ps(t13, t23);
    _mm_storeu_ps(((float  *) (dst + 24)), s54);
    s64 = _mm_unpackhi_ps(t13, t23);
    _mm_storeu_ps(((float  *) (dst + 28)), s64);
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_fftfwd_float_16)(const float *pSrc, float *pDst ) {
    if (!is_aligned(pSrc) || !is_aligned(pDst))
       	return spiral_fftfwd_float_16_unaligned(pSrc, pDst );
    else {
    const float  *src = (const float *) pSrc; 
    float        *dst = (float *) pDst;
    
    
    {__m128 s04, s14, s24, s34, s44, s54, s64, s93;
    __m128 s, s01, s02, s03, s11, s12, s13, s2, s21, s22, s23, s3, s31, s32, s33, s4, s41, s42, s43, s5, s51, s52
            , s53, s6, s61, s62, s63, s7, s71, s72, s73, s8, s81, s82, s83, s9, s91, s92, t, t01, t02, t03, t11, t12
            , t13, t2, t21, t22, t23, t3, t31, t32, t4, t41, t42, t5, t51, t52, t6, t61, t62, t7, t71, t72, t8, t81
            , t82, t9, t91, t92;
    __m128  *a, *a2;
    a = ((__m128  *) src);
    s = *(a);
    s2 = *((a + 1));
    s3 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(2, 0, 2, 0));
    s4 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(3, 1, 3, 1));
    s5 = *((a + 4));
    s6 = *((a + 5));
    s7 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(2, 0, 2, 0));
    s8 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(3, 1, 3, 1));
    t = _mm_add_ps(s3, s7);
    t2 = _mm_add_ps(s4, s8);
    t3 = _mm_sub_ps(s3, s7);
    t4 = _mm_sub_ps(s4, s8);
    s9 = *((a + 2));
    s01 = *((a + 3));
    s11 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(2, 0, 2, 0));
    s21 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(3, 1, 3, 1));
    s31 = *((a + 6));
    s41 = *((a + 7));
    s51 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(2, 0, 2, 0));
    s61 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(3, 1, 3, 1));
    t5 = _mm_add_ps(s11, s51);
    t6 = _mm_add_ps(s21, s61);
    t7 = _mm_sub_ps(s11, s51);
    t8 = _mm_sub_ps(s21, s61);
    t9 = _mm_add_ps(t, t5);
    t01 = _mm_add_ps(t2, t6);
    t11 = _mm_sub_ps(t, t5);
    t21 = _mm_sub_ps(t2, t6);
    t31 = _mm_add_ps(t3, t8);
    t41 = _mm_sub_ps(t4, t7);
    t51 = _mm_sub_ps(t3, t8);
    t61 = _mm_add_ps(t4, t7);
    s71 = _mm_unpacklo_ps(t9, t31);
    s81 = _mm_unpackhi_ps(t9, t31);
    s91 = _mm_unpacklo_ps(t01, t41);
    s02 = _mm_unpackhi_ps(t01, t41);
    s12 = _mm_unpacklo_ps(t11, t51);
    s22 = _mm_unpackhi_ps(t11, t51);
    s32 = _mm_unpacklo_ps(t21, t61);
    s42 = _mm_unpackhi_ps(t21, t61);
    s52 = _mm_shuffle_ps(s71, s12, _MM_SHUFFLE(1, 0, 1, 0));
    s62 = _mm_shuffle_ps(s71, s12, _MM_SHUFFLE(3, 2, 3, 2));
    s72 = _mm_shuffle_ps(s81, s22, _MM_SHUFFLE(1, 0, 1, 0));
    s82 = _mm_shuffle_ps(s81, s22, _MM_SHUFFLE(3, 2, 3, 2));
    s92 = _mm_shuffle_ps(s91, s32, _MM_SHUFFLE(1, 0, 1, 0));
    s03 = _mm_shuffle_ps(s91, s32, _MM_SHUFFLE(3, 2, 3, 2));
    s13 = _mm_shuffle_ps(s02, s42, _MM_SHUFFLE(1, 0, 1, 0));
    s23 = _mm_shuffle_ps(s02, s42, _MM_SHUFFLE(3, 2, 3, 2));
    s33 = _mm_sub_ps(_mm_mul_ps(_mm_set_ps((-0.70710678118654757), 0.0, 0.70710678118654757, 1.0), s72), _mm_mul_ps(_mm_set_ps((-0.70710678118654757), (-1.0), (-0.70710678118654757), 0.0), s13));
    s43 = _mm_add_ps(_mm_mul_ps(_mm_set_ps((-0.70710678118654757), (-1.0), (-0.70710678118654757), 0.0), s72), _mm_mul_ps(_mm_set_ps((-0.70710678118654757), 0.0, 0.70710678118654757, 1.0), s13));
    t71 = _mm_add_ps(s52, s33);
    t81 = _mm_add_ps(s92, s43);
    t91 = _mm_sub_ps(s52, s33);
    t02 = _mm_sub_ps(s92, s43);
    s53 = _mm_sub_ps(_mm_mul_ps(_mm_set_ps(0.38268343236508978, 0.70710678118654757, 0.92387953251128674, 1.0), s62), _mm_mul_ps(_mm_set_ps((-0.92387953251128674), (-0.70710678118654757), (-0.38268343236508978), 0.0), s03));
    s63 = _mm_add_ps(_mm_mul_ps(_mm_set_ps((-0.92387953251128674), (-0.70710678118654757), (-0.38268343236508978), 0.0), s62), _mm_mul_ps(_mm_set_ps(0.38268343236508978, 0.70710678118654757, 0.92387953251128674, 1.0), s03));
    s73 = _mm_sub_ps(_mm_mul_ps(_mm_set_ps((-0.92387953251128674), (-0.70710678118654757), 0.38268343236508978, 1.0), s82), _mm_mul_ps(_mm_set_ps(0.38268343236508978, (-0.70710678118654757), (-0.92387953251128674), 0.0), s23));
    s83 = _mm_add_ps(_mm_mul_ps(_mm_set_ps(0.38268343236508978, (-0.70710678118654757), (-0.92387953251128674), 0.0), s82), _mm_mul_ps(_mm_set_ps((-0.92387953251128674), (-0.70710678118654757), 0.38268343236508978, 1.0), s23));
    t12 = _mm_add_ps(s53, s73);
    t22 = _mm_add_ps(s63, s83);
    t32 = _mm_sub_ps(s53, s73);
    t42 = _mm_sub_ps(s63, s83);
    t52 = _mm_add_ps(t71, t12);
    t62 = _mm_add_ps(t81, t22);
    t72 = _mm_sub_ps(t71, t12);
    t82 = _mm_sub_ps(t81, t22);
    a2 = ((__m128  *) dst);
    s93 = _mm_unpacklo_ps(t52, t62);
    *(a2) = s93;
    s04 = _mm_unpackhi_ps(t52, t62);
    *((a2 + 1)) = s04;
    s14 = _mm_unpacklo_ps(t72, t82);
    *((a2 + 4)) = s14;
    s24 = _mm_unpackhi_ps(t72, t82);
    *((a2 + 5)) = s24;
    t92 = _mm_add_ps(t91, t42);
    t03 = _mm_sub_ps(t02, t32);
    t13 = _mm_sub_ps(t91, t42);
    t23 = _mm_add_ps(t02, t32);
    s34 = _mm_unpacklo_ps(t92, t03);
    *((a2 + 2)) = s34;
    s44 = _mm_unpackhi_ps(t92, t03);
    *((a2 + 3)) = s44;
    s54 = _mm_unpacklo_ps(t13, t23);
    *((a2 + 6)) = s54;
    s64 = _mm_unpackhi_ps(t13, t23);
    *((a2 + 7)) = s64;
    }
    
    return SPIRAL_OK;
    }
}

SPIRAL_PRIV(spiral_status_t, spiral_fftfwd_float_32_unaligned)(const float *pSrc, float *pDst ) {
    const float  *src = (const float *) pSrc; 
    float        *dst = (float *) pDst;
    
    
    {__m128 s09, s19, s29, s38, s39, s48, s49, s58, s59, s68, s69, s78, s79, s88, s89, s98;
    __m128 a, a2, a3, a4, s, s01, s02, s03, s04, s05, s06, s07, s08, s11, s12, s13, s14, s15, s16, s17, s18, s2
            , s21, s22, s23, s24, s25, s26, s27, s28, s3, s31, s32, s33, s34, s35, s36, s37, s4, s41, s42, s43, s44, s45
            , s46, s47, s5, s51, s52, s53, s54, s55, s56, s57, s6, s61, s62, s63, s64, s65, s66, s67, s7, s71, s72, s73
            , s74, s75, s76, s77, s8, s81, s82, s83, s84, s85, s86, s87, s9, s91, s92, s93, s94, s95, s96, s97, t, t01
            , t02, t03, t04, t05, t06, t07, t11, t12, t13, t14, t15, t16, t17, t2, t21, t22, t23, t24, t25, t26, t27, t3
            , t31, t32, t33, t34, t35, t36, t37, t4, t41, t42, t43, t44, t45, t46, t47, t5, t51, t52, t53, t54, t55, t56
            , t57, t6, t61, t62, t63, t64, t65, t66, t67, t7, t71, t72, t73, t74, t75, t76, t8, t81, t82, t83, t84, t85
            , t86, t9, t91, t92, t93, t94, t95, t96;
    s = _mm_loadu_ps(((const float  *) src));
    s2 = _mm_loadu_ps(((const float  *) (src + 4)));
    s3 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(2, 0, 2, 0));
    s4 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(3, 1, 3, 1));
    s5 = _mm_loadu_ps(((const float  *) (src + 32)));
    s6 = _mm_loadu_ps(((const float  *) (src + 36)));
    s7 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(2, 0, 2, 0));
    s8 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(3, 1, 3, 1));
    t = _mm_add_ps(s3, s7);
    t2 = _mm_add_ps(s4, s8);
    t3 = _mm_sub_ps(s3, s7);
    t4 = _mm_sub_ps(s4, s8);
    s9 = _mm_loadu_ps(((const float  *) (src + 16)));
    s01 = _mm_loadu_ps(((const float  *) (src + 20)));
    s11 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(2, 0, 2, 0));
    s21 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(3, 1, 3, 1));
    s31 = _mm_loadu_ps(((const float  *) (src + 48)));
    s41 = _mm_loadu_ps(((const float  *) (src + 52)));
    s51 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(2, 0, 2, 0));
    s61 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(3, 1, 3, 1));
    t5 = _mm_add_ps(s11, s51);
    t6 = _mm_add_ps(s21, s61);
    t7 = _mm_sub_ps(s11, s51);
    t8 = _mm_sub_ps(s21, s61);
    t9 = _mm_add_ps(t, t5);
    t01 = _mm_add_ps(t2, t6);
    t11 = _mm_sub_ps(t, t5);
    t21 = _mm_sub_ps(t2, t6);
    t31 = _mm_add_ps(t3, t8);
    t41 = _mm_sub_ps(t4, t7);
    t51 = _mm_sub_ps(t3, t8);
    t61 = _mm_add_ps(t4, t7);
    s71 = _mm_unpacklo_ps(t9, t31);
    s81 = _mm_unpackhi_ps(t9, t31);
    s91 = _mm_unpacklo_ps(t01, t41);
    s02 = _mm_unpackhi_ps(t01, t41);
    s12 = _mm_unpacklo_ps(t11, t51);
    s22 = _mm_unpackhi_ps(t11, t51);
    s32 = _mm_unpacklo_ps(t21, t61);
    s42 = _mm_unpackhi_ps(t21, t61);
    s52 = _mm_shuffle_ps(s71, s12, _MM_SHUFFLE(1, 0, 1, 0));
    s62 = _mm_shuffle_ps(s71, s12, _MM_SHUFFLE(3, 2, 3, 2));
    s72 = _mm_shuffle_ps(s81, s22, _MM_SHUFFLE(1, 0, 1, 0));
    s82 = _mm_shuffle_ps(s81, s22, _MM_SHUFFLE(3, 2, 3, 2));
    s92 = _mm_shuffle_ps(s91, s32, _MM_SHUFFLE(1, 0, 1, 0));
    s03 = _mm_shuffle_ps(s91, s32, _MM_SHUFFLE(3, 2, 3, 2));
    s13 = _mm_shuffle_ps(s02, s42, _MM_SHUFFLE(1, 0, 1, 0));
    s23 = _mm_shuffle_ps(s02, s42, _MM_SHUFFLE(3, 2, 3, 2));
    s33 = _mm_loadu_ps(((const float  *) (src + 8)));
    s43 = _mm_loadu_ps(((const float  *) (src + 12)));
    s53 = _mm_shuffle_ps(s33, s43, _MM_SHUFFLE(2, 0, 2, 0));
    s63 = _mm_shuffle_ps(s33, s43, _MM_SHUFFLE(3, 1, 3, 1));
    s73 = _mm_loadu_ps(((const float  *) (src + 40)));
    s83 = _mm_loadu_ps(((const float  *) (src + 44)));
    s93 = _mm_shuffle_ps(s73, s83, _MM_SHUFFLE(2, 0, 2, 0));
    s04 = _mm_shuffle_ps(s73, s83, _MM_SHUFFLE(3, 1, 3, 1));
    t71 = _mm_add_ps(s53, s93);
    t81 = _mm_add_ps(s63, s04);
    t91 = _mm_sub_ps(s53, s93);
    t02 = _mm_sub_ps(s63, s04);
    s14 = _mm_loadu_ps(((const float  *) (src + 24)));
    s24 = _mm_loadu_ps(((const float  *) (src + 28)));
    s34 = _mm_shuffle_ps(s14, s24, _MM_SHUFFLE(2, 0, 2, 0));
    s44 = _mm_shuffle_ps(s14, s24, _MM_SHUFFLE(3, 1, 3, 1));
    s54 = _mm_loadu_ps(((const float  *) (src + 56)));
    s64 = _mm_loadu_ps(((const float  *) (src + 60)));
    s74 = _mm_shuffle_ps(s54, s64, _MM_SHUFFLE(2, 0, 2, 0));
    s84 = _mm_shuffle_ps(s54, s64, _MM_SHUFFLE(3, 1, 3, 1));
    t12 = _mm_add_ps(s34, s74);
    t22 = _mm_add_ps(s44, s84);
    t32 = _mm_sub_ps(s34, s74);
    t42 = _mm_sub_ps(s44, s84);
    t52 = _mm_add_ps(t71, t12);
    t62 = _mm_add_ps(t81, t22);
    t72 = _mm_sub_ps(t71, t12);
    t82 = _mm_sub_ps(t81, t22);
    t92 = _mm_add_ps(t91, t42);
    t03 = _mm_sub_ps(t02, t32);
    t13 = _mm_sub_ps(t91, t42);
    t23 = _mm_add_ps(t02, t32);
    s94 = _mm_unpacklo_ps(t52, t92);
    s05 = _mm_unpackhi_ps(t52, t92);
    s15 = _mm_unpacklo_ps(t62, t03);
    s25 = _mm_unpackhi_ps(t62, t03);
    s35 = _mm_unpacklo_ps(t72, t13);
    s45 = _mm_unpackhi_ps(t72, t13);
    s55 = _mm_unpacklo_ps(t82, t23);
    s65 = _mm_unpackhi_ps(t82, t23);
    s75 = _mm_shuffle_ps(s94, s35, _MM_SHUFFLE(1, 0, 1, 0));
    s85 = _mm_shuffle_ps(s94, s35, _MM_SHUFFLE(3, 2, 3, 2));
    s95 = _mm_shuffle_ps(s05, s45, _MM_SHUFFLE(1, 0, 1, 0));
    s06 = _mm_shuffle_ps(s05, s45, _MM_SHUFFLE(3, 2, 3, 2));
    s16 = _mm_shuffle_ps(s15, s55, _MM_SHUFFLE(1, 0, 1, 0));
    s26 = _mm_shuffle_ps(s15, s55, _MM_SHUFFLE(3, 2, 3, 2));
    s36 = _mm_shuffle_ps(s25, s65, _MM_SHUFFLE(1, 0, 1, 0));
    s46 = _mm_shuffle_ps(s25, s65, _MM_SHUFFLE(3, 2, 3, 2));
    s56 = _mm_sub_ps(_mm_mul_ps(_mm_set_ps((-0.70710678118654757), 0.0, 0.70710678118654757, 1.0), s75), _mm_mul_ps(_mm_set_ps((-0.70710678118654757), (-1.0), (-0.70710678118654757), 0.0), s16));
    s66 = _mm_add_ps(_mm_mul_ps(_mm_set_ps((-0.70710678118654757), (-1.0), (-0.70710678118654757), 0.0), s75), _mm_mul_ps(_mm_set_ps((-0.70710678118654757), 0.0, 0.70710678118654757, 1.0), s16));
    t33 = _mm_add_ps(s52, s56);
    t43 = _mm_add_ps(s92, s66);
    t53 = _mm_sub_ps(s52, s56);
    t63 = _mm_sub_ps(s92, s66);
    s76 = _mm_sub_ps(_mm_mul_ps(_mm_set_ps(0.38268343236508978, 0.70710678118654757, 0.92387953251128674, 1.0), s72), _mm_mul_ps(_mm_set_ps((-0.92387953251128674), (-0.70710678118654757), (-0.38268343236508978), 0.0), s13));
    s86 = _mm_add_ps(_mm_mul_ps(_mm_set_ps((-0.92387953251128674), (-0.70710678118654757), (-0.38268343236508978), 0.0), s72), _mm_mul_ps(_mm_set_ps(0.38268343236508978, 0.70710678118654757, 0.92387953251128674, 1.0), s13));
    s96 = _mm_sub_ps(_mm_mul_ps(_mm_set_ps((-0.92387953251128674), (-0.70710678118654757), 0.38268343236508978, 1.0), s95), _mm_mul_ps(_mm_set_ps(0.38268343236508978, (-0.70710678118654757), (-0.92387953251128674), 0.0), s36));
    s07 = _mm_add_ps(_mm_mul_ps(_mm_set_ps(0.38268343236508978, (-0.70710678118654757), (-0.92387953251128674), 0.0), s95), _mm_mul_ps(_mm_set_ps((-0.92387953251128674), (-0.70710678118654757), 0.38268343236508978, 1.0), s36));
    t73 = _mm_add_ps(s76, s96);
    t83 = _mm_add_ps(s86, s07);
    t93 = _mm_sub_ps(s76, s96);
    t04 = _mm_sub_ps(s86, s07);
    t14 = _mm_add_ps(t33, t73);
    t24 = _mm_add_ps(t43, t83);
    t34 = _mm_sub_ps(t33, t73);
    t44 = _mm_sub_ps(t43, t83);
    t54 = _mm_add_ps(t53, t04);
    t64 = _mm_sub_ps(t63, t93);
    t74 = _mm_sub_ps(t53, t04);
    t84 = _mm_add_ps(t63, t93);
    s17 = _mm_sub_ps(_mm_mul_ps(_mm_set_ps(0.83146961230254524, 0.92387953251128674, 0.98078528040323043, 1.0), s62), _mm_mul_ps(_mm_set_ps((-0.55557023301960218), (-0.38268343236508978), (-0.19509032201612828), 0.0), s03));
    s27 = _mm_add_ps(_mm_mul_ps(_mm_set_ps((-0.55557023301960218), (-0.38268343236508978), (-0.19509032201612828), 0.0), s62), _mm_mul_ps(_mm_set_ps(0.83146961230254524, 0.92387953251128674, 0.98078528040323043, 1.0), s03));
    s37 = _mm_sub_ps(_mm_mul_ps(_mm_set_ps((-0.98078528040323043), (-0.38268343236508978), 0.55557023301960218, 1.0), s85), _mm_mul_ps(_mm_set_ps((-0.19509032201612828), (-0.92387953251128674), (-0.83146961230254524), 0.0), s26));
    s47 = _mm_add_ps(_mm_mul_ps(_mm_set_ps((-0.19509032201612828), (-0.92387953251128674), (-0.83146961230254524), 0.0), s85), _mm_mul_ps(_mm_set_ps((-0.98078528040323043), (-0.38268343236508978), 0.55557023301960218, 1.0), s26));
    t94 = _mm_add_ps(s17, s37);
    t05 = _mm_add_ps(s27, s47);
    t15 = _mm_sub_ps(s17, s37);
    t25 = _mm_sub_ps(s27, s47);
    s57 = _mm_sub_ps(_mm_mul_ps(_mm_set_ps((-0.19509032201612828), 0.38268343236508978, 0.83146961230254524, 1.0), s82), _mm_mul_ps(_mm_set_ps((-0.98078528040323043), (-0.92387953251128674), (-0.55557023301960218), 0.0), s23));
    s67 = _mm_add_ps(_mm_mul_ps(_mm_set_ps((-0.98078528040323043), (-0.92387953251128674), (-0.55557023301960218), 0.0), s82), _mm_mul_ps(_mm_set_ps((-0.19509032201612828), 0.38268343236508978, 0.83146961230254524, 1.0), s23));
    s77 = _mm_sub_ps(_mm_mul_ps(_mm_set_ps((-0.55557023301960218), (-0.92387953251128674), 0.19509032201612828, 1.0), s06), _mm_mul_ps(_mm_set_ps(0.83146961230254524, (-0.38268343236508978), (-0.98078528040323043), 0.0), s46));
    s87 = _mm_add_ps(_mm_mul_ps(_mm_set_ps(0.83146961230254524, (-0.38268343236508978), (-0.98078528040323043), 0.0), s06), _mm_mul_ps(_mm_set_ps((-0.55557023301960218), (-0.92387953251128674), 0.19509032201612828, 1.0), s46));
    t35 = _mm_add_ps(s57, s77);
    t45 = _mm_add_ps(s67, s87);
    t55 = _mm_sub_ps(s57, s77);
    t65 = _mm_sub_ps(s67, s87);
    t75 = _mm_add_ps(t94, t35);
    t85 = _mm_add_ps(t05, t45);
    t95 = _mm_sub_ps(t94, t35);
    t06 = _mm_sub_ps(t05, t45);
    a = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t15, t65));
    a2 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t25, t55));
    s97 = _mm_sub_ps(a, a2);
    s08 = _mm_add_ps(a, a2);
    a3 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t15, t65));
    a4 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t25, t55));
    s18 = _mm_sub_ps(a3, a4);
    s28 = _mm_add_ps(a3, a4);
    t16 = _mm_add_ps(t14, t75);
    t26 = _mm_add_ps(t24, t85);
    t36 = _mm_sub_ps(t14, t75);
    t46 = _mm_sub_ps(t24, t85);
    s38 = _mm_unpacklo_ps(t16, t26);
    _mm_storeu_ps(((float  *) dst), s38);
    s48 = _mm_unpackhi_ps(t16, t26);
    _mm_storeu_ps(((float  *) (dst + 4)), s48);
    s58 = _mm_unpacklo_ps(t36, t46);
    _mm_storeu_ps(((float  *) (dst + 32)), s58);
    s68 = _mm_unpackhi_ps(t36, t46);
    _mm_storeu_ps(((float  *) (dst + 36)), s68);
    t56 = _mm_add_ps(t54, s97);
    t66 = _mm_sub_ps(t64, s08);
    t76 = _mm_sub_ps(t54, s97);
    t86 = _mm_add_ps(t64, s08);
    s78 = _mm_unpacklo_ps(t56, t66);
    _mm_storeu_ps(((float  *) (dst + 8)), s78);
    s88 = _mm_unpackhi_ps(t56, t66);
    _mm_storeu_ps(((float  *) (dst + 12)), s88);
    s98 = _mm_unpacklo_ps(t76, t86);
    _mm_storeu_ps(((float  *) (dst + 40)), s98);
    s09 = _mm_unpackhi_ps(t76, t86);
    _mm_storeu_ps(((float  *) (dst + 44)), s09);
    t96 = _mm_add_ps(t34, t06);
    t07 = _mm_sub_ps(t44, t95);
    t17 = _mm_sub_ps(t34, t06);
    t27 = _mm_add_ps(t44, t95);
    s19 = _mm_unpacklo_ps(t96, t07);
    _mm_storeu_ps(((float  *) (dst + 16)), s19);
    s29 = _mm_unpackhi_ps(t96, t07);
    _mm_storeu_ps(((float  *) (dst + 20)), s29);
    s39 = _mm_unpacklo_ps(t17, t27);
    _mm_storeu_ps(((float  *) (dst + 48)), s39);
    s49 = _mm_unpackhi_ps(t17, t27);
    _mm_storeu_ps(((float  *) (dst + 52)), s49);
    t37 = _mm_add_ps(t74, s18);
    t47 = _mm_add_ps(t84, s28);
    t57 = _mm_sub_ps(t74, s18);
    t67 = _mm_sub_ps(t84, s28);
    s59 = _mm_unpacklo_ps(t37, t47);
    _mm_storeu_ps(((float  *) (dst + 24)), s59);
    s69 = _mm_unpackhi_ps(t37, t47);
    _mm_storeu_ps(((float  *) (dst + 28)), s69);
    s79 = _mm_unpacklo_ps(t57, t67);
    _mm_storeu_ps(((float  *) (dst + 56)), s79);
    s89 = _mm_unpackhi_ps(t57, t67);
    _mm_storeu_ps(((float  *) (dst + 60)), s89);
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_fftfwd_float_32)(const float *pSrc, float *pDst ) {
    if (!is_aligned(pSrc) || !is_aligned(pDst))
       	return spiral_fftfwd_float_32_unaligned(pSrc, pDst );
    else {
    const float  *src = (const float *) pSrc; 
    float        *dst = (float *) pDst;
    
    
    {__m128 s09, s19, s29, s38, s39, s48, s49, s58, s59, s68, s69, s78, s79, s88, s89, s98;
    __m128 a2, a3, a4, a5, s, s01, s02, s03, s04, s05, s06, s07, s08, s11, s12, s13, s14, s15, s16, s17, s18, s2
            , s21, s22, s23, s24, s25, s26, s27, s28, s3, s31, s32, s33, s34, s35, s36, s37, s4, s41, s42, s43, s44, s45
            , s46, s47, s5, s51, s52, s53, s54, s55, s56, s57, s6, s61, s62, s63, s64, s65, s66, s67, s7, s71, s72, s73
            , s74, s75, s76, s77, s8, s81, s82, s83, s84, s85, s86, s87, s9, s91, s92, s93, s94, s95, s96, s97, t, t01
            , t02, t03, t04, t05, t06, t07, t11, t12, t13, t14, t15, t16, t17, t2, t21, t22, t23, t24, t25, t26, t27, t3
            , t31, t32, t33, t34, t35, t36, t37, t4, t41, t42, t43, t44, t45, t46, t47, t5, t51, t52, t53, t54, t55, t56
            , t57, t6, t61, t62, t63, t64, t65, t66, t67, t7, t71, t72, t73, t74, t75, t76, t8, t81, t82, t83, t84, t85
            , t86, t9, t91, t92, t93, t94, t95, t96;
    __m128  *a, *a6;
    a = ((__m128  *) src);
    s = *(a);
    s2 = *((a + 1));
    s3 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(2, 0, 2, 0));
    s4 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(3, 1, 3, 1));
    s5 = *((a + 8));
    s6 = *((a + 9));
    s7 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(2, 0, 2, 0));
    s8 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(3, 1, 3, 1));
    t = _mm_add_ps(s3, s7);
    t2 = _mm_add_ps(s4, s8);
    t3 = _mm_sub_ps(s3, s7);
    t4 = _mm_sub_ps(s4, s8);
    s9 = *((a + 4));
    s01 = *((a + 5));
    s11 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(2, 0, 2, 0));
    s21 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(3, 1, 3, 1));
    s31 = *((a + 12));
    s41 = *((a + 13));
    s51 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(2, 0, 2, 0));
    s61 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(3, 1, 3, 1));
    t5 = _mm_add_ps(s11, s51);
    t6 = _mm_add_ps(s21, s61);
    t7 = _mm_sub_ps(s11, s51);
    t8 = _mm_sub_ps(s21, s61);
    t9 = _mm_add_ps(t, t5);
    t01 = _mm_add_ps(t2, t6);
    t11 = _mm_sub_ps(t, t5);
    t21 = _mm_sub_ps(t2, t6);
    t31 = _mm_add_ps(t3, t8);
    t41 = _mm_sub_ps(t4, t7);
    t51 = _mm_sub_ps(t3, t8);
    t61 = _mm_add_ps(t4, t7);
    s71 = _mm_unpacklo_ps(t9, t31);
    s81 = _mm_unpackhi_ps(t9, t31);
    s91 = _mm_unpacklo_ps(t01, t41);
    s02 = _mm_unpackhi_ps(t01, t41);
    s12 = _mm_unpacklo_ps(t11, t51);
    s22 = _mm_unpackhi_ps(t11, t51);
    s32 = _mm_unpacklo_ps(t21, t61);
    s42 = _mm_unpackhi_ps(t21, t61);
    s52 = _mm_shuffle_ps(s71, s12, _MM_SHUFFLE(1, 0, 1, 0));
    s62 = _mm_shuffle_ps(s71, s12, _MM_SHUFFLE(3, 2, 3, 2));
    s72 = _mm_shuffle_ps(s81, s22, _MM_SHUFFLE(1, 0, 1, 0));
    s82 = _mm_shuffle_ps(s81, s22, _MM_SHUFFLE(3, 2, 3, 2));
    s92 = _mm_shuffle_ps(s91, s32, _MM_SHUFFLE(1, 0, 1, 0));
    s03 = _mm_shuffle_ps(s91, s32, _MM_SHUFFLE(3, 2, 3, 2));
    s13 = _mm_shuffle_ps(s02, s42, _MM_SHUFFLE(1, 0, 1, 0));
    s23 = _mm_shuffle_ps(s02, s42, _MM_SHUFFLE(3, 2, 3, 2));
    s33 = *((a + 2));
    s43 = *((a + 3));
    s53 = _mm_shuffle_ps(s33, s43, _MM_SHUFFLE(2, 0, 2, 0));
    s63 = _mm_shuffle_ps(s33, s43, _MM_SHUFFLE(3, 1, 3, 1));
    s73 = *((a + 10));
    s83 = *((a + 11));
    s93 = _mm_shuffle_ps(s73, s83, _MM_SHUFFLE(2, 0, 2, 0));
    s04 = _mm_shuffle_ps(s73, s83, _MM_SHUFFLE(3, 1, 3, 1));
    t71 = _mm_add_ps(s53, s93);
    t81 = _mm_add_ps(s63, s04);
    t91 = _mm_sub_ps(s53, s93);
    t02 = _mm_sub_ps(s63, s04);
    s14 = *((a + 6));
    s24 = *((a + 7));
    s34 = _mm_shuffle_ps(s14, s24, _MM_SHUFFLE(2, 0, 2, 0));
    s44 = _mm_shuffle_ps(s14, s24, _MM_SHUFFLE(3, 1, 3, 1));
    s54 = *((a + 14));
    s64 = *((a + 15));
    s74 = _mm_shuffle_ps(s54, s64, _MM_SHUFFLE(2, 0, 2, 0));
    s84 = _mm_shuffle_ps(s54, s64, _MM_SHUFFLE(3, 1, 3, 1));
    t12 = _mm_add_ps(s34, s74);
    t22 = _mm_add_ps(s44, s84);
    t32 = _mm_sub_ps(s34, s74);
    t42 = _mm_sub_ps(s44, s84);
    t52 = _mm_add_ps(t71, t12);
    t62 = _mm_add_ps(t81, t22);
    t72 = _mm_sub_ps(t71, t12);
    t82 = _mm_sub_ps(t81, t22);
    t92 = _mm_add_ps(t91, t42);
    t03 = _mm_sub_ps(t02, t32);
    t13 = _mm_sub_ps(t91, t42);
    t23 = _mm_add_ps(t02, t32);
    s94 = _mm_unpacklo_ps(t52, t92);
    s05 = _mm_unpackhi_ps(t52, t92);
    s15 = _mm_unpacklo_ps(t62, t03);
    s25 = _mm_unpackhi_ps(t62, t03);
    s35 = _mm_unpacklo_ps(t72, t13);
    s45 = _mm_unpackhi_ps(t72, t13);
    s55 = _mm_unpacklo_ps(t82, t23);
    s65 = _mm_unpackhi_ps(t82, t23);
    s75 = _mm_shuffle_ps(s94, s35, _MM_SHUFFLE(1, 0, 1, 0));
    s85 = _mm_shuffle_ps(s94, s35, _MM_SHUFFLE(3, 2, 3, 2));
    s95 = _mm_shuffle_ps(s05, s45, _MM_SHUFFLE(1, 0, 1, 0));
    s06 = _mm_shuffle_ps(s05, s45, _MM_SHUFFLE(3, 2, 3, 2));
    s16 = _mm_shuffle_ps(s15, s55, _MM_SHUFFLE(1, 0, 1, 0));
    s26 = _mm_shuffle_ps(s15, s55, _MM_SHUFFLE(3, 2, 3, 2));
    s36 = _mm_shuffle_ps(s25, s65, _MM_SHUFFLE(1, 0, 1, 0));
    s46 = _mm_shuffle_ps(s25, s65, _MM_SHUFFLE(3, 2, 3, 2));
    s56 = _mm_sub_ps(_mm_mul_ps(_mm_set_ps((-0.70710678118654757), 0.0, 0.70710678118654757, 1.0), s75), _mm_mul_ps(_mm_set_ps((-0.70710678118654757), (-1.0), (-0.70710678118654757), 0.0), s16));
    s66 = _mm_add_ps(_mm_mul_ps(_mm_set_ps((-0.70710678118654757), (-1.0), (-0.70710678118654757), 0.0), s75), _mm_mul_ps(_mm_set_ps((-0.70710678118654757), 0.0, 0.70710678118654757, 1.0), s16));
    t33 = _mm_add_ps(s52, s56);
    t43 = _mm_add_ps(s92, s66);
    t53 = _mm_sub_ps(s52, s56);
    t63 = _mm_sub_ps(s92, s66);
    s76 = _mm_sub_ps(_mm_mul_ps(_mm_set_ps(0.38268343236508978, 0.70710678118654757, 0.92387953251128674, 1.0), s72), _mm_mul_ps(_mm_set_ps((-0.92387953251128674), (-0.70710678118654757), (-0.38268343236508978), 0.0), s13));
    s86 = _mm_add_ps(_mm_mul_ps(_mm_set_ps((-0.92387953251128674), (-0.70710678118654757), (-0.38268343236508978), 0.0), s72), _mm_mul_ps(_mm_set_ps(0.38268343236508978, 0.70710678118654757, 0.92387953251128674, 1.0), s13));
    s96 = _mm_sub_ps(_mm_mul_ps(_mm_set_ps((-0.92387953251128674), (-0.70710678118654757), 0.38268343236508978, 1.0), s95), _mm_mul_ps(_mm_set_ps(0.38268343236508978, (-0.70710678118654757), (-0.92387953251128674), 0.0), s36));
    s07 = _mm_add_ps(_mm_mul_ps(_mm_set_ps(0.38268343236508978, (-0.70710678118654757), (-0.92387953251128674), 0.0), s95), _mm_mul_ps(_mm_set_ps((-0.92387953251128674), (-0.70710678118654757), 0.38268343236508978, 1.0), s36));
    t73 = _mm_add_ps(s76, s96);
    t83 = _mm_add_ps(s86, s07);
    t93 = _mm_sub_ps(s76, s96);
    t04 = _mm_sub_ps(s86, s07);
    t14 = _mm_add_ps(t33, t73);
    t24 = _mm_add_ps(t43, t83);
    t34 = _mm_sub_ps(t33, t73);
    t44 = _mm_sub_ps(t43, t83);
    t54 = _mm_add_ps(t53, t04);
    t64 = _mm_sub_ps(t63, t93);
    t74 = _mm_sub_ps(t53, t04);
    t84 = _mm_add_ps(t63, t93);
    s17 = _mm_sub_ps(_mm_mul_ps(_mm_set_ps(0.83146961230254524, 0.92387953251128674, 0.98078528040323043, 1.0), s62), _mm_mul_ps(_mm_set_ps((-0.55557023301960218), (-0.38268343236508978), (-0.19509032201612828), 0.0), s03));
    s27 = _mm_add_ps(_mm_mul_ps(_mm_set_ps((-0.55557023301960218), (-0.38268343236508978), (-0.19509032201612828), 0.0), s62), _mm_mul_ps(_mm_set_ps(0.83146961230254524, 0.92387953251128674, 0.98078528040323043, 1.0), s03));
    s37 = _mm_sub_ps(_mm_mul_ps(_mm_set_ps((-0.98078528040323043), (-0.38268343236508978), 0.55557023301960218, 1.0), s85), _mm_mul_ps(_mm_set_ps((-0.19509032201612828), (-0.92387953251128674), (-0.83146961230254524), 0.0), s26));
    s47 = _mm_add_ps(_mm_mul_ps(_mm_set_ps((-0.19509032201612828), (-0.92387953251128674), (-0.83146961230254524), 0.0), s85), _mm_mul_ps(_mm_set_ps((-0.98078528040323043), (-0.38268343236508978), 0.55557023301960218, 1.0), s26));
    t94 = _mm_add_ps(s17, s37);
    t05 = _mm_add_ps(s27, s47);
    t15 = _mm_sub_ps(s17, s37);
    t25 = _mm_sub_ps(s27, s47);
    s57 = _mm_sub_ps(_mm_mul_ps(_mm_set_ps((-0.19509032201612828), 0.38268343236508978, 0.83146961230254524, 1.0), s82), _mm_mul_ps(_mm_set_ps((-0.98078528040323043), (-0.92387953251128674), (-0.55557023301960218), 0.0), s23));
    s67 = _mm_add_ps(_mm_mul_ps(_mm_set_ps((-0.98078528040323043), (-0.92387953251128674), (-0.55557023301960218), 0.0), s82), _mm_mul_ps(_mm_set_ps((-0.19509032201612828), 0.38268343236508978, 0.83146961230254524, 1.0), s23));
    s77 = _mm_sub_ps(_mm_mul_ps(_mm_set_ps((-0.55557023301960218), (-0.92387953251128674), 0.19509032201612828, 1.0), s06), _mm_mul_ps(_mm_set_ps(0.83146961230254524, (-0.38268343236508978), (-0.98078528040323043), 0.0), s46));
    s87 = _mm_add_ps(_mm_mul_ps(_mm_set_ps(0.83146961230254524, (-0.38268343236508978), (-0.98078528040323043), 0.0), s06), _mm_mul_ps(_mm_set_ps((-0.55557023301960218), (-0.92387953251128674), 0.19509032201612828, 1.0), s46));
    t35 = _mm_add_ps(s57, s77);
    t45 = _mm_add_ps(s67, s87);
    t55 = _mm_sub_ps(s57, s77);
    t65 = _mm_sub_ps(s67, s87);
    t75 = _mm_add_ps(t94, t35);
    t85 = _mm_add_ps(t05, t45);
    t95 = _mm_sub_ps(t94, t35);
    t06 = _mm_sub_ps(t05, t45);
    a2 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t15, t65));
    a3 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t25, t55));
    s97 = _mm_sub_ps(a2, a3);
    s08 = _mm_add_ps(a2, a3);
    a4 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t15, t65));
    a5 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t25, t55));
    s18 = _mm_sub_ps(a4, a5);
    s28 = _mm_add_ps(a4, a5);
    t16 = _mm_add_ps(t14, t75);
    t26 = _mm_add_ps(t24, t85);
    t36 = _mm_sub_ps(t14, t75);
    t46 = _mm_sub_ps(t24, t85);
    a6 = ((__m128  *) dst);
    s38 = _mm_unpacklo_ps(t16, t26);
    *(a6) = s38;
    s48 = _mm_unpackhi_ps(t16, t26);
    *((a6 + 1)) = s48;
    s58 = _mm_unpacklo_ps(t36, t46);
    *((a6 + 8)) = s58;
    s68 = _mm_unpackhi_ps(t36, t46);
    *((a6 + 9)) = s68;
    t56 = _mm_add_ps(t54, s97);
    t66 = _mm_sub_ps(t64, s08);
    t76 = _mm_sub_ps(t54, s97);
    t86 = _mm_add_ps(t64, s08);
    s78 = _mm_unpacklo_ps(t56, t66);
    *((a6 + 2)) = s78;
    s88 = _mm_unpackhi_ps(t56, t66);
    *((a6 + 3)) = s88;
    s98 = _mm_unpacklo_ps(t76, t86);
    *((a6 + 10)) = s98;
    s09 = _mm_unpackhi_ps(t76, t86);
    *((a6 + 11)) = s09;
    t96 = _mm_add_ps(t34, t06);
    t07 = _mm_sub_ps(t44, t95);
    t17 = _mm_sub_ps(t34, t06);
    t27 = _mm_add_ps(t44, t95);
    s19 = _mm_unpacklo_ps(t96, t07);
    *((a6 + 4)) = s19;
    s29 = _mm_unpackhi_ps(t96, t07);
    *((a6 + 5)) = s29;
    s39 = _mm_unpacklo_ps(t17, t27);
    *((a6 + 12)) = s39;
    s49 = _mm_unpackhi_ps(t17, t27);
    *((a6 + 13)) = s49;
    t37 = _mm_add_ps(t74, s18);
    t47 = _mm_add_ps(t84, s28);
    t57 = _mm_sub_ps(t74, s18);
    t67 = _mm_sub_ps(t84, s28);
    s59 = _mm_unpacklo_ps(t37, t47);
    *((a6 + 6)) = s59;
    s69 = _mm_unpackhi_ps(t37, t47);
    *((a6 + 7)) = s69;
    s79 = _mm_unpacklo_ps(t57, t67);
    *((a6 + 14)) = s79;
    s89 = _mm_unpackhi_ps(t57, t67);
    *((a6 + 15)) = s89;
    }
    
    return SPIRAL_OK;
    }
}

SPIRAL_PRIV(spiral_status_t, spiral_fftfwd_float_64_unaligned)(const float *pSrc, float *pDst ) {
    const float  *src = (const float *) pSrc; 
    float        *dst = (float *) pDst;
    
    
    { SPIRAL_ALIGNED(float T[128]);
    __m128 s05, s0b, s0c, s15, s16, s1b, s25, s26, s2b, s36, s3b, s46, s4b, s54, s56, s5a, s5b, s64, s66, s6a, s6b, s74
            , s76, s7a, s7b, s84, s86, s8a, s8b, s94, s9a, s9b;
    __m128 a01, a02, a11, a12, a2, a21, a22, a3, a31, a32, a4, a41, a42, a5, a51, a52, a61, a62, a71, a72, a81, a82
            , a9, a91, s, s01, s02, s03, s04, s06, s07, s08, s09, s0a, s11, s12, s13, s14, s17, s18, s19, s1a, s2, s21
            , s22, s23, s24, s27, s28, s29, s2a, s3, s31, s32, s33, s34, s35, s37, s38, s39, s3a, s4, s41, s42, s43, s44
            , s45, s47, s48, s49, s4a, s5, s51, s52, s53, s55, s57, s58, s59, s6, s61, s62, s63, s65, s67, s68, s69, s7
            , s71, s72, s73, s75, s77, s78, s79, s8, s81, s82, s83, s85, s87, s88, s89, s9, s91, s92, s93, s95, s96, s97
            , s98, s99, t, t01, t02, t03, t04, t05, t06, t07, t08, t11, t12, t13, t14, t15, t16, t17, t18, t2, t21, t22
            , t23, t24, t25, t26, t27, t28, t3, t31, t32, t33, t34, t35, t36, t37, t38, t4, t41, t42, t43, t44, t45, t46
            , t47, t48, t5, t51, t52, t53, t54, t55, t56, t57, t58, t6, t61, t62, t63, t64, t65, t66, t67, t68, t7, t71
            , t72, t73, t74, t75, t76, t77, t78, t8, t81, t82, t83, t84, t85, t86, t87, t88, t9, t91, t92, t93, t94, t95
            , t96, t97;
    __m128  *a6, *a7, *a8;
    float  *a92;
    const float  *a;
    {long i; for(i = 0; i <= 1; i++) {
        a = (src + (8 * i));
        s = _mm_loadu_ps(((const float  *) a));
        s2 = _mm_loadu_ps(((const float  *) (a + 4)));
        s3 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(2, 0, 2, 0));
        s4 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(3, 1, 3, 1));
        s5 = _mm_loadu_ps(((const float  *) (a + 64)));
        s6 = _mm_loadu_ps(((const float  *) (a + 68)));
        s7 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(2, 0, 2, 0));
        s8 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(3, 1, 3, 1));
        t = _mm_add_ps(s3, s7);
        t2 = _mm_add_ps(s4, s8);
        t3 = _mm_sub_ps(s3, s7);
        t4 = _mm_sub_ps(s4, s8);
        s9 = _mm_loadu_ps(((const float  *) (a + 32)));
        s01 = _mm_loadu_ps(((const float  *) (a + 36)));
        s11 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(2, 0, 2, 0));
        s21 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(3, 1, 3, 1));
        s31 = _mm_loadu_ps(((const float  *) (a + 96)));
        s41 = _mm_loadu_ps(((const float  *) (a + 100)));
        s51 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(2, 0, 2, 0));
        s61 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(3, 1, 3, 1));
        t5 = _mm_add_ps(s11, s51);
        t6 = _mm_add_ps(s21, s61);
        t7 = _mm_sub_ps(s11, s51);
        t8 = _mm_sub_ps(s21, s61);
        t9 = _mm_add_ps(t, t5);
        t01 = _mm_add_ps(t2, t6);
        t11 = _mm_sub_ps(t, t5);
        t21 = _mm_sub_ps(t2, t6);
        t31 = _mm_add_ps(t3, t8);
        t41 = _mm_sub_ps(t4, t7);
        t51 = _mm_sub_ps(t3, t8);
        t61 = _mm_add_ps(t4, t7);
        s71 = _mm_loadu_ps(((const float  *) (a + 16)));
        s81 = _mm_loadu_ps(((const float  *) (a + 20)));
        s91 = _mm_shuffle_ps(s71, s81, _MM_SHUFFLE(2, 0, 2, 0));
        s02 = _mm_shuffle_ps(s71, s81, _MM_SHUFFLE(3, 1, 3, 1));
        s12 = _mm_loadu_ps(((const float  *) (a + 80)));
        s22 = _mm_loadu_ps(((const float  *) (a + 84)));
        s32 = _mm_shuffle_ps(s12, s22, _MM_SHUFFLE(2, 0, 2, 0));
        s42 = _mm_shuffle_ps(s12, s22, _MM_SHUFFLE(3, 1, 3, 1));
        t71 = _mm_add_ps(s91, s32);
        t81 = _mm_add_ps(s02, s42);
        t91 = _mm_sub_ps(s91, s32);
        t02 = _mm_sub_ps(s02, s42);
        s52 = _mm_loadu_ps(((const float  *) (a + 48)));
        s62 = _mm_loadu_ps(((const float  *) (a + 52)));
        s72 = _mm_shuffle_ps(s52, s62, _MM_SHUFFLE(2, 0, 2, 0));
        s82 = _mm_shuffle_ps(s52, s62, _MM_SHUFFLE(3, 1, 3, 1));
        s92 = _mm_loadu_ps(((const float  *) (a + 112)));
        s03 = _mm_loadu_ps(((const float  *) (a + 116)));
        s13 = _mm_shuffle_ps(s92, s03, _MM_SHUFFLE(2, 0, 2, 0));
        s23 = _mm_shuffle_ps(s92, s03, _MM_SHUFFLE(3, 1, 3, 1));
        t12 = _mm_add_ps(s72, s13);
        t22 = _mm_add_ps(s82, s23);
        t32 = _mm_sub_ps(s72, s13);
        t42 = _mm_sub_ps(s82, s23);
        t52 = _mm_add_ps(t71, t12);
        t62 = _mm_add_ps(t81, t22);
        t72 = _mm_sub_ps(t71, t12);
        t82 = _mm_sub_ps(t81, t22);
        a2 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t91, t42));
        a3 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t02, t32));
        s33 = _mm_sub_ps(a2, a3);
        s43 = _mm_add_ps(a2, a3);
        a4 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t91, t42));
        a5 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t02, t32));
        s53 = _mm_sub_ps(a4, a5);
        s63 = _mm_add_ps(a4, a5);
        t92 = _mm_add_ps(t9, t52);
        t03 = _mm_add_ps(t01, t62);
        t13 = _mm_sub_ps(t9, t52);
        t23 = _mm_sub_ps(t01, t62);
        t33 = _mm_add_ps(t31, s33);
        t43 = _mm_sub_ps(t41, s43);
        t53 = _mm_sub_ps(t31, s33);
        t63 = _mm_add_ps(t41, s43);
        t73 = _mm_add_ps(t11, t82);
        t83 = _mm_sub_ps(t21, t72);
        t93 = _mm_sub_ps(t11, t82);
        t04 = _mm_add_ps(t21, t72);
        t14 = _mm_add_ps(t51, s53);
        t24 = _mm_add_ps(t61, s63);
        t34 = _mm_sub_ps(t51, s53);
        t44 = _mm_sub_ps(t61, s63);
        s73 = _mm_unpacklo_ps(t92, t33);
        s83 = _mm_unpackhi_ps(t92, t33);
        s93 = _mm_unpacklo_ps(t03, t43);
        s04 = _mm_unpackhi_ps(t03, t43);
        s14 = _mm_unpacklo_ps(t73, t14);
        s24 = _mm_unpackhi_ps(t73, t14);
        s34 = _mm_unpacklo_ps(t83, t24);
        s44 = _mm_unpackhi_ps(t83, t24);
        a6 = (((__m128  *) T) + (16 * i));
        s54 = _mm_shuffle_ps(s73, s14, _MM_SHUFFLE(1, 0, 1, 0));
        *(a6) = s54;
        s64 = _mm_shuffle_ps(s73, s14, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 4)) = s64;
        s74 = _mm_shuffle_ps(s83, s24, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 8)) = s74;
        s84 = _mm_shuffle_ps(s83, s24, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 12)) = s84;
        s94 = _mm_shuffle_ps(s93, s34, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 1)) = s94;
        s05 = _mm_shuffle_ps(s93, s34, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 5)) = s05;
        s15 = _mm_shuffle_ps(s04, s44, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 9)) = s15;
        s25 = _mm_shuffle_ps(s04, s44, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 13)) = s25;
        s35 = _mm_unpacklo_ps(t13, t53);
        s45 = _mm_unpackhi_ps(t13, t53);
        s55 = _mm_unpacklo_ps(t23, t63);
        s65 = _mm_unpackhi_ps(t23, t63);
        s75 = _mm_unpacklo_ps(t93, t34);
        s85 = _mm_unpackhi_ps(t93, t34);
        s95 = _mm_unpacklo_ps(t04, t44);
        s06 = _mm_unpackhi_ps(t04, t44);
        s16 = _mm_shuffle_ps(s35, s75, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 2)) = s16;
        s26 = _mm_shuffle_ps(s35, s75, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 6)) = s26;
        s36 = _mm_shuffle_ps(s45, s85, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 10)) = s36;
        s46 = _mm_shuffle_ps(s45, s85, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 14)) = s46;
        s56 = _mm_shuffle_ps(s55, s95, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 3)) = s56;
        s66 = _mm_shuffle_ps(s55, s95, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 7)) = s66;
        s76 = _mm_shuffle_ps(s65, s06, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 11)) = s76;
        s86 = _mm_shuffle_ps(s65, s06, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 15)) = s86;
    }}
    {long i2; for(i2 = 0; i2 <= 1; i2++) {
        a7 = (((__m128  *) T) + (2 * i2));
        s96 = *(a7);
        s07 = *((a7 + 1));
        s17 = *((a7 + 16));
        s27 = *((a7 + 17));
        a8 = (D975 + (16 * i2));
        a9 = *(a8);
        a01 = *((a8 + 1));
        s37 = _mm_sub_ps(_mm_mul_ps(a9, s96), _mm_mul_ps(a01, s07));
        s47 = _mm_add_ps(_mm_mul_ps(a01, s96), _mm_mul_ps(a9, s07));
        a11 = *((a8 + 2));
        a21 = *((a8 + 3));
        s57 = _mm_sub_ps(_mm_mul_ps(a11, s17), _mm_mul_ps(a21, s27));
        s67 = _mm_add_ps(_mm_mul_ps(a21, s17), _mm_mul_ps(a11, s27));
        t54 = _mm_add_ps(s37, s57);
        t64 = _mm_add_ps(s47, s67);
        t74 = _mm_sub_ps(s37, s57);
        t84 = _mm_sub_ps(s47, s67);
        s77 = *((a7 + 8));
        s87 = *((a7 + 9));
        s97 = *((a7 + 24));
        s08 = *((a7 + 25));
        a31 = *((a8 + 4));
        a41 = *((a8 + 5));
        s18 = _mm_sub_ps(_mm_mul_ps(a31, s77), _mm_mul_ps(a41, s87));
        s28 = _mm_add_ps(_mm_mul_ps(a41, s77), _mm_mul_ps(a31, s87));
        a51 = *((a8 + 6));
        a61 = *((a8 + 7));
        s38 = _mm_sub_ps(_mm_mul_ps(a51, s97), _mm_mul_ps(a61, s08));
        s48 = _mm_add_ps(_mm_mul_ps(a61, s97), _mm_mul_ps(a51, s08));
        t94 = _mm_add_ps(s18, s38);
        t05 = _mm_add_ps(s28, s48);
        t15 = _mm_sub_ps(s18, s38);
        t25 = _mm_sub_ps(s28, s48);
        t35 = _mm_add_ps(t54, t94);
        t45 = _mm_add_ps(t64, t05);
        t55 = _mm_sub_ps(t54, t94);
        t65 = _mm_sub_ps(t64, t05);
        t75 = _mm_add_ps(t74, t25);
        t85 = _mm_sub_ps(t84, t15);
        t95 = _mm_sub_ps(t74, t25);
        t06 = _mm_add_ps(t84, t15);
        s58 = *((a7 + 4));
        s68 = *((a7 + 5));
        s78 = *((a7 + 20));
        s88 = *((a7 + 21));
        a71 = *((a8 + 8));
        a81 = *((a8 + 9));
        s98 = _mm_sub_ps(_mm_mul_ps(a71, s58), _mm_mul_ps(a81, s68));
        s09 = _mm_add_ps(_mm_mul_ps(a81, s58), _mm_mul_ps(a71, s68));
        a91 = *((a8 + 10));
        a02 = *((a8 + 11));
        s19 = _mm_sub_ps(_mm_mul_ps(a91, s78), _mm_mul_ps(a02, s88));
        s29 = _mm_add_ps(_mm_mul_ps(a02, s78), _mm_mul_ps(a91, s88));
        t16 = _mm_add_ps(s98, s19);
        t26 = _mm_add_ps(s09, s29);
        t36 = _mm_sub_ps(s98, s19);
        t46 = _mm_sub_ps(s09, s29);
        s39 = *((a7 + 12));
        s49 = *((a7 + 13));
        s59 = *((a7 + 28));
        s69 = *((a7 + 29));
        a12 = *((a8 + 12));
        a22 = *((a8 + 13));
        s79 = _mm_sub_ps(_mm_mul_ps(a12, s39), _mm_mul_ps(a22, s49));
        s89 = _mm_add_ps(_mm_mul_ps(a22, s39), _mm_mul_ps(a12, s49));
        a32 = *((a8 + 14));
        a42 = *((a8 + 15));
        s99 = _mm_sub_ps(_mm_mul_ps(a32, s59), _mm_mul_ps(a42, s69));
        s0a = _mm_add_ps(_mm_mul_ps(a42, s59), _mm_mul_ps(a32, s69));
        t56 = _mm_add_ps(s79, s99);
        t66 = _mm_add_ps(s89, s0a);
        t76 = _mm_sub_ps(s79, s99);
        t86 = _mm_sub_ps(s89, s0a);
        t96 = _mm_add_ps(t16, t56);
        t07 = _mm_add_ps(t26, t66);
        t17 = _mm_sub_ps(t16, t56);
        t27 = _mm_sub_ps(t26, t66);
        a52 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t36, t86));
        a62 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t46, t76));
        s1a = _mm_sub_ps(a52, a62);
        s2a = _mm_add_ps(a52, a62);
        a72 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t36, t86));
        a82 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t46, t76));
        s3a = _mm_sub_ps(a72, a82);
        s4a = _mm_add_ps(a72, a82);
        t37 = _mm_add_ps(t35, t96);
        t47 = _mm_add_ps(t45, t07);
        t57 = _mm_sub_ps(t35, t96);
        t67 = _mm_sub_ps(t45, t07);
        a92 = (dst + (8 * i2));
        s5a = _mm_unpacklo_ps(t37, t47);
        _mm_storeu_ps(((float  *) a92), s5a);
        s6a = _mm_unpackhi_ps(t37, t47);
        _mm_storeu_ps(((float  *) (a92 + 4)), s6a);
        s7a = _mm_unpacklo_ps(t57, t67);
        _mm_storeu_ps(((float  *) (a92 + 64)), s7a);
        s8a = _mm_unpackhi_ps(t57, t67);
        _mm_storeu_ps(((float  *) (a92 + 68)), s8a);
        t77 = _mm_add_ps(t75, s1a);
        t87 = _mm_sub_ps(t85, s2a);
        t97 = _mm_sub_ps(t75, s1a);
        t08 = _mm_add_ps(t85, s2a);
        s9a = _mm_unpacklo_ps(t77, t87);
        _mm_storeu_ps(((float  *) (a92 + 16)), s9a);
        s0b = _mm_unpackhi_ps(t77, t87);
        _mm_storeu_ps(((float  *) (a92 + 20)), s0b);
        s1b = _mm_unpacklo_ps(t97, t08);
        _mm_storeu_ps(((float  *) (a92 + 80)), s1b);
        s2b = _mm_unpackhi_ps(t97, t08);
        _mm_storeu_ps(((float  *) (a92 + 84)), s2b);
        t18 = _mm_add_ps(t55, t27);
        t28 = _mm_sub_ps(t65, t17);
        t38 = _mm_sub_ps(t55, t27);
        t48 = _mm_add_ps(t65, t17);
        s3b = _mm_unpacklo_ps(t18, t28);
        _mm_storeu_ps(((float  *) (a92 + 32)), s3b);
        s4b = _mm_unpackhi_ps(t18, t28);
        _mm_storeu_ps(((float  *) (a92 + 36)), s4b);
        s5b = _mm_unpacklo_ps(t38, t48);
        _mm_storeu_ps(((float  *) (a92 + 96)), s5b);
        s6b = _mm_unpackhi_ps(t38, t48);
        _mm_storeu_ps(((float  *) (a92 + 100)), s6b);
        t58 = _mm_add_ps(t95, s3a);
        t68 = _mm_add_ps(t06, s4a);
        t78 = _mm_sub_ps(t95, s3a);
        t88 = _mm_sub_ps(t06, s4a);
        s7b = _mm_unpacklo_ps(t58, t68);
        _mm_storeu_ps(((float  *) (a92 + 48)), s7b);
        s8b = _mm_unpackhi_ps(t58, t68);
        _mm_storeu_ps(((float  *) (a92 + 52)), s8b);
        s9b = _mm_unpacklo_ps(t78, t88);
        _mm_storeu_ps(((float  *) (a92 + 112)), s9b);
        s0c = _mm_unpackhi_ps(t78, t88);
        _mm_storeu_ps(((float  *) (a92 + 116)), s0c);
    }}
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_fftfwd_float_64)(const float *pSrc, float *pDst ) {
    if (!is_aligned(pSrc) || !is_aligned(pDst))
       	return spiral_fftfwd_float_64_unaligned(pSrc, pDst );
    else {
    const float  *src = (const float *) pSrc; 
    float        *dst = (float *) pDst;
    
    
    { SPIRAL_ALIGNED(float T[128]);
    __m128 s05, s0b, s0c, s15, s16, s1b, s25, s26, s2b, s36, s3b, s46, s4b, s54, s56, s5a, s5b, s64, s66, s6a, s6b, s74
            , s76, s7a, s7b, s84, s86, s8a, s8b, s94, s9a, s9b;
    __m128 a01, a02, a11, a12, a2, a21, a22, a3, a31, a32, a4, a41, a42, a5, a51, a52, a61, a62, a71, a72, a81, a82
            , a91, a92, s, s01, s02, s03, s04, s06, s07, s08, s09, s0a, s11, s12, s13, s14, s17, s18, s19, s1a, s2, s21
            , s22, s23, s24, s27, s28, s29, s2a, s3, s31, s32, s33, s34, s35, s37, s38, s39, s3a, s4, s41, s42, s43, s44
            , s45, s47, s48, s49, s4a, s5, s51, s52, s53, s55, s57, s58, s59, s6, s61, s62, s63, s65, s67, s68, s69, s7
            , s71, s72, s73, s75, s77, s78, s79, s8, s81, s82, s83, s85, s87, s88, s89, s9, s91, s92, s93, s95, s96, s97
            , s98, s99, t, t01, t02, t03, t04, t05, t06, t07, t08, t11, t12, t13, t14, t15, t16, t17, t18, t2, t21, t22
            , t23, t24, t25, t26, t27, t28, t3, t31, t32, t33, t34, t35, t36, t37, t38, t4, t41, t42, t43, t44, t45, t46
            , t47, t48, t5, t51, t52, t53, t54, t55, t56, t57, t58, t6, t61, t62, t63, t64, t65, t66, t67, t68, t7, t71
            , t72, t73, t74, t75, t76, t77, t78, t8, t81, t82, t83, t84, t85, t86, t87, t88, t9, t91, t92, t93, t94, t95
            , t96, t97;
    __m128  *a, *a03, *a6, *a8, *a9;
    int a7;
    {long i; for(i = 0; i <= 1; i++) {
        a = (((__m128  *) src) + (2 * i));
        s = *(a);
        s2 = *((a + 1));
        s3 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(2, 0, 2, 0));
        s4 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(3, 1, 3, 1));
        s5 = *((a + 16));
        s6 = *((a + 17));
        s7 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(2, 0, 2, 0));
        s8 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(3, 1, 3, 1));
        t = _mm_add_ps(s3, s7);
        t2 = _mm_add_ps(s4, s8);
        t3 = _mm_sub_ps(s3, s7);
        t4 = _mm_sub_ps(s4, s8);
        s9 = *((a + 8));
        s01 = *((a + 9));
        s11 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(2, 0, 2, 0));
        s21 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(3, 1, 3, 1));
        s31 = *((a + 24));
        s41 = *((a + 25));
        s51 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(2, 0, 2, 0));
        s61 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(3, 1, 3, 1));
        t5 = _mm_add_ps(s11, s51);
        t6 = _mm_add_ps(s21, s61);
        t7 = _mm_sub_ps(s11, s51);
        t8 = _mm_sub_ps(s21, s61);
        t9 = _mm_add_ps(t, t5);
        t01 = _mm_add_ps(t2, t6);
        t11 = _mm_sub_ps(t, t5);
        t21 = _mm_sub_ps(t2, t6);
        t31 = _mm_add_ps(t3, t8);
        t41 = _mm_sub_ps(t4, t7);
        t51 = _mm_sub_ps(t3, t8);
        t61 = _mm_add_ps(t4, t7);
        s71 = *((a + 4));
        s81 = *((a + 5));
        s91 = _mm_shuffle_ps(s71, s81, _MM_SHUFFLE(2, 0, 2, 0));
        s02 = _mm_shuffle_ps(s71, s81, _MM_SHUFFLE(3, 1, 3, 1));
        s12 = *((a + 20));
        s22 = *((a + 21));
        s32 = _mm_shuffle_ps(s12, s22, _MM_SHUFFLE(2, 0, 2, 0));
        s42 = _mm_shuffle_ps(s12, s22, _MM_SHUFFLE(3, 1, 3, 1));
        t71 = _mm_add_ps(s91, s32);
        t81 = _mm_add_ps(s02, s42);
        t91 = _mm_sub_ps(s91, s32);
        t02 = _mm_sub_ps(s02, s42);
        s52 = *((a + 12));
        s62 = *((a + 13));
        s72 = _mm_shuffle_ps(s52, s62, _MM_SHUFFLE(2, 0, 2, 0));
        s82 = _mm_shuffle_ps(s52, s62, _MM_SHUFFLE(3, 1, 3, 1));
        s92 = *((a + 28));
        s03 = *((a + 29));
        s13 = _mm_shuffle_ps(s92, s03, _MM_SHUFFLE(2, 0, 2, 0));
        s23 = _mm_shuffle_ps(s92, s03, _MM_SHUFFLE(3, 1, 3, 1));
        t12 = _mm_add_ps(s72, s13);
        t22 = _mm_add_ps(s82, s23);
        t32 = _mm_sub_ps(s72, s13);
        t42 = _mm_sub_ps(s82, s23);
        t52 = _mm_add_ps(t71, t12);
        t62 = _mm_add_ps(t81, t22);
        t72 = _mm_sub_ps(t71, t12);
        t82 = _mm_sub_ps(t81, t22);
        a2 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t91, t42));
        a3 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t02, t32));
        s33 = _mm_sub_ps(a2, a3);
        s43 = _mm_add_ps(a2, a3);
        a4 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t91, t42));
        a5 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t02, t32));
        s53 = _mm_sub_ps(a4, a5);
        s63 = _mm_add_ps(a4, a5);
        t92 = _mm_add_ps(t9, t52);
        t03 = _mm_add_ps(t01, t62);
        t13 = _mm_sub_ps(t9, t52);
        t23 = _mm_sub_ps(t01, t62);
        t33 = _mm_add_ps(t31, s33);
        t43 = _mm_sub_ps(t41, s43);
        t53 = _mm_sub_ps(t31, s33);
        t63 = _mm_add_ps(t41, s43);
        t73 = _mm_add_ps(t11, t82);
        t83 = _mm_sub_ps(t21, t72);
        t93 = _mm_sub_ps(t11, t82);
        t04 = _mm_add_ps(t21, t72);
        t14 = _mm_add_ps(t51, s53);
        t24 = _mm_add_ps(t61, s63);
        t34 = _mm_sub_ps(t51, s53);
        t44 = _mm_sub_ps(t61, s63);
        s73 = _mm_unpacklo_ps(t92, t33);
        s83 = _mm_unpackhi_ps(t92, t33);
        s93 = _mm_unpacklo_ps(t03, t43);
        s04 = _mm_unpackhi_ps(t03, t43);
        s14 = _mm_unpacklo_ps(t73, t14);
        s24 = _mm_unpackhi_ps(t73, t14);
        s34 = _mm_unpacklo_ps(t83, t24);
        s44 = _mm_unpackhi_ps(t83, t24);
        a6 = (((__m128  *) T) + (16 * i));
        s54 = _mm_shuffle_ps(s73, s14, _MM_SHUFFLE(1, 0, 1, 0));
        *(a6) = s54;
        s64 = _mm_shuffle_ps(s73, s14, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 4)) = s64;
        s74 = _mm_shuffle_ps(s83, s24, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 8)) = s74;
        s84 = _mm_shuffle_ps(s83, s24, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 12)) = s84;
        s94 = _mm_shuffle_ps(s93, s34, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 1)) = s94;
        s05 = _mm_shuffle_ps(s93, s34, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 5)) = s05;
        s15 = _mm_shuffle_ps(s04, s44, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 9)) = s15;
        s25 = _mm_shuffle_ps(s04, s44, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 13)) = s25;
        s35 = _mm_unpacklo_ps(t13, t53);
        s45 = _mm_unpackhi_ps(t13, t53);
        s55 = _mm_unpacklo_ps(t23, t63);
        s65 = _mm_unpackhi_ps(t23, t63);
        s75 = _mm_unpacklo_ps(t93, t34);
        s85 = _mm_unpackhi_ps(t93, t34);
        s95 = _mm_unpacklo_ps(t04, t44);
        s06 = _mm_unpackhi_ps(t04, t44);
        s16 = _mm_shuffle_ps(s35, s75, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 2)) = s16;
        s26 = _mm_shuffle_ps(s35, s75, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 6)) = s26;
        s36 = _mm_shuffle_ps(s45, s85, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 10)) = s36;
        s46 = _mm_shuffle_ps(s45, s85, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 14)) = s46;
        s56 = _mm_shuffle_ps(s55, s95, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 3)) = s56;
        s66 = _mm_shuffle_ps(s55, s95, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 7)) = s66;
        s76 = _mm_shuffle_ps(s65, s06, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 11)) = s76;
        s86 = _mm_shuffle_ps(s65, s06, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 15)) = s86;
    }}
    {long i2; for(i2 = 0; i2 <= 1; i2++) {
        a7 = (2 * i2);
        a8 = (((__m128  *) T) + a7);
        s96 = *(a8);
        s07 = *((a8 + 1));
        s17 = *((a8 + 16));
        s27 = *((a8 + 17));
        a9 = (D975 + (16 * i2));
        a01 = *(a9);
        a11 = *((a9 + 1));
        s37 = _mm_sub_ps(_mm_mul_ps(a01, s96), _mm_mul_ps(a11, s07));
        s47 = _mm_add_ps(_mm_mul_ps(a11, s96), _mm_mul_ps(a01, s07));
        a21 = *((a9 + 2));
        a31 = *((a9 + 3));
        s57 = _mm_sub_ps(_mm_mul_ps(a21, s17), _mm_mul_ps(a31, s27));
        s67 = _mm_add_ps(_mm_mul_ps(a31, s17), _mm_mul_ps(a21, s27));
        t54 = _mm_add_ps(s37, s57);
        t64 = _mm_add_ps(s47, s67);
        t74 = _mm_sub_ps(s37, s57);
        t84 = _mm_sub_ps(s47, s67);
        s77 = *((a8 + 8));
        s87 = *((a8 + 9));
        s97 = *((a8 + 24));
        s08 = *((a8 + 25));
        a41 = *((a9 + 4));
        a51 = *((a9 + 5));
        s18 = _mm_sub_ps(_mm_mul_ps(a41, s77), _mm_mul_ps(a51, s87));
        s28 = _mm_add_ps(_mm_mul_ps(a51, s77), _mm_mul_ps(a41, s87));
        a61 = *((a9 + 6));
        a71 = *((a9 + 7));
        s38 = _mm_sub_ps(_mm_mul_ps(a61, s97), _mm_mul_ps(a71, s08));
        s48 = _mm_add_ps(_mm_mul_ps(a71, s97), _mm_mul_ps(a61, s08));
        t94 = _mm_add_ps(s18, s38);
        t05 = _mm_add_ps(s28, s48);
        t15 = _mm_sub_ps(s18, s38);
        t25 = _mm_sub_ps(s28, s48);
        t35 = _mm_add_ps(t54, t94);
        t45 = _mm_add_ps(t64, t05);
        t55 = _mm_sub_ps(t54, t94);
        t65 = _mm_sub_ps(t64, t05);
        t75 = _mm_add_ps(t74, t25);
        t85 = _mm_sub_ps(t84, t15);
        t95 = _mm_sub_ps(t74, t25);
        t06 = _mm_add_ps(t84, t15);
        s58 = *((a8 + 4));
        s68 = *((a8 + 5));
        s78 = *((a8 + 20));
        s88 = *((a8 + 21));
        a81 = *((a9 + 8));
        a91 = *((a9 + 9));
        s98 = _mm_sub_ps(_mm_mul_ps(a81, s58), _mm_mul_ps(a91, s68));
        s09 = _mm_add_ps(_mm_mul_ps(a91, s58), _mm_mul_ps(a81, s68));
        a02 = *((a9 + 10));
        a12 = *((a9 + 11));
        s19 = _mm_sub_ps(_mm_mul_ps(a02, s78), _mm_mul_ps(a12, s88));
        s29 = _mm_add_ps(_mm_mul_ps(a12, s78), _mm_mul_ps(a02, s88));
        t16 = _mm_add_ps(s98, s19);
        t26 = _mm_add_ps(s09, s29);
        t36 = _mm_sub_ps(s98, s19);
        t46 = _mm_sub_ps(s09, s29);
        s39 = *((a8 + 12));
        s49 = *((a8 + 13));
        s59 = *((a8 + 28));
        s69 = *((a8 + 29));
        a22 = *((a9 + 12));
        a32 = *((a9 + 13));
        s79 = _mm_sub_ps(_mm_mul_ps(a22, s39), _mm_mul_ps(a32, s49));
        s89 = _mm_add_ps(_mm_mul_ps(a32, s39), _mm_mul_ps(a22, s49));
        a42 = *((a9 + 14));
        a52 = *((a9 + 15));
        s99 = _mm_sub_ps(_mm_mul_ps(a42, s59), _mm_mul_ps(a52, s69));
        s0a = _mm_add_ps(_mm_mul_ps(a52, s59), _mm_mul_ps(a42, s69));
        t56 = _mm_add_ps(s79, s99);
        t66 = _mm_add_ps(s89, s0a);
        t76 = _mm_sub_ps(s79, s99);
        t86 = _mm_sub_ps(s89, s0a);
        t96 = _mm_add_ps(t16, t56);
        t07 = _mm_add_ps(t26, t66);
        t17 = _mm_sub_ps(t16, t56);
        t27 = _mm_sub_ps(t26, t66);
        a62 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t36, t86));
        a72 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t46, t76));
        s1a = _mm_sub_ps(a62, a72);
        s2a = _mm_add_ps(a62, a72);
        a82 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t36, t86));
        a92 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t46, t76));
        s3a = _mm_sub_ps(a82, a92);
        s4a = _mm_add_ps(a82, a92);
        t37 = _mm_add_ps(t35, t96);
        t47 = _mm_add_ps(t45, t07);
        t57 = _mm_sub_ps(t35, t96);
        t67 = _mm_sub_ps(t45, t07);
        a03 = (((__m128  *) dst) + a7);
        s5a = _mm_unpacklo_ps(t37, t47);
        *(a03) = s5a;
        s6a = _mm_unpackhi_ps(t37, t47);
        *((a03 + 1)) = s6a;
        s7a = _mm_unpacklo_ps(t57, t67);
        *((a03 + 16)) = s7a;
        s8a = _mm_unpackhi_ps(t57, t67);
        *((a03 + 17)) = s8a;
        t77 = _mm_add_ps(t75, s1a);
        t87 = _mm_sub_ps(t85, s2a);
        t97 = _mm_sub_ps(t75, s1a);
        t08 = _mm_add_ps(t85, s2a);
        s9a = _mm_unpacklo_ps(t77, t87);
        *((a03 + 4)) = s9a;
        s0b = _mm_unpackhi_ps(t77, t87);
        *((a03 + 5)) = s0b;
        s1b = _mm_unpacklo_ps(t97, t08);
        *((a03 + 20)) = s1b;
        s2b = _mm_unpackhi_ps(t97, t08);
        *((a03 + 21)) = s2b;
        t18 = _mm_add_ps(t55, t27);
        t28 = _mm_sub_ps(t65, t17);
        t38 = _mm_sub_ps(t55, t27);
        t48 = _mm_add_ps(t65, t17);
        s3b = _mm_unpacklo_ps(t18, t28);
        *((a03 + 8)) = s3b;
        s4b = _mm_unpackhi_ps(t18, t28);
        *((a03 + 9)) = s4b;
        s5b = _mm_unpacklo_ps(t38, t48);
        *((a03 + 24)) = s5b;
        s6b = _mm_unpackhi_ps(t38, t48);
        *((a03 + 25)) = s6b;
        t58 = _mm_add_ps(t95, s3a);
        t68 = _mm_add_ps(t06, s4a);
        t78 = _mm_sub_ps(t95, s3a);
        t88 = _mm_sub_ps(t06, s4a);
        s7b = _mm_unpacklo_ps(t58, t68);
        *((a03 + 12)) = s7b;
        s8b = _mm_unpackhi_ps(t58, t68);
        *((a03 + 13)) = s8b;
        s9b = _mm_unpacklo_ps(t78, t88);
        *((a03 + 28)) = s9b;
        s0c = _mm_unpackhi_ps(t78, t88);
        *((a03 + 29)) = s0c;
    }}
    }
    
    return SPIRAL_OK;
    }
}

SPIRAL_PRIV(spiral_status_t, spiral_fftfwd_float_128_unaligned)(const float *pSrc, float *pDst ) {
    const float  *src = (const float *) pSrc; 
    float        *dst = (float *) pDst;
    
    
    { SPIRAL_ALIGNED(float T[256]);
     SPIRAL_ALIGNED(float T2[128]);
    __m128 s05, s15, s16, s1a, s25, s26, s2a, s36, s3a, s46, s4a, s54, s56, s5a, s64, s66, s6a, s74, s76, s7a, s84, s86
            , s8a, s94;
    __m128 a01, a02, a11, a12, a2, a21, a22, a3, a31, a4, a41, a42, a5, a51, a52, a61, a62, a71, a72, a91, s, s01
            , s02, s03, s04, s06, s07, s08, s09, s0a, s11, s12, s13, s14, s17, s18, s19, s2, s21, s22, s23, s24, s27, s28
            , s29, s3, s31, s32, s33, s34, s35, s37, s38, s39, s4, s41, s42, s43, s44, s45, s47, s48, s49, s5, s51, s52
            , s53, s55, s57, s58, s59, s6, s61, s62, s63, s65, s67, s68, s69, s7, s71, s72, s73, s75, s77, s78, s79, s8
            , s81, s82, s83, s85, s87, s88, s89, s9, s91, s92, s93, s95, s96, s97, s98, s99, t, t01, t02, t03, t04, t05
            , t06, t07, t11, t12, t13, t14, t15, t16, t17, t2, t21, t22, t23, t24, t25, t26, t27, t3, t31, t32, t33, t34
            , t35, t36, t37, t4, t41, t42, t43, t44, t45, t46, t47, t5, t51, t52, t53, t54, t55, t56, t57, t6, t61, t62
            , t63, t64, t65, t66, t67, t7, t71, t72, t73, t74, t75, t76, t8, t81, t82, t83, t84, t85, t86, t9, t91, t92
            , t93, t94, t95, t96;
    __m128  *a32, *a6, *a7, *a81, *a82, *a9;
    float  *a92;
    const float  *a;
    int a8;
    {long i; for(i = 0; i <= 3; i++) {
        a = (src + (8 * i));
        s = _mm_loadu_ps(((const float  *) a));
        s2 = _mm_loadu_ps(((const float  *) (a + 4)));
        s3 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(2, 0, 2, 0));
        s4 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(3, 1, 3, 1));
        s5 = _mm_loadu_ps(((const float  *) (a + 128)));
        s6 = _mm_loadu_ps(((const float  *) (a + 132)));
        s7 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(2, 0, 2, 0));
        s8 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(3, 1, 3, 1));
        t = _mm_add_ps(s3, s7);
        t2 = _mm_add_ps(s4, s8);
        t3 = _mm_sub_ps(s3, s7);
        t4 = _mm_sub_ps(s4, s8);
        s9 = _mm_loadu_ps(((const float  *) (a + 64)));
        s01 = _mm_loadu_ps(((const float  *) (a + 68)));
        s11 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(2, 0, 2, 0));
        s21 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(3, 1, 3, 1));
        s31 = _mm_loadu_ps(((const float  *) (a + 192)));
        s41 = _mm_loadu_ps(((const float  *) (a + 196)));
        s51 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(2, 0, 2, 0));
        s61 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(3, 1, 3, 1));
        t5 = _mm_add_ps(s11, s51);
        t6 = _mm_add_ps(s21, s61);
        t7 = _mm_sub_ps(s11, s51);
        t8 = _mm_sub_ps(s21, s61);
        t9 = _mm_add_ps(t, t5);
        t01 = _mm_add_ps(t2, t6);
        t11 = _mm_sub_ps(t, t5);
        t21 = _mm_sub_ps(t2, t6);
        t31 = _mm_add_ps(t3, t8);
        t41 = _mm_sub_ps(t4, t7);
        t51 = _mm_sub_ps(t3, t8);
        t61 = _mm_add_ps(t4, t7);
        s71 = _mm_loadu_ps(((const float  *) (a + 32)));
        s81 = _mm_loadu_ps(((const float  *) (a + 36)));
        s91 = _mm_shuffle_ps(s71, s81, _MM_SHUFFLE(2, 0, 2, 0));
        s02 = _mm_shuffle_ps(s71, s81, _MM_SHUFFLE(3, 1, 3, 1));
        s12 = _mm_loadu_ps(((const float  *) (a + 160)));
        s22 = _mm_loadu_ps(((const float  *) (a + 164)));
        s32 = _mm_shuffle_ps(s12, s22, _MM_SHUFFLE(2, 0, 2, 0));
        s42 = _mm_shuffle_ps(s12, s22, _MM_SHUFFLE(3, 1, 3, 1));
        t71 = _mm_add_ps(s91, s32);
        t81 = _mm_add_ps(s02, s42);
        t91 = _mm_sub_ps(s91, s32);
        t02 = _mm_sub_ps(s02, s42);
        s52 = _mm_loadu_ps(((const float  *) (a + 96)));
        s62 = _mm_loadu_ps(((const float  *) (a + 100)));
        s72 = _mm_shuffle_ps(s52, s62, _MM_SHUFFLE(2, 0, 2, 0));
        s82 = _mm_shuffle_ps(s52, s62, _MM_SHUFFLE(3, 1, 3, 1));
        s92 = _mm_loadu_ps(((const float  *) (a + 224)));
        s03 = _mm_loadu_ps(((const float  *) (a + 228)));
        s13 = _mm_shuffle_ps(s92, s03, _MM_SHUFFLE(2, 0, 2, 0));
        s23 = _mm_shuffle_ps(s92, s03, _MM_SHUFFLE(3, 1, 3, 1));
        t12 = _mm_add_ps(s72, s13);
        t22 = _mm_add_ps(s82, s23);
        t32 = _mm_sub_ps(s72, s13);
        t42 = _mm_sub_ps(s82, s23);
        t52 = _mm_add_ps(t71, t12);
        t62 = _mm_add_ps(t81, t22);
        t72 = _mm_sub_ps(t71, t12);
        t82 = _mm_sub_ps(t81, t22);
        a2 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t91, t42));
        a3 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t02, t32));
        s33 = _mm_sub_ps(a2, a3);
        s43 = _mm_add_ps(a2, a3);
        a4 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t91, t42));
        a5 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t02, t32));
        s53 = _mm_sub_ps(a4, a5);
        s63 = _mm_add_ps(a4, a5);
        t92 = _mm_add_ps(t9, t52);
        t03 = _mm_add_ps(t01, t62);
        t13 = _mm_sub_ps(t9, t52);
        t23 = _mm_sub_ps(t01, t62);
        t33 = _mm_add_ps(t31, s33);
        t43 = _mm_sub_ps(t41, s43);
        t53 = _mm_sub_ps(t31, s33);
        t63 = _mm_add_ps(t41, s43);
        t73 = _mm_add_ps(t11, t82);
        t83 = _mm_sub_ps(t21, t72);
        t93 = _mm_sub_ps(t11, t82);
        t04 = _mm_add_ps(t21, t72);
        t14 = _mm_add_ps(t51, s53);
        t24 = _mm_add_ps(t61, s63);
        t34 = _mm_sub_ps(t51, s53);
        t44 = _mm_sub_ps(t61, s63);
        s73 = _mm_unpacklo_ps(t92, t33);
        s83 = _mm_unpackhi_ps(t92, t33);
        s93 = _mm_unpacklo_ps(t03, t43);
        s04 = _mm_unpackhi_ps(t03, t43);
        s14 = _mm_unpacklo_ps(t73, t14);
        s24 = _mm_unpackhi_ps(t73, t14);
        s34 = _mm_unpacklo_ps(t83, t24);
        s44 = _mm_unpackhi_ps(t83, t24);
        a6 = (((__m128  *) T) + (16 * i));
        s54 = _mm_shuffle_ps(s73, s14, _MM_SHUFFLE(1, 0, 1, 0));
        *(a6) = s54;
        s64 = _mm_shuffle_ps(s73, s14, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 4)) = s64;
        s74 = _mm_shuffle_ps(s83, s24, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 8)) = s74;
        s84 = _mm_shuffle_ps(s83, s24, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 12)) = s84;
        s94 = _mm_shuffle_ps(s93, s34, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 1)) = s94;
        s05 = _mm_shuffle_ps(s93, s34, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 5)) = s05;
        s15 = _mm_shuffle_ps(s04, s44, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 9)) = s15;
        s25 = _mm_shuffle_ps(s04, s44, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 13)) = s25;
        s35 = _mm_unpacklo_ps(t13, t53);
        s45 = _mm_unpackhi_ps(t13, t53);
        s55 = _mm_unpacklo_ps(t23, t63);
        s65 = _mm_unpackhi_ps(t23, t63);
        s75 = _mm_unpacklo_ps(t93, t34);
        s85 = _mm_unpackhi_ps(t93, t34);
        s95 = _mm_unpacklo_ps(t04, t44);
        s06 = _mm_unpackhi_ps(t04, t44);
        s16 = _mm_shuffle_ps(s35, s75, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 2)) = s16;
        s26 = _mm_shuffle_ps(s35, s75, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 6)) = s26;
        s36 = _mm_shuffle_ps(s45, s85, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 10)) = s36;
        s46 = _mm_shuffle_ps(s45, s85, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 14)) = s46;
        s56 = _mm_shuffle_ps(s55, s95, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 3)) = s56;
        s66 = _mm_shuffle_ps(s55, s95, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 7)) = s66;
        s76 = _mm_shuffle_ps(s65, s06, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 11)) = s76;
        s86 = _mm_shuffle_ps(s65, s06, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 15)) = s86;
    }}
    {long i2; for(i2 = 0; i2 <= 1; i2++) {
        {long i3; for(i3 = 0; i3 <= 3; i3++) {
            a7 = (((__m128  *) T) + ((2 * i2) + (4 * i3)));
            s96 = *(a7);
            s07 = *((a7 + 1));
            s17 = *((a7 + 32));
            s27 = *((a7 + 33));
            a8 = (8 * i3);
            a9 = (D977 + ((32 * i2) + a8));
            a01 = *(a9);
            a11 = *((a9 + 1));
            s37 = _mm_sub_ps(_mm_mul_ps(a01, s96), _mm_mul_ps(a11, s07));
            s47 = _mm_add_ps(_mm_mul_ps(a11, s96), _mm_mul_ps(a01, s07));
            a21 = *((a9 + 2));
            a31 = *((a9 + 3));
            s57 = _mm_sub_ps(_mm_mul_ps(a21, s17), _mm_mul_ps(a31, s27));
            s67 = _mm_add_ps(_mm_mul_ps(a31, s17), _mm_mul_ps(a21, s27));
            t54 = _mm_add_ps(s37, s57);
            t64 = _mm_add_ps(s47, s67);
            t74 = _mm_sub_ps(s37, s57);
            t84 = _mm_sub_ps(s47, s67);
            s77 = *((a7 + 16));
            s87 = *((a7 + 17));
            s97 = *((a7 + 48));
            s08 = *((a7 + 49));
            a41 = *((a9 + 4));
            a51 = *((a9 + 5));
            s18 = _mm_sub_ps(_mm_mul_ps(a41, s77), _mm_mul_ps(a51, s87));
            s28 = _mm_add_ps(_mm_mul_ps(a51, s77), _mm_mul_ps(a41, s87));
            a61 = *((a9 + 6));
            a71 = *((a9 + 7));
            s38 = _mm_sub_ps(_mm_mul_ps(a61, s97), _mm_mul_ps(a71, s08));
            s48 = _mm_add_ps(_mm_mul_ps(a71, s97), _mm_mul_ps(a61, s08));
            t94 = _mm_add_ps(s18, s38);
            t05 = _mm_add_ps(s28, s48);
            t15 = _mm_sub_ps(s18, s38);
            t25 = _mm_sub_ps(s28, s48);
            t35 = _mm_add_ps(t54, t94);
            t45 = _mm_add_ps(t64, t05);
            t55 = _mm_sub_ps(t54, t94);
            t65 = _mm_sub_ps(t64, t05);
            a81 = (D976 + a8);
            a91 = *(a81);
            a02 = *((a81 + 1));
            a12 = *((a81 + 2));
            a22 = *((a81 + 3));
            a32 = (((__m128  *) T2) + a8);
            s58 = _mm_sub_ps(_mm_mul_ps(a91, t35), _mm_mul_ps(a02, t45));
            *(a32) = s58;
            s68 = _mm_add_ps(_mm_mul_ps(a02, t35), _mm_mul_ps(a91, t45));
            *((a32 + 1)) = s68;
            s78 = _mm_sub_ps(_mm_mul_ps(a12, t55), _mm_mul_ps(a22, t65));
            *((a32 + 4)) = s78;
            s88 = _mm_add_ps(_mm_mul_ps(a22, t55), _mm_mul_ps(a12, t65));
            *((a32 + 5)) = s88;
            t75 = _mm_add_ps(t74, t25);
            t85 = _mm_sub_ps(t84, t15);
            t95 = _mm_sub_ps(t74, t25);
            t06 = _mm_add_ps(t84, t15);
            a42 = *((a81 + 4));
            a52 = *((a81 + 5));
            a62 = *((a81 + 6));
            a72 = *((a81 + 7));
            s98 = _mm_sub_ps(_mm_mul_ps(a42, t75), _mm_mul_ps(a52, t85));
            *((a32 + 2)) = s98;
            s09 = _mm_add_ps(_mm_mul_ps(a52, t75), _mm_mul_ps(a42, t85));
            *((a32 + 3)) = s09;
            s19 = _mm_sub_ps(_mm_mul_ps(a62, t95), _mm_mul_ps(a72, t06));
            *((a32 + 6)) = s19;
            s29 = _mm_add_ps(_mm_mul_ps(a72, t95), _mm_mul_ps(a62, t06));
            *((a32 + 7)) = s29;
        }}
        {long i4; for(i4 = 0; i4 <= 3; i4++) {
            a82 = (((__m128  *) T2) + (2 * i4));
            s39 = *(a82);
            s49 = *((a82 + 1));
            s59 = *((a82 + 16));
            s69 = *((a82 + 17));
            t16 = _mm_add_ps(s39, s59);
            t26 = _mm_add_ps(s49, s69);
            t36 = _mm_sub_ps(s39, s59);
            t46 = _mm_sub_ps(s49, s69);
            s79 = *((a82 + 8));
            s89 = *((a82 + 9));
            s99 = *((a82 + 24));
            s0a = *((a82 + 25));
            t56 = _mm_add_ps(s79, s99);
            t66 = _mm_add_ps(s89, s0a);
            t76 = _mm_sub_ps(s79, s99);
            t86 = _mm_sub_ps(s89, s0a);
            t96 = _mm_add_ps(t16, t56);
            t07 = _mm_add_ps(t26, t66);
            t17 = _mm_sub_ps(t16, t56);
            t27 = _mm_sub_ps(t26, t66);
            a92 = (dst + ((8 * i2) + (16 * i4)));
            s1a = _mm_unpacklo_ps(t96, t07);
            _mm_storeu_ps(((float  *) a92), s1a);
            s2a = _mm_unpackhi_ps(t96, t07);
            _mm_storeu_ps(((float  *) (a92 + 4)), s2a);
            s3a = _mm_unpacklo_ps(t17, t27);
            _mm_storeu_ps(((float  *) (a92 + 128)), s3a);
            s4a = _mm_unpackhi_ps(t17, t27);
            _mm_storeu_ps(((float  *) (a92 + 132)), s4a);
            t37 = _mm_add_ps(t36, t86);
            t47 = _mm_sub_ps(t46, t76);
            t57 = _mm_sub_ps(t36, t86);
            t67 = _mm_add_ps(t46, t76);
            s5a = _mm_unpacklo_ps(t37, t47);
            _mm_storeu_ps(((float  *) (a92 + 64)), s5a);
            s6a = _mm_unpackhi_ps(t37, t47);
            _mm_storeu_ps(((float  *) (a92 + 68)), s6a);
            s7a = _mm_unpacklo_ps(t57, t67);
            _mm_storeu_ps(((float  *) (a92 + 192)), s7a);
            s8a = _mm_unpackhi_ps(t57, t67);
            _mm_storeu_ps(((float  *) (a92 + 196)), s8a);
        }}
    }}
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_fftfwd_float_128)(const float *pSrc, float *pDst ) {
    if (!is_aligned(pSrc) || !is_aligned(pDst))
       	return spiral_fftfwd_float_128_unaligned(pSrc, pDst );
    else {
    const float  *src = (const float *) pSrc; 
    float        *dst = (float *) pDst;
    
    
    { SPIRAL_ALIGNED(float T[256]);
     SPIRAL_ALIGNED(float T2[128]);
    __m128 s05, s15, s16, s1a, s25, s26, s2a, s36, s3a, s46, s4a, s54, s56, s5a, s64, s66, s6a, s74, s76, s7a, s84, s86
            , s8a, s94;
    __m128 a01, a02, a11, a12, a2, a21, a22, a3, a31, a4, a41, a42, a5, a51, a52, a61, a62, a71, a72, a91, s, s01
            , s02, s03, s04, s06, s07, s08, s09, s0a, s11, s12, s13, s14, s17, s18, s19, s2, s21, s22, s23, s24, s27, s28
            , s29, s3, s31, s32, s33, s34, s35, s37, s38, s39, s4, s41, s42, s43, s44, s45, s47, s48, s49, s5, s51, s52
            , s53, s55, s57, s58, s59, s6, s61, s62, s63, s65, s67, s68, s69, s7, s71, s72, s73, s75, s77, s78, s79, s8
            , s81, s82, s83, s85, s87, s88, s89, s9, s91, s92, s93, s95, s96, s97, s98, s99, t, t01, t02, t03, t04, t05
            , t06, t07, t11, t12, t13, t14, t15, t16, t17, t2, t21, t22, t23, t24, t25, t26, t27, t3, t31, t32, t33, t34
            , t35, t36, t37, t4, t41, t42, t43, t44, t45, t46, t47, t5, t51, t52, t53, t54, t55, t56, t57, t6, t61, t62
            , t63, t64, t65, t66, t67, t7, t71, t72, t73, t74, t75, t76, t8, t81, t82, t83, t84, t85, t86, t9, t91, t92
            , t93, t94, t95, t96;
    __m128  *a, *a32, *a6, *a7, *a81, *a82, *a9, *a92;
    int a8;
    {long i; for(i = 0; i <= 3; i++) {
        a = (((__m128  *) src) + (2 * i));
        s = *(a);
        s2 = *((a + 1));
        s3 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(2, 0, 2, 0));
        s4 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(3, 1, 3, 1));
        s5 = *((a + 32));
        s6 = *((a + 33));
        s7 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(2, 0, 2, 0));
        s8 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(3, 1, 3, 1));
        t = _mm_add_ps(s3, s7);
        t2 = _mm_add_ps(s4, s8);
        t3 = _mm_sub_ps(s3, s7);
        t4 = _mm_sub_ps(s4, s8);
        s9 = *((a + 16));
        s01 = *((a + 17));
        s11 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(2, 0, 2, 0));
        s21 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(3, 1, 3, 1));
        s31 = *((a + 48));
        s41 = *((a + 49));
        s51 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(2, 0, 2, 0));
        s61 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(3, 1, 3, 1));
        t5 = _mm_add_ps(s11, s51);
        t6 = _mm_add_ps(s21, s61);
        t7 = _mm_sub_ps(s11, s51);
        t8 = _mm_sub_ps(s21, s61);
        t9 = _mm_add_ps(t, t5);
        t01 = _mm_add_ps(t2, t6);
        t11 = _mm_sub_ps(t, t5);
        t21 = _mm_sub_ps(t2, t6);
        t31 = _mm_add_ps(t3, t8);
        t41 = _mm_sub_ps(t4, t7);
        t51 = _mm_sub_ps(t3, t8);
        t61 = _mm_add_ps(t4, t7);
        s71 = *((a + 8));
        s81 = *((a + 9));
        s91 = _mm_shuffle_ps(s71, s81, _MM_SHUFFLE(2, 0, 2, 0));
        s02 = _mm_shuffle_ps(s71, s81, _MM_SHUFFLE(3, 1, 3, 1));
        s12 = *((a + 40));
        s22 = *((a + 41));
        s32 = _mm_shuffle_ps(s12, s22, _MM_SHUFFLE(2, 0, 2, 0));
        s42 = _mm_shuffle_ps(s12, s22, _MM_SHUFFLE(3, 1, 3, 1));
        t71 = _mm_add_ps(s91, s32);
        t81 = _mm_add_ps(s02, s42);
        t91 = _mm_sub_ps(s91, s32);
        t02 = _mm_sub_ps(s02, s42);
        s52 = *((a + 24));
        s62 = *((a + 25));
        s72 = _mm_shuffle_ps(s52, s62, _MM_SHUFFLE(2, 0, 2, 0));
        s82 = _mm_shuffle_ps(s52, s62, _MM_SHUFFLE(3, 1, 3, 1));
        s92 = *((a + 56));
        s03 = *((a + 57));
        s13 = _mm_shuffle_ps(s92, s03, _MM_SHUFFLE(2, 0, 2, 0));
        s23 = _mm_shuffle_ps(s92, s03, _MM_SHUFFLE(3, 1, 3, 1));
        t12 = _mm_add_ps(s72, s13);
        t22 = _mm_add_ps(s82, s23);
        t32 = _mm_sub_ps(s72, s13);
        t42 = _mm_sub_ps(s82, s23);
        t52 = _mm_add_ps(t71, t12);
        t62 = _mm_add_ps(t81, t22);
        t72 = _mm_sub_ps(t71, t12);
        t82 = _mm_sub_ps(t81, t22);
        a2 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t91, t42));
        a3 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t02, t32));
        s33 = _mm_sub_ps(a2, a3);
        s43 = _mm_add_ps(a2, a3);
        a4 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t91, t42));
        a5 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t02, t32));
        s53 = _mm_sub_ps(a4, a5);
        s63 = _mm_add_ps(a4, a5);
        t92 = _mm_add_ps(t9, t52);
        t03 = _mm_add_ps(t01, t62);
        t13 = _mm_sub_ps(t9, t52);
        t23 = _mm_sub_ps(t01, t62);
        t33 = _mm_add_ps(t31, s33);
        t43 = _mm_sub_ps(t41, s43);
        t53 = _mm_sub_ps(t31, s33);
        t63 = _mm_add_ps(t41, s43);
        t73 = _mm_add_ps(t11, t82);
        t83 = _mm_sub_ps(t21, t72);
        t93 = _mm_sub_ps(t11, t82);
        t04 = _mm_add_ps(t21, t72);
        t14 = _mm_add_ps(t51, s53);
        t24 = _mm_add_ps(t61, s63);
        t34 = _mm_sub_ps(t51, s53);
        t44 = _mm_sub_ps(t61, s63);
        s73 = _mm_unpacklo_ps(t92, t33);
        s83 = _mm_unpackhi_ps(t92, t33);
        s93 = _mm_unpacklo_ps(t03, t43);
        s04 = _mm_unpackhi_ps(t03, t43);
        s14 = _mm_unpacklo_ps(t73, t14);
        s24 = _mm_unpackhi_ps(t73, t14);
        s34 = _mm_unpacklo_ps(t83, t24);
        s44 = _mm_unpackhi_ps(t83, t24);
        a6 = (((__m128  *) T) + (16 * i));
        s54 = _mm_shuffle_ps(s73, s14, _MM_SHUFFLE(1, 0, 1, 0));
        *(a6) = s54;
        s64 = _mm_shuffle_ps(s73, s14, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 4)) = s64;
        s74 = _mm_shuffle_ps(s83, s24, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 8)) = s74;
        s84 = _mm_shuffle_ps(s83, s24, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 12)) = s84;
        s94 = _mm_shuffle_ps(s93, s34, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 1)) = s94;
        s05 = _mm_shuffle_ps(s93, s34, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 5)) = s05;
        s15 = _mm_shuffle_ps(s04, s44, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 9)) = s15;
        s25 = _mm_shuffle_ps(s04, s44, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 13)) = s25;
        s35 = _mm_unpacklo_ps(t13, t53);
        s45 = _mm_unpackhi_ps(t13, t53);
        s55 = _mm_unpacklo_ps(t23, t63);
        s65 = _mm_unpackhi_ps(t23, t63);
        s75 = _mm_unpacklo_ps(t93, t34);
        s85 = _mm_unpackhi_ps(t93, t34);
        s95 = _mm_unpacklo_ps(t04, t44);
        s06 = _mm_unpackhi_ps(t04, t44);
        s16 = _mm_shuffle_ps(s35, s75, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 2)) = s16;
        s26 = _mm_shuffle_ps(s35, s75, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 6)) = s26;
        s36 = _mm_shuffle_ps(s45, s85, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 10)) = s36;
        s46 = _mm_shuffle_ps(s45, s85, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 14)) = s46;
        s56 = _mm_shuffle_ps(s55, s95, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 3)) = s56;
        s66 = _mm_shuffle_ps(s55, s95, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 7)) = s66;
        s76 = _mm_shuffle_ps(s65, s06, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 11)) = s76;
        s86 = _mm_shuffle_ps(s65, s06, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 15)) = s86;
    }}
    {long i2; for(i2 = 0; i2 <= 1; i2++) {
        {long i3; for(i3 = 0; i3 <= 3; i3++) {
            a7 = (((__m128  *) T) + ((2 * i2) + (4 * i3)));
            s96 = *(a7);
            s07 = *((a7 + 1));
            s17 = *((a7 + 32));
            s27 = *((a7 + 33));
            a8 = (8 * i3);
            a9 = (D977 + ((32 * i2) + a8));
            a01 = *(a9);
            a11 = *((a9 + 1));
            s37 = _mm_sub_ps(_mm_mul_ps(a01, s96), _mm_mul_ps(a11, s07));
            s47 = _mm_add_ps(_mm_mul_ps(a11, s96), _mm_mul_ps(a01, s07));
            a21 = *((a9 + 2));
            a31 = *((a9 + 3));
            s57 = _mm_sub_ps(_mm_mul_ps(a21, s17), _mm_mul_ps(a31, s27));
            s67 = _mm_add_ps(_mm_mul_ps(a31, s17), _mm_mul_ps(a21, s27));
            t54 = _mm_add_ps(s37, s57);
            t64 = _mm_add_ps(s47, s67);
            t74 = _mm_sub_ps(s37, s57);
            t84 = _mm_sub_ps(s47, s67);
            s77 = *((a7 + 16));
            s87 = *((a7 + 17));
            s97 = *((a7 + 48));
            s08 = *((a7 + 49));
            a41 = *((a9 + 4));
            a51 = *((a9 + 5));
            s18 = _mm_sub_ps(_mm_mul_ps(a41, s77), _mm_mul_ps(a51, s87));
            s28 = _mm_add_ps(_mm_mul_ps(a51, s77), _mm_mul_ps(a41, s87));
            a61 = *((a9 + 6));
            a71 = *((a9 + 7));
            s38 = _mm_sub_ps(_mm_mul_ps(a61, s97), _mm_mul_ps(a71, s08));
            s48 = _mm_add_ps(_mm_mul_ps(a71, s97), _mm_mul_ps(a61, s08));
            t94 = _mm_add_ps(s18, s38);
            t05 = _mm_add_ps(s28, s48);
            t15 = _mm_sub_ps(s18, s38);
            t25 = _mm_sub_ps(s28, s48);
            t35 = _mm_add_ps(t54, t94);
            t45 = _mm_add_ps(t64, t05);
            t55 = _mm_sub_ps(t54, t94);
            t65 = _mm_sub_ps(t64, t05);
            a81 = (D976 + a8);
            a91 = *(a81);
            a02 = *((a81 + 1));
            a12 = *((a81 + 2));
            a22 = *((a81 + 3));
            a32 = (((__m128  *) T2) + a8);
            s58 = _mm_sub_ps(_mm_mul_ps(a91, t35), _mm_mul_ps(a02, t45));
            *(a32) = s58;
            s68 = _mm_add_ps(_mm_mul_ps(a02, t35), _mm_mul_ps(a91, t45));
            *((a32 + 1)) = s68;
            s78 = _mm_sub_ps(_mm_mul_ps(a12, t55), _mm_mul_ps(a22, t65));
            *((a32 + 4)) = s78;
            s88 = _mm_add_ps(_mm_mul_ps(a22, t55), _mm_mul_ps(a12, t65));
            *((a32 + 5)) = s88;
            t75 = _mm_add_ps(t74, t25);
            t85 = _mm_sub_ps(t84, t15);
            t95 = _mm_sub_ps(t74, t25);
            t06 = _mm_add_ps(t84, t15);
            a42 = *((a81 + 4));
            a52 = *((a81 + 5));
            a62 = *((a81 + 6));
            a72 = *((a81 + 7));
            s98 = _mm_sub_ps(_mm_mul_ps(a42, t75), _mm_mul_ps(a52, t85));
            *((a32 + 2)) = s98;
            s09 = _mm_add_ps(_mm_mul_ps(a52, t75), _mm_mul_ps(a42, t85));
            *((a32 + 3)) = s09;
            s19 = _mm_sub_ps(_mm_mul_ps(a62, t95), _mm_mul_ps(a72, t06));
            *((a32 + 6)) = s19;
            s29 = _mm_add_ps(_mm_mul_ps(a72, t95), _mm_mul_ps(a62, t06));
            *((a32 + 7)) = s29;
        }}
        {long i4; for(i4 = 0; i4 <= 3; i4++) {
            a82 = (((__m128  *) T2) + (2 * i4));
            s39 = *(a82);
            s49 = *((a82 + 1));
            s59 = *((a82 + 16));
            s69 = *((a82 + 17));
            t16 = _mm_add_ps(s39, s59);
            t26 = _mm_add_ps(s49, s69);
            t36 = _mm_sub_ps(s39, s59);
            t46 = _mm_sub_ps(s49, s69);
            s79 = *((a82 + 8));
            s89 = *((a82 + 9));
            s99 = *((a82 + 24));
            s0a = *((a82 + 25));
            t56 = _mm_add_ps(s79, s99);
            t66 = _mm_add_ps(s89, s0a);
            t76 = _mm_sub_ps(s79, s99);
            t86 = _mm_sub_ps(s89, s0a);
            t96 = _mm_add_ps(t16, t56);
            t07 = _mm_add_ps(t26, t66);
            t17 = _mm_sub_ps(t16, t56);
            t27 = _mm_sub_ps(t26, t66);
            a92 = (((__m128  *) dst) + ((2 * i2) + (4 * i4)));
            s1a = _mm_unpacklo_ps(t96, t07);
            *(a92) = s1a;
            s2a = _mm_unpackhi_ps(t96, t07);
            *((a92 + 1)) = s2a;
            s3a = _mm_unpacklo_ps(t17, t27);
            *((a92 + 32)) = s3a;
            s4a = _mm_unpackhi_ps(t17, t27);
            *((a92 + 33)) = s4a;
            t37 = _mm_add_ps(t36, t86);
            t47 = _mm_sub_ps(t46, t76);
            t57 = _mm_sub_ps(t36, t86);
            t67 = _mm_add_ps(t46, t76);
            s5a = _mm_unpacklo_ps(t37, t47);
            *((a92 + 16)) = s5a;
            s6a = _mm_unpackhi_ps(t37, t47);
            *((a92 + 17)) = s6a;
            s7a = _mm_unpacklo_ps(t57, t67);
            *((a92 + 48)) = s7a;
            s8a = _mm_unpackhi_ps(t57, t67);
            *((a92 + 49)) = s8a;
        }}
    }}
    }
    
    return SPIRAL_OK;
    }
}

SPIRAL_PRIV(spiral_status_t, spiral_fftfwd_float_256_unaligned)(const float *pSrc, float *pDst ) {
    const float  *src = (const float *) pSrc; 
    float        *dst = (float *) pDst;
    
    
    { SPIRAL_ALIGNED(float T[512]);
     SPIRAL_ALIGNED(float T2[512]);
    __m128 s03, s0b, s0c, s13, s1b, s23, s2b, s3b, s4b, s52, s5a, s5b, s62, s6a, s6b, s72, s7a, s7b, s82, s8a, s8b, s92
            , s9a, s9b;
    __m128 a01, a02, a03, a04, a11, a12, a13, a14, a21, a22, a24, a31, a32, a33, a34, a41, a42, a43, a44, a51, a52, a53
            , a61, a62, a63, a64, a7, a71, a73, a74, a8, a81, a82, a83, a84, a9, a91, a92, a93, a94, s, s01, s02, s04
            , s05, s06, s07, s08, s09, s0a, s11, s12, s14, s15, s16, s17, s18, s19, s1a, s2, s21, s22, s24, s25, s26, s27
            , s28, s29, s2a, s3, s31, s32, s33, s34, s35, s36, s37, s38, s39, s3a, s4, s41, s42, s43, s44, s45, s46, s47
            , s48, s49, s4a, s5, s51, s53, s54, s55, s56, s57, s58, s59, s6, s61, s63, s64, s65, s66, s67, s68, s69, s7
            , s71, s73, s74, s75, s76, s77, s78, s79, s8, s81, s83, s84, s85, s86, s87, s88, s89, s9, s91, s93, s94, s95
            , s96, s97, s98, s99, t, t01, t02, t03, t04, t05, t06, t07, t08, t09, t0a, t11, t12, t13, t14, t15, t16, t17
            , t18, t19, t1a, t2, t21, t22, t23, t24, t25, t26, t27, t28, t29, t2a, t3, t31, t32, t33, t34, t35, t36, t37
            , t38, t39, t3a, t4, t41, t42, t43, t44, t45, t46, t47, t48, t49, t4a, t5, t51, t52, t53, t54, t55, t56, t57
            , t58, t59, t6, t61, t62, t63, t64, t65, t66, t67, t68, t69, t7, t71, t72, t73, t74, t75, t76, t77, t78, t79
            , t8, t81, t82, t83, t84, t85, t86, t87, t88, t89, t9, t91, t92, t93, t94, t95, t96, t97, t98, t99;
    __m128  *a23, *a3, *a4, *a54, *a6, *a72;
    float  *a05;
    const float  *a2;
    int a, a5;
    {long i; for(i = 0; i <= 15; i++) {
        a = (8 * i);
        a2 = (src + a);
        s = _mm_loadu_ps(((const float  *) a2));
        s2 = _mm_loadu_ps(((const float  *) (a2 + 4)));
        s3 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(2, 0, 2, 0));
        s4 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(3, 1, 3, 1));
        s5 = _mm_loadu_ps(((const float  *) (a2 + 256)));
        s6 = _mm_loadu_ps(((const float  *) (a2 + 260)));
        s7 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(2, 0, 2, 0));
        s8 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(3, 1, 3, 1));
        t = _mm_add_ps(s3, s7);
        t2 = _mm_add_ps(s4, s8);
        t3 = _mm_sub_ps(s3, s7);
        t4 = _mm_sub_ps(s4, s8);
        s9 = _mm_loadu_ps(((const float  *) (a2 + 128)));
        s01 = _mm_loadu_ps(((const float  *) (a2 + 132)));
        s11 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(2, 0, 2, 0));
        s21 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(3, 1, 3, 1));
        s31 = _mm_loadu_ps(((const float  *) (a2 + 384)));
        s41 = _mm_loadu_ps(((const float  *) (a2 + 388)));
        s51 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(2, 0, 2, 0));
        s61 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(3, 1, 3, 1));
        t5 = _mm_add_ps(s11, s51);
        t6 = _mm_add_ps(s21, s61);
        t7 = _mm_sub_ps(s11, s51);
        t8 = _mm_sub_ps(s21, s61);
        t9 = _mm_add_ps(t, t5);
        t01 = _mm_add_ps(t2, t6);
        t11 = _mm_sub_ps(t, t5);
        t21 = _mm_sub_ps(t2, t6);
        t31 = _mm_add_ps(t3, t8);
        t41 = _mm_sub_ps(t4, t7);
        t51 = _mm_sub_ps(t3, t8);
        t61 = _mm_add_ps(t4, t7);
        s71 = _mm_unpacklo_ps(t9, t31);
        s81 = _mm_unpackhi_ps(t9, t31);
        s91 = _mm_unpacklo_ps(t01, t41);
        s02 = _mm_unpackhi_ps(t01, t41);
        s12 = _mm_unpacklo_ps(t11, t51);
        s22 = _mm_unpackhi_ps(t11, t51);
        s32 = _mm_unpacklo_ps(t21, t61);
        s42 = _mm_unpackhi_ps(t21, t61);
        a3 = (((__m128  *) T2) + a);
        s52 = _mm_shuffle_ps(s71, s12, _MM_SHUFFLE(1, 0, 1, 0));
        *(a3) = s52;
        s62 = _mm_shuffle_ps(s71, s12, _MM_SHUFFLE(3, 2, 3, 2));
        *((a3 + 2)) = s62;
        s72 = _mm_shuffle_ps(s81, s22, _MM_SHUFFLE(1, 0, 1, 0));
        *((a3 + 4)) = s72;
        s82 = _mm_shuffle_ps(s81, s22, _MM_SHUFFLE(3, 2, 3, 2));
        *((a3 + 6)) = s82;
        s92 = _mm_shuffle_ps(s91, s32, _MM_SHUFFLE(1, 0, 1, 0));
        *((a3 + 1)) = s92;
        s03 = _mm_shuffle_ps(s91, s32, _MM_SHUFFLE(3, 2, 3, 2));
        *((a3 + 3)) = s03;
        s13 = _mm_shuffle_ps(s02, s42, _MM_SHUFFLE(1, 0, 1, 0));
        *((a3 + 5)) = s13;
        s23 = _mm_shuffle_ps(s02, s42, _MM_SHUFFLE(3, 2, 3, 2));
        *((a3 + 7)) = s23;
    }}
    {long i2; for(i2 = 0; i2 <= 7; i2++) {
        a4 = (((__m128  *) T2) + (2 * i2));
        s33 = *(a4);
        s43 = *((a4 + 1));
        s53 = *((a4 + 64));
        s63 = *((a4 + 65));
        a5 = (16 * i2);
        a6 = (D979 + a5);
        a7 = *(a6);
        a8 = *((a6 + 1));
        s73 = _mm_sub_ps(_mm_mul_ps(a7, s33), _mm_mul_ps(a8, s43));
        s83 = _mm_add_ps(_mm_mul_ps(a8, s33), _mm_mul_ps(a7, s43));
        a9 = *((a6 + 2));
        a01 = *((a6 + 3));
        s93 = _mm_sub_ps(_mm_mul_ps(a9, s53), _mm_mul_ps(a01, s63));
        s04 = _mm_add_ps(_mm_mul_ps(a01, s53), _mm_mul_ps(a9, s63));
        t71 = _mm_add_ps(s73, s93);
        t81 = _mm_add_ps(s83, s04);
        t91 = _mm_sub_ps(s73, s93);
        t02 = _mm_sub_ps(s83, s04);
        s14 = *((a4 + 32));
        s24 = *((a4 + 33));
        s34 = *((a4 + 96));
        s44 = *((a4 + 97));
        a11 = *((a6 + 4));
        a21 = *((a6 + 5));
        s54 = _mm_sub_ps(_mm_mul_ps(a11, s14), _mm_mul_ps(a21, s24));
        s64 = _mm_add_ps(_mm_mul_ps(a21, s14), _mm_mul_ps(a11, s24));
        a31 = *((a6 + 6));
        a41 = *((a6 + 7));
        s74 = _mm_sub_ps(_mm_mul_ps(a31, s34), _mm_mul_ps(a41, s44));
        s84 = _mm_add_ps(_mm_mul_ps(a41, s34), _mm_mul_ps(a31, s44));
        t12 = _mm_add_ps(s54, s74);
        t22 = _mm_add_ps(s64, s84);
        t32 = _mm_sub_ps(s54, s74);
        t42 = _mm_sub_ps(s64, s84);
        t52 = _mm_add_ps(t71, t12);
        t62 = _mm_add_ps(t81, t22);
        t72 = _mm_sub_ps(t71, t12);
        t82 = _mm_sub_ps(t81, t22);
        t92 = _mm_add_ps(t91, t42);
        t03 = _mm_sub_ps(t02, t32);
        t13 = _mm_sub_ps(t91, t42);
        t23 = _mm_add_ps(t02, t32);
        s94 = *((a4 + 16));
        s05 = *((a4 + 17));
        s15 = *((a4 + 80));
        s25 = *((a4 + 81));
        a51 = *((a6 + 8));
        a61 = *((a6 + 9));
        s35 = _mm_sub_ps(_mm_mul_ps(a51, s94), _mm_mul_ps(a61, s05));
        s45 = _mm_add_ps(_mm_mul_ps(a61, s94), _mm_mul_ps(a51, s05));
        a71 = *((a6 + 10));
        a81 = *((a6 + 11));
        s55 = _mm_sub_ps(_mm_mul_ps(a71, s15), _mm_mul_ps(a81, s25));
        s65 = _mm_add_ps(_mm_mul_ps(a81, s15), _mm_mul_ps(a71, s25));
        t33 = _mm_add_ps(s35, s55);
        t43 = _mm_add_ps(s45, s65);
        t53 = _mm_sub_ps(s35, s55);
        t63 = _mm_sub_ps(s45, s65);
        s75 = *((a4 + 48));
        s85 = *((a4 + 49));
        s95 = *((a4 + 112));
        s06 = *((a4 + 113));
        a91 = *((a6 + 12));
        a02 = *((a6 + 13));
        s16 = _mm_sub_ps(_mm_mul_ps(a91, s75), _mm_mul_ps(a02, s85));
        s26 = _mm_add_ps(_mm_mul_ps(a02, s75), _mm_mul_ps(a91, s85));
        a12 = *((a6 + 14));
        a22 = *((a6 + 15));
        s36 = _mm_sub_ps(_mm_mul_ps(a12, s95), _mm_mul_ps(a22, s06));
        s46 = _mm_add_ps(_mm_mul_ps(a22, s95), _mm_mul_ps(a12, s06));
        t73 = _mm_add_ps(s16, s36);
        t83 = _mm_add_ps(s26, s46);
        t93 = _mm_sub_ps(s16, s36);
        t04 = _mm_sub_ps(s26, s46);
        t14 = _mm_add_ps(t33, t73);
        t24 = _mm_add_ps(t43, t83);
        t34 = _mm_sub_ps(t33, t73);
        t44 = _mm_sub_ps(t43, t83);
        a32 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t53, t04));
        a42 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t63, t93));
        s56 = _mm_sub_ps(a32, a42);
        s66 = _mm_add_ps(a32, a42);
        a52 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t53, t04));
        a62 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t63, t93));
        s76 = _mm_sub_ps(a52, a62);
        s86 = _mm_add_ps(a52, a62);
        t54 = _mm_add_ps(t52, t14);
        t64 = _mm_add_ps(t62, t24);
        t74 = _mm_sub_ps(t52, t14);
        t84 = _mm_sub_ps(t62, t24);
        a72 = (D978 + a5);
        a82 = *(a72);
        a92 = *((a72 + 1));
        a03 = *((a72 + 2));
        a13 = *((a72 + 3));
        a23 = (((__m128  *) T) + a5);
        s96 = _mm_sub_ps(_mm_mul_ps(a82, t54), _mm_mul_ps(a92, t64));
        *(a23) = s96;
        s07 = _mm_add_ps(_mm_mul_ps(a92, t54), _mm_mul_ps(a82, t64));
        *((a23 + 1)) = s07;
        s17 = _mm_sub_ps(_mm_mul_ps(a03, t74), _mm_mul_ps(a13, t84));
        *((a23 + 8)) = s17;
        s27 = _mm_add_ps(_mm_mul_ps(a13, t74), _mm_mul_ps(a03, t84));
        *((a23 + 9)) = s27;
        t94 = _mm_add_ps(t92, s56);
        t05 = _mm_sub_ps(t03, s66);
        t15 = _mm_sub_ps(t92, s56);
        t25 = _mm_add_ps(t03, s66);
        a33 = *((a72 + 4));
        a43 = *((a72 + 5));
        a53 = *((a72 + 6));
        a63 = *((a72 + 7));
        s37 = _mm_sub_ps(_mm_mul_ps(a33, t94), _mm_mul_ps(a43, t05));
        *((a23 + 2)) = s37;
        s47 = _mm_add_ps(_mm_mul_ps(a43, t94), _mm_mul_ps(a33, t05));
        *((a23 + 3)) = s47;
        s57 = _mm_sub_ps(_mm_mul_ps(a53, t15), _mm_mul_ps(a63, t25));
        *((a23 + 10)) = s57;
        s67 = _mm_add_ps(_mm_mul_ps(a63, t15), _mm_mul_ps(a53, t25));
        *((a23 + 11)) = s67;
        t35 = _mm_add_ps(t72, t44);
        t45 = _mm_sub_ps(t82, t34);
        t55 = _mm_sub_ps(t72, t44);
        t65 = _mm_add_ps(t82, t34);
        a73 = *((a72 + 8));
        a83 = *((a72 + 9));
        a93 = *((a72 + 10));
        a04 = *((a72 + 11));
        s77 = _mm_sub_ps(_mm_mul_ps(a73, t35), _mm_mul_ps(a83, t45));
        *((a23 + 4)) = s77;
        s87 = _mm_add_ps(_mm_mul_ps(a83, t35), _mm_mul_ps(a73, t45));
        *((a23 + 5)) = s87;
        s97 = _mm_sub_ps(_mm_mul_ps(a93, t55), _mm_mul_ps(a04, t65));
        *((a23 + 12)) = s97;
        s08 = _mm_add_ps(_mm_mul_ps(a04, t55), _mm_mul_ps(a93, t65));
        *((a23 + 13)) = s08;
        t75 = _mm_add_ps(t13, s76);
        t85 = _mm_add_ps(t23, s86);
        t95 = _mm_sub_ps(t13, s76);
        t06 = _mm_sub_ps(t23, s86);
        a14 = *((a72 + 12));
        a24 = *((a72 + 13));
        a34 = *((a72 + 14));
        a44 = *((a72 + 15));
        s18 = _mm_sub_ps(_mm_mul_ps(a14, t75), _mm_mul_ps(a24, t85));
        *((a23 + 6)) = s18;
        s28 = _mm_add_ps(_mm_mul_ps(a24, t75), _mm_mul_ps(a14, t85));
        *((a23 + 7)) = s28;
        s38 = _mm_sub_ps(_mm_mul_ps(a34, t95), _mm_mul_ps(a44, t06));
        *((a23 + 14)) = s38;
        s48 = _mm_add_ps(_mm_mul_ps(a44, t95), _mm_mul_ps(a34, t06));
        *((a23 + 15)) = s48;
    }}
    {long i3; for(i3 = 0; i3 <= 7; i3++) {
        a54 = (((__m128  *) T) + (2 * i3));
        s58 = *(a54);
        s68 = *((a54 + 1));
        s78 = *((a54 + 64));
        s88 = *((a54 + 65));
        t16 = _mm_add_ps(s58, s78);
        t26 = _mm_add_ps(s68, s88);
        t36 = _mm_sub_ps(s58, s78);
        t46 = _mm_sub_ps(s68, s88);
        s98 = *((a54 + 32));
        s09 = *((a54 + 33));
        s19 = *((a54 + 96));
        s29 = *((a54 + 97));
        t56 = _mm_add_ps(s98, s19);
        t66 = _mm_add_ps(s09, s29);
        t76 = _mm_sub_ps(s98, s19);
        t86 = _mm_sub_ps(s09, s29);
        t96 = _mm_add_ps(t16, t56);
        t07 = _mm_add_ps(t26, t66);
        t17 = _mm_sub_ps(t16, t56);
        t27 = _mm_sub_ps(t26, t66);
        t37 = _mm_add_ps(t36, t86);
        t47 = _mm_sub_ps(t46, t76);
        t57 = _mm_sub_ps(t36, t86);
        t67 = _mm_add_ps(t46, t76);
        s39 = *((a54 + 16));
        s49 = *((a54 + 17));
        s59 = *((a54 + 80));
        s69 = *((a54 + 81));
        t77 = _mm_add_ps(s39, s59);
        t87 = _mm_add_ps(s49, s69);
        t97 = _mm_sub_ps(s39, s59);
        t08 = _mm_sub_ps(s49, s69);
        s79 = *((a54 + 48));
        s89 = *((a54 + 49));
        s99 = *((a54 + 112));
        s0a = *((a54 + 113));
        t18 = _mm_add_ps(s79, s99);
        t28 = _mm_add_ps(s89, s0a);
        t38 = _mm_sub_ps(s79, s99);
        t48 = _mm_sub_ps(s89, s0a);
        t58 = _mm_add_ps(t77, t18);
        t68 = _mm_add_ps(t87, t28);
        t78 = _mm_sub_ps(t77, t18);
        t88 = _mm_sub_ps(t87, t28);
        a64 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t97, t48));
        a74 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t08, t38));
        s1a = _mm_sub_ps(a64, a74);
        s2a = _mm_add_ps(a64, a74);
        a84 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t97, t48));
        a94 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t08, t38));
        s3a = _mm_sub_ps(a84, a94);
        s4a = _mm_add_ps(a84, a94);
        t98 = _mm_add_ps(t96, t58);
        t09 = _mm_add_ps(t07, t68);
        t19 = _mm_sub_ps(t96, t58);
        t29 = _mm_sub_ps(t07, t68);
        a05 = (dst + (8 * i3));
        s5a = _mm_unpacklo_ps(t98, t09);
        _mm_storeu_ps(((float  *) a05), s5a);
        s6a = _mm_unpackhi_ps(t98, t09);
        _mm_storeu_ps(((float  *) (a05 + 4)), s6a);
        s7a = _mm_unpacklo_ps(t19, t29);
        _mm_storeu_ps(((float  *) (a05 + 256)), s7a);
        s8a = _mm_unpackhi_ps(t19, t29);
        _mm_storeu_ps(((float  *) (a05 + 260)), s8a);
        t39 = _mm_add_ps(t37, s1a);
        t49 = _mm_sub_ps(t47, s2a);
        t59 = _mm_sub_ps(t37, s1a);
        t69 = _mm_add_ps(t47, s2a);
        s9a = _mm_unpacklo_ps(t39, t49);
        _mm_storeu_ps(((float  *) (a05 + 64)), s9a);
        s0b = _mm_unpackhi_ps(t39, t49);
        _mm_storeu_ps(((float  *) (a05 + 68)), s0b);
        s1b = _mm_unpacklo_ps(t59, t69);
        _mm_storeu_ps(((float  *) (a05 + 320)), s1b);
        s2b = _mm_unpackhi_ps(t59, t69);
        _mm_storeu_ps(((float  *) (a05 + 324)), s2b);
        t79 = _mm_add_ps(t17, t88);
        t89 = _mm_sub_ps(t27, t78);
        t99 = _mm_sub_ps(t17, t88);
        t0a = _mm_add_ps(t27, t78);
        s3b = _mm_unpacklo_ps(t79, t89);
        _mm_storeu_ps(((float  *) (a05 + 128)), s3b);
        s4b = _mm_unpackhi_ps(t79, t89);
        _mm_storeu_ps(((float  *) (a05 + 132)), s4b);
        s5b = _mm_unpacklo_ps(t99, t0a);
        _mm_storeu_ps(((float  *) (a05 + 384)), s5b);
        s6b = _mm_unpackhi_ps(t99, t0a);
        _mm_storeu_ps(((float  *) (a05 + 388)), s6b);
        t1a = _mm_add_ps(t57, s3a);
        t2a = _mm_add_ps(t67, s4a);
        t3a = _mm_sub_ps(t57, s3a);
        t4a = _mm_sub_ps(t67, s4a);
        s7b = _mm_unpacklo_ps(t1a, t2a);
        _mm_storeu_ps(((float  *) (a05 + 192)), s7b);
        s8b = _mm_unpackhi_ps(t1a, t2a);
        _mm_storeu_ps(((float  *) (a05 + 196)), s8b);
        s9b = _mm_unpacklo_ps(t3a, t4a);
        _mm_storeu_ps(((float  *) (a05 + 448)), s9b);
        s0c = _mm_unpackhi_ps(t3a, t4a);
        _mm_storeu_ps(((float  *) (a05 + 452)), s0c);
    }}
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_fftfwd_float_256)(const float *pSrc, float *pDst ) {
    if (!is_aligned(pSrc) || !is_aligned(pDst))
       	return spiral_fftfwd_float_256_unaligned(pSrc, pDst );
    else {
    const float  *src = (const float *) pSrc; 
    float        *dst = (float *) pDst;
    
    
    { SPIRAL_ALIGNED(float T[512]);
     SPIRAL_ALIGNED(float T2[512]);
    __m128 s03, s0b, s0c, s13, s1b, s23, s2b, s3b, s4b, s52, s5a, s5b, s62, s6a, s6b, s72, s7a, s7b, s82, s8a, s8b, s92
            , s9a, s9b;
    __m128 a01, a02, a03, a04, a11, a12, a14, a21, a22, a23, a24, a31, a32, a33, a34, a41, a42, a43, a51, a52, a53, a6
            , a61, a63, a64, a7, a71, a72, a73, a74, a8, a81, a82, a83, a84, a9, a91, a92, a93, a94, s, s01, s02, s04
            , s05, s06, s07, s08, s09, s0a, s11, s12, s14, s15, s16, s17, s18, s19, s1a, s2, s21, s22, s24, s25, s26, s27
            , s28, s29, s2a, s3, s31, s32, s33, s34, s35, s36, s37, s38, s39, s3a, s4, s41, s42, s43, s44, s45, s46, s47
            , s48, s49, s4a, s5, s51, s53, s54, s55, s56, s57, s58, s59, s6, s61, s63, s64, s65, s66, s67, s68, s69, s7
            , s71, s73, s74, s75, s76, s77, s78, s79, s8, s81, s83, s84, s85, s86, s87, s88, s89, s9, s91, s93, s94, s95
            , s96, s97, s98, s99, t, t01, t02, t03, t04, t05, t06, t07, t08, t09, t0a, t11, t12, t13, t14, t15, t16, t17
            , t18, t19, t1a, t2, t21, t22, t23, t24, t25, t26, t27, t28, t29, t2a, t3, t31, t32, t33, t34, t35, t36, t37
            , t38, t39, t3a, t4, t41, t42, t43, t44, t45, t46, t47, t48, t49, t4a, t5, t51, t52, t53, t54, t55, t56, t57
            , t58, t59, t6, t61, t62, t63, t64, t65, t66, t67, t68, t69, t7, t71, t72, t73, t74, t75, t76, t77, t78, t79
            , t8, t81, t82, t83, t84, t85, t86, t87, t88, t89, t9, t91, t92, t93, t94, t95, t96, t97, t98, t99;
    __m128  *a, *a05, *a13, *a2, *a3, *a5, *a54, *a62;
    int a4, a44;
    {long i; for(i = 0; i <= 15; i++) {
        a = (((__m128  *) src) + (2 * i));
        s = *(a);
        s2 = *((a + 1));
        s3 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(2, 0, 2, 0));
        s4 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(3, 1, 3, 1));
        s5 = *((a + 64));
        s6 = *((a + 65));
        s7 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(2, 0, 2, 0));
        s8 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(3, 1, 3, 1));
        t = _mm_add_ps(s3, s7);
        t2 = _mm_add_ps(s4, s8);
        t3 = _mm_sub_ps(s3, s7);
        t4 = _mm_sub_ps(s4, s8);
        s9 = *((a + 32));
        s01 = *((a + 33));
        s11 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(2, 0, 2, 0));
        s21 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(3, 1, 3, 1));
        s31 = *((a + 96));
        s41 = *((a + 97));
        s51 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(2, 0, 2, 0));
        s61 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(3, 1, 3, 1));
        t5 = _mm_add_ps(s11, s51);
        t6 = _mm_add_ps(s21, s61);
        t7 = _mm_sub_ps(s11, s51);
        t8 = _mm_sub_ps(s21, s61);
        t9 = _mm_add_ps(t, t5);
        t01 = _mm_add_ps(t2, t6);
        t11 = _mm_sub_ps(t, t5);
        t21 = _mm_sub_ps(t2, t6);
        t31 = _mm_add_ps(t3, t8);
        t41 = _mm_sub_ps(t4, t7);
        t51 = _mm_sub_ps(t3, t8);
        t61 = _mm_add_ps(t4, t7);
        s71 = _mm_unpacklo_ps(t9, t31);
        s81 = _mm_unpackhi_ps(t9, t31);
        s91 = _mm_unpacklo_ps(t01, t41);
        s02 = _mm_unpackhi_ps(t01, t41);
        s12 = _mm_unpacklo_ps(t11, t51);
        s22 = _mm_unpackhi_ps(t11, t51);
        s32 = _mm_unpacklo_ps(t21, t61);
        s42 = _mm_unpackhi_ps(t21, t61);
        a2 = (((__m128  *) T2) + (8 * i));
        s52 = _mm_shuffle_ps(s71, s12, _MM_SHUFFLE(1, 0, 1, 0));
        *(a2) = s52;
        s62 = _mm_shuffle_ps(s71, s12, _MM_SHUFFLE(3, 2, 3, 2));
        *((a2 + 2)) = s62;
        s72 = _mm_shuffle_ps(s81, s22, _MM_SHUFFLE(1, 0, 1, 0));
        *((a2 + 4)) = s72;
        s82 = _mm_shuffle_ps(s81, s22, _MM_SHUFFLE(3, 2, 3, 2));
        *((a2 + 6)) = s82;
        s92 = _mm_shuffle_ps(s91, s32, _MM_SHUFFLE(1, 0, 1, 0));
        *((a2 + 1)) = s92;
        s03 = _mm_shuffle_ps(s91, s32, _MM_SHUFFLE(3, 2, 3, 2));
        *((a2 + 3)) = s03;
        s13 = _mm_shuffle_ps(s02, s42, _MM_SHUFFLE(1, 0, 1, 0));
        *((a2 + 5)) = s13;
        s23 = _mm_shuffle_ps(s02, s42, _MM_SHUFFLE(3, 2, 3, 2));
        *((a2 + 7)) = s23;
    }}
    {long i2; for(i2 = 0; i2 <= 7; i2++) {
        a3 = (((__m128  *) T2) + (2 * i2));
        s33 = *(a3);
        s43 = *((a3 + 1));
        s53 = *((a3 + 64));
        s63 = *((a3 + 65));
        a4 = (16 * i2);
        a5 = (D979 + a4);
        a6 = *(a5);
        a7 = *((a5 + 1));
        s73 = _mm_sub_ps(_mm_mul_ps(a6, s33), _mm_mul_ps(a7, s43));
        s83 = _mm_add_ps(_mm_mul_ps(a7, s33), _mm_mul_ps(a6, s43));
        a8 = *((a5 + 2));
        a9 = *((a5 + 3));
        s93 = _mm_sub_ps(_mm_mul_ps(a8, s53), _mm_mul_ps(a9, s63));
        s04 = _mm_add_ps(_mm_mul_ps(a9, s53), _mm_mul_ps(a8, s63));
        t71 = _mm_add_ps(s73, s93);
        t81 = _mm_add_ps(s83, s04);
        t91 = _mm_sub_ps(s73, s93);
        t02 = _mm_sub_ps(s83, s04);
        s14 = *((a3 + 32));
        s24 = *((a3 + 33));
        s34 = *((a3 + 96));
        s44 = *((a3 + 97));
        a01 = *((a5 + 4));
        a11 = *((a5 + 5));
        s54 = _mm_sub_ps(_mm_mul_ps(a01, s14), _mm_mul_ps(a11, s24));
        s64 = _mm_add_ps(_mm_mul_ps(a11, s14), _mm_mul_ps(a01, s24));
        a21 = *((a5 + 6));
        a31 = *((a5 + 7));
        s74 = _mm_sub_ps(_mm_mul_ps(a21, s34), _mm_mul_ps(a31, s44));
        s84 = _mm_add_ps(_mm_mul_ps(a31, s34), _mm_mul_ps(a21, s44));
        t12 = _mm_add_ps(s54, s74);
        t22 = _mm_add_ps(s64, s84);
        t32 = _mm_sub_ps(s54, s74);
        t42 = _mm_sub_ps(s64, s84);
        t52 = _mm_add_ps(t71, t12);
        t62 = _mm_add_ps(t81, t22);
        t72 = _mm_sub_ps(t71, t12);
        t82 = _mm_sub_ps(t81, t22);
        t92 = _mm_add_ps(t91, t42);
        t03 = _mm_sub_ps(t02, t32);
        t13 = _mm_sub_ps(t91, t42);
        t23 = _mm_add_ps(t02, t32);
        s94 = *((a3 + 16));
        s05 = *((a3 + 17));
        s15 = *((a3 + 80));
        s25 = *((a3 + 81));
        a41 = *((a5 + 8));
        a51 = *((a5 + 9));
        s35 = _mm_sub_ps(_mm_mul_ps(a41, s94), _mm_mul_ps(a51, s05));
        s45 = _mm_add_ps(_mm_mul_ps(a51, s94), _mm_mul_ps(a41, s05));
        a61 = *((a5 + 10));
        a71 = *((a5 + 11));
        s55 = _mm_sub_ps(_mm_mul_ps(a61, s15), _mm_mul_ps(a71, s25));
        s65 = _mm_add_ps(_mm_mul_ps(a71, s15), _mm_mul_ps(a61, s25));
        t33 = _mm_add_ps(s35, s55);
        t43 = _mm_add_ps(s45, s65);
        t53 = _mm_sub_ps(s35, s55);
        t63 = _mm_sub_ps(s45, s65);
        s75 = *((a3 + 48));
        s85 = *((a3 + 49));
        s95 = *((a3 + 112));
        s06 = *((a3 + 113));
        a81 = *((a5 + 12));
        a91 = *((a5 + 13));
        s16 = _mm_sub_ps(_mm_mul_ps(a81, s75), _mm_mul_ps(a91, s85));
        s26 = _mm_add_ps(_mm_mul_ps(a91, s75), _mm_mul_ps(a81, s85));
        a02 = *((a5 + 14));
        a12 = *((a5 + 15));
        s36 = _mm_sub_ps(_mm_mul_ps(a02, s95), _mm_mul_ps(a12, s06));
        s46 = _mm_add_ps(_mm_mul_ps(a12, s95), _mm_mul_ps(a02, s06));
        t73 = _mm_add_ps(s16, s36);
        t83 = _mm_add_ps(s26, s46);
        t93 = _mm_sub_ps(s16, s36);
        t04 = _mm_sub_ps(s26, s46);
        t14 = _mm_add_ps(t33, t73);
        t24 = _mm_add_ps(t43, t83);
        t34 = _mm_sub_ps(t33, t73);
        t44 = _mm_sub_ps(t43, t83);
        a22 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t53, t04));
        a32 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t63, t93));
        s56 = _mm_sub_ps(a22, a32);
        s66 = _mm_add_ps(a22, a32);
        a42 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t53, t04));
        a52 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t63, t93));
        s76 = _mm_sub_ps(a42, a52);
        s86 = _mm_add_ps(a42, a52);
        t54 = _mm_add_ps(t52, t14);
        t64 = _mm_add_ps(t62, t24);
        t74 = _mm_sub_ps(t52, t14);
        t84 = _mm_sub_ps(t62, t24);
        a62 = (D978 + a4);
        a72 = *(a62);
        a82 = *((a62 + 1));
        a92 = *((a62 + 2));
        a03 = *((a62 + 3));
        a13 = (((__m128  *) T) + a4);
        s96 = _mm_sub_ps(_mm_mul_ps(a72, t54), _mm_mul_ps(a82, t64));
        *(a13) = s96;
        s07 = _mm_add_ps(_mm_mul_ps(a82, t54), _mm_mul_ps(a72, t64));
        *((a13 + 1)) = s07;
        s17 = _mm_sub_ps(_mm_mul_ps(a92, t74), _mm_mul_ps(a03, t84));
        *((a13 + 8)) = s17;
        s27 = _mm_add_ps(_mm_mul_ps(a03, t74), _mm_mul_ps(a92, t84));
        *((a13 + 9)) = s27;
        t94 = _mm_add_ps(t92, s56);
        t05 = _mm_sub_ps(t03, s66);
        t15 = _mm_sub_ps(t92, s56);
        t25 = _mm_add_ps(t03, s66);
        a23 = *((a62 + 4));
        a33 = *((a62 + 5));
        a43 = *((a62 + 6));
        a53 = *((a62 + 7));
        s37 = _mm_sub_ps(_mm_mul_ps(a23, t94), _mm_mul_ps(a33, t05));
        *((a13 + 2)) = s37;
        s47 = _mm_add_ps(_mm_mul_ps(a33, t94), _mm_mul_ps(a23, t05));
        *((a13 + 3)) = s47;
        s57 = _mm_sub_ps(_mm_mul_ps(a43, t15), _mm_mul_ps(a53, t25));
        *((a13 + 10)) = s57;
        s67 = _mm_add_ps(_mm_mul_ps(a53, t15), _mm_mul_ps(a43, t25));
        *((a13 + 11)) = s67;
        t35 = _mm_add_ps(t72, t44);
        t45 = _mm_sub_ps(t82, t34);
        t55 = _mm_sub_ps(t72, t44);
        t65 = _mm_add_ps(t82, t34);
        a63 = *((a62 + 8));
        a73 = *((a62 + 9));
        a83 = *((a62 + 10));
        a93 = *((a62 + 11));
        s77 = _mm_sub_ps(_mm_mul_ps(a63, t35), _mm_mul_ps(a73, t45));
        *((a13 + 4)) = s77;
        s87 = _mm_add_ps(_mm_mul_ps(a73, t35), _mm_mul_ps(a63, t45));
        *((a13 + 5)) = s87;
        s97 = _mm_sub_ps(_mm_mul_ps(a83, t55), _mm_mul_ps(a93, t65));
        *((a13 + 12)) = s97;
        s08 = _mm_add_ps(_mm_mul_ps(a93, t55), _mm_mul_ps(a83, t65));
        *((a13 + 13)) = s08;
        t75 = _mm_add_ps(t13, s76);
        t85 = _mm_add_ps(t23, s86);
        t95 = _mm_sub_ps(t13, s76);
        t06 = _mm_sub_ps(t23, s86);
        a04 = *((a62 + 12));
        a14 = *((a62 + 13));
        a24 = *((a62 + 14));
        a34 = *((a62 + 15));
        s18 = _mm_sub_ps(_mm_mul_ps(a04, t75), _mm_mul_ps(a14, t85));
        *((a13 + 6)) = s18;
        s28 = _mm_add_ps(_mm_mul_ps(a14, t75), _mm_mul_ps(a04, t85));
        *((a13 + 7)) = s28;
        s38 = _mm_sub_ps(_mm_mul_ps(a24, t95), _mm_mul_ps(a34, t06));
        *((a13 + 14)) = s38;
        s48 = _mm_add_ps(_mm_mul_ps(a34, t95), _mm_mul_ps(a24, t06));
        *((a13 + 15)) = s48;
    }}
    {long i3; for(i3 = 0; i3 <= 7; i3++) {
        a44 = (2 * i3);
        a54 = (((__m128  *) T) + a44);
        s58 = *(a54);
        s68 = *((a54 + 1));
        s78 = *((a54 + 64));
        s88 = *((a54 + 65));
        t16 = _mm_add_ps(s58, s78);
        t26 = _mm_add_ps(s68, s88);
        t36 = _mm_sub_ps(s58, s78);
        t46 = _mm_sub_ps(s68, s88);
        s98 = *((a54 + 32));
        s09 = *((a54 + 33));
        s19 = *((a54 + 96));
        s29 = *((a54 + 97));
        t56 = _mm_add_ps(s98, s19);
        t66 = _mm_add_ps(s09, s29);
        t76 = _mm_sub_ps(s98, s19);
        t86 = _mm_sub_ps(s09, s29);
        t96 = _mm_add_ps(t16, t56);
        t07 = _mm_add_ps(t26, t66);
        t17 = _mm_sub_ps(t16, t56);
        t27 = _mm_sub_ps(t26, t66);
        t37 = _mm_add_ps(t36, t86);
        t47 = _mm_sub_ps(t46, t76);
        t57 = _mm_sub_ps(t36, t86);
        t67 = _mm_add_ps(t46, t76);
        s39 = *((a54 + 16));
        s49 = *((a54 + 17));
        s59 = *((a54 + 80));
        s69 = *((a54 + 81));
        t77 = _mm_add_ps(s39, s59);
        t87 = _mm_add_ps(s49, s69);
        t97 = _mm_sub_ps(s39, s59);
        t08 = _mm_sub_ps(s49, s69);
        s79 = *((a54 + 48));
        s89 = *((a54 + 49));
        s99 = *((a54 + 112));
        s0a = *((a54 + 113));
        t18 = _mm_add_ps(s79, s99);
        t28 = _mm_add_ps(s89, s0a);
        t38 = _mm_sub_ps(s79, s99);
        t48 = _mm_sub_ps(s89, s0a);
        t58 = _mm_add_ps(t77, t18);
        t68 = _mm_add_ps(t87, t28);
        t78 = _mm_sub_ps(t77, t18);
        t88 = _mm_sub_ps(t87, t28);
        a64 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t97, t48));
        a74 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t08, t38));
        s1a = _mm_sub_ps(a64, a74);
        s2a = _mm_add_ps(a64, a74);
        a84 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t97, t48));
        a94 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t08, t38));
        s3a = _mm_sub_ps(a84, a94);
        s4a = _mm_add_ps(a84, a94);
        t98 = _mm_add_ps(t96, t58);
        t09 = _mm_add_ps(t07, t68);
        t19 = _mm_sub_ps(t96, t58);
        t29 = _mm_sub_ps(t07, t68);
        a05 = (((__m128  *) dst) + a44);
        s5a = _mm_unpacklo_ps(t98, t09);
        *(a05) = s5a;
        s6a = _mm_unpackhi_ps(t98, t09);
        *((a05 + 1)) = s6a;
        s7a = _mm_unpacklo_ps(t19, t29);
        *((a05 + 64)) = s7a;
        s8a = _mm_unpackhi_ps(t19, t29);
        *((a05 + 65)) = s8a;
        t39 = _mm_add_ps(t37, s1a);
        t49 = _mm_sub_ps(t47, s2a);
        t59 = _mm_sub_ps(t37, s1a);
        t69 = _mm_add_ps(t47, s2a);
        s9a = _mm_unpacklo_ps(t39, t49);
        *((a05 + 16)) = s9a;
        s0b = _mm_unpackhi_ps(t39, t49);
        *((a05 + 17)) = s0b;
        s1b = _mm_unpacklo_ps(t59, t69);
        *((a05 + 80)) = s1b;
        s2b = _mm_unpackhi_ps(t59, t69);
        *((a05 + 81)) = s2b;
        t79 = _mm_add_ps(t17, t88);
        t89 = _mm_sub_ps(t27, t78);
        t99 = _mm_sub_ps(t17, t88);
        t0a = _mm_add_ps(t27, t78);
        s3b = _mm_unpacklo_ps(t79, t89);
        *((a05 + 32)) = s3b;
        s4b = _mm_unpackhi_ps(t79, t89);
        *((a05 + 33)) = s4b;
        s5b = _mm_unpacklo_ps(t99, t0a);
        *((a05 + 96)) = s5b;
        s6b = _mm_unpackhi_ps(t99, t0a);
        *((a05 + 97)) = s6b;
        t1a = _mm_add_ps(t57, s3a);
        t2a = _mm_add_ps(t67, s4a);
        t3a = _mm_sub_ps(t57, s3a);
        t4a = _mm_sub_ps(t67, s4a);
        s7b = _mm_unpacklo_ps(t1a, t2a);
        *((a05 + 48)) = s7b;
        s8b = _mm_unpackhi_ps(t1a, t2a);
        *((a05 + 49)) = s8b;
        s9b = _mm_unpacklo_ps(t3a, t4a);
        *((a05 + 112)) = s9b;
        s0c = _mm_unpackhi_ps(t3a, t4a);
        *((a05 + 113)) = s0c;
    }}
    }
    
    return SPIRAL_OK;
    }
}

SPIRAL_PRIV(spiral_status_t, spiral_fftfwd_float_512_unaligned)(const float *pSrc, float *pDst ) {
    const float  *src = (const float *) pSrc; 
    float        *dst = (float *) pDst;
    
    
    { SPIRAL_ALIGNED(float T[1024]);
     SPIRAL_ALIGNED(float T2[512]);
    __m128 s05, s0f, s15, s16, s1e, s1f, s25, s26, s2e, s2f, s36, s3e, s3f, s46, s4e, s4f, s54, s56, s5e, s5f, s64, s66
            , s6e, s6f, s74, s76, s7e, s84, s86, s8e, s94, s9e;
    __m128 a01, a02, a04, a05, a11, a12, a13, a14, a15, a2, a21, a22, a23, a24, a25, a3, a31, a32, a33, a34, a4, a41
            , a42, a43, a44, a5, a51, a52, a54, a61, a62, a63, a64, a71, a72, a73, a74, a81, a82, a83, a91, a92, a93, a94
            , s, s01, s02, s03, s04, s06, s07, s08, s09, s0a, s0b, s0c, s0d, s0e, s11, s12, s13, s14, s17, s18, s19, s1a
            , s1b, s1c, s1d, s2, s21, s22, s23, s24, s27, s28, s29, s2a, s2b, s2c, s2d, s3, s31, s32, s33, s34, s35, s37
            , s38, s39, s3a, s3b, s3c, s3d, s4, s41, s42, s43, s44, s45, s47, s48, s49, s4a, s4b, s4c, s4d, s5, s51, s52
            , s53, s55, s57, s58, s59, s5a, s5b, s5c, s5d, s6, s61, s62, s63, s65, s67, s68, s69, s6a, s6b, s6c, s6d, s7
            , s71, s72, s73, s75, s77, s78, s79, s7a, s7b, s7c, s7d, s8, s81, s82, s83, s85, s87, s88, s89, s8a, s8b, s8c
            , s8d, s9, s91, s92, s93, s95, s96, s97, s98, s99, s9a, s9b, s9c, s9d, t, t01, t02, t03, t04, t05, t06, t07
            , t08, t09, t0a, t0b, t0c, t0d, t11, t12, t13, t14, t15, t16, t17, t18, t19, t1a, t1b, t1c, t1d, t2, t21, t22
            , t23, t24, t25, t26, t27, t28, t29, t2a, t2b, t2c, t2d, t3, t31, t32, t33, t34, t35, t36, t37, t38, t39, t3a
            , t3b, t3c, t4, t41, t42, t43, t44, t45, t46, t47, t48, t49, t4a, t4b, t4c, t5, t51, t52, t53, t54, t55, t56
            , t57, t58, t59, t5a, t5b, t5c, t6, t61, t62, t63, t64, t65, t66, t67, t68, t69, t6a, t6b, t6c, t7, t71, t72
            , t73, t74, t75, t76, t77, t78, t79, t7a, t7b, t7c, t8, t81, t82, t83, t84, t85, t86, t87, t88, t89, t8a, t8b
            , t8c, t9, t91, t92, t93, t94, t95, t96, t97, t98, t99, t9a, t9b, t9c;
    __m128  *a03, *a53, *a6, *a7, *a84, *a9;
    float  *a35;
    const float  *a;
    int a8;
    {long i; for(i = 0; i <= 15; i++) {
        a = (src + (8 * i));
        s = _mm_loadu_ps(((const float  *) a));
        s2 = _mm_loadu_ps(((const float  *) (a + 4)));
        s3 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(2, 0, 2, 0));
        s4 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(3, 1, 3, 1));
        s5 = _mm_loadu_ps(((const float  *) (a + 512)));
        s6 = _mm_loadu_ps(((const float  *) (a + 516)));
        s7 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(2, 0, 2, 0));
        s8 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(3, 1, 3, 1));
        t = _mm_add_ps(s3, s7);
        t2 = _mm_add_ps(s4, s8);
        t3 = _mm_sub_ps(s3, s7);
        t4 = _mm_sub_ps(s4, s8);
        s9 = _mm_loadu_ps(((const float  *) (a + 256)));
        s01 = _mm_loadu_ps(((const float  *) (a + 260)));
        s11 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(2, 0, 2, 0));
        s21 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(3, 1, 3, 1));
        s31 = _mm_loadu_ps(((const float  *) (a + 768)));
        s41 = _mm_loadu_ps(((const float  *) (a + 772)));
        s51 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(2, 0, 2, 0));
        s61 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(3, 1, 3, 1));
        t5 = _mm_add_ps(s11, s51);
        t6 = _mm_add_ps(s21, s61);
        t7 = _mm_sub_ps(s11, s51);
        t8 = _mm_sub_ps(s21, s61);
        t9 = _mm_add_ps(t, t5);
        t01 = _mm_add_ps(t2, t6);
        t11 = _mm_sub_ps(t, t5);
        t21 = _mm_sub_ps(t2, t6);
        t31 = _mm_add_ps(t3, t8);
        t41 = _mm_sub_ps(t4, t7);
        t51 = _mm_sub_ps(t3, t8);
        t61 = _mm_add_ps(t4, t7);
        s71 = _mm_loadu_ps(((const float  *) (a + 128)));
        s81 = _mm_loadu_ps(((const float  *) (a + 132)));
        s91 = _mm_shuffle_ps(s71, s81, _MM_SHUFFLE(2, 0, 2, 0));
        s02 = _mm_shuffle_ps(s71, s81, _MM_SHUFFLE(3, 1, 3, 1));
        s12 = _mm_loadu_ps(((const float  *) (a + 640)));
        s22 = _mm_loadu_ps(((const float  *) (a + 644)));
        s32 = _mm_shuffle_ps(s12, s22, _MM_SHUFFLE(2, 0, 2, 0));
        s42 = _mm_shuffle_ps(s12, s22, _MM_SHUFFLE(3, 1, 3, 1));
        t71 = _mm_add_ps(s91, s32);
        t81 = _mm_add_ps(s02, s42);
        t91 = _mm_sub_ps(s91, s32);
        t02 = _mm_sub_ps(s02, s42);
        s52 = _mm_loadu_ps(((const float  *) (a + 384)));
        s62 = _mm_loadu_ps(((const float  *) (a + 388)));
        s72 = _mm_shuffle_ps(s52, s62, _MM_SHUFFLE(2, 0, 2, 0));
        s82 = _mm_shuffle_ps(s52, s62, _MM_SHUFFLE(3, 1, 3, 1));
        s92 = _mm_loadu_ps(((const float  *) (a + 896)));
        s03 = _mm_loadu_ps(((const float  *) (a + 900)));
        s13 = _mm_shuffle_ps(s92, s03, _MM_SHUFFLE(2, 0, 2, 0));
        s23 = _mm_shuffle_ps(s92, s03, _MM_SHUFFLE(3, 1, 3, 1));
        t12 = _mm_add_ps(s72, s13);
        t22 = _mm_add_ps(s82, s23);
        t32 = _mm_sub_ps(s72, s13);
        t42 = _mm_sub_ps(s82, s23);
        t52 = _mm_add_ps(t71, t12);
        t62 = _mm_add_ps(t81, t22);
        t72 = _mm_sub_ps(t71, t12);
        t82 = _mm_sub_ps(t81, t22);
        a2 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t91, t42));
        a3 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t02, t32));
        s33 = _mm_sub_ps(a2, a3);
        s43 = _mm_add_ps(a2, a3);
        a4 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t91, t42));
        a5 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t02, t32));
        s53 = _mm_sub_ps(a4, a5);
        s63 = _mm_add_ps(a4, a5);
        t92 = _mm_add_ps(t9, t52);
        t03 = _mm_add_ps(t01, t62);
        t13 = _mm_sub_ps(t9, t52);
        t23 = _mm_sub_ps(t01, t62);
        t33 = _mm_add_ps(t31, s33);
        t43 = _mm_sub_ps(t41, s43);
        t53 = _mm_sub_ps(t31, s33);
        t63 = _mm_add_ps(t41, s43);
        t73 = _mm_add_ps(t11, t82);
        t83 = _mm_sub_ps(t21, t72);
        t93 = _mm_sub_ps(t11, t82);
        t04 = _mm_add_ps(t21, t72);
        t14 = _mm_add_ps(t51, s53);
        t24 = _mm_add_ps(t61, s63);
        t34 = _mm_sub_ps(t51, s53);
        t44 = _mm_sub_ps(t61, s63);
        s73 = _mm_unpacklo_ps(t92, t33);
        s83 = _mm_unpackhi_ps(t92, t33);
        s93 = _mm_unpacklo_ps(t03, t43);
        s04 = _mm_unpackhi_ps(t03, t43);
        s14 = _mm_unpacklo_ps(t73, t14);
        s24 = _mm_unpackhi_ps(t73, t14);
        s34 = _mm_unpacklo_ps(t83, t24);
        s44 = _mm_unpackhi_ps(t83, t24);
        a6 = (((__m128  *) T) + (16 * i));
        s54 = _mm_shuffle_ps(s73, s14, _MM_SHUFFLE(1, 0, 1, 0));
        *(a6) = s54;
        s64 = _mm_shuffle_ps(s73, s14, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 4)) = s64;
        s74 = _mm_shuffle_ps(s83, s24, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 8)) = s74;
        s84 = _mm_shuffle_ps(s83, s24, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 12)) = s84;
        s94 = _mm_shuffle_ps(s93, s34, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 1)) = s94;
        s05 = _mm_shuffle_ps(s93, s34, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 5)) = s05;
        s15 = _mm_shuffle_ps(s04, s44, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 9)) = s15;
        s25 = _mm_shuffle_ps(s04, s44, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 13)) = s25;
        s35 = _mm_unpacklo_ps(t13, t53);
        s45 = _mm_unpackhi_ps(t13, t53);
        s55 = _mm_unpacklo_ps(t23, t63);
        s65 = _mm_unpackhi_ps(t23, t63);
        s75 = _mm_unpacklo_ps(t93, t34);
        s85 = _mm_unpackhi_ps(t93, t34);
        s95 = _mm_unpacklo_ps(t04, t44);
        s06 = _mm_unpackhi_ps(t04, t44);
        s16 = _mm_shuffle_ps(s35, s75, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 2)) = s16;
        s26 = _mm_shuffle_ps(s35, s75, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 6)) = s26;
        s36 = _mm_shuffle_ps(s45, s85, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 10)) = s36;
        s46 = _mm_shuffle_ps(s45, s85, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 14)) = s46;
        s56 = _mm_shuffle_ps(s55, s95, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 3)) = s56;
        s66 = _mm_shuffle_ps(s55, s95, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 7)) = s66;
        s76 = _mm_shuffle_ps(s65, s06, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 11)) = s76;
        s86 = _mm_shuffle_ps(s65, s06, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 15)) = s86;
    }}
    {long i2; for(i2 = 0; i2 <= 1; i2++) {
        {long i3; for(i3 = 0; i3 <= 7; i3++) {
            a7 = (((__m128  *) T) + ((2 * i2) + (4 * i3)));
            s96 = *(a7);
            s07 = *((a7 + 1));
            s17 = *((a7 + 128));
            s27 = *((a7 + 129));
            a8 = (16 * i3);
            a9 = (D980 + ((128 * i2) + a8));
            a01 = *(a9);
            a11 = *((a9 + 1));
            s37 = _mm_sub_ps(_mm_mul_ps(a01, s96), _mm_mul_ps(a11, s07));
            s47 = _mm_add_ps(_mm_mul_ps(a11, s96), _mm_mul_ps(a01, s07));
            a21 = *((a9 + 2));
            a31 = *((a9 + 3));
            s57 = _mm_sub_ps(_mm_mul_ps(a21, s17), _mm_mul_ps(a31, s27));
            s67 = _mm_add_ps(_mm_mul_ps(a31, s17), _mm_mul_ps(a21, s27));
            t54 = _mm_add_ps(s37, s57);
            t64 = _mm_add_ps(s47, s67);
            t74 = _mm_sub_ps(s37, s57);
            t84 = _mm_sub_ps(s47, s67);
            s77 = *((a7 + 64));
            s87 = *((a7 + 65));
            s97 = *((a7 + 192));
            s08 = *((a7 + 193));
            a41 = *((a9 + 4));
            a51 = *((a9 + 5));
            s18 = _mm_sub_ps(_mm_mul_ps(a41, s77), _mm_mul_ps(a51, s87));
            s28 = _mm_add_ps(_mm_mul_ps(a51, s77), _mm_mul_ps(a41, s87));
            a61 = *((a9 + 6));
            a71 = *((a9 + 7));
            s38 = _mm_sub_ps(_mm_mul_ps(a61, s97), _mm_mul_ps(a71, s08));
            s48 = _mm_add_ps(_mm_mul_ps(a71, s97), _mm_mul_ps(a61, s08));
            t94 = _mm_add_ps(s18, s38);
            t05 = _mm_add_ps(s28, s48);
            t15 = _mm_sub_ps(s18, s38);
            t25 = _mm_sub_ps(s28, s48);
            t35 = _mm_add_ps(t54, t94);
            t45 = _mm_add_ps(t64, t05);
            t55 = _mm_sub_ps(t54, t94);
            t65 = _mm_sub_ps(t64, t05);
            t75 = _mm_add_ps(t74, t25);
            t85 = _mm_sub_ps(t84, t15);
            t95 = _mm_sub_ps(t74, t25);
            t06 = _mm_add_ps(t84, t15);
            s58 = *((a7 + 32));
            s68 = *((a7 + 33));
            s78 = *((a7 + 160));
            s88 = *((a7 + 161));
            a81 = *((a9 + 8));
            a91 = *((a9 + 9));
            s98 = _mm_sub_ps(_mm_mul_ps(a81, s58), _mm_mul_ps(a91, s68));
            s09 = _mm_add_ps(_mm_mul_ps(a91, s58), _mm_mul_ps(a81, s68));
            a02 = *((a9 + 10));
            a12 = *((a9 + 11));
            s19 = _mm_sub_ps(_mm_mul_ps(a02, s78), _mm_mul_ps(a12, s88));
            s29 = _mm_add_ps(_mm_mul_ps(a12, s78), _mm_mul_ps(a02, s88));
            t16 = _mm_add_ps(s98, s19);
            t26 = _mm_add_ps(s09, s29);
            t36 = _mm_sub_ps(s98, s19);
            t46 = _mm_sub_ps(s09, s29);
            s39 = *((a7 + 96));
            s49 = *((a7 + 97));
            s59 = *((a7 + 224));
            s69 = *((a7 + 225));
            a22 = *((a9 + 12));
            a32 = *((a9 + 13));
            s79 = _mm_sub_ps(_mm_mul_ps(a22, s39), _mm_mul_ps(a32, s49));
            s89 = _mm_add_ps(_mm_mul_ps(a32, s39), _mm_mul_ps(a22, s49));
            a42 = *((a9 + 14));
            a52 = *((a9 + 15));
            s99 = _mm_sub_ps(_mm_mul_ps(a42, s59), _mm_mul_ps(a52, s69));
            s0a = _mm_add_ps(_mm_mul_ps(a52, s59), _mm_mul_ps(a42, s69));
            t56 = _mm_add_ps(s79, s99);
            t66 = _mm_add_ps(s89, s0a);
            t76 = _mm_sub_ps(s79, s99);
            t86 = _mm_sub_ps(s89, s0a);
            t96 = _mm_add_ps(t16, t56);
            t07 = _mm_add_ps(t26, t66);
            t17 = _mm_sub_ps(t16, t56);
            t27 = _mm_sub_ps(t26, t66);
            a62 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t36, t86));
            a72 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t46, t76));
            s1a = _mm_sub_ps(a62, a72);
            s2a = _mm_add_ps(a62, a72);
            a82 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t36, t86));
            a92 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t46, t76));
            s3a = _mm_sub_ps(a82, a92);
            s4a = _mm_add_ps(a82, a92);
            t37 = _mm_add_ps(t35, t96);
            t47 = _mm_add_ps(t45, t07);
            t57 = _mm_sub_ps(t35, t96);
            t67 = _mm_sub_ps(t45, t07);
            a03 = (D978 + a8);
            a13 = *(a03);
            a23 = *((a03 + 1));
            a33 = *((a03 + 2));
            a43 = *((a03 + 3));
            a53 = (((__m128  *) T2) + a8);
            s5a = _mm_sub_ps(_mm_mul_ps(a13, t37), _mm_mul_ps(a23, t47));
            *(a53) = s5a;
            s6a = _mm_add_ps(_mm_mul_ps(a23, t37), _mm_mul_ps(a13, t47));
            *((a53 + 1)) = s6a;
            s7a = _mm_sub_ps(_mm_mul_ps(a33, t57), _mm_mul_ps(a43, t67));
            *((a53 + 8)) = s7a;
            s8a = _mm_add_ps(_mm_mul_ps(a43, t57), _mm_mul_ps(a33, t67));
            *((a53 + 9)) = s8a;
            t77 = _mm_add_ps(t75, s1a);
            t87 = _mm_sub_ps(t85, s2a);
            t97 = _mm_sub_ps(t75, s1a);
            t08 = _mm_add_ps(t85, s2a);
            a63 = *((a03 + 4));
            a73 = *((a03 + 5));
            a83 = *((a03 + 6));
            a93 = *((a03 + 7));
            s9a = _mm_sub_ps(_mm_mul_ps(a63, t77), _mm_mul_ps(a73, t87));
            *((a53 + 2)) = s9a;
            s0b = _mm_add_ps(_mm_mul_ps(a73, t77), _mm_mul_ps(a63, t87));
            *((a53 + 3)) = s0b;
            s1b = _mm_sub_ps(_mm_mul_ps(a83, t97), _mm_mul_ps(a93, t08));
            *((a53 + 10)) = s1b;
            s2b = _mm_add_ps(_mm_mul_ps(a93, t97), _mm_mul_ps(a83, t08));
            *((a53 + 11)) = s2b;
            t18 = _mm_add_ps(t55, t27);
            t28 = _mm_sub_ps(t65, t17);
            t38 = _mm_sub_ps(t55, t27);
            t48 = _mm_add_ps(t65, t17);
            a04 = *((a03 + 8));
            a14 = *((a03 + 9));
            a24 = *((a03 + 10));
            a34 = *((a03 + 11));
            s3b = _mm_sub_ps(_mm_mul_ps(a04, t18), _mm_mul_ps(a14, t28));
            *((a53 + 4)) = s3b;
            s4b = _mm_add_ps(_mm_mul_ps(a14, t18), _mm_mul_ps(a04, t28));
            *((a53 + 5)) = s4b;
            s5b = _mm_sub_ps(_mm_mul_ps(a24, t38), _mm_mul_ps(a34, t48));
            *((a53 + 12)) = s5b;
            s6b = _mm_add_ps(_mm_mul_ps(a34, t38), _mm_mul_ps(a24, t48));
            *((a53 + 13)) = s6b;
            t58 = _mm_add_ps(t95, s3a);
            t68 = _mm_add_ps(t06, s4a);
            t78 = _mm_sub_ps(t95, s3a);
            t88 = _mm_sub_ps(t06, s4a);
            a44 = *((a03 + 12));
            a54 = *((a03 + 13));
            a64 = *((a03 + 14));
            a74 = *((a03 + 15));
            s7b = _mm_sub_ps(_mm_mul_ps(a44, t58), _mm_mul_ps(a54, t68));
            *((a53 + 6)) = s7b;
            s8b = _mm_add_ps(_mm_mul_ps(a54, t58), _mm_mul_ps(a44, t68));
            *((a53 + 7)) = s8b;
            s9b = _mm_sub_ps(_mm_mul_ps(a64, t78), _mm_mul_ps(a74, t88));
            *((a53 + 14)) = s9b;
            s0c = _mm_add_ps(_mm_mul_ps(a74, t78), _mm_mul_ps(a64, t88));
            *((a53 + 15)) = s0c;
        }}
        {long i4; for(i4 = 0; i4 <= 7; i4++) {
            a84 = (((__m128  *) T2) + (2 * i4));
            s1c = *(a84);
            s2c = *((a84 + 1));
            s3c = *((a84 + 64));
            s4c = *((a84 + 65));
            t98 = _mm_add_ps(s1c, s3c);
            t09 = _mm_add_ps(s2c, s4c);
            t19 = _mm_sub_ps(s1c, s3c);
            t29 = _mm_sub_ps(s2c, s4c);
            s5c = *((a84 + 32));
            s6c = *((a84 + 33));
            s7c = *((a84 + 96));
            s8c = *((a84 + 97));
            t39 = _mm_add_ps(s5c, s7c);
            t49 = _mm_add_ps(s6c, s8c);
            t59 = _mm_sub_ps(s5c, s7c);
            t69 = _mm_sub_ps(s6c, s8c);
            t79 = _mm_add_ps(t98, t39);
            t89 = _mm_add_ps(t09, t49);
            t99 = _mm_sub_ps(t98, t39);
            t0a = _mm_sub_ps(t09, t49);
            t1a = _mm_add_ps(t19, t69);
            t2a = _mm_sub_ps(t29, t59);
            t3a = _mm_sub_ps(t19, t69);
            t4a = _mm_add_ps(t29, t59);
            s9c = *((a84 + 16));
            s0d = *((a84 + 17));
            s1d = *((a84 + 80));
            s2d = *((a84 + 81));
            t5a = _mm_add_ps(s9c, s1d);
            t6a = _mm_add_ps(s0d, s2d);
            t7a = _mm_sub_ps(s9c, s1d);
            t8a = _mm_sub_ps(s0d, s2d);
            s3d = *((a84 + 48));
            s4d = *((a84 + 49));
            s5d = *((a84 + 112));
            s6d = *((a84 + 113));
            t9a = _mm_add_ps(s3d, s5d);
            t0b = _mm_add_ps(s4d, s6d);
            t1b = _mm_sub_ps(s3d, s5d);
            t2b = _mm_sub_ps(s4d, s6d);
            t3b = _mm_add_ps(t5a, t9a);
            t4b = _mm_add_ps(t6a, t0b);
            t5b = _mm_sub_ps(t5a, t9a);
            t6b = _mm_sub_ps(t6a, t0b);
            a94 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t7a, t2b));
            a05 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t8a, t1b));
            s7d = _mm_sub_ps(a94, a05);
            s8d = _mm_add_ps(a94, a05);
            a15 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t7a, t2b));
            a25 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t8a, t1b));
            s9d = _mm_sub_ps(a15, a25);
            s0e = _mm_add_ps(a15, a25);
            t7b = _mm_add_ps(t79, t3b);
            t8b = _mm_add_ps(t89, t4b);
            t9b = _mm_sub_ps(t79, t3b);
            t0c = _mm_sub_ps(t89, t4b);
            a35 = (dst + ((8 * i2) + (16 * i4)));
            s1e = _mm_unpacklo_ps(t7b, t8b);
            _mm_storeu_ps(((float  *) a35), s1e);
            s2e = _mm_unpackhi_ps(t7b, t8b);
            _mm_storeu_ps(((float  *) (a35 + 4)), s2e);
            s3e = _mm_unpacklo_ps(t9b, t0c);
            _mm_storeu_ps(((float  *) (a35 + 512)), s3e);
            s4e = _mm_unpackhi_ps(t9b, t0c);
            _mm_storeu_ps(((float  *) (a35 + 516)), s4e);
            t1c = _mm_add_ps(t1a, s7d);
            t2c = _mm_sub_ps(t2a, s8d);
            t3c = _mm_sub_ps(t1a, s7d);
            t4c = _mm_add_ps(t2a, s8d);
            s5e = _mm_unpacklo_ps(t1c, t2c);
            _mm_storeu_ps(((float  *) (a35 + 128)), s5e);
            s6e = _mm_unpackhi_ps(t1c, t2c);
            _mm_storeu_ps(((float  *) (a35 + 132)), s6e);
            s7e = _mm_unpacklo_ps(t3c, t4c);
            _mm_storeu_ps(((float  *) (a35 + 640)), s7e);
            s8e = _mm_unpackhi_ps(t3c, t4c);
            _mm_storeu_ps(((float  *) (a35 + 644)), s8e);
            t5c = _mm_add_ps(t99, t6b);
            t6c = _mm_sub_ps(t0a, t5b);
            t7c = _mm_sub_ps(t99, t6b);
            t8c = _mm_add_ps(t0a, t5b);
            s9e = _mm_unpacklo_ps(t5c, t6c);
            _mm_storeu_ps(((float  *) (a35 + 256)), s9e);
            s0f = _mm_unpackhi_ps(t5c, t6c);
            _mm_storeu_ps(((float  *) (a35 + 260)), s0f);
            s1f = _mm_unpacklo_ps(t7c, t8c);
            _mm_storeu_ps(((float  *) (a35 + 768)), s1f);
            s2f = _mm_unpackhi_ps(t7c, t8c);
            _mm_storeu_ps(((float  *) (a35 + 772)), s2f);
            t9c = _mm_add_ps(t3a, s9d);
            t0d = _mm_add_ps(t4a, s0e);
            t1d = _mm_sub_ps(t3a, s9d);
            t2d = _mm_sub_ps(t4a, s0e);
            s3f = _mm_unpacklo_ps(t9c, t0d);
            _mm_storeu_ps(((float  *) (a35 + 384)), s3f);
            s4f = _mm_unpackhi_ps(t9c, t0d);
            _mm_storeu_ps(((float  *) (a35 + 388)), s4f);
            s5f = _mm_unpacklo_ps(t1d, t2d);
            _mm_storeu_ps(((float  *) (a35 + 896)), s5f);
            s6f = _mm_unpackhi_ps(t1d, t2d);
            _mm_storeu_ps(((float  *) (a35 + 900)), s6f);
        }}
    }}
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_fftfwd_float_512)(const float *pSrc, float *pDst ) {
    if (!is_aligned(pSrc) || !is_aligned(pDst))
       	return spiral_fftfwd_float_512_unaligned(pSrc, pDst );
    else {
    const float  *src = (const float *) pSrc; 
    float        *dst = (float *) pDst;
    
    
    { SPIRAL_ALIGNED(float T[1024]);
     SPIRAL_ALIGNED(float T2[512]);
    __m128 s05, s0f, s15, s16, s1e, s1f, s25, s26, s2e, s2f, s36, s3e, s3f, s46, s4e, s4f, s54, s56, s5e, s5f, s64, s66
            , s6e, s6f, s74, s76, s7e, s84, s86, s8e, s94, s9e;
    __m128 a01, a02, a04, a05, a11, a12, a13, a14, a15, a2, a21, a22, a23, a24, a25, a3, a31, a32, a33, a34, a4, a41
            , a42, a43, a44, a5, a51, a52, a54, a61, a62, a63, a64, a71, a72, a73, a74, a81, a82, a83, a91, a92, a93, a94
            , s, s01, s02, s03, s04, s06, s07, s08, s09, s0a, s0b, s0c, s0d, s0e, s11, s12, s13, s14, s17, s18, s19, s1a
            , s1b, s1c, s1d, s2, s21, s22, s23, s24, s27, s28, s29, s2a, s2b, s2c, s2d, s3, s31, s32, s33, s34, s35, s37
            , s38, s39, s3a, s3b, s3c, s3d, s4, s41, s42, s43, s44, s45, s47, s48, s49, s4a, s4b, s4c, s4d, s5, s51, s52
            , s53, s55, s57, s58, s59, s5a, s5b, s5c, s5d, s6, s61, s62, s63, s65, s67, s68, s69, s6a, s6b, s6c, s6d, s7
            , s71, s72, s73, s75, s77, s78, s79, s7a, s7b, s7c, s7d, s8, s81, s82, s83, s85, s87, s88, s89, s8a, s8b, s8c
            , s8d, s9, s91, s92, s93, s95, s96, s97, s98, s99, s9a, s9b, s9c, s9d, t, t01, t02, t03, t04, t05, t06, t07
            , t08, t09, t0a, t0b, t0c, t0d, t11, t12, t13, t14, t15, t16, t17, t18, t19, t1a, t1b, t1c, t1d, t2, t21, t22
            , t23, t24, t25, t26, t27, t28, t29, t2a, t2b, t2c, t2d, t3, t31, t32, t33, t34, t35, t36, t37, t38, t39, t3a
            , t3b, t3c, t4, t41, t42, t43, t44, t45, t46, t47, t48, t49, t4a, t4b, t4c, t5, t51, t52, t53, t54, t55, t56
            , t57, t58, t59, t5a, t5b, t5c, t6, t61, t62, t63, t64, t65, t66, t67, t68, t69, t6a, t6b, t6c, t7, t71, t72
            , t73, t74, t75, t76, t77, t78, t79, t7a, t7b, t7c, t8, t81, t82, t83, t84, t85, t86, t87, t88, t89, t8a, t8b
            , t8c, t9, t91, t92, t93, t94, t95, t96, t97, t98, t99, t9a, t9b, t9c;
    __m128  *a, *a03, *a35, *a53, *a6, *a7, *a84, *a9;
    int a8;
    {long i; for(i = 0; i <= 15; i++) {
        a = (((__m128  *) src) + (2 * i));
        s = *(a);
        s2 = *((a + 1));
        s3 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(2, 0, 2, 0));
        s4 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(3, 1, 3, 1));
        s5 = *((a + 128));
        s6 = *((a + 129));
        s7 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(2, 0, 2, 0));
        s8 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(3, 1, 3, 1));
        t = _mm_add_ps(s3, s7);
        t2 = _mm_add_ps(s4, s8);
        t3 = _mm_sub_ps(s3, s7);
        t4 = _mm_sub_ps(s4, s8);
        s9 = *((a + 64));
        s01 = *((a + 65));
        s11 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(2, 0, 2, 0));
        s21 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(3, 1, 3, 1));
        s31 = *((a + 192));
        s41 = *((a + 193));
        s51 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(2, 0, 2, 0));
        s61 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(3, 1, 3, 1));
        t5 = _mm_add_ps(s11, s51);
        t6 = _mm_add_ps(s21, s61);
        t7 = _mm_sub_ps(s11, s51);
        t8 = _mm_sub_ps(s21, s61);
        t9 = _mm_add_ps(t, t5);
        t01 = _mm_add_ps(t2, t6);
        t11 = _mm_sub_ps(t, t5);
        t21 = _mm_sub_ps(t2, t6);
        t31 = _mm_add_ps(t3, t8);
        t41 = _mm_sub_ps(t4, t7);
        t51 = _mm_sub_ps(t3, t8);
        t61 = _mm_add_ps(t4, t7);
        s71 = *((a + 32));
        s81 = *((a + 33));
        s91 = _mm_shuffle_ps(s71, s81, _MM_SHUFFLE(2, 0, 2, 0));
        s02 = _mm_shuffle_ps(s71, s81, _MM_SHUFFLE(3, 1, 3, 1));
        s12 = *((a + 160));
        s22 = *((a + 161));
        s32 = _mm_shuffle_ps(s12, s22, _MM_SHUFFLE(2, 0, 2, 0));
        s42 = _mm_shuffle_ps(s12, s22, _MM_SHUFFLE(3, 1, 3, 1));
        t71 = _mm_add_ps(s91, s32);
        t81 = _mm_add_ps(s02, s42);
        t91 = _mm_sub_ps(s91, s32);
        t02 = _mm_sub_ps(s02, s42);
        s52 = *((a + 96));
        s62 = *((a + 97));
        s72 = _mm_shuffle_ps(s52, s62, _MM_SHUFFLE(2, 0, 2, 0));
        s82 = _mm_shuffle_ps(s52, s62, _MM_SHUFFLE(3, 1, 3, 1));
        s92 = *((a + 224));
        s03 = *((a + 225));
        s13 = _mm_shuffle_ps(s92, s03, _MM_SHUFFLE(2, 0, 2, 0));
        s23 = _mm_shuffle_ps(s92, s03, _MM_SHUFFLE(3, 1, 3, 1));
        t12 = _mm_add_ps(s72, s13);
        t22 = _mm_add_ps(s82, s23);
        t32 = _mm_sub_ps(s72, s13);
        t42 = _mm_sub_ps(s82, s23);
        t52 = _mm_add_ps(t71, t12);
        t62 = _mm_add_ps(t81, t22);
        t72 = _mm_sub_ps(t71, t12);
        t82 = _mm_sub_ps(t81, t22);
        a2 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t91, t42));
        a3 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t02, t32));
        s33 = _mm_sub_ps(a2, a3);
        s43 = _mm_add_ps(a2, a3);
        a4 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t91, t42));
        a5 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t02, t32));
        s53 = _mm_sub_ps(a4, a5);
        s63 = _mm_add_ps(a4, a5);
        t92 = _mm_add_ps(t9, t52);
        t03 = _mm_add_ps(t01, t62);
        t13 = _mm_sub_ps(t9, t52);
        t23 = _mm_sub_ps(t01, t62);
        t33 = _mm_add_ps(t31, s33);
        t43 = _mm_sub_ps(t41, s43);
        t53 = _mm_sub_ps(t31, s33);
        t63 = _mm_add_ps(t41, s43);
        t73 = _mm_add_ps(t11, t82);
        t83 = _mm_sub_ps(t21, t72);
        t93 = _mm_sub_ps(t11, t82);
        t04 = _mm_add_ps(t21, t72);
        t14 = _mm_add_ps(t51, s53);
        t24 = _mm_add_ps(t61, s63);
        t34 = _mm_sub_ps(t51, s53);
        t44 = _mm_sub_ps(t61, s63);
        s73 = _mm_unpacklo_ps(t92, t33);
        s83 = _mm_unpackhi_ps(t92, t33);
        s93 = _mm_unpacklo_ps(t03, t43);
        s04 = _mm_unpackhi_ps(t03, t43);
        s14 = _mm_unpacklo_ps(t73, t14);
        s24 = _mm_unpackhi_ps(t73, t14);
        s34 = _mm_unpacklo_ps(t83, t24);
        s44 = _mm_unpackhi_ps(t83, t24);
        a6 = (((__m128  *) T) + (16 * i));
        s54 = _mm_shuffle_ps(s73, s14, _MM_SHUFFLE(1, 0, 1, 0));
        *(a6) = s54;
        s64 = _mm_shuffle_ps(s73, s14, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 4)) = s64;
        s74 = _mm_shuffle_ps(s83, s24, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 8)) = s74;
        s84 = _mm_shuffle_ps(s83, s24, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 12)) = s84;
        s94 = _mm_shuffle_ps(s93, s34, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 1)) = s94;
        s05 = _mm_shuffle_ps(s93, s34, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 5)) = s05;
        s15 = _mm_shuffle_ps(s04, s44, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 9)) = s15;
        s25 = _mm_shuffle_ps(s04, s44, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 13)) = s25;
        s35 = _mm_unpacklo_ps(t13, t53);
        s45 = _mm_unpackhi_ps(t13, t53);
        s55 = _mm_unpacklo_ps(t23, t63);
        s65 = _mm_unpackhi_ps(t23, t63);
        s75 = _mm_unpacklo_ps(t93, t34);
        s85 = _mm_unpackhi_ps(t93, t34);
        s95 = _mm_unpacklo_ps(t04, t44);
        s06 = _mm_unpackhi_ps(t04, t44);
        s16 = _mm_shuffle_ps(s35, s75, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 2)) = s16;
        s26 = _mm_shuffle_ps(s35, s75, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 6)) = s26;
        s36 = _mm_shuffle_ps(s45, s85, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 10)) = s36;
        s46 = _mm_shuffle_ps(s45, s85, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 14)) = s46;
        s56 = _mm_shuffle_ps(s55, s95, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 3)) = s56;
        s66 = _mm_shuffle_ps(s55, s95, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 7)) = s66;
        s76 = _mm_shuffle_ps(s65, s06, _MM_SHUFFLE(1, 0, 1, 0));
        *((a6 + 11)) = s76;
        s86 = _mm_shuffle_ps(s65, s06, _MM_SHUFFLE(3, 2, 3, 2));
        *((a6 + 15)) = s86;
    }}
    {long i2; for(i2 = 0; i2 <= 1; i2++) {
        {long i3; for(i3 = 0; i3 <= 7; i3++) {
            a7 = (((__m128  *) T) + ((2 * i2) + (4 * i3)));
            s96 = *(a7);
            s07 = *((a7 + 1));
            s17 = *((a7 + 128));
            s27 = *((a7 + 129));
            a8 = (16 * i3);
            a9 = (D980 + ((128 * i2) + a8));
            a01 = *(a9);
            a11 = *((a9 + 1));
            s37 = _mm_sub_ps(_mm_mul_ps(a01, s96), _mm_mul_ps(a11, s07));
            s47 = _mm_add_ps(_mm_mul_ps(a11, s96), _mm_mul_ps(a01, s07));
            a21 = *((a9 + 2));
            a31 = *((a9 + 3));
            s57 = _mm_sub_ps(_mm_mul_ps(a21, s17), _mm_mul_ps(a31, s27));
            s67 = _mm_add_ps(_mm_mul_ps(a31, s17), _mm_mul_ps(a21, s27));
            t54 = _mm_add_ps(s37, s57);
            t64 = _mm_add_ps(s47, s67);
            t74 = _mm_sub_ps(s37, s57);
            t84 = _mm_sub_ps(s47, s67);
            s77 = *((a7 + 64));
            s87 = *((a7 + 65));
            s97 = *((a7 + 192));
            s08 = *((a7 + 193));
            a41 = *((a9 + 4));
            a51 = *((a9 + 5));
            s18 = _mm_sub_ps(_mm_mul_ps(a41, s77), _mm_mul_ps(a51, s87));
            s28 = _mm_add_ps(_mm_mul_ps(a51, s77), _mm_mul_ps(a41, s87));
            a61 = *((a9 + 6));
            a71 = *((a9 + 7));
            s38 = _mm_sub_ps(_mm_mul_ps(a61, s97), _mm_mul_ps(a71, s08));
            s48 = _mm_add_ps(_mm_mul_ps(a71, s97), _mm_mul_ps(a61, s08));
            t94 = _mm_add_ps(s18, s38);
            t05 = _mm_add_ps(s28, s48);
            t15 = _mm_sub_ps(s18, s38);
            t25 = _mm_sub_ps(s28, s48);
            t35 = _mm_add_ps(t54, t94);
            t45 = _mm_add_ps(t64, t05);
            t55 = _mm_sub_ps(t54, t94);
            t65 = _mm_sub_ps(t64, t05);
            t75 = _mm_add_ps(t74, t25);
            t85 = _mm_sub_ps(t84, t15);
            t95 = _mm_sub_ps(t74, t25);
            t06 = _mm_add_ps(t84, t15);
            s58 = *((a7 + 32));
            s68 = *((a7 + 33));
            s78 = *((a7 + 160));
            s88 = *((a7 + 161));
            a81 = *((a9 + 8));
            a91 = *((a9 + 9));
            s98 = _mm_sub_ps(_mm_mul_ps(a81, s58), _mm_mul_ps(a91, s68));
            s09 = _mm_add_ps(_mm_mul_ps(a91, s58), _mm_mul_ps(a81, s68));
            a02 = *((a9 + 10));
            a12 = *((a9 + 11));
            s19 = _mm_sub_ps(_mm_mul_ps(a02, s78), _mm_mul_ps(a12, s88));
            s29 = _mm_add_ps(_mm_mul_ps(a12, s78), _mm_mul_ps(a02, s88));
            t16 = _mm_add_ps(s98, s19);
            t26 = _mm_add_ps(s09, s29);
            t36 = _mm_sub_ps(s98, s19);
            t46 = _mm_sub_ps(s09, s29);
            s39 = *((a7 + 96));
            s49 = *((a7 + 97));
            s59 = *((a7 + 224));
            s69 = *((a7 + 225));
            a22 = *((a9 + 12));
            a32 = *((a9 + 13));
            s79 = _mm_sub_ps(_mm_mul_ps(a22, s39), _mm_mul_ps(a32, s49));
            s89 = _mm_add_ps(_mm_mul_ps(a32, s39), _mm_mul_ps(a22, s49));
            a42 = *((a9 + 14));
            a52 = *((a9 + 15));
            s99 = _mm_sub_ps(_mm_mul_ps(a42, s59), _mm_mul_ps(a52, s69));
            s0a = _mm_add_ps(_mm_mul_ps(a52, s59), _mm_mul_ps(a42, s69));
            t56 = _mm_add_ps(s79, s99);
            t66 = _mm_add_ps(s89, s0a);
            t76 = _mm_sub_ps(s79, s99);
            t86 = _mm_sub_ps(s89, s0a);
            t96 = _mm_add_ps(t16, t56);
            t07 = _mm_add_ps(t26, t66);
            t17 = _mm_sub_ps(t16, t56);
            t27 = _mm_sub_ps(t26, t66);
            a62 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t36, t86));
            a72 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t46, t76));
            s1a = _mm_sub_ps(a62, a72);
            s2a = _mm_add_ps(a62, a72);
            a82 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t36, t86));
            a92 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t46, t76));
            s3a = _mm_sub_ps(a82, a92);
            s4a = _mm_add_ps(a82, a92);
            t37 = _mm_add_ps(t35, t96);
            t47 = _mm_add_ps(t45, t07);
            t57 = _mm_sub_ps(t35, t96);
            t67 = _mm_sub_ps(t45, t07);
            a03 = (D978 + a8);
            a13 = *(a03);
            a23 = *((a03 + 1));
            a33 = *((a03 + 2));
            a43 = *((a03 + 3));
            a53 = (((__m128  *) T2) + a8);
            s5a = _mm_sub_ps(_mm_mul_ps(a13, t37), _mm_mul_ps(a23, t47));
            *(a53) = s5a;
            s6a = _mm_add_ps(_mm_mul_ps(a23, t37), _mm_mul_ps(a13, t47));
            *((a53 + 1)) = s6a;
            s7a = _mm_sub_ps(_mm_mul_ps(a33, t57), _mm_mul_ps(a43, t67));
            *((a53 + 8)) = s7a;
            s8a = _mm_add_ps(_mm_mul_ps(a43, t57), _mm_mul_ps(a33, t67));
            *((a53 + 9)) = s8a;
            t77 = _mm_add_ps(t75, s1a);
            t87 = _mm_sub_ps(t85, s2a);
            t97 = _mm_sub_ps(t75, s1a);
            t08 = _mm_add_ps(t85, s2a);
            a63 = *((a03 + 4));
            a73 = *((a03 + 5));
            a83 = *((a03 + 6));
            a93 = *((a03 + 7));
            s9a = _mm_sub_ps(_mm_mul_ps(a63, t77), _mm_mul_ps(a73, t87));
            *((a53 + 2)) = s9a;
            s0b = _mm_add_ps(_mm_mul_ps(a73, t77), _mm_mul_ps(a63, t87));
            *((a53 + 3)) = s0b;
            s1b = _mm_sub_ps(_mm_mul_ps(a83, t97), _mm_mul_ps(a93, t08));
            *((a53 + 10)) = s1b;
            s2b = _mm_add_ps(_mm_mul_ps(a93, t97), _mm_mul_ps(a83, t08));
            *((a53 + 11)) = s2b;
            t18 = _mm_add_ps(t55, t27);
            t28 = _mm_sub_ps(t65, t17);
            t38 = _mm_sub_ps(t55, t27);
            t48 = _mm_add_ps(t65, t17);
            a04 = *((a03 + 8));
            a14 = *((a03 + 9));
            a24 = *((a03 + 10));
            a34 = *((a03 + 11));
            s3b = _mm_sub_ps(_mm_mul_ps(a04, t18), _mm_mul_ps(a14, t28));
            *((a53 + 4)) = s3b;
            s4b = _mm_add_ps(_mm_mul_ps(a14, t18), _mm_mul_ps(a04, t28));
            *((a53 + 5)) = s4b;
            s5b = _mm_sub_ps(_mm_mul_ps(a24, t38), _mm_mul_ps(a34, t48));
            *((a53 + 12)) = s5b;
            s6b = _mm_add_ps(_mm_mul_ps(a34, t38), _mm_mul_ps(a24, t48));
            *((a53 + 13)) = s6b;
            t58 = _mm_add_ps(t95, s3a);
            t68 = _mm_add_ps(t06, s4a);
            t78 = _mm_sub_ps(t95, s3a);
            t88 = _mm_sub_ps(t06, s4a);
            a44 = *((a03 + 12));
            a54 = *((a03 + 13));
            a64 = *((a03 + 14));
            a74 = *((a03 + 15));
            s7b = _mm_sub_ps(_mm_mul_ps(a44, t58), _mm_mul_ps(a54, t68));
            *((a53 + 6)) = s7b;
            s8b = _mm_add_ps(_mm_mul_ps(a54, t58), _mm_mul_ps(a44, t68));
            *((a53 + 7)) = s8b;
            s9b = _mm_sub_ps(_mm_mul_ps(a64, t78), _mm_mul_ps(a74, t88));
            *((a53 + 14)) = s9b;
            s0c = _mm_add_ps(_mm_mul_ps(a74, t78), _mm_mul_ps(a64, t88));
            *((a53 + 15)) = s0c;
        }}
        {long i4; for(i4 = 0; i4 <= 7; i4++) {
            a84 = (((__m128  *) T2) + (2 * i4));
            s1c = *(a84);
            s2c = *((a84 + 1));
            s3c = *((a84 + 64));
            s4c = *((a84 + 65));
            t98 = _mm_add_ps(s1c, s3c);
            t09 = _mm_add_ps(s2c, s4c);
            t19 = _mm_sub_ps(s1c, s3c);
            t29 = _mm_sub_ps(s2c, s4c);
            s5c = *((a84 + 32));
            s6c = *((a84 + 33));
            s7c = *((a84 + 96));
            s8c = *((a84 + 97));
            t39 = _mm_add_ps(s5c, s7c);
            t49 = _mm_add_ps(s6c, s8c);
            t59 = _mm_sub_ps(s5c, s7c);
            t69 = _mm_sub_ps(s6c, s8c);
            t79 = _mm_add_ps(t98, t39);
            t89 = _mm_add_ps(t09, t49);
            t99 = _mm_sub_ps(t98, t39);
            t0a = _mm_sub_ps(t09, t49);
            t1a = _mm_add_ps(t19, t69);
            t2a = _mm_sub_ps(t29, t59);
            t3a = _mm_sub_ps(t19, t69);
            t4a = _mm_add_ps(t29, t59);
            s9c = *((a84 + 16));
            s0d = *((a84 + 17));
            s1d = *((a84 + 80));
            s2d = *((a84 + 81));
            t5a = _mm_add_ps(s9c, s1d);
            t6a = _mm_add_ps(s0d, s2d);
            t7a = _mm_sub_ps(s9c, s1d);
            t8a = _mm_sub_ps(s0d, s2d);
            s3d = *((a84 + 48));
            s4d = *((a84 + 49));
            s5d = *((a84 + 112));
            s6d = *((a84 + 113));
            t9a = _mm_add_ps(s3d, s5d);
            t0b = _mm_add_ps(s4d, s6d);
            t1b = _mm_sub_ps(s3d, s5d);
            t2b = _mm_sub_ps(s4d, s6d);
            t3b = _mm_add_ps(t5a, t9a);
            t4b = _mm_add_ps(t6a, t0b);
            t5b = _mm_sub_ps(t5a, t9a);
            t6b = _mm_sub_ps(t6a, t0b);
            a94 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t7a, t2b));
            a05 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t8a, t1b));
            s7d = _mm_sub_ps(a94, a05);
            s8d = _mm_add_ps(a94, a05);
            a15 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t7a, t2b));
            a25 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t8a, t1b));
            s9d = _mm_sub_ps(a15, a25);
            s0e = _mm_add_ps(a15, a25);
            t7b = _mm_add_ps(t79, t3b);
            t8b = _mm_add_ps(t89, t4b);
            t9b = _mm_sub_ps(t79, t3b);
            t0c = _mm_sub_ps(t89, t4b);
            a35 = (((__m128  *) dst) + ((2 * i2) + (4 * i4)));
            s1e = _mm_unpacklo_ps(t7b, t8b);
            *(a35) = s1e;
            s2e = _mm_unpackhi_ps(t7b, t8b);
            *((a35 + 1)) = s2e;
            s3e = _mm_unpacklo_ps(t9b, t0c);
            *((a35 + 128)) = s3e;
            s4e = _mm_unpackhi_ps(t9b, t0c);
            *((a35 + 129)) = s4e;
            t1c = _mm_add_ps(t1a, s7d);
            t2c = _mm_sub_ps(t2a, s8d);
            t3c = _mm_sub_ps(t1a, s7d);
            t4c = _mm_add_ps(t2a, s8d);
            s5e = _mm_unpacklo_ps(t1c, t2c);
            *((a35 + 32)) = s5e;
            s6e = _mm_unpackhi_ps(t1c, t2c);
            *((a35 + 33)) = s6e;
            s7e = _mm_unpacklo_ps(t3c, t4c);
            *((a35 + 160)) = s7e;
            s8e = _mm_unpackhi_ps(t3c, t4c);
            *((a35 + 161)) = s8e;
            t5c = _mm_add_ps(t99, t6b);
            t6c = _mm_sub_ps(t0a, t5b);
            t7c = _mm_sub_ps(t99, t6b);
            t8c = _mm_add_ps(t0a, t5b);
            s9e = _mm_unpacklo_ps(t5c, t6c);
            *((a35 + 64)) = s9e;
            s0f = _mm_unpackhi_ps(t5c, t6c);
            *((a35 + 65)) = s0f;
            s1f = _mm_unpacklo_ps(t7c, t8c);
            *((a35 + 192)) = s1f;
            s2f = _mm_unpackhi_ps(t7c, t8c);
            *((a35 + 193)) = s2f;
            t9c = _mm_add_ps(t3a, s9d);
            t0d = _mm_add_ps(t4a, s0e);
            t1d = _mm_sub_ps(t3a, s9d);
            t2d = _mm_sub_ps(t4a, s0e);
            s3f = _mm_unpacklo_ps(t9c, t0d);
            *((a35 + 96)) = s3f;
            s4f = _mm_unpackhi_ps(t9c, t0d);
            *((a35 + 97)) = s4f;
            s5f = _mm_unpacklo_ps(t1d, t2d);
            *((a35 + 224)) = s5f;
            s6f = _mm_unpackhi_ps(t1d, t2d);
            *((a35 + 225)) = s6f;
        }}
    }}
    }
    
    return SPIRAL_OK;
    }
}

SPIRAL_PRIV(spiral_status_t, spiral_fftfwd_float_1024_unaligned)(const float *pSrc, float *pDst ) {
    const float  *src = (const float *) pSrc; 
    float        *dst = (float *) pDst;
    
    
    { SPIRAL_ALIGNED(float T[2048]);
     SPIRAL_ALIGNED(float T2[128]);
     SPIRAL_ALIGNED(float T3[128]);
     SPIRAL_ALIGNED(float T4[512]);
    __m128 s06, s0e, s0f, s16, s1e, s1f, s26, s2e, s2f, s36, s3e, s46, s4e, s5e, s6e, s75, s7d, s7e, s85, s8d, s8e, s95
            , s9d, s9e;
    __m128 a01, a03, a04, a05, a06, a11, a12, a13, a15, a16, a21, a22, a23, a24, a25, a26, a32, a33, a34, a35, a36, a4
            , a42, a43, a44, a45, a5, a52, a53, a54, a55, a6, a62, a63, a65, a7, a72, a73, a74, a75, a82, a83, a84, a85
            , a9, a92, a93, a94, s, s01, s02, s03, s04, s05, s07, s08, s09, s0a, s0b, s0c, s0d, s11, s12, s13, s14, s15
            , s17, s18, s19, s1a, s1b, s1c, s1d, s2, s21, s22, s23, s24, s25, s27, s28, s29, s2a, s2b, s2c, s2d, s3, s31
            , s32, s33, s34, s35, s37, s38, s39, s3a, s3b, s3c, s3d, s4, s41, s42, s43, s44, s45, s47, s48, s49, s4a, s4b
            , s4c, s4d, s5, s51, s52, s53, s54, s55, s56, s57, s58, s59, s5a, s5b, s5c, s5d, s6, s61, s62, s63, s64, s65
            , s66, s67, s68, s69, s6a, s6b, s6c, s6d, s7, s71, s72, s73, s74, s76, s77, s78, s79, s7a, s7b, s7c, s8, s81
            , s82, s83, s84, s86, s87, s88, s89, s8a, s8b, s8c, s9, s91, s92, s93, s94, s96, s97, s98, s99, s9a, s9b, s9c
            , t, t01, t02, t03, t04, t05, t06, t07, t08, t09, t0a, t0b, t11, t12, t13, t14, t15, t16, t17, t18, t19, t1a
            , t1b, t2, t21, t22, t23, t24, t25, t26, t27, t28, t29, t2a, t2b, t3, t31, t32, t33, t34, t35, t36, t37, t38
            , t39, t3a, t4, t41, t42, t43, t44, t45, t46, t47, t48, t49, t4a, t5, t51, t52, t53, t54, t55, t56, t57, t58
            , t59, t5a, t6, t61, t62, t63, t64, t65, t66, t67, t68, t69, t6a, t7, t71, t72, t73, t74, t75, t76, t77, t78
            , t79, t7a, t8, t81, t82, t83, t84, t85, t86, t87, t88, t89, t8a, t9, t91, t92, t93, t94, t95, t96, t97, t98
            , t99, t9a;
    __m128  *a02, *a14, *a3, *a41, *a51, *a61, *a64, *a71, *a8, *a81, *a95;
    float  *a46;
    const float  *a;
    int a2, a31, a91;
    {long i; for(i = 0; i <= 15; i++) {
        {long i2; for(i2 = 0; i2 <= 3; i2++) {
            a = (src + ((8 * i) + (128 * i2)));
            s = _mm_loadu_ps(((const float  *) a));
            s2 = _mm_loadu_ps(((const float  *) (a + 4)));
            s3 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(2, 0, 2, 0));
            s4 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(3, 1, 3, 1));
            s5 = _mm_loadu_ps(((const float  *) (a + 1024)));
            s6 = _mm_loadu_ps(((const float  *) (a + 1028)));
            s7 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(2, 0, 2, 0));
            s8 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(3, 1, 3, 1));
            t = _mm_add_ps(s3, s7);
            t2 = _mm_add_ps(s4, s8);
            t3 = _mm_sub_ps(s3, s7);
            t4 = _mm_sub_ps(s4, s8);
            s9 = _mm_loadu_ps(((const float  *) (a + 512)));
            s01 = _mm_loadu_ps(((const float  *) (a + 516)));
            s11 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(2, 0, 2, 0));
            s21 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(3, 1, 3, 1));
            s31 = _mm_loadu_ps(((const float  *) (a + 1536)));
            s41 = _mm_loadu_ps(((const float  *) (a + 1540)));
            s51 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(2, 0, 2, 0));
            s61 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(3, 1, 3, 1));
            t5 = _mm_add_ps(s11, s51);
            t6 = _mm_add_ps(s21, s61);
            t7 = _mm_sub_ps(s11, s51);
            t8 = _mm_sub_ps(s21, s61);
            t9 = _mm_add_ps(t, t5);
            t01 = _mm_add_ps(t2, t6);
            t11 = _mm_sub_ps(t, t5);
            t21 = _mm_sub_ps(t2, t6);
            a2 = (8 * i2);
            a3 = (D976 + a2);
            a4 = *(a3);
            a5 = *((a3 + 1));
            a6 = *((a3 + 2));
            a7 = *((a3 + 3));
            a8 = (((__m128  *) T3) + a2);
            s71 = _mm_sub_ps(_mm_mul_ps(a4, t9), _mm_mul_ps(a5, t01));
            *(a8) = s71;
            s81 = _mm_add_ps(_mm_mul_ps(a5, t9), _mm_mul_ps(a4, t01));
            *((a8 + 1)) = s81;
            s91 = _mm_sub_ps(_mm_mul_ps(a6, t11), _mm_mul_ps(a7, t21));
            *((a8 + 4)) = s91;
            s02 = _mm_add_ps(_mm_mul_ps(a7, t11), _mm_mul_ps(a6, t21));
            *((a8 + 5)) = s02;
            t31 = _mm_add_ps(t3, t8);
            t41 = _mm_sub_ps(t4, t7);
            t51 = _mm_sub_ps(t3, t8);
            t61 = _mm_add_ps(t4, t7);
            a9 = *((a3 + 4));
            a01 = *((a3 + 5));
            a11 = *((a3 + 6));
            a21 = *((a3 + 7));
            s12 = _mm_sub_ps(_mm_mul_ps(a9, t31), _mm_mul_ps(a01, t41));
            *((a8 + 2)) = s12;
            s22 = _mm_add_ps(_mm_mul_ps(a01, t31), _mm_mul_ps(a9, t41));
            *((a8 + 3)) = s22;
            s32 = _mm_sub_ps(_mm_mul_ps(a11, t51), _mm_mul_ps(a21, t61));
            *((a8 + 6)) = s32;
            s42 = _mm_add_ps(_mm_mul_ps(a21, t51), _mm_mul_ps(a11, t61));
            *((a8 + 7)) = s42;
        }}
        {long i3; for(i3 = 0; i3 <= 3; i3++) {
            a31 = (2 * i3);
            a41 = (((__m128  *) T3) + a31);
            s52 = *(a41);
            s62 = *((a41 + 1));
            s72 = *((a41 + 16));
            s82 = *((a41 + 17));
            t71 = _mm_add_ps(s52, s72);
            t81 = _mm_add_ps(s62, s82);
            t91 = _mm_sub_ps(s52, s72);
            t02 = _mm_sub_ps(s62, s82);
            s92 = *((a41 + 8));
            s03 = *((a41 + 9));
            s13 = *((a41 + 24));
            s23 = *((a41 + 25));
            t12 = _mm_add_ps(s92, s13);
            t22 = _mm_add_ps(s03, s23);
            t32 = _mm_sub_ps(s92, s13);
            t42 = _mm_sub_ps(s03, s23);
            a51 = (((__m128  *) T2) + a31);
            s33 = _mm_add_ps(t71, t12);
            *(a51) = s33;
            s43 = _mm_add_ps(t81, t22);
            *((a51 + 1)) = s43;
            s53 = _mm_sub_ps(t71, t12);
            *((a51 + 16)) = s53;
            s63 = _mm_sub_ps(t81, t22);
            *((a51 + 17)) = s63;
            s73 = _mm_add_ps(t91, t42);
            *((a51 + 8)) = s73;
            s83 = _mm_sub_ps(t02, t32);
            *((a51 + 9)) = s83;
            s93 = _mm_sub_ps(t91, t42);
            *((a51 + 24)) = s93;
            s04 = _mm_add_ps(t02, t32);
            *((a51 + 25)) = s04;
        }}
        {long i4; for(i4 = 0; i4 <= 3; i4++) {
            a61 = (((__m128  *) T2) + (8 * i4));
            s14 = *(a61);
            s24 = *((a61 + 2));
            s34 = _mm_unpacklo_ps(s14, s24);
            s44 = _mm_unpackhi_ps(s14, s24);
            s54 = *((a61 + 1));
            s64 = *((a61 + 3));
            s74 = _mm_unpacklo_ps(s54, s64);
            s84 = _mm_unpackhi_ps(s54, s64);
            s94 = *((a61 + 4));
            s05 = *((a61 + 6));
            s15 = _mm_unpacklo_ps(s94, s05);
            s25 = _mm_unpackhi_ps(s94, s05);
            s35 = *((a61 + 5));
            s45 = *((a61 + 7));
            s55 = _mm_unpacklo_ps(s35, s45);
            s65 = _mm_unpackhi_ps(s35, s45);
            a71 = (((__m128  *) T) + ((32 * i) + (2 * i4)));
            s75 = _mm_shuffle_ps(s34, s15, _MM_SHUFFLE(1, 0, 1, 0));
            *(a71) = s75;
            s85 = _mm_shuffle_ps(s34, s15, _MM_SHUFFLE(3, 2, 3, 2));
            *((a71 + 8)) = s85;
            s95 = _mm_shuffle_ps(s44, s25, _MM_SHUFFLE(1, 0, 1, 0));
            *((a71 + 16)) = s95;
            s06 = _mm_shuffle_ps(s44, s25, _MM_SHUFFLE(3, 2, 3, 2));
            *((a71 + 24)) = s06;
            s16 = _mm_shuffle_ps(s74, s55, _MM_SHUFFLE(1, 0, 1, 0));
            *((a71 + 1)) = s16;
            s26 = _mm_shuffle_ps(s74, s55, _MM_SHUFFLE(3, 2, 3, 2));
            *((a71 + 9)) = s26;
            s36 = _mm_shuffle_ps(s84, s65, _MM_SHUFFLE(1, 0, 1, 0));
            *((a71 + 17)) = s36;
            s46 = _mm_shuffle_ps(s84, s65, _MM_SHUFFLE(3, 2, 3, 2));
            *((a71 + 25)) = s46;
        }}
    }}
    {long i5; for(i5 = 0; i5 <= 3; i5++) {
        {long i6; for(i6 = 0; i6 <= 7; i6++) {
            a81 = (((__m128  *) T) + ((2 * i5) + (8 * i6)));
            s56 = *(a81);
            s66 = *((a81 + 1));
            s76 = *((a81 + 256));
            s86 = *((a81 + 257));
            a91 = (16 * i6);
            a02 = (D981 + ((128 * i5) + a91));
            a12 = *(a02);
            a22 = *((a02 + 1));
            s96 = _mm_sub_ps(_mm_mul_ps(a12, s56), _mm_mul_ps(a22, s66));
            s07 = _mm_add_ps(_mm_mul_ps(a22, s56), _mm_mul_ps(a12, s66));
            a32 = *((a02 + 2));
            a42 = *((a02 + 3));
            s17 = _mm_sub_ps(_mm_mul_ps(a32, s76), _mm_mul_ps(a42, s86));
            s27 = _mm_add_ps(_mm_mul_ps(a42, s76), _mm_mul_ps(a32, s86));
            t52 = _mm_add_ps(s96, s17);
            t62 = _mm_add_ps(s07, s27);
            t72 = _mm_sub_ps(s96, s17);
            t82 = _mm_sub_ps(s07, s27);
            s37 = *((a81 + 128));
            s47 = *((a81 + 129));
            s57 = *((a81 + 384));
            s67 = *((a81 + 385));
            a52 = *((a02 + 4));
            a62 = *((a02 + 5));
            s77 = _mm_sub_ps(_mm_mul_ps(a52, s37), _mm_mul_ps(a62, s47));
            s87 = _mm_add_ps(_mm_mul_ps(a62, s37), _mm_mul_ps(a52, s47));
            a72 = *((a02 + 6));
            a82 = *((a02 + 7));
            s97 = _mm_sub_ps(_mm_mul_ps(a72, s57), _mm_mul_ps(a82, s67));
            s08 = _mm_add_ps(_mm_mul_ps(a82, s57), _mm_mul_ps(a72, s67));
            t92 = _mm_add_ps(s77, s97);
            t03 = _mm_add_ps(s87, s08);
            t13 = _mm_sub_ps(s77, s97);
            t23 = _mm_sub_ps(s87, s08);
            t33 = _mm_add_ps(t52, t92);
            t43 = _mm_add_ps(t62, t03);
            t53 = _mm_sub_ps(t52, t92);
            t63 = _mm_sub_ps(t62, t03);
            t73 = _mm_add_ps(t72, t23);
            t83 = _mm_sub_ps(t82, t13);
            t93 = _mm_sub_ps(t72, t23);
            t04 = _mm_add_ps(t82, t13);
            s18 = *((a81 + 64));
            s28 = *((a81 + 65));
            s38 = *((a81 + 320));
            s48 = *((a81 + 321));
            a92 = *((a02 + 8));
            a03 = *((a02 + 9));
            s58 = _mm_sub_ps(_mm_mul_ps(a92, s18), _mm_mul_ps(a03, s28));
            s68 = _mm_add_ps(_mm_mul_ps(a03, s18), _mm_mul_ps(a92, s28));
            a13 = *((a02 + 10));
            a23 = *((a02 + 11));
            s78 = _mm_sub_ps(_mm_mul_ps(a13, s38), _mm_mul_ps(a23, s48));
            s88 = _mm_add_ps(_mm_mul_ps(a23, s38), _mm_mul_ps(a13, s48));
            t14 = _mm_add_ps(s58, s78);
            t24 = _mm_add_ps(s68, s88);
            t34 = _mm_sub_ps(s58, s78);
            t44 = _mm_sub_ps(s68, s88);
            s98 = *((a81 + 192));
            s09 = *((a81 + 193));
            s19 = *((a81 + 448));
            s29 = *((a81 + 449));
            a33 = *((a02 + 12));
            a43 = *((a02 + 13));
            s39 = _mm_sub_ps(_mm_mul_ps(a33, s98), _mm_mul_ps(a43, s09));
            s49 = _mm_add_ps(_mm_mul_ps(a43, s98), _mm_mul_ps(a33, s09));
            a53 = *((a02 + 14));
            a63 = *((a02 + 15));
            s59 = _mm_sub_ps(_mm_mul_ps(a53, s19), _mm_mul_ps(a63, s29));
            s69 = _mm_add_ps(_mm_mul_ps(a63, s19), _mm_mul_ps(a53, s29));
            t54 = _mm_add_ps(s39, s59);
            t64 = _mm_add_ps(s49, s69);
            t74 = _mm_sub_ps(s39, s59);
            t84 = _mm_sub_ps(s49, s69);
            t94 = _mm_add_ps(t14, t54);
            t05 = _mm_add_ps(t24, t64);
            t15 = _mm_sub_ps(t14, t54);
            t25 = _mm_sub_ps(t24, t64);
            a73 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t34, t84));
            a83 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t44, t74));
            s79 = _mm_sub_ps(a73, a83);
            s89 = _mm_add_ps(a73, a83);
            a93 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t34, t84));
            a04 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t44, t74));
            s99 = _mm_sub_ps(a93, a04);
            s0a = _mm_add_ps(a93, a04);
            t35 = _mm_add_ps(t33, t94);
            t45 = _mm_add_ps(t43, t05);
            t55 = _mm_sub_ps(t33, t94);
            t65 = _mm_sub_ps(t43, t05);
            a14 = (D978 + a91);
            a24 = *(a14);
            a34 = *((a14 + 1));
            a44 = *((a14 + 2));
            a54 = *((a14 + 3));
            a64 = (((__m128  *) T4) + a91);
            s1a = _mm_sub_ps(_mm_mul_ps(a24, t35), _mm_mul_ps(a34, t45));
            *(a64) = s1a;
            s2a = _mm_add_ps(_mm_mul_ps(a34, t35), _mm_mul_ps(a24, t45));
            *((a64 + 1)) = s2a;
            s3a = _mm_sub_ps(_mm_mul_ps(a44, t55), _mm_mul_ps(a54, t65));
            *((a64 + 8)) = s3a;
            s4a = _mm_add_ps(_mm_mul_ps(a54, t55), _mm_mul_ps(a44, t65));
            *((a64 + 9)) = s4a;
            t75 = _mm_add_ps(t73, s79);
            t85 = _mm_sub_ps(t83, s89);
            t95 = _mm_sub_ps(t73, s79);
            t06 = _mm_add_ps(t83, s89);
            a74 = *((a14 + 4));
            a84 = *((a14 + 5));
            a94 = *((a14 + 6));
            a05 = *((a14 + 7));
            s5a = _mm_sub_ps(_mm_mul_ps(a74, t75), _mm_mul_ps(a84, t85));
            *((a64 + 2)) = s5a;
            s6a = _mm_add_ps(_mm_mul_ps(a84, t75), _mm_mul_ps(a74, t85));
            *((a64 + 3)) = s6a;
            s7a = _mm_sub_ps(_mm_mul_ps(a94, t95), _mm_mul_ps(a05, t06));
            *((a64 + 10)) = s7a;
            s8a = _mm_add_ps(_mm_mul_ps(a05, t95), _mm_mul_ps(a94, t06));
            *((a64 + 11)) = s8a;
            t16 = _mm_add_ps(t53, t25);
            t26 = _mm_sub_ps(t63, t15);
            t36 = _mm_sub_ps(t53, t25);
            t46 = _mm_add_ps(t63, t15);
            a15 = *((a14 + 8));
            a25 = *((a14 + 9));
            a35 = *((a14 + 10));
            a45 = *((a14 + 11));
            s9a = _mm_sub_ps(_mm_mul_ps(a15, t16), _mm_mul_ps(a25, t26));
            *((a64 + 4)) = s9a;
            s0b = _mm_add_ps(_mm_mul_ps(a25, t16), _mm_mul_ps(a15, t26));
            *((a64 + 5)) = s0b;
            s1b = _mm_sub_ps(_mm_mul_ps(a35, t36), _mm_mul_ps(a45, t46));
            *((a64 + 12)) = s1b;
            s2b = _mm_add_ps(_mm_mul_ps(a45, t36), _mm_mul_ps(a35, t46));
            *((a64 + 13)) = s2b;
            t56 = _mm_add_ps(t93, s99);
            t66 = _mm_add_ps(t04, s0a);
            t76 = _mm_sub_ps(t93, s99);
            t86 = _mm_sub_ps(t04, s0a);
            a55 = *((a14 + 12));
            a65 = *((a14 + 13));
            a75 = *((a14 + 14));
            a85 = *((a14 + 15));
            s3b = _mm_sub_ps(_mm_mul_ps(a55, t56), _mm_mul_ps(a65, t66));
            *((a64 + 6)) = s3b;
            s4b = _mm_add_ps(_mm_mul_ps(a65, t56), _mm_mul_ps(a55, t66));
            *((a64 + 7)) = s4b;
            s5b = _mm_sub_ps(_mm_mul_ps(a75, t76), _mm_mul_ps(a85, t86));
            *((a64 + 14)) = s5b;
            s6b = _mm_add_ps(_mm_mul_ps(a85, t76), _mm_mul_ps(a75, t86));
            *((a64 + 15)) = s6b;
        }}
        {long i7; for(i7 = 0; i7 <= 7; i7++) {
            a95 = (((__m128  *) T4) + (2 * i7));
            s7b = *(a95);
            s8b = *((a95 + 1));
            s9b = *((a95 + 64));
            s0c = *((a95 + 65));
            t96 = _mm_add_ps(s7b, s9b);
            t07 = _mm_add_ps(s8b, s0c);
            t17 = _mm_sub_ps(s7b, s9b);
            t27 = _mm_sub_ps(s8b, s0c);
            s1c = *((a95 + 32));
            s2c = *((a95 + 33));
            s3c = *((a95 + 96));
            s4c = *((a95 + 97));
            t37 = _mm_add_ps(s1c, s3c);
            t47 = _mm_add_ps(s2c, s4c);
            t57 = _mm_sub_ps(s1c, s3c);
            t67 = _mm_sub_ps(s2c, s4c);
            t77 = _mm_add_ps(t96, t37);
            t87 = _mm_add_ps(t07, t47);
            t97 = _mm_sub_ps(t96, t37);
            t08 = _mm_sub_ps(t07, t47);
            t18 = _mm_add_ps(t17, t67);
            t28 = _mm_sub_ps(t27, t57);
            t38 = _mm_sub_ps(t17, t67);
            t48 = _mm_add_ps(t27, t57);
            s5c = *((a95 + 16));
            s6c = *((a95 + 17));
            s7c = *((a95 + 80));
            s8c = *((a95 + 81));
            t58 = _mm_add_ps(s5c, s7c);
            t68 = _mm_add_ps(s6c, s8c);
            t78 = _mm_sub_ps(s5c, s7c);
            t88 = _mm_sub_ps(s6c, s8c);
            s9c = *((a95 + 48));
            s0d = *((a95 + 49));
            s1d = *((a95 + 112));
            s2d = *((a95 + 113));
            t98 = _mm_add_ps(s9c, s1d);
            t09 = _mm_add_ps(s0d, s2d);
            t19 = _mm_sub_ps(s9c, s1d);
            t29 = _mm_sub_ps(s0d, s2d);
            t39 = _mm_add_ps(t58, t98);
            t49 = _mm_add_ps(t68, t09);
            t59 = _mm_sub_ps(t58, t98);
            t69 = _mm_sub_ps(t68, t09);
            a06 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t78, t29));
            a16 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t88, t19));
            s3d = _mm_sub_ps(a06, a16);
            s4d = _mm_add_ps(a06, a16);
            a26 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t78, t29));
            a36 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t88, t19));
            s5d = _mm_sub_ps(a26, a36);
            s6d = _mm_add_ps(a26, a36);
            t79 = _mm_add_ps(t77, t39);
            t89 = _mm_add_ps(t87, t49);
            t99 = _mm_sub_ps(t77, t39);
            t0a = _mm_sub_ps(t87, t49);
            a46 = (dst + ((8 * i5) + (32 * i7)));
            s7d = _mm_unpacklo_ps(t79, t89);
            _mm_storeu_ps(((float  *) a46), s7d);
            s8d = _mm_unpackhi_ps(t79, t89);
            _mm_storeu_ps(((float  *) (a46 + 4)), s8d);
            s9d = _mm_unpacklo_ps(t99, t0a);
            _mm_storeu_ps(((float  *) (a46 + 1024)), s9d);
            s0e = _mm_unpackhi_ps(t99, t0a);
            _mm_storeu_ps(((float  *) (a46 + 1028)), s0e);
            t1a = _mm_add_ps(t18, s3d);
            t2a = _mm_sub_ps(t28, s4d);
            t3a = _mm_sub_ps(t18, s3d);
            t4a = _mm_add_ps(t28, s4d);
            s1e = _mm_unpacklo_ps(t1a, t2a);
            _mm_storeu_ps(((float  *) (a46 + 256)), s1e);
            s2e = _mm_unpackhi_ps(t1a, t2a);
            _mm_storeu_ps(((float  *) (a46 + 260)), s2e);
            s3e = _mm_unpacklo_ps(t3a, t4a);
            _mm_storeu_ps(((float  *) (a46 + 1280)), s3e);
            s4e = _mm_unpackhi_ps(t3a, t4a);
            _mm_storeu_ps(((float  *) (a46 + 1284)), s4e);
            t5a = _mm_add_ps(t97, t69);
            t6a = _mm_sub_ps(t08, t59);
            t7a = _mm_sub_ps(t97, t69);
            t8a = _mm_add_ps(t08, t59);
            s5e = _mm_unpacklo_ps(t5a, t6a);
            _mm_storeu_ps(((float  *) (a46 + 512)), s5e);
            s6e = _mm_unpackhi_ps(t5a, t6a);
            _mm_storeu_ps(((float  *) (a46 + 516)), s6e);
            s7e = _mm_unpacklo_ps(t7a, t8a);
            _mm_storeu_ps(((float  *) (a46 + 1536)), s7e);
            s8e = _mm_unpackhi_ps(t7a, t8a);
            _mm_storeu_ps(((float  *) (a46 + 1540)), s8e);
            t9a = _mm_add_ps(t38, s5d);
            t0b = _mm_add_ps(t48, s6d);
            t1b = _mm_sub_ps(t38, s5d);
            t2b = _mm_sub_ps(t48, s6d);
            s9e = _mm_unpacklo_ps(t9a, t0b);
            _mm_storeu_ps(((float  *) (a46 + 768)), s9e);
            s0f = _mm_unpackhi_ps(t9a, t0b);
            _mm_storeu_ps(((float  *) (a46 + 772)), s0f);
            s1f = _mm_unpacklo_ps(t1b, t2b);
            _mm_storeu_ps(((float  *) (a46 + 1792)), s1f);
            s2f = _mm_unpackhi_ps(t1b, t2b);
            _mm_storeu_ps(((float  *) (a46 + 1796)), s2f);
        }}
    }}
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_fftfwd_float_1024)(const float *pSrc, float *pDst ) {
    if (!is_aligned(pSrc) || !is_aligned(pDst))
       	return spiral_fftfwd_float_1024_unaligned(pSrc, pDst );
    else {
    const float  *src = (const float *) pSrc; 
    float        *dst = (float *) pDst;
    
    
    { SPIRAL_ALIGNED(float T[2048]);
     SPIRAL_ALIGNED(float T2[128]);
     SPIRAL_ALIGNED(float T3[128]);
     SPIRAL_ALIGNED(float T4[512]);
    __m128 s06, s0e, s0f, s16, s1e, s1f, s26, s2e, s2f, s36, s3e, s46, s4e, s5e, s6e, s75, s7d, s7e, s85, s8d, s8e, s95
            , s9d, s9e;
    __m128 a01, a03, a04, a05, a06, a11, a12, a13, a15, a16, a21, a22, a23, a24, a25, a26, a32, a33, a34, a35, a36, a4
            , a42, a43, a44, a45, a5, a52, a53, a54, a55, a6, a62, a63, a65, a7, a72, a73, a74, a75, a82, a83, a84, a85
            , a9, a92, a93, a94, s, s01, s02, s03, s04, s05, s07, s08, s09, s0a, s0b, s0c, s0d, s11, s12, s13, s14, s15
            , s17, s18, s19, s1a, s1b, s1c, s1d, s2, s21, s22, s23, s24, s25, s27, s28, s29, s2a, s2b, s2c, s2d, s3, s31
            , s32, s33, s34, s35, s37, s38, s39, s3a, s3b, s3c, s3d, s4, s41, s42, s43, s44, s45, s47, s48, s49, s4a, s4b
            , s4c, s4d, s5, s51, s52, s53, s54, s55, s56, s57, s58, s59, s5a, s5b, s5c, s5d, s6, s61, s62, s63, s64, s65
            , s66, s67, s68, s69, s6a, s6b, s6c, s6d, s7, s71, s72, s73, s74, s76, s77, s78, s79, s7a, s7b, s7c, s8, s81
            , s82, s83, s84, s86, s87, s88, s89, s8a, s8b, s8c, s9, s91, s92, s93, s94, s96, s97, s98, s99, s9a, s9b, s9c
            , t, t01, t02, t03, t04, t05, t06, t07, t08, t09, t0a, t0b, t11, t12, t13, t14, t15, t16, t17, t18, t19, t1a
            , t1b, t2, t21, t22, t23, t24, t25, t26, t27, t28, t29, t2a, t2b, t3, t31, t32, t33, t34, t35, t36, t37, t38
            , t39, t3a, t4, t41, t42, t43, t44, t45, t46, t47, t48, t49, t4a, t5, t51, t52, t53, t54, t55, t56, t57, t58
            , t59, t5a, t6, t61, t62, t63, t64, t65, t66, t67, t68, t69, t6a, t7, t71, t72, t73, t74, t75, t76, t77, t78
            , t79, t7a, t8, t81, t82, t83, t84, t85, t86, t87, t88, t89, t8a, t9, t91, t92, t93, t94, t95, t96, t97, t98
            , t99, t9a;
    __m128  *a, *a02, *a14, *a3, *a41, *a46, *a51, *a61, *a64, *a71, *a8, *a81, *a95;
    int a2, a31, a91;
    {long i; for(i = 0; i <= 15; i++) {
        {long i2; for(i2 = 0; i2 <= 3; i2++) {
            a = (((__m128  *) src) + ((2 * i) + (32 * i2)));
            s = *(a);
            s2 = *((a + 1));
            s3 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(2, 0, 2, 0));
            s4 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(3, 1, 3, 1));
            s5 = *((a + 256));
            s6 = *((a + 257));
            s7 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(2, 0, 2, 0));
            s8 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(3, 1, 3, 1));
            t = _mm_add_ps(s3, s7);
            t2 = _mm_add_ps(s4, s8);
            t3 = _mm_sub_ps(s3, s7);
            t4 = _mm_sub_ps(s4, s8);
            s9 = *((a + 128));
            s01 = *((a + 129));
            s11 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(2, 0, 2, 0));
            s21 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(3, 1, 3, 1));
            s31 = *((a + 384));
            s41 = *((a + 385));
            s51 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(2, 0, 2, 0));
            s61 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(3, 1, 3, 1));
            t5 = _mm_add_ps(s11, s51);
            t6 = _mm_add_ps(s21, s61);
            t7 = _mm_sub_ps(s11, s51);
            t8 = _mm_sub_ps(s21, s61);
            t9 = _mm_add_ps(t, t5);
            t01 = _mm_add_ps(t2, t6);
            t11 = _mm_sub_ps(t, t5);
            t21 = _mm_sub_ps(t2, t6);
            a2 = (8 * i2);
            a3 = (D976 + a2);
            a4 = *(a3);
            a5 = *((a3 + 1));
            a6 = *((a3 + 2));
            a7 = *((a3 + 3));
            a8 = (((__m128  *) T3) + a2);
            s71 = _mm_sub_ps(_mm_mul_ps(a4, t9), _mm_mul_ps(a5, t01));
            *(a8) = s71;
            s81 = _mm_add_ps(_mm_mul_ps(a5, t9), _mm_mul_ps(a4, t01));
            *((a8 + 1)) = s81;
            s91 = _mm_sub_ps(_mm_mul_ps(a6, t11), _mm_mul_ps(a7, t21));
            *((a8 + 4)) = s91;
            s02 = _mm_add_ps(_mm_mul_ps(a7, t11), _mm_mul_ps(a6, t21));
            *((a8 + 5)) = s02;
            t31 = _mm_add_ps(t3, t8);
            t41 = _mm_sub_ps(t4, t7);
            t51 = _mm_sub_ps(t3, t8);
            t61 = _mm_add_ps(t4, t7);
            a9 = *((a3 + 4));
            a01 = *((a3 + 5));
            a11 = *((a3 + 6));
            a21 = *((a3 + 7));
            s12 = _mm_sub_ps(_mm_mul_ps(a9, t31), _mm_mul_ps(a01, t41));
            *((a8 + 2)) = s12;
            s22 = _mm_add_ps(_mm_mul_ps(a01, t31), _mm_mul_ps(a9, t41));
            *((a8 + 3)) = s22;
            s32 = _mm_sub_ps(_mm_mul_ps(a11, t51), _mm_mul_ps(a21, t61));
            *((a8 + 6)) = s32;
            s42 = _mm_add_ps(_mm_mul_ps(a21, t51), _mm_mul_ps(a11, t61));
            *((a8 + 7)) = s42;
        }}
        {long i3; for(i3 = 0; i3 <= 3; i3++) {
            a31 = (2 * i3);
            a41 = (((__m128  *) T3) + a31);
            s52 = *(a41);
            s62 = *((a41 + 1));
            s72 = *((a41 + 16));
            s82 = *((a41 + 17));
            t71 = _mm_add_ps(s52, s72);
            t81 = _mm_add_ps(s62, s82);
            t91 = _mm_sub_ps(s52, s72);
            t02 = _mm_sub_ps(s62, s82);
            s92 = *((a41 + 8));
            s03 = *((a41 + 9));
            s13 = *((a41 + 24));
            s23 = *((a41 + 25));
            t12 = _mm_add_ps(s92, s13);
            t22 = _mm_add_ps(s03, s23);
            t32 = _mm_sub_ps(s92, s13);
            t42 = _mm_sub_ps(s03, s23);
            a51 = (((__m128  *) T2) + a31);
            s33 = _mm_add_ps(t71, t12);
            *(a51) = s33;
            s43 = _mm_add_ps(t81, t22);
            *((a51 + 1)) = s43;
            s53 = _mm_sub_ps(t71, t12);
            *((a51 + 16)) = s53;
            s63 = _mm_sub_ps(t81, t22);
            *((a51 + 17)) = s63;
            s73 = _mm_add_ps(t91, t42);
            *((a51 + 8)) = s73;
            s83 = _mm_sub_ps(t02, t32);
            *((a51 + 9)) = s83;
            s93 = _mm_sub_ps(t91, t42);
            *((a51 + 24)) = s93;
            s04 = _mm_add_ps(t02, t32);
            *((a51 + 25)) = s04;
        }}
        {long i4; for(i4 = 0; i4 <= 3; i4++) {
            a61 = (((__m128  *) T2) + (8 * i4));
            s14 = *(a61);
            s24 = *((a61 + 2));
            s34 = _mm_unpacklo_ps(s14, s24);
            s44 = _mm_unpackhi_ps(s14, s24);
            s54 = *((a61 + 1));
            s64 = *((a61 + 3));
            s74 = _mm_unpacklo_ps(s54, s64);
            s84 = _mm_unpackhi_ps(s54, s64);
            s94 = *((a61 + 4));
            s05 = *((a61 + 6));
            s15 = _mm_unpacklo_ps(s94, s05);
            s25 = _mm_unpackhi_ps(s94, s05);
            s35 = *((a61 + 5));
            s45 = *((a61 + 7));
            s55 = _mm_unpacklo_ps(s35, s45);
            s65 = _mm_unpackhi_ps(s35, s45);
            a71 = (((__m128  *) T) + ((32 * i) + (2 * i4)));
            s75 = _mm_shuffle_ps(s34, s15, _MM_SHUFFLE(1, 0, 1, 0));
            *(a71) = s75;
            s85 = _mm_shuffle_ps(s34, s15, _MM_SHUFFLE(3, 2, 3, 2));
            *((a71 + 8)) = s85;
            s95 = _mm_shuffle_ps(s44, s25, _MM_SHUFFLE(1, 0, 1, 0));
            *((a71 + 16)) = s95;
            s06 = _mm_shuffle_ps(s44, s25, _MM_SHUFFLE(3, 2, 3, 2));
            *((a71 + 24)) = s06;
            s16 = _mm_shuffle_ps(s74, s55, _MM_SHUFFLE(1, 0, 1, 0));
            *((a71 + 1)) = s16;
            s26 = _mm_shuffle_ps(s74, s55, _MM_SHUFFLE(3, 2, 3, 2));
            *((a71 + 9)) = s26;
            s36 = _mm_shuffle_ps(s84, s65, _MM_SHUFFLE(1, 0, 1, 0));
            *((a71 + 17)) = s36;
            s46 = _mm_shuffle_ps(s84, s65, _MM_SHUFFLE(3, 2, 3, 2));
            *((a71 + 25)) = s46;
        }}
    }}
    {long i5; for(i5 = 0; i5 <= 3; i5++) {
        {long i6; for(i6 = 0; i6 <= 7; i6++) {
            a81 = (((__m128  *) T) + ((2 * i5) + (8 * i6)));
            s56 = *(a81);
            s66 = *((a81 + 1));
            s76 = *((a81 + 256));
            s86 = *((a81 + 257));
            a91 = (16 * i6);
            a02 = (D981 + ((128 * i5) + a91));
            a12 = *(a02);
            a22 = *((a02 + 1));
            s96 = _mm_sub_ps(_mm_mul_ps(a12, s56), _mm_mul_ps(a22, s66));
            s07 = _mm_add_ps(_mm_mul_ps(a22, s56), _mm_mul_ps(a12, s66));
            a32 = *((a02 + 2));
            a42 = *((a02 + 3));
            s17 = _mm_sub_ps(_mm_mul_ps(a32, s76), _mm_mul_ps(a42, s86));
            s27 = _mm_add_ps(_mm_mul_ps(a42, s76), _mm_mul_ps(a32, s86));
            t52 = _mm_add_ps(s96, s17);
            t62 = _mm_add_ps(s07, s27);
            t72 = _mm_sub_ps(s96, s17);
            t82 = _mm_sub_ps(s07, s27);
            s37 = *((a81 + 128));
            s47 = *((a81 + 129));
            s57 = *((a81 + 384));
            s67 = *((a81 + 385));
            a52 = *((a02 + 4));
            a62 = *((a02 + 5));
            s77 = _mm_sub_ps(_mm_mul_ps(a52, s37), _mm_mul_ps(a62, s47));
            s87 = _mm_add_ps(_mm_mul_ps(a62, s37), _mm_mul_ps(a52, s47));
            a72 = *((a02 + 6));
            a82 = *((a02 + 7));
            s97 = _mm_sub_ps(_mm_mul_ps(a72, s57), _mm_mul_ps(a82, s67));
            s08 = _mm_add_ps(_mm_mul_ps(a82, s57), _mm_mul_ps(a72, s67));
            t92 = _mm_add_ps(s77, s97);
            t03 = _mm_add_ps(s87, s08);
            t13 = _mm_sub_ps(s77, s97);
            t23 = _mm_sub_ps(s87, s08);
            t33 = _mm_add_ps(t52, t92);
            t43 = _mm_add_ps(t62, t03);
            t53 = _mm_sub_ps(t52, t92);
            t63 = _mm_sub_ps(t62, t03);
            t73 = _mm_add_ps(t72, t23);
            t83 = _mm_sub_ps(t82, t13);
            t93 = _mm_sub_ps(t72, t23);
            t04 = _mm_add_ps(t82, t13);
            s18 = *((a81 + 64));
            s28 = *((a81 + 65));
            s38 = *((a81 + 320));
            s48 = *((a81 + 321));
            a92 = *((a02 + 8));
            a03 = *((a02 + 9));
            s58 = _mm_sub_ps(_mm_mul_ps(a92, s18), _mm_mul_ps(a03, s28));
            s68 = _mm_add_ps(_mm_mul_ps(a03, s18), _mm_mul_ps(a92, s28));
            a13 = *((a02 + 10));
            a23 = *((a02 + 11));
            s78 = _mm_sub_ps(_mm_mul_ps(a13, s38), _mm_mul_ps(a23, s48));
            s88 = _mm_add_ps(_mm_mul_ps(a23, s38), _mm_mul_ps(a13, s48));
            t14 = _mm_add_ps(s58, s78);
            t24 = _mm_add_ps(s68, s88);
            t34 = _mm_sub_ps(s58, s78);
            t44 = _mm_sub_ps(s68, s88);
            s98 = *((a81 + 192));
            s09 = *((a81 + 193));
            s19 = *((a81 + 448));
            s29 = *((a81 + 449));
            a33 = *((a02 + 12));
            a43 = *((a02 + 13));
            s39 = _mm_sub_ps(_mm_mul_ps(a33, s98), _mm_mul_ps(a43, s09));
            s49 = _mm_add_ps(_mm_mul_ps(a43, s98), _mm_mul_ps(a33, s09));
            a53 = *((a02 + 14));
            a63 = *((a02 + 15));
            s59 = _mm_sub_ps(_mm_mul_ps(a53, s19), _mm_mul_ps(a63, s29));
            s69 = _mm_add_ps(_mm_mul_ps(a63, s19), _mm_mul_ps(a53, s29));
            t54 = _mm_add_ps(s39, s59);
            t64 = _mm_add_ps(s49, s69);
            t74 = _mm_sub_ps(s39, s59);
            t84 = _mm_sub_ps(s49, s69);
            t94 = _mm_add_ps(t14, t54);
            t05 = _mm_add_ps(t24, t64);
            t15 = _mm_sub_ps(t14, t54);
            t25 = _mm_sub_ps(t24, t64);
            a73 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t34, t84));
            a83 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t44, t74));
            s79 = _mm_sub_ps(a73, a83);
            s89 = _mm_add_ps(a73, a83);
            a93 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t34, t84));
            a04 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t44, t74));
            s99 = _mm_sub_ps(a93, a04);
            s0a = _mm_add_ps(a93, a04);
            t35 = _mm_add_ps(t33, t94);
            t45 = _mm_add_ps(t43, t05);
            t55 = _mm_sub_ps(t33, t94);
            t65 = _mm_sub_ps(t43, t05);
            a14 = (D978 + a91);
            a24 = *(a14);
            a34 = *((a14 + 1));
            a44 = *((a14 + 2));
            a54 = *((a14 + 3));
            a64 = (((__m128  *) T4) + a91);
            s1a = _mm_sub_ps(_mm_mul_ps(a24, t35), _mm_mul_ps(a34, t45));
            *(a64) = s1a;
            s2a = _mm_add_ps(_mm_mul_ps(a34, t35), _mm_mul_ps(a24, t45));
            *((a64 + 1)) = s2a;
            s3a = _mm_sub_ps(_mm_mul_ps(a44, t55), _mm_mul_ps(a54, t65));
            *((a64 + 8)) = s3a;
            s4a = _mm_add_ps(_mm_mul_ps(a54, t55), _mm_mul_ps(a44, t65));
            *((a64 + 9)) = s4a;
            t75 = _mm_add_ps(t73, s79);
            t85 = _mm_sub_ps(t83, s89);
            t95 = _mm_sub_ps(t73, s79);
            t06 = _mm_add_ps(t83, s89);
            a74 = *((a14 + 4));
            a84 = *((a14 + 5));
            a94 = *((a14 + 6));
            a05 = *((a14 + 7));
            s5a = _mm_sub_ps(_mm_mul_ps(a74, t75), _mm_mul_ps(a84, t85));
            *((a64 + 2)) = s5a;
            s6a = _mm_add_ps(_mm_mul_ps(a84, t75), _mm_mul_ps(a74, t85));
            *((a64 + 3)) = s6a;
            s7a = _mm_sub_ps(_mm_mul_ps(a94, t95), _mm_mul_ps(a05, t06));
            *((a64 + 10)) = s7a;
            s8a = _mm_add_ps(_mm_mul_ps(a05, t95), _mm_mul_ps(a94, t06));
            *((a64 + 11)) = s8a;
            t16 = _mm_add_ps(t53, t25);
            t26 = _mm_sub_ps(t63, t15);
            t36 = _mm_sub_ps(t53, t25);
            t46 = _mm_add_ps(t63, t15);
            a15 = *((a14 + 8));
            a25 = *((a14 + 9));
            a35 = *((a14 + 10));
            a45 = *((a14 + 11));
            s9a = _mm_sub_ps(_mm_mul_ps(a15, t16), _mm_mul_ps(a25, t26));
            *((a64 + 4)) = s9a;
            s0b = _mm_add_ps(_mm_mul_ps(a25, t16), _mm_mul_ps(a15, t26));
            *((a64 + 5)) = s0b;
            s1b = _mm_sub_ps(_mm_mul_ps(a35, t36), _mm_mul_ps(a45, t46));
            *((a64 + 12)) = s1b;
            s2b = _mm_add_ps(_mm_mul_ps(a45, t36), _mm_mul_ps(a35, t46));
            *((a64 + 13)) = s2b;
            t56 = _mm_add_ps(t93, s99);
            t66 = _mm_add_ps(t04, s0a);
            t76 = _mm_sub_ps(t93, s99);
            t86 = _mm_sub_ps(t04, s0a);
            a55 = *((a14 + 12));
            a65 = *((a14 + 13));
            a75 = *((a14 + 14));
            a85 = *((a14 + 15));
            s3b = _mm_sub_ps(_mm_mul_ps(a55, t56), _mm_mul_ps(a65, t66));
            *((a64 + 6)) = s3b;
            s4b = _mm_add_ps(_mm_mul_ps(a65, t56), _mm_mul_ps(a55, t66));
            *((a64 + 7)) = s4b;
            s5b = _mm_sub_ps(_mm_mul_ps(a75, t76), _mm_mul_ps(a85, t86));
            *((a64 + 14)) = s5b;
            s6b = _mm_add_ps(_mm_mul_ps(a85, t76), _mm_mul_ps(a75, t86));
            *((a64 + 15)) = s6b;
        }}
        {long i7; for(i7 = 0; i7 <= 7; i7++) {
            a95 = (((__m128  *) T4) + (2 * i7));
            s7b = *(a95);
            s8b = *((a95 + 1));
            s9b = *((a95 + 64));
            s0c = *((a95 + 65));
            t96 = _mm_add_ps(s7b, s9b);
            t07 = _mm_add_ps(s8b, s0c);
            t17 = _mm_sub_ps(s7b, s9b);
            t27 = _mm_sub_ps(s8b, s0c);
            s1c = *((a95 + 32));
            s2c = *((a95 + 33));
            s3c = *((a95 + 96));
            s4c = *((a95 + 97));
            t37 = _mm_add_ps(s1c, s3c);
            t47 = _mm_add_ps(s2c, s4c);
            t57 = _mm_sub_ps(s1c, s3c);
            t67 = _mm_sub_ps(s2c, s4c);
            t77 = _mm_add_ps(t96, t37);
            t87 = _mm_add_ps(t07, t47);
            t97 = _mm_sub_ps(t96, t37);
            t08 = _mm_sub_ps(t07, t47);
            t18 = _mm_add_ps(t17, t67);
            t28 = _mm_sub_ps(t27, t57);
            t38 = _mm_sub_ps(t17, t67);
            t48 = _mm_add_ps(t27, t57);
            s5c = *((a95 + 16));
            s6c = *((a95 + 17));
            s7c = *((a95 + 80));
            s8c = *((a95 + 81));
            t58 = _mm_add_ps(s5c, s7c);
            t68 = _mm_add_ps(s6c, s8c);
            t78 = _mm_sub_ps(s5c, s7c);
            t88 = _mm_sub_ps(s6c, s8c);
            s9c = *((a95 + 48));
            s0d = *((a95 + 49));
            s1d = *((a95 + 112));
            s2d = *((a95 + 113));
            t98 = _mm_add_ps(s9c, s1d);
            t09 = _mm_add_ps(s0d, s2d);
            t19 = _mm_sub_ps(s9c, s1d);
            t29 = _mm_sub_ps(s0d, s2d);
            t39 = _mm_add_ps(t58, t98);
            t49 = _mm_add_ps(t68, t09);
            t59 = _mm_sub_ps(t58, t98);
            t69 = _mm_sub_ps(t68, t09);
            a06 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t78, t29));
            a16 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t88, t19));
            s3d = _mm_sub_ps(a06, a16);
            s4d = _mm_add_ps(a06, a16);
            a26 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t78, t29));
            a36 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t88, t19));
            s5d = _mm_sub_ps(a26, a36);
            s6d = _mm_add_ps(a26, a36);
            t79 = _mm_add_ps(t77, t39);
            t89 = _mm_add_ps(t87, t49);
            t99 = _mm_sub_ps(t77, t39);
            t0a = _mm_sub_ps(t87, t49);
            a46 = (((__m128  *) dst) + ((2 * i5) + (8 * i7)));
            s7d = _mm_unpacklo_ps(t79, t89);
            *(a46) = s7d;
            s8d = _mm_unpackhi_ps(t79, t89);
            *((a46 + 1)) = s8d;
            s9d = _mm_unpacklo_ps(t99, t0a);
            *((a46 + 256)) = s9d;
            s0e = _mm_unpackhi_ps(t99, t0a);
            *((a46 + 257)) = s0e;
            t1a = _mm_add_ps(t18, s3d);
            t2a = _mm_sub_ps(t28, s4d);
            t3a = _mm_sub_ps(t18, s3d);
            t4a = _mm_add_ps(t28, s4d);
            s1e = _mm_unpacklo_ps(t1a, t2a);
            *((a46 + 64)) = s1e;
            s2e = _mm_unpackhi_ps(t1a, t2a);
            *((a46 + 65)) = s2e;
            s3e = _mm_unpacklo_ps(t3a, t4a);
            *((a46 + 320)) = s3e;
            s4e = _mm_unpackhi_ps(t3a, t4a);
            *((a46 + 321)) = s4e;
            t5a = _mm_add_ps(t97, t69);
            t6a = _mm_sub_ps(t08, t59);
            t7a = _mm_sub_ps(t97, t69);
            t8a = _mm_add_ps(t08, t59);
            s5e = _mm_unpacklo_ps(t5a, t6a);
            *((a46 + 128)) = s5e;
            s6e = _mm_unpackhi_ps(t5a, t6a);
            *((a46 + 129)) = s6e;
            s7e = _mm_unpacklo_ps(t7a, t8a);
            *((a46 + 384)) = s7e;
            s8e = _mm_unpackhi_ps(t7a, t8a);
            *((a46 + 385)) = s8e;
            t9a = _mm_add_ps(t38, s5d);
            t0b = _mm_add_ps(t48, s6d);
            t1b = _mm_sub_ps(t38, s5d);
            t2b = _mm_sub_ps(t48, s6d);
            s9e = _mm_unpacklo_ps(t9a, t0b);
            *((a46 + 192)) = s9e;
            s0f = _mm_unpackhi_ps(t9a, t0b);
            *((a46 + 193)) = s0f;
            s1f = _mm_unpacklo_ps(t1b, t2b);
            *((a46 + 448)) = s1f;
            s2f = _mm_unpackhi_ps(t1b, t2b);
            *((a46 + 449)) = s2f;
        }}
    }}
    }
    
    return SPIRAL_OK;
    }
}

SPIRAL_PRIV(spiral_status_t, spiral_fftfwd_float_2048_unaligned)(const float *pSrc, float *pDst ) {
    const float  *src = (const float *) pSrc; 
    float        *dst = (float *) pDst;
    
    
    { SPIRAL_ALIGNED(float T[4096]);
     SPIRAL_ALIGNED(float T2[256]);
     SPIRAL_ALIGNED(float T3[256]);
     SPIRAL_ALIGNED(float T4[512]);
    __m128 s08, s0g, s0h, s18, s1g, s1h, s28, s2g, s2h, s38, s3g, s48, s4g, s5g, s6g, s77, s7f, s7g, s87, s8f, s8g, s97
            , s9f, s9g;
    __m128 a01, a03, a04, a06, a11, a13, a14, a15, a16, a21, a23, a24, a25, a26, a33, a34, a35, a4, a43, a44, a45, a46
            , a5, a51, a52, a53, a55, a56, a6, a61, a62, a63, a64, a65, a66, a7, a71, a72, a73, a74, a75, a76, a81, a82
            , a83, a84, a85, a9, a92, a93, a94, a95, s, s01, s02, s03, s04, s05, s06, s07, s09, s0a, s0b, s0c, s0d, s0e
            , s0f, s11, s12, s13, s14, s15, s16, s17, s19, s1a, s1b, s1c, s1d, s1e, s1f, s2, s21, s22, s23, s24, s25, s26
            , s27, s29, s2a, s2b, s2c, s2d, s2e, s2f, s3, s31, s32, s33, s34, s35, s36, s37, s39, s3a, s3b, s3c, s3d, s3e
            , s3f, s4, s41, s42, s43, s44, s45, s46, s47, s49, s4a, s4b, s4c, s4d, s4e, s4f, s5, s51, s52, s53, s54, s55
            , s56, s57, s58, s59, s5a, s5b, s5c, s5d, s5e, s5f, s6, s61, s62, s63, s64, s65, s66, s67, s68, s69, s6a, s6b
            , s6c, s6d, s6e, s6f, s7, s71, s72, s73, s74, s75, s76, s78, s79, s7a, s7b, s7c, s7d, s7e, s8, s81, s82, s83
            , s84, s85, s86, s88, s89, s8a, s8b, s8c, s8d, s8e, s9, s91, s92, s93, s94, s95, s96, s98, s99, s9a, s9b, s9c
            , s9d, s9e, t, t01, t02, t03, t04, t05, t06, t07, t08, t09, t0a, t0b, t0c, t0d, t11, t12, t13, t14, t15, t16
            , t17, t18, t19, t1a, t1b, t1c, t1d, t2, t21, t22, t23, t24, t25, t26, t27, t28, t29, t2a, t2b, t2c, t2d, t3
            , t31, t32, t33, t34, t35, t36, t37, t38, t39, t3a, t3b, t3c, t4, t41, t42, t43, t44, t45, t46, t47, t48, t49
            , t4a, t4b, t4c, t5, t51, t52, t53, t54, t55, t56, t57, t58, t59, t5a, t5b, t5c, t6, t61, t62, t63, t64, t65
            , t66, t67, t68, t69, t6a, t6b, t6c, t7, t71, t72, t73, t74, t75, t76, t77, t78, t79, t7a, t7b, t7c, t8, t81
            , t82, t83, t84, t85, t86, t87, t88, t89, t8a, t8b, t8c, t9, t91, t92, t93, t94, t95, t96, t97, t98, t99, t9a
            , t9b, t9c;
    __m128  *a02, *a05, *a12, *a3, *a32, *a36, *a41, *a42, *a54, *a8, *a91;
    float  *a86;
    const float  *a;
    int a2, a22, a31;
    {long i; for(i = 0; i <= 15; i++) {
        {long i2; for(i2 = 0; i2 <= 7; i2++) {
            a = (src + ((8 * i) + (128 * i2)));
            s = _mm_loadu_ps(((const float  *) a));
            s2 = _mm_loadu_ps(((const float  *) (a + 4)));
            s3 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(2, 0, 2, 0));
            s4 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(3, 1, 3, 1));
            s5 = _mm_loadu_ps(((const float  *) (a + 2048)));
            s6 = _mm_loadu_ps(((const float  *) (a + 2052)));
            s7 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(2, 0, 2, 0));
            s8 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(3, 1, 3, 1));
            t = _mm_add_ps(s3, s7);
            t2 = _mm_add_ps(s4, s8);
            t3 = _mm_sub_ps(s3, s7);
            t4 = _mm_sub_ps(s4, s8);
            s9 = _mm_loadu_ps(((const float  *) (a + 1024)));
            s01 = _mm_loadu_ps(((const float  *) (a + 1028)));
            s11 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(2, 0, 2, 0));
            s21 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(3, 1, 3, 1));
            s31 = _mm_loadu_ps(((const float  *) (a + 3072)));
            s41 = _mm_loadu_ps(((const float  *) (a + 3076)));
            s51 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(2, 0, 2, 0));
            s61 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(3, 1, 3, 1));
            t5 = _mm_add_ps(s11, s51);
            t6 = _mm_add_ps(s21, s61);
            t7 = _mm_sub_ps(s11, s51);
            t8 = _mm_sub_ps(s21, s61);
            t9 = _mm_add_ps(t, t5);
            t01 = _mm_add_ps(t2, t6);
            t11 = _mm_sub_ps(t, t5);
            t21 = _mm_sub_ps(t2, t6);
            a2 = (8 * i2);
            a3 = (D983 + a2);
            a4 = *(a3);
            a5 = *((a3 + 1));
            a6 = *((a3 + 2));
            a7 = *((a3 + 3));
            a8 = (((__m128  *) T3) + a2);
            s71 = _mm_sub_ps(_mm_mul_ps(a4, t9), _mm_mul_ps(a5, t01));
            *(a8) = s71;
            s81 = _mm_add_ps(_mm_mul_ps(a5, t9), _mm_mul_ps(a4, t01));
            *((a8 + 1)) = s81;
            s91 = _mm_sub_ps(_mm_mul_ps(a6, t11), _mm_mul_ps(a7, t21));
            *((a8 + 4)) = s91;
            s02 = _mm_add_ps(_mm_mul_ps(a7, t11), _mm_mul_ps(a6, t21));
            *((a8 + 5)) = s02;
            t31 = _mm_add_ps(t3, t8);
            t41 = _mm_sub_ps(t4, t7);
            t51 = _mm_sub_ps(t3, t8);
            t61 = _mm_add_ps(t4, t7);
            a9 = *((a3 + 4));
            a01 = *((a3 + 5));
            a11 = *((a3 + 6));
            a21 = *((a3 + 7));
            s12 = _mm_sub_ps(_mm_mul_ps(a9, t31), _mm_mul_ps(a01, t41));
            *((a8 + 2)) = s12;
            s22 = _mm_add_ps(_mm_mul_ps(a01, t31), _mm_mul_ps(a9, t41));
            *((a8 + 3)) = s22;
            s32 = _mm_sub_ps(_mm_mul_ps(a11, t51), _mm_mul_ps(a21, t61));
            *((a8 + 6)) = s32;
            s42 = _mm_add_ps(_mm_mul_ps(a21, t51), _mm_mul_ps(a11, t61));
            *((a8 + 7)) = s42;
        }}
        {long i3; for(i3 = 0; i3 <= 3; i3++) {
            a31 = (2 * i3);
            a41 = (((__m128  *) T3) + a31);
            s52 = *(a41);
            s62 = *((a41 + 1));
            s72 = *((a41 + 32));
            s82 = *((a41 + 33));
            t71 = _mm_add_ps(s52, s72);
            t81 = _mm_add_ps(s62, s82);
            t91 = _mm_sub_ps(s52, s72);
            t02 = _mm_sub_ps(s62, s82);
            s92 = *((a41 + 16));
            s03 = *((a41 + 17));
            s13 = *((a41 + 48));
            s23 = *((a41 + 49));
            t12 = _mm_add_ps(s92, s13);
            t22 = _mm_add_ps(s03, s23);
            t32 = _mm_sub_ps(s92, s13);
            t42 = _mm_sub_ps(s03, s23);
            t52 = _mm_add_ps(t71, t12);
            t62 = _mm_add_ps(t81, t22);
            t72 = _mm_sub_ps(t71, t12);
            t82 = _mm_sub_ps(t81, t22);
            t92 = _mm_add_ps(t91, t42);
            t03 = _mm_sub_ps(t02, t32);
            t13 = _mm_sub_ps(t91, t42);
            t23 = _mm_add_ps(t02, t32);
            s33 = *((a41 + 8));
            s43 = *((a41 + 9));
            s53 = *((a41 + 40));
            s63 = *((a41 + 41));
            t33 = _mm_add_ps(s33, s53);
            t43 = _mm_add_ps(s43, s63);
            t53 = _mm_sub_ps(s33, s53);
            t63 = _mm_sub_ps(s43, s63);
            s73 = *((a41 + 24));
            s83 = *((a41 + 25));
            s93 = *((a41 + 56));
            s04 = *((a41 + 57));
            t73 = _mm_add_ps(s73, s93);
            t83 = _mm_add_ps(s83, s04);
            t93 = _mm_sub_ps(s73, s93);
            t04 = _mm_sub_ps(s83, s04);
            t14 = _mm_add_ps(t33, t73);
            t24 = _mm_add_ps(t43, t83);
            t34 = _mm_sub_ps(t33, t73);
            t44 = _mm_sub_ps(t43, t83);
            a51 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t53, t04));
            a61 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t63, t93));
            s14 = _mm_sub_ps(a51, a61);
            s24 = _mm_add_ps(a51, a61);
            a71 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t53, t04));
            a81 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t63, t93));
            s34 = _mm_sub_ps(a71, a81);
            s44 = _mm_add_ps(a71, a81);
            a91 = (((__m128  *) T2) + a31);
            s54 = _mm_add_ps(t52, t14);
            *(a91) = s54;
            s64 = _mm_add_ps(t62, t24);
            *((a91 + 1)) = s64;
            s74 = _mm_sub_ps(t52, t14);
            *((a91 + 32)) = s74;
            s84 = _mm_sub_ps(t62, t24);
            *((a91 + 33)) = s84;
            s94 = _mm_add_ps(t92, s14);
            *((a91 + 8)) = s94;
            s05 = _mm_sub_ps(t03, s24);
            *((a91 + 9)) = s05;
            s15 = _mm_sub_ps(t92, s14);
            *((a91 + 40)) = s15;
            s25 = _mm_add_ps(t03, s24);
            *((a91 + 41)) = s25;
            s35 = _mm_add_ps(t72, t44);
            *((a91 + 16)) = s35;
            s45 = _mm_sub_ps(t82, t34);
            *((a91 + 17)) = s45;
            s55 = _mm_sub_ps(t72, t44);
            *((a91 + 48)) = s55;
            s65 = _mm_add_ps(t82, t34);
            *((a91 + 49)) = s65;
            s75 = _mm_add_ps(t13, s34);
            *((a91 + 24)) = s75;
            s85 = _mm_add_ps(t23, s44);
            *((a91 + 25)) = s85;
            s95 = _mm_sub_ps(t13, s34);
            *((a91 + 56)) = s95;
            s06 = _mm_sub_ps(t23, s44);
            *((a91 + 57)) = s06;
        }}
        {long i4; for(i4 = 0; i4 <= 7; i4++) {
            a02 = (((__m128  *) T2) + (8 * i4));
            s16 = *(a02);
            s26 = *((a02 + 2));
            s36 = _mm_unpacklo_ps(s16, s26);
            s46 = _mm_unpackhi_ps(s16, s26);
            s56 = *((a02 + 1));
            s66 = *((a02 + 3));
            s76 = _mm_unpacklo_ps(s56, s66);
            s86 = _mm_unpackhi_ps(s56, s66);
            s96 = *((a02 + 4));
            s07 = *((a02 + 6));
            s17 = _mm_unpacklo_ps(s96, s07);
            s27 = _mm_unpackhi_ps(s96, s07);
            s37 = *((a02 + 5));
            s47 = *((a02 + 7));
            s57 = _mm_unpacklo_ps(s37, s47);
            s67 = _mm_unpackhi_ps(s37, s47);
            a12 = (((__m128  *) T) + ((64 * i) + (2 * i4)));
            s77 = _mm_shuffle_ps(s36, s17, _MM_SHUFFLE(1, 0, 1, 0));
            *(a12) = s77;
            s87 = _mm_shuffle_ps(s36, s17, _MM_SHUFFLE(3, 2, 3, 2));
            *((a12 + 16)) = s87;
            s97 = _mm_shuffle_ps(s46, s27, _MM_SHUFFLE(1, 0, 1, 0));
            *((a12 + 32)) = s97;
            s08 = _mm_shuffle_ps(s46, s27, _MM_SHUFFLE(3, 2, 3, 2));
            *((a12 + 48)) = s08;
            s18 = _mm_shuffle_ps(s76, s57, _MM_SHUFFLE(1, 0, 1, 0));
            *((a12 + 1)) = s18;
            s28 = _mm_shuffle_ps(s76, s57, _MM_SHUFFLE(3, 2, 3, 2));
            *((a12 + 17)) = s28;
            s38 = _mm_shuffle_ps(s86, s67, _MM_SHUFFLE(1, 0, 1, 0));
            *((a12 + 33)) = s38;
            s48 = _mm_shuffle_ps(s86, s67, _MM_SHUFFLE(3, 2, 3, 2));
            *((a12 + 49)) = s48;
        }}
    }}
    {long i5; for(i5 = 0; i5 <= 7; i5++) {
        {long i6; for(i6 = 0; i6 <= 7; i6++) {
            a22 = (16 * i6);
            a32 = (((__m128  *) T) + ((2 * i5) + a22));
            s58 = *(a32);
            s68 = *((a32 + 1));
            s78 = *((a32 + 512));
            s88 = *((a32 + 513));
            a42 = (D982 + ((128 * i5) + a22));
            a52 = *(a42);
            a62 = *((a42 + 1));
            s98 = _mm_sub_ps(_mm_mul_ps(a52, s58), _mm_mul_ps(a62, s68));
            s09 = _mm_add_ps(_mm_mul_ps(a62, s58), _mm_mul_ps(a52, s68));
            a72 = *((a42 + 2));
            a82 = *((a42 + 3));
            s19 = _mm_sub_ps(_mm_mul_ps(a72, s78), _mm_mul_ps(a82, s88));
            s29 = _mm_add_ps(_mm_mul_ps(a82, s78), _mm_mul_ps(a72, s88));
            t54 = _mm_add_ps(s98, s19);
            t64 = _mm_add_ps(s09, s29);
            t74 = _mm_sub_ps(s98, s19);
            t84 = _mm_sub_ps(s09, s29);
            s39 = *((a32 + 256));
            s49 = *((a32 + 257));
            s59 = *((a32 + 768));
            s69 = *((a32 + 769));
            a92 = *((a42 + 4));
            a03 = *((a42 + 5));
            s79 = _mm_sub_ps(_mm_mul_ps(a92, s39), _mm_mul_ps(a03, s49));
            s89 = _mm_add_ps(_mm_mul_ps(a03, s39), _mm_mul_ps(a92, s49));
            a13 = *((a42 + 6));
            a23 = *((a42 + 7));
            s99 = _mm_sub_ps(_mm_mul_ps(a13, s59), _mm_mul_ps(a23, s69));
            s0a = _mm_add_ps(_mm_mul_ps(a23, s59), _mm_mul_ps(a13, s69));
            t94 = _mm_add_ps(s79, s99);
            t05 = _mm_add_ps(s89, s0a);
            t15 = _mm_sub_ps(s79, s99);
            t25 = _mm_sub_ps(s89, s0a);
            t35 = _mm_add_ps(t54, t94);
            t45 = _mm_add_ps(t64, t05);
            t55 = _mm_sub_ps(t54, t94);
            t65 = _mm_sub_ps(t64, t05);
            t75 = _mm_add_ps(t74, t25);
            t85 = _mm_sub_ps(t84, t15);
            t95 = _mm_sub_ps(t74, t25);
            t06 = _mm_add_ps(t84, t15);
            s1a = *((a32 + 128));
            s2a = *((a32 + 129));
            s3a = *((a32 + 640));
            s4a = *((a32 + 641));
            a33 = *((a42 + 8));
            a43 = *((a42 + 9));
            s5a = _mm_sub_ps(_mm_mul_ps(a33, s1a), _mm_mul_ps(a43, s2a));
            s6a = _mm_add_ps(_mm_mul_ps(a43, s1a), _mm_mul_ps(a33, s2a));
            a53 = *((a42 + 10));
            a63 = *((a42 + 11));
            s7a = _mm_sub_ps(_mm_mul_ps(a53, s3a), _mm_mul_ps(a63, s4a));
            s8a = _mm_add_ps(_mm_mul_ps(a63, s3a), _mm_mul_ps(a53, s4a));
            t16 = _mm_add_ps(s5a, s7a);
            t26 = _mm_add_ps(s6a, s8a);
            t36 = _mm_sub_ps(s5a, s7a);
            t46 = _mm_sub_ps(s6a, s8a);
            s9a = *((a32 + 384));
            s0b = *((a32 + 385));
            s1b = *((a32 + 896));
            s2b = *((a32 + 897));
            a73 = *((a42 + 12));
            a83 = *((a42 + 13));
            s3b = _mm_sub_ps(_mm_mul_ps(a73, s9a), _mm_mul_ps(a83, s0b));
            s4b = _mm_add_ps(_mm_mul_ps(a83, s9a), _mm_mul_ps(a73, s0b));
            a93 = *((a42 + 14));
            a04 = *((a42 + 15));
            s5b = _mm_sub_ps(_mm_mul_ps(a93, s1b), _mm_mul_ps(a04, s2b));
            s6b = _mm_add_ps(_mm_mul_ps(a04, s1b), _mm_mul_ps(a93, s2b));
            t56 = _mm_add_ps(s3b, s5b);
            t66 = _mm_add_ps(s4b, s6b);
            t76 = _mm_sub_ps(s3b, s5b);
            t86 = _mm_sub_ps(s4b, s6b);
            t96 = _mm_add_ps(t16, t56);
            t07 = _mm_add_ps(t26, t66);
            t17 = _mm_sub_ps(t16, t56);
            t27 = _mm_sub_ps(t26, t66);
            a14 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t36, t86));
            a24 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t46, t76));
            s7b = _mm_sub_ps(a14, a24);
            s8b = _mm_add_ps(a14, a24);
            a34 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t36, t86));
            a44 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t46, t76));
            s9b = _mm_sub_ps(a34, a44);
            s0c = _mm_add_ps(a34, a44);
            t37 = _mm_add_ps(t35, t96);
            t47 = _mm_add_ps(t45, t07);
            t57 = _mm_sub_ps(t35, t96);
            t67 = _mm_sub_ps(t45, t07);
            a54 = (D978 + a22);
            a64 = *(a54);
            a74 = *((a54 + 1));
            a84 = *((a54 + 2));
            a94 = *((a54 + 3));
            a05 = (((__m128  *) T4) + a22);
            s1c = _mm_sub_ps(_mm_mul_ps(a64, t37), _mm_mul_ps(a74, t47));
            *(a05) = s1c;
            s2c = _mm_add_ps(_mm_mul_ps(a74, t37), _mm_mul_ps(a64, t47));
            *((a05 + 1)) = s2c;
            s3c = _mm_sub_ps(_mm_mul_ps(a84, t57), _mm_mul_ps(a94, t67));
            *((a05 + 8)) = s3c;
            s4c = _mm_add_ps(_mm_mul_ps(a94, t57), _mm_mul_ps(a84, t67));
            *((a05 + 9)) = s4c;
            t77 = _mm_add_ps(t75, s7b);
            t87 = _mm_sub_ps(t85, s8b);
            t97 = _mm_sub_ps(t75, s7b);
            t08 = _mm_add_ps(t85, s8b);
            a15 = *((a54 + 4));
            a25 = *((a54 + 5));
            a35 = *((a54 + 6));
            a45 = *((a54 + 7));
            s5c = _mm_sub_ps(_mm_mul_ps(a15, t77), _mm_mul_ps(a25, t87));
            *((a05 + 2)) = s5c;
            s6c = _mm_add_ps(_mm_mul_ps(a25, t77), _mm_mul_ps(a15, t87));
            *((a05 + 3)) = s6c;
            s7c = _mm_sub_ps(_mm_mul_ps(a35, t97), _mm_mul_ps(a45, t08));
            *((a05 + 10)) = s7c;
            s8c = _mm_add_ps(_mm_mul_ps(a45, t97), _mm_mul_ps(a35, t08));
            *((a05 + 11)) = s8c;
            t18 = _mm_add_ps(t55, t27);
            t28 = _mm_sub_ps(t65, t17);
            t38 = _mm_sub_ps(t55, t27);
            t48 = _mm_add_ps(t65, t17);
            a55 = *((a54 + 8));
            a65 = *((a54 + 9));
            a75 = *((a54 + 10));
            a85 = *((a54 + 11));
            s9c = _mm_sub_ps(_mm_mul_ps(a55, t18), _mm_mul_ps(a65, t28));
            *((a05 + 4)) = s9c;
            s0d = _mm_add_ps(_mm_mul_ps(a65, t18), _mm_mul_ps(a55, t28));
            *((a05 + 5)) = s0d;
            s1d = _mm_sub_ps(_mm_mul_ps(a75, t38), _mm_mul_ps(a85, t48));
            *((a05 + 12)) = s1d;
            s2d = _mm_add_ps(_mm_mul_ps(a85, t38), _mm_mul_ps(a75, t48));
            *((a05 + 13)) = s2d;
            t58 = _mm_add_ps(t95, s9b);
            t68 = _mm_add_ps(t06, s0c);
            t78 = _mm_sub_ps(t95, s9b);
            t88 = _mm_sub_ps(t06, s0c);
            a95 = *((a54 + 12));
            a06 = *((a54 + 13));
            a16 = *((a54 + 14));
            a26 = *((a54 + 15));
            s3d = _mm_sub_ps(_mm_mul_ps(a95, t58), _mm_mul_ps(a06, t68));
            *((a05 + 6)) = s3d;
            s4d = _mm_add_ps(_mm_mul_ps(a06, t58), _mm_mul_ps(a95, t68));
            *((a05 + 7)) = s4d;
            s5d = _mm_sub_ps(_mm_mul_ps(a16, t78), _mm_mul_ps(a26, t88));
            *((a05 + 14)) = s5d;
            s6d = _mm_add_ps(_mm_mul_ps(a26, t78), _mm_mul_ps(a16, t88));
            *((a05 + 15)) = s6d;
        }}
        {long i7; for(i7 = 0; i7 <= 7; i7++) {
            a36 = (((__m128  *) T4) + (2 * i7));
            s7d = *(a36);
            s8d = *((a36 + 1));
            s9d = *((a36 + 64));
            s0e = *((a36 + 65));
            t98 = _mm_add_ps(s7d, s9d);
            t09 = _mm_add_ps(s8d, s0e);
            t19 = _mm_sub_ps(s7d, s9d);
            t29 = _mm_sub_ps(s8d, s0e);
            s1e = *((a36 + 32));
            s2e = *((a36 + 33));
            s3e = *((a36 + 96));
            s4e = *((a36 + 97));
            t39 = _mm_add_ps(s1e, s3e);
            t49 = _mm_add_ps(s2e, s4e);
            t59 = _mm_sub_ps(s1e, s3e);
            t69 = _mm_sub_ps(s2e, s4e);
            t79 = _mm_add_ps(t98, t39);
            t89 = _mm_add_ps(t09, t49);
            t99 = _mm_sub_ps(t98, t39);
            t0a = _mm_sub_ps(t09, t49);
            t1a = _mm_add_ps(t19, t69);
            t2a = _mm_sub_ps(t29, t59);
            t3a = _mm_sub_ps(t19, t69);
            t4a = _mm_add_ps(t29, t59);
            s5e = *((a36 + 16));
            s6e = *((a36 + 17));
            s7e = *((a36 + 80));
            s8e = *((a36 + 81));
            t5a = _mm_add_ps(s5e, s7e);
            t6a = _mm_add_ps(s6e, s8e);
            t7a = _mm_sub_ps(s5e, s7e);
            t8a = _mm_sub_ps(s6e, s8e);
            s9e = *((a36 + 48));
            s0f = *((a36 + 49));
            s1f = *((a36 + 112));
            s2f = *((a36 + 113));
            t9a = _mm_add_ps(s9e, s1f);
            t0b = _mm_add_ps(s0f, s2f);
            t1b = _mm_sub_ps(s9e, s1f);
            t2b = _mm_sub_ps(s0f, s2f);
            t3b = _mm_add_ps(t5a, t9a);
            t4b = _mm_add_ps(t6a, t0b);
            t5b = _mm_sub_ps(t5a, t9a);
            t6b = _mm_sub_ps(t6a, t0b);
            a46 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t7a, t2b));
            a56 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t8a, t1b));
            s3f = _mm_sub_ps(a46, a56);
            s4f = _mm_add_ps(a46, a56);
            a66 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t7a, t2b));
            a76 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t8a, t1b));
            s5f = _mm_sub_ps(a66, a76);
            s6f = _mm_add_ps(a66, a76);
            t7b = _mm_add_ps(t79, t3b);
            t8b = _mm_add_ps(t89, t4b);
            t9b = _mm_sub_ps(t79, t3b);
            t0c = _mm_sub_ps(t89, t4b);
            a86 = (dst + ((8 * i5) + (64 * i7)));
            s7f = _mm_unpacklo_ps(t7b, t8b);
            _mm_storeu_ps(((float  *) a86), s7f);
            s8f = _mm_unpackhi_ps(t7b, t8b);
            _mm_storeu_ps(((float  *) (a86 + 4)), s8f);
            s9f = _mm_unpacklo_ps(t9b, t0c);
            _mm_storeu_ps(((float  *) (a86 + 2048)), s9f);
            s0g = _mm_unpackhi_ps(t9b, t0c);
            _mm_storeu_ps(((float  *) (a86 + 2052)), s0g);
            t1c = _mm_add_ps(t1a, s3f);
            t2c = _mm_sub_ps(t2a, s4f);
            t3c = _mm_sub_ps(t1a, s3f);
            t4c = _mm_add_ps(t2a, s4f);
            s1g = _mm_unpacklo_ps(t1c, t2c);
            _mm_storeu_ps(((float  *) (a86 + 512)), s1g);
            s2g = _mm_unpackhi_ps(t1c, t2c);
            _mm_storeu_ps(((float  *) (a86 + 516)), s2g);
            s3g = _mm_unpacklo_ps(t3c, t4c);
            _mm_storeu_ps(((float  *) (a86 + 2560)), s3g);
            s4g = _mm_unpackhi_ps(t3c, t4c);
            _mm_storeu_ps(((float  *) (a86 + 2564)), s4g);
            t5c = _mm_add_ps(t99, t6b);
            t6c = _mm_sub_ps(t0a, t5b);
            t7c = _mm_sub_ps(t99, t6b);
            t8c = _mm_add_ps(t0a, t5b);
            s5g = _mm_unpacklo_ps(t5c, t6c);
            _mm_storeu_ps(((float  *) (a86 + 1024)), s5g);
            s6g = _mm_unpackhi_ps(t5c, t6c);
            _mm_storeu_ps(((float  *) (a86 + 1028)), s6g);
            s7g = _mm_unpacklo_ps(t7c, t8c);
            _mm_storeu_ps(((float  *) (a86 + 3072)), s7g);
            s8g = _mm_unpackhi_ps(t7c, t8c);
            _mm_storeu_ps(((float  *) (a86 + 3076)), s8g);
            t9c = _mm_add_ps(t3a, s5f);
            t0d = _mm_add_ps(t4a, s6f);
            t1d = _mm_sub_ps(t3a, s5f);
            t2d = _mm_sub_ps(t4a, s6f);
            s9g = _mm_unpacklo_ps(t9c, t0d);
            _mm_storeu_ps(((float  *) (a86 + 1536)), s9g);
            s0h = _mm_unpackhi_ps(t9c, t0d);
            _mm_storeu_ps(((float  *) (a86 + 1540)), s0h);
            s1h = _mm_unpacklo_ps(t1d, t2d);
            _mm_storeu_ps(((float  *) (a86 + 3584)), s1h);
            s2h = _mm_unpackhi_ps(t1d, t2d);
            _mm_storeu_ps(((float  *) (a86 + 3588)), s2h);
        }}
    }}
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_fftfwd_float_2048)(const float *pSrc, float *pDst ) {
    if (!is_aligned(pSrc) || !is_aligned(pDst))
       	return spiral_fftfwd_float_2048_unaligned(pSrc, pDst );
    else {
    const float  *src = (const float *) pSrc; 
    float        *dst = (float *) pDst;
    
    
    { SPIRAL_ALIGNED(float T[4096]);
     SPIRAL_ALIGNED(float T2[256]);
     SPIRAL_ALIGNED(float T3[256]);
     SPIRAL_ALIGNED(float T4[512]);
    __m128 s08, s0g, s0h, s18, s1g, s1h, s28, s2g, s2h, s38, s3g, s48, s4g, s5g, s6g, s77, s7f, s7g, s87, s8f, s8g, s97
            , s9f, s9g;
    __m128 a01, a03, a04, a06, a11, a13, a14, a15, a16, a21, a23, a24, a25, a26, a33, a34, a35, a4, a43, a44, a45, a46
            , a5, a51, a52, a53, a55, a56, a6, a61, a62, a63, a64, a65, a66, a7, a71, a72, a73, a74, a75, a76, a81, a82
            , a83, a84, a85, a9, a92, a93, a94, a95, s, s01, s02, s03, s04, s05, s06, s07, s09, s0a, s0b, s0c, s0d, s0e
            , s0f, s11, s12, s13, s14, s15, s16, s17, s19, s1a, s1b, s1c, s1d, s1e, s1f, s2, s21, s22, s23, s24, s25, s26
            , s27, s29, s2a, s2b, s2c, s2d, s2e, s2f, s3, s31, s32, s33, s34, s35, s36, s37, s39, s3a, s3b, s3c, s3d, s3e
            , s3f, s4, s41, s42, s43, s44, s45, s46, s47, s49, s4a, s4b, s4c, s4d, s4e, s4f, s5, s51, s52, s53, s54, s55
            , s56, s57, s58, s59, s5a, s5b, s5c, s5d, s5e, s5f, s6, s61, s62, s63, s64, s65, s66, s67, s68, s69, s6a, s6b
            , s6c, s6d, s6e, s6f, s7, s71, s72, s73, s74, s75, s76, s78, s79, s7a, s7b, s7c, s7d, s7e, s8, s81, s82, s83
            , s84, s85, s86, s88, s89, s8a, s8b, s8c, s8d, s8e, s9, s91, s92, s93, s94, s95, s96, s98, s99, s9a, s9b, s9c
            , s9d, s9e, t, t01, t02, t03, t04, t05, t06, t07, t08, t09, t0a, t0b, t0c, t0d, t11, t12, t13, t14, t15, t16
            , t17, t18, t19, t1a, t1b, t1c, t1d, t2, t21, t22, t23, t24, t25, t26, t27, t28, t29, t2a, t2b, t2c, t2d, t3
            , t31, t32, t33, t34, t35, t36, t37, t38, t39, t3a, t3b, t3c, t4, t41, t42, t43, t44, t45, t46, t47, t48, t49
            , t4a, t4b, t4c, t5, t51, t52, t53, t54, t55, t56, t57, t58, t59, t5a, t5b, t5c, t6, t61, t62, t63, t64, t65
            , t66, t67, t68, t69, t6a, t6b, t6c, t7, t71, t72, t73, t74, t75, t76, t77, t78, t79, t7a, t7b, t7c, t8, t81
            , t82, t83, t84, t85, t86, t87, t88, t89, t8a, t8b, t8c, t9, t91, t92, t93, t94, t95, t96, t97, t98, t99, t9a
            , t9b, t9c;
    __m128  *a, *a02, *a05, *a12, *a3, *a32, *a36, *a41, *a42, *a54, *a8, *a86, *a91;
    int a2, a22, a31;
    {long i; for(i = 0; i <= 15; i++) {
        {long i2; for(i2 = 0; i2 <= 7; i2++) {
            a = (((__m128  *) src) + ((2 * i) + (32 * i2)));
            s = *(a);
            s2 = *((a + 1));
            s3 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(2, 0, 2, 0));
            s4 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(3, 1, 3, 1));
            s5 = *((a + 512));
            s6 = *((a + 513));
            s7 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(2, 0, 2, 0));
            s8 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(3, 1, 3, 1));
            t = _mm_add_ps(s3, s7);
            t2 = _mm_add_ps(s4, s8);
            t3 = _mm_sub_ps(s3, s7);
            t4 = _mm_sub_ps(s4, s8);
            s9 = *((a + 256));
            s01 = *((a + 257));
            s11 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(2, 0, 2, 0));
            s21 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(3, 1, 3, 1));
            s31 = *((a + 768));
            s41 = *((a + 769));
            s51 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(2, 0, 2, 0));
            s61 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(3, 1, 3, 1));
            t5 = _mm_add_ps(s11, s51);
            t6 = _mm_add_ps(s21, s61);
            t7 = _mm_sub_ps(s11, s51);
            t8 = _mm_sub_ps(s21, s61);
            t9 = _mm_add_ps(t, t5);
            t01 = _mm_add_ps(t2, t6);
            t11 = _mm_sub_ps(t, t5);
            t21 = _mm_sub_ps(t2, t6);
            a2 = (8 * i2);
            a3 = (D983 + a2);
            a4 = *(a3);
            a5 = *((a3 + 1));
            a6 = *((a3 + 2));
            a7 = *((a3 + 3));
            a8 = (((__m128  *) T3) + a2);
            s71 = _mm_sub_ps(_mm_mul_ps(a4, t9), _mm_mul_ps(a5, t01));
            *(a8) = s71;
            s81 = _mm_add_ps(_mm_mul_ps(a5, t9), _mm_mul_ps(a4, t01));
            *((a8 + 1)) = s81;
            s91 = _mm_sub_ps(_mm_mul_ps(a6, t11), _mm_mul_ps(a7, t21));
            *((a8 + 4)) = s91;
            s02 = _mm_add_ps(_mm_mul_ps(a7, t11), _mm_mul_ps(a6, t21));
            *((a8 + 5)) = s02;
            t31 = _mm_add_ps(t3, t8);
            t41 = _mm_sub_ps(t4, t7);
            t51 = _mm_sub_ps(t3, t8);
            t61 = _mm_add_ps(t4, t7);
            a9 = *((a3 + 4));
            a01 = *((a3 + 5));
            a11 = *((a3 + 6));
            a21 = *((a3 + 7));
            s12 = _mm_sub_ps(_mm_mul_ps(a9, t31), _mm_mul_ps(a01, t41));
            *((a8 + 2)) = s12;
            s22 = _mm_add_ps(_mm_mul_ps(a01, t31), _mm_mul_ps(a9, t41));
            *((a8 + 3)) = s22;
            s32 = _mm_sub_ps(_mm_mul_ps(a11, t51), _mm_mul_ps(a21, t61));
            *((a8 + 6)) = s32;
            s42 = _mm_add_ps(_mm_mul_ps(a21, t51), _mm_mul_ps(a11, t61));
            *((a8 + 7)) = s42;
        }}
        {long i3; for(i3 = 0; i3 <= 3; i3++) {
            a31 = (2 * i3);
            a41 = (((__m128  *) T3) + a31);
            s52 = *(a41);
            s62 = *((a41 + 1));
            s72 = *((a41 + 32));
            s82 = *((a41 + 33));
            t71 = _mm_add_ps(s52, s72);
            t81 = _mm_add_ps(s62, s82);
            t91 = _mm_sub_ps(s52, s72);
            t02 = _mm_sub_ps(s62, s82);
            s92 = *((a41 + 16));
            s03 = *((a41 + 17));
            s13 = *((a41 + 48));
            s23 = *((a41 + 49));
            t12 = _mm_add_ps(s92, s13);
            t22 = _mm_add_ps(s03, s23);
            t32 = _mm_sub_ps(s92, s13);
            t42 = _mm_sub_ps(s03, s23);
            t52 = _mm_add_ps(t71, t12);
            t62 = _mm_add_ps(t81, t22);
            t72 = _mm_sub_ps(t71, t12);
            t82 = _mm_sub_ps(t81, t22);
            t92 = _mm_add_ps(t91, t42);
            t03 = _mm_sub_ps(t02, t32);
            t13 = _mm_sub_ps(t91, t42);
            t23 = _mm_add_ps(t02, t32);
            s33 = *((a41 + 8));
            s43 = *((a41 + 9));
            s53 = *((a41 + 40));
            s63 = *((a41 + 41));
            t33 = _mm_add_ps(s33, s53);
            t43 = _mm_add_ps(s43, s63);
            t53 = _mm_sub_ps(s33, s53);
            t63 = _mm_sub_ps(s43, s63);
            s73 = *((a41 + 24));
            s83 = *((a41 + 25));
            s93 = *((a41 + 56));
            s04 = *((a41 + 57));
            t73 = _mm_add_ps(s73, s93);
            t83 = _mm_add_ps(s83, s04);
            t93 = _mm_sub_ps(s73, s93);
            t04 = _mm_sub_ps(s83, s04);
            t14 = _mm_add_ps(t33, t73);
            t24 = _mm_add_ps(t43, t83);
            t34 = _mm_sub_ps(t33, t73);
            t44 = _mm_sub_ps(t43, t83);
            a51 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t53, t04));
            a61 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t63, t93));
            s14 = _mm_sub_ps(a51, a61);
            s24 = _mm_add_ps(a51, a61);
            a71 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t53, t04));
            a81 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t63, t93));
            s34 = _mm_sub_ps(a71, a81);
            s44 = _mm_add_ps(a71, a81);
            a91 = (((__m128  *) T2) + a31);
            s54 = _mm_add_ps(t52, t14);
            *(a91) = s54;
            s64 = _mm_add_ps(t62, t24);
            *((a91 + 1)) = s64;
            s74 = _mm_sub_ps(t52, t14);
            *((a91 + 32)) = s74;
            s84 = _mm_sub_ps(t62, t24);
            *((a91 + 33)) = s84;
            s94 = _mm_add_ps(t92, s14);
            *((a91 + 8)) = s94;
            s05 = _mm_sub_ps(t03, s24);
            *((a91 + 9)) = s05;
            s15 = _mm_sub_ps(t92, s14);
            *((a91 + 40)) = s15;
            s25 = _mm_add_ps(t03, s24);
            *((a91 + 41)) = s25;
            s35 = _mm_add_ps(t72, t44);
            *((a91 + 16)) = s35;
            s45 = _mm_sub_ps(t82, t34);
            *((a91 + 17)) = s45;
            s55 = _mm_sub_ps(t72, t44);
            *((a91 + 48)) = s55;
            s65 = _mm_add_ps(t82, t34);
            *((a91 + 49)) = s65;
            s75 = _mm_add_ps(t13, s34);
            *((a91 + 24)) = s75;
            s85 = _mm_add_ps(t23, s44);
            *((a91 + 25)) = s85;
            s95 = _mm_sub_ps(t13, s34);
            *((a91 + 56)) = s95;
            s06 = _mm_sub_ps(t23, s44);
            *((a91 + 57)) = s06;
        }}
        {long i4; for(i4 = 0; i4 <= 7; i4++) {
            a02 = (((__m128  *) T2) + (8 * i4));
            s16 = *(a02);
            s26 = *((a02 + 2));
            s36 = _mm_unpacklo_ps(s16, s26);
            s46 = _mm_unpackhi_ps(s16, s26);
            s56 = *((a02 + 1));
            s66 = *((a02 + 3));
            s76 = _mm_unpacklo_ps(s56, s66);
            s86 = _mm_unpackhi_ps(s56, s66);
            s96 = *((a02 + 4));
            s07 = *((a02 + 6));
            s17 = _mm_unpacklo_ps(s96, s07);
            s27 = _mm_unpackhi_ps(s96, s07);
            s37 = *((a02 + 5));
            s47 = *((a02 + 7));
            s57 = _mm_unpacklo_ps(s37, s47);
            s67 = _mm_unpackhi_ps(s37, s47);
            a12 = (((__m128  *) T) + ((64 * i) + (2 * i4)));
            s77 = _mm_shuffle_ps(s36, s17, _MM_SHUFFLE(1, 0, 1, 0));
            *(a12) = s77;
            s87 = _mm_shuffle_ps(s36, s17, _MM_SHUFFLE(3, 2, 3, 2));
            *((a12 + 16)) = s87;
            s97 = _mm_shuffle_ps(s46, s27, _MM_SHUFFLE(1, 0, 1, 0));
            *((a12 + 32)) = s97;
            s08 = _mm_shuffle_ps(s46, s27, _MM_SHUFFLE(3, 2, 3, 2));
            *((a12 + 48)) = s08;
            s18 = _mm_shuffle_ps(s76, s57, _MM_SHUFFLE(1, 0, 1, 0));
            *((a12 + 1)) = s18;
            s28 = _mm_shuffle_ps(s76, s57, _MM_SHUFFLE(3, 2, 3, 2));
            *((a12 + 17)) = s28;
            s38 = _mm_shuffle_ps(s86, s67, _MM_SHUFFLE(1, 0, 1, 0));
            *((a12 + 33)) = s38;
            s48 = _mm_shuffle_ps(s86, s67, _MM_SHUFFLE(3, 2, 3, 2));
            *((a12 + 49)) = s48;
        }}
    }}
    {long i5; for(i5 = 0; i5 <= 7; i5++) {
        {long i6; for(i6 = 0; i6 <= 7; i6++) {
            a22 = (16 * i6);
            a32 = (((__m128  *) T) + ((2 * i5) + a22));
            s58 = *(a32);
            s68 = *((a32 + 1));
            s78 = *((a32 + 512));
            s88 = *((a32 + 513));
            a42 = (D982 + ((128 * i5) + a22));
            a52 = *(a42);
            a62 = *((a42 + 1));
            s98 = _mm_sub_ps(_mm_mul_ps(a52, s58), _mm_mul_ps(a62, s68));
            s09 = _mm_add_ps(_mm_mul_ps(a62, s58), _mm_mul_ps(a52, s68));
            a72 = *((a42 + 2));
            a82 = *((a42 + 3));
            s19 = _mm_sub_ps(_mm_mul_ps(a72, s78), _mm_mul_ps(a82, s88));
            s29 = _mm_add_ps(_mm_mul_ps(a82, s78), _mm_mul_ps(a72, s88));
            t54 = _mm_add_ps(s98, s19);
            t64 = _mm_add_ps(s09, s29);
            t74 = _mm_sub_ps(s98, s19);
            t84 = _mm_sub_ps(s09, s29);
            s39 = *((a32 + 256));
            s49 = *((a32 + 257));
            s59 = *((a32 + 768));
            s69 = *((a32 + 769));
            a92 = *((a42 + 4));
            a03 = *((a42 + 5));
            s79 = _mm_sub_ps(_mm_mul_ps(a92, s39), _mm_mul_ps(a03, s49));
            s89 = _mm_add_ps(_mm_mul_ps(a03, s39), _mm_mul_ps(a92, s49));
            a13 = *((a42 + 6));
            a23 = *((a42 + 7));
            s99 = _mm_sub_ps(_mm_mul_ps(a13, s59), _mm_mul_ps(a23, s69));
            s0a = _mm_add_ps(_mm_mul_ps(a23, s59), _mm_mul_ps(a13, s69));
            t94 = _mm_add_ps(s79, s99);
            t05 = _mm_add_ps(s89, s0a);
            t15 = _mm_sub_ps(s79, s99);
            t25 = _mm_sub_ps(s89, s0a);
            t35 = _mm_add_ps(t54, t94);
            t45 = _mm_add_ps(t64, t05);
            t55 = _mm_sub_ps(t54, t94);
            t65 = _mm_sub_ps(t64, t05);
            t75 = _mm_add_ps(t74, t25);
            t85 = _mm_sub_ps(t84, t15);
            t95 = _mm_sub_ps(t74, t25);
            t06 = _mm_add_ps(t84, t15);
            s1a = *((a32 + 128));
            s2a = *((a32 + 129));
            s3a = *((a32 + 640));
            s4a = *((a32 + 641));
            a33 = *((a42 + 8));
            a43 = *((a42 + 9));
            s5a = _mm_sub_ps(_mm_mul_ps(a33, s1a), _mm_mul_ps(a43, s2a));
            s6a = _mm_add_ps(_mm_mul_ps(a43, s1a), _mm_mul_ps(a33, s2a));
            a53 = *((a42 + 10));
            a63 = *((a42 + 11));
            s7a = _mm_sub_ps(_mm_mul_ps(a53, s3a), _mm_mul_ps(a63, s4a));
            s8a = _mm_add_ps(_mm_mul_ps(a63, s3a), _mm_mul_ps(a53, s4a));
            t16 = _mm_add_ps(s5a, s7a);
            t26 = _mm_add_ps(s6a, s8a);
            t36 = _mm_sub_ps(s5a, s7a);
            t46 = _mm_sub_ps(s6a, s8a);
            s9a = *((a32 + 384));
            s0b = *((a32 + 385));
            s1b = *((a32 + 896));
            s2b = *((a32 + 897));
            a73 = *((a42 + 12));
            a83 = *((a42 + 13));
            s3b = _mm_sub_ps(_mm_mul_ps(a73, s9a), _mm_mul_ps(a83, s0b));
            s4b = _mm_add_ps(_mm_mul_ps(a83, s9a), _mm_mul_ps(a73, s0b));
            a93 = *((a42 + 14));
            a04 = *((a42 + 15));
            s5b = _mm_sub_ps(_mm_mul_ps(a93, s1b), _mm_mul_ps(a04, s2b));
            s6b = _mm_add_ps(_mm_mul_ps(a04, s1b), _mm_mul_ps(a93, s2b));
            t56 = _mm_add_ps(s3b, s5b);
            t66 = _mm_add_ps(s4b, s6b);
            t76 = _mm_sub_ps(s3b, s5b);
            t86 = _mm_sub_ps(s4b, s6b);
            t96 = _mm_add_ps(t16, t56);
            t07 = _mm_add_ps(t26, t66);
            t17 = _mm_sub_ps(t16, t56);
            t27 = _mm_sub_ps(t26, t66);
            a14 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t36, t86));
            a24 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t46, t76));
            s7b = _mm_sub_ps(a14, a24);
            s8b = _mm_add_ps(a14, a24);
            a34 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t36, t86));
            a44 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t46, t76));
            s9b = _mm_sub_ps(a34, a44);
            s0c = _mm_add_ps(a34, a44);
            t37 = _mm_add_ps(t35, t96);
            t47 = _mm_add_ps(t45, t07);
            t57 = _mm_sub_ps(t35, t96);
            t67 = _mm_sub_ps(t45, t07);
            a54 = (D978 + a22);
            a64 = *(a54);
            a74 = *((a54 + 1));
            a84 = *((a54 + 2));
            a94 = *((a54 + 3));
            a05 = (((__m128  *) T4) + a22);
            s1c = _mm_sub_ps(_mm_mul_ps(a64, t37), _mm_mul_ps(a74, t47));
            *(a05) = s1c;
            s2c = _mm_add_ps(_mm_mul_ps(a74, t37), _mm_mul_ps(a64, t47));
            *((a05 + 1)) = s2c;
            s3c = _mm_sub_ps(_mm_mul_ps(a84, t57), _mm_mul_ps(a94, t67));
            *((a05 + 8)) = s3c;
            s4c = _mm_add_ps(_mm_mul_ps(a94, t57), _mm_mul_ps(a84, t67));
            *((a05 + 9)) = s4c;
            t77 = _mm_add_ps(t75, s7b);
            t87 = _mm_sub_ps(t85, s8b);
            t97 = _mm_sub_ps(t75, s7b);
            t08 = _mm_add_ps(t85, s8b);
            a15 = *((a54 + 4));
            a25 = *((a54 + 5));
            a35 = *((a54 + 6));
            a45 = *((a54 + 7));
            s5c = _mm_sub_ps(_mm_mul_ps(a15, t77), _mm_mul_ps(a25, t87));
            *((a05 + 2)) = s5c;
            s6c = _mm_add_ps(_mm_mul_ps(a25, t77), _mm_mul_ps(a15, t87));
            *((a05 + 3)) = s6c;
            s7c = _mm_sub_ps(_mm_mul_ps(a35, t97), _mm_mul_ps(a45, t08));
            *((a05 + 10)) = s7c;
            s8c = _mm_add_ps(_mm_mul_ps(a45, t97), _mm_mul_ps(a35, t08));
            *((a05 + 11)) = s8c;
            t18 = _mm_add_ps(t55, t27);
            t28 = _mm_sub_ps(t65, t17);
            t38 = _mm_sub_ps(t55, t27);
            t48 = _mm_add_ps(t65, t17);
            a55 = *((a54 + 8));
            a65 = *((a54 + 9));
            a75 = *((a54 + 10));
            a85 = *((a54 + 11));
            s9c = _mm_sub_ps(_mm_mul_ps(a55, t18), _mm_mul_ps(a65, t28));
            *((a05 + 4)) = s9c;
            s0d = _mm_add_ps(_mm_mul_ps(a65, t18), _mm_mul_ps(a55, t28));
            *((a05 + 5)) = s0d;
            s1d = _mm_sub_ps(_mm_mul_ps(a75, t38), _mm_mul_ps(a85, t48));
            *((a05 + 12)) = s1d;
            s2d = _mm_add_ps(_mm_mul_ps(a85, t38), _mm_mul_ps(a75, t48));
            *((a05 + 13)) = s2d;
            t58 = _mm_add_ps(t95, s9b);
            t68 = _mm_add_ps(t06, s0c);
            t78 = _mm_sub_ps(t95, s9b);
            t88 = _mm_sub_ps(t06, s0c);
            a95 = *((a54 + 12));
            a06 = *((a54 + 13));
            a16 = *((a54 + 14));
            a26 = *((a54 + 15));
            s3d = _mm_sub_ps(_mm_mul_ps(a95, t58), _mm_mul_ps(a06, t68));
            *((a05 + 6)) = s3d;
            s4d = _mm_add_ps(_mm_mul_ps(a06, t58), _mm_mul_ps(a95, t68));
            *((a05 + 7)) = s4d;
            s5d = _mm_sub_ps(_mm_mul_ps(a16, t78), _mm_mul_ps(a26, t88));
            *((a05 + 14)) = s5d;
            s6d = _mm_add_ps(_mm_mul_ps(a26, t78), _mm_mul_ps(a16, t88));
            *((a05 + 15)) = s6d;
        }}
        {long i7; for(i7 = 0; i7 <= 7; i7++) {
            a36 = (((__m128  *) T4) + (2 * i7));
            s7d = *(a36);
            s8d = *((a36 + 1));
            s9d = *((a36 + 64));
            s0e = *((a36 + 65));
            t98 = _mm_add_ps(s7d, s9d);
            t09 = _mm_add_ps(s8d, s0e);
            t19 = _mm_sub_ps(s7d, s9d);
            t29 = _mm_sub_ps(s8d, s0e);
            s1e = *((a36 + 32));
            s2e = *((a36 + 33));
            s3e = *((a36 + 96));
            s4e = *((a36 + 97));
            t39 = _mm_add_ps(s1e, s3e);
            t49 = _mm_add_ps(s2e, s4e);
            t59 = _mm_sub_ps(s1e, s3e);
            t69 = _mm_sub_ps(s2e, s4e);
            t79 = _mm_add_ps(t98, t39);
            t89 = _mm_add_ps(t09, t49);
            t99 = _mm_sub_ps(t98, t39);
            t0a = _mm_sub_ps(t09, t49);
            t1a = _mm_add_ps(t19, t69);
            t2a = _mm_sub_ps(t29, t59);
            t3a = _mm_sub_ps(t19, t69);
            t4a = _mm_add_ps(t29, t59);
            s5e = *((a36 + 16));
            s6e = *((a36 + 17));
            s7e = *((a36 + 80));
            s8e = *((a36 + 81));
            t5a = _mm_add_ps(s5e, s7e);
            t6a = _mm_add_ps(s6e, s8e);
            t7a = _mm_sub_ps(s5e, s7e);
            t8a = _mm_sub_ps(s6e, s8e);
            s9e = *((a36 + 48));
            s0f = *((a36 + 49));
            s1f = *((a36 + 112));
            s2f = *((a36 + 113));
            t9a = _mm_add_ps(s9e, s1f);
            t0b = _mm_add_ps(s0f, s2f);
            t1b = _mm_sub_ps(s9e, s1f);
            t2b = _mm_sub_ps(s0f, s2f);
            t3b = _mm_add_ps(t5a, t9a);
            t4b = _mm_add_ps(t6a, t0b);
            t5b = _mm_sub_ps(t5a, t9a);
            t6b = _mm_sub_ps(t6a, t0b);
            a46 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t7a, t2b));
            a56 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t8a, t1b));
            s3f = _mm_sub_ps(a46, a56);
            s4f = _mm_add_ps(a46, a56);
            a66 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t7a, t2b));
            a76 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t8a, t1b));
            s5f = _mm_sub_ps(a66, a76);
            s6f = _mm_add_ps(a66, a76);
            t7b = _mm_add_ps(t79, t3b);
            t8b = _mm_add_ps(t89, t4b);
            t9b = _mm_sub_ps(t79, t3b);
            t0c = _mm_sub_ps(t89, t4b);
            a86 = (((__m128  *) dst) + ((2 * i5) + (16 * i7)));
            s7f = _mm_unpacklo_ps(t7b, t8b);
            *(a86) = s7f;
            s8f = _mm_unpackhi_ps(t7b, t8b);
            *((a86 + 1)) = s8f;
            s9f = _mm_unpacklo_ps(t9b, t0c);
            *((a86 + 512)) = s9f;
            s0g = _mm_unpackhi_ps(t9b, t0c);
            *((a86 + 513)) = s0g;
            t1c = _mm_add_ps(t1a, s3f);
            t2c = _mm_sub_ps(t2a, s4f);
            t3c = _mm_sub_ps(t1a, s3f);
            t4c = _mm_add_ps(t2a, s4f);
            s1g = _mm_unpacklo_ps(t1c, t2c);
            *((a86 + 128)) = s1g;
            s2g = _mm_unpackhi_ps(t1c, t2c);
            *((a86 + 129)) = s2g;
            s3g = _mm_unpacklo_ps(t3c, t4c);
            *((a86 + 640)) = s3g;
            s4g = _mm_unpackhi_ps(t3c, t4c);
            *((a86 + 641)) = s4g;
            t5c = _mm_add_ps(t99, t6b);
            t6c = _mm_sub_ps(t0a, t5b);
            t7c = _mm_sub_ps(t99, t6b);
            t8c = _mm_add_ps(t0a, t5b);
            s5g = _mm_unpacklo_ps(t5c, t6c);
            *((a86 + 256)) = s5g;
            s6g = _mm_unpackhi_ps(t5c, t6c);
            *((a86 + 257)) = s6g;
            s7g = _mm_unpacklo_ps(t7c, t8c);
            *((a86 + 768)) = s7g;
            s8g = _mm_unpackhi_ps(t7c, t8c);
            *((a86 + 769)) = s8g;
            t9c = _mm_add_ps(t3a, s5f);
            t0d = _mm_add_ps(t4a, s6f);
            t1d = _mm_sub_ps(t3a, s5f);
            t2d = _mm_sub_ps(t4a, s6f);
            s9g = _mm_unpacklo_ps(t9c, t0d);
            *((a86 + 384)) = s9g;
            s0h = _mm_unpackhi_ps(t9c, t0d);
            *((a86 + 385)) = s0h;
            s1h = _mm_unpacklo_ps(t1d, t2d);
            *((a86 + 896)) = s1h;
            s2h = _mm_unpackhi_ps(t1d, t2d);
            *((a86 + 897)) = s2h;
        }}
    }}
    }
    
    return SPIRAL_OK;
    }
}

SPIRAL_PRIV(spiral_status_t, spiral_fftfwd_float_4096_unaligned)(const float *pSrc, float *pDst ) {
    const float  *src = (const float *) pSrc; 
    float        *dst = (float *) pDst;
    
    
    { SPIRAL_ALIGNED(float T[8192]);
     SPIRAL_ALIGNED(float T2[512]);
     SPIRAL_ALIGNED(float T3[512]);
     SPIRAL_ALIGNED(float T4[512]);
    __m128 s0b, s0j, s0k, s1b, s1j, s2b, s2j, s3j, s4j, s5a, s5i, s5j, s6a, s6i, s6j, s7a, s7i, s7j, s8a, s8i, s8j, s9a
            , s9i, s9j;
    __m128 a01, a02, a03, a04, a05, a06, a07, a11, a12, a14, a15, a16, a17, a2, a22, a24, a25, a27, a3, a31, a32, a34
            , a35, a36, a37, a4, a41, a42, a44, a45, a46, a47, a5, a51, a54, a55, a56, a61, a64, a65, a66, a67, a71, a72
            , a73, a74, a76, a77, a8, a81, a82, a83, a84, a85, a86, a87, a9, a91, a92, a93, a94, a95, a96, a97, s, s01
            , s02, s03, s04, s05, s06, s07, s08, s09, s0a, s0c, s0d, s0e, s0f, s0g, s0h, s0i, s11, s12, s13, s14, s15, s16
            , s17, s18, s19, s1a, s1c, s1d, s1e, s1f, s1g, s1h, s1i, s2, s21, s22, s23, s24, s25, s26, s27, s28, s29, s2a
            , s2c, s2d, s2e, s2f, s2g, s2h, s2i, s3, s31, s32, s33, s34, s35, s36, s37, s38, s39, s3a, s3b, s3c, s3d, s3e
            , s3f, s3g, s3h, s3i, s4, s41, s42, s43, s44, s45, s46, s47, s48, s49, s4a, s4b, s4c, s4d, s4e, s4f, s4g, s4h
            , s4i, s5, s51, s52, s53, s54, s55, s56, s57, s58, s59, s5b, s5c, s5d, s5e, s5f, s5g, s5h, s6, s61, s62, s63
            , s64, s65, s66, s67, s68, s69, s6b, s6c, s6d, s6e, s6f, s6g, s6h, s7, s71, s72, s73, s74, s75, s76, s77, s78
            , s79, s7b, s7c, s7d, s7e, s7f, s7g, s7h, s8, s81, s82, s83, s84, s85, s86, s87, s88, s89, s8b, s8c, s8d, s8e
            , s8f, s8g, s8h, s9, s91, s92, s93, s94, s95, s96, s97, s98, s99, s9b, s9c, s9d, s9e, s9f, s9g, s9h, t, t01
            , t02, t03, t04, t05, t06, t07, t08, t09, t0a, t0b, t0c, t0d, t0e, t0f, t0g, t11, t12, t13, t14, t15, t16, t17
            , t18, t19, t1a, t1b, t1c, t1d, t1e, t1f, t2, t21, t22, t23, t24, t25, t26, t27, t28, t29, t2a, t2b, t2c, t2d
            , t2e, t2f, t3, t31, t32, t33, t34, t35, t36, t37, t38, t39, t3a, t3b, t3c, t3d, t3e, t3f, t4, t41, t42, t43
            , t44, t45, t46, t47, t48, t49, t4a, t4b, t4c, t4d, t4e, t4f, t5, t51, t52, t53, t54, t55, t56, t57, t58, t59
            , t5a, t5b, t5c, t5d, t5e, t5f, t6, t61, t62, t63, t64, t65, t66, t67, t68, t69, t6a, t6b, t6c, t6d, t6e, t6f
            , t7, t71, t72, t73, t74, t75, t76, t77, t78, t79, t7a, t7b, t7c, t7d, t7e, t7f, t8, t81, t82, t83, t84, t85
            , t86, t87, t88, t89, t8a, t8b, t8c, t8d, t8e, t8f, t9, t91, t92, t93, t94, t95, t96, t97, t98, t99, t9a, t9b
            , t9c, t9d, t9e, t9f;
    __m128  *a13, *a21, *a23, *a26, *a33, *a43, *a57, *a62, *a63, *a7, *a75;
    float  *a08;
    const float  *a;
    int a52, a53, a6;
    {long i; for(i = 0; i <= 15; i++) {
        {long i2; for(i2 = 0; i2 <= 7; i2++) {
            a = (src + ((8 * i) + (128 * i2)));
            s = _mm_loadu_ps(((const float  *) a));
            s2 = _mm_loadu_ps(((const float  *) (a + 4)));
            s3 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(2, 0, 2, 0));
            s4 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(3, 1, 3, 1));
            s5 = _mm_loadu_ps(((const float  *) (a + 4096)));
            s6 = _mm_loadu_ps(((const float  *) (a + 4100)));
            s7 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(2, 0, 2, 0));
            s8 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(3, 1, 3, 1));
            t = _mm_add_ps(s3, s7);
            t2 = _mm_add_ps(s4, s8);
            t3 = _mm_sub_ps(s3, s7);
            t4 = _mm_sub_ps(s4, s8);
            s9 = _mm_loadu_ps(((const float  *) (a + 2048)));
            s01 = _mm_loadu_ps(((const float  *) (a + 2052)));
            s11 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(2, 0, 2, 0));
            s21 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(3, 1, 3, 1));
            s31 = _mm_loadu_ps(((const float  *) (a + 6144)));
            s41 = _mm_loadu_ps(((const float  *) (a + 6148)));
            s51 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(2, 0, 2, 0));
            s61 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(3, 1, 3, 1));
            t5 = _mm_add_ps(s11, s51);
            t6 = _mm_add_ps(s21, s61);
            t7 = _mm_sub_ps(s11, s51);
            t8 = _mm_sub_ps(s21, s61);
            t9 = _mm_add_ps(t, t5);
            t01 = _mm_add_ps(t2, t6);
            t11 = _mm_sub_ps(t, t5);
            t21 = _mm_sub_ps(t2, t6);
            t31 = _mm_add_ps(t3, t8);
            t41 = _mm_sub_ps(t4, t7);
            t51 = _mm_sub_ps(t3, t8);
            t61 = _mm_add_ps(t4, t7);
            s71 = _mm_loadu_ps(((const float  *) (a + 1024)));
            s81 = _mm_loadu_ps(((const float  *) (a + 1028)));
            s91 = _mm_shuffle_ps(s71, s81, _MM_SHUFFLE(2, 0, 2, 0));
            s02 = _mm_shuffle_ps(s71, s81, _MM_SHUFFLE(3, 1, 3, 1));
            s12 = _mm_loadu_ps(((const float  *) (a + 5120)));
            s22 = _mm_loadu_ps(((const float  *) (a + 5124)));
            s32 = _mm_shuffle_ps(s12, s22, _MM_SHUFFLE(2, 0, 2, 0));
            s42 = _mm_shuffle_ps(s12, s22, _MM_SHUFFLE(3, 1, 3, 1));
            t71 = _mm_add_ps(s91, s32);
            t81 = _mm_add_ps(s02, s42);
            t91 = _mm_sub_ps(s91, s32);
            t02 = _mm_sub_ps(s02, s42);
            s52 = _mm_loadu_ps(((const float  *) (a + 3072)));
            s62 = _mm_loadu_ps(((const float  *) (a + 3076)));
            s72 = _mm_shuffle_ps(s52, s62, _MM_SHUFFLE(2, 0, 2, 0));
            s82 = _mm_shuffle_ps(s52, s62, _MM_SHUFFLE(3, 1, 3, 1));
            s92 = _mm_loadu_ps(((const float  *) (a + 7168)));
            s03 = _mm_loadu_ps(((const float  *) (a + 7172)));
            s13 = _mm_shuffle_ps(s92, s03, _MM_SHUFFLE(2, 0, 2, 0));
            s23 = _mm_shuffle_ps(s92, s03, _MM_SHUFFLE(3, 1, 3, 1));
            t12 = _mm_add_ps(s72, s13);
            t22 = _mm_add_ps(s82, s23);
            t32 = _mm_sub_ps(s72, s13);
            t42 = _mm_sub_ps(s82, s23);
            t52 = _mm_add_ps(t71, t12);
            t62 = _mm_add_ps(t81, t22);
            t72 = _mm_sub_ps(t71, t12);
            t82 = _mm_sub_ps(t81, t22);
            a2 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t91, t42));
            a3 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t02, t32));
            s33 = _mm_sub_ps(a2, a3);
            s43 = _mm_add_ps(a2, a3);
            a4 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t91, t42));
            a5 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t02, t32));
            s53 = _mm_sub_ps(a4, a5);
            s63 = _mm_add_ps(a4, a5);
            t92 = _mm_add_ps(t9, t52);
            t03 = _mm_add_ps(t01, t62);
            t13 = _mm_sub_ps(t9, t52);
            t23 = _mm_sub_ps(t01, t62);
            a6 = (16 * i2);
            a7 = (D978 + a6);
            a8 = *(a7);
            a9 = *((a7 + 1));
            a01 = *((a7 + 2));
            a11 = *((a7 + 3));
            a21 = (((__m128  *) T3) + a6);
            s73 = _mm_sub_ps(_mm_mul_ps(a8, t92), _mm_mul_ps(a9, t03));
            *(a21) = s73;
            s83 = _mm_add_ps(_mm_mul_ps(a9, t92), _mm_mul_ps(a8, t03));
            *((a21 + 1)) = s83;
            s93 = _mm_sub_ps(_mm_mul_ps(a01, t13), _mm_mul_ps(a11, t23));
            *((a21 + 8)) = s93;
            s04 = _mm_add_ps(_mm_mul_ps(a11, t13), _mm_mul_ps(a01, t23));
            *((a21 + 9)) = s04;
            t33 = _mm_add_ps(t31, s33);
            t43 = _mm_sub_ps(t41, s43);
            t53 = _mm_sub_ps(t31, s33);
            t63 = _mm_add_ps(t41, s43);
            a31 = *((a7 + 4));
            a41 = *((a7 + 5));
            a51 = *((a7 + 6));
            a61 = *((a7 + 7));
            s14 = _mm_sub_ps(_mm_mul_ps(a31, t33), _mm_mul_ps(a41, t43));
            *((a21 + 2)) = s14;
            s24 = _mm_add_ps(_mm_mul_ps(a41, t33), _mm_mul_ps(a31, t43));
            *((a21 + 3)) = s24;
            s34 = _mm_sub_ps(_mm_mul_ps(a51, t53), _mm_mul_ps(a61, t63));
            *((a21 + 10)) = s34;
            s44 = _mm_add_ps(_mm_mul_ps(a61, t53), _mm_mul_ps(a51, t63));
            *((a21 + 11)) = s44;
            t73 = _mm_add_ps(t11, t82);
            t83 = _mm_sub_ps(t21, t72);
            t93 = _mm_sub_ps(t11, t82);
            t04 = _mm_add_ps(t21, t72);
            a71 = *((a7 + 8));
            a81 = *((a7 + 9));
            a91 = *((a7 + 10));
            a02 = *((a7 + 11));
            s54 = _mm_sub_ps(_mm_mul_ps(a71, t73), _mm_mul_ps(a81, t83));
            *((a21 + 4)) = s54;
            s64 = _mm_add_ps(_mm_mul_ps(a81, t73), _mm_mul_ps(a71, t83));
            *((a21 + 5)) = s64;
            s74 = _mm_sub_ps(_mm_mul_ps(a91, t93), _mm_mul_ps(a02, t04));
            *((a21 + 12)) = s74;
            s84 = _mm_add_ps(_mm_mul_ps(a02, t93), _mm_mul_ps(a91, t04));
            *((a21 + 13)) = s84;
            t14 = _mm_add_ps(t51, s53);
            t24 = _mm_add_ps(t61, s63);
            t34 = _mm_sub_ps(t51, s53);
            t44 = _mm_sub_ps(t61, s63);
            a12 = *((a7 + 12));
            a22 = *((a7 + 13));
            a32 = *((a7 + 14));
            a42 = *((a7 + 15));
            s94 = _mm_sub_ps(_mm_mul_ps(a12, t14), _mm_mul_ps(a22, t24));
            *((a21 + 6)) = s94;
            s05 = _mm_add_ps(_mm_mul_ps(a22, t14), _mm_mul_ps(a12, t24));
            *((a21 + 7)) = s05;
            s15 = _mm_sub_ps(_mm_mul_ps(a32, t34), _mm_mul_ps(a42, t44));
            *((a21 + 14)) = s15;
            s25 = _mm_add_ps(_mm_mul_ps(a42, t34), _mm_mul_ps(a32, t44));
            *((a21 + 15)) = s25;
        }}
        {long i3; for(i3 = 0; i3 <= 7; i3++) {
            a52 = (2 * i3);
            a62 = (((__m128  *) T3) + a52);
            s35 = *(a62);
            s45 = *((a62 + 1));
            s55 = *((a62 + 64));
            s65 = *((a62 + 65));
            t54 = _mm_add_ps(s35, s55);
            t64 = _mm_add_ps(s45, s65);
            t74 = _mm_sub_ps(s35, s55);
            t84 = _mm_sub_ps(s45, s65);
            s75 = *((a62 + 32));
            s85 = *((a62 + 33));
            s95 = *((a62 + 96));
            s06 = *((a62 + 97));
            t94 = _mm_add_ps(s75, s95);
            t05 = _mm_add_ps(s85, s06);
            t15 = _mm_sub_ps(s75, s95);
            t25 = _mm_sub_ps(s85, s06);
            t35 = _mm_add_ps(t54, t94);
            t45 = _mm_add_ps(t64, t05);
            t55 = _mm_sub_ps(t54, t94);
            t65 = _mm_sub_ps(t64, t05);
            t75 = _mm_add_ps(t74, t25);
            t85 = _mm_sub_ps(t84, t15);
            t95 = _mm_sub_ps(t74, t25);
            t06 = _mm_add_ps(t84, t15);
            s16 = *((a62 + 16));
            s26 = *((a62 + 17));
            s36 = *((a62 + 80));
            s46 = *((a62 + 81));
            t16 = _mm_add_ps(s16, s36);
            t26 = _mm_add_ps(s26, s46);
            t36 = _mm_sub_ps(s16, s36);
            t46 = _mm_sub_ps(s26, s46);
            s56 = *((a62 + 48));
            s66 = *((a62 + 49));
            s76 = *((a62 + 112));
            s86 = *((a62 + 113));
            t56 = _mm_add_ps(s56, s76);
            t66 = _mm_add_ps(s66, s86);
            t76 = _mm_sub_ps(s56, s76);
            t86 = _mm_sub_ps(s66, s86);
            t96 = _mm_add_ps(t16, t56);
            t07 = _mm_add_ps(t26, t66);
            t17 = _mm_sub_ps(t16, t56);
            t27 = _mm_sub_ps(t26, t66);
            a72 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t36, t86));
            a82 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t46, t76));
            s96 = _mm_sub_ps(a72, a82);
            s07 = _mm_add_ps(a72, a82);
            a92 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t36, t86));
            a03 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t46, t76));
            s17 = _mm_sub_ps(a92, a03);
            s27 = _mm_add_ps(a92, a03);
            a13 = (((__m128  *) T2) + a52);
            s37 = _mm_add_ps(t35, t96);
            *(a13) = s37;
            s47 = _mm_add_ps(t45, t07);
            *((a13 + 1)) = s47;
            s57 = _mm_sub_ps(t35, t96);
            *((a13 + 64)) = s57;
            s67 = _mm_sub_ps(t45, t07);
            *((a13 + 65)) = s67;
            s77 = _mm_add_ps(t75, s96);
            *((a13 + 16)) = s77;
            s87 = _mm_sub_ps(t85, s07);
            *((a13 + 17)) = s87;
            s97 = _mm_sub_ps(t75, s96);
            *((a13 + 80)) = s97;
            s08 = _mm_add_ps(t85, s07);
            *((a13 + 81)) = s08;
            s18 = _mm_add_ps(t55, t27);
            *((a13 + 32)) = s18;
            s28 = _mm_sub_ps(t65, t17);
            *((a13 + 33)) = s28;
            s38 = _mm_sub_ps(t55, t27);
            *((a13 + 96)) = s38;
            s48 = _mm_add_ps(t65, t17);
            *((a13 + 97)) = s48;
            s58 = _mm_add_ps(t95, s17);
            *((a13 + 48)) = s58;
            s68 = _mm_add_ps(t06, s27);
            *((a13 + 49)) = s68;
            s78 = _mm_sub_ps(t95, s17);
            *((a13 + 112)) = s78;
            s88 = _mm_sub_ps(t06, s27);
            *((a13 + 113)) = s88;
        }}
        {long i4; for(i4 = 0; i4 <= 15; i4++) {
            a23 = (((__m128  *) T2) + (8 * i4));
            s98 = *(a23);
            s09 = *((a23 + 2));
            s19 = _mm_unpacklo_ps(s98, s09);
            s29 = _mm_unpackhi_ps(s98, s09);
            s39 = *((a23 + 1));
            s49 = *((a23 + 3));
            s59 = _mm_unpacklo_ps(s39, s49);
            s69 = _mm_unpackhi_ps(s39, s49);
            s79 = *((a23 + 4));
            s89 = *((a23 + 6));
            s99 = _mm_unpacklo_ps(s79, s89);
            s0a = _mm_unpackhi_ps(s79, s89);
            s1a = *((a23 + 5));
            s2a = *((a23 + 7));
            s3a = _mm_unpacklo_ps(s1a, s2a);
            s4a = _mm_unpackhi_ps(s1a, s2a);
            a33 = (((__m128  *) T) + ((128 * i) + (2 * i4)));
            s5a = _mm_shuffle_ps(s19, s99, _MM_SHUFFLE(1, 0, 1, 0));
            *(a33) = s5a;
            s6a = _mm_shuffle_ps(s19, s99, _MM_SHUFFLE(3, 2, 3, 2));
            *((a33 + 32)) = s6a;
            s7a = _mm_shuffle_ps(s29, s0a, _MM_SHUFFLE(1, 0, 1, 0));
            *((a33 + 64)) = s7a;
            s8a = _mm_shuffle_ps(s29, s0a, _MM_SHUFFLE(3, 2, 3, 2));
            *((a33 + 96)) = s8a;
            s9a = _mm_shuffle_ps(s59, s3a, _MM_SHUFFLE(1, 0, 1, 0));
            *((a33 + 1)) = s9a;
            s0b = _mm_shuffle_ps(s59, s3a, _MM_SHUFFLE(3, 2, 3, 2));
            *((a33 + 33)) = s0b;
            s1b = _mm_shuffle_ps(s69, s4a, _MM_SHUFFLE(1, 0, 1, 0));
            *((a33 + 65)) = s1b;
            s2b = _mm_shuffle_ps(s69, s4a, _MM_SHUFFLE(3, 2, 3, 2));
            *((a33 + 97)) = s2b;
        }}
    }}
    {long i5; for(i5 = 0; i5 <= 15; i5++) {
        {long i6; for(i6 = 0; i6 <= 7; i6++) {
            a43 = (((__m128  *) T) + ((2 * i5) + (32 * i6)));
            s3b = *(a43);
            s4b = *((a43 + 1));
            s5b = *((a43 + 1024));
            s6b = *((a43 + 1025));
            a53 = (16 * i6);
            a63 = (D984 + ((128 * i5) + a53));
            a73 = *(a63);
            a83 = *((a63 + 1));
            s7b = _mm_sub_ps(_mm_mul_ps(a73, s3b), _mm_mul_ps(a83, s4b));
            s8b = _mm_add_ps(_mm_mul_ps(a83, s3b), _mm_mul_ps(a73, s4b));
            a93 = *((a63 + 2));
            a04 = *((a63 + 3));
            s9b = _mm_sub_ps(_mm_mul_ps(a93, s5b), _mm_mul_ps(a04, s6b));
            s0c = _mm_add_ps(_mm_mul_ps(a04, s5b), _mm_mul_ps(a93, s6b));
            t37 = _mm_add_ps(s7b, s9b);
            t47 = _mm_add_ps(s8b, s0c);
            t57 = _mm_sub_ps(s7b, s9b);
            t67 = _mm_sub_ps(s8b, s0c);
            s1c = *((a43 + 512));
            s2c = *((a43 + 513));
            s3c = *((a43 + 1536));
            s4c = *((a43 + 1537));
            a14 = *((a63 + 4));
            a24 = *((a63 + 5));
            s5c = _mm_sub_ps(_mm_mul_ps(a14, s1c), _mm_mul_ps(a24, s2c));
            s6c = _mm_add_ps(_mm_mul_ps(a24, s1c), _mm_mul_ps(a14, s2c));
            a34 = *((a63 + 6));
            a44 = *((a63 + 7));
            s7c = _mm_sub_ps(_mm_mul_ps(a34, s3c), _mm_mul_ps(a44, s4c));
            s8c = _mm_add_ps(_mm_mul_ps(a44, s3c), _mm_mul_ps(a34, s4c));
            t77 = _mm_add_ps(s5c, s7c);
            t87 = _mm_add_ps(s6c, s8c);
            t97 = _mm_sub_ps(s5c, s7c);
            t08 = _mm_sub_ps(s6c, s8c);
            t18 = _mm_add_ps(t37, t77);
            t28 = _mm_add_ps(t47, t87);
            t38 = _mm_sub_ps(t37, t77);
            t48 = _mm_sub_ps(t47, t87);
            t58 = _mm_add_ps(t57, t08);
            t68 = _mm_sub_ps(t67, t97);
            t78 = _mm_sub_ps(t57, t08);
            t88 = _mm_add_ps(t67, t97);
            s9c = *((a43 + 256));
            s0d = *((a43 + 257));
            s1d = *((a43 + 1280));
            s2d = *((a43 + 1281));
            a54 = *((a63 + 8));
            a64 = *((a63 + 9));
            s3d = _mm_sub_ps(_mm_mul_ps(a54, s9c), _mm_mul_ps(a64, s0d));
            s4d = _mm_add_ps(_mm_mul_ps(a64, s9c), _mm_mul_ps(a54, s0d));
            a74 = *((a63 + 10));
            a84 = *((a63 + 11));
            s5d = _mm_sub_ps(_mm_mul_ps(a74, s1d), _mm_mul_ps(a84, s2d));
            s6d = _mm_add_ps(_mm_mul_ps(a84, s1d), _mm_mul_ps(a74, s2d));
            t98 = _mm_add_ps(s3d, s5d);
            t09 = _mm_add_ps(s4d, s6d);
            t19 = _mm_sub_ps(s3d, s5d);
            t29 = _mm_sub_ps(s4d, s6d);
            s7d = *((a43 + 768));
            s8d = *((a43 + 769));
            s9d = *((a43 + 1792));
            s0e = *((a43 + 1793));
            a94 = *((a63 + 12));
            a05 = *((a63 + 13));
            s1e = _mm_sub_ps(_mm_mul_ps(a94, s7d), _mm_mul_ps(a05, s8d));
            s2e = _mm_add_ps(_mm_mul_ps(a05, s7d), _mm_mul_ps(a94, s8d));
            a15 = *((a63 + 14));
            a25 = *((a63 + 15));
            s3e = _mm_sub_ps(_mm_mul_ps(a15, s9d), _mm_mul_ps(a25, s0e));
            s4e = _mm_add_ps(_mm_mul_ps(a25, s9d), _mm_mul_ps(a15, s0e));
            t39 = _mm_add_ps(s1e, s3e);
            t49 = _mm_add_ps(s2e, s4e);
            t59 = _mm_sub_ps(s1e, s3e);
            t69 = _mm_sub_ps(s2e, s4e);
            t79 = _mm_add_ps(t98, t39);
            t89 = _mm_add_ps(t09, t49);
            t99 = _mm_sub_ps(t98, t39);
            t0a = _mm_sub_ps(t09, t49);
            a35 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t19, t69));
            a45 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t29, t59));
            s5e = _mm_sub_ps(a35, a45);
            s6e = _mm_add_ps(a35, a45);
            a55 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t19, t69));
            a65 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t29, t59));
            s7e = _mm_sub_ps(a55, a65);
            s8e = _mm_add_ps(a55, a65);
            t1a = _mm_add_ps(t18, t79);
            t2a = _mm_add_ps(t28, t89);
            t3a = _mm_sub_ps(t18, t79);
            t4a = _mm_sub_ps(t28, t89);
            a75 = (D978 + a53);
            a85 = *(a75);
            a95 = *((a75 + 1));
            a06 = *((a75 + 2));
            a16 = *((a75 + 3));
            a26 = (((__m128  *) T4) + a53);
            s9e = _mm_sub_ps(_mm_mul_ps(a85, t1a), _mm_mul_ps(a95, t2a));
            *(a26) = s9e;
            s0f = _mm_add_ps(_mm_mul_ps(a95, t1a), _mm_mul_ps(a85, t2a));
            *((a26 + 1)) = s0f;
            s1f = _mm_sub_ps(_mm_mul_ps(a06, t3a), _mm_mul_ps(a16, t4a));
            *((a26 + 8)) = s1f;
            s2f = _mm_add_ps(_mm_mul_ps(a16, t3a), _mm_mul_ps(a06, t4a));
            *((a26 + 9)) = s2f;
            t5a = _mm_add_ps(t58, s5e);
            t6a = _mm_sub_ps(t68, s6e);
            t7a = _mm_sub_ps(t58, s5e);
            t8a = _mm_add_ps(t68, s6e);
            a36 = *((a75 + 4));
            a46 = *((a75 + 5));
            a56 = *((a75 + 6));
            a66 = *((a75 + 7));
            s3f = _mm_sub_ps(_mm_mul_ps(a36, t5a), _mm_mul_ps(a46, t6a));
            *((a26 + 2)) = s3f;
            s4f = _mm_add_ps(_mm_mul_ps(a46, t5a), _mm_mul_ps(a36, t6a));
            *((a26 + 3)) = s4f;
            s5f = _mm_sub_ps(_mm_mul_ps(a56, t7a), _mm_mul_ps(a66, t8a));
            *((a26 + 10)) = s5f;
            s6f = _mm_add_ps(_mm_mul_ps(a66, t7a), _mm_mul_ps(a56, t8a));
            *((a26 + 11)) = s6f;
            t9a = _mm_add_ps(t38, t0a);
            t0b = _mm_sub_ps(t48, t99);
            t1b = _mm_sub_ps(t38, t0a);
            t2b = _mm_add_ps(t48, t99);
            a76 = *((a75 + 8));
            a86 = *((a75 + 9));
            a96 = *((a75 + 10));
            a07 = *((a75 + 11));
            s7f = _mm_sub_ps(_mm_mul_ps(a76, t9a), _mm_mul_ps(a86, t0b));
            *((a26 + 4)) = s7f;
            s8f = _mm_add_ps(_mm_mul_ps(a86, t9a), _mm_mul_ps(a76, t0b));
            *((a26 + 5)) = s8f;
            s9f = _mm_sub_ps(_mm_mul_ps(a96, t1b), _mm_mul_ps(a07, t2b));
            *((a26 + 12)) = s9f;
            s0g = _mm_add_ps(_mm_mul_ps(a07, t1b), _mm_mul_ps(a96, t2b));
            *((a26 + 13)) = s0g;
            t3b = _mm_add_ps(t78, s7e);
            t4b = _mm_add_ps(t88, s8e);
            t5b = _mm_sub_ps(t78, s7e);
            t6b = _mm_sub_ps(t88, s8e);
            a17 = *((a75 + 12));
            a27 = *((a75 + 13));
            a37 = *((a75 + 14));
            a47 = *((a75 + 15));
            s1g = _mm_sub_ps(_mm_mul_ps(a17, t3b), _mm_mul_ps(a27, t4b));
            *((a26 + 6)) = s1g;
            s2g = _mm_add_ps(_mm_mul_ps(a27, t3b), _mm_mul_ps(a17, t4b));
            *((a26 + 7)) = s2g;
            s3g = _mm_sub_ps(_mm_mul_ps(a37, t5b), _mm_mul_ps(a47, t6b));
            *((a26 + 14)) = s3g;
            s4g = _mm_add_ps(_mm_mul_ps(a47, t5b), _mm_mul_ps(a37, t6b));
            *((a26 + 15)) = s4g;
        }}
        {long i7; for(i7 = 0; i7 <= 7; i7++) {
            a57 = (((__m128  *) T4) + (2 * i7));
            s5g = *(a57);
            s6g = *((a57 + 1));
            s7g = *((a57 + 64));
            s8g = *((a57 + 65));
            t7b = _mm_add_ps(s5g, s7g);
            t8b = _mm_add_ps(s6g, s8g);
            t9b = _mm_sub_ps(s5g, s7g);
            t0c = _mm_sub_ps(s6g, s8g);
            s9g = *((a57 + 32));
            s0h = *((a57 + 33));
            s1h = *((a57 + 96));
            s2h = *((a57 + 97));
            t1c = _mm_add_ps(s9g, s1h);
            t2c = _mm_add_ps(s0h, s2h);
            t3c = _mm_sub_ps(s9g, s1h);
            t4c = _mm_sub_ps(s0h, s2h);
            t5c = _mm_add_ps(t7b, t1c);
            t6c = _mm_add_ps(t8b, t2c);
            t7c = _mm_sub_ps(t7b, t1c);
            t8c = _mm_sub_ps(t8b, t2c);
            t9c = _mm_add_ps(t9b, t4c);
            t0d = _mm_sub_ps(t0c, t3c);
            t1d = _mm_sub_ps(t9b, t4c);
            t2d = _mm_add_ps(t0c, t3c);
            s3h = *((a57 + 16));
            s4h = *((a57 + 17));
            s5h = *((a57 + 80));
            s6h = *((a57 + 81));
            t3d = _mm_add_ps(s3h, s5h);
            t4d = _mm_add_ps(s4h, s6h);
            t5d = _mm_sub_ps(s3h, s5h);
            t6d = _mm_sub_ps(s4h, s6h);
            s7h = *((a57 + 48));
            s8h = *((a57 + 49));
            s9h = *((a57 + 112));
            s0i = *((a57 + 113));
            t7d = _mm_add_ps(s7h, s9h);
            t8d = _mm_add_ps(s8h, s0i);
            t9d = _mm_sub_ps(s7h, s9h);
            t0e = _mm_sub_ps(s8h, s0i);
            t1e = _mm_add_ps(t3d, t7d);
            t2e = _mm_add_ps(t4d, t8d);
            t3e = _mm_sub_ps(t3d, t7d);
            t4e = _mm_sub_ps(t4d, t8d);
            a67 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t5d, t0e));
            a77 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t6d, t9d));
            s1i = _mm_sub_ps(a67, a77);
            s2i = _mm_add_ps(a67, a77);
            a87 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t5d, t0e));
            a97 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t6d, t9d));
            s3i = _mm_sub_ps(a87, a97);
            s4i = _mm_add_ps(a87, a97);
            t5e = _mm_add_ps(t5c, t1e);
            t6e = _mm_add_ps(t6c, t2e);
            t7e = _mm_sub_ps(t5c, t1e);
            t8e = _mm_sub_ps(t6c, t2e);
            a08 = (dst + ((8 * i5) + (128 * i7)));
            s5i = _mm_unpacklo_ps(t5e, t6e);
            _mm_storeu_ps(((float  *) a08), s5i);
            s6i = _mm_unpackhi_ps(t5e, t6e);
            _mm_storeu_ps(((float  *) (a08 + 4)), s6i);
            s7i = _mm_unpacklo_ps(t7e, t8e);
            _mm_storeu_ps(((float  *) (a08 + 4096)), s7i);
            s8i = _mm_unpackhi_ps(t7e, t8e);
            _mm_storeu_ps(((float  *) (a08 + 4100)), s8i);
            t9e = _mm_add_ps(t9c, s1i);
            t0f = _mm_sub_ps(t0d, s2i);
            t1f = _mm_sub_ps(t9c, s1i);
            t2f = _mm_add_ps(t0d, s2i);
            s9i = _mm_unpacklo_ps(t9e, t0f);
            _mm_storeu_ps(((float  *) (a08 + 1024)), s9i);
            s0j = _mm_unpackhi_ps(t9e, t0f);
            _mm_storeu_ps(((float  *) (a08 + 1028)), s0j);
            s1j = _mm_unpacklo_ps(t1f, t2f);
            _mm_storeu_ps(((float  *) (a08 + 5120)), s1j);
            s2j = _mm_unpackhi_ps(t1f, t2f);
            _mm_storeu_ps(((float  *) (a08 + 5124)), s2j);
            t3f = _mm_add_ps(t7c, t4e);
            t4f = _mm_sub_ps(t8c, t3e);
            t5f = _mm_sub_ps(t7c, t4e);
            t6f = _mm_add_ps(t8c, t3e);
            s3j = _mm_unpacklo_ps(t3f, t4f);
            _mm_storeu_ps(((float  *) (a08 + 2048)), s3j);
            s4j = _mm_unpackhi_ps(t3f, t4f);
            _mm_storeu_ps(((float  *) (a08 + 2052)), s4j);
            s5j = _mm_unpacklo_ps(t5f, t6f);
            _mm_storeu_ps(((float  *) (a08 + 6144)), s5j);
            s6j = _mm_unpackhi_ps(t5f, t6f);
            _mm_storeu_ps(((float  *) (a08 + 6148)), s6j);
            t7f = _mm_add_ps(t1d, s3i);
            t8f = _mm_add_ps(t2d, s4i);
            t9f = _mm_sub_ps(t1d, s3i);
            t0g = _mm_sub_ps(t2d, s4i);
            s7j = _mm_unpacklo_ps(t7f, t8f);
            _mm_storeu_ps(((float  *) (a08 + 3072)), s7j);
            s8j = _mm_unpackhi_ps(t7f, t8f);
            _mm_storeu_ps(((float  *) (a08 + 3076)), s8j);
            s9j = _mm_unpacklo_ps(t9f, t0g);
            _mm_storeu_ps(((float  *) (a08 + 7168)), s9j);
            s0k = _mm_unpackhi_ps(t9f, t0g);
            _mm_storeu_ps(((float  *) (a08 + 7172)), s0k);
        }}
    }}
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_fftfwd_float_4096)(const float *pSrc, float *pDst ) {
    if (!is_aligned(pSrc) || !is_aligned(pDst))
       	return spiral_fftfwd_float_4096_unaligned(pSrc, pDst );
    else {
    const float  *src = (const float *) pSrc; 
    float        *dst = (float *) pDst;
    
    
    { SPIRAL_ALIGNED(float T[8192]);
     SPIRAL_ALIGNED(float T2[512]);
     SPIRAL_ALIGNED(float T3[512]);
     SPIRAL_ALIGNED(float T4[512]);
    __m128 s0b, s0j, s0k, s1b, s1j, s2b, s2j, s3j, s4j, s5a, s5i, s5j, s6a, s6i, s6j, s7a, s7i, s7j, s8a, s8i, s8j, s9a
            , s9i, s9j;
    __m128 a01, a02, a03, a04, a05, a06, a07, a11, a12, a14, a15, a16, a17, a2, a22, a24, a25, a27, a3, a31, a32, a34
            , a35, a36, a37, a4, a41, a42, a44, a45, a46, a47, a5, a51, a54, a55, a56, a61, a64, a65, a66, a67, a71, a72
            , a73, a74, a76, a77, a8, a81, a82, a83, a84, a85, a86, a87, a9, a91, a92, a93, a94, a95, a96, a97, s, s01
            , s02, s03, s04, s05, s06, s07, s08, s09, s0a, s0c, s0d, s0e, s0f, s0g, s0h, s0i, s11, s12, s13, s14, s15, s16
            , s17, s18, s19, s1a, s1c, s1d, s1e, s1f, s1g, s1h, s1i, s2, s21, s22, s23, s24, s25, s26, s27, s28, s29, s2a
            , s2c, s2d, s2e, s2f, s2g, s2h, s2i, s3, s31, s32, s33, s34, s35, s36, s37, s38, s39, s3a, s3b, s3c, s3d, s3e
            , s3f, s3g, s3h, s3i, s4, s41, s42, s43, s44, s45, s46, s47, s48, s49, s4a, s4b, s4c, s4d, s4e, s4f, s4g, s4h
            , s4i, s5, s51, s52, s53, s54, s55, s56, s57, s58, s59, s5b, s5c, s5d, s5e, s5f, s5g, s5h, s6, s61, s62, s63
            , s64, s65, s66, s67, s68, s69, s6b, s6c, s6d, s6e, s6f, s6g, s6h, s7, s71, s72, s73, s74, s75, s76, s77, s78
            , s79, s7b, s7c, s7d, s7e, s7f, s7g, s7h, s8, s81, s82, s83, s84, s85, s86, s87, s88, s89, s8b, s8c, s8d, s8e
            , s8f, s8g, s8h, s9, s91, s92, s93, s94, s95, s96, s97, s98, s99, s9b, s9c, s9d, s9e, s9f, s9g, s9h, t, t01
            , t02, t03, t04, t05, t06, t07, t08, t09, t0a, t0b, t0c, t0d, t0e, t0f, t0g, t11, t12, t13, t14, t15, t16, t17
            , t18, t19, t1a, t1b, t1c, t1d, t1e, t1f, t2, t21, t22, t23, t24, t25, t26, t27, t28, t29, t2a, t2b, t2c, t2d
            , t2e, t2f, t3, t31, t32, t33, t34, t35, t36, t37, t38, t39, t3a, t3b, t3c, t3d, t3e, t3f, t4, t41, t42, t43
            , t44, t45, t46, t47, t48, t49, t4a, t4b, t4c, t4d, t4e, t4f, t5, t51, t52, t53, t54, t55, t56, t57, t58, t59
            , t5a, t5b, t5c, t5d, t5e, t5f, t6, t61, t62, t63, t64, t65, t66, t67, t68, t69, t6a, t6b, t6c, t6d, t6e, t6f
            , t7, t71, t72, t73, t74, t75, t76, t77, t78, t79, t7a, t7b, t7c, t7d, t7e, t7f, t8, t81, t82, t83, t84, t85
            , t86, t87, t88, t89, t8a, t8b, t8c, t8d, t8e, t8f, t9, t91, t92, t93, t94, t95, t96, t97, t98, t99, t9a, t9b
            , t9c, t9d, t9e, t9f;
    __m128  *a, *a08, *a13, *a21, *a23, *a26, *a33, *a43, *a57, *a62, *a63, *a7, *a75;
    int a52, a53, a6;
    {long i; for(i = 0; i <= 15; i++) {
        {long i2; for(i2 = 0; i2 <= 7; i2++) {
            a = (((__m128  *) src) + ((2 * i) + (32 * i2)));
            s = *(a);
            s2 = *((a + 1));
            s3 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(2, 0, 2, 0));
            s4 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(3, 1, 3, 1));
            s5 = *((a + 1024));
            s6 = *((a + 1025));
            s7 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(2, 0, 2, 0));
            s8 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(3, 1, 3, 1));
            t = _mm_add_ps(s3, s7);
            t2 = _mm_add_ps(s4, s8);
            t3 = _mm_sub_ps(s3, s7);
            t4 = _mm_sub_ps(s4, s8);
            s9 = *((a + 512));
            s01 = *((a + 513));
            s11 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(2, 0, 2, 0));
            s21 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(3, 1, 3, 1));
            s31 = *((a + 1536));
            s41 = *((a + 1537));
            s51 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(2, 0, 2, 0));
            s61 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(3, 1, 3, 1));
            t5 = _mm_add_ps(s11, s51);
            t6 = _mm_add_ps(s21, s61);
            t7 = _mm_sub_ps(s11, s51);
            t8 = _mm_sub_ps(s21, s61);
            t9 = _mm_add_ps(t, t5);
            t01 = _mm_add_ps(t2, t6);
            t11 = _mm_sub_ps(t, t5);
            t21 = _mm_sub_ps(t2, t6);
            t31 = _mm_add_ps(t3, t8);
            t41 = _mm_sub_ps(t4, t7);
            t51 = _mm_sub_ps(t3, t8);
            t61 = _mm_add_ps(t4, t7);
            s71 = *((a + 256));
            s81 = *((a + 257));
            s91 = _mm_shuffle_ps(s71, s81, _MM_SHUFFLE(2, 0, 2, 0));
            s02 = _mm_shuffle_ps(s71, s81, _MM_SHUFFLE(3, 1, 3, 1));
            s12 = *((a + 1280));
            s22 = *((a + 1281));
            s32 = _mm_shuffle_ps(s12, s22, _MM_SHUFFLE(2, 0, 2, 0));
            s42 = _mm_shuffle_ps(s12, s22, _MM_SHUFFLE(3, 1, 3, 1));
            t71 = _mm_add_ps(s91, s32);
            t81 = _mm_add_ps(s02, s42);
            t91 = _mm_sub_ps(s91, s32);
            t02 = _mm_sub_ps(s02, s42);
            s52 = *((a + 768));
            s62 = *((a + 769));
            s72 = _mm_shuffle_ps(s52, s62, _MM_SHUFFLE(2, 0, 2, 0));
            s82 = _mm_shuffle_ps(s52, s62, _MM_SHUFFLE(3, 1, 3, 1));
            s92 = *((a + 1792));
            s03 = *((a + 1793));
            s13 = _mm_shuffle_ps(s92, s03, _MM_SHUFFLE(2, 0, 2, 0));
            s23 = _mm_shuffle_ps(s92, s03, _MM_SHUFFLE(3, 1, 3, 1));
            t12 = _mm_add_ps(s72, s13);
            t22 = _mm_add_ps(s82, s23);
            t32 = _mm_sub_ps(s72, s13);
            t42 = _mm_sub_ps(s82, s23);
            t52 = _mm_add_ps(t71, t12);
            t62 = _mm_add_ps(t81, t22);
            t72 = _mm_sub_ps(t71, t12);
            t82 = _mm_sub_ps(t81, t22);
            a2 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t91, t42));
            a3 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t02, t32));
            s33 = _mm_sub_ps(a2, a3);
            s43 = _mm_add_ps(a2, a3);
            a4 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t91, t42));
            a5 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t02, t32));
            s53 = _mm_sub_ps(a4, a5);
            s63 = _mm_add_ps(a4, a5);
            t92 = _mm_add_ps(t9, t52);
            t03 = _mm_add_ps(t01, t62);
            t13 = _mm_sub_ps(t9, t52);
            t23 = _mm_sub_ps(t01, t62);
            a6 = (16 * i2);
            a7 = (D978 + a6);
            a8 = *(a7);
            a9 = *((a7 + 1));
            a01 = *((a7 + 2));
            a11 = *((a7 + 3));
            a21 = (((__m128  *) T3) + a6);
            s73 = _mm_sub_ps(_mm_mul_ps(a8, t92), _mm_mul_ps(a9, t03));
            *(a21) = s73;
            s83 = _mm_add_ps(_mm_mul_ps(a9, t92), _mm_mul_ps(a8, t03));
            *((a21 + 1)) = s83;
            s93 = _mm_sub_ps(_mm_mul_ps(a01, t13), _mm_mul_ps(a11, t23));
            *((a21 + 8)) = s93;
            s04 = _mm_add_ps(_mm_mul_ps(a11, t13), _mm_mul_ps(a01, t23));
            *((a21 + 9)) = s04;
            t33 = _mm_add_ps(t31, s33);
            t43 = _mm_sub_ps(t41, s43);
            t53 = _mm_sub_ps(t31, s33);
            t63 = _mm_add_ps(t41, s43);
            a31 = *((a7 + 4));
            a41 = *((a7 + 5));
            a51 = *((a7 + 6));
            a61 = *((a7 + 7));
            s14 = _mm_sub_ps(_mm_mul_ps(a31, t33), _mm_mul_ps(a41, t43));
            *((a21 + 2)) = s14;
            s24 = _mm_add_ps(_mm_mul_ps(a41, t33), _mm_mul_ps(a31, t43));
            *((a21 + 3)) = s24;
            s34 = _mm_sub_ps(_mm_mul_ps(a51, t53), _mm_mul_ps(a61, t63));
            *((a21 + 10)) = s34;
            s44 = _mm_add_ps(_mm_mul_ps(a61, t53), _mm_mul_ps(a51, t63));
            *((a21 + 11)) = s44;
            t73 = _mm_add_ps(t11, t82);
            t83 = _mm_sub_ps(t21, t72);
            t93 = _mm_sub_ps(t11, t82);
            t04 = _mm_add_ps(t21, t72);
            a71 = *((a7 + 8));
            a81 = *((a7 + 9));
            a91 = *((a7 + 10));
            a02 = *((a7 + 11));
            s54 = _mm_sub_ps(_mm_mul_ps(a71, t73), _mm_mul_ps(a81, t83));
            *((a21 + 4)) = s54;
            s64 = _mm_add_ps(_mm_mul_ps(a81, t73), _mm_mul_ps(a71, t83));
            *((a21 + 5)) = s64;
            s74 = _mm_sub_ps(_mm_mul_ps(a91, t93), _mm_mul_ps(a02, t04));
            *((a21 + 12)) = s74;
            s84 = _mm_add_ps(_mm_mul_ps(a02, t93), _mm_mul_ps(a91, t04));
            *((a21 + 13)) = s84;
            t14 = _mm_add_ps(t51, s53);
            t24 = _mm_add_ps(t61, s63);
            t34 = _mm_sub_ps(t51, s53);
            t44 = _mm_sub_ps(t61, s63);
            a12 = *((a7 + 12));
            a22 = *((a7 + 13));
            a32 = *((a7 + 14));
            a42 = *((a7 + 15));
            s94 = _mm_sub_ps(_mm_mul_ps(a12, t14), _mm_mul_ps(a22, t24));
            *((a21 + 6)) = s94;
            s05 = _mm_add_ps(_mm_mul_ps(a22, t14), _mm_mul_ps(a12, t24));
            *((a21 + 7)) = s05;
            s15 = _mm_sub_ps(_mm_mul_ps(a32, t34), _mm_mul_ps(a42, t44));
            *((a21 + 14)) = s15;
            s25 = _mm_add_ps(_mm_mul_ps(a42, t34), _mm_mul_ps(a32, t44));
            *((a21 + 15)) = s25;
        }}
        {long i3; for(i3 = 0; i3 <= 7; i3++) {
            a52 = (2 * i3);
            a62 = (((__m128  *) T3) + a52);
            s35 = *(a62);
            s45 = *((a62 + 1));
            s55 = *((a62 + 64));
            s65 = *((a62 + 65));
            t54 = _mm_add_ps(s35, s55);
            t64 = _mm_add_ps(s45, s65);
            t74 = _mm_sub_ps(s35, s55);
            t84 = _mm_sub_ps(s45, s65);
            s75 = *((a62 + 32));
            s85 = *((a62 + 33));
            s95 = *((a62 + 96));
            s06 = *((a62 + 97));
            t94 = _mm_add_ps(s75, s95);
            t05 = _mm_add_ps(s85, s06);
            t15 = _mm_sub_ps(s75, s95);
            t25 = _mm_sub_ps(s85, s06);
            t35 = _mm_add_ps(t54, t94);
            t45 = _mm_add_ps(t64, t05);
            t55 = _mm_sub_ps(t54, t94);
            t65 = _mm_sub_ps(t64, t05);
            t75 = _mm_add_ps(t74, t25);
            t85 = _mm_sub_ps(t84, t15);
            t95 = _mm_sub_ps(t74, t25);
            t06 = _mm_add_ps(t84, t15);
            s16 = *((a62 + 16));
            s26 = *((a62 + 17));
            s36 = *((a62 + 80));
            s46 = *((a62 + 81));
            t16 = _mm_add_ps(s16, s36);
            t26 = _mm_add_ps(s26, s46);
            t36 = _mm_sub_ps(s16, s36);
            t46 = _mm_sub_ps(s26, s46);
            s56 = *((a62 + 48));
            s66 = *((a62 + 49));
            s76 = *((a62 + 112));
            s86 = *((a62 + 113));
            t56 = _mm_add_ps(s56, s76);
            t66 = _mm_add_ps(s66, s86);
            t76 = _mm_sub_ps(s56, s76);
            t86 = _mm_sub_ps(s66, s86);
            t96 = _mm_add_ps(t16, t56);
            t07 = _mm_add_ps(t26, t66);
            t17 = _mm_sub_ps(t16, t56);
            t27 = _mm_sub_ps(t26, t66);
            a72 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t36, t86));
            a82 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t46, t76));
            s96 = _mm_sub_ps(a72, a82);
            s07 = _mm_add_ps(a72, a82);
            a92 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t36, t86));
            a03 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t46, t76));
            s17 = _mm_sub_ps(a92, a03);
            s27 = _mm_add_ps(a92, a03);
            a13 = (((__m128  *) T2) + a52);
            s37 = _mm_add_ps(t35, t96);
            *(a13) = s37;
            s47 = _mm_add_ps(t45, t07);
            *((a13 + 1)) = s47;
            s57 = _mm_sub_ps(t35, t96);
            *((a13 + 64)) = s57;
            s67 = _mm_sub_ps(t45, t07);
            *((a13 + 65)) = s67;
            s77 = _mm_add_ps(t75, s96);
            *((a13 + 16)) = s77;
            s87 = _mm_sub_ps(t85, s07);
            *((a13 + 17)) = s87;
            s97 = _mm_sub_ps(t75, s96);
            *((a13 + 80)) = s97;
            s08 = _mm_add_ps(t85, s07);
            *((a13 + 81)) = s08;
            s18 = _mm_add_ps(t55, t27);
            *((a13 + 32)) = s18;
            s28 = _mm_sub_ps(t65, t17);
            *((a13 + 33)) = s28;
            s38 = _mm_sub_ps(t55, t27);
            *((a13 + 96)) = s38;
            s48 = _mm_add_ps(t65, t17);
            *((a13 + 97)) = s48;
            s58 = _mm_add_ps(t95, s17);
            *((a13 + 48)) = s58;
            s68 = _mm_add_ps(t06, s27);
            *((a13 + 49)) = s68;
            s78 = _mm_sub_ps(t95, s17);
            *((a13 + 112)) = s78;
            s88 = _mm_sub_ps(t06, s27);
            *((a13 + 113)) = s88;
        }}
        {long i4; for(i4 = 0; i4 <= 15; i4++) {
            a23 = (((__m128  *) T2) + (8 * i4));
            s98 = *(a23);
            s09 = *((a23 + 2));
            s19 = _mm_unpacklo_ps(s98, s09);
            s29 = _mm_unpackhi_ps(s98, s09);
            s39 = *((a23 + 1));
            s49 = *((a23 + 3));
            s59 = _mm_unpacklo_ps(s39, s49);
            s69 = _mm_unpackhi_ps(s39, s49);
            s79 = *((a23 + 4));
            s89 = *((a23 + 6));
            s99 = _mm_unpacklo_ps(s79, s89);
            s0a = _mm_unpackhi_ps(s79, s89);
            s1a = *((a23 + 5));
            s2a = *((a23 + 7));
            s3a = _mm_unpacklo_ps(s1a, s2a);
            s4a = _mm_unpackhi_ps(s1a, s2a);
            a33 = (((__m128  *) T) + ((128 * i) + (2 * i4)));
            s5a = _mm_shuffle_ps(s19, s99, _MM_SHUFFLE(1, 0, 1, 0));
            *(a33) = s5a;
            s6a = _mm_shuffle_ps(s19, s99, _MM_SHUFFLE(3, 2, 3, 2));
            *((a33 + 32)) = s6a;
            s7a = _mm_shuffle_ps(s29, s0a, _MM_SHUFFLE(1, 0, 1, 0));
            *((a33 + 64)) = s7a;
            s8a = _mm_shuffle_ps(s29, s0a, _MM_SHUFFLE(3, 2, 3, 2));
            *((a33 + 96)) = s8a;
            s9a = _mm_shuffle_ps(s59, s3a, _MM_SHUFFLE(1, 0, 1, 0));
            *((a33 + 1)) = s9a;
            s0b = _mm_shuffle_ps(s59, s3a, _MM_SHUFFLE(3, 2, 3, 2));
            *((a33 + 33)) = s0b;
            s1b = _mm_shuffle_ps(s69, s4a, _MM_SHUFFLE(1, 0, 1, 0));
            *((a33 + 65)) = s1b;
            s2b = _mm_shuffle_ps(s69, s4a, _MM_SHUFFLE(3, 2, 3, 2));
            *((a33 + 97)) = s2b;
        }}
    }}
    {long i5; for(i5 = 0; i5 <= 15; i5++) {
        {long i6; for(i6 = 0; i6 <= 7; i6++) {
            a43 = (((__m128  *) T) + ((2 * i5) + (32 * i6)));
            s3b = *(a43);
            s4b = *((a43 + 1));
            s5b = *((a43 + 1024));
            s6b = *((a43 + 1025));
            a53 = (16 * i6);
            a63 = (D984 + ((128 * i5) + a53));
            a73 = *(a63);
            a83 = *((a63 + 1));
            s7b = _mm_sub_ps(_mm_mul_ps(a73, s3b), _mm_mul_ps(a83, s4b));
            s8b = _mm_add_ps(_mm_mul_ps(a83, s3b), _mm_mul_ps(a73, s4b));
            a93 = *((a63 + 2));
            a04 = *((a63 + 3));
            s9b = _mm_sub_ps(_mm_mul_ps(a93, s5b), _mm_mul_ps(a04, s6b));
            s0c = _mm_add_ps(_mm_mul_ps(a04, s5b), _mm_mul_ps(a93, s6b));
            t37 = _mm_add_ps(s7b, s9b);
            t47 = _mm_add_ps(s8b, s0c);
            t57 = _mm_sub_ps(s7b, s9b);
            t67 = _mm_sub_ps(s8b, s0c);
            s1c = *((a43 + 512));
            s2c = *((a43 + 513));
            s3c = *((a43 + 1536));
            s4c = *((a43 + 1537));
            a14 = *((a63 + 4));
            a24 = *((a63 + 5));
            s5c = _mm_sub_ps(_mm_mul_ps(a14, s1c), _mm_mul_ps(a24, s2c));
            s6c = _mm_add_ps(_mm_mul_ps(a24, s1c), _mm_mul_ps(a14, s2c));
            a34 = *((a63 + 6));
            a44 = *((a63 + 7));
            s7c = _mm_sub_ps(_mm_mul_ps(a34, s3c), _mm_mul_ps(a44, s4c));
            s8c = _mm_add_ps(_mm_mul_ps(a44, s3c), _mm_mul_ps(a34, s4c));
            t77 = _mm_add_ps(s5c, s7c);
            t87 = _mm_add_ps(s6c, s8c);
            t97 = _mm_sub_ps(s5c, s7c);
            t08 = _mm_sub_ps(s6c, s8c);
            t18 = _mm_add_ps(t37, t77);
            t28 = _mm_add_ps(t47, t87);
            t38 = _mm_sub_ps(t37, t77);
            t48 = _mm_sub_ps(t47, t87);
            t58 = _mm_add_ps(t57, t08);
            t68 = _mm_sub_ps(t67, t97);
            t78 = _mm_sub_ps(t57, t08);
            t88 = _mm_add_ps(t67, t97);
            s9c = *((a43 + 256));
            s0d = *((a43 + 257));
            s1d = *((a43 + 1280));
            s2d = *((a43 + 1281));
            a54 = *((a63 + 8));
            a64 = *((a63 + 9));
            s3d = _mm_sub_ps(_mm_mul_ps(a54, s9c), _mm_mul_ps(a64, s0d));
            s4d = _mm_add_ps(_mm_mul_ps(a64, s9c), _mm_mul_ps(a54, s0d));
            a74 = *((a63 + 10));
            a84 = *((a63 + 11));
            s5d = _mm_sub_ps(_mm_mul_ps(a74, s1d), _mm_mul_ps(a84, s2d));
            s6d = _mm_add_ps(_mm_mul_ps(a84, s1d), _mm_mul_ps(a74, s2d));
            t98 = _mm_add_ps(s3d, s5d);
            t09 = _mm_add_ps(s4d, s6d);
            t19 = _mm_sub_ps(s3d, s5d);
            t29 = _mm_sub_ps(s4d, s6d);
            s7d = *((a43 + 768));
            s8d = *((a43 + 769));
            s9d = *((a43 + 1792));
            s0e = *((a43 + 1793));
            a94 = *((a63 + 12));
            a05 = *((a63 + 13));
            s1e = _mm_sub_ps(_mm_mul_ps(a94, s7d), _mm_mul_ps(a05, s8d));
            s2e = _mm_add_ps(_mm_mul_ps(a05, s7d), _mm_mul_ps(a94, s8d));
            a15 = *((a63 + 14));
            a25 = *((a63 + 15));
            s3e = _mm_sub_ps(_mm_mul_ps(a15, s9d), _mm_mul_ps(a25, s0e));
            s4e = _mm_add_ps(_mm_mul_ps(a25, s9d), _mm_mul_ps(a15, s0e));
            t39 = _mm_add_ps(s1e, s3e);
            t49 = _mm_add_ps(s2e, s4e);
            t59 = _mm_sub_ps(s1e, s3e);
            t69 = _mm_sub_ps(s2e, s4e);
            t79 = _mm_add_ps(t98, t39);
            t89 = _mm_add_ps(t09, t49);
            t99 = _mm_sub_ps(t98, t39);
            t0a = _mm_sub_ps(t09, t49);
            a35 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t19, t69));
            a45 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t29, t59));
            s5e = _mm_sub_ps(a35, a45);
            s6e = _mm_add_ps(a35, a45);
            a55 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t19, t69));
            a65 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t29, t59));
            s7e = _mm_sub_ps(a55, a65);
            s8e = _mm_add_ps(a55, a65);
            t1a = _mm_add_ps(t18, t79);
            t2a = _mm_add_ps(t28, t89);
            t3a = _mm_sub_ps(t18, t79);
            t4a = _mm_sub_ps(t28, t89);
            a75 = (D978 + a53);
            a85 = *(a75);
            a95 = *((a75 + 1));
            a06 = *((a75 + 2));
            a16 = *((a75 + 3));
            a26 = (((__m128  *) T4) + a53);
            s9e = _mm_sub_ps(_mm_mul_ps(a85, t1a), _mm_mul_ps(a95, t2a));
            *(a26) = s9e;
            s0f = _mm_add_ps(_mm_mul_ps(a95, t1a), _mm_mul_ps(a85, t2a));
            *((a26 + 1)) = s0f;
            s1f = _mm_sub_ps(_mm_mul_ps(a06, t3a), _mm_mul_ps(a16, t4a));
            *((a26 + 8)) = s1f;
            s2f = _mm_add_ps(_mm_mul_ps(a16, t3a), _mm_mul_ps(a06, t4a));
            *((a26 + 9)) = s2f;
            t5a = _mm_add_ps(t58, s5e);
            t6a = _mm_sub_ps(t68, s6e);
            t7a = _mm_sub_ps(t58, s5e);
            t8a = _mm_add_ps(t68, s6e);
            a36 = *((a75 + 4));
            a46 = *((a75 + 5));
            a56 = *((a75 + 6));
            a66 = *((a75 + 7));
            s3f = _mm_sub_ps(_mm_mul_ps(a36, t5a), _mm_mul_ps(a46, t6a));
            *((a26 + 2)) = s3f;
            s4f = _mm_add_ps(_mm_mul_ps(a46, t5a), _mm_mul_ps(a36, t6a));
            *((a26 + 3)) = s4f;
            s5f = _mm_sub_ps(_mm_mul_ps(a56, t7a), _mm_mul_ps(a66, t8a));
            *((a26 + 10)) = s5f;
            s6f = _mm_add_ps(_mm_mul_ps(a66, t7a), _mm_mul_ps(a56, t8a));
            *((a26 + 11)) = s6f;
            t9a = _mm_add_ps(t38, t0a);
            t0b = _mm_sub_ps(t48, t99);
            t1b = _mm_sub_ps(t38, t0a);
            t2b = _mm_add_ps(t48, t99);
            a76 = *((a75 + 8));
            a86 = *((a75 + 9));
            a96 = *((a75 + 10));
            a07 = *((a75 + 11));
            s7f = _mm_sub_ps(_mm_mul_ps(a76, t9a), _mm_mul_ps(a86, t0b));
            *((a26 + 4)) = s7f;
            s8f = _mm_add_ps(_mm_mul_ps(a86, t9a), _mm_mul_ps(a76, t0b));
            *((a26 + 5)) = s8f;
            s9f = _mm_sub_ps(_mm_mul_ps(a96, t1b), _mm_mul_ps(a07, t2b));
            *((a26 + 12)) = s9f;
            s0g = _mm_add_ps(_mm_mul_ps(a07, t1b), _mm_mul_ps(a96, t2b));
            *((a26 + 13)) = s0g;
            t3b = _mm_add_ps(t78, s7e);
            t4b = _mm_add_ps(t88, s8e);
            t5b = _mm_sub_ps(t78, s7e);
            t6b = _mm_sub_ps(t88, s8e);
            a17 = *((a75 + 12));
            a27 = *((a75 + 13));
            a37 = *((a75 + 14));
            a47 = *((a75 + 15));
            s1g = _mm_sub_ps(_mm_mul_ps(a17, t3b), _mm_mul_ps(a27, t4b));
            *((a26 + 6)) = s1g;
            s2g = _mm_add_ps(_mm_mul_ps(a27, t3b), _mm_mul_ps(a17, t4b));
            *((a26 + 7)) = s2g;
            s3g = _mm_sub_ps(_mm_mul_ps(a37, t5b), _mm_mul_ps(a47, t6b));
            *((a26 + 14)) = s3g;
            s4g = _mm_add_ps(_mm_mul_ps(a47, t5b), _mm_mul_ps(a37, t6b));
            *((a26 + 15)) = s4g;
        }}
        {long i7; for(i7 = 0; i7 <= 7; i7++) {
            a57 = (((__m128  *) T4) + (2 * i7));
            s5g = *(a57);
            s6g = *((a57 + 1));
            s7g = *((a57 + 64));
            s8g = *((a57 + 65));
            t7b = _mm_add_ps(s5g, s7g);
            t8b = _mm_add_ps(s6g, s8g);
            t9b = _mm_sub_ps(s5g, s7g);
            t0c = _mm_sub_ps(s6g, s8g);
            s9g = *((a57 + 32));
            s0h = *((a57 + 33));
            s1h = *((a57 + 96));
            s2h = *((a57 + 97));
            t1c = _mm_add_ps(s9g, s1h);
            t2c = _mm_add_ps(s0h, s2h);
            t3c = _mm_sub_ps(s9g, s1h);
            t4c = _mm_sub_ps(s0h, s2h);
            t5c = _mm_add_ps(t7b, t1c);
            t6c = _mm_add_ps(t8b, t2c);
            t7c = _mm_sub_ps(t7b, t1c);
            t8c = _mm_sub_ps(t8b, t2c);
            t9c = _mm_add_ps(t9b, t4c);
            t0d = _mm_sub_ps(t0c, t3c);
            t1d = _mm_sub_ps(t9b, t4c);
            t2d = _mm_add_ps(t0c, t3c);
            s3h = *((a57 + 16));
            s4h = *((a57 + 17));
            s5h = *((a57 + 80));
            s6h = *((a57 + 81));
            t3d = _mm_add_ps(s3h, s5h);
            t4d = _mm_add_ps(s4h, s6h);
            t5d = _mm_sub_ps(s3h, s5h);
            t6d = _mm_sub_ps(s4h, s6h);
            s7h = *((a57 + 48));
            s8h = *((a57 + 49));
            s9h = *((a57 + 112));
            s0i = *((a57 + 113));
            t7d = _mm_add_ps(s7h, s9h);
            t8d = _mm_add_ps(s8h, s0i);
            t9d = _mm_sub_ps(s7h, s9h);
            t0e = _mm_sub_ps(s8h, s0i);
            t1e = _mm_add_ps(t3d, t7d);
            t2e = _mm_add_ps(t4d, t8d);
            t3e = _mm_sub_ps(t3d, t7d);
            t4e = _mm_sub_ps(t4d, t8d);
            a67 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t5d, t0e));
            a77 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t6d, t9d));
            s1i = _mm_sub_ps(a67, a77);
            s2i = _mm_add_ps(a67, a77);
            a87 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t5d, t0e));
            a97 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t6d, t9d));
            s3i = _mm_sub_ps(a87, a97);
            s4i = _mm_add_ps(a87, a97);
            t5e = _mm_add_ps(t5c, t1e);
            t6e = _mm_add_ps(t6c, t2e);
            t7e = _mm_sub_ps(t5c, t1e);
            t8e = _mm_sub_ps(t6c, t2e);
            a08 = (((__m128  *) dst) + ((2 * i5) + (32 * i7)));
            s5i = _mm_unpacklo_ps(t5e, t6e);
            *(a08) = s5i;
            s6i = _mm_unpackhi_ps(t5e, t6e);
            *((a08 + 1)) = s6i;
            s7i = _mm_unpacklo_ps(t7e, t8e);
            *((a08 + 1024)) = s7i;
            s8i = _mm_unpackhi_ps(t7e, t8e);
            *((a08 + 1025)) = s8i;
            t9e = _mm_add_ps(t9c, s1i);
            t0f = _mm_sub_ps(t0d, s2i);
            t1f = _mm_sub_ps(t9c, s1i);
            t2f = _mm_add_ps(t0d, s2i);
            s9i = _mm_unpacklo_ps(t9e, t0f);
            *((a08 + 256)) = s9i;
            s0j = _mm_unpackhi_ps(t9e, t0f);
            *((a08 + 257)) = s0j;
            s1j = _mm_unpacklo_ps(t1f, t2f);
            *((a08 + 1280)) = s1j;
            s2j = _mm_unpackhi_ps(t1f, t2f);
            *((a08 + 1281)) = s2j;
            t3f = _mm_add_ps(t7c, t4e);
            t4f = _mm_sub_ps(t8c, t3e);
            t5f = _mm_sub_ps(t7c, t4e);
            t6f = _mm_add_ps(t8c, t3e);
            s3j = _mm_unpacklo_ps(t3f, t4f);
            *((a08 + 512)) = s3j;
            s4j = _mm_unpackhi_ps(t3f, t4f);
            *((a08 + 513)) = s4j;
            s5j = _mm_unpacklo_ps(t5f, t6f);
            *((a08 + 1536)) = s5j;
            s6j = _mm_unpackhi_ps(t5f, t6f);
            *((a08 + 1537)) = s6j;
            t7f = _mm_add_ps(t1d, s3i);
            t8f = _mm_add_ps(t2d, s4i);
            t9f = _mm_sub_ps(t1d, s3i);
            t0g = _mm_sub_ps(t2d, s4i);
            s7j = _mm_unpacklo_ps(t7f, t8f);
            *((a08 + 768)) = s7j;
            s8j = _mm_unpackhi_ps(t7f, t8f);
            *((a08 + 769)) = s8j;
            s9j = _mm_unpacklo_ps(t9f, t0g);
            *((a08 + 1792)) = s9j;
            s0k = _mm_unpackhi_ps(t9f, t0g);
            *((a08 + 1793)) = s0k;
        }}
    }}
    }
    
    return SPIRAL_OK;
    }
}

SPIRAL_PRIV(spiral_status_t, spiral_fftfwd_float_8192_unaligned)(const float *pSrc, float *pDst ) {
    const float  *src = (const float *) pSrc; 
    float        *dst = (float *) pDst;
    
    
    { SPIRAL_ALIGNED(float T[16384]);
     SPIRAL_ALIGNED(float T2[16384]);
     SPIRAL_ALIGNED(float T3[2048]);
     SPIRAL_ALIGNED(float T4[512]);
    __m128 s03, s0g, s0h, s13, s1g, s1h, s23, s2g, s2h, s3g, s4g, s52, s5g, s62, s6g, s72, s7f, s7g, s82, s8f, s8g, s92
            , s9f, s9g;
    __m128 a01, a02, a03, a04, a05, a06, a08, a11, a12, a13, a14, a16, a18, a21, a22, a24, a26, a28, a31, a32, a33, a34
            , a35, a36, a41, a42, a43, a44, a45, a46, a47, a48, a51, a52, a53, a55, a56, a57, a58, a61, a62, a63, a65, a66
            , a67, a68, a7, a71, a73, a74, a76, a77, a78, a8, a81, a82, a83, a84, a85, a86, a9, a91, a92, a93, a94, a95
            , a96, a97, s, s01, s02, s04, s05, s06, s07, s08, s09, s0a, s0b, s0c, s0d, s0e, s0f, s11, s12, s14, s15, s16
            , s17, s18, s19, s1a, s1b, s1c, s1d, s1e, s1f, s2, s21, s22, s24, s25, s26, s27, s28, s29, s2a, s2b, s2c, s2d
            , s2e, s2f, s3, s31, s32, s33, s34, s35, s36, s37, s38, s39, s3a, s3b, s3c, s3d, s3e, s3f, s4, s41, s42, s43
            , s44, s45, s46, s47, s48, s49, s4a, s4b, s4c, s4d, s4e, s4f, s5, s51, s53, s54, s55, s56, s57, s58, s59, s5a
            , s5b, s5c, s5d, s5e, s5f, s6, s61, s63, s64, s65, s66, s67, s68, s69, s6a, s6b, s6c, s6d, s6e, s6f, s7, s71
            , s73, s74, s75, s76, s77, s78, s79, s7a, s7b, s7c, s7d, s7e, s8, s81, s83, s84, s85, s86, s87, s88, s89, s8a
            , s8b, s8c, s8d, s8e, s9, s91, s93, s94, s95, s96, s97, s98, s99, s9a, s9b, s9c, s9d, s9e, t, t01, t02, t03
            , t04, t05, t06, t07, t08, t09, t0a, t0b, t0c, t0d, t0e, t0f, t0g, t11, t12, t13, t14, t15, t16, t17, t18, t19
            , t1a, t1b, t1c, t1d, t1e, t1f, t1g, t2, t21, t22, t23, t24, t25, t26, t27, t28, t29, t2a, t2b, t2c, t2d, t2e
            , t2f, t2g, t3, t31, t32, t33, t34, t35, t36, t37, t38, t39, t3a, t3b, t3c, t3d, t3e, t3f, t3g, t4, t41, t42
            , t43, t44, t45, t46, t47, t48, t49, t4a, t4b, t4c, t4d, t4e, t4f, t4g, t5, t51, t52, t53, t54, t55, t56, t57
            , t58, t59, t5a, t5b, t5c, t5d, t5e, t5f, t6, t61, t62, t63, t64, t65, t66, t67, t68, t69, t6a, t6b, t6c, t6d
            , t6e, t6f, t7, t71, t72, t73, t74, t75, t76, t77, t78, t79, t7a, t7b, t7c, t7d, t7e, t7f, t8, t81, t82, t83
            , t84, t85, t86, t87, t88, t89, t8a, t8b, t8c, t8d, t8e, t8f, t9, t91, t92, t93, t94, t95, t96, t97, t98, t99
            , t9a, t9b, t9c, t9d, t9e, t9f;
    __m128  *a17, *a23, *a25, *a3, *a37, *a38, *a4, *a6, *a64, *a72, *a75, *a87;
    float  *a88;
    const float  *a2;
    int a, a07, a15, a27, a5, a54;
    {long i; for(i = 0; i <= 511; i++) {
        a = (8 * i);
        a2 = (src + a);
        s = _mm_loadu_ps(((const float  *) a2));
        s2 = _mm_loadu_ps(((const float  *) (a2 + 4)));
        s3 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(2, 0, 2, 0));
        s4 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(3, 1, 3, 1));
        s5 = _mm_loadu_ps(((const float  *) (a2 + 8192)));
        s6 = _mm_loadu_ps(((const float  *) (a2 + 8196)));
        s7 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(2, 0, 2, 0));
        s8 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(3, 1, 3, 1));
        t = _mm_add_ps(s3, s7);
        t2 = _mm_add_ps(s4, s8);
        t3 = _mm_sub_ps(s3, s7);
        t4 = _mm_sub_ps(s4, s8);
        s9 = _mm_loadu_ps(((const float  *) (a2 + 4096)));
        s01 = _mm_loadu_ps(((const float  *) (a2 + 4100)));
        s11 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(2, 0, 2, 0));
        s21 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(3, 1, 3, 1));
        s31 = _mm_loadu_ps(((const float  *) (a2 + 12288)));
        s41 = _mm_loadu_ps(((const float  *) (a2 + 12292)));
        s51 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(2, 0, 2, 0));
        s61 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(3, 1, 3, 1));
        t5 = _mm_add_ps(s11, s51);
        t6 = _mm_add_ps(s21, s61);
        t7 = _mm_sub_ps(s11, s51);
        t8 = _mm_sub_ps(s21, s61);
        t9 = _mm_add_ps(t, t5);
        t01 = _mm_add_ps(t2, t6);
        t11 = _mm_sub_ps(t, t5);
        t21 = _mm_sub_ps(t2, t6);
        t31 = _mm_add_ps(t3, t8);
        t41 = _mm_sub_ps(t4, t7);
        t51 = _mm_sub_ps(t3, t8);
        t61 = _mm_add_ps(t4, t7);
        s71 = _mm_unpacklo_ps(t9, t31);
        s81 = _mm_unpackhi_ps(t9, t31);
        s91 = _mm_unpacklo_ps(t01, t41);
        s02 = _mm_unpackhi_ps(t01, t41);
        s12 = _mm_unpacklo_ps(t11, t51);
        s22 = _mm_unpackhi_ps(t11, t51);
        s32 = _mm_unpacklo_ps(t21, t61);
        s42 = _mm_unpackhi_ps(t21, t61);
        a3 = (((__m128  *) T2) + a);
        s52 = _mm_shuffle_ps(s71, s12, _MM_SHUFFLE(1, 0, 1, 0));
        *(a3) = s52;
        s62 = _mm_shuffle_ps(s71, s12, _MM_SHUFFLE(3, 2, 3, 2));
        *((a3 + 2)) = s62;
        s72 = _mm_shuffle_ps(s81, s22, _MM_SHUFFLE(1, 0, 1, 0));
        *((a3 + 4)) = s72;
        s82 = _mm_shuffle_ps(s81, s22, _MM_SHUFFLE(3, 2, 3, 2));
        *((a3 + 6)) = s82;
        s92 = _mm_shuffle_ps(s91, s32, _MM_SHUFFLE(1, 0, 1, 0));
        *((a3 + 1)) = s92;
        s03 = _mm_shuffle_ps(s91, s32, _MM_SHUFFLE(3, 2, 3, 2));
        *((a3 + 3)) = s03;
        s13 = _mm_shuffle_ps(s02, s42, _MM_SHUFFLE(1, 0, 1, 0));
        *((a3 + 5)) = s13;
        s23 = _mm_shuffle_ps(s02, s42, _MM_SHUFFLE(3, 2, 3, 2));
        *((a3 + 7)) = s23;
    }}
    {long i2; for(i2 = 0; i2 <= 7; i2++) {
        {long i3; for(i3 = 0; i3 <= 3; i3++) {
            {long i4; for(i4 = 0; i4 <= 7; i4++) {
                a4 = (((__m128  *) T2) + ((2 * i2) + ((16 * i3) + (64 * i4))));
                s33 = *(a4);
                s43 = *((a4 + 1));
                s53 = *((a4 + 2048));
                s63 = *((a4 + 2049));
                a5 = (16 * i4);
                a6 = (D987 + ((512 * i2) + ((128 * i3) + a5)));
                a7 = *(a6);
                a8 = *((a6 + 1));
                s73 = _mm_sub_ps(_mm_mul_ps(a7, s33), _mm_mul_ps(a8, s43));
                s83 = _mm_add_ps(_mm_mul_ps(a8, s33), _mm_mul_ps(a7, s43));
                a9 = *((a6 + 2));
                a01 = *((a6 + 3));
                s93 = _mm_sub_ps(_mm_mul_ps(a9, s53), _mm_mul_ps(a01, s63));
                s04 = _mm_add_ps(_mm_mul_ps(a01, s53), _mm_mul_ps(a9, s63));
                t71 = _mm_add_ps(s73, s93);
                t81 = _mm_add_ps(s83, s04);
                t91 = _mm_sub_ps(s73, s93);
                t02 = _mm_sub_ps(s83, s04);
                s14 = *((a4 + 1024));
                s24 = *((a4 + 1025));
                s34 = *((a4 + 3072));
                s44 = *((a4 + 3073));
                a11 = *((a6 + 4));
                a21 = *((a6 + 5));
                s54 = _mm_sub_ps(_mm_mul_ps(a11, s14), _mm_mul_ps(a21, s24));
                s64 = _mm_add_ps(_mm_mul_ps(a21, s14), _mm_mul_ps(a11, s24));
                a31 = *((a6 + 6));
                a41 = *((a6 + 7));
                s74 = _mm_sub_ps(_mm_mul_ps(a31, s34), _mm_mul_ps(a41, s44));
                s84 = _mm_add_ps(_mm_mul_ps(a41, s34), _mm_mul_ps(a31, s44));
                t12 = _mm_add_ps(s54, s74);
                t22 = _mm_add_ps(s64, s84);
                t32 = _mm_sub_ps(s54, s74);
                t42 = _mm_sub_ps(s64, s84);
                t52 = _mm_add_ps(t71, t12);
                t62 = _mm_add_ps(t81, t22);
                t72 = _mm_sub_ps(t71, t12);
                t82 = _mm_sub_ps(t81, t22);
                t92 = _mm_add_ps(t91, t42);
                t03 = _mm_sub_ps(t02, t32);
                t13 = _mm_sub_ps(t91, t42);
                t23 = _mm_add_ps(t02, t32);
                s94 = *((a4 + 512));
                s05 = *((a4 + 513));
                s15 = *((a4 + 2560));
                s25 = *((a4 + 2561));
                a51 = *((a6 + 8));
                a61 = *((a6 + 9));
                s35 = _mm_sub_ps(_mm_mul_ps(a51, s94), _mm_mul_ps(a61, s05));
                s45 = _mm_add_ps(_mm_mul_ps(a61, s94), _mm_mul_ps(a51, s05));
                a71 = *((a6 + 10));
                a81 = *((a6 + 11));
                s55 = _mm_sub_ps(_mm_mul_ps(a71, s15), _mm_mul_ps(a81, s25));
                s65 = _mm_add_ps(_mm_mul_ps(a81, s15), _mm_mul_ps(a71, s25));
                t33 = _mm_add_ps(s35, s55);
                t43 = _mm_add_ps(s45, s65);
                t53 = _mm_sub_ps(s35, s55);
                t63 = _mm_sub_ps(s45, s65);
                s75 = *((a4 + 1536));
                s85 = *((a4 + 1537));
                s95 = *((a4 + 3584));
                s06 = *((a4 + 3585));
                a91 = *((a6 + 12));
                a02 = *((a6 + 13));
                s16 = _mm_sub_ps(_mm_mul_ps(a91, s75), _mm_mul_ps(a02, s85));
                s26 = _mm_add_ps(_mm_mul_ps(a02, s75), _mm_mul_ps(a91, s85));
                a12 = *((a6 + 14));
                a22 = *((a6 + 15));
                s36 = _mm_sub_ps(_mm_mul_ps(a12, s95), _mm_mul_ps(a22, s06));
                s46 = _mm_add_ps(_mm_mul_ps(a22, s95), _mm_mul_ps(a12, s06));
                t73 = _mm_add_ps(s16, s36);
                t83 = _mm_add_ps(s26, s46);
                t93 = _mm_sub_ps(s16, s36);
                t04 = _mm_sub_ps(s26, s46);
                t14 = _mm_add_ps(t33, t73);
                t24 = _mm_add_ps(t43, t83);
                t34 = _mm_sub_ps(t33, t73);
                t44 = _mm_sub_ps(t43, t83);
                a32 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t53, t04));
                a42 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t63, t93));
                s56 = _mm_sub_ps(a32, a42);
                s66 = _mm_add_ps(a32, a42);
                a52 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t53, t04));
                a62 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t63, t93));
                s76 = _mm_sub_ps(a52, a62);
                s86 = _mm_add_ps(a52, a62);
                t54 = _mm_add_ps(t52, t14);
                t64 = _mm_add_ps(t62, t24);
                t74 = _mm_sub_ps(t52, t14);
                t84 = _mm_sub_ps(t62, t24);
                a72 = (D978 + a5);
                a82 = *(a72);
                a92 = *((a72 + 1));
                a03 = *((a72 + 2));
                a13 = *((a72 + 3));
                a23 = (((__m128  *) T4) + a5);
                s96 = _mm_sub_ps(_mm_mul_ps(a82, t54), _mm_mul_ps(a92, t64));
                *(a23) = s96;
                s07 = _mm_add_ps(_mm_mul_ps(a92, t54), _mm_mul_ps(a82, t64));
                *((a23 + 1)) = s07;
                s17 = _mm_sub_ps(_mm_mul_ps(a03, t74), _mm_mul_ps(a13, t84));
                *((a23 + 8)) = s17;
                s27 = _mm_add_ps(_mm_mul_ps(a13, t74), _mm_mul_ps(a03, t84));
                *((a23 + 9)) = s27;
                t94 = _mm_add_ps(t92, s56);
                t05 = _mm_sub_ps(t03, s66);
                t15 = _mm_sub_ps(t92, s56);
                t25 = _mm_add_ps(t03, s66);
                a33 = *((a72 + 4));
                a43 = *((a72 + 5));
                a53 = *((a72 + 6));
                a63 = *((a72 + 7));
                s37 = _mm_sub_ps(_mm_mul_ps(a33, t94), _mm_mul_ps(a43, t05));
                *((a23 + 2)) = s37;
                s47 = _mm_add_ps(_mm_mul_ps(a43, t94), _mm_mul_ps(a33, t05));
                *((a23 + 3)) = s47;
                s57 = _mm_sub_ps(_mm_mul_ps(a53, t15), _mm_mul_ps(a63, t25));
                *((a23 + 10)) = s57;
                s67 = _mm_add_ps(_mm_mul_ps(a63, t15), _mm_mul_ps(a53, t25));
                *((a23 + 11)) = s67;
                t35 = _mm_add_ps(t72, t44);
                t45 = _mm_sub_ps(t82, t34);
                t55 = _mm_sub_ps(t72, t44);
                t65 = _mm_add_ps(t82, t34);
                a73 = *((a72 + 8));
                a83 = *((a72 + 9));
                a93 = *((a72 + 10));
                a04 = *((a72 + 11));
                s77 = _mm_sub_ps(_mm_mul_ps(a73, t35), _mm_mul_ps(a83, t45));
                *((a23 + 4)) = s77;
                s87 = _mm_add_ps(_mm_mul_ps(a83, t35), _mm_mul_ps(a73, t45));
                *((a23 + 5)) = s87;
                s97 = _mm_sub_ps(_mm_mul_ps(a93, t55), _mm_mul_ps(a04, t65));
                *((a23 + 12)) = s97;
                s08 = _mm_add_ps(_mm_mul_ps(a04, t55), _mm_mul_ps(a93, t65));
                *((a23 + 13)) = s08;
                t75 = _mm_add_ps(t13, s76);
                t85 = _mm_add_ps(t23, s86);
                t95 = _mm_sub_ps(t13, s76);
                t06 = _mm_sub_ps(t23, s86);
                a14 = *((a72 + 12));
                a24 = *((a72 + 13));
                a34 = *((a72 + 14));
                a44 = *((a72 + 15));
                s18 = _mm_sub_ps(_mm_mul_ps(a14, t75), _mm_mul_ps(a24, t85));
                *((a23 + 6)) = s18;
                s28 = _mm_add_ps(_mm_mul_ps(a24, t75), _mm_mul_ps(a14, t85));
                *((a23 + 7)) = s28;
                s38 = _mm_sub_ps(_mm_mul_ps(a34, t95), _mm_mul_ps(a44, t06));
                *((a23 + 14)) = s38;
                s48 = _mm_add_ps(_mm_mul_ps(a44, t95), _mm_mul_ps(a34, t06));
                *((a23 + 15)) = s48;
            }}
            {long i5; for(i5 = 0; i5 <= 7; i5++) {
                a54 = (2 * i5);
                a64 = (((__m128  *) T4) + a54);
                s58 = *(a64);
                s68 = *((a64 + 1));
                s78 = *((a64 + 64));
                s88 = *((a64 + 65));
                t16 = _mm_add_ps(s58, s78);
                t26 = _mm_add_ps(s68, s88);
                t36 = _mm_sub_ps(s58, s78);
                t46 = _mm_sub_ps(s68, s88);
                s98 = *((a64 + 32));
                s09 = *((a64 + 33));
                s19 = *((a64 + 96));
                s29 = *((a64 + 97));
                t56 = _mm_add_ps(s98, s19);
                t66 = _mm_add_ps(s09, s29);
                t76 = _mm_sub_ps(s98, s19);
                t86 = _mm_sub_ps(s09, s29);
                t96 = _mm_add_ps(t16, t56);
                t07 = _mm_add_ps(t26, t66);
                t17 = _mm_sub_ps(t16, t56);
                t27 = _mm_sub_ps(t26, t66);
                t37 = _mm_add_ps(t36, t86);
                t47 = _mm_sub_ps(t46, t76);
                t57 = _mm_sub_ps(t36, t86);
                t67 = _mm_add_ps(t46, t76);
                s39 = *((a64 + 16));
                s49 = *((a64 + 17));
                s59 = *((a64 + 80));
                s69 = *((a64 + 81));
                t77 = _mm_add_ps(s39, s59);
                t87 = _mm_add_ps(s49, s69);
                t97 = _mm_sub_ps(s39, s59);
                t08 = _mm_sub_ps(s49, s69);
                s79 = *((a64 + 48));
                s89 = *((a64 + 49));
                s99 = *((a64 + 112));
                s0a = *((a64 + 113));
                t18 = _mm_add_ps(s79, s99);
                t28 = _mm_add_ps(s89, s0a);
                t38 = _mm_sub_ps(s79, s99);
                t48 = _mm_sub_ps(s89, s0a);
                t58 = _mm_add_ps(t77, t18);
                t68 = _mm_add_ps(t87, t28);
                t78 = _mm_sub_ps(t77, t18);
                t88 = _mm_sub_ps(t87, t28);
                a74 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t97, t48));
                a84 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t08, t38));
                s1a = _mm_sub_ps(a74, a84);
                s2a = _mm_add_ps(a74, a84);
                a94 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t97, t48));
                a05 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t08, t38));
                s3a = _mm_sub_ps(a94, a05);
                s4a = _mm_add_ps(a94, a05);
                t98 = _mm_add_ps(t96, t58);
                t09 = _mm_add_ps(t07, t68);
                t19 = _mm_sub_ps(t96, t58);
                t29 = _mm_sub_ps(t07, t68);
                a15 = (128 * i3);
                a25 = (D986 + (a15 + (16 * i5)));
                a35 = *(a25);
                a45 = *((a25 + 1));
                a55 = *((a25 + 2));
                a65 = *((a25 + 3));
                a75 = (((__m128  *) T3) + (a15 + a54));
                s5a = _mm_sub_ps(_mm_mul_ps(a35, t98), _mm_mul_ps(a45, t09));
                *(a75) = s5a;
                s6a = _mm_add_ps(_mm_mul_ps(a45, t98), _mm_mul_ps(a35, t09));
                *((a75 + 1)) = s6a;
                s7a = _mm_sub_ps(_mm_mul_ps(a55, t19), _mm_mul_ps(a65, t29));
                *((a75 + 64)) = s7a;
                s8a = _mm_add_ps(_mm_mul_ps(a65, t19), _mm_mul_ps(a55, t29));
                *((a75 + 65)) = s8a;
                t39 = _mm_add_ps(t37, s1a);
                t49 = _mm_sub_ps(t47, s2a);
                t59 = _mm_sub_ps(t37, s1a);
                t69 = _mm_add_ps(t47, s2a);
                a85 = *((a25 + 4));
                a95 = *((a25 + 5));
                a06 = *((a25 + 6));
                a16 = *((a25 + 7));
                s9a = _mm_sub_ps(_mm_mul_ps(a85, t39), _mm_mul_ps(a95, t49));
                *((a75 + 16)) = s9a;
                s0b = _mm_add_ps(_mm_mul_ps(a95, t39), _mm_mul_ps(a85, t49));
                *((a75 + 17)) = s0b;
                s1b = _mm_sub_ps(_mm_mul_ps(a06, t59), _mm_mul_ps(a16, t69));
                *((a75 + 80)) = s1b;
                s2b = _mm_add_ps(_mm_mul_ps(a16, t59), _mm_mul_ps(a06, t69));
                *((a75 + 81)) = s2b;
                t79 = _mm_add_ps(t17, t88);
                t89 = _mm_sub_ps(t27, t78);
                t99 = _mm_sub_ps(t17, t88);
                t0a = _mm_add_ps(t27, t78);
                a26 = *((a25 + 8));
                a36 = *((a25 + 9));
                a46 = *((a25 + 10));
                a56 = *((a25 + 11));
                s3b = _mm_sub_ps(_mm_mul_ps(a26, t79), _mm_mul_ps(a36, t89));
                *((a75 + 32)) = s3b;
                s4b = _mm_add_ps(_mm_mul_ps(a36, t79), _mm_mul_ps(a26, t89));
                *((a75 + 33)) = s4b;
                s5b = _mm_sub_ps(_mm_mul_ps(a46, t99), _mm_mul_ps(a56, t0a));
                *((a75 + 96)) = s5b;
                s6b = _mm_add_ps(_mm_mul_ps(a56, t99), _mm_mul_ps(a46, t0a));
                *((a75 + 97)) = s6b;
                t1a = _mm_add_ps(t57, s3a);
                t2a = _mm_add_ps(t67, s4a);
                t3a = _mm_sub_ps(t57, s3a);
                t4a = _mm_sub_ps(t67, s4a);
                a66 = *((a25 + 12));
                a76 = *((a25 + 13));
                a86 = *((a25 + 14));
                a96 = *((a25 + 15));
                s7b = _mm_sub_ps(_mm_mul_ps(a66, t1a), _mm_mul_ps(a76, t2a));
                *((a75 + 48)) = s7b;
                s8b = _mm_add_ps(_mm_mul_ps(a76, t1a), _mm_mul_ps(a66, t2a));
                *((a75 + 49)) = s8b;
                s9b = _mm_sub_ps(_mm_mul_ps(a86, t3a), _mm_mul_ps(a96, t4a));
                *((a75 + 112)) = s9b;
                s0c = _mm_add_ps(_mm_mul_ps(a96, t3a), _mm_mul_ps(a86, t4a));
                *((a75 + 113)) = s0c;
            }}
        }}
        {long i6; for(i6 = 0; i6 <= 63; i6++) {
            a07 = (2 * i6);
            a17 = (((__m128  *) T3) + a07);
            s1c = *(a17);
            s2c = *((a17 + 1));
            s3c = *((a17 + 256));
            s4c = *((a17 + 257));
            t5a = _mm_add_ps(s1c, s3c);
            t6a = _mm_add_ps(s2c, s4c);
            t7a = _mm_sub_ps(s1c, s3c);
            t8a = _mm_sub_ps(s2c, s4c);
            s5c = *((a17 + 128));
            s6c = *((a17 + 129));
            s7c = *((a17 + 384));
            s8c = *((a17 + 385));
            t9a = _mm_add_ps(s5c, s7c);
            t0b = _mm_add_ps(s6c, s8c);
            t1b = _mm_sub_ps(s5c, s7c);
            t2b = _mm_sub_ps(s6c, s8c);
            t3b = _mm_add_ps(t5a, t9a);
            t4b = _mm_add_ps(t6a, t0b);
            t5b = _mm_sub_ps(t5a, t9a);
            t6b = _mm_sub_ps(t6a, t0b);
            a27 = (512 * i2);
            a37 = (D985 + (a27 + (8 * i6)));
            a47 = *(a37);
            a57 = *((a37 + 1));
            a67 = *((a37 + 2));
            a77 = *((a37 + 3));
            a87 = (((__m128  *) T) + (a27 + a07));
            s9c = _mm_sub_ps(_mm_mul_ps(a47, t3b), _mm_mul_ps(a57, t4b));
            *(a87) = s9c;
            s0d = _mm_add_ps(_mm_mul_ps(a57, t3b), _mm_mul_ps(a47, t4b));
            *((a87 + 1)) = s0d;
            s1d = _mm_sub_ps(_mm_mul_ps(a67, t5b), _mm_mul_ps(a77, t6b));
            *((a87 + 256)) = s1d;
            s2d = _mm_add_ps(_mm_mul_ps(a77, t5b), _mm_mul_ps(a67, t6b));
            *((a87 + 257)) = s2d;
            t7b = _mm_add_ps(t7a, t2b);
            t8b = _mm_sub_ps(t8a, t1b);
            t9b = _mm_sub_ps(t7a, t2b);
            t0c = _mm_add_ps(t8a, t1b);
            a97 = *((a37 + 4));
            a08 = *((a37 + 5));
            a18 = *((a37 + 6));
            a28 = *((a37 + 7));
            s3d = _mm_sub_ps(_mm_mul_ps(a97, t7b), _mm_mul_ps(a08, t8b));
            *((a87 + 128)) = s3d;
            s4d = _mm_add_ps(_mm_mul_ps(a08, t7b), _mm_mul_ps(a97, t8b));
            *((a87 + 129)) = s4d;
            s5d = _mm_sub_ps(_mm_mul_ps(a18, t9b), _mm_mul_ps(a28, t0c));
            *((a87 + 384)) = s5d;
            s6d = _mm_add_ps(_mm_mul_ps(a28, t9b), _mm_mul_ps(a18, t0c));
            *((a87 + 385)) = s6d;
        }}
    }}
    {long i7; for(i7 = 0; i7 <= 255; i7++) {
        a38 = (((__m128  *) T) + (2 * i7));
        s7d = *(a38);
        s8d = *((a38 + 1));
        s9d = *((a38 + 2048));
        s0e = *((a38 + 2049));
        t1c = _mm_add_ps(s7d, s9d);
        t2c = _mm_add_ps(s8d, s0e);
        t3c = _mm_sub_ps(s7d, s9d);
        t4c = _mm_sub_ps(s8d, s0e);
        s1e = *((a38 + 1024));
        s2e = *((a38 + 1025));
        s3e = *((a38 + 3072));
        s4e = *((a38 + 3073));
        t5c = _mm_add_ps(s1e, s3e);
        t6c = _mm_add_ps(s2e, s4e);
        t7c = _mm_sub_ps(s1e, s3e);
        t8c = _mm_sub_ps(s2e, s4e);
        t9c = _mm_add_ps(t1c, t5c);
        t0d = _mm_add_ps(t2c, t6c);
        t1d = _mm_sub_ps(t1c, t5c);
        t2d = _mm_sub_ps(t2c, t6c);
        t3d = _mm_add_ps(t3c, t8c);
        t4d = _mm_sub_ps(t4c, t7c);
        t5d = _mm_sub_ps(t3c, t8c);
        t6d = _mm_add_ps(t4c, t7c);
        s5e = *((a38 + 512));
        s6e = *((a38 + 513));
        s7e = *((a38 + 2560));
        s8e = *((a38 + 2561));
        t7d = _mm_add_ps(s5e, s7e);
        t8d = _mm_add_ps(s6e, s8e);
        t9d = _mm_sub_ps(s5e, s7e);
        t0e = _mm_sub_ps(s6e, s8e);
        s9e = *((a38 + 1536));
        s0f = *((a38 + 1537));
        s1f = *((a38 + 3584));
        s2f = *((a38 + 3585));
        t1e = _mm_add_ps(s9e, s1f);
        t2e = _mm_add_ps(s0f, s2f);
        t3e = _mm_sub_ps(s9e, s1f);
        t4e = _mm_sub_ps(s0f, s2f);
        t5e = _mm_add_ps(t7d, t1e);
        t6e = _mm_add_ps(t8d, t2e);
        t7e = _mm_sub_ps(t7d, t1e);
        t8e = _mm_sub_ps(t8d, t2e);
        a48 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t9d, t4e));
        a58 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t0e, t3e));
        s3f = _mm_sub_ps(a48, a58);
        s4f = _mm_add_ps(a48, a58);
        a68 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t9d, t4e));
        a78 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t0e, t3e));
        s5f = _mm_sub_ps(a68, a78);
        s6f = _mm_add_ps(a68, a78);
        t9e = _mm_add_ps(t9c, t5e);
        t0f = _mm_add_ps(t0d, t6e);
        t1f = _mm_sub_ps(t9c, t5e);
        t2f = _mm_sub_ps(t0d, t6e);
        a88 = (dst + (8 * i7));
        s7f = _mm_unpacklo_ps(t9e, t0f);
        _mm_storeu_ps(((float  *) a88), s7f);
        s8f = _mm_unpackhi_ps(t9e, t0f);
        _mm_storeu_ps(((float  *) (a88 + 4)), s8f);
        s9f = _mm_unpacklo_ps(t1f, t2f);
        _mm_storeu_ps(((float  *) (a88 + 8192)), s9f);
        s0g = _mm_unpackhi_ps(t1f, t2f);
        _mm_storeu_ps(((float  *) (a88 + 8196)), s0g);
        t3f = _mm_add_ps(t3d, s3f);
        t4f = _mm_sub_ps(t4d, s4f);
        t5f = _mm_sub_ps(t3d, s3f);
        t6f = _mm_add_ps(t4d, s4f);
        s1g = _mm_unpacklo_ps(t3f, t4f);
        _mm_storeu_ps(((float  *) (a88 + 2048)), s1g);
        s2g = _mm_unpackhi_ps(t3f, t4f);
        _mm_storeu_ps(((float  *) (a88 + 2052)), s2g);
        s3g = _mm_unpacklo_ps(t5f, t6f);
        _mm_storeu_ps(((float  *) (a88 + 10240)), s3g);
        s4g = _mm_unpackhi_ps(t5f, t6f);
        _mm_storeu_ps(((float  *) (a88 + 10244)), s4g);
        t7f = _mm_add_ps(t1d, t8e);
        t8f = _mm_sub_ps(t2d, t7e);
        t9f = _mm_sub_ps(t1d, t8e);
        t0g = _mm_add_ps(t2d, t7e);
        s5g = _mm_unpacklo_ps(t7f, t8f);
        _mm_storeu_ps(((float  *) (a88 + 4096)), s5g);
        s6g = _mm_unpackhi_ps(t7f, t8f);
        _mm_storeu_ps(((float  *) (a88 + 4100)), s6g);
        s7g = _mm_unpacklo_ps(t9f, t0g);
        _mm_storeu_ps(((float  *) (a88 + 12288)), s7g);
        s8g = _mm_unpackhi_ps(t9f, t0g);
        _mm_storeu_ps(((float  *) (a88 + 12292)), s8g);
        t1g = _mm_add_ps(t5d, s5f);
        t2g = _mm_add_ps(t6d, s6f);
        t3g = _mm_sub_ps(t5d, s5f);
        t4g = _mm_sub_ps(t6d, s6f);
        s9g = _mm_unpacklo_ps(t1g, t2g);
        _mm_storeu_ps(((float  *) (a88 + 6144)), s9g);
        s0h = _mm_unpackhi_ps(t1g, t2g);
        _mm_storeu_ps(((float  *) (a88 + 6148)), s0h);
        s1h = _mm_unpacklo_ps(t3g, t4g);
        _mm_storeu_ps(((float  *) (a88 + 14336)), s1h);
        s2h = _mm_unpackhi_ps(t3g, t4g);
        _mm_storeu_ps(((float  *) (a88 + 14340)), s2h);
    }}
    }
    
    return SPIRAL_OK;
}

SPIRAL_API(spiral_status_t, spiral_fftfwd_float_8192)(const float *pSrc, float *pDst ) {
    if (!is_aligned(pSrc) || !is_aligned(pDst))
       	return spiral_fftfwd_float_8192_unaligned(pSrc, pDst );
    else {
    const float  *src = (const float *) pSrc; 
    float        *dst = (float *) pDst;
    
    
    { SPIRAL_ALIGNED(float T[16384]);
     SPIRAL_ALIGNED(float T2[16384]);
     SPIRAL_ALIGNED(float T3[2048]);
     SPIRAL_ALIGNED(float T4[512]);
    __m128 s03, s0g, s0h, s13, s1g, s1h, s23, s2g, s2h, s3g, s4g, s52, s5g, s62, s6g, s72, s7f, s7g, s82, s8f, s8g, s92
            , s9f, s9g;
    __m128 a01, a02, a03, a04, a06, a08, a11, a12, a14, a16, a18, a21, a22, a23, a24, a25, a26, a31, a32, a33, a34, a35
            , a36, a37, a41, a42, a43, a45, a46, a47, a48, a51, a52, a53, a55, a56, a57, a58, a6, a61, a63, a64, a66, a67
            , a68, a7, a71, a72, a73, a74, a75, a76, a78, a8, a81, a82, a83, a84, a85, a86, a87, a9, a91, a92, a93, a94
            , a95, a97, s, s01, s02, s04, s05, s06, s07, s08, s09, s0a, s0b, s0c, s0d, s0e, s0f, s11, s12, s14, s15, s16
            , s17, s18, s19, s1a, s1b, s1c, s1d, s1e, s1f, s2, s21, s22, s24, s25, s26, s27, s28, s29, s2a, s2b, s2c, s2d
            , s2e, s2f, s3, s31, s32, s33, s34, s35, s36, s37, s38, s39, s3a, s3b, s3c, s3d, s3e, s3f, s4, s41, s42, s43
            , s44, s45, s46, s47, s48, s49, s4a, s4b, s4c, s4d, s4e, s4f, s5, s51, s53, s54, s55, s56, s57, s58, s59, s5a
            , s5b, s5c, s5d, s5e, s5f, s6, s61, s63, s64, s65, s66, s67, s68, s69, s6a, s6b, s6c, s6d, s6e, s6f, s7, s71
            , s73, s74, s75, s76, s77, s78, s79, s7a, s7b, s7c, s7d, s7e, s8, s81, s83, s84, s85, s86, s87, s88, s89, s8a
            , s8b, s8c, s8d, s8e, s9, s91, s93, s94, s95, s96, s97, s98, s99, s9a, s9b, s9c, s9d, s9e, t, t01, t02, t03
            , t04, t05, t06, t07, t08, t09, t0a, t0b, t0c, t0d, t0e, t0f, t0g, t11, t12, t13, t14, t15, t16, t17, t18, t19
            , t1a, t1b, t1c, t1d, t1e, t1f, t1g, t2, t21, t22, t23, t24, t25, t26, t27, t28, t29, t2a, t2b, t2c, t2d, t2e
            , t2f, t2g, t3, t31, t32, t33, t34, t35, t36, t37, t38, t39, t3a, t3b, t3c, t3d, t3e, t3f, t3g, t4, t41, t42
            , t43, t44, t45, t46, t47, t48, t49, t4a, t4b, t4c, t4d, t4e, t4f, t4g, t5, t51, t52, t53, t54, t55, t56, t57
            , t58, t59, t5a, t5b, t5c, t5d, t5e, t5f, t6, t61, t62, t63, t64, t65, t66, t67, t68, t69, t6a, t6b, t6c, t6d
            , t6e, t6f, t7, t71, t72, t73, t74, t75, t76, t77, t78, t79, t7a, t7b, t7c, t7d, t7e, t7f, t8, t81, t82, t83
            , t84, t85, t86, t87, t88, t89, t8a, t8b, t8c, t8d, t8e, t8f, t9, t91, t92, t93, t94, t95, t96, t97, t98, t99
            , t9a, t9b, t9c, t9d, t9e, t9f;
    __m128  *a, *a07, *a13, *a15, *a2, *a27, *a3, *a38, *a5, *a54, *a62, *a65, *a77, *a88;
    int a05, a17, a28, a4, a44, a96;
    {long i; for(i = 0; i <= 511; i++) {
        a = (((__m128  *) src) + (2 * i));
        s = *(a);
        s2 = *((a + 1));
        s3 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(2, 0, 2, 0));
        s4 = _mm_shuffle_ps(s, s2, _MM_SHUFFLE(3, 1, 3, 1));
        s5 = *((a + 2048));
        s6 = *((a + 2049));
        s7 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(2, 0, 2, 0));
        s8 = _mm_shuffle_ps(s5, s6, _MM_SHUFFLE(3, 1, 3, 1));
        t = _mm_add_ps(s3, s7);
        t2 = _mm_add_ps(s4, s8);
        t3 = _mm_sub_ps(s3, s7);
        t4 = _mm_sub_ps(s4, s8);
        s9 = *((a + 1024));
        s01 = *((a + 1025));
        s11 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(2, 0, 2, 0));
        s21 = _mm_shuffle_ps(s9, s01, _MM_SHUFFLE(3, 1, 3, 1));
        s31 = *((a + 3072));
        s41 = *((a + 3073));
        s51 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(2, 0, 2, 0));
        s61 = _mm_shuffle_ps(s31, s41, _MM_SHUFFLE(3, 1, 3, 1));
        t5 = _mm_add_ps(s11, s51);
        t6 = _mm_add_ps(s21, s61);
        t7 = _mm_sub_ps(s11, s51);
        t8 = _mm_sub_ps(s21, s61);
        t9 = _mm_add_ps(t, t5);
        t01 = _mm_add_ps(t2, t6);
        t11 = _mm_sub_ps(t, t5);
        t21 = _mm_sub_ps(t2, t6);
        t31 = _mm_add_ps(t3, t8);
        t41 = _mm_sub_ps(t4, t7);
        t51 = _mm_sub_ps(t3, t8);
        t61 = _mm_add_ps(t4, t7);
        s71 = _mm_unpacklo_ps(t9, t31);
        s81 = _mm_unpackhi_ps(t9, t31);
        s91 = _mm_unpacklo_ps(t01, t41);
        s02 = _mm_unpackhi_ps(t01, t41);
        s12 = _mm_unpacklo_ps(t11, t51);
        s22 = _mm_unpackhi_ps(t11, t51);
        s32 = _mm_unpacklo_ps(t21, t61);
        s42 = _mm_unpackhi_ps(t21, t61);
        a2 = (((__m128  *) T2) + (8 * i));
        s52 = _mm_shuffle_ps(s71, s12, _MM_SHUFFLE(1, 0, 1, 0));
        *(a2) = s52;
        s62 = _mm_shuffle_ps(s71, s12, _MM_SHUFFLE(3, 2, 3, 2));
        *((a2 + 2)) = s62;
        s72 = _mm_shuffle_ps(s81, s22, _MM_SHUFFLE(1, 0, 1, 0));
        *((a2 + 4)) = s72;
        s82 = _mm_shuffle_ps(s81, s22, _MM_SHUFFLE(3, 2, 3, 2));
        *((a2 + 6)) = s82;
        s92 = _mm_shuffle_ps(s91, s32, _MM_SHUFFLE(1, 0, 1, 0));
        *((a2 + 1)) = s92;
        s03 = _mm_shuffle_ps(s91, s32, _MM_SHUFFLE(3, 2, 3, 2));
        *((a2 + 3)) = s03;
        s13 = _mm_shuffle_ps(s02, s42, _MM_SHUFFLE(1, 0, 1, 0));
        *((a2 + 5)) = s13;
        s23 = _mm_shuffle_ps(s02, s42, _MM_SHUFFLE(3, 2, 3, 2));
        *((a2 + 7)) = s23;
    }}
    {long i2; for(i2 = 0; i2 <= 7; i2++) {
        {long i3; for(i3 = 0; i3 <= 3; i3++) {
            {long i4; for(i4 = 0; i4 <= 7; i4++) {
                a3 = (((__m128  *) T2) + ((2 * i2) + ((16 * i3) + (64 * i4))));
                s33 = *(a3);
                s43 = *((a3 + 1));
                s53 = *((a3 + 2048));
                s63 = *((a3 + 2049));
                a4 = (16 * i4);
                a5 = (D987 + ((512 * i2) + ((128 * i3) + a4)));
                a6 = *(a5);
                a7 = *((a5 + 1));
                s73 = _mm_sub_ps(_mm_mul_ps(a6, s33), _mm_mul_ps(a7, s43));
                s83 = _mm_add_ps(_mm_mul_ps(a7, s33), _mm_mul_ps(a6, s43));
                a8 = *((a5 + 2));
                a9 = *((a5 + 3));
                s93 = _mm_sub_ps(_mm_mul_ps(a8, s53), _mm_mul_ps(a9, s63));
                s04 = _mm_add_ps(_mm_mul_ps(a9, s53), _mm_mul_ps(a8, s63));
                t71 = _mm_add_ps(s73, s93);
                t81 = _mm_add_ps(s83, s04);
                t91 = _mm_sub_ps(s73, s93);
                t02 = _mm_sub_ps(s83, s04);
                s14 = *((a3 + 1024));
                s24 = *((a3 + 1025));
                s34 = *((a3 + 3072));
                s44 = *((a3 + 3073));
                a01 = *((a5 + 4));
                a11 = *((a5 + 5));
                s54 = _mm_sub_ps(_mm_mul_ps(a01, s14), _mm_mul_ps(a11, s24));
                s64 = _mm_add_ps(_mm_mul_ps(a11, s14), _mm_mul_ps(a01, s24));
                a21 = *((a5 + 6));
                a31 = *((a5 + 7));
                s74 = _mm_sub_ps(_mm_mul_ps(a21, s34), _mm_mul_ps(a31, s44));
                s84 = _mm_add_ps(_mm_mul_ps(a31, s34), _mm_mul_ps(a21, s44));
                t12 = _mm_add_ps(s54, s74);
                t22 = _mm_add_ps(s64, s84);
                t32 = _mm_sub_ps(s54, s74);
                t42 = _mm_sub_ps(s64, s84);
                t52 = _mm_add_ps(t71, t12);
                t62 = _mm_add_ps(t81, t22);
                t72 = _mm_sub_ps(t71, t12);
                t82 = _mm_sub_ps(t81, t22);
                t92 = _mm_add_ps(t91, t42);
                t03 = _mm_sub_ps(t02, t32);
                t13 = _mm_sub_ps(t91, t42);
                t23 = _mm_add_ps(t02, t32);
                s94 = *((a3 + 512));
                s05 = *((a3 + 513));
                s15 = *((a3 + 2560));
                s25 = *((a3 + 2561));
                a41 = *((a5 + 8));
                a51 = *((a5 + 9));
                s35 = _mm_sub_ps(_mm_mul_ps(a41, s94), _mm_mul_ps(a51, s05));
                s45 = _mm_add_ps(_mm_mul_ps(a51, s94), _mm_mul_ps(a41, s05));
                a61 = *((a5 + 10));
                a71 = *((a5 + 11));
                s55 = _mm_sub_ps(_mm_mul_ps(a61, s15), _mm_mul_ps(a71, s25));
                s65 = _mm_add_ps(_mm_mul_ps(a71, s15), _mm_mul_ps(a61, s25));
                t33 = _mm_add_ps(s35, s55);
                t43 = _mm_add_ps(s45, s65);
                t53 = _mm_sub_ps(s35, s55);
                t63 = _mm_sub_ps(s45, s65);
                s75 = *((a3 + 1536));
                s85 = *((a3 + 1537));
                s95 = *((a3 + 3584));
                s06 = *((a3 + 3585));
                a81 = *((a5 + 12));
                a91 = *((a5 + 13));
                s16 = _mm_sub_ps(_mm_mul_ps(a81, s75), _mm_mul_ps(a91, s85));
                s26 = _mm_add_ps(_mm_mul_ps(a91, s75), _mm_mul_ps(a81, s85));
                a02 = *((a5 + 14));
                a12 = *((a5 + 15));
                s36 = _mm_sub_ps(_mm_mul_ps(a02, s95), _mm_mul_ps(a12, s06));
                s46 = _mm_add_ps(_mm_mul_ps(a12, s95), _mm_mul_ps(a02, s06));
                t73 = _mm_add_ps(s16, s36);
                t83 = _mm_add_ps(s26, s46);
                t93 = _mm_sub_ps(s16, s36);
                t04 = _mm_sub_ps(s26, s46);
                t14 = _mm_add_ps(t33, t73);
                t24 = _mm_add_ps(t43, t83);
                t34 = _mm_sub_ps(t33, t73);
                t44 = _mm_sub_ps(t43, t83);
                a22 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t53, t04));
                a32 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t63, t93));
                s56 = _mm_sub_ps(a22, a32);
                s66 = _mm_add_ps(a22, a32);
                a42 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t53, t04));
                a52 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t63, t93));
                s76 = _mm_sub_ps(a42, a52);
                s86 = _mm_add_ps(a42, a52);
                t54 = _mm_add_ps(t52, t14);
                t64 = _mm_add_ps(t62, t24);
                t74 = _mm_sub_ps(t52, t14);
                t84 = _mm_sub_ps(t62, t24);
                a62 = (D978 + a4);
                a72 = *(a62);
                a82 = *((a62 + 1));
                a92 = *((a62 + 2));
                a03 = *((a62 + 3));
                a13 = (((__m128  *) T4) + a4);
                s96 = _mm_sub_ps(_mm_mul_ps(a72, t54), _mm_mul_ps(a82, t64));
                *(a13) = s96;
                s07 = _mm_add_ps(_mm_mul_ps(a82, t54), _mm_mul_ps(a72, t64));
                *((a13 + 1)) = s07;
                s17 = _mm_sub_ps(_mm_mul_ps(a92, t74), _mm_mul_ps(a03, t84));
                *((a13 + 8)) = s17;
                s27 = _mm_add_ps(_mm_mul_ps(a03, t74), _mm_mul_ps(a92, t84));
                *((a13 + 9)) = s27;
                t94 = _mm_add_ps(t92, s56);
                t05 = _mm_sub_ps(t03, s66);
                t15 = _mm_sub_ps(t92, s56);
                t25 = _mm_add_ps(t03, s66);
                a23 = *((a62 + 4));
                a33 = *((a62 + 5));
                a43 = *((a62 + 6));
                a53 = *((a62 + 7));
                s37 = _mm_sub_ps(_mm_mul_ps(a23, t94), _mm_mul_ps(a33, t05));
                *((a13 + 2)) = s37;
                s47 = _mm_add_ps(_mm_mul_ps(a33, t94), _mm_mul_ps(a23, t05));
                *((a13 + 3)) = s47;
                s57 = _mm_sub_ps(_mm_mul_ps(a43, t15), _mm_mul_ps(a53, t25));
                *((a13 + 10)) = s57;
                s67 = _mm_add_ps(_mm_mul_ps(a53, t15), _mm_mul_ps(a43, t25));
                *((a13 + 11)) = s67;
                t35 = _mm_add_ps(t72, t44);
                t45 = _mm_sub_ps(t82, t34);
                t55 = _mm_sub_ps(t72, t44);
                t65 = _mm_add_ps(t82, t34);
                a63 = *((a62 + 8));
                a73 = *((a62 + 9));
                a83 = *((a62 + 10));
                a93 = *((a62 + 11));
                s77 = _mm_sub_ps(_mm_mul_ps(a63, t35), _mm_mul_ps(a73, t45));
                *((a13 + 4)) = s77;
                s87 = _mm_add_ps(_mm_mul_ps(a73, t35), _mm_mul_ps(a63, t45));
                *((a13 + 5)) = s87;
                s97 = _mm_sub_ps(_mm_mul_ps(a83, t55), _mm_mul_ps(a93, t65));
                *((a13 + 12)) = s97;
                s08 = _mm_add_ps(_mm_mul_ps(a93, t55), _mm_mul_ps(a83, t65));
                *((a13 + 13)) = s08;
                t75 = _mm_add_ps(t13, s76);
                t85 = _mm_add_ps(t23, s86);
                t95 = _mm_sub_ps(t13, s76);
                t06 = _mm_sub_ps(t23, s86);
                a04 = *((a62 + 12));
                a14 = *((a62 + 13));
                a24 = *((a62 + 14));
                a34 = *((a62 + 15));
                s18 = _mm_sub_ps(_mm_mul_ps(a04, t75), _mm_mul_ps(a14, t85));
                *((a13 + 6)) = s18;
                s28 = _mm_add_ps(_mm_mul_ps(a14, t75), _mm_mul_ps(a04, t85));
                *((a13 + 7)) = s28;
                s38 = _mm_sub_ps(_mm_mul_ps(a24, t95), _mm_mul_ps(a34, t06));
                *((a13 + 14)) = s38;
                s48 = _mm_add_ps(_mm_mul_ps(a34, t95), _mm_mul_ps(a24, t06));
                *((a13 + 15)) = s48;
            }}
            {long i5; for(i5 = 0; i5 <= 7; i5++) {
                a44 = (2 * i5);
                a54 = (((__m128  *) T4) + a44);
                s58 = *(a54);
                s68 = *((a54 + 1));
                s78 = *((a54 + 64));
                s88 = *((a54 + 65));
                t16 = _mm_add_ps(s58, s78);
                t26 = _mm_add_ps(s68, s88);
                t36 = _mm_sub_ps(s58, s78);
                t46 = _mm_sub_ps(s68, s88);
                s98 = *((a54 + 32));
                s09 = *((a54 + 33));
                s19 = *((a54 + 96));
                s29 = *((a54 + 97));
                t56 = _mm_add_ps(s98, s19);
                t66 = _mm_add_ps(s09, s29);
                t76 = _mm_sub_ps(s98, s19);
                t86 = _mm_sub_ps(s09, s29);
                t96 = _mm_add_ps(t16, t56);
                t07 = _mm_add_ps(t26, t66);
                t17 = _mm_sub_ps(t16, t56);
                t27 = _mm_sub_ps(t26, t66);
                t37 = _mm_add_ps(t36, t86);
                t47 = _mm_sub_ps(t46, t76);
                t57 = _mm_sub_ps(t36, t86);
                t67 = _mm_add_ps(t46, t76);
                s39 = *((a54 + 16));
                s49 = *((a54 + 17));
                s59 = *((a54 + 80));
                s69 = *((a54 + 81));
                t77 = _mm_add_ps(s39, s59);
                t87 = _mm_add_ps(s49, s69);
                t97 = _mm_sub_ps(s39, s59);
                t08 = _mm_sub_ps(s49, s69);
                s79 = *((a54 + 48));
                s89 = *((a54 + 49));
                s99 = *((a54 + 112));
                s0a = *((a54 + 113));
                t18 = _mm_add_ps(s79, s99);
                t28 = _mm_add_ps(s89, s0a);
                t38 = _mm_sub_ps(s79, s99);
                t48 = _mm_sub_ps(s89, s0a);
                t58 = _mm_add_ps(t77, t18);
                t68 = _mm_add_ps(t87, t28);
                t78 = _mm_sub_ps(t77, t18);
                t88 = _mm_sub_ps(t87, t28);
                a64 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t97, t48));
                a74 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t08, t38));
                s1a = _mm_sub_ps(a64, a74);
                s2a = _mm_add_ps(a64, a74);
                a84 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t97, t48));
                a94 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t08, t38));
                s3a = _mm_sub_ps(a84, a94);
                s4a = _mm_add_ps(a84, a94);
                t98 = _mm_add_ps(t96, t58);
                t09 = _mm_add_ps(t07, t68);
                t19 = _mm_sub_ps(t96, t58);
                t29 = _mm_sub_ps(t07, t68);
                a05 = (128 * i3);
                a15 = (D986 + (a05 + (16 * i5)));
                a25 = *(a15);
                a35 = *((a15 + 1));
                a45 = *((a15 + 2));
                a55 = *((a15 + 3));
                a65 = (((__m128  *) T3) + (a05 + a44));
                s5a = _mm_sub_ps(_mm_mul_ps(a25, t98), _mm_mul_ps(a35, t09));
                *(a65) = s5a;
                s6a = _mm_add_ps(_mm_mul_ps(a35, t98), _mm_mul_ps(a25, t09));
                *((a65 + 1)) = s6a;
                s7a = _mm_sub_ps(_mm_mul_ps(a45, t19), _mm_mul_ps(a55, t29));
                *((a65 + 64)) = s7a;
                s8a = _mm_add_ps(_mm_mul_ps(a55, t19), _mm_mul_ps(a45, t29));
                *((a65 + 65)) = s8a;
                t39 = _mm_add_ps(t37, s1a);
                t49 = _mm_sub_ps(t47, s2a);
                t59 = _mm_sub_ps(t37, s1a);
                t69 = _mm_add_ps(t47, s2a);
                a75 = *((a15 + 4));
                a85 = *((a15 + 5));
                a95 = *((a15 + 6));
                a06 = *((a15 + 7));
                s9a = _mm_sub_ps(_mm_mul_ps(a75, t39), _mm_mul_ps(a85, t49));
                *((a65 + 16)) = s9a;
                s0b = _mm_add_ps(_mm_mul_ps(a85, t39), _mm_mul_ps(a75, t49));
                *((a65 + 17)) = s0b;
                s1b = _mm_sub_ps(_mm_mul_ps(a95, t59), _mm_mul_ps(a06, t69));
                *((a65 + 80)) = s1b;
                s2b = _mm_add_ps(_mm_mul_ps(a06, t59), _mm_mul_ps(a95, t69));
                *((a65 + 81)) = s2b;
                t79 = _mm_add_ps(t17, t88);
                t89 = _mm_sub_ps(t27, t78);
                t99 = _mm_sub_ps(t17, t88);
                t0a = _mm_add_ps(t27, t78);
                a16 = *((a15 + 8));
                a26 = *((a15 + 9));
                a36 = *((a15 + 10));
                a46 = *((a15 + 11));
                s3b = _mm_sub_ps(_mm_mul_ps(a16, t79), _mm_mul_ps(a26, t89));
                *((a65 + 32)) = s3b;
                s4b = _mm_add_ps(_mm_mul_ps(a26, t79), _mm_mul_ps(a16, t89));
                *((a65 + 33)) = s4b;
                s5b = _mm_sub_ps(_mm_mul_ps(a36, t99), _mm_mul_ps(a46, t0a));
                *((a65 + 96)) = s5b;
                s6b = _mm_add_ps(_mm_mul_ps(a46, t99), _mm_mul_ps(a36, t0a));
                *((a65 + 97)) = s6b;
                t1a = _mm_add_ps(t57, s3a);
                t2a = _mm_add_ps(t67, s4a);
                t3a = _mm_sub_ps(t57, s3a);
                t4a = _mm_sub_ps(t67, s4a);
                a56 = *((a15 + 12));
                a66 = *((a15 + 13));
                a76 = *((a15 + 14));
                a86 = *((a15 + 15));
                s7b = _mm_sub_ps(_mm_mul_ps(a56, t1a), _mm_mul_ps(a66, t2a));
                *((a65 + 48)) = s7b;
                s8b = _mm_add_ps(_mm_mul_ps(a66, t1a), _mm_mul_ps(a56, t2a));
                *((a65 + 49)) = s8b;
                s9b = _mm_sub_ps(_mm_mul_ps(a76, t3a), _mm_mul_ps(a86, t4a));
                *((a65 + 112)) = s9b;
                s0c = _mm_add_ps(_mm_mul_ps(a86, t3a), _mm_mul_ps(a76, t4a));
                *((a65 + 113)) = s0c;
            }}
        }}
        {long i6; for(i6 = 0; i6 <= 63; i6++) {
            a96 = (2 * i6);
            a07 = (((__m128  *) T3) + a96);
            s1c = *(a07);
            s2c = *((a07 + 1));
            s3c = *((a07 + 256));
            s4c = *((a07 + 257));
            t5a = _mm_add_ps(s1c, s3c);
            t6a = _mm_add_ps(s2c, s4c);
            t7a = _mm_sub_ps(s1c, s3c);
            t8a = _mm_sub_ps(s2c, s4c);
            s5c = *((a07 + 128));
            s6c = *((a07 + 129));
            s7c = *((a07 + 384));
            s8c = *((a07 + 385));
            t9a = _mm_add_ps(s5c, s7c);
            t0b = _mm_add_ps(s6c, s8c);
            t1b = _mm_sub_ps(s5c, s7c);
            t2b = _mm_sub_ps(s6c, s8c);
            t3b = _mm_add_ps(t5a, t9a);
            t4b = _mm_add_ps(t6a, t0b);
            t5b = _mm_sub_ps(t5a, t9a);
            t6b = _mm_sub_ps(t6a, t0b);
            a17 = (512 * i2);
            a27 = (D985 + (a17 + (8 * i6)));
            a37 = *(a27);
            a47 = *((a27 + 1));
            a57 = *((a27 + 2));
            a67 = *((a27 + 3));
            a77 = (((__m128  *) T) + (a17 + a96));
            s9c = _mm_sub_ps(_mm_mul_ps(a37, t3b), _mm_mul_ps(a47, t4b));
            *(a77) = s9c;
            s0d = _mm_add_ps(_mm_mul_ps(a47, t3b), _mm_mul_ps(a37, t4b));
            *((a77 + 1)) = s0d;
            s1d = _mm_sub_ps(_mm_mul_ps(a57, t5b), _mm_mul_ps(a67, t6b));
            *((a77 + 256)) = s1d;
            s2d = _mm_add_ps(_mm_mul_ps(a67, t5b), _mm_mul_ps(a57, t6b));
            *((a77 + 257)) = s2d;
            t7b = _mm_add_ps(t7a, t2b);
            t8b = _mm_sub_ps(t8a, t1b);
            t9b = _mm_sub_ps(t7a, t2b);
            t0c = _mm_add_ps(t8a, t1b);
            a87 = *((a27 + 4));
            a97 = *((a27 + 5));
            a08 = *((a27 + 6));
            a18 = *((a27 + 7));
            s3d = _mm_sub_ps(_mm_mul_ps(a87, t7b), _mm_mul_ps(a97, t8b));
            *((a77 + 128)) = s3d;
            s4d = _mm_add_ps(_mm_mul_ps(a97, t7b), _mm_mul_ps(a87, t8b));
            *((a77 + 129)) = s4d;
            s5d = _mm_sub_ps(_mm_mul_ps(a08, t9b), _mm_mul_ps(a18, t0c));
            *((a77 + 384)) = s5d;
            s6d = _mm_add_ps(_mm_mul_ps(a18, t9b), _mm_mul_ps(a08, t0c));
            *((a77 + 385)) = s6d;
        }}
    }}
    {long i7; for(i7 = 0; i7 <= 255; i7++) {
        a28 = (2 * i7);
        a38 = (((__m128  *) T) + a28);
        s7d = *(a38);
        s8d = *((a38 + 1));
        s9d = *((a38 + 2048));
        s0e = *((a38 + 2049));
        t1c = _mm_add_ps(s7d, s9d);
        t2c = _mm_add_ps(s8d, s0e);
        t3c = _mm_sub_ps(s7d, s9d);
        t4c = _mm_sub_ps(s8d, s0e);
        s1e = *((a38 + 1024));
        s2e = *((a38 + 1025));
        s3e = *((a38 + 3072));
        s4e = *((a38 + 3073));
        t5c = _mm_add_ps(s1e, s3e);
        t6c = _mm_add_ps(s2e, s4e);
        t7c = _mm_sub_ps(s1e, s3e);
        t8c = _mm_sub_ps(s2e, s4e);
        t9c = _mm_add_ps(t1c, t5c);
        t0d = _mm_add_ps(t2c, t6c);
        t1d = _mm_sub_ps(t1c, t5c);
        t2d = _mm_sub_ps(t2c, t6c);
        t3d = _mm_add_ps(t3c, t8c);
        t4d = _mm_sub_ps(t4c, t7c);
        t5d = _mm_sub_ps(t3c, t8c);
        t6d = _mm_add_ps(t4c, t7c);
        s5e = *((a38 + 512));
        s6e = *((a38 + 513));
        s7e = *((a38 + 2560));
        s8e = *((a38 + 2561));
        t7d = _mm_add_ps(s5e, s7e);
        t8d = _mm_add_ps(s6e, s8e);
        t9d = _mm_sub_ps(s5e, s7e);
        t0e = _mm_sub_ps(s6e, s8e);
        s9e = *((a38 + 1536));
        s0f = *((a38 + 1537));
        s1f = *((a38 + 3584));
        s2f = *((a38 + 3585));
        t1e = _mm_add_ps(s9e, s1f);
        t2e = _mm_add_ps(s0f, s2f);
        t3e = _mm_sub_ps(s9e, s1f);
        t4e = _mm_sub_ps(s0f, s2f);
        t5e = _mm_add_ps(t7d, t1e);
        t6e = _mm_add_ps(t8d, t2e);
        t7e = _mm_sub_ps(t7d, t1e);
        t8e = _mm_sub_ps(t8d, t2e);
        a48 = _mm_mul_ps(_mm_set1_ps(0.70710678118654757), _mm_add_ps(t9d, t4e));
        a58 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t0e, t3e));
        s3f = _mm_sub_ps(a48, a58);
        s4f = _mm_add_ps(a48, a58);
        a68 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_sub_ps(t9d, t4e));
        a78 = _mm_mul_ps(_mm_set1_ps((-0.70710678118654757)), _mm_add_ps(t0e, t3e));
        s5f = _mm_sub_ps(a68, a78);
        s6f = _mm_add_ps(a68, a78);
        t9e = _mm_add_ps(t9c, t5e);
        t0f = _mm_add_ps(t0d, t6e);
        t1f = _mm_sub_ps(t9c, t5e);
        t2f = _mm_sub_ps(t0d, t6e);
        a88 = (((__m128  *) dst) + a28);
        s7f = _mm_unpacklo_ps(t9e, t0f);
        *(a88) = s7f;
        s8f = _mm_unpackhi_ps(t9e, t0f);
        *((a88 + 1)) = s8f;
        s9f = _mm_unpacklo_ps(t1f, t2f);
        *((a88 + 2048)) = s9f;
        s0g = _mm_unpackhi_ps(t1f, t2f);
        *((a88 + 2049)) = s0g;
        t3f = _mm_add_ps(t3d, s3f);
        t4f = _mm_sub_ps(t4d, s4f);
        t5f = _mm_sub_ps(t3d, s3f);
        t6f = _mm_add_ps(t4d, s4f);
        s1g = _mm_unpacklo_ps(t3f, t4f);
        *((a88 + 512)) = s1g;
        s2g = _mm_unpackhi_ps(t3f, t4f);
        *((a88 + 513)) = s2g;
        s3g = _mm_unpacklo_ps(t5f, t6f);
        *((a88 + 2560)) = s3g;
        s4g = _mm_unpackhi_ps(t5f, t6f);
        *((a88 + 2561)) = s4g;
        t7f = _mm_add_ps(t1d, t8e);
        t8f = _mm_sub_ps(t2d, t7e);
        t9f = _mm_sub_ps(t1d, t8e);
        t0g = _mm_add_ps(t2d, t7e);
        s5g = _mm_unpacklo_ps(t7f, t8f);
        *((a88 + 1024)) = s5g;
        s6g = _mm_unpackhi_ps(t7f, t8f);
        *((a88 + 1025)) = s6g;
        s7g = _mm_unpacklo_ps(t9f, t0g);
        *((a88 + 3072)) = s7g;
        s8g = _mm_unpackhi_ps(t9f, t0g);
        *((a88 + 3073)) = s8g;
        t1g = _mm_add_ps(t5d, s5f);
        t2g = _mm_add_ps(t6d, s6f);
        t3g = _mm_sub_ps(t5d, s5f);
        t4g = _mm_sub_ps(t6d, s6f);
        s9g = _mm_unpacklo_ps(t1g, t2g);
        *((a88 + 1536)) = s9g;
        s0h = _mm_unpackhi_ps(t1g, t2g);
        *((a88 + 1537)) = s0h;
        s1h = _mm_unpacklo_ps(t3g, t4g);
        *((a88 + 3584)) = s1h;
        s2h = _mm_unpackhi_ps(t3g, t4g);
        *((a88 + 3585)) = s2h;
    }}
    }
    
    return SPIRAL_OK;
    }
}

